Important information for AutoCAD Users

AutoCAD - AutoCAD Mechanical Workflow Comparison
Important information for AutoCAD Users
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • AutoCAD - AutoCAD Mechanical Workflow Comparison
  • AutoCAD - AutoCAD Mechanical Command Maps
  • AutoCAD features that should be used with caution
Please send us your comment about this page


AutoCAD - AutoCAD Mechanical Workflow Comparison

Important information for AutoCAD Users
Important information for AutoCAD Users
AutoCAD - AutoCAD Mechanical Command Maps
Important information for AutoCAD Users >
AutoCAD - AutoCAD Mechanical Workflow Comparison
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Drawing Configuration - Standards Based Drafting

AutoCAD

AutoCAD Mechanical

You set up your own drawing with layers, linetypes, text styles and dimension styles, and this is just the starting point.

For a typical mechanical drawing, you must have a symbol library for detailing such features as surface finishes and welding processes.

You must also have a method of producing part lists and balloons so that your designs can be documented for purchasing and manufacturing.

Begin with an ANSI, BSI, CSN, DIN, GB, GOST, ISO, or JIS standard template or create your own standard using one of these as your starting point.

The Drafting Standard within AutoCAD Mechanical controls all aspects of your drawing including dimension styles, text size, layer and object colors, projection angle, drawing sheet creation, detail view creation, mechanical symbols, bill of material information, parts list, and item balloons.

Organizing Drawing Components

AutoCAD

AutoCAD Mechanical

You use Layers to organize various drawing objects into groups. Layers are usually named according to the function performed by a type of geometry and therefore enforce properties such as color, line type, and line weight.

You use Blocks in addition to layers to associate multiple objects related to a component or assembly. Blocks can be stored locally within the drawing file or externally for reuse in other drawings. Information in the form of attributes can be manually created within each block and then extracted at a later time and placed within a table.

Use Layer Groups to associate or relate objects in a drawing. For example, create layer groups for each component or each view in a drawing. All the mechanical layers are replicated as required in each layer group. If necessary, apply visibility enhancements to individual layer groups.

OR

Use blocks, similar to AutoCAD, to associate objects related to a component or assembly. Component information is captured by part reference points associated with the block. Information contained by the part reference is automatically included within the BOM database.

OR

Combine the benefits of both workflows by choosing to use mechanical structure.

Group related objects and create components. Combine components to create assemblies. BOM information is automatically added to the components for both parts and assemblies. Use the tree in the Mechanical Browser to quickly examine how the drawing is organized.

Use the Structure Catalog to see a list of component definitions used in the drawing. Copy or reference components by dragging them from the catalog and placing them in the drawing. BOM quantities are updated automatically based on reuse. If the referenced component is modified, all drawings referencing the component are updated to maintain consistency.

Layer Management

AutoCAD

AutoCAD Mechanical

You manually change layers based on the object type you are about to create.

This also means that you must first create each layer setting including its color, linetype, and lineweight.

AutoCAD Mechanical automatically creates and manages layers for you.

You don't explicitly change layers before creating objects. As you create objects, they are placed on the appropriate layer automatically. If the appropriate layer doesn't exist, AutoCAD Mechanical automatically creates it for you.

For example, contour geometry is automatically placed on layer AM_0, hidden geometry on AM_3, dimensions on layer AM_5, centerlines on AM_7, and so on.

If you don't like the layer names or colors, customize them to suit your company's existing drafting standard.

Geometry Creation

Compare commands
AutoCAD | AutoCAD Mechanical
You use commands such as LINE, CIRCLE, RECTANGLE, HATCH, and so on. You go to the command line for options frequently. Before you create each object, you manually change the layer to ensure that the object's color and line type is correct. You meticulously set options so that the items you draw comply with the required standards. | Use AutoCAD Mechanical enhanced commands to create 2D mechanical components even faster. To draw rectangles, use the AMRECTANG command, which gives you over 20 different methods of specifying the size of a rectangle or square via a dialog box. Use the AMHATCH_45_5 command, which is available from the AM:DRAW toolbar, to create a 45-degree hatch with 5mm spacing on layer AM_8. All you need to do is pick an internal point. The AMSECTIONLINE command creates a section line with arrows and labeling. You don't spend time fine-tuning these objects to make them standard compliant since AutoCAD Mechanical monitors that.

Geometry Creation - Standard Features and Parts

Compare commands

AutoCAD

AutoCAD Mechanical

You either obtain a third part library or create your own library of standard features and parts and you insert then while drawing. If you choose the latter option, you must ensure that they comply with drafting standards.

Insert standard parts and features from the rich built in content library. The library contains more than 600,000 predrawn standard parts and features based on 17 international standards. They include:

  • Hole Features - through, tapped, counter bored and counter sunk, slots, and so on.
  • Fasteners - nuts, bolts, washers, screw connections, and so on.
  • Shaft Parts - circlips, o-rings, seals, bearings, keys, and so on.
  • Shaft Features - gears, tapers, grooves, keys, centerholes, undercuts, and so on (Gears and tapers are found within the shaft generator).
  • Steel Shapes - beams (I Shapes), angles (L Shapes), channels (U Shapes), Rectangular Hollow and Circular Hollow shapes, and so on.
  • Generators - shaft, spring, cam, chain and belt, and so on.

Geometry Creation - View Projection and Construction Lines

Compare commands

AutoCAD

AutoCAD Mechanical

You manually create projections with the RAY or XLINE commands, and then fine tune them using the TRIM and EXTEND commands many times.

Draw construction lines by selecting from a wide range of construction lines available on the AM:DRAW toolbar. Use the projection utility to bend the construction lines about the correct angle of projection, to create orthographic views. The construction lines are created on a layer named AM_CL, which does not print by default. When finished, turn the construction lines off with a single command.

For geometry inserted from the content library, generate various views using Power View; the functionality that automatically creates different views for standard parts and features.

Geometry Reuse

Compare commands

AutoCAD

AutoCAD Mechanical

You create blocks or use external references to reuse geometry.

When you want to reuse a block in another drawing, you use WBLOCK.

Define geometry as views of components to reuse them as required. Since mechanical structure components store attributes such as description and material, every time you insert a component, BOM quantities automatically increment. When you want to create view exclusively for detailing, create an Annotation View.

When you want to reuse a component that exists as a part or assembly in another drawing, create an external reference directly to the component in the external drawing.

Hidden Line Creation

Compare commands

AutoCAD

AutoCAD Mechanical

You manually change layer, draw lines, trim, and extend.

If the components move, you redo or modify the hidden geometry, as required.

Use the AM2DHIDE command or the AMSHIDE command (if mechanical structure is enabled) to select foreground and background objects. Select the representation for hidden lines from the various options that are available.

If the components move, use the AM2DHIDEDIT to automatically update the hide situation. In the mechanical structure environment, you don't need to invoke the AMSHIDEDIT command. The objects involved in the hide situation automatically heal themselves when components move.

Centerline and Hole Pattern Creation

Compare commands

AutoCAD

AutoCAD Mechanical

You change to the centerline layer (assuming you have already created it), create a line, and then lengthen the line past the hole or component boundaries.

To create a hole pattern, you use the ARRAY command for the hole pattern. The centerlines require more work.

You invoke the AMCENTERLINE command, which automatically places centerlines on the layer AM_7, a layer setup to ensure that the linetype follows standards. Additionally, centerlines automatically extend past the hole or component to a distance in compliance with the drafting standard in use.

When you create a hole pattern from scratch, you select from the numerous types of hole patterns. You can use user-defined sizes or standard sizes based on metric and or imperial sizes such as M10 (ISO 261 - regular thread) or 3/4 “10 UNC (UNC regular thread - inch), from the content library.

To add centerlines to existing geometry, once again you select the appropriate options from the dialog box that is displayed when the AMCENTERLINE command is issued.

Geometry Modification

Compare commands

AutoCAD

AutoCAD Mechanical

You manually modify each view, including any hidden geometry.

For example, if you are modifying a bolted connection between two plates and you want to change to a larger bolt, you perform numerous manual operations including line, hatch, trim, and layer changes.

To stretch geometry, you manually calculate the exact length to stretch to.

To modify standard parts, you reinsert a new standard part from a library or recreate it as per the new requirements.

Use power tools to modify each view. Use the power edit and modify objects by specifying the changes in a dialog box. Use power copy to create copies of objects and the intelligence of the copied objects remain intact. You use power erase to remove objects and the remaining objects to automatically heal themselves.

For example, to modify a bolted connection, double-click to display the screw connection dialog box and change the sizes. The holes, hatches and so on are automatically modified.

To stretch geometry, use the smart dimensioning features and modify the dimension value and watch as objects stretch themselves to match the new dimension value.

Modify standard parts by double-clicking them, and then changing their types and sizes in a dialog box.

Drawing Sheet Creation

Compare commands
AutoCAD | AutoCAD Mechanical
If you create drawing borders in model space, you manually estimate the scale to use and create the drawing border. You then scale all text and dimensions to suit. | If you create drawing borders in model space, select a paper size, and then select the objects you want to put inside the drawing border. AutoCAD Mechanical suggests the scale to use. You don't scale dimensions and text because it is automatically done for you.

Detail View Creation

Compare commands

AutoCAD

AutoCAD Mechanical

If you are creating detail views in model space, you create copy of the geometry to detail, scale it, and then trim off the unwanted parts. If the original geometry is modified, you redo the detail view from scratch.

If you are creating a detail view in paper space, you create a detail view, and then dimension in paper space. If you applied dimensions in model space, you scale the dimensions.

If you are creating detail views in model space, use the AMDETAIL command, outline the area to be detailed, and then specify the scale, location, or detail view name. The detail that is created is fully associative and changes in the original geometry are automatically reflected in the detail view.

If you are creating detail view, use a viewport and set the correct scale factor. Dimensions and symbols are scaled automatically.

Annotation - Dimensions

Compare commands

AutoCAD

AutoCAD Mechanical

You manually set the dimensions styles you need, switch layers, and then use different toolbar options to create the various dimensions you need.

You use the QDIM command to create a series of dimensions simultaneously. You don't dimension shafts and half shafts with this command

You spend time ensuring that the dimensions are placed at the proper offset distance. If you delete dimensions, you manually adjust the rest to fill the gaps.

You manually look up standards books for fits before adding them to dimensions. You manually compile a fits lists and add it to the drawing with the tables.

Use power dimensioning to create dimensions on the appropriate layer. Use a single command irrespective of whether you are creating a linear dimension, radial dimension, or any other type of dimension.

Use automatic dimensioning to create a series of ordinate, baseline, shaft, or symmetric dimensions, simultaneously.

Since dimensions snap into position at the proper offset, you quickly add standard compliant dimensions. Delete dimensions using the power erase feature and the remaining dimensions automatically rearrange themselves to fill the gaps.

You easily add fits and tolerances with power dimensioning and generate a fits list at the click of a button.

Annotation - Hole Charts

Compare commands
AutoCAD | AutoCAD Mechanical
You use the TABLE command to create tables that comply with the drafting standard. You then check each individual hole and manually add their details to the table. Next, you label the holes. If you need to add or remove a hole, you make adjustments manually. | Use the AMHOLECHART command to create standard compliant associative lists that document hole details and label the holes at the same time. You are not overly concerned about deleting holes since the hole chart updates and holes get relabeled automatically. To add holes you re-invoke the AMHOLECHART command and select the hole for the hole chart.

Annotation - Mechanical Symbols

Compare commands

AutoCAD

AutoCAD Mechanical

You change to the appropriate layer and use the LEADER and the TOLERANCE commands to manually create mechanical symbols. You meticulously ensure that they comply with the required drafting standards.

Sometimes, you might have a set of precreated symbols, that were saved as blocks. In this case, you insert them to a drawing and scale them as appropriate.

Select from a toolbar that contains a wide range of symbols, including notes, feature control frames, weld symbols, surface symbols, edge symbols datum identifiers, and datum target among others.

The symbol you insert in this manner is drafting standard compliant symbol is inserted to the appropriate layer. You do not have to do manual adjustments for scale. Notes automatically pick up information from objects.

Annotation - BOM, Parts Lists and Balloons

Compare commands

AutoCAD

AutoCAD Mechanical

You create a table and manually type all part information into the table. You manually keep the quantities up to date.

You create each balloon manually, using a circle and a leader, meticulously keeping the numbers in sync with the parts list.

You maintain Bill-of-Material information manually and input it into a Manufacturing Resource Planning System.

Add part references to components and add part details. Then use the AMBOM command to maintain the BOM database. If your drawing contains several drawing borders in model space, you use Border BOMs, a BOM that is automatically populated with information of the parts inside a border.

If mechanical structure is enabled, you don't insert part references because BOM information is associative for structure objects.

Use the AMPARTLIST command to automatically create parts list from the appropriate BOM database. After that you use the AMBALLOON command to create the corresponding balloons. You don't keep track of quantities manually since they are automatically maintained through the BOM database.


AutoCAD - AutoCAD Mechanical Command Maps

AutoCAD - AutoCAD Mechanical Workflow Comparison
Important information for AutoCAD Users
AutoCAD features that should be used with caution
Important information for AutoCAD Users >
AutoCAD - AutoCAD Mechanical Command Maps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Geometry Creation Commands

Compare workflows

AutoCAD Mechanical provides several tools to create mechanical-related geometry including symmetrical lines, section lines (with arrows and labels), various rectangles types, construction lines, centerlines, and automatic hatching. Mechanical lines are automatically created on mechanical layers according to their object type. For example, section lines are automatically created on layer AM_10.

Show/Hide Command Map
AutoCAD |  | AutoCAD Mechanical
 | LINE |  | LINE
 | PLINE |  | PLINE
 | SPLINE |  | SPLINE
 |  |  | AMSYMLINE Draws symmetrical lines about a centerline
 |  |  | AMBROUTLINE Draws a special spline to show the breakout borders.
 |  |  | AMSECTIONLINE Creates a cutting plane line. Section lines can be created with or without arrows and labels.
 |  |  | AMZIGZAGLINE Draws zigzag lines.
 | CIRCLE |  | CIRCLE
 | ARC |  | ARC
 | ELLIPSE |  | ELLIPSE
 | POLYGON |  | POLYGON
 | REVCLOUD |  | REVCLOUD
 | RECTANG |  | AMRECTANG Creates a rectangle and includes additional options.
 |  |  | AMRECTXWH Creates a rectangle; first corner, full base and full height.
 |  |  | AMRECTBY Creates a rectangle; middle base, second corner.
 |  |  | AMRECTBWH Creates a rectangle; middle base, full base, full height.
 |  |  | AMRECTBWH2 Creates a rectangle; middle base, half base, full height.
 |  |  | AMRECTLY Creates a rectangle; middle height, second corner.
 |  |  | AMRECTLWH Creates a rectangle; middle height, full base, full height.
 |  |  | AMRECTLWH2 Creates a rectangle; middle height, full base, half height.
 |  |  | AMRECTCY Creates a rectangle; center, second corner.
 |  |  | AMRECTCWH Creates a rectangle; full base, full height.

Hatching in AutoCAD Mechanical creates an intelligent entity. Hatching automatically finds boundaries based on object type. Only objects on Contour layers (AM_0, AM_1, AM_2 and AM_3) are used as hatching boundaries. Centerlines (AM_7) and thread lines (AM_4) are not found and are therefore ignored as hatch boundaries.When a standard hole feature is placed, the hatching is automatically modified to suit the feature.

Show/Hide Command Map
AutoCAD |  | AutoCAD Mechanical
 | BHATCH |  | AMHATCH_45_2 Creates a 45-degree and 2.5 mm/0.1 inch hatch.
 |  |  | AMHATCH_45_5 Creates a 45-degree and 5 mm/0.22 inch hatch.
 |  |  | AMHATCH_45_13 Creates a 45-degree and 13 mm/0.5 inch hatch.
 |  |  | AMHATCH_135_2 Creates a 135-degree and 2.7 mm/0.12 inch hatch.
 |  |  | AMHATCH_135_4 Creates a 135-degree and 4.7 mm/0.19 inch hatch.
 |  |  | AMHATCH_135_11 Creates a 135-degree and 11 mm/0.4 inch hatch.
 |  |  | AMUSERHATCH Inserts a user-defined hatch.
 |  |  | AMHATCH_DBL Creates a double hatch of 45- and 135-degree and 2.3 mm/0.09 inch.

Geometry Creation Commands - Standard Features and Parts

Compare workflows

The AutoCAD Mechanical content library contains more than 600,000 standard features and parts, which are based on 17 international standards. Standard features include Clearance, Tapped, Counter Sunk, and Counter Bored Holes. Standard parts include Bolts, Screws, Nuts, Washers, Steel Shapes, Bearings, Circlips, Cylindrical and Tapered Pins, Split Pins, Cotter Pins, Drive Studs, Rivets, Clevis Pins, Plugs, Lubricators, Sealing Rings, Drill Bushings, and more.

Show/Hide Command Map
AutoCAD | AutoCAD Mechanical
 |  | AMSCREWCON2D Inserts a screw connection between two plates using standard parts from the content library.
 |  | AMTHOLE2D Creates a through hole of a standard size.
 |  | AMSHAFT2D Creates rotationally symmetric shaft parts and inner and outer shaft contours, using the Shaft Generator.
 |  | AMSHAFTEND Creates a zigzag line, a free-hand line, or a loop to represent a shaft end.
 |  | AMCOMP2D Creates compression springs and performs spring calculations.
 |  | AMSTDPLIB Inserts a standard part from the content library into the drawing.

Geometry Creation Commands - View Projection and Construction Lines

Compare workflows

Construction lines in AutoCAD Mechanical include lines (xline and ray), circles and rectangle objects. They are automatically created on layer AM_CL, which allows for quick placement without having to worry about the current layer. AutoCAD Mechanical recognizes that construction lines are not part of the component you are creating and is able to intelligently exclude them from relevant operations. For example, the hide commands don't consider them valid contour objects and therefore ignores them in hide situations.

Show/Hide Command Map
AutoCAD |  | AutoCAD Mechanical
 |  |  | AMPOWERVIEW Creates top, bottom, or side views of standard parts.
 | XLINE |  | AMCONSTLINES Draws construction lines. Displays a dialog box listing all variations.
 |  |  | AMCONSTHOR Creates a horizontal construction line.
 |  |  | AMCONSTVER Creates a vertical construction line.
 |  |  | AMCONSTCRS Creates a construction line cross.
 |  |  | AMCONSTZ Creates a construction line in the Z direction.
 |  |  | AMCONSTHB Creates a construction line by defining two points or an angle.
 |  |  | AMCONSTHW Creates a construction line with a relative angle from a line.
 |  |  | AMCONSTPAR Creates a parallel construction line with full distance.
 |  |  | AMCONSTPAR2 Creates a parallel construction line with half distance.
 |  |  | AMCONSTLOT2 Creates a construction line perpendicular to two points.
 |  |  | AMCONSTLOT Creates a construction line perpendicular to a line.
 |  |  | AMCONSTHM Creates a bisecting construction line of an angle.
 |  |  | AMCONSTTAN Creates two parallel construction lines tangent to a circle.
 |  |  | AMCONSTTC Creates a construction line tangent to two circles.
 |  |  | AMCONSTXLINE Creates construction lines starting from one point in both directions.
 | RAY |  | AMCONSTXRAY Creates construction lines starting from one point.
 |  |  | AMCONSTCC Creates a concentric construction line circle to a circle.
 |  |  | AMCONSTCCREA Creates a circle to the end of a shaft. The circle is drawn on the current layer, but not on the AM_CL layer.
 |  |  | AMCONSTC2 Creates a construction line circle tangent to a line.
 |  |  | AMCONSTKR Creates a construction line circle tangent to two lines.
 |  |  | AMCONST_CIRCLE Creates a construction line circle.
 |  |  | AMCONSTCIRCLI Creates a construction line rectangle around a circle.

Geometry Reuse Commands

Compare workflows

AutoCAD Mechanical lets you combine lines, arcs and circles to form components (Part and Assemblies) within the mechanical structure environment. Once defined, you can quickly insert these components in a new or existing drawing, and if one instance of a component is modified, all components automatically update.

Show/Hide Command Map
AutoCAD |  | AutoCAD Mechanical
 | BLOCK |  | BLOCK
 |  |  | AMSCREATE Creates new components, component views, folders, and annotation views in drawings in a mechanical structure.
 |  |  | AMSNEW Creates and manages new folders, components, and views in a mechanical structure.
 | WBLOCK |  | WBLOCK
 |  |  | AMSEXTERNALIZE Converts local components/folders to external reference components/folders by moving their definitions to a new drawing file.
 | INSERT |  | INSERT
 |  |  | AMSINSERT Insert component views and folders from existing definitions or inserts additional views to an annotation view.
 | XREF |  | XREF
 |  |  | AMSCATALOG Displays a catalog of mechanical structure component and folder definitions, and provides the ability to perform a variety of operations, particularly xref related operations.

Hidden Line Creation Commands

Compare workflows

The hide related commands in AutoCAD Mechanical create hidden lines by letting you select the objects that must appear in the foreground. Hidden edges are automatically discovered and the appropriate line style set. The commands intelligently ignore inappropriate objects such as Construction Lines from the foreground and background.

Show/Hide Command Map
AutoCAD | AutoCAD Mechanical
 |  | AM2DHIDE Hides invisible edges of objects that are partly or fully hidden behind other objects in an assembly.
 |  | AM2DHIDEDIT Edits hidden or invisible edges created by the AM2DHIDE command.
 |  | AMSHIDE Hides invisible edges of objects that are partly or fully hidden behind other objects in an assembly, in the mechanical structure environment.
 |  | AMSHIDEEDIT Edits hidden or invisible edges created by the AMSHIDE command.

Centerline and Hole Pattern Creation Commands

Compare workflows

The commands that create centerlines not only draw centerlines and centerline crosses on the correct layer and extend them to the correct length past holes and other objects, but they let you create complete hole patterns for rectangular and pitch circle diameter patterns.

Show/Hide Command Map
AutoCAD | AutoCAD Mechanical
 |  | AMCENTLINE Draws a centerline on the centerline layer (AM_CL).
 |  | AMCENCROSS Draws a centerline cross.
 |  | AMCENCRHOLE Draws a centerline cross with a hole.
 |  | AMCENCRANGLE Draws a centerline cross with an angle.
 |  | AMCENCRCORNER Draws a centerline cross in a corner.
 |  | AMCENCRFULLCIRCLE Draws a centerline cross on a full circle.
 |  | AMCENCRINHOLE Draws a centerline cross in a hole.
 |  | AMCENCRPLATE Draws a centerline cross on a plate.
 |  | AMCENINBET Draws a centerline between two lines.

Geometry Modification Commands

Compare workflows

The geometry modification power commands recognize related mechanical objects. As a result objects can be modified as a whole (for example, an entire bolted connection can be modified as a whole) and surrounding objects affected by the modification are automatically “healed”.

Show/Hide Command Map
AutoCAD |  | AutoCAD Mechanical
 |  |  | Launches Modify Toolbar.
 | ERASE |  | AMPOWERERASE Deletes selected objects and automatically heals the surrounding mechanical objects.
 | COPY |  | AMPOWERCOPY Copies an object along with its mechanical intelligence to another position in the drawing.
 |  |  | AMPOWEREDIT Starts the command with which the selected object was created, to edit the object.
 |  |  | AMPOWERRECALL Starts the command with which the selected object was created, to create a new object.
 | MIRROR |  | MIRROR
 | OFFSET |  | AMOFFSET Creates multiple new objects at specified distances from an existing object.
 | ARRAY |  | ARRAY
 | MOVE |  | MOVE
 | ROTATE |  | ROTATE
 | SCALE |  | SCALE
 |  |  | AMSCALEXY Allows scaling in X and Y direction.
 | TRIM |  | TRIM
 | EXTEND |  | EXTEND
 | BREAK |  | BREAK
 |  |  | AMBREAKATPT Break objects on their common intersection point.
 | JOIN |  | JOIN
 |  |  | AMJOIN Joins different entities.
 | DIVIDE |  | DIVIDE
 | CHAMFER |  | AMCHAM2D Connects two nonparallel objects by extending or trimming them to intersect or to join with a beveled line.
 | FILLET |  | AMFILLET2D Creates filleted edges.

Drawing Sheet Creation Commands

Compare workflows

AutoCAD Mechanical assists in creating, scaling, and annotating drawing sheets in both model and paper space. Title blocks, drawings borders and revision blocks are intelligent objects automatically extracting part or assembly information for display. In model space, title blocks become scaled areas after recommending a standard scale for the selected objects. In paper space, viewport creation also assists in locating components within model space.

Show/Hide Command Map
AutoCAD | AutoCAD Mechanical
 |  | AMTITLE Inserts a title block and a drawing border.
 |  | AMREVLINE Inserts a revision list into a drawing or adds an additional revision line to an existing revision list.

Detail View Creation Commands

Compare workflows

Use AutoCAD Mechanical to create detail views in model or paper space using common scaling factors. Detail views are associative and are automatically updated when the model geometry is modified. Detail views placed in model space create scale areas while those placed in paper space create viewports. All AutoCAD Mechanical commands are aware of the scale factor used for detailing and adjust automatically.

Show/Hide Command Maps
AutoCAD | AutoCAD Mechanical
 |  | AMDETAIL Creates a scaled circular, rectangular or free defined detail view of selected geometry.
 |  | AMSCAREA Defines a drawing area with a different scale factor.

Annotation Commands - Dimensions

Compare workflows

Dimensioning in AutoCAD Mechanical allows fits or fits to be added to those dimensions which are critical to the design. Fits are intelligent, therefore if the nominal size changes, the fit is adjusted accordingly. A Fit List can then be added to the drawing helping to document the design. Automatic dimensioning allows for quick linear, ordinate, shaft, or symmetrical dimensioning in one operation. Numerous dimension editing commands such as arrange and break are available for tiding up placed the dimensions.

Show/Hide Command Map
AutoCAD |  | AutoCAD Mechanical
 | DIMLINEAR |  | AMPOWERDIM Creates linear, aligned, angular, radius, and diameter dimensioning. Allows symbols, fits and tolerances to be added to individual dimensions independent of the dimension style.
 | DIMALIGNED |  | AMPOWERDIM Creates linear, aligned, angular, radius, and diameter dimensioning. Allows symbols, fits and tolerances to be added to individual dimensions independent of the dimension style.
 | DIMORDINATE |  | AMAUTODIM Creates ordinate, parallel, shaft, and symmetric dimensions and gives the chance to rearrange dimensions into a new style.
 |  |  | AMFITSLIST Inserts a fits list from placed dimensions.
 | DIMARC |  | AMPOWERDIM Creates linear, aligned, angular, radius and diameter dimensioning. Allows symbols, fits and tolerances to be added to individual dimensions independent of the dimension style.
 | DIMRADIUS |  | AMPOWERDIM Creates linear, aligned, angular, radius and diameter dimensioning. Allows symbols, fits and tolerances to be added to individual dimensions independent of the dimension style.
 | DIMJOGGED |  | AMPOWERDIM Creates linear, aligned, angular, radius and diameter dimensioning. Allows symbols, fits and tolerances to be added to individual dimensions independent of the dimension style.
 | DIMDIAMETER |  | AMPOWERDIM Creates linear, aligned, angular, radius and diameter dimensioning. Allows symbols, fits and tolerances to be added to individual dimensions independent of the dimension style.
 | DIMANGULAR |  | AMPOWERDIM Creates linear, aligned, angular, radius and diameter dimensioning. Allows symbols, fits and tolerances to be added to individual dimensions independent of the dimension style.
 | QDIM |  | AMAUTODIM Creates ordinate, parallel, shaft, and symmetric dimensions and gives the chance to rearrange dimensions into a new style.
 | DIMBASELINE |  | AMAUTODIM Creates ordinate, parallel, shaft, and symmetric dimensions and gives the chance to rearrange dimensions into a new style.
 | DIMCONTINUE |  | AMAUTODIM Creates ordinate, parallel, shaft, and symmetric dimensions and gives the chance to rearrange dimensions into a new style.
 |  |  | AMDIMARRANGE Rearranges selected dimensions, relative to a selected edge.
 |  |  | AMDIMSTRETCH Stretches/Contracts geometry by letting you select an associated dimension (linear or symmetric) and changing the dimension text.
 |  |  | AMDIMALIGN Aligns dimensions to a selected dimension.
 |  |  | AMDIMJOIN Edits linear, aligned, and angular (3-point or 2-line) dimensions by joining similar dimensions into a single dimension.
 |  |  | AMDIMBREAK Creates breaks in an existing dimension while retaining its intelligence.

Annotation Commands - Hole Charts

Compare workflows

When inserting a hole chart using AutoCAD Mechanical, the origin, hole labels and tables are inserted according to the active standard. When holes are added, removed or moved, the hole chart updates automatically.

Show/Hide Command Map
AutoCAD |  | AutoCAD Mechanical
 | TABLE |  | AMHOLECHART Creates coordinate dimensions for holes in a work piece and generates hole charts.
 | MTEXT

Annotation Commands - Mechanical Symbols

Compare workflows

Not only does AutoCAD Mechanical contain several commands to directly insert various mechanical symbols to a drawing, the symbols as well as associated text are placed in compliance with the active drafting standard.

Show/Hide Command Map
AutoCAD |  | AutoCAD Mechanical
 | QLEADER |  | AMNOTE Describes holes and fits, and creates notes to the drawing with a leader.
 | TOLERANCE |  | AMFCFRAME Creates feature control frame symbols.
 |  |  | AMDATUMID Creates datum identifier symbols.
 |  |  | AMSURFSYM Creates surface texture symbols.
 |  |  | AMWELDSYM Creates welding symbols.
 |  |  | AMTAPERSYM Creates taper/slope symbols.
 | MTEXT |  | AMTEXT7 Creates mtext with a height of 7mm.
 |  |  | AMTEXT5 Creates mtext with a height of 5mm.
 |  |  | AMTEXT3 Creates mtext with a height of 3.5mm.

Annotation Commands - BOM, Part Lists and Balloons

Compare workflows

Built-in BOM (Bill of Material) support eliminates the need to manually track part information, create and maintain parts lists manually. When a part or assembly is added to the design, the parts lists and balloons automatically update. The Parts lists and the balloons adhere to the active drafting standard.

Show/Hide Command Map
AutoCAD |  | AutoCAD Mechanical
 | ATTDEF (Attributes) |  | ATTDEF (Attributes)
 |  |  | AMPARTREF Creates hidden part reference attributes.
 |  |  | AMBOM Creates a BOM database containing a list of attributes.
 |  |  | AMPARTLIST Creates and places a parts list in a drawing.
 |  |  | AMBALLOON Creates, places, renumbers, and reorganizes balloons in a drawing.


AutoCAD features that should be used with caution

AutoCAD - AutoCAD Mechanical Command Maps
Important information for AutoCAD Users
Create and modify geometry
Important information for AutoCAD Users >
AutoCAD features that should be used with caution
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Annotation scaling

AutoCAD lets you select objects used to annotate drawings as annotative.Only annotative objects react to the annotation scale.

AutoCAD Mechanical objects do not react to the annotation scale. If you are using power dimensions, you should not flag them as annotative. AutoCAD Mechanical Objects have been designed to react to scale areas and may not behave as expected if they are made annotative.

Block Editor

The AutoCAD BEDIT command invokes the block editor, an environment for creating block definitions and adding dynamic behaviour.Not all AutoCAD Mechanical commands can be executed within the Block Editor. Click here for a list of commands that do not work in the Block Editor.

DIMLFAC & DIMSCALE

AutoCAD Mechanical uses several scaling mechanisms that are not available in AutoCAD. For example,scale areas allow model space to be divided into areas having different scales. Power dimensioning recognizes the different scales and automatically compensates for them (regular AutoCAD dimensions don't recognize scale areas). To preserve this behavior, you must leave scale related settings at their default values. Accordingly, do not to change the DIMLFAC and DIMSCALE system variables - leave them to be controlled by AutoCAD Mechanical.

Instead of using the DIMLFAC system variable, use the Units tab in the Power Dimensioning dialog box or use Scale Areas. Instead of using the DIMSCALE system variable, use the scale settings on the AM:Standards tab of the Options dialog box.

DDIM / DIMSTYLE

AutoCAD Mechanical creates dimension styles on demand. Hence, when you use the DDIM or DIMSTYLE command to customize dimensions styles, you may not be able to access to all the dimension styles that the AMPOWERDIM command uses.

Instead of using the DDIM or DIMSTYLE command, use the Edit Dimension Styles dialog box to customize dimension styles. With this dialog box you can access all dimension styles that the AMPOWERDIM command uses.

To display this dialog box:

  1. On the command line, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension.
  4. In the Dimension style section, click Edit.

Action Recorder

You can run a recorded macro, but you cannot record any macros from within AutoCAD Mechanical.


Create and modify geometry

AutoCAD features that should be used with caution
Draw construction geometry
Create and modify geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Draw construction geometry
  • Draw geometry
  • Create hatches
  • Create hidden lines
  • Modify geometry
  • Accelerate the drawing process with Power tools
  • Insert standard or custom content
  • Author and publish content
  • Work with precision tools
  • How to manage layers in AutoCAD Mechanical
  • Hide and show objects


Draw construction geometry

Create and modify geometry
Create and modify geometry
Draw construction lines
Create and modify geometry >
Draw construction geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Draw construction lines
  • Trace contours


Draw construction geometry (Procedure)

Draw construction geometry
Draw construction lines
Create and modify geometry >
Draw construction geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a construction line perpendicular to two points

To create a construction line at an absolute angle

To create concentric circles

To create a circular construction line tangent to a line

To create a construction line at a preset distance from a selected line

To create a construction line

To create construction lines automatically

To create a C-line perpendicular to a line

To create a C-line at an angle relative to another line

To create a C-line that bisects an angle

To create a C-line tangential to two circles

To create two parallel C-lines tangential to a circle

To create the end view of a shaft

To create a circular C-line tangential to two lines

To erase construction lines

To check whether a contour is closed or not

To trace the inner contour of an enclosed area, segment by segment

To trace the outer contour of an enclosed area, segment by segment

To trace the outer contour of an enclosed area

To trace the inner contour of an enclosed area


Draw construction lines (Concept)

Draw construction geometry
Draw construction geometry
Trace contours
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

With the construction lines feature, you can create construction lines that extend to infinity in one direction (rays) or both directions (xlines). You can also create circular construction lines.

Construction lines do not change the extents of the drawing, so their infinite dimensions have no effect on zooming or viewpoints. You can move, rotate, and copy construction lines the same way you move, rotate, and copy other objects.

You can use construction lines as references for creating other objects. For example, you can use construction lines to find the center point of a hole, prepare multiple views of the same object, or create temporary intersections that you can use for object snaps.

When you create construction lines, the program places them on layer AM_CL by default. Construction lines appear in red.

Additional options for creating and working with construction lines are as follows:

Automatic Construction Lines:

Using AMAUTOCLINES, you can create horizontal or vertical construction lines at contours. The program includes several options in the Automatic C-line Creation dialog box to create horizontal or vertical construction lines. When you use the AMAUTOCLINES command, the program considers only objects on layers AM_0, AM_1, AM_2, AM_3, and AM_7.

Trace Contour:

Using AMTRCONT, you can trace contours by using existing construction lines and circular construction lines in your drawing. To trace a portion of an arc or a circle, press ENTER while the command is running, then select the arc or circle. Then define the next intersection point. The program creates polylines automatically when you use the AMTRCONT command.

Projection On/Off:

Using AMPROJO, you can insert a projection crosshairs into your drawing. You can use the crosshairs as an aid for creating orthographic views.


Draw construction lines (Procedure)

Draw construction geometry
Up a level to ..
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a construction line perpendicular to two points

To create a construction line at an absolute angle

To create concentric circles

To create a circular construction line tangent to a line

To create a construction line at a preset distance from a selected line

To create a construction line

To create construction lines automatically

To create a C-line perpendicular to a line

To create a C-line at an angle relative to another line

To create a C-line that bisects an angle

To create a C-line tangential to two circles

To create two parallel C-lines tangential to a circle

To create the end view of a shaft

To create a circular C-line tangential to two lines

To erase construction lines


Draw construction lines (Quick Reference)

Draw construction lines
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMAUTOCLINES

AMCONSTLINES

AMMCONTV

AMPROJO

AMTRCONT

AMERASEALLCL

AMERASECL

AMCLINEL

AMCLINEO


To create a construction line perpendicular to two points (Procedure)

Draw construction lines
Up a level to ..
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a construction line perpendicular to two points

  1. Click None [image] None [image] . At the Command prompt, enter AMCONSTLINES.
  2. In the Construction Lines dialog box, select
  3. Specify a point through which the construction line (C-line) must pass.
  4. Specify a second point, or enter an angle value, to define the direction of the construction line.


To create a construction line at an absolute angle (Procedure)

Draw construction lines
Up a level to ..
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a construction line at an absolute angle

  1. Click None [image] None [image] . At the Command prompt, enter AMCONSTLINES.
  2. In the Construction Lines dialog box, select
  3. Specify a point through which the construction line (C-line) must pass.
  4. Specify a second point, or enter an angle value.


To create concentric circles (Procedure)

Draw construction lines
Up a level to ..
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create concentric circles

  1. Click None [image] None [image] . At the Command prompt, enter AMCONSTLINES.
  2. In the Construction Lines dialog box, select
  3. Select an arc or a circle.
  4. Specify a diameter value for the concentric circle. To draw more than one circle, type | (a pipe) between the diameter values.


To create a circular construction line tangent to a line (Procedure)

Draw construction lines
Up a level to ..
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a circular construction line tangent to a line

  1. Click None [image] None [image] . At the Command prompt, enter AMCONSTLINES.
  2. In the Construction Lines dialog box, select
  3. Select an xline, a ray, or a line.
  4. Specify a point to define the location of the circle.
  5. Specify a radius value.
  6. Press ENTER.


To create a construction line at a preset distance from a selected line (Procedure)

Draw construction lines
Up a level to ..
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a construction line at a preset distance from a selected line

  1. Click None [image] None [image] . At the Command prompt, enter AMCONSTLINES.
  2. In the Construction Lines dialog box, select
  3. Select an xline, a ray, or a line.
  4. Specify an insertion point, or enter a distance value.
  5. If you entered a distance value in step 4, specify the side to offset the construction line (C-line) from the base line.
NoteThe construction line is drawn at the preset distance from the selected line.


To create a construction line (Procedure)

Draw construction lines
Up a level to ..
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a construction line

  1. Click None [image] None [image] . At the Command prompt, enter AMCONSTLINES.
  2. In the Construction Lines dialog box, select [image] or
  3. Specify an insertion point for the construction line (C-line).


To create construction lines automatically (Procedure)

Draw construction lines
Up a level to ..
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create construction lines automatically

  1. Click None [image] None [image] . At the Command prompt, enter AMAUTOCLINES.
  2. In the Automatic C-line Creation dialog box, choose the desired icon.
  3. Select the object on which you want to insert the construction lines.


To create a C-line perpendicular to a line (Procedure)

Draw construction lines
Up a level to ..
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a C-line perpendicular to a line

  1. Click None [image] None [image] . At the Command prompt, enter AMCONSTLINES.
  2. In the Construction Lines dialog box, select
  3. Select an xline, a ray, or a line.
  4. Specify a point through which the construction line (C-line) must pass.


To create a C-line at an angle relative to another line (Procedure)

Draw construction lines
Up a level to ..
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a C-line at an angle relative to another line

  1. Click None [image] None [image] . At the Command prompt, enter AMCONSTLINES.
  2. In the Construction Lines dialog box, select
  3. Specify a point through which the construction line (C-line) must pass.
  4. Specify a base line by clicking a point.
  5. Specify a relative angle by clicking a point or by entering an angle value.


To create a C-line that bisects an angle (Procedure)

Draw construction lines
Up a level to ..
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a C-line that bisects an angle

  1. Click None [image] None [image] . At the Command prompt, enter AMCONSTLINES.
  2. In the Construction Lines dialog box, select
  3. Select the first, and then the second line of the angle, or press ENTER to define the angle.
  4. Select the first, and then the second line of the angle.
NoteTo define the angle press ENTER, select the vertex of the angle, then select the first and the second endpoint of the vertex.


To create a C-line tangential to two circles (Procedure)

Draw construction lines
Up a level to ..
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a C-line tangential to two circles

  1. Click None [image] None [image] . At the Command prompt, enter AMCONSTLINES.
  2. In the Construction Lines dialog box, select
  3. Select the first arc or circle, and then the second arc or circle.


To create two parallel C-lines tangential to a circle (Procedure)

Draw construction lines
Up a level to ..
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create two parallel C-lines tangential to a circle

  1. Click None [image] None [image] [image] At the Command prompt, enter AMCONSTLINES.
  2. In the Construction Lines dialog box, select
  3. Select an arc or a circle.
  4. Specify a point or enter an angle value to define the direction of the C-lines.


To create the end view of a shaft (Procedure)

Draw construction lines
Up a level to ..
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create the end view of a shaft

  1. Click None [image] None [image] . At the Command prompt, enter AMCONSTLINES.
  2. In the Construction Lines dialog box, select
  3. Select the centerline of the shaft.
  4. Click a point on the contour side view.
  5. Specify an insertion point for the construction circle.


To create a circular C-line tangential to two lines (Procedure)

Draw construction lines
Up a level to ..
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a circular C-line tangential to two lines

  1. Click None [image] None [image] . At the Command prompt, enter AMCONSTLINES.
  2. In the Construction Lines dialog box, select
  3. Select the first line, and then the second line.
  4. Specify a diameter value for the circle.


To erase construction lines (Procedure)

Draw construction lines
Up a level to ..
Trace contours
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To erase construction lines

There are two options to delete construction lines.

  1. Delete all construction lines from the drawing.
  2. Delete only selected construction lines.
  • Use AMERASEALLCL to delete all construction lines from a current drawing.
  • Use AMERASECL to delete selected construction lines from a current drawing.
    1. First corner of window: Select a point.
    2. Second corner of window: Select a point.


Draw construction lines (Quick Reference)

Draw construction lines
Draw construction lines
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMAUTOCLINES

Creates vertical and horizontal construction lines on all endpoints of selected objects.

Ribbon: Home tab [image] Draw Tools panel [image] Automatic Construction Lines. Does not exist on the ribbon.
Toolbar: Design Tools [image] Construction
Menu: Draw [image] Construction Lines [image] Automatic Construction Lines... Does not exist in the menus.
Command entry: amautoclines

You specify the direction of the construction lines in a dialog box. By default, this command recognizes objects that are only drawn on layers AM_0, AM_1, AM_2, AM_2N, AM_3, AM_3N, AM_7 and AM_7N.

The Automatic C-line Creation dialog box appears. You can set the type of construction lines.

NoteThe program considers only objects on layers AM_0, AM_1, AM_2, AM_2A, AM_3, AM_3A, AM_7, and AM_7A when automatically drawing construction lines.

DIALOG BOX DEFINITIONS

Automatic C-line Creation dialog box

Use this dialog box to create vertical or horizontal C-lines. You only have to select the direction into which you want the C-lines created. After you select the objects, the program draws the construction lines.


Draw construction lines (Quick Reference)

Draw construction lines
Draw construction lines
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCONSTLINES

Draws construction lines

Ribbon: Home tab [image] Draw Tools panel [image] Draw Construction Lines. Does not exist on the ribbon.
Toolbar: Design Tools [image] Construction
Menu: Draw [image] Construction Lines [image] Draw Construction Lines... Does not exist in the menus.
Command entry: amconstlines

A dialog box enables you to select the type of construction line to draw.

The Construction Lines dialog box appears. You can set the type of construction lines.

COMMAND LINE OPTIONS

The options displayed at the command prompt depend on the type of construction line you are creating. The main command prompts are:

Second point or Angle (xx|xx|xx..) <30|45|60>: Specify a point or an angle value.

Base angle: Specify a point to define the base angle.

Relative Angle (xx|xx|xx..) or 2nd point for relative angle <30|45|60>: Specify a point or an angle.

Select XLINE, RAY or LINE: Select one of the objects.

[Rotate ray through 180 deg]/Distance (xx|xx|xx..) or Insertion point <10|20|30>:

Side to offset: Select a point.

Base point for perpendicular line: Specify a point.

Select first line/Return=Define bi-section points: Select the first and second line of the angle or press ENTER to define the angle.

Note:

  • Angle <30|45|60> means you can draw three construction lines at 30 degrees, 45, and 60 degrees from a selected line. Distance <10|20|30> means you can draw three construction lines at a distance of 10 units, 20 units, and 30 units from a selected point.
  • You can draw one, two, three, or several construction lines at preset distance or angle values. Enter angle or distance values separated by the logical OR symbol “|”.
Construction Line Mode: Ray Invokes the AMCONSTSWI command such that construction lines are set to Ray.
 | AMCONSTHOR | Creates a horizontal construction line.
 | AMCONSTHW | Creates a construction line with a relative angle from a line.
 | AMCONSTLOT2 | Creates a construction line perpendicular to two points.
 | AMCONSTCC | Creates a concentric construction line circle to a circle.
 | AMCONST_CIRCLE | Creates a construction line circle.
 | AMCONSTVER | Creates a vertical construction line.
 | AMCONSTPAR | Creates a parallel construction line with full distance.
 | AMCONSTHM | Creates a bisecting construction line of an angle.
 | AMCONSTCCREA | Creates a circle to the end of a shaft. The program draws the circle on the current layer, but not on the AM_CL layer.
 | AMCONSTCIRCLI | Creates a construction line rectangle around a circle.
 | AMCONSTCRS | Creates a construction line cross.
 | AMCONSTPAR2 | Creates a parallel construction line with half distance.
 | AMCONSTTAN | Creates two parallel construction lines tangent to a circle.
 | AMCONSTC2 | Creates a construction line circle tangent to a line.
 | AMCONSTXRAY | Creates construction lines starting from one point.
 | AMCONSTHB | Creates a construction line by defining two points or an angle.
 | AMCONSTLOT | Creates a construction line perpendicular to a line.
 | AMCONSTTC | Creates a construction line tangent to two circles.
 | AMCONSTKR | Creates a construction line circle tangent to two lines.
 | AMCONSTXLINE | Creates construction lines starting from one point in both directions.
 | AMCONSTZ | Creates a construction line in Z direction.
Construction Line Mode: Xline Invokes the AMCONSTSWI command such that construction lines are set to Xline.
 | AMCONSTHOR | Creates a horizontal construction line.
 | AMCONSTHW | Creates a construction line with a relative angle from a line.
 | AMCONSTLOT2 | Creates a construction line perpendicular to two points.
 | AMCONSTCC | Creates a concentric construction line circle to a circle.
 | AMCONST_CIRCLE | Creates a construction line circle.
 | AMCONSTVER | Creates a vertical construction line.
 | AMCONSTPAR | Creates a parallel construction line with full distance.
 | AMCONSTHM | Creates a bisecting construction line of an angle.
 | AMCONSTCCREA | Creates a circle to the end of a shaft. The program draws the circle on the current layer, but not on the AM_CL layer.
 | AMCONSTCIRCLI | Creates a construction line rectangle around a circle.
 | AMCONSTCRS | Creates a construction line cross.
 | AMCONSTPAR2 | Creates a parallel construction line with half distance.
 | AMCONSTTAN | Creates two parallel construction lines tangent to a circle.
 | AMCONSTC2 | Creates a construction line circle tangent to a line.
 | AMCONSTXRAY | Creates construction lines starting from one point.
 | AMCONSTHB | Creates a construction line by defining two points or an angle.
 | AMCONSTLOT | Creates a construction line perpendicular to a line.
 | AMCONSTTC | Creates a construction line tangent to two circles.
 | AMCONSTKR | Creates a construction line circle tangent to two lines.
 | AMCONSTXLINE | Creates construction lines starting from one point in both directions.
 | AMCONSTZ | Creates a construction line in Z direction.


Draw construction lines (Quick Reference)

Draw construction lines
Draw construction lines
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMMCONTV

Makes contours that are hidden by construction lines visible.

Ribbon: Home tab [image] Draw Tools panel [image] Make Contours Visible. Does not exist on the ribbon.
Toolbar: Design Tools [image] Construction Edit
Menu: Draw [image] Construction Lines [image] Make Contours Visible Does not exist in the menus.
Command entry: ammcontv

COMMAND LINE OPTIONS

Select objects: Select the hidden object(s).


Draw construction lines (Quick Reference)

Draw construction lines
Draw construction lines
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPROJO

Creates projection lines to assist you create orthographic views

Ribbon: Home tab [image] Draw Tools panel [image] Projection On/Off. Does not exist on the ribbon.
Toolbar: Design Tools [image] Construction Edit [image] Design Tools
Menu: Draw [image] Construction Lines [image] Projection On/Off Does not exist in the menus.
Command entry: amprojo

COMMAND LINE OPTIONS

Projection [OFF/ON] <ON>: Press Enter.

Specify insertion point: Specify a point.

Specify rotation angle: Specify an angle.


Draw construction lines (Quick Reference)

Draw construction lines
Draw construction lines
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTRCONT

Traces contours on construction lines or construction line circles.

Ribbon: Home tab [image] panel [image] . Does not exist on the ribbon.
Toolbar: Design Tools [image] Construction Edit
Menu: Draw [image] Construction Lines [image] Trace Contour Does not exist in the menus.
Command entry: amtrcont

COMMAND LINE OPTIONS

First point: Specify a point.

Select next point for line or [Undo/Close] <draw Arc>: Specify a point, then select more points until you have selected all the points for the contour. To specify an arc, press ENTER.

CL Close: Enter CL to close the contour.

Return=Arc,Circle: Press ENTER to trace the contour of the arc or circle.

Select point on arc: Select a point.

Endpoint: Select a point.


Draw construction lines (Quick Reference)

Draw construction lines
Draw construction lines
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMERASEALLCL

Erases all construction lines

Ribbon: Home tab [image] Draw Tools panel [image] Erase all Construction Lines. Does not exist on the ribbon.
Toolbar: Design Tools [image] Construction Edit
Menu: Modify [image] Erase [image] Erase all Construction Lines Does not exist in the menus.
Command entry: ameraseallcl

You can use this command only if the construction lines were drawn while Automatic Property Management was ON.

NoteThe command is available only if you activate layer management.


Draw construction lines (Quick Reference)

Draw construction lines
Draw construction lines
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMERASECL

Erases selected construction lines

Ribbon: Home tab [image] Draw Tools panel [image] Erase Construction Lines. Does not exist on the ribbon.
Toolbar: Design Tools [image] Construction Edit
Menu: Modify [image] Erase [image] Erase Construction Lines Does not exist in the menus.
Command entry: amerasecl

You can use this command only if the construction lines were drawn while Automatic Property Management was ON.

COMMAND LINE OPTIONS

First corner of window: Select a point.

Second corner of window: Select a point.

Note: The command is available only if you activate layer management.


Draw construction lines (Quick Reference)

Draw construction lines
Draw construction lines
Draw construction lines
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCLINEL

Locks or unlocks construction line layers

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Layer Tools [image] Construction Lines Lock/Unlock Does not exist in the menus.
Command entry: amclinel

The default layer for construction lines is AM_CL. To find out what layers are reserved for construction lines in the current drawing, inspect the Object Property Settings dialog box.


Draw construction lines (Quick Reference)

Draw construction lines
Draw construction lines
Trace contours
Create and modify geometry > Draw construction geometry >
Draw construction lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCLINEO

Freezes or thaws construction line layers

Ribbon: Home tab [image] Layers panel [image] Layers, Construction Lines On/Off. Does not exist on the ribbon.
Toolbar: Mechanical Layer Tools
Menu: Format [image] Layer Tools [image] Layers, Construction Lines On/Off Does not exist in the menus.
Command entry: amclineo

The default layer for construction lines is AM_CL. To find out what layers are reserved for construction lines in the current drawing, inspect the Object Property Settings dialog box.


Trace contours (Concept)

Draw construction lines
Draw construction geometry
Draw geometry
Create and modify geometry > Draw construction geometry >
Trace contours
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Contour tracing is useful if you want to create a closed polyline that traces the boundary of an enclosed area, especially one bounded by several objects. You can copy the contour (polyline) and process it, for example, to calculate dimensions or to calculate the moment of inertia.

The AMCONTIN command traces the inner contour of an area. To begin the trace, select the boundary edges of the region or click within the enclosed area.

The AMCONTOUT command traces the outer contour of an area. To begin the trace, select the boundary edges of the region.

The AMCONTRACE command can trace the contour of an area, segment by segment. It also enables you to check whether a contour is open or closed.

This command gives you two choices: to show the open ends of the contour or to show the endpoints of the contour segments. If you choose to show the open ends of the contour, only the contour ends show. If you choose to show the endpoints, the system stops at every corner or vertex, shows the coordinates, and prompts you to determine whether it continues in single-step mode.

If the command finds an open end in the contour, it draws a small square around that point and reverses direction. If the command finds another open end in the same place in the contour when tracing in the reverse direction, that is where the contour is open.

The program places all contours created by these commands on AM_4 by default (the layer assigned to Auxiliary Lines in the Layer/Objects Settings dialog box, by default).


Trace contours (Procedure)

Draw construction lines
Up a level to ..
Trace contours
Create and modify geometry > Draw construction geometry >
Trace contours
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To check whether a contour is closed or not

To trace the inner contour of an enclosed area, segment by segment

To trace the outer contour of an enclosed area, segment by segment

To trace the outer contour of an enclosed area

To trace the inner contour of an enclosed area


Trace contours (Quick Reference)

Draw construction lines
Trace contours
Trace contours
Create and modify geometry > Draw construction geometry >
Trace contours
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCONTRACE

AMCONTIN

AMCONTOUT


To check whether a contour is closed or not (Procedure)

Trace contours
Up a level to ..
Trace contours
Create and modify geometry > Draw construction geometry >
Trace contours
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To check whether a contour is closed or not

  1. Click None [image] None [image] . At the Command prompt, enter AMCONTRACE.
  2. To check the outer contour of an area:
    1. At the Command prompt, select Outside.
    2. Select the objects that form the closed loop.
    3. Press ENTER.
    4. To use any entities on underlying layers as additional boundaries, select them.
    5. Press ENTER again.
  3. To check the inner contour of an area:
    1. Click in the area.
  4. In the Message dialog box, click No.

    The system traces the contour, pausing at each vertex to mark it. If an open end is found, a small square is drawn around that point and the tracing direction reverses. If another open end is found in the same place when tracing in the reverse direction, that is where the contour is open.

  5. Each time the system pauses type Y and press ENTER. Repeat until the entire contour has been traversed and then type N and press ENTER.
    NoteTo remove the vertex markers, type REGEN at the Command prompt and press ENTER.


To trace the inner contour of an enclosed area, segment by segment (Procedure)

Trace contours
Up a level to ..
Trace contours
Create and modify geometry > Draw construction geometry >
Trace contours
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To trace the inner contour of an enclosed area, segment by segment

  1. Click None [image] None [image] . At the Command prompt, enter AMCONTRACE.
  2. At the Command prompt, select Inside.
  3. Click in an area to define the boundaries of the contour you want to trace.
  4. In the Message dialog box, click No.

    The system traces the contour, pausing at each vertex to mark it.

  5. Each time the system pauses type Y and press ENTER. Repeat until the entire contour is drawn.
    NoteTo remove the vertex markers, type REGEN at the Command prompt and press ENTER.


To trace the outer contour of an enclosed area, segment by segment (Procedure)

Trace contours
Up a level to ..
Trace contours
Create and modify geometry > Draw construction geometry >
Trace contours
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To trace the outer contour of an enclosed area, segment by segment

  1. Click None [image] None [image] . At the Command prompt, enter AMCONTRACE.
  2. At the Command prompt, select Outside.
  3. Select the objects that form the closed loop.
  4. Press ENTER.
  5. If you want to use any entities on underlying layers as additional boundaries, select them.
  6. Press ENTER again.
  7. In the Message dialog box, click No.

    The system traces the contour, pausing at each vertex to mark it.

  8. Each time the system pauses type Y and press ENTER. Repeat until the entire contour is drawn.
    NoteTo remove the vertex markers, type REGEN at the Command prompt and press ENTER.


To trace the outer contour of an enclosed area (Procedure)

Trace contours
Up a level to ..
Trace contours
Create and modify geometry > Draw construction geometry >
Trace contours
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To trace the outer contour of an enclosed area

  1. Click None [image] None [image] . At the Command prompt, enter AMCONTOUT.
  2. Select the objects that bound the area you want to trace.
  3. To use any entities on underlying layers as additional boundaries, select them.
  4. Press ENTER.


To trace the inner contour of an enclosed area (Procedure)

Trace contours
Up a level to ..
Draw geometry
Create and modify geometry > Draw construction geometry >
Trace contours
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To trace the inner contour of an enclosed area

  1. Click None [image] None [image] . At the Command prompt, enter AMCONTIN.
  2. To define the area by selecting the objects on the boundary:
    1. Type S and press ENTER.
    2. Select the objects and press ENTER when you finish.
  3. If you want to use any entities on underlying layers as additional boundaries, select them.
  4. Click inside the enclosed area. A contour is drawn along the boundary.


Trace contours (Quick Reference)

Trace contours
Trace contours
Trace contours
Create and modify geometry > Draw construction geometry >
Trace contours
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCONTRACE

Creates a closed contour that traces the contour of an area by letting you specify the boundaries segment by segment

Ribbon: Home tab [image] panel [image] . Does not exist on the ribbon.
Toolbar: Design Tools [image] Construction Edit [image] Design Tools
Menu: Draw [image] Boundary [image] Contour Trace Does not exist in the menus.
Command entry: amcontrace

If the area you specified does not form a closed contour, this command highlights the open ends.

COMMAND LINE OPTIONS

Enter contour type [Inside/Outside] <Inside>: Specify a contour.

  • Inside:

    Select additional boundary or point in area or [Select objects]:Enter S to select objects. To select boundaries or point in an area, press ENTER.

    Select additional boundary: Select any entities on underlying layers to use as additional boundaries.

    Point in area: Click within an area to open its contour.

    Select objects: Select the objects that bound the area. Press ENTER.

    The AutoCAD dialog box appears, asking whether to show only contour ends.

    Continue single step? (Y/N)? <Y>:

  • Outside:

    Select objects: Select the objects that bound the area. Press ENTER.

    Select additional boundary entities: Select any entities on underlying layers to use as additional boundaries.

    The AutoCAD dialog box appears, asking whether to show only contour ends.

    Continue single step? (Y/N)? <Y>:


Trace contours (Quick Reference)

Trace contours
Trace contours
Trace contours
Create and modify geometry > Draw construction geometry >
Trace contours
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCONTIN

Creates a closed polyline that traces the inner contour of an enclosed area

Ribbon: Home tab [image] panel [image] . Does not exist on the ribbon.
Toolbar: Design Tools [image] Construction Edit [image] Design Tools
Menu: Draw [image] Boundary [image] Contour Inside Does not exist in the menus.
Command entry: amcontin

You can copy the polyline and process it, for example, to calculate dimensions or to calculate the moment of inertia.

COMMAND LINE OPTIONS

Select additional boundary or point in area or [Select objects]: To select objects, enter S. To select boundaries or point in an area, refer to the later commentary.

Select additional boundary: Select any entities on underlying layers to use as additional boundaries.

Point in area: Click within an area to open its contour.

Select objects: Select the objects that bound the area. Press ENTER.


Trace contours (Quick Reference)

Trace contours
Trace contours
Rectangles
Create and modify geometry > Draw construction geometry >
Trace contours
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCONTOUT

Creates a closed polyline that traces the outer contour of an enclosed area

Ribbon: Home tab [image] panel [image] . Does not exist on the ribbon.
Toolbar: Design Tools [image] Construction Edit [image] Design Tools
Menu: Draw [image] Boundary [image] Contour Outside Does not exist in the menus.
Command entry: amcontout

You can copy the polyline and process it, for example, to calculate dimensions or to calculate the moment of inertia.

COMMAND LINE OPTIONS

Select entities for border

Select Objects: Select the objects that bound the area. Press ENTER.

Select additional boundary entities: Select any entities on underlying layers to use as an additional boundary.


Draw geometry

Trace contours
Create and modify geometry
Rectangles
Create and modify geometry >
Draw geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Rectangles
  • Centerlines and centerline crosses
  • Special lines


Draw geometry (Procedure)

Trace contours
Draw geometry
Rectangles
Create and modify geometry >
Draw geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To draw a rectangle using a corner as the starting point

To draw a rectangle using the midpoint of the base as the starting point

To draw a rectangle using the midpoint of the height as the starting point

To draw a rectangle using the center of the rectangle as the starting point

To configure the default values for chamfer

To configure default values for the fillet

To create a centerline cross

To create a centerline cross in a corner

To create a centerline cross in a hole

To create a centerline cross on a full circle

To create a centerline cross on a plate

To create a centerline cross with an angle

To create a centerline cross with a hole

To create a centerline between two lines

To create a centerline

To create symmetrical lines

To create a break-out line

To create a section line

To create a zigzag line


Rectangles (Concept)

Draw geometry
Draw geometry
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Rectangles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical provides the AMRECTANG command to enable you to create rectangular-shaped, closed polylines.

By default, AMRECTANG enables you to define a rectangle by specifying two opposite corners. However, depending on where you want to insert the rectangle, you may not always find it convenient to specify the two opposite corners. As such, the AMRECTANG command provides options to define rectangles using points other than the two corner points.

Soon after invoking the command, if you press SPACE, the starting point changes. The glyph next to the crosshairs changes to show the current start point.

Glyph | Meaning
 | Creates a rectangle using a corner as the starting point.
 | Creates a rectangle using the midpoint of the base as the starting point
 | Creates a rectangle using the midpoint of the height as the starting point.
 | Creates a rectangle using the center of the rectangle as the starting point.

Once you specify the starting point, you can choose to change the shape of the corners (fillet or chamfer). You can also control whether centerlines are drawn with the rectangle or not.

After that, you must specify the second point that defines the rectangle. You can click in the drawing area to specify the second point. If dimension input is enabled, you can specify the second point by entering dimension values on the tooltips.

You can also define the rectangle using the area and either a length or a width. If the Chamfer or Fillet option is active, the area calculation takes the effect of the chamfers or fillets on the corners into consideration.

AutoCAD Mechanical provides several other options to define the start point and end point. To access them, use the command line options to display the Rectangles dialog box.


Rectangles (Procedure)

Draw geometry
Up a level to ..
Rectangles
Create and modify geometry > Draw geometry >
Rectangles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw a rectangle using a corner as the starting point

To draw a rectangle using the midpoint of the base as the starting point

To draw a rectangle using the midpoint of the height as the starting point

To draw a rectangle using the center of the rectangle as the starting point

To configure the default values for chamfer

To configure default values for the fillet


Rectangles (Quick Reference)

Trace contours
Rectangles
Rectangles
Create and modify geometry > Draw geometry >
Rectangles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMRECTANG

Rectangles dialog box

Chamfer dialog box

Fillet dialog box


To draw a rectangle using a corner as the starting point (Procedure)

Rectangles
Up a level to ..
Rectangles
Create and modify geometry > Draw geometry >
Rectangles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw a rectangle using a corner as the starting point

  1. Click the Home tab [image] Draw panel [image] . .At the command prompt, enter AMRECTANG.
  2. Click in the drawing area to specify the first corner of the rectangle (1 in the preceding illustration).
  3. Specify the opposite corner.

    To specify the corner by selecting a point:

    • In the drawing area, click the point to use as the opposite corner (2 in the preceding illustration).

    To specify the corner by entering the distance to the point:

    1. Right-click the Dynamic Input button, [image] , on the status bar, click Settings, and verify that Dimension input is enabled.
    2. Click OK.
    3. In the tooltip along the base, enter the base length and press TAB (3 in the preceding illustration).
    4. Enter the value for the height and press ENTER.


To draw a rectangle using the midpoint of the base as the starting point (Procedure)

Rectangles
Up a level to ..
Rectangles
Create and modify geometry > Draw geometry >
Rectangles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw a rectangle using the midpoint of the base as the starting point

  1. Click Home tab [image] Draw panel [image] . At the command prompt, enter AMRECTANG.
  2. Press SPACE until the crosshairs resemble
  3. Click in the drawing area to specify the midpoint of the base (1 in the preceding illustration).
  4. Specify the opposite corner.

    To specify the corner by selecting a point:

    • In the drawing area, click a point to use as a corner (2 in the preceding illustration).

    To specify the corner by entering the distance to the point:

    1. Right-click the Dynamic Input button, [image] , on the status bar, click Settings, and verify that Dimension input is enabled.
    2. Click OK.
    3. In the tooltip along the base, enter the value corresponding to half of the base and press TAB (3 in the preceding illustration).
    4. Enter the value for the height and press ENTER.


To draw a rectangle using the midpoint of the height as the starting point (Procedure)

Rectangles
Up a level to ..
Rectangles
Create and modify geometry > Draw geometry >
Rectangles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw a rectangle using the midpoint of the height as the starting point

  1. Click Home tab [image] Draw panel [image] . .At the command prompt, enter AMRECTANG.
  2. Press SPACE until the crosshairs resemble
  3. Click in the drawing area to specify the midpoint of height (1 in the preceding illustration).
  4. Specify the opposite corner.

    To specify the corner by selecting a point:

    • In the drawing area, click a point to use as a corner (2 in the preceding illustration).

    To specify the corner by entering the distance to the point:

    1. Right-click the Dynamic Input button, [image] , on the status bar, click Settings and verify that Dimension input is enabled.
    2. Click OK.
    3. In the tooltip along the base, enter the base length and press TAB (3 in the preceding illustration).
    4. Enter the value for the half of the height and press ENTER.


To draw a rectangle using the center of the rectangle as the starting point (Procedure)

Rectangles
Up a level to ..
Rectangles
Create and modify geometry > Draw geometry >
Rectangles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw a rectangle using the center of the rectangle as the starting point

  1. Click Home tab [image] Draw panel [image] . .At the command prompt, enter AMRECTANG.
  2. Press SPACE until the crosshairs resemble
  3. Click in the drawing area to specify the center of the rectangle (1 in the preceding illustration).
  4. Specify the opposite corner.

    To specify the corner by selecting a point:

    • In the drawing area, click a point to use as a corner (2 in the preceding illustration).

    To specify the corner by entering the distance to the point:

    1. Right-click the Dynamic Input button, [image] , on the status bar, click Settings and verify that Dimension input is enabled.
    2. Click OK.
    3. In the tooltip along the base, enter the value corresponding to half of the base and press TAB (3 in the preceding illustration).
    4. Enter the value for the half of the height and press ENTER.


To configure the default values for chamfer (Procedure)

Rectangles
Up a level to ..
Rectangles
Create and modify geometry > Draw geometry >
Rectangles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure the default values for chamfer

  1. Click None [image] None [image] . At the Command prompt, enter AMCHAM2D.
  2. Press ENTER for Setup.
  3. In the First chamfer length list and the Second chamfer length list, select values for the chamfer.
  4. Click OK.
  5. Press ESC to terminate the command.


To configure default values for the fillet (Procedure)

Rectangles
Up a level to ..
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Rectangles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure default values for the fillet

  1. Click None [image] None [image] . At the Command prompt, enter AMFILLET2D.
  2. Press Enter to display the Fillet dialog box.
  3. In the Fillet size list, select the default value.
  4. Click OK.


Rectangles (Quick Reference)

Rectangles
Rectangles
Rectangles
Create and modify geometry > Draw geometry >
Rectangles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMRECTANG

Draws a rectangle using a closed polyline.

Ribbon: Home tab [image] Draw panel [image] Rectangle. Does not exist on the ribbon.
Toolbar: Draw [image] Rectangle
Menu: Draw [image] Rectangle Does not exist in the menus.
Command entry: amrectang

COMMAND LINE OPTIONS

Specify first corner point or [coRner/Base/Height/Center/chaMfer/Fillet/centerLine/Dialog] In the drawing area click to specify a corner of the rectangle or Select an option. Press the SPACEBAR to switch to using the midpoint of the base as the starting point.

Corner

Draws a rectangle when you specify two diagonally opposite corners.

Specify first corner point or [coRner/Base/Height/Center/chaMfer/Fillet/centerLine/Dialog] In the drawing area click to specify a corner of the rectangle or Select an option. Press the SPACEBAR to switch to using the midpoint of the base as the starting point.

Base

Draws a rectangle when you specify the midpoint of the base and a corner on the opposite side.

Specify base midpoint or [coRner/Base/Height/Center/chaMfer/Fillet/centerLine/Dialog] In the drawing area click to specify the midpoint of the base of the rectangle or Select an option. Press the SPACEBAR to switch to using the midpoint of the height as the starting point.

Height

Draws a rectangle when you specify the mid point of the height and a corner on the opposite side.

Specify height midpoint or [coRner/Base/Height/Center/chaMfer/Fillet/centerLine/Dialog] In the drawing area click to specify the midpoint of the height of the rectangle or Select an option. Press the SPACEBAR to switch to using the center of the rectangle as the starting point.

Center

Draws a rectangle when you specify the center of the rectangle and a corner.

Specify center or [coRner/Base/Height/Center/chaMfer/Fillet/centerLine/Dialog] In the drawing area, click to specify the center of the rectangle or select an option. Press the SPACEBAR to switch to using a corner of the rectangle as the starting point.

Specify

Defines the starting point to draw the rectangle.

Specify other corner point or [Area/Rotation]: Select the second point or select an option. When dimensional input is on, tooltips display distance to the second point. You can Press TAB to move to the value you want to change and specify the distance to the second point using the keyboard.

Area

Creates the rectangle using the area and either the base or height. If the Chamfer or Fillet option is active, the calculation takes into account the effect on the corners of the rectangle.

Enter area of rectangle in current units <200>: Specify a positive value as the area.

Calculate rectangle dimensions based on [Base/Height] Enter B or H

Enter rectangle base <20.00>:Enter a non-zero value. If you enter a negative value, the base extends to the left.

or

Enter rectangle height <20.00>:Enter a non-zero value. If you enter a negative value, the height will extend towards the bottom.

Rotation

Creates the rectangle at a specified rotation angle.

Specify rotation angle or [Pick points] <0>: Specify a value for the angle or click two points in the drawing area to define the direction.

Chamfer

Creates a rectangle with chamfered corners.

Enter option [use Existing/Setup] <use Existing>: Press enter to use current chamfer values (displayed on the command line prior to this prompt) or enter S to display the chamfer dialog box, which enables you to specify the chamfer values to use.

Fillet

Creates a rectangle with filleted corners.

Enter option [use Existing/Setup] <use Existing>: Press enter to use current fillet options (displayed on the command line prior to this prompt) or enter S to display the Fillet dialog box, which enables you to specify the fillet options to use.

Centerline

Creates a rectangle with centerlines.

Place centerline parallel to [Base/Height/boTh] <Base>: Press B to draw a centerline parallel to the base. Press H to draw a centerline parallel to the height. Press T to draw centerlines parallel to both the base and height.

Dialog

Displays a dialog box with various options to create squares and rectangles.


Rectangles (Quick Reference)

Rectangles
Rectangles
Rectangles
Create and modify geometry > Draw geometry >
Rectangles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Rectangles dialog box

Use this dialog box to specify how to define the corners of a rectangle or a square. Point 1 on each button designates the starting point; point 2 designates the endpoint.

Each button on the dialog box corresponds to a command.

Rectangle Tab
 | AMRECTANG | Creates a rectangle starting with the one corner and by specifying the opposite corner.
 | AMRECTCWH | Creates a rectangle by using the center of the rectangle as the start point, and by specifying the full base and full height.
 | AMRECTBWH | Creates a rectangle by selecting the middle of the base as the start point, and by specifying the full base and full height.
 | AMRECTBY | Creates a rectangle by selecting the middle of the base as the start point, and by specifying a corner point.
 | AMRECTCW2H | Creates a rectangle by using the center of the rectangle as the start point, and by specifying half of the base and half of the height
 | AMRECTBWH2 | Creates a rectangle by using the middle of the base as the start point, and by specifying the full base and half of the height
 | AMRECTLY | Creates a rectangle by using the midpoint of the height as the start point, and by specifying the opposite corner.
 | AMRECTCWH2 | Creates a rectangle by using the center of the rectangle as the start point, and by specifying the full base and half of the height
 | AMRECTLWH | Creates a rectangle by using the midpoint of the height as the start point, and by specifying the full base and full height.
 | AMRECTCY | Creates a rectangle by using the center of the rectangle as the start point, and by specifying corner.
 | AMRECTCW2H2 | Creates a rectangle by using the center of the rectangle as the start point, and by specifying half of the base and half of the height
 | AMRECTLWH2 | Creates a rectangle by selecting the midpoint of the height as the start point, and by specifying the full base and half of the height
 | AMRECTXWH | Creates a rectangle by using a corner of the rectangle as the start point, and by specifying the full base and full height.
Square Tab
 | AMRECTQBT | Creates a square using with the midpoint of the base as the start point and by specifying the full base.
 | AMRECTQLR | Creates a square using the midpoint of the height and by specifying the full base.
 | AMRECTQBY | Creates a square using the midpoint of the base as the starting point and by specifying half of the base (width).
 | AMRECTQLY | Creates a square using the midpoint of the height as the starting point and specifying half of the base (width).
 | AMRECTQCR | Creates a square using the center of the square as the starting point and by specifying half of the base (width).
 | AMRECTQXY | Creates a square using a corner of the base as the starting point and by specifying the base (width).
 | AMRECTQCW | Creates a square using the center of the square as the starting point and by specifying the base (width).


Rectangles (Quick Reference)

Rectangles
Rectangles
Rectangles
Create and modify geometry > Draw geometry >
Rectangles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Chamfer dialog box

Use this dialog box to select chamfer distances and chamfer angles, to specify whether to insert a chamfer with dimensions, and whether to trim the selected edges to the chamfer line endpoints.

First Chamfer Length Displays a list of values that you can use to specify the distance of the first chamfer from the selected edge. The [image] button reverts to the drawing, where you can specify a value for the first chamfer distance. This value is displayed in the Input field.
Second Chamfer Length Displays a list of common values that you can use to specify the distance of the second chamfer from the selected edge. The [image] button reverts to the drawing, where you can specify a value for the second chamfer distance. This value is displayed in the Input field.
Chamfer Angle Displays a list of available angle values that you can use to specify the distance of the second chamfer from the selected edge. The [image] button reverts to the drawing, where you can specify a chamfer angle. This value is displayed in the Input box.
Options
 | Trim Geometry Sets the AMCHAM2D command to trim the selected edges to the chamfer line endpoints
 | Insert dimension on chamfer Inserts a dimension when you create the chamfer.
 | Chamfer dimension style Shows an image of the currently selected chamfer dimension representation. Click the drop-down arrow to select a different chamfer dimension representation.
 | Configure Displays the Chamfer List Configuration dialog box that enables you to customize the list of chamfer sizes.


Rectangles (Quick Reference)

Rectangles
Rectangles
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Rectangles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Fillet dialog box

Size
 | Fillet Size Displays a drop-down list of common radii to select from. You may also enter a radius value.
 | Reverts to the drawing so you can specify a radius value by selecting an existing arc or circle or by entering a value at the command prompt.
Options
 | Trim geometry Trims the intersecting lines to the endpoints of the fillet line. This also sets the TRIMMODE system variable to 1.
 | Insert dimension on fillet Inserts dimensions for the fillet created.
 | Configure Opens the Fillet List Configuration dialog box where you can customize the fillet size drop-down list.


Centerlines and centerline crosses (Concept)

Rectangles
Draw geometry
Special lines
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The centerlines feature includes all commands that relate to centerlines, symmetry lines, and axes of revolution. When you create centerlines, the program assigns them colors and linetypes automatically, and places them on layer AM_7.

Centerline

Using AMCENTLINE, you can draw a centerline by defining its starting points and endpoints. When you select a starting point and an endpoint on contour edges, the centerlines extend beyond the selected edges. You can specify the extension value in the Centerline Settings dialog box, which is accessed via the AM:Standards tab of the Options dialog box.

You can either use the pointing device to click points in the drawing window or you can enter coordinates to specify a starting point and an endpoint.

Centerline cross

Using AMCENCROSS, you can draw a centerline cross by defining its center point.

The program always draws a centerline cross from a center point and extends it outward. A centerline cross consists of four individual lines, ensuring that no blank space appears where the centerlines cross. The program always creates an intersection point.

You can either use the pointing device to click points in the drawing window or you can enter coordinates to specify an insertion point and a diameter.

To draw a centerline cross with another angle alignment in the drawing, change the UCS to that angle before starting this command.

Centerline cross with a hole

The AMCENCRHOLE command works the same way as the Centerline Cross command, except that it requires a value for the diameter of the hole. The size of the cross is automatically adjusted to match the size of the hole.

You can either use the pointing device to click points in the drawing window or you can enter coordinates to specify an insertion point and a hole diameter.

To create a centerline cross with more than one hole, enter the pipe symbol | between the diameter values.

After selecting the diameter, use the pointing device to insert additional centerline crosses with holes of the same size.

NoteThe diameter value you enter becomes the default diameter value.

Centerline cross in a corner

The AMCENCRCORNER command creates a hole at a preset offset from each side of a corner.

You can either use the pointing device to click points in the drawing window or you can enter coordinates to specify the offset of the hole's center cross from the first and second contour lines. You can specify the diameter size for the hole, specify a standard or custom content, or specify no hole, which draws just the cross.

To create concentric holes, enter multiple diameter values. Enter the pipe symbol | between the values. The Standard Part option enables you to place a standard hole or a screw connection at the selected location.

NoteThe diameter value you enter becomes the default diameter value.

Centerline cross on a plate

The AMCENCRPLATE command creates centerline crosses with holes at every corner of a plate and places those holes either in or around the plate.

You can either use the pointing device to click points in the drawing window or you can enter coordinates to specify the offset distance between the contour edge and the hole. You can specify the diameter for the hole, specify a standard or custom content, or specify no hole, which draws just the cross.

NoteThe diameter value you enter becomes the default diameter value.

Centerline cross on full circle

The AMCENCRFULLCIRCLE command draws and evenly distributes circles with a centerline cross. Depending on the number of elements you draw on the periphery of the circle, the program creates radial centerlines and distributes them evenly in the circle.

To draw concentric holes, enter multiple diameter values separated by the pipe symbol |.

NoteThe diameter value you enter becomes the default diameter value.

Centerline cross with an angle

The AMCENCRANGLE command works the same way as the AMCENCRFULLCIRCLE command, except that you can place the radial centerlines at any angle on the circle periphery. You can also place holes or standard or custom content at the intersection point between the circle periphery and the radial centerlines.

NoteThe diameter value you enter becomes the default diameter value.

Centerline cross in a hole

The AMCENCRINHOLE function enables you to insert centerline crosses into existing holes. The program creates a centerline cross and displays it in the selected hole. It adapts the size of the cross to the diameter of the hole.

NoteThe diameter value you enter becomes the default diameter value.

Centerline between two lines

The AMCENINBET command enables you to create a centerline between two existing lines that you want to mark as symmetrical in your drawing. The length of the centerline is based on the length of the line you select first. You can also use this command to bisect the angle between two non-parallel lines.


Centerlines and centerline crosses (Procedure)

Rectangles
Up a level to ..
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a centerline cross

To create a centerline cross in a corner

To create a centerline cross in a hole

To create a centerline cross on a full circle

To create a centerline cross on a plate

To create a centerline cross with an angle

To create a centerline cross with a hole

To create a centerline between two lines

To create a centerline

To create symmetrical lines


Centerlines and centerline crosses (Quick Reference)

Rectangles
Centerlines and centerline crosses
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCENTLINE

AMCENCRANGLE

AMCENCRCORNER

AMCENCRFULLCIRCLE

AMCENCRHOLE

AMCENCRINHOLE

AMCENCROSS

AMCENCRPLATE

AMCENINBET

Centerlines dialog box

AMSYMLINE

AMAUTOCL System Variable

AMCLCM System Variable

AMCLGAP System Variable

AMCLOSHT System Variable


To create a centerline cross (Procedure)

Centerlines and centerline crosses
Up a level to ..
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a centerline cross

  1. Click None [image] None [image] None . At the Command prompt, enter AMCENCROSS.
  2. Press ENTER to display the Select Options for Centerlines dialog box, or specify a starting point for the centerline.
  3. Specify the center point of a hole.
  4. Specify a diameter value for the centerline cross or select a quadrant point.
  5. Press ENTER.

Note: Selecting a quadrant point automatically extends the projecting end of the centerline.


To create a centerline cross in a corner (Procedure)

Centerlines and centerline crosses
Up a level to ..
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a centerline cross in a corner

  1. Click None [image] None [image] None . At the Command prompt, enter AMCENCRCORNER.
  2. Press ENTER to display the Select Options for Centerlines dialog box, or specify the first contour line.
  3. Specify the second contour line.
  4. Specify the offset of the center-cross from first contour line by using the pointing device or enter a value.
  5. Specify the offset of the center-cross from second contour line by using the pointing device or enter a value.
  6. Press ENTER.
  7. Specify a diameter value for the hole to create a cross with a hole, or press N for No to create a centerline cross without a hole, and then specify a diameter value for the cross, or press S for Standard Parts to insert a standard hole.


To create a centerline cross in a hole (Procedure)

Centerlines and centerline crosses
Up a level to ..
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a centerline cross in a hole

  1. Click None [image] None [image] None . At the Command prompt, enter AMCENCRINHOLE.
  2. Select the objects to which you want to add a centerline.
  3. Press ENTER.


To create a centerline cross on a full circle (Procedure)

Centerlines and centerline crosses
Up a level to ..
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a centerline cross on a full circle

  1. Click None [image] None [image] None . At the Command prompt, enter AMCENCRFULLCIRCLE.
  2. Specify the center point, or press ENTER to select another type of centerline.
  3. Specify a diameter for the circle by selecting a point on a hole, or enter a value.
  4. Specify a diameter value for the hole to create a cross with a hole, or select N for No Hole to create a centerline cross without a hole, and then specify a diameter value for the cross. You can select S for Standard Parts to insert a standard hole.
  5. Specify the number of centerline crosses you want to draw on the circle's periphery.
  6. Press ENTER.
  7. Specify the rotation angle for the centerline crosses.
  8. Press ENTER.


To create a centerline cross on a plate (Procedure)

Centerlines and centerline crosses
Up a level to ..
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a centerline cross on a plate

NoteThe instructions on this page assume that you have already created a plate.
  1. Click None [image] None [image] None . At the Command prompt, enter AMCENCRPLATE.
  2. Enter a value to specify the offset of the center-cross from the contour.
  3. Press ENTER.
  4. Select the objects.
  5. Press ENTER.
  6. Use the pointing device to specify where to place the centerline crosses: inside or outside the plate.
  7. Specify a diameter value for the hole to create a cross with a hole, or select N for No Hole to create a centerline cross without a hole, and then specify a diameter value for the cross. You can also select S for Standard Parts to insert a standard hole.


To create a centerline cross with an angle (Procedure)

Centerlines and centerline crosses
Up a level to ..
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a centerline cross with an angle

  1. Click None [image] None [image] None . At the Command prompt, enter AMCENCRANGLE.
  2. Press ENTER to select another type of centerline, or specify a center point.
  3. Specify a center point for the circle.
  4. Specify a diameter value for the circle.
  5. Specify a diameter value for the hole if you want to create a cross with hole. Select N for No Hole to create a centerline cross without hole, and then specify a diameter value for cross; or select S for Standard Parts to insert a standard hole.
  6. Specify the angle at which the centerline crosses are to be placed on the circle.
  7. Press ENTER.


To create a centerline cross with a hole (Procedure)

Centerlines and centerline crosses
Up a level to ..
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a centerline cross with a hole

  1. Click None [image] None [image] None . At the Command prompt, enter AMCENCRHOLE.
  2. Press ENTER to display the Select Options for Centerlines dialog box, or specify a starting point for the centerline.
  3. Specify the center point of a hole.
  4. Specify a diameter value for the hole to create a cross with hole. You can enter several values for the diameter separated by the | sign (for example, 1.5|2.5|4|6|12).
  5. Press ENTER.
  6. Specify another location to insert further centerline crosses with holes.
NoteSelect No Hole to create a centerline cross without hole, and then specify a diameter value for the cross.


To create a centerline between two lines (Procedure)

Centerlines and centerline crosses
Up a level to ..
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a centerline between two lines

  1. Click None [image] None [image] None . At the Command prompt, enter AMCENINBET.
  2. Select first contour line (1).
  3. Select second contour line (2).
  4. Press ENTER.


To create a centerline (Procedure)

Centerlines and centerline crosses
Up a level to ..
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a centerline

  1. Click None [image] None [image] None . At the Command prompt, enter AMCENTLINE.
  2. Press ENTER to display the Select Options for Centerlines dialog box, or specify a starting point for the centerline.
  3. Specify the endpoint for the centerline.


To create symmetrical lines (Procedure)

Centerlines and centerline crosses
Up a level to ..
Special lines
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create symmetrical lines

  1. Click None [image] None [image] None . At the Command prompt, enter AMSYMLINE.
  2. Select an existing centerline, or create a centerline by specifying a starting point and an endpoint.
  3. Specify the starting point and endpoint for the line, which is mirrored along the centerline.


Centerlines and centerline crosses (Quick Reference)

Centerlines and centerline crosses
Centerlines and centerline crosses
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCENTLINE

Draws a centerline at a specified place in the drawing area

Ribbon: Home tab [image] Draw panel [image] Center Line. Does not exist on the ribbon.
Toolbar: Centerlines [image] Draw
Menu: Draw [image] Centerlines [image] Center Line Does not exist in the menus.
Command entry: amcentline

When you select a starting point and an endpoint on contour edges, the centerlines automatically overshoot the selected edges, to the length specified in the current drafting standard.

COMMAND LINE OPTIONS

Specify centerline starting point <Dialog box>: Press ENTER to open the Centerlines dialog box and select another type of centerline.

Specify centerline endpoint: Specify a point.


Centerlines and centerline crosses (Quick Reference)

Centerlines and centerline crosses
Centerlines and centerline crosses
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCENCRANGLE

Creates concentric pitch circles and places holes on it at specified angles.

Ribbon: Home tab [image] Draw panel [image] Center Line Cross with Angles. Does not exist on the ribbon.
Toolbar: Centerlines
Menu: Draw [image] Centerlines [image] Center Line Cross with Angles Does not exist in the menus.
Command entry: amcencrangle

If required, you can choose to draw the centerline cross only.

COMMAND LINE OPTIONS

Specify center point <Dialog box>: Press ENTER to open the Select Options Centerlines dialog box, and select another type of centerline.

Specify center point: Specify a point.

Specify diameter(s) or Point on circle <131.59>: Specify a diameter for the circle.

Specify diameter of hole or[Standard part/No hole] <10>: Select “No hole” to create a centerline cross without a hole.

Specify centerline cross diameter <10>: Specify a diameter for the hole.

Define angles xx|xx|xx.. <45|90|135>: Specify one or more angle values.


Centerlines and centerline crosses (Quick Reference)

Centerlines and centerline crosses
Centerlines and centerline crosses
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCENCRCORNER

Places a hole at a specified distance from 2 contour lines

Ribbon: Home tab [image] Draw panel [image] Center Line Cross in Corner. Does not exist on the ribbon.
Toolbar: Centerlines
Menu: Draw [image] Centerlines [image] Center Line Cross in Corner Does not exist in the menus.
Command entry: amcencrcorner

You typically use this command to draw a hole in a corner. If required, you can choose to draw a centerline cross only.

COMMAND LINE OPTIONS

Select first contour line <Dialog box>: Press ENTER to open the Centerlines dialog box to select another type of centerline.

Select first contour line: Select the first contour line defining the corner.

Select second contour line: Select the second contour line defining the corner.

Specify offset of center-cross from first contour line <10>: Enter a value.

Specify offset of center-cross from second contour line <10>: Enter a value.

Specify diameter of hole or [Standard part/No hole] <No>: Select “No hole” to create a centerline cross without a hole.

Specify centerline cross diameter <10>: Select a diameter for the hole.

Standard part: Select a standard part.


Centerlines and centerline crosses (Quick Reference)

Centerlines and centerline crosses
Centerlines and centerline crosses
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCENCRFULLCIRCLE

Creates concentric pitch circles and places a specified number of holes on them, distributed uniformly.

Ribbon: Home tab [image] Draw panel [image] Center Line Cross on Full Circle. Does not exist on the ribbon.
Toolbar: Centerlines
Menu: Draw [image] Centerlines [image] Center Line Cross on Full Circle Does not exist in the menus.
Command entry: amcencrfullcircle

If required, you can choose to draw the centerline cross only.

COMMAND LINE OPTIONS

Specify center point <Dialog box>: Press ENTER to open the Select Options Centerlines dialog box and select another type of centerline.

Center point: Specify a point.

Specify diameter(s) or Point on circle <131.59>: Specify a diameter for the circle.

Specify diameter of hole or [Standard part/No hole] <10>: Select “No hole” to create a centerline cross without a hole.

Specify centerline cross diameter <10>: Specify a diameter for the hole.

How many centerlines distributed through 360-deg <6>: Specify a number.

Rotation angle <0>: Specify an angle.


Centerlines and centerline crosses (Quick Reference)

Centerlines and centerline crosses
Centerlines and centerline crosses
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCENCRHOLE

Places a hole at a specified point

Ribbon: Home tab [image] Draw panel [image] Center Line Cross with Hole. Does not exist on the ribbon.
Toolbar: Centerlines
Menu: Draw [image] Centerlines [image] Center Line Cross with Hole Does not exist in the menus.
Command entry: amcencrhole

If required, you can choose to draw the centerline cross only.

COMMAND LINE OPTIONS

Specify center point <Dialog Box>: Press ENTER to open the Select Options Centerlines dialog box and select another type of centerline.

Specify diameter of hole or [No hole] <10|20|30|45>: Specify a diameter size for the hole. Enter as many values as you want. Press Ctrl + Alt + | (pipe) to separate the values.

No hole: Creates a centerline cross without a hole.

Centerline cross diameter <value>: Specify a length for the centerline cross or use the pointing device.


Centerlines and centerline crosses (Quick Reference)

Centerlines and centerline crosses
Centerlines and centerline crosses
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCENCRINHOLE

Places a centerline cross on a circle

Ribbon: Home tab [image] Draw panel [image] Center Line Cross in Holes. Does not exist on the ribbon.
Toolbar: Centerlines
Menu: Draw [image] Centerlines [image] Center Line Cross in Holes Does not exist in the menus.
Command entry: amcencrinhole

This command automatically adapts the size of the centerline cross to the diameter of the hole.

COMMAND LINE OPTIONS

Select objects: Select one or more holes.


Centerlines and centerline crosses (Quick Reference)

Centerlines and centerline crosses
Centerlines and centerline crosses
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCENCROSS

Places a centerline cross at a specified point

Ribbon: Home tab [image] Draw panel [image] Centerline Cross. Does not exist on the ribbon.
Toolbar: Centerlines
Menu: Draw [image] Centerlines [image] Centerline Cross Does not exist in the menus.
Command entry: amcencross

COMMAND LINE OPTIONS

Center point <Dialog box>: Press ENTER to open the Select Options Centerlines dialog box and select another type of centerline.

Specify center point: Specify a point.

Specify diameter <10>: Specify a diameter and press ENTER.


Centerlines and centerline crosses (Quick Reference)

Centerlines and centerline crosses
Centerlines and centerline crosses
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCENCRPLATE

Places holes at the corners of a closed contour that represents a plate.

Ribbon: Home tab [image] Draw panel [image] Center Line Cross on Plate. Does not exist on the ribbon.
Toolbar: Centerlines
Menu: Draw [image] Centerlines [image] Center Line Cross on Plate Does not exist in the menus.
Command entry: amcencrplate

If required, you can choose to draw the centerline cross only.

COMMAND LINE OPTIONS

Specify offset of center-cross from contour <20>: Specify a value.

Select entities for border, Select objects: Select a closed contour.

Side to insert: Click inside or outside the contour.

Specify diameter of hole or [Standard part/No hole] <No>: Select “No hole” to create a centerline cross without a hole.

Specify centerline cross diameter <10>: Specify a diameter for the hole.

Standard part: Select a standard part.


Centerlines and centerline crosses (Quick Reference)

Centerlines and centerline crosses
Centerlines and centerline crosses
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCENINBET

Draws a centerline in between two lines to mark them as symmetrical

To mark two existing lines in your drawing as symmetrical, you can create a centerline between them. The length of the centerline depends on the length of the line you select first.

Ribbon: Home tab [image] Draw panel [image] Center Lines In-between. Does not exist on the ribbon.
Toolbar: Centerlines
Menu: Draw [image] Centerlines [image] Center Lines In-between Does not exist in the menus.
Command entry: amceninbet

The length of the centerline is based on the length of the line you select first. You can also use this command to bisect the angle between two non-parallel lines.

COMMAND LINE OPTIONS

Select first contour line: Select a line.

Select second contour line: Select a line.


Centerlines and centerline crosses (Quick Reference)

Centerlines and centerline crosses
Centerlines and centerline crosses
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Centerlines dialog box

Use this dialog box to select a type of centerline.

Options:

Icon | Function
 | Creates a centerline cross on a plate
 | Creates a centerline cross in a hole
 | Creates a centerline cross with angles
 | Creates a centerline cross in a corner
 | Creates a centerline between two lines
 | Creates a centerline cross on a full circle
 | Creates a centerline cross
 | Creates a centerline cross with a hole


Centerlines and centerline crosses (Quick Reference)

Centerlines and centerline crosses
Centerlines and centerline crosses
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSYMLINE

Draws symmetrical polylines

Ribbon: Home tab [image] Draw panel [image] Symmetrical Line. Does not exist on the ribbon.
Toolbar: Draw
Menu: Draw [image] Symmetrical Line Does not exist in the menus.
Command entry: amsymline

The command prompts you to select a centerline. If none exist, it draws a centerline as you pick points. The command mirrors the polyline segments about the centerline as you draw.

COMMAND LINE OPTIONS

Select Centerline or new starting point: Select an existing centerline or click to create a centerline.

Centerline endpoint: Specify the second point of the centerline.

From point, Next point: Draw a line by specifying a starting and an endpoint. Press ENTER to finish the line.


Centerlines and centerline crosses (Quick Reference)

Centerlines and centerline crosses
Centerlines and centerline crosses
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMAUTOCL System Variable

Controls whether automatic centerlines are created at view creation for features.

Type: | Integer
Initial value: | 0
Possible values: | 0 - Off 1 - On


Centerlines and centerline crosses (Quick Reference)

Centerlines and centerline crosses
Centerlines and centerline crosses
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCLCM System Variable

Controls the length of centerline annotations.

Type: | Real
Initial value: | English drawings: 0.1 Metric drawings: 2.8
Possible values: | Only positive numbers are allowed.


Centerlines and centerline crosses (Quick Reference)

Centerlines and centerline crosses
Centerlines and centerline crosses
Centerlines and centerline crosses
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCLGAP System Variable

Controls gaps in centerline annotations.

Type: | Real
Initial value: | English drawings: 0.156 Metric drawings: 4
Possible values: | Only positive numbers are allowed.


Centerlines and centerline crosses (Quick Reference)

Centerlines and centerline crosses
Centerlines and centerline crosses
Special lines
Create and modify geometry > Draw geometry >
Centerlines and centerline crosses
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCLOSHT System Variable

Controls the length of centerline overshoot beyond an object.

Type: | Real
Initial value: | English drawings: 0.11 Metric drawings: 2.8
Possible values: | Only positive numbers are allowed.


Special lines (Concept)

Centerlines and centerline crosses
Draw geometry
Create hatches
Create and modify geometry > Draw geometry >
Special lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The Special Lines feature includes commands that enable you to create section lines, zigzag lines, and break-out lines.

The program places lines you draw with the AMZIGZAGLINE or AMBROUTLINE commands on layer AM_4. It places lines you draw with the AMSECTIONLINE command on layer AM_10.

Section lines

Use AMSECTIONLINE to draw different types of section lines. This command provides the standard section line and two additional section lines with different line types.

The length of the wide lines corresponds to the text height, set for the dimension style GEN-ISO-ORD. If the line is three times shorter than the text height, the program draws the entire line section wider.

The program always determines, from the whole drawing, the next free section line reference letter, and uses that as the default letter.

Zigzag lines

Use AMZIGZAGLINE to draw a zigzag line.

Break-out lines

Use AMBROUTLINE to create a sectional view of a drawing area. This function requires only a few reference points to draw a smooth, curved line.

The section line is a polyline that does not pass through the reference points. The program determines the deformation of the section line by the position of the reference points and value of the SPLINETYPE variable.


Special lines (Procedure)

Centerlines and centerline crosses
Up a level to ..
Special lines
Create and modify geometry > Draw geometry >
Special lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a break-out line

To create a section line

To create a zigzag line


Special lines (Quick Reference)

Centerlines and centerline crosses
Special lines
Special lines
Create and modify geometry > Draw geometry >
Special lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBROUTLINE

AMSECTIONLINE

Section Line dialog box

AMZIGZAGLINE


To create a break-out line (Procedure)

Special lines
Up a level to ..
Special lines
Create and modify geometry > Draw geometry >
Special lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a break-out line

  1. Click None [image] None [image] None . At the Command prompt, enter AMBROUTLINE.
  2. Specify the starting point.
  3. Specify subsequent points.
  4. Press ENTER to specify the endpoint of the break-out line and to end the command.


To create a section line (Procedure)

Special lines
Up a level to ..
Special lines
Create and modify geometry > Draw geometry >
Special lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a section line

  1. Click None [image] None [image] None . At the Command prompt, enter AMSECTIONLINE.
  2. Select a starting point for the section line.
  3. Select the next point or points for the section line and press ENTER.
  4. Enter a letter to reference the section line at the starting point.
  5. Press ENTER.
  6. Move the cursor to select the side of the cutting plane.
  7. Select an insertion point for the text of the section view.


To create a zigzag line (Procedure)

Special lines
Up a level to ..
Create hatches
Create and modify geometry > Draw geometry >
Special lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a zigzag line

  1. Click None [image] None [image] None . At the Command prompt, enter AMZIGZAGLINE.
  2. Specify the starting point for the zigzag line.
  3. Specify subsequent points.
  4. Press ENTER to specify the endpoint of the zigzag line and to end this command.


Special lines (Quick Reference)

Special lines
Special lines
Special lines
Create and modify geometry > Draw geometry >
Special lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBROUTLINE

Draws a special spline to show breakout borders

Ribbon: Home tab [image] Draw panel [image] Break-out Line. Does not exist on the ribbon.
Toolbar: Draw
Menu: Draw [image] Break-out Line Does not exist in the menus.
Command entry: ambroutline

COMMAND LINE OPTIONS

Specify starting point: Specify a point.

Specify next point: Specify a point.

Specify next point: Press ENTER to end the command.

NoteThe program draws the breakout line on layer AM_4.


Special lines (Quick Reference)

Special lines
Special lines
Special lines
Create and modify geometry > Draw geometry >
Special lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSECTIONLINE

Draws a section line inserts the corresponding section view label in the drawing area

Ribbon: Home tab [image] Draw panel [image] Section Line. Does not exist on the ribbon.
Toolbar: Draw
Menu: Draw [image] Section Line Does not exist in the menus.
Command entry: amsectionline

The active drafting standard controls the section line naming convention, arrowhead properties, and the end and bend line properties.

COMMAND LINE OPTIONS

Select point [Visibility]: Specify the first point of the section line or enter V to change visibility options.

Select Point

Defines the start point of the section line.

Specify next section line point [Center]: Specify a point or press ENTER to create a section line for an aligned section view.
 | Next Section Line Point Draws a section line segment.
 | Specify next section line point or [Half/Name/Arc]: Specify a point or select an option. Press ENTER or select the Name option when you are done.
 |  | Half Adds a line segment to the end of the last section and jumps to the Name option. This added line segment is perpendicular and equal in length to the first segment of the section line. You typically use this option to create a section line to show the cutting plane for half sections.
 |  | Arc Adds an arc segment to the section line.
 |  | Specify center point of arc or [Secondpoint]: In the drawing area, select the point to use as the center of the arc or press S to define the arc using 3 points on the arc.
 |  |  | Center Point of Arc Defines an arc segment using the start point, center, and end point.
 |  |  | Specify end point of arc: In the drawing area, select the point to use as the end point of the arc. As soon as you select the point, AutoCAD Mechanical jumps to the Name option, documented below.
 |  |  | Second Point Defines an arc segment using 3 points that the arc passes through.
 |  |  | Specify second point of arc: In the drawing area, select a point that must lie on the arc.
 |  |  | Specify end point of arc: In the drawing area, select the point to use as the end point of the arc.
 |  | Name Proceeds to prompt you for cutting-plane symbols. The subsequent prompts depend on whether continuous naming is enabled or not.
 |  | Specify first section symbol: Specify the cutting-plane symbol for the first point of the section line.
 |  | Specify next section symbol: Specify the cutting-plane symbol for the next vertex of the section line. AutoCAD Mechanical displays this prompt only if the Use continuous naming check box in the Section View Settings dialog box is selected.
 |  | Specify side of section: Click in the drawing area to indicate the side of the section so that AutoCAD Mechanical can determine the direction of the section arrows.
 |  | Specify origin of section view: Click to specify the insertion point for the section text.
 | Center Creates a section line for an aligned section view of a cylindrical object.
 | Specify center point: Select the center of the cylindrical object you are creating the section line for.
 | Specify first section symbol <A>: Press ENTER or enter a symbol name.
 | Specify side of section: Click in the drawn area to indicate the side of the section so that AutoCAD Mechanical can determine the direction of the section arrows.
 | Specify origin of section view: Click to specify the insertion point for the section text.

Visibility

Controls the appearance of different components of the section line.

Enter an Option to Change [Arrow/Line/Name/Planenames]: Select an option.
 | Arrow Toggles the visibility of arrowheads on the section line. The prompt that AutoCAD Mechanical displays after you select this option tells you what the new visibility state is.
 | Line Specifies how plane lines (the section line segment between the end portion and bends) should be drawn.
 | Specify line visibility [Betweenplanes/Continuous/None] <None>: Select an option.
 |  | Betweenplanes Draws plane lines using the line type and line weight assigned to the Section/Viewing Plane Line object (PHANTOM2 by default) in the Objects Settings dialog box.
 |  | Continuous Draws plane lines using the same line type and line weight as the ends and bends.
 |  | None Does not draw a plane lines.
 | Name Toggles the visibility of labels on the section line and section view. The prompt that AutoCAD Mechanical displays after you select this option tells you what the new visibility state is.
 | Planenames Toggles the visibility of cutting-plane symbols on the bends (vertices) of the section line. The prompt that AutoCAD Mechanical displays after you select this option tells you what the new visibility state is.


Special lines (Quick Reference)

Special lines
Special lines
Special lines
Create and modify geometry > Draw geometry >
Special lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Section Line dialog box

Use this dialog box to define how to label the section line and section view.

Section symbol

Specifies the cutting-plane symbol that is used to name the section line. If continuous naming is enabled in Settings, this box shows the first symbol of the set of consecutive alphabetic characters.

Insert symbol

Displays a palette to enable you to insert a special character at the current cursor position. The preview in the drawing area shows the special character while the dialog box shows the corresponding control key sequence.

Section label

Contains the formula that defines the label for the section view.

Show all plane symbols

DIsplays cutting plane symbols at all vertices of the section line. If this check box is cleared, the cutting plane symbols are displayed only at the ends of the section line.

Settings

Displays the Section View Settings dialog box, which enables you to configure the defaults for the AMSECTIONLINE command.

NoteSome settings in the Section View Settings dialog box do not have an impact on the section line you are editting. They take effect only at the time you create section lines. Refer to online help of Section View Settings dialog box for details.


Special lines (Quick Reference)

Special lines
Special lines
Associative hatches
Create and modify geometry > Draw geometry >
Special lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMZIGZAGLINE

Draws a zigzag lines

Ribbon: Home tab [image] Draw panel [image] Zig-Zag Line. Does not exist on the ribbon.
Toolbar: Draw
Menu: Draw [image] Zig-Zag Line Does not exist in the menus.
Command entry: amzigzagline

COMMAND LINE OPTIONS

Specify first point: Specify a point.

Specify next point or [Undo]: Specify a point. Press ENTER to end this command.


Create hatches

Special lines
Create and modify geometry
Associative hatches
Create and modify geometry >
Create hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Associative hatches
  • User-defined hatches


Create hatches (Procedure)

Special lines
Create hatches
Associative hatches
Create and modify geometry >
Create hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create an associative hatch

To create a custom hatch

To offset hatch lines in relation to hatch lines of an adjacent object

To copy a hatch

To create a user-defined hatch

To set an offset value for a predefined hatch


Associative hatches (Concept)

Create hatches
Create hatches
User-defined hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

By default, a hatch created with the AMASSOHATCH command is an associative hatch. When you change the contour of an associative hatch area, the hatch adjusts automatically to fill the new contour.

The AMASSOHATCH command is an extension of the AutoCAD BHATCH command. When you use AMASSOHATCH, the program prompts you to select boundaries to define the area you want to hatch. You can also choose whether to use centerlines.

NoteYou can also use AMASSOHATCH to create a non-associative hatch. In the Hatch and Gradient dialog box, under Options, clear the Associative check box.
NoteValid boundaries are contours and islands on contour layers. By default, the contour layers are AM_0, AM_1 and AM_2. You can define up to four contour layers in the Object Property Setings dialog box.


Associative hatches (Procedure)

Create hatches
Up a level to ..
Associative hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an associative hatch

To create a custom hatch

To offset hatch lines in relation to hatch lines of an adjacent object

To copy a hatch


Associative hatches (Quick Reference)

Special lines
Associative hatches
Associative hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMASSOHATCH

AMHATCH_135_11

AMHATCH_135_2

AMHATCH_135_4

AMHATCH_45_13

AMHATCH_45_2

AMHATCH_45_5

AMHATCH_DBL

AMDWGCOLOR System Variable

AMHATCHISO System Variable

AMSINGLEHATLAY System Variable


To create an associative hatch (Procedure)

Associative hatches
Up a level to ..
Associative hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an associative hatch

  1. Click None [image] None [image] None .At the Command prompt, enter AMASSOHATCH.
  2. Select the area you want to hatch.
  3. In the Boundary Hatch dialog box, specify the necessary settings for Type, Pattern, Angle, and so on.
  4. Press OK.
  5. Click in the area.
NoteOnly contours drawn on the contour layers (AM_0, AM_1 & AM_2) are considered valid boundaries to create a hatch.


To create a custom hatch (Procedure)

Associative hatches
Up a level to ..
Associative hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a custom hatch

  1. Click Home tab [image] Draw Tools panel [image] Hatch.
  2. From the Design menu, click Hatch, and choose a predefined hatch pattern.
  3. Select the area you want to hatch.
  4. Click in the area.
NoteOnly contours drawn on the contour layers (AM_0, AM_1 & AM_2) are considered valid boundaries to create a hatch.


To offset hatch lines in relation to hatch lines of an adjacent object (Procedure)

Associative hatches
Up a level to ..
Associative hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To offset hatch lines in relation to hatch lines of an adjacent object

  1. Double-click the hatch which is to be offset from another hatch.
  2. In the Hatch dialog box, select the Offset < button. Select the hatch which is to be used as a reference for the offset. This can be any hatch.
  3. Specify an offset factor or an offset value, depending on the type of hatch pattern you selected. You must specify an offset factor for a user-defined hatch, and an offset value for a predefined hatch.
  4. If available, select an additional boundary within the object you selected in Step 1.
  5. Press ENTER.


To copy a hatch (Procedure)

Associative hatches
Up a level to ..
User-defined hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To copy a hatch

  1. Click None [image] None [image] . At the Command prompt, enter AMPOWERCOPY.
  2. Select the hatch pattern you want to copy (1).
  3. Select the target area you want to hatch (2).


Associative hatches (Quick Reference)

Associative hatches
Associative hatches
Associative hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMASSOHATCH

Use AMASSOHATCH to create an associative hatch which updates when you modify its boundaries.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Draw [image] Hatch [image] Associative Hatch... Does not exist in the menus.
Command entry: amassohatch

COMMAND LINE OPTIONS

Select additional boundary for hatching area

Select objects:

Select the objects to hatch.

NoteThis command is an extension to the AutoCAD BHATCH command.


Associative hatches (Quick Reference)

Associative hatches
Associative hatches
Associative hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMHATCH_135_11

Fills an enclosed area with a 135-degree, 11 mm/0.4" hatch

Ribbon: Home tab [image] Draw Tools panel [image] Hatch 135 deg. 11 mm/0.4 inch. Does not exist on the ribbon.
Toolbar: Design Tools [image] Hatch
Menu: Draw [image] Hatch [image] Hatch 135 deg. 11 mm/0.4 inch Does not exist in the menus.
Command entry: amhatch_135_11

COMMAND LINE OPTIONS

Select additional boundary or point in area to be hatched or [Select objects]: Click in the area or select the objects to hatch.


Associative hatches (Quick Reference)

Associative hatches
Associative hatches
Associative hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMHATCH_135_2

Fills an enclosed area with a 135-degree, 2.7 mm/0.12" hatch

Ribbon: Home tab [image] Draw Tools panel [image] Hatch 135 deg. 2.7 mm/0.12 inch. Does not exist on the ribbon.
Toolbar: Design Tools [image] Hatch
Menu: Draw [image] Hatch [image] Hatch 135 deg. 2.7 mm/0.12 inch Does not exist in the menus.
Command entry: amhatch_135_2

COMMAND LINE OPTIONS

Select additional boundary or point in area to be hatched or [Select objects]: Click in the area or select the objects to hatch.


Associative hatches (Quick Reference)

Associative hatches
Associative hatches
Associative hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMHATCH_135_4

Fills an enclosed area with a 135-degree, 4.7 mm/0.19" hatch

Ribbon: Home tab [image] Draw Tools panel [image] Hatch 135 deg. 4.7 mm/0.19 inch. Does not exist on the ribbon.
Toolbar: Design Tools [image] Hatch
Menu: Draw [image] Hatch [image] Hatch 135 deg. 4.7 mm/0.19 inch Does not exist in the menus.
Command entry: amhatch_135_4

COMMAND LINE OPTIONS

Select additional boundary or point in area to be hatched or [Select objects]: Click in the area or select the objects to hatch.


Associative hatches (Quick Reference)

Associative hatches
Associative hatches
Associative hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMHATCH_45_13

Fills an enclosed area with a 45-degree, 13 mm/0.5" hatch

Ribbon: Home tab [image] Draw Tools panel [image] Hatch 45 deg. 13 mm/0.5 inch. Does not exist on the ribbon.
Toolbar: Design Tools [image] Hatch
Menu: Draw [image] Hatch [image] Hatch 45 deg. 13 mm/0.5 inch Does not exist in the menus.
Command entry: amhatch_45_13

COMMAND LINE OPTIONS

Select additional boundary or point in area to be hatched or [Select objects]: Click in the area or select the objects to hatch.


Associative hatches (Quick Reference)

Associative hatches
Associative hatches
Associative hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMHATCH_45_2

Fills an enclosed area with a 45-degree, 13 mm/0.5" hatch

Ribbon: Home tab [image] Draw Tools panel [image] Hatch 45 deg. 2.5 mm/0.1 inch. Does not exist on the ribbon.
Toolbar: Design Tools [image] Hatch
Menu: Draw [image] Hatch [image] Hatch 45 deg. 2.5 mm/0.1 inch Does not exist in the menus.
Command entry: amhatch_45_2

COMMAND LINE OPTIONS

Select additional boundary or point in area to be hatched or [Select objects]: Click in the area or select the objects to hatch.


Associative hatches (Quick Reference)

Associative hatches
Associative hatches
Associative hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMHATCH_45_5

Fills an enclosed area with a 45-degree, 5 mm/0.22" hatch

Ribbon: Home tab [image] Draw Tools panel [image] Hatch 45 deg. 5 mm/0.22 inch. Does not exist on the ribbon.
Toolbar: Design Tools [image] Hatch
Menu: Draw [image] Hatch [image] Hatch 45 deg. 5 mm/0.22 inch Does not exist in the menus.
Command entry: amhatch_45_5

COMMAND LINE OPTIONS

Select additional boundary or point in area to be hatched or [Select objects]: Click in the area or select the objects to hatch.


Associative hatches (Quick Reference)

Associative hatches
Associative hatches
Associative hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMHATCH_DBL

Fills an enclosed area with a f 45 and 135 degree, 2.3 mm/0.09 cross hatch

Ribbon: Home tab [image] Draw Tools panel [image] Double Hatch 45/135 deg. 2.3 mm / 0.09 inch. Does not exist on the ribbon.
Toolbar: Design Tools [image] Hatch
Menu: Draw [image] Hatch [image] Double Hatch 45/135 deg. 2.3 mm / 0.09 inch Does not exist in the menus.
Command entry: amhatch_dbl

COMMAND LINE OPTIONS

Select additional boundary or point in area to be hatched or [Select objects]: Click in the area or select the objects to hatch.


Associative hatches (Quick Reference)

Associative hatches
Associative hatches
Associative hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDWGCOLOR System Variable

Sets the color of part edges and hatch patterns in drawing views. Controls whether hatch patterns, visible edges, hidden edges, or all edge types use the color of the model, or the color of the layer where they reside.

Type: | Integer
Initial value: | 0 |
Possible values: | 0 | Visible edge, hidden edge, and hatch colors come from their layers.
 | 1 | Visible edge color comes from the model; hidden edge and hatch colors come from their layers.
 | 2 | Hidden edge color comes from the model; visible edge and hatch colors come from their layers.
 | 3 | Visible and hidden edge colors come from the model; hatch color comes from its layer.
 | 4 | Hatch color comes from the model; visible and hidden edge colors come from their layers.
 | 5 | Visible edge and hatch colors come from the model; hidden edge color comes from their layers.
 | 6 | Hidden edge and hatch colors come from the model; visible edge color comes from its layer.
 | 7 | Visible edge, hidden edge, and hatch colors come from the model.


Associative hatches (Quick Reference)

Associative hatches
Associative hatches
Associative hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMHATCHISO System Variable

Controls the automatic calculation of hatch in an ISO view.

Type: | Integer
Initial value: | 0 (Off)
Possible values: | 0 - Off 1 - On 2 - Hide obscured


Associative hatches (Quick Reference)

Associative hatches
Associative hatches
User-defined hatches
Create and modify geometry > Create hatches >
Associative hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSINGLEHATLAY System Variable

Places all hatch patterns on a single layer rather than individual layers. This must be a preset layer that has already been created.

Type: | Integer
Initial value: | 0 (Off)
Possible values: | 0 - Off 1 - On


User-defined hatches (Concept)

Associative hatches
Create hatches
Create hidden lines
Create and modify geometry > Create hatches >
User-defined hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Use AMUSERHATCH to insert predefined, user-defined, or custom hatches into object areas. With this command, you can also modify the properties of a selected hatch before inserting it into an object area. When you use the user-defined Hatch command, the Hatch dialog box appears, enabling you to do the following:

  • Set the angle of hatch lines.
  • Set the spacing between hatch lines.
  • Specify the minimum number of hatch lines to draw when hatching small areas. (You can set the minimum number of lines in the configuration).
  • Shift hatch lines in an area in relation to the hatch lines in an adjacent area.
  • Calculate the new boundaries of an area when editing a hatch.

Shifting hatch lines

In a user-defined hatch, you can shift the hatch lines in one area in relation to the hatch lines in an adjacent area. This functionality is useful when the program hatches two adjacent areas with the same hatch pattern.

To shift hatch lines:

  1. Select the hatch to define it as a reference for the offset.
  2. Specify an offset before applying the hatch to the adjacent area.
  3. Specify an offset factor or an offset value, depending on the type of hatch pattern you selected. You must specify an offset factor for a user-defined hatch and an offset value for a predefined hatch.

Offset factor

The factor you specify defines the offset in the X direction of the UCS. For example, 0.5 shifts the hatch lines by a distance equal to half the width between the hatch lines.

Offset value

The program defines points where the hatch lines intersect with the contour boundaries by using the AutoCAD drawing variable SNAPBASE (2D-Point) and the offset specified in the hatch definition. The offset in the hatch definition usually has the coordinate (0,0) so that the hatch passes through the point SNAPBASE defines.

The offset value is specified by entering a coordinate point, in the form of X, Y, in the Offset button in the Hatch dialog box. You can enter this value without using a decimal point; for example, instead of entering 10.0, enter 10. The program recognizes that the value in the Y direction is zero. SNAPBASE and the value you specify for the offset determine the point through which the hatch passes.


User-defined hatches (Procedure)

Associative hatches
Up a level to ..
User-defined hatches
Create and modify geometry > Create hatches >
User-defined hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a user-defined hatch

To set an offset value for a predefined hatch


User-defined hatches (Quick Reference)

Associative hatches
User-defined hatches
User-defined hatches
Create and modify geometry > Create hatches >
User-defined hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMUSERHATCH

Hatch dialog box


To create a user-defined hatch (Procedure)

User-defined hatches
Up a level to ..
User-defined hatches
Create and modify geometry > Create hatches >
User-defined hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a user-defined hatch

NoteOnly contours drawn on the contour layers (AM_0, AM_1 & AM_2) are considered valid boundaries to create a hatch.
  1. Click None [image] None [image] . At the Command prompt, enter AMUSERHATCH.
  2. Define the hatch properties.
  3. Click in the area you want to hatch.


To set an offset value for a predefined hatch (Procedure)

User-defined hatches
Up a level to ..
Create hide situations with AMSHIDE
Create and modify geometry > Create hatches >
User-defined hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set an offset value for a predefined hatch

The hatch pattern used in the second illustration is a predefined hatch pattern. For this example, you will hatch the lower rectangle with the same hatch pattern that is used in the upper rectangle. The hatch in the upper rectangle will pass through point A (UCS origin), and the hatch in the lower rectangle will pass through point B.

  1. Move UCS origin to point A, which is the point through which a hatch line will pass, by typing UCS in the command line and by clicking the point (1) and accepting UCS X-axis direction.
  2. Choose [image] Design [image] Hatch [image] User-Defined Hatch.
  3. In the Hatch dialog box, select Predefined as the pattern type.
  4. Select a pattern in the Hatch Pattern Palette dialog box. In this example, we selected ANSI 34. Choose OK.
  5. Choose OK, and click a point in the upper rectangle (2). The hatch is created and passes through the defined UCS origin.
  6. Repeat Step 2.
  7. In the Hatch dialog box, click Offset <.
  8. Select the hatch in the upper rectangle (3).
  9. In the Offset field, enter the relative coordinates, in this case 0,-30.
  10. Choose OK.
  11. Click a point in the lower rectangle (4). The hatch is created, passing through point B.
NoteYou will get the same result if you type UCS in the command line and specify a point after step 5. Repeat step 2 and choose OK in the Hatch dialog box. Click in the lower rectangle.


User-defined hatches (Quick Reference)

User-defined hatches
User-defined hatches
User-defined hatches
Create and modify geometry > Create hatches >
User-defined hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMUSERHATCH

Fills an enclosed area with a user defined hatch pattern.

Ribbon: Home tab [image] Draw Tools panel [image] User-Defined Hatch. Does not exist on the ribbon.
Toolbar: Design Tools [image] Hatch
Menu: Draw [image] Hatch [image] User-Defined Hatch Does not exist in the menus.
Command entry: amuserhatch

With this command, you can also select from a set of predefined hatch patterns or use a custom hatch pattern.

The Hatch dialog box appears. You can set the type of hatch pattern.

COMMAND LINE OPTIONS

Select additional boundary or point in area to be hatched or [Select objects]:

Select additional boundary: Define additional boundaries (centerlines) of the area to hatch.

Point in area to be hatched: Click within the area to hatch.

Select objects: Select the objects to hatch.

NoteFor example, to hatch a narrow rectangle, you would have to zoom into the rectangle to pick a point inside the rectangle. In this case the hatch command might fail, because the four lines composing the rectangle are not visible. To avoid this situation, select the four lines first and then zoom.


User-defined hatches (Quick Reference)

User-defined hatches
User-defined hatches
Create and edit hide situations
Create and modify geometry > Create hatches >
User-defined hatches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hatch dialog box

Pattern Type Selects the type of pattern to use.
 | Pattern Shows a palette of preview images of the selected hatch pattern.
 | Preview window Shows a preview image of the selected hatch pattern.
 | Pattern types Specifies the pattern type. Types of patterns are User-defined, Custom, and Predefined.
 | Pattern Properties Modifies the properties of the selected hatch pattern.
Pattern Lists available hatch patterns for the selected pattern type.
 | Custom Pattern Specifies a predefined pattern in the acad.pat file or a custom pattern in its own PAT file.
 | Scale Expands or contracts a predefined or custom pattern. AutoCAD stores the scale in the HPSCALE system variable. This option is available only if you set the pattern type to Predefined or Custom.
 | Angle Specifies the angle for the hatch pattern in relation to the X axis of the current UCS. AutoCAD stores the angle in the HPANG system variable.
Spacing Specifies the spacing of lines in a user-defined pattern. AutoCAD stores the spacing in the HPSPACE system variable. This option is available only if you set the pattern to User-defined.
Offset Shifts a hatch pattern in relation to an adjacent hatch.
Double Draws lines at 90-degree angles to the original.
Calculate Boundary Calculates the new boundaries of a hatch area when editing.
Adapt hatch distance at less than 5 hatchlines Specifies the number of hatch lines that the program draws when the area to hatch is very small. The availability of this option depends on the setting in the configuration. The number of hatching lines is 5 by default.


Create hidden lines

User-defined hatches
Create and modify geometry
AMSHIDE Vs AM2DHIDE
Create and modify geometry >
Create hidden lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • AMSHIDE Vs AM2DHIDE
  • Create hide situations with AMSHIDE
  • Create hide situations with AM2DHIDE


AMSHIDE Vs AM2DHIDE

Create hidden lines
Create hidden lines
Create hide situations with AMSHIDE
Create and modify geometry > Create hidden lines >
AMSHIDE Vs AM2DHIDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Mechanical enables you to create hidden lines by specifying which objects lie in front of the others. The overlapped areas of the objects that lie behind are drawn as hidden lines. Objects overlapping each other this manner are said to be involved in a “hide situation”.

Any closed contour on a contour layer or a non-mechanical layer can be selected as a foreground object. the AutoCAD Mechanical automatic property management mechanism intelligently ignores objects that are not appropriate for a hide situation; for example, centerlines and hatches.

AutoCAD Mechanical supports two commands for creation of hide situations, AMSHIDE and AM2DHIDE. AMSHIDE provides greater functionality than AM2DHIDE, and is designed to work with the mechanical structure workflow as well as the non-mechanical structure workflow. Hence, we recommend that you use AMSHIDE instead of AM2DHIDE.


Create hide situations with AMSHIDE

AMSHIDE Vs AM2DHIDE
Create hidden lines
Create and edit hide situations
Create and modify geometry > Create hidden lines >
Create hide situations with AMSHIDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Create and edit hide situations
  • Optimize hide for better performance


Create hide situations with AMSHIDE (Procedure)

User-defined hatches
Create hide situations with AMSHIDE
Create and edit hide situations
Create and modify geometry > Create hidden lines >
Create hide situations with AMSHIDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a hide situation

To remove a hide situation

To rename a hide situation

To identify the objects involved in a hide situation

To remove a component view, folder, or block from a level

To remove elemental geometry (free objects) from a level

To move a component view, folder, or block from one level to another

To move elemental geometry (free objects) from one level to another

To remove a level

To add a level

To change how hidden edges are displayed on the drawing

To configure the default options for AMSHIDE

To suppress a hide situation

To unsuppress a hide situation


Create and edit hide situations (Concept)

Create hide situations with AMSHIDE
Create hide situations with AMSHIDE
Optimize hide for better performance
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you create a hide situation using AMSHIDE, the program prompts you to select foreground objects. Once you select the objects, AMSHIDE automatically selects the background objects for you. However, if the number of background objects is too high, it prompts you to select the background objects manually.

Once you select the foreground objects, the Hide Situation dialog box appears and objects chosen for each level (foreground and background) appear in a tree. The program lists mechanical structure objects and blocks by name under the respective levels. It represents elemental geometry on the tree by a single node named Free Objects under the respective level.

Although by default a hide situation has only two levels (a foreground and a background), you can add more levels if necessary. Doing this enables you to handle complex hide situations that go beyond one that has only a foreground and a background.

You can drag-and-drop mechanical structure objects and blocks from one level to another. You cannot drag-and-drop elemental geometry because there are no individual entries for them (they group under a single node named Free Objects). To add objects to a level, select the level and use the [image] button.

If you are creating a hide situation for a mechanical structure-enabled drawing, pay attention to the tooltip when you select objects for the hide situation. The tooltip indicates whether you are selecting the elemental geometry or the structure component. In the non-structured environment, the tooltip does not matter. If you click an elemental geometry, it is selected as a free object. If you select a geometry that belongs to a block, the program selects the entire block.

AMSHIDE enables you to name a hide situation. When you save the hide situation, its name appears in the mechanical browser. To edit the hide situation, double-click the corresponding entry in the mechanical browser. By naming the hide situation appropriately you can easily differentiate between the different hide situations and quickly select them for editing.

In a mechanical structure-enabled drawing, the position of the hide situation on the mechanical structure is important.

For example, if you create a hide situation between two parts of a subassembly, the most appropriate position to store the hide situation is on the subassembly. If you insert another instance of the subassembly in the drawing, the hide situation also inserts automatically because the hide situation is an integral part of the subassembly. Alternatively, if you store the hide situation directly under the drawing name (the root node of the browser) the hide situation does not show in any new instances you create because the subassembly does not store the hide situation.

The AMSHIDE command was originally designed as a mechanical structure command, thus the “AMS” prefix on the command name. However, since then we have enhanced the command to support non-mechanical structure workflows as well. You configure the default settings for AMSHIDE with the AM:Structure tab of the Options dialog box, as with all other mechanical structure-related options.


Create and edit hide situations (Procedure)

Create hide situations with AMSHIDE
Up a level to ..
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a hide situation

To remove a hide situation

To rename a hide situation

To identify the objects involved in a hide situation

To remove a component view, folder, or block from a level

To remove elemental geometry (free objects) from a level

To move a component view, folder, or block from one level to another

To move elemental geometry (free objects) from one level to another

To remove a level

To add a level

To change how hidden edges are displayed on the drawing

To configure the default options for AMSHIDE


Create and edit hide situations (Quick Reference)

User-defined hatches
Create and edit hide situations
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSHIDE

AMSHIDEEDIT

Hide Situation dialog box - Level Settings

Hide Situation dialog box - Object Settings

Hide Options dialog box


To create a hide situation (Procedure)

Create and edit hide situations
Up a level to ..
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a hide situation

  1. Click Dashboard tab [image] Quick Structure panel [image] . At the Command prompt, enter AMSHIDE.
  2. Click in the graphics window to select foreground objects.
    • To select a component view or folder for the foreground, continue clicking an item that belongs to the component view or folder until you see its name in the tooltip window.
    • To select a free entity (a line, an arc, a circle, and so on), continue clicking the object until you see its name in the tooltip.
    • To select a block instance, click a geometry that belongs to it.

    Selection information is displayed on the command line. Continue to select objects, and then press ENTER to quit.

    When foreground objects are selected, objects that are partially or totally within a bounding box surrounding the foreground objects are automatically added to the background selection set. If the number of background objects is too high, you are prompted to select the background manually in the Hide Situation dialog box.

  3. If you are creating the hide situation for a mechanical structure drawing: (If the Hide Situation dialog box is collapsed, Click [image] )
    1. In the Name box, type a name to identify the hide situation.
      NoteIf you name the hide situations meaningfully, it is easier to pick out the hide situation from the browser later.
    2. In the Store hide situation on list, select the most appropriate position in the mechanical structure to store the hide situation.
  4. Click OK.


To remove a hide situation (Procedure)

Create and edit hide situations
Up a level to ..
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove a hide situation

  1. If the mechanical browser is not visible, type AMBROWSER at the Command prompt.
  2. Click the hide situation. Observe model space and verify that the correct hide situation is selected.
  3. Right-click the hide situation in the mechanical browser.
  4. Click Delete.


To rename a hide situation (Procedure)

Create and edit hide situations
Up a level to ..
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To rename a hide situation

  1. If the mechanical browser is not visible, type AMBROWSER at the Command prompt.
  2. Click the hide situation. Observe model space and verify that the correct hide situation is selected.
  3. Right-click the hide situation in the mechanical browser.
  4. Click Rename.
  5. Type the new name of the hide situation.
  6. Press ENTER.


To identify the objects involved in a hide situation (Procedure)

Create and edit hide situations
Up a level to ..
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To identify the objects involved in a hide situation

  1. If the mechanical browser is not visible, type AMBROWSER at the Command prompt.
  2. In the mechanical browser, select the hide situation. All objects involved in the hide situation are highlighted in model space.

    To identify all the objects that belong to each level of a hide situation:

    1. In the mechanical browser, double-click the hide situation.
    2. In the tree on the Hide Situation dialog box, click a level. All objects belonging to that level are highlighted in model space.


To remove a component view, folder, or block from a level (Procedure)

Create and edit hide situations
Up a level to ..
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove a component view, folder, or block from a level

  1. Click Dashboard tab [image] Quick Structure panel [image] . At the Command prompt, enter AMSHIDEEDIT.
  2. In model space, select an object that belongs to the hide situation you want to edit.
  3. In the tree view, click the component view, folder, or block you want to remove.
  4. Click [image] on the vertical toolbar.
  5. Click OK.


To remove elemental geometry (free objects) from a level (Procedure)

Create and edit hide situations
Up a level to ..
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove elemental geometry (free objects) from a level

  1. Click Dashboard tab [image] Quick Structure panel [image] . At the Command prompt, enter AMSHIDEEDIT.
  2. In model space, select an object that belongs to the hide situation you want to edit.
  3. In the tree view, click the level you want to edit.
  4. Click [image] on the vertical toolbar. The dialog box hides. Objects that belong to the selected level are displayed in dotted lines.
  5. With the SHIFT key pressed, click the free object you want to remove.
  6. Press ENTER.
  7. Click OK.


To move a component view, folder, or block from one level to another (Procedure)

Create and edit hide situations
Up a level to ..
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move a component view, folder, or block from one level to another

  1. Click Dashboard tab [image] Quick Structure panel [image] . At the Command prompt, enter AMSHIDEEDIT.
  2. In model space, select an object that belongs to the hide situation you want to edit.
  3. In the tree view, drag the component view, folder, or block to the desired level.
  4. Click OK.


To move elemental geometry (free objects) from one level to another (Procedure)

Create and edit hide situations
Up a level to ..
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move elemental geometry (free objects) from one level to another

  1. Click Dashboard tab [image] Quick Structure panel [image] . At the Command prompt, enter AMSHIDEEDIT.
  2. In model space, select an object that belongs to the hide situation you want to edit.
  3. In the tree view, select the level the elemental geometry you want to move belongs to.
  4. Click [image] on the vertical toolbar. The dialog box hides.
  5. With the SHIFT key pressed, click the free object in model space.
  6. Press ENTER. The dialog box displays again.
  7. In the tree view, select the level to which you want to move the elemental geometry.
  8. Click [image] on the vertical toolbar. The dialog box hides.
  9. Click the free object in model space.
  10. Press ENTER.
  11. Click OK.


To remove a level (Procedure)

Create and edit hide situations
Up a level to ..
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove a level

  1. Click Dashboard tab [image] Quick Structure panel [image] . At the Command prompt, enter AMSHIDEEDIT.
  2. In model space, select an object that belongs to the hide situation you want to edit
  3. In the tree view, click the level you want to remove.
  4. Click [image] on the vertical toolbar.
  5. Click OK.
NoteIf a level is left empty, a prompt appears asking if you want to remove it.


To add a level (Procedure)

Create and edit hide situations
Up a level to ..
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a level

  1. Click Dashboard tab [image] Quick Structure panel [image] . At the Command prompt, enter AMSHIDEEDIT.
  2. In model space, select an object that belongs to the hide situation you want to edit.
  3. Click [image] . A new level is added.
  4. Use the [image] [image] [image] [image] buttons to position the level.
  5. Click [image] on the vertical toolbar. The dialog box hides.
  6. In model space, click the objects you want to add to this level.
  7. Click OK.


To change how hidden edges are displayed on the drawing (Procedure)

Create and edit hide situations
Up a level to ..
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change how hidden edges are displayed on the drawing

  1. Click Dashboard tab [image] Quick Structure panel [image] . At the Command prompt, enter AMSHIDEEDIT.
  2. In model space, select an object that belongs to the hide situation you want to edit
  3. Click the root node of the tree view in the Hide Situation dialog box.
  4. If the dialog box has not expanded and Object Settings is not visible, click [image] .
  5. To display hidden lines as dashed lines, select Display hidden lines. If this button is not checked, hidden lines are not visible.
  6. Click OK.


To configure the default options for AMSHIDE (Procedure)

Create and edit hide situations
Up a level to ..
Optimize hide for better performance
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure the default options for AMSHIDE

  1. Click None [image] None [image] . At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Structure tab.
  3. Click Hide Options.
  4. To set the default hide style to dashed lines, select the Display hidden lines check box. If this check box is not selected, hidden lines are not visible.
  5. To set only the outer contour as a foreground object, select the Use outer contour only check box. If this check box is not selected, all contours selected for the foreground are set as foreground objects.
  6. To set the background objects that fall outside the foreground perimeter as hidden, select the Inverse foreground check box. If this check box is not selected, background objects that fall within the foreground perimeter are hidden.
  7. To limit foreground selection to objects on contour layers only, select the Use contours only check box. If this check box is not selected, any object may be treated as a foreground object.
  8. To make hide situations respect the Usage in Hide object setting, select the Hide appropriate objects only check box. If this box is cleared, the Usage in Hide object setting is ignored.
  9. To set the AMSHIDE command to automatically select the background when the foreground objects are selected, select the Select background objects automatically check box.
  10. To enable a dynamic preview of hide situations in model space, select the Dynamic preview when editing check box.
  11. To set the limit for automatic background selection, in the Limit background entities selection to box, type the limit.
  12. To set the limit for foreground objects, in the Prompt when number of foreground entities exceed box, type the limit.
  13. Click OK.


Create and edit hide situations (Quick Reference)

Create and edit hide situations
Create and edit hide situations
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSHIDE

Draws hidden lines to represent hidden edges, when you specify what objects lie in front and what objects lie behind.

Ribbon: Home tab [image] Hide panel [image] Create Associative Hide Situation. Does not exist on the ribbon.
Toolbar: Design Tools
Menu: Modify [image] Associative Hide [image] Create Associative Hide Situation Does not exist in the menus.
Command entry: amshide

When you modify or move objects that are part of a “hide situation” created with this command, the hidden lines update automatically. A hide situation can contain several overlapping levels.

See examples

The foreground geometry must contain at least one closed loop to create a hide situation.

The program determines the foreground objects based on your initial selection set. You can add foreground objects to or remove them from the hide situation.

In this example, the operator creates a hide situation but must edit the background object set. The operator uses the Hide Situation dialog box to remove two of the holes from the background object set.

AMSHIDE prompts you at the Command prompt to select foreground objects. Once you select the foreground objects, AMSHIDE automatically chooses objects for the background. If the number of background objects is too large, it prompts you to select the background objects from the Hide Situation dialog box.

The Hide Situation dialog box enables you to:

  • Create additional levels for hide situations that are more complex than two-level hide situations (foreground and background only).
  • Move objects from one level to another.
  • Add/remove objects to/from a level.

To edit hide situations, use the AMSHIDEEDIT command.

COMMAND LINE OPTIONS

Select foreground objects: Select objects and press ENTER.

When you confirm the foreground selection set, the program creates the background selection set automatically based on the foreground objects. After it creates the set, AutoCAD Mechanical displays the Hide Situation dialog box.

Select the objects to use as the foreground. Valid foreground objects include blocks, component views, folders, any closed contour created with lines, arcs, and circles inside or outside of mechanical structure. If you are selecting a mechanical structure object, pay attention to the tooltip. The tooltip tells you whether you are selecting an elemental geometry or a mechanical structure object.


Create and edit hide situations (Quick Reference)

Create and edit hide situations
Create and edit hide situations
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSHIDEEDIT

Edits a hide situation created with the AMSHIDE command.

Ribbon: Home tab [image] Hide panel [image] Edit Associative Hide Situation. Does not exist on the ribbon.
Toolbar: Design Tools
Menu: Modify [image] Associative Hide [image] Edit Associative Hide Situation Does not exist in the menus.
Command entry: amshideedit

You typically use this command when it is more convenient to specify the hide situation by selecting objects in model space.

COMMAND LINE OPTIONS

Select hide situation to edit: Select hide situation objects, and then press ENTER.

In the graphics window, pause the cursor over an object in a hide situation to highlight all objects included in the hide situation.

If the selected object belongs to more than one hide situation (indicated by a red plus symbol on the cursor), the command line prompts you to:

Enter an option [Next/Accept] <Accept>: Press ENTER to select the highlighted hide situation. Press N to highlight one of the other hide situations that the selected object belongs to.


Create and edit hide situations (Quick Reference)

Create and edit hide situations
Create and edit hide situations
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Tree View

Graphically describes the hide situation. The name of the hide situation is the root node. Levels appear as child nodes of the root, listed in z-order. Names of blocks, component views, and folders in the hide situation appear in the tree under the respective levels. Elemental geometry such as lines and arcs selected for a level are shown as a single entity named free objects.

Vertical Toolbar

Contains buttons that operate on the item selected in the tree view. The availability of each button depends on its relevance to the selection.

Buttons

Creates a level and adds it below the current selection in the tree.

Temporarily hides the dialog box so you can pick objects for the currently selected level.

  • To select a block instance:

    Click a geometry that belongs to the block instance. The tooltip displays the name of the block.

  • To select a component view or folder:

    Continue clicking an object that belongs to the component view or folder until you see the name of the component view or folder in the tooltip.

  • To select a free object:

    Continue clicking the free object until you see its name in the tooltip.

  • To remove an object from the selection set:

    Hold down the SHIFT key and continue clicking the object until you see its name in the tooltip window.

Removes the item selected in the tree from the hide situation.

Moves the selected level to the top.

Moves the selected level up one level.

Moves the selected level down one level.

Moves the selected level to the bottom.

Temporarily hides the dialog box to show the drawing. Press ESC or ENTER to return to the dialog box.

Name Provides a space for you to name the hide situation. Hide situation names do not need to be unique. Naming hide situations meaningfully helps you quickly identify hide situations on the mechanical browser.
Store hide situation on Displays the mechanical browser nodes under which the hide situation can be saved. NoteYou cannot save hide situations on external reference components.
Display hidden lines Sets the hide style of hidden lines to dashed lines (enabled by default). Clear this check box to make hidden lines invisible.
 | See an example of the effects of the Display hidden lines check box In this example, the Display hidden lines check box is selected. In this example, the Display hidden lines check box is cleared.
Use only specified layers for hide situations Excludes inappropriate objects (hatches and centerlines, for example) from the hide situation.
Settings Opens the Hide Options dialog box and enables users to set defaults for AMSHIDE.
Note
  1. Set the defaults for this dialog box in the Hide Options dialog box(accessed through the OPTIONS/AMOPTIONS command AM:Structure tab [image] Hide Options).
  2. You can resize the dialog box by dragging a side or corner.


Create and edit hide situations (Quick Reference)

Create and edit hide situations
Create and edit hide situations
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hide Situation dialog box - Level Settings

Tree View

Graphically describes the hide situation. The name of the hide situation is the root node. Levels appear as child nodes of the root, listed in z-order. Names of blocks, component views, and folders in the hide situation appear in the tree under the respective levels. Elemental geometry such as lines and arcs selected for a level are shown as a single entity named free objects.

Vertical Toolbar

Contains buttons that operate on the item selected in the tree view. The availability of each button depends on its relevance to the selection.

Buttons

Creates a level and adds it below the current selection in the tree.

Temporarily hides the dialog box so you can pick objects for the currently selected level.

  • To select a block instance:

    Click a geometry that belongs to the block instance. The tooltip displays the name of the block.

  • To select a component view or folder:

    Continue clicking an object that belongs to the component view or folder until you see the name of the component view or folder in the tooltip.

  • To select a free object:

    Continue clicking the free object until you see its name in the tooltip.

  • To remove an object from the selection set:

    Hold down the SHIFT key and continue clicking the object until you see its name in the tooltip window.

Removes the item selected in the tree from the hide situation.

Moves the selected level to the top.

Moves the selected level up one level.

Moves the selected level down one level.

Moves the selected level to the bottom.

Temporarily hides the dialog box to show the drawing. Press ESC or ENTER to return to the dialog box.

Basic tab

Level Settings

Level Name

Provides a space for you to specify a name for the level. The program shows this name on the tree view.

Selection

Shows the number of entities have been selected for that level. Occurrences refer to the number of mechanical structure objects that have been selected for that level.

Auto Background Selection

Sets automatic background selection options for the objects this level overlaps. This option is available only on a level that serves as a background

Auto Select

Automatically selects background objects and adds them to the selected level.

Select Occurrences Only

Restricts auto selection to component views and folders only.

Advanced tab

Level Settings

Use outer contour only

Uses only the outer contour for foreground calculations. When selected, if there are openings such as holes and slots inside the contour, background objects are not visible through them. A common use for this option is hiding background objects when the foreground object contains blind holes.

See an example of the effects of the Use outer contour only check box

In this example, the foreground consists of the rectangle (black arrow) and a triangular opening (blue arrow) objects. Because Use outer contour only is selected, background objects are not visible through the opening. The program shows them using hidden lines.

In this example, Use outer contour only is not selected. The background objects are visible through the triangular opening.

Save Contour

Saves the outer contour of the foreground geometry for use with future hidden line calculations. When you modify the foreground, AutoCAD Mechanical may not calculate hidden lines accurately, because the calculation is based on the saved contour and not the actual contour. Use this option only if you observe a significant degrading of performance when adding or modifying geometry.

NoteThis option is available only if the Use outer contour only check box is selected.

Inverse foreground

Swaps the role of the foreground and background. The program hides objects that are not overlapped by the foreground boundary and shows objects that are overlapped by the foreground.

Use only contour layers in foreground

Applies a layer filter to the foreground selection set, filtering out all layers except the contour layers and non-mechanical layers. By default, AM_0, AM_1, and AM_2 are contour layers and you can define up to four contour layers. By default, the program draws all objects that are valid foreground objects on these layers. If you clear this check box, all objects that belong to the foreground selection set appear as foreground objects, regardless of whether they are valid foreground objects or not.

Object Exclusion tab

Objects used as Foreground

Temporarily hides the dialog box so you can select or remove objects from the foreground exclusion set.

  • To select a block instance:

    Click a geometry that belongs to the block instance. The tooltip displays the name of the block.

  • To select a component view or folder, continue clicking an object that belongs to the component view or folder until you see the name of the component view or folder in the tooltip.
  • To add a free object to the exclusion set:

    Continue clicking the free object until you see its name in the tooltip.

  • To remove an object from the selection set:

    Hold down the SHIFT key and continue clicking the object until you see its name in the tooltip.

Clears current selection for the exclusion set.

Exclude selected objects

Specifies that the objects for the foreground exclusion set are not calculated as part of the foreground.

Objects used as Background

Temporarily hides the dialog box so you can select or remove objects from the background exclusion set.

  • To select a block instance:

    Click a geometry that belongs to the block instance. The tooltip shows the name of the block.

  • To select a component view or folder, continue clicking an object that belongs to the component view or folder until you see the name of the component view or folder in the tooltip.
  • To add a free object to the exclusion set:

    Continue clicking the free object until you see its name in the tooltip.

  • To remove an object from the selection set:

    Hold down the SHIFT key and continue clicking the object until you see its name in the tooltip.

Clears the current selection for the exclusion set.

Exclude selected objects

Specifies that the objects selected for the background exclusion set are not hidden as part of the background.

Settings

Opens the Hide Options dialog box and enables users to set defaults for AMSHIDE.

Note
  1. You can set the defaults for this dialog box in the Hide Options dialog box(accessed through the OPTIONS/AMOPTIONS command AM:Structure tab [image] Hide Options).
  2. You can resize the dialog box by dragging a side or corner.


Create and edit hide situations (Quick Reference)

Create and edit hide situations
Create and edit hide situations
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hide Situation dialog box - Object Settings

Tree View

Graphically describes the hide situation. The name of the hide situation is the root node. Levels appear as child nodes of the root, listed in z-order. Names of blocks, component views, and folders in the hide situation appear in the tree under the respective levels. Elemental geometry such as lines and arcs selected for a level are shown as a single entity named free objects.

Vertical Toolbar

Contains buttons that operate on the item selected in the tree view. The availability of each button depends on its relevance to the selection.

Buttons

Creates a level and adds it below the current selection in the tree.

Temporarily hides the dialog box so you can pick objects for the currently selected level.

  • To select a block instance:

    Click a geometry that belongs to the block instance. The tooltip displays the name of the block.

  • To select a component view or folder:

    Continue clicking an object that belongs to the component view or folder until you see the name of the component view or folder in the tooltip.

  • To select a free object:

    Continue clicking the free object until you see its name in the tooltip.

  • To remove an object from the selection set:

    Hold down the SHIFT key and continue clicking the object until you see its name in the tooltip window.

Removes the item selected in the tree from the hide situation.

Moves the selected level to the top.

Moves the selected level up one level.

Moves the selected level down one level.

Moves the selected level to the bottom.

Temporarily hides the dialog box to show the drawing. Press ESC or ENTER to return to the dialog box.

Exclude from Foreground Prevents the selected entity from acting as a foreground to all the levels below its level.
Exclude from Background Prevents the selected entity from acting as a background to all levels above its level.
Use outer contour only Sets only the outer contour of the selected entity to be displayed as a foreground object. If you clear this check box, all contours are displayed as foreground objects.
 | See example of the usage of the Use outer contour only check box In this example, the foreground consists of the rectangle (black arrow) and triangle (blue arrow) objects. Because Use outer contour only is selected, only the rectangle is displayed as a foreground object. In this example, because Use outer contour only is cleared, both objects appear as foreground objects.
 | Save contour Saves the outer contour of the selected entity for use with future hidden line calculations. When you modify the entity, AutoCAD Mechanical may not calculate hidden lines accurately, as the calculation is based on the saved contour and not the actual contour. Use this option only if you observe a significant degrading of performance when adding or modifying geometry. NoteThis option is available only if you select the Use outer contour only check box.
Settings Opens the Hide Options dialog box and enables users to set defaults for AMSHIDE.
Note
  1. You can set the defaults for this dialog box in the Hide Options dialog box(accessed through the OPTIONS/AMOPTIONS command AM:Structure tab [image] Hide Options).
  2. You can resize the dialog box by dragging a side or corner.


Create and edit hide situations (Quick Reference)

Create and edit hide situations
Create and edit hide situations
Optimize hide for better performance
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hide Options dialog box

Use this dialog box to set the defaults for the AMSHIDE command.

AMSHIDE dialog box defaults

Display hidden lines

Specifies that hidden lines appear as dashed lines by default. If you do not select this check box, hidden lines are not visible by default.

See an example of the effects of the Display hidden lines check box

In this example, the Display hidden lines check box is selected.

In this example, the Display hidden lines check box is cleared.

Use outer contours only

Uses only the outer contours of objects for foreground calculations. If the outer contour contains openings such as holes and slots, the program ignores them and background objects that should be visible through these openings remain hidden.

See an illustration of the effects of the Use outer contour only check box

In this example, the foreground consists of the rectangle (black arrow) and a triangular opening (blue arrow) objects. Because Use outer contour only is selected, background objects are not visible through the opening. The program shows them using hidden lines.

In this example, Use outer contour only is not selected. The background objects are visible through the triangular opening.

Inverse foreground

Swaps the roles of foreground and background objects. The program shows objects overlapped by the foreground and hides objects not overlapped by the foreground boundary.

Use contours only

Filters out all inappropriate objects from the foreground. By default, the program considers only closed contours drawn on the mechanical layers AM_0, AM_1, and AM_2 (Contour Layers) and closed contours drawn on layers created with the AutoCAD LAYER command appropriate for the foreground.

Hide appropriate objects only

Specifies that the AMSHIDE command must ignore objects that are not valid background objects (hatches and construction lines, for example).

Dynamic preview when editing

Shows a dynamic preview in the drawing area when you make changes in the Hide Situation dialog box.

Update draw order

Updates the draw order to reflect the foreground and background selection of the hide situation. Unless you use filled objects (for example, bitmaps), we recommend that you do not select this check box.

For more information on the draw order, see the documentation on the AutoCAD DRAWORDER command.

Select background objects automatically

Specifies that the AMSHIDE command automatically selects background entities, when creating a new hide situation.

Limit background entities selection to:

Sets the maximum number of objects that the program can select automatically for the background. While creating a hide situation, if the system detects a higher number of objects, it prompts you to select the background manually.

Prompt when number of foreground entities exceed:

Sets the maximum number of objects that the program can select for the foreground before the system prompts you to select foreground objects manually.


Optimize hide for better performance (Concept)

Create and edit hide situations
Create hide situations with AMSHIDE
Create hide situations with AM2DHIDE
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Optimize hide for better performance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hide situations created with AMSHIDE update dynamically. Every time you move an object in model space, the program recalculates hide situations. If a drawing contains complex hide situations or an unusually large number of hide situations, you may notice a degrading of performance. AutoCAD Mechanical provides two ways to work around this problem.

  • Temporarily suppress hide situations.

    When you suppress a hide situation, AutoCAD Mechanical does not calculate the hide situation. As a result, objects that are obscured by other objects are not shown as hidden. The mechanical browser indicates suppressed hide situations by dimming the hide icon. You can suppress all hide situations, the hide situations of a particular assembly only, or the hide situations of an individual part or folder. Right-click the node in the mechanical browser and select the appropriate Suppress menu option. You can unsuppress the hide situations at any time.

  • Save the outer contour of foreground objects.

    This option is available under Object Settings in the Edit Hide Situation dialog box. (Double-click a hide situation in the mechanical browser to open the dialog box.) When you enable this option, the program saves the outer contour of the foreground for use in subsequent hidden line calculations. If you modify the foreground, hidden lines may not calculate properly because the program uses the saved outer contour for the calculation, not the actual contour. At any time, you can turn off this option and recalculate hide situations using the actual foreground shape contours. The other disadvantage of this method is that you must enable the Use Outer Contour Only option before you can save the outer contour. If the foreground object has through holes, through which the background objects must be visible, you cannot use this option. The advantage this method has over the suppress method is that hide situations continue to appear in model space.


Optimize hide for better performance (Procedure)

Create and edit hide situations
Up a level to ..
Optimize hide for better performance
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Optimize hide for better performance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To suppress a hide situation

To unsuppress a hide situation


Optimize hide for better performance (Quick Reference)

Create and edit hide situations
Optimize hide for better performance
Optimize hide for better performance
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Optimize hide for better performance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSHIDE

AMSHIDEEDIT

Hide Situation dialog box - Level Settings

Hide Situation dialog box - Object Settings

Hide Options dialog box


To suppress a hide situation (Procedure)

Optimize hide for better performance
Up a level to ..
Optimize hide for better performance
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Optimize hide for better performance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To suppress a hide situation

  1. If the mechanical browser is not visible, type AMBROWSER at the Command prompt.
  2. Click the hide situation. Observe model space and verify that the correct hide situation is selected.
  3. Right-click the hide situation in the mechanical browser.
  4. Click Suppress. The Hide Situation icon in the mechanical browser is dimmed.


To unsuppress a hide situation (Procedure)

Optimize hide for better performance
Up a level to ..
Create hide situations with AM2DHIDE
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Optimize hide for better performance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To unsuppress a hide situation

  1. If the mechanical browser is not visible, type AMBROWSER at the Command prompt.
  2. Click the hide situation. Observe model space and verify that the correct hide situation is selected.
  3. Right-click the hide situation in the mechanical browser.
  4. Click Suppress. The Hide Situation icon in the mechanical browser is restored.


Optimize hide for better performance (Quick Reference)

Optimize hide for better performance
Optimize hide for better performance
Optimize hide for better performance
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Optimize hide for better performance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSHIDE

Draws hidden lines to represent hidden edges, when you specify what objects lie in front and what objects lie behind.

Ribbon: Home tab [image] Hide panel [image] Create Associative Hide Situation. Does not exist on the ribbon.
Toolbar: Design Tools
Menu: Modify [image] Associative Hide [image] Create Associative Hide Situation Does not exist in the menus.
Command entry: amshide

When you modify or move objects that are part of a “hide situation” created with this command, the hidden lines update automatically. A hide situation can contain several overlapping levels.

See examples

The foreground geometry must contain at least one closed loop to create a hide situation.

The program determines the foreground objects based on your initial selection set. You can add foreground objects to or remove them from the hide situation.

In this example, the operator creates a hide situation but must edit the background object set. The operator uses the Hide Situation dialog box to remove two of the holes from the background object set.

AMSHIDE prompts you at the Command prompt to select foreground objects. Once you select the foreground objects, AMSHIDE automatically chooses objects for the background. If the number of background objects is too large, it prompts you to select the background objects from the Hide Situation dialog box.

The Hide Situation dialog box enables you to:

  • Create additional levels for hide situations that are more complex than two-level hide situations (foreground and background only).
  • Move objects from one level to another.
  • Add/remove objects to/from a level.

To edit hide situations, use the AMSHIDEEDIT command.

COMMAND LINE OPTIONS

Select foreground objects: Select objects and press ENTER.

When you confirm the foreground selection set, the program creates the background selection set automatically based on the foreground objects. After it creates the set, AutoCAD Mechanical displays the Hide Situation dialog box.

Select the objects to use as the foreground. Valid foreground objects include blocks, component views, folders, any closed contour created with lines, arcs, and circles inside or outside of mechanical structure. If you are selecting a mechanical structure object, pay attention to the tooltip. The tooltip tells you whether you are selecting an elemental geometry or a mechanical structure object.


Optimize hide for better performance (Quick Reference)

Optimize hide for better performance
Optimize hide for better performance
Optimize hide for better performance
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Optimize hide for better performance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSHIDEEDIT

Edits a hide situation created with the AMSHIDE command.

Ribbon: Home tab [image] Hide panel [image] Edit Associative Hide Situation. Does not exist on the ribbon.
Toolbar: Design Tools
Menu: Modify [image] Associative Hide [image] Edit Associative Hide Situation Does not exist in the menus.
Command entry: amshideedit

You typically use this command when it is more convenient to specify the hide situation by selecting objects in model space.

COMMAND LINE OPTIONS

Select hide situation to edit: Select hide situation objects, and then press ENTER.

In the graphics window, pause the cursor over an object in a hide situation to highlight all objects included in the hide situation.

If the selected object belongs to more than one hide situation (indicated by a red plus symbol on the cursor), the command line prompts you to:

Enter an option [Next/Accept] <Accept>: Press ENTER to select the highlighted hide situation. Press N to highlight one of the other hide situations that the selected object belongs to.


Optimize hide for better performance (Quick Reference)

Optimize hide for better performance
Optimize hide for better performance
Optimize hide for better performance
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Optimize hide for better performance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Tree View

Graphically describes the hide situation. The name of the hide situation is the root node. Levels appear as child nodes of the root, listed in z-order. Names of blocks, component views, and folders in the hide situation appear in the tree under the respective levels. Elemental geometry such as lines and arcs selected for a level are shown as a single entity named free objects.

Vertical Toolbar

Contains buttons that operate on the item selected in the tree view. The availability of each button depends on its relevance to the selection.

Buttons

Creates a level and adds it below the current selection in the tree.

Temporarily hides the dialog box so you can pick objects for the currently selected level.

  • To select a block instance:

    Click a geometry that belongs to the block instance. The tooltip displays the name of the block.

  • To select a component view or folder:

    Continue clicking an object that belongs to the component view or folder until you see the name of the component view or folder in the tooltip.

  • To select a free object:

    Continue clicking the free object until you see its name in the tooltip.

  • To remove an object from the selection set:

    Hold down the SHIFT key and continue clicking the object until you see its name in the tooltip window.

Removes the item selected in the tree from the hide situation.

Moves the selected level to the top.

Moves the selected level up one level.

Moves the selected level down one level.

Moves the selected level to the bottom.

Temporarily hides the dialog box to show the drawing. Press ESC or ENTER to return to the dialog box.

Name Provides a space for you to name the hide situation. Hide situation names do not need to be unique. Naming hide situations meaningfully helps you quickly identify hide situations on the mechanical browser.
Store hide situation on Displays the mechanical browser nodes under which the hide situation can be saved. NoteYou cannot save hide situations on external reference components.
Display hidden lines Sets the hide style of hidden lines to dashed lines (enabled by default). Clear this check box to make hidden lines invisible.
 | See an example of the effects of the Display hidden lines check box In this example, the Display hidden lines check box is selected. In this example, the Display hidden lines check box is cleared.
Use only specified layers for hide situations Excludes inappropriate objects (hatches and centerlines, for example) from the hide situation.
Settings Opens the Hide Options dialog box and enables users to set defaults for AMSHIDE.
Note
  1. Set the defaults for this dialog box in the Hide Options dialog box(accessed through the OPTIONS/AMOPTIONS command AM:Structure tab [image] Hide Options).
  2. You can resize the dialog box by dragging a side or corner.


Optimize hide for better performance (Quick Reference)

Optimize hide for better performance
Optimize hide for better performance
Optimize hide for better performance
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Optimize hide for better performance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hide Situation dialog box - Level Settings

Tree View

Graphically describes the hide situation. The name of the hide situation is the root node. Levels appear as child nodes of the root, listed in z-order. Names of blocks, component views, and folders in the hide situation appear in the tree under the respective levels. Elemental geometry such as lines and arcs selected for a level are shown as a single entity named free objects.

Vertical Toolbar

Contains buttons that operate on the item selected in the tree view. The availability of each button depends on its relevance to the selection.

Buttons

Creates a level and adds it below the current selection in the tree.

Temporarily hides the dialog box so you can pick objects for the currently selected level.

  • To select a block instance:

    Click a geometry that belongs to the block instance. The tooltip displays the name of the block.

  • To select a component view or folder:

    Continue clicking an object that belongs to the component view or folder until you see the name of the component view or folder in the tooltip.

  • To select a free object:

    Continue clicking the free object until you see its name in the tooltip.

  • To remove an object from the selection set:

    Hold down the SHIFT key and continue clicking the object until you see its name in the tooltip window.

Removes the item selected in the tree from the hide situation.

Moves the selected level to the top.

Moves the selected level up one level.

Moves the selected level down one level.

Moves the selected level to the bottom.

Temporarily hides the dialog box to show the drawing. Press ESC or ENTER to return to the dialog box.

Basic tab

Level Settings

Level Name

Provides a space for you to specify a name for the level. The program shows this name on the tree view.

Selection

Shows the number of entities have been selected for that level. Occurrences refer to the number of mechanical structure objects that have been selected for that level.

Auto Background Selection

Sets automatic background selection options for the objects this level overlaps. This option is available only on a level that serves as a background

Auto Select

Automatically selects background objects and adds them to the selected level.

Select Occurrences Only

Restricts auto selection to component views and folders only.

Advanced tab

Level Settings

Use outer contour only

Uses only the outer contour for foreground calculations. When selected, if there are openings such as holes and slots inside the contour, background objects are not visible through them. A common use for this option is hiding background objects when the foreground object contains blind holes.

See an example of the effects of the Use outer contour only check box

In this example, the foreground consists of the rectangle (black arrow) and a triangular opening (blue arrow) objects. Because Use outer contour only is selected, background objects are not visible through the opening. The program shows them using hidden lines.

In this example, Use outer contour only is not selected. The background objects are visible through the triangular opening.

Save Contour

Saves the outer contour of the foreground geometry for use with future hidden line calculations. When you modify the foreground, AutoCAD Mechanical may not calculate hidden lines accurately, because the calculation is based on the saved contour and not the actual contour. Use this option only if you observe a significant degrading of performance when adding or modifying geometry.

NoteThis option is available only if the Use outer contour only check box is selected.

Inverse foreground

Swaps the role of the foreground and background. The program hides objects that are not overlapped by the foreground boundary and shows objects that are overlapped by the foreground.

Use only contour layers in foreground

Applies a layer filter to the foreground selection set, filtering out all layers except the contour layers and non-mechanical layers. By default, AM_0, AM_1, and AM_2 are contour layers and you can define up to four contour layers. By default, the program draws all objects that are valid foreground objects on these layers. If you clear this check box, all objects that belong to the foreground selection set appear as foreground objects, regardless of whether they are valid foreground objects or not.

Object Exclusion tab

Objects used as Foreground

Temporarily hides the dialog box so you can select or remove objects from the foreground exclusion set.

  • To select a block instance:

    Click a geometry that belongs to the block instance. The tooltip displays the name of the block.

  • To select a component view or folder, continue clicking an object that belongs to the component view or folder until you see the name of the component view or folder in the tooltip.
  • To add a free object to the exclusion set:

    Continue clicking the free object until you see its name in the tooltip.

  • To remove an object from the selection set:

    Hold down the SHIFT key and continue clicking the object until you see its name in the tooltip.

Clears current selection for the exclusion set.

Exclude selected objects

Specifies that the objects for the foreground exclusion set are not calculated as part of the foreground.

Objects used as Background

Temporarily hides the dialog box so you can select or remove objects from the background exclusion set.

  • To select a block instance:

    Click a geometry that belongs to the block instance. The tooltip shows the name of the block.

  • To select a component view or folder, continue clicking an object that belongs to the component view or folder until you see the name of the component view or folder in the tooltip.
  • To add a free object to the exclusion set:

    Continue clicking the free object until you see its name in the tooltip.

  • To remove an object from the selection set:

    Hold down the SHIFT key and continue clicking the object until you see its name in the tooltip.

Clears the current selection for the exclusion set.

Exclude selected objects

Specifies that the objects selected for the background exclusion set are not hidden as part of the background.

Settings

Opens the Hide Options dialog box and enables users to set defaults for AMSHIDE.

Note
  1. You can set the defaults for this dialog box in the Hide Options dialog box(accessed through the OPTIONS/AMOPTIONS command AM:Structure tab [image] Hide Options).
  2. You can resize the dialog box by dragging a side or corner.


Optimize hide for better performance (Quick Reference)

Optimize hide for better performance
Optimize hide for better performance
Optimize hide for better performance
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Optimize hide for better performance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hide Situation dialog box - Object Settings

Tree View

Graphically describes the hide situation. The name of the hide situation is the root node. Levels appear as child nodes of the root, listed in z-order. Names of blocks, component views, and folders in the hide situation appear in the tree under the respective levels. Elemental geometry such as lines and arcs selected for a level are shown as a single entity named free objects.

Vertical Toolbar

Contains buttons that operate on the item selected in the tree view. The availability of each button depends on its relevance to the selection.

Buttons

Creates a level and adds it below the current selection in the tree.

Temporarily hides the dialog box so you can pick objects for the currently selected level.

  • To select a block instance:

    Click a geometry that belongs to the block instance. The tooltip displays the name of the block.

  • To select a component view or folder:

    Continue clicking an object that belongs to the component view or folder until you see the name of the component view or folder in the tooltip.

  • To select a free object:

    Continue clicking the free object until you see its name in the tooltip.

  • To remove an object from the selection set:

    Hold down the SHIFT key and continue clicking the object until you see its name in the tooltip window.

Removes the item selected in the tree from the hide situation.

Moves the selected level to the top.

Moves the selected level up one level.

Moves the selected level down one level.

Moves the selected level to the bottom.

Temporarily hides the dialog box to show the drawing. Press ESC or ENTER to return to the dialog box.

Exclude from Foreground Prevents the selected entity from acting as a foreground to all the levels below its level.
Exclude from Background Prevents the selected entity from acting as a background to all levels above its level.
Use outer contour only Sets only the outer contour of the selected entity to be displayed as a foreground object. If you clear this check box, all contours are displayed as foreground objects.
 | See example of the usage of the Use outer contour only check box In this example, the foreground consists of the rectangle (black arrow) and triangle (blue arrow) objects. Because Use outer contour only is selected, only the rectangle is displayed as a foreground object. In this example, because Use outer contour only is cleared, both objects appear as foreground objects.
 | Save contour Saves the outer contour of the selected entity for use with future hidden line calculations. When you modify the entity, AutoCAD Mechanical may not calculate hidden lines accurately, as the calculation is based on the saved contour and not the actual contour. Use this option only if you observe a significant degrading of performance when adding or modifying geometry. NoteThis option is available only if you select the Use outer contour only check box.
Settings Opens the Hide Options dialog box and enables users to set defaults for AMSHIDE.
Note
  1. You can set the defaults for this dialog box in the Hide Options dialog box(accessed through the OPTIONS/AMOPTIONS command AM:Structure tab [image] Hide Options).
  2. You can resize the dialog box by dragging a side or corner.


Optimize hide for better performance (Quick Reference)

Optimize hide for better performance
Optimize hide for better performance
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AMSHIDE >
Optimize hide for better performance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hide Options dialog box

Use this dialog box to set the defaults for the AMSHIDE command.

AMSHIDE dialog box defaults

Display hidden lines

Specifies that hidden lines appear as dashed lines by default. If you do not select this check box, hidden lines are not visible by default.

See an example of the effects of the Display hidden lines check box

In this example, the Display hidden lines check box is selected.

In this example, the Display hidden lines check box is cleared.

Use outer contours only

Uses only the outer contours of objects for foreground calculations. If the outer contour contains openings such as holes and slots, the program ignores them and background objects that should be visible through these openings remain hidden.

See an illustration of the effects of the Use outer contour only check box

In this example, the foreground consists of the rectangle (black arrow) and a triangular opening (blue arrow) objects. Because Use outer contour only is selected, background objects are not visible through the opening. The program shows them using hidden lines.

In this example, Use outer contour only is not selected. The background objects are visible through the triangular opening.

Inverse foreground

Swaps the roles of foreground and background objects. The program shows objects overlapped by the foreground and hides objects not overlapped by the foreground boundary.

Use contours only

Filters out all inappropriate objects from the foreground. By default, the program considers only closed contours drawn on the mechanical layers AM_0, AM_1, and AM_2 (Contour Layers) and closed contours drawn on layers created with the AutoCAD LAYER command appropriate for the foreground.

Hide appropriate objects only

Specifies that the AMSHIDE command must ignore objects that are not valid background objects (hatches and construction lines, for example).

Dynamic preview when editing

Shows a dynamic preview in the drawing area when you make changes in the Hide Situation dialog box.

Update draw order

Updates the draw order to reflect the foreground and background selection of the hide situation. Unless you use filled objects (for example, bitmaps), we recommend that you do not select this check box.

For more information on the draw order, see the documentation on the AutoCAD DRAWORDER command.

Select background objects automatically

Specifies that the AMSHIDE command automatically selects background entities, when creating a new hide situation.

Limit background entities selection to:

Sets the maximum number of objects that the program can select automatically for the background. While creating a hide situation, if the system detects a higher number of objects, it prompts you to select the background manually.

Prompt when number of foreground entities exceed:

Sets the maximum number of objects that the program can select for the foreground before the system prompts you to select foreground objects manually.


Create hide situations with AM2DHIDE

Optimize hide for better performance
Create hidden lines
Create and edit hide situations
Create and modify geometry > Create hidden lines >
Create hide situations with AM2DHIDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Create and edit hide situations
  • Issues related to using blocks as background objects


Create hide situations with AM2DHIDE (Procedure)

Optimize hide for better performance
Create hide situations with AM2DHIDE
Create and edit hide situations
Create and modify geometry > Create hidden lines >
Create hide situations with AM2DHIDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To make hidden lines invisible

To show hidden edges as dashed lines

To delete hidden lines

To edit hidden lines

To configure the handling of blocks in hide situations


Create and edit hide situations (Concept)

Create hide situations with AM2DHIDE
Create hide situations with AM2DHIDE
Issues related to using blocks as background objects
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The AM2DHIDE command creates hidden lines by enabling you to set the objects in front, in the 3D sense, as the foreground, and objects behind as the background.

If you modify the foreground or background objects, or you want to change the object selection for the foreground or background, use the AM2DHIDEDIT command to update the hide situation.

You can include objects in multiple hide situations. For example, an object can be part of the background in one hide situation while it is part of the foreground in another.

When you select objects for the background, the program breaks the objects automatically and moves the concealed areas to the appropriate layer. This function makes the objects hidden lines or invisible. As long as you keep these objects together, you can restore the original representation with the AM2DHIDEDIT command.

Note
  • AM2DHIDE cannot break/hide SOLID hatch patterns. The same applies to standard or custom content inserted with the Solid hatch command.
  • If you select the Invisible on Layer AM_9 option in the dialog box that appears when you invoke the AM2DHIDE command, the program places elements in the background on a layer (AM_9, AM_9N, or AM_INV) that is turned off, by default. When you invoke the AM2DHIDE command (or the AM2DHIDEDIT command) again, the program switches on the layer and resets it to its previous state. This function ensures that all entities that you can manipulate are visible.

    You can deactivate the automatic switching off of layers containing concealed elements by setting the system editor key Acad/M > Hide > Invoff to 0. You must switch off hidden or invisible objects before plotting.

  • It is possible (for example, during a copy operation) for some entities belonging to a Power Object (for example, a shaft) not to be selected. This behavior occurs when the program breaks these entities in the background, at which point they are hidden or invisible and no longer form an object.
  • To enable copying an object in its entirety or to use Power Copy (AMPOWERCOPY), turn on the layers containing the concealed elements. To toggle the visibility of these layers, choose Format > Layer Tools> Invisible Lines On/Off.


Create and edit hide situations (Procedure)

Create hide situations with AM2DHIDE
Up a level to ..
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To make hidden lines invisible

To show hidden edges as dashed lines

To delete hidden lines

To edit hidden lines


Create and edit hide situations (Quick Reference)

Optimize hide for better performance
Create and edit hide situations
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AM2DHIDE

Create Hide Situation dialog box

Create Hide Situation dialog box - Foreground tab

Create Hide Situation dialog box - Background tab

Create Hide Situation dialog box - Settings tab

AM2DHIDEDIT

Modify Hide Situation dialog box

Modify Hide Situation dialog box - Foreground tab

Modify Hide Situation dialog box - Background tab

Modify Hide Situation dialog box - Settings tab

AMLAYINVO


To make hidden lines invisible (Procedure)

Create and edit hide situations
Up a level to ..
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To make hidden lines invisible

  1. Click None [image] None . At the Command prompt, enter AM2DHIDE.
  2. Select the elements representing the foreground. The blue plate with the hole is the foreground. The Hide Situation dialog box appears.
  3. In the background tab select Invisible on Layer AM_9.

The hidden lines of the background object are now invisible. The layer is turned visible only when the AM2DHIDEDIT command is used.

The setting in the Foreground tab specifies whether you can select the foreground contour. If the Use Elements on Contour Layers Only option is selected, only the objects on the contour layer (Contour layers are AM_0, AM_1, and AM_2) are considered.


To show hidden edges as dashed lines (Procedure)

Create and edit hide situations
Up a level to ..
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To show hidden edges as dashed lines

  1. Click None [image] None [image] .At the Command prompt, enter AM2DHIDE.
  2. Select the elements representing the foreground. The blue plate with the hole, is the foreground. The Create Hide Situation dialog box appears.
  3. In the Background tab, select Dashed.

The hidden lines of the background element are displayed as dashed lines.

The setting in the Foreground tab specifies whether you can select the foreground contour. If the Use Elements on Contour Layers only option is selected, only the objects on the contour layer (Contour layers are AM_0, AM_1, and AM_2) are considered.


To delete hidden lines (Procedure)

Create and edit hide situations
Up a level to ..
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete hidden lines

  1. Click None [image] None [image] .At the Command prompt, enter AM2DHIDE.
  2. Select the elements representing the foreground. The blue plate with the hole is the foreground. The Create Hide Situation dialog box appears.
  3. In the Background tab, select Invisible, Deleted.

The hidden lines of the background element are deleted.

The setting in the Foreground tab specifies whether you can select the foreground contour. If the Use Elements on Contour Layers Only option is selected, only the objects on the contour layer (Contour layers are AM_0, AM_1, and AM_2) are considered.


To edit hidden lines (Procedure)

Create and edit hide situations
Up a level to ..
Issues related to using blocks as background objects
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit hidden lines

Use AM2DHIDEDIT to edit invisible or hidden edges.

The command has the following options:

Genius 12

Select this option to insert, reinsert, or replace hidden blocks as used in Genius 12 drawings. The following prompt appears:

Select hidden existing block for hidden or original lines/Return to insert the hidden block in invisible area.

Insert (H)idden/(O)riginal block <Hidden>:

If the lines of the hidden block are not visible, click somewhere inside the area. The program searches all blocks and displays them in magenta in the drawing.

Select the Hide option to display the background with hidden lines.

When you select the Original option (for one block), the following prompt appears:

Original

Insert Block (Y/N)

Press Y to insert the block, or press N to retain the current representation and edit the next background block.

Determine whether the desired block is selected on the screen, and press Y. The block is inserted with hidden lines or returned to its original state.

NoteThe background is saved in two blocks. One block contains the hidden objects; the other contains only the edges, drawn as dashed lines. Although, the original state is established optically, the break at the foreground contour remains. The foreground and background information is permanently saved.
Modify

Use this option to view and further manipulate the dependencies defined by the Hide operations for a selected element in the Modify Hide Situation dialog box, if required.

Select objects:

You can remove a hidden object entirely or you can add single elements to the foreground and/or background of a hidden object. The latter is useful if, for example, the foreground is moved and hides elements in the background that were not previously hidden. Moreover, the visibility for background objects can be redefined (Invisible, Hidden or Original), although only for user-defined hide operations (not, for example, for inserted standard parts).

In the list field on the left side of the dialog box, the foreground and background objects corresponding to the selected entities are displayed. They can be edited one by one. The Hide objects can be exploded with the corresponding option, but the foreground/background dependencies are lost. The Restore option can be used to restore the original (broken) state; but the object cannot be updated.

Move

Use this to manually move elements from the background and assign them to the foreground. First, select the background objects to be moved to the foreground. Then determine the objects for the background.

Example:

On the left side of the following figure, a circle is defined as foreground object to the blue rectangle and as a background object to the red rectangle. After the Move command, the circle is a foreground object to both rectangles (see the right side).

Edit the behind situation [modifY/Move/Restore/Genius12] <Update>: M

Select objects to move to foreground

Select objects: Select all parts of the circle.

Select objects: Press ENTER

Select objects for background

Select objects: Select all parts of the red and blue rectangles.

Restore

Use this option to restore objects to their original state.

Update

Use this option to recalculate the dependencies of the selected entities. This may be necessary and useful when you are moving objects to the foreground and/or background, and the Hide situation is no longer displayed correctly, or when you have added single elements to the foreground or background. After this operation, the Hide objects are restored and updated.

NoteExcept for blocks, the Restore option applies only to the visual representation of elements; broken lines or contours remain broken.


Create and edit hide situations (Quick Reference)

Create and edit hide situations
Create and edit hide situations
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AM2DHIDE

Draws hidden lines to represent hidden edges, when you specify what objects lie in front and what objects lie behind.

AM2DHIDE determines the foreground and the background by prompting you to select the objects. You can refine the selection as well choose how to represent the invisible edges in the Create Hide Situation dialog box.

Objects can be part of multiple hide situations at the same time. For example, an object used as part of the foreground in one hide situation can be part of the background in another operation.

NoteAM2DHIDE has been superceded by AMSHIDE. The program includes it only for compatibility with older versions of AutoCAD Mechanical.
Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Modify [image] 2D Hide [image] Hide Invisible Edges Does not exist in the menus.
Command entry: am2dhide

COMMAND LINE OPTIONS

Select objects for Foreground: Select the objects for the foreground.


Create and edit hide situations (Quick Reference)

Create and edit hide situations
Create and edit hide situations
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Create Hide Situation dialog box

This dialog box has three tabs:

Foreground: Sets foreground options.

Background: Sets background options.

Settings: Sets general options that apply to both the foreground and background.


Create and edit hide situations (Quick Reference)

Create and edit hide situations
Create and edit hide situations
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Create Hide Situation dialog box - Foreground tab

The AM2DHIDE command searches for an appropriate foreground type, and then sets the corresponding options.

Normal Foreground

Contains only simple curve objects, no blocks. The program can use curve objects directly as contours, and the Contour Finder can use them to determine an appropriate contour. With this option, the Contour Finder cannot define inner contours as islands. Usually, the Contour Finder is not used, and no type is indicated. If you use the Contour Finder, the indicated type is “Outline, no holes possible.”

Block Foreground

Contains a single block. The program can use the objects in the block directly or with the Contour Finder. The Contour Finder enables you to define points for which the enclosing contour defines islands in the foreground area.

Predefined Foreground

Contains a standard part (or a user-defined part) with a predefined contour.

Programmatically Defined Foreground

Contains Power Objects that define their own method for calculating the contour. We do not recommend changing the selection.

Empty Foreground

The current foreground selection is empty. The program does not perform any changes and there is nothing to store.

Mixed Foreground

Contains more than one of the foreground types. The options are the same as for Normal Foreground.

Use Elements on Contour Layers Only

Enhances the foreground selection, by applying a filter to prevent inappropriate objects from being used as foreground objects.


Create and edit hide situations (Quick Reference)

Create and edit hide situations
Create and edit hide situations
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Create Hide Situation dialog box - Background tab

Select/View Highlights and edits the selection of the background objects. The dialog box closes temporarily and the program highlights the current selection set in the drawing. Using the AutoCAD object selection command, you can add objects to or remove objects from the background selection.
Name Assigns a name to the applied calculation operation. This approach can be helpful for later editing. This function is used when you select the Store Settings for Reevaluation option on the Settings tab.
Automatic Background Selection Automatically determines the objects to use for the background after you select the desired foreground. The function excludes objects in the foreground of the currently selected foreground from the selection.
Edit Elements on Appropriate Layers Only Activates the object filter.
Representation of Hidden Objects
 | Invisible on Layer AM_9 Places objects concealed by the foreground on this special layer, which is invisible, usually, because layer AM_9 is switched off.
 | Dashed Shows hidden objects as defined in the drawing standard for hidden lines. By default, this representation is a magenta-colored, dashed line.
 | Invisible, Deleted Deletes hidden objects. The program cannot restore these objects.
 | Broken at All Intersections Breaks objects at all intersections with the foreground object.


Create and edit hide situations (Quick Reference)

Create and edit hide situations
Create and edit hide situations
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Create Hide Situation dialog box - Settings tab

Store Settings for Reevaluation

Stores the settings for later reevaluation of the hidden objects.

Update Display Now

Updates the display immediately.

Foreground entities cannot be selected during background selection

Locks the foreground elements during background selection.


Create and edit hide situations (Quick Reference)

Create and edit hide situations
Create and edit hide situations
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AM2DHIDEDIT

Edits or updates hide situations created with the AM2DHIDE command

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Modify [image] 2D Hide [image] Edit Hidden Edges Does not exist in the menus.
Command entry: am2dhidedit

AM2DHIDEDIT offers options to edit foreground and background areas.

COMMAND LINE OPTIONS

Edit the behind situation [modifY/Move/Restore/Genius12] <Update>:

COMMAND LINE DEFINITIONS

  • Modify: Displays and enables modifications to the dependencies defined by the hide operations for a selected element in a dialog box.
  • Move: Removes elements manually from the background and assigns them to the foreground.
  • Restore: Restores objects to their original states.
  • Genius 12: Inserts, reinserts,or replaces hidden blocks as used in Genius 12.
  • Update: Recalculates the dependencies of the selected entities.


Create and edit hide situations (Quick Reference)

Create and edit hide situations
Create and edit hide situations
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Modify Hide Situation dialog box

This dialog box has three tabs:

Foreground: Sets options that apply to the foreground.

Background: Sets options that apply to the background.

Settings: Sets general options that apply to both the foreground and the background.


Create and edit hide situations (Quick Reference)

Create and edit hide situations
Create and edit hide situations
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Modify Hide Situation dialog box - Foreground tab

The Hide command searches for an appropriate foreground type and then sets the corresponding options.

Normal Foreground

Contains only simple curve objects, no blocks. The program can use curve objects directly as contour, and the Contour Finder can use them to determine an appropriate contour. With this option, the Contour Finder cannot define inner contours as islands. Usually, the Contour Finder is not used and no type is indicated. If you use the Contour Finder, the indicated type is “Outline, no holes possible”.

Block Foreground

Contains a single block. The program can use objects in the block directly or with the Contour Finder. The Contour Finder enables you to define points for which the enclosing contour defines islands in the foreground area.

Predefined Foreground

Contains a standard part (or a user-defined part) with a predefined contour.

Programmatically Defined Foreground

Some Power Objects define their own method for calculating the contour. We do not recomment changing the selection. The program supplies the type.

Empty Foreground

The current foreground selection is empty. The program performs no changes and stores nothing.

Mixed Foreground

Contains more than one foreground type. The options are the same as for Normal Foreground.

Use Elements on Contour Layers only

To enhance the foreground selection, you can use a filter to exclude some selected objects from being used as contours. Configure the filter to allow only objects having the AutoCAD Mechanical contour property or non-AutoCAD Mechanical contour objects to pass.


Create and edit hide situations (Quick Reference)

Create and edit hide situations
Create and edit hide situations
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Modify Hide Situation dialog box - Background tab

 | Select/View Highlights and edits the selection of the background objects. The dialog box closes temporarily and the drawing highlights the current selection set. Using the AutoCAD object selection command, you can add objects to or remove objects from the background selection.
 | Name Assigns a name to the applied calculation operation. This approach can be helpful for later editing. Used when you select the Store Settings for Reevaluation option on the Settings tab.
 | Automatic Background Selection Automatically determines the objects to be used for the background after you select the desired foreground. The program excludes objects in the foreground of the currently selected foreground objects from the selection.
 | Edit Elements on Appropriate Layers Only Activates the object filter.
Representation on Hidden Objects
 | Invisible on Layer AM_9 Places objects that are concealed by the foreground on this special layer, which is invisible, usually, because layer AM_9 is switched off.
 | Dashed Displays hidden lines as defined in the drawing standard for hidden lines. By default, this representation is a magenta-colored, dashed line.
 | Invisible, Deleted Deletes hidden objects. The program cannot restore these objects.
 | Broken at All Intersections Break objects at all intersections with the foreground object.


Create and edit hide situations (Quick Reference)

Create and edit hide situations
Create and edit hide situations
Create and edit hide situations
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Modify Hide Situation dialog box - Settings tab

Store Settings for Re-evaluation

Stores the settings for later reevaluation of the hidden objects.

Update Display Now

Updates the display immediately.

Foreground entities cannot be selected during background selection

Locks the foreground elements during background selection.


Create and edit hide situations (Quick Reference)

Create and edit hide situations
Create and edit hide situations
Issues related to using blocks as background objects
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Create and edit hide situations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYINVO

Toggles the visibility of the layer assigned to invisible lines (AM_INV)

Ribbon: Home tab [image] Layers panel [image] Layers, Invisible Lines On/Off. Does not exist on the ribbon.
Toolbar: Mechanical Layer Tools
Menu: Format [image] Layer Tools [image] Layers, Invisible Lines On/Off Does not exist in the menus.
Command entry: amlayinvo

The default layer for hidden/invisible lines is AM_INV. To find out what layers are reserved for hidden/invisible in the current drawing, inspect the Object Property Settings dialog box.


Issues related to using blocks as background objects (Concept)

Create and edit hide situations
Create hide situations with AM2DHIDE
Modify geometry
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Issues related to using blocks as background objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If the background contains a block, when you create a hide situation, the hide situation modifies its block definition. To prevent the hide situation from affecting occurrences of the block elsewhere in the drawing, the AM2DHIDE command converts the block to an anonymous block, by default. If necessary, you can change this default behavior.

The System Editor key Acad/M > Hide > BlockRenaming controls how the AM2DHIDE command handles blocks.

Value of BlockRenaming | Behavior
0 | Converts the block to an anonymous block.
1 | Breaks the association with other occurrences of the block and renames it, appending a time stamp to its name.
2 | Opens a dialog box enabling you to choose how the program handles the block.


To configure the handling of blocks in hide situations (Procedure)

Create and edit hide situations
Up a level to ..
Modify geometry
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Issues related to using blocks as background objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure the handling of blocks in hide situations

To set the behavior of how the AM2DHIDE command handles blocks selected as background objects:

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Preferences tab and click System. The System Editor appears.
  3. In the navigation area (left side of dialog box), select Acad/M > Hide from the tree.
  4. In the variable area (top-right side of dialog box), double-click BlockRenaming. The Value dialog box appears.
  5. Type the number from the following table that corresponds to the behavior you want.

    0

    -

    Converts the block to an anonymous block.

    1

    -

    Breaks the association with other occurrences of the block. Renames it, appending a time stamp to its name.

    2

    -

    Displays a dialog box to enable you to choose how to handle the block.

  6. Click OK until all dialog boxes close.

The next time you use the AM2DHIDE command, it uses these settings to handle blocks.


Issues related to using blocks as background objects (Quick Reference)

Create and edit hide situations
Issues related to using blocks as background objects
Add chamfers to objects
Create and modify geometry > Create hidden lines > Create hide situations with AM2DHIDE >
Issues related to using blocks as background objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

System Editor dialog box

Use this dialog box to edit settings stored in the Windows Registry. In most cases, other dialog boxes expose these settings. These settings are not for end-user manipulation. This dialog box is for advanced users only.

Show/Hide dialog box

NoteThe System Editor does not validate changes. Some changes can disable your system. We recommend that you note the original values of configuration variables before changing them and that you make a backup of the Windows Registry before changing anything.

Navigation Area (Left side of dialog box)

Shows categories of configuration variables in a tree-structured list. The categories displayed depend on where the system editor is opened. If you open the dialog box by clicking the System button in the AM:Preferences tab of the Options dialog box, it shows all categories. If you open the dialog box from the Fit Representation dialog box, or the Tolerance Method dialog box, only the relevant categories appear.

Variable Area (Top-right side of dialog box)

Shows the keys (configuration variables) that belong to the category selected in the navigation area. Double-click a variable to change its value.

Description Area (Bottom-right of dialog box)

Describes what is controlled by the key selected in the variable area.


Modify geometry

Issues related to using blocks as background objects
Create and modify geometry
Add chamfers to objects
Create and modify geometry >
Modify geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Add chamfers to objects
  • Add fillets to objects
  • Resize objects by changing dimension text
  • Scale objects along the X and Y axes
  • Break objects at one point
  • Join objects
  • Offset objects


Modify geometry (Procedure)

Issues related to using blocks as background objects
Modify geometry
Add chamfers to objects
Create and modify geometry >
Modify geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To chamfer objects by specifying distances

To chamfer objects by specifying a length and an angle

To chamfer objects without trimming

To chamfer entire polylines

To create custom chamfer length lists

To chamfer with dimension

To fillet two line segments

To fillet without trimming

To fillet entire polyline

To create a custom fillet radius list

To stretch objects by editing linear dimensions

To stretch objects by editing symmetrical dimensions

To break an object at selected points

To join polylines, lines, arcs, and circles

To join overlapping entities to form a single element

To offset objects by specifying a distance

To offset objects through a point


Add chamfers to objects (Concept)

Modify geometry
Modify geometry
Add fillets to objects
Create and modify geometry > Modify geometry >
Add chamfers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Using AMCHAM2D, you can connect two nonparallel objects by extending or trimming them so that they intersect or join with a beveled line. You can chamfer lines, polylines, xlines, and rays.

After starting this command, you can open the Chamfer dialog box, where you can select the chamfer length and angle from the lists and enter the chamfer values. You can also use AMCHAM2D to assign dimensions to the beveled edge.

You can use any of the following methods to chamfer objects.

  • Specify distances
  • Specify length and angle
  • Trim chamfered objects
  • Chamfer polylines
  • Chamfer with dimension mode


Add chamfers to objects (Procedure)

Modify geometry
Up a level to ..
Add chamfers to objects
Create and modify geometry > Modify geometry >
Add chamfers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To chamfer objects by specifying distances

To chamfer objects by specifying a length and an angle

To chamfer objects without trimming

To chamfer entire polylines

To create custom chamfer length lists

To chamfer with dimension


Add chamfers to objects (Quick Reference)

Issues related to using blocks as background objects
Add chamfers to objects
Add chamfers to objects
Create and modify geometry > Modify geometry >
Add chamfers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCHAM2D

Chamfer dialog box

Chamfer list configuration dialog box


To chamfer objects by specifying distances (Procedure)

Add chamfers to objects
Up a level to ..
Add chamfers to objects
Create and modify geometry > Modify geometry >
Add chamfers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To chamfer objects by specifying distances

  1. Click None [image] None [image] . At the Command prompt, enter AMCHAM2D.
  2. Press ENTER for Setup.
    1. Select a value for the first length from the First chamfer length list or click [image] to specify the length by clicking two points, or enter a value.
    2. Select a value for the second length from the Second chamfer length list or click [image] to specify the length by clicking two points, or enter a value.
    3. Click OK.
  3. Select the first object.
  4. Select the second object.
  5. Press ESC to exit the command.
NoteIf both chamfer distances are 0, chamfering trims or extends the two objects until they join but does not draw a chamfer line.


To chamfer objects by specifying a length and an angle (Procedure)

Add chamfers to objects
Up a level to ..
Add chamfers to objects
Create and modify geometry > Modify geometry >
Add chamfers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To chamfer objects by specifying a length and an angle

  1. Click None [image] None [image] . At the Command prompt, enter AMCHAM2D.
  2. Press ENTER for Setup.
  3. In the Chamfer dialog box:
    1. Select the Chamfer angle option.
    2. Select a value for the first length from the First chamfer length list or click [image] to specify the length by clicking two points, or enter a value.
    3. Select a value for the angle from the Chamfer angle list, or click [image] to specify the angle by clicking two points, or enter a value.
    4. Click OK.
  4. Select the first object.
  5. Select the second object.
  6. Press ESC to exit the command.


To chamfer objects without trimming (Procedure)

Add chamfers to objects
Up a level to ..
Add chamfers to objects
Create and modify geometry > Modify geometry >
Add chamfers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To chamfer objects without trimming

  1. Click None [image] None [image] . At the Command prompt, enter AMCHAM2D.
    1. In Options, select the Trim geometry check box.
    2. Select a value for the first length from the First chamfer length list or click [image] to specify the length by clicking two points, or enter a value.
    3. Select a value for the second length from the Second chamfer length list or click [image] to specify the length by clicking two points, or enter a value.
    4. Click OK.
  2. Select the first object.
  3. Select the second object.
  4. Press ESC to exit the command.
NoteYou can untrim trimmed objects when the trim mode is on.


To chamfer entire polylines (Procedure)

Add chamfers to objects
Up a level to ..
Add chamfers to objects
Create and modify geometry > Modify geometry >
Add chamfers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To chamfer entire polylines

  1. Click None [image] None [image] . At the Command prompt, enter AMCHAM2D.
  2. Press ENTER for Setup.
  3. In the Chamfer dialog box:
    1. Select a value for the first length from the First chamfer length list or click [image] to specify the length by clicking two points, or enter a value.
    2. Select a value for the second length from the Second chamfer length list or click [image] to specify the length by clicking two points, or enter a value.
    3. Click OK.
  4. Select the polyline.
  5. Press ENTER.
  6. Press ESC to exit the command.
NoteYou can untrim trimmed objects, when the trim mode is on.


To create custom chamfer length lists (Procedure)

Add chamfers to objects
Up a level to ..
Add chamfers to objects
Create and modify geometry > Modify geometry >
Add chamfers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create custom chamfer length lists

To create a custom list of chamfer lengths for the Chamfer dialog box:

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Preferences tab and click System. The System Editor opens.
  3. In the navigation area (the left side of the dialog box), select Acad/M > Drawing from the tree.
  4. In the variable area (the top-right side of the dialog box), double-click ChamferList. The Value dialog box is displayed.
  5. Enter the chamfer lengths, separated by spaces.
  6. Click OK until all dialog boxes close.

The custom chamfer lengths are available in both chamfer length lists in the Chamfer dialog box the next time you invoke the setup option of the AMCHAM2D command.

NoteThe program saves this setting as a registry entry; it does not save it with the drawing. This setting applies across all drawings you open, but will not port with the drawing to other computers.


To chamfer with dimension (Procedure)

Add chamfers to objects
Up a level to ..
Add fillets to objects
Create and modify geometry > Modify geometry >
Add chamfers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To chamfer with dimension

  1. Click None [image] None [image] . At the Command prompt, enter AMCHAM2D.
  2. Press ENTER for Setup.
  3. In the Chamfer dialog box:
    1. In Options, select the Insert dimension on chamfer check box.
    2. Select a value for the first length from the First chamfer length list or click [image] to specify the length by clicking two points, or enter a value.
    3. Select a value for the second length from the Second chamfer length list or click [image] to specify the length by clicking two points, or enter a value.
    4. Click OK.
  4. Select the first object.
  5. Select the second object, or press ENTER for polyline.
  6. Press ESC to exit the command.


Add chamfers to objects (Quick Reference)

Add chamfers to objects
Add chamfers to objects
Add chamfers to objects
Create and modify geometry > Modify geometry >
Add chamfers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCHAM2D

Connects two non-parallel objects by extending or trimming them to intersect or to join with a beveled line

Ribbon: Home tab [image] Modify panel [image] . Does not exist on the ribbon.
Toolbar: Modify
Menu: Modify [image] Chamfer Does not exist in the menus.
Command entry: amcham2d

You can select chamfer length values from lists, enter them manually, or specify them graphically. You can also set the AMCHAM2D command to assign dimensions to the beveled edge.

COMMAND LINE OPTIONS

Select first object or [Polyline/Setup/Dimension] <Setup>: Select an object type or select the first of two lines required to define a chamfer or press ENTER to change chamfer settings.

First Object

Enables you to define a chamfer by selecting the two lines to connect with the beveled line.

Select second object or <Return for polyline>: Select the second line or press ENTER to return to the previous prompt and select a polyline.

Select object to create original length: Press ENTER to return to the first prompt or select a line to undo any trimming or extending of lines performed by this command.

Polyline

Chamfers all vertexes of a polyline.

Select polyline: Select a polyline and press ENTER to chamfer all polyline vertexes.

Setup

Shows the Chamfer dialog box, enabling you to specify the chamfer lengths and chamfer dimension representations.

Dimension

Creates dimensions for a chamfer.

Select chamfer line: Select the chamfer line of the chamfer to create a dimension for.

Select first object: Select one of the lines connected by the chamfer.

Select second object: Select the other line connected by the chamfer.


Add chamfers to objects (Quick Reference)

Add chamfers to objects
Add chamfers to objects
Add chamfers to objects
Create and modify geometry > Modify geometry >
Add chamfers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Chamfer dialog box

Use this dialog box to select chamfer distances and chamfer angles, to specify whether to insert a chamfer with dimensions, and whether to trim the selected edges to the chamfer line endpoints.

First Chamfer Length Displays a list of values that you can use to specify the distance of the first chamfer from the selected edge. The [image] button reverts to the drawing, where you can specify a value for the first chamfer distance. This value is displayed in the Input field.
Second Chamfer Length Displays a list of common values that you can use to specify the distance of the second chamfer from the selected edge. The [image] button reverts to the drawing, where you can specify a value for the second chamfer distance. This value is displayed in the Input field.
Chamfer Angle Displays a list of available angle values that you can use to specify the distance of the second chamfer from the selected edge. The [image] button reverts to the drawing, where you can specify a chamfer angle. This value is displayed in the Input box.
Options
 | Trim Geometry Sets the AMCHAM2D command to trim the selected edges to the chamfer line endpoints
 | Insert dimension on chamfer Inserts a dimension when you create the chamfer.
 | Chamfer dimension style Shows an image of the currently selected chamfer dimension representation. Click the drop-down arrow to select a different chamfer dimension representation.
 | Configure Displays the Chamfer List Configuration dialog box that enables you to customize the list of chamfer sizes.


Add chamfers to objects (Quick Reference)

Add chamfers to objects
Add chamfers to objects
Add fillets to objects
Create and modify geometry > Modify geometry >
Add chamfers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Chamfer list configuration dialog box

Use this dialog box to customize the list of chamfer sizes that you can select from the Chamfer dialog box.

Chamfer Sizes

Displays a list of chamfer sizes that are available for selection.

Add

Inserts a blank entry to the Chamfer sizes list and enables you to specify a value.

Edit

Enables you to modify the chamfer size of the selected entry.

Delete

Deletes the selected entry.

Move up

Moves the selected entry one position up.

Move down

Moves the selected entry one position down.

Restore Defaults

Resets the chamfer list to its default settings. Customizations made to this list are lost.


Add fillets to objects (Concept)

Add chamfers to objects
Modify geometry
Resize objects by changing dimension text
Create and modify geometry > Modify geometry >
Add fillets to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Using AMFILLET2D, you can round (fillet) the edges of two arcs, circles, elliptical arcs, lines, polylines, rays, splines, or xlines with an arc of a specified radius.

After starting this command, you can open the Fillet Radius dialog box, where you can select the fillet radius from the list and enter the radius value. You can also set AMFILLET2D to assign dimensions to the rounded edge and to trim the intersecting lines at the corner edges.

You can change the color of the grip in the Selection tab in the Options dialog box.


Add fillets to objects (Procedure)

Add chamfers to objects
Up a level to ..
Add fillets to objects
Create and modify geometry > Modify geometry >
Add fillets to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To fillet two line segments

To fillet without trimming

To fillet entire polyline

To create a custom fillet radius list


Add fillets to objects (Quick Reference)

Add chamfers to objects
Add fillets to objects
Add fillets to objects
Create and modify geometry > Modify geometry >
Add fillets to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMFILLET2D

Fillet dialog box

Fillet List Configuration dialog box


To fillet two line segments (Procedure)

Add fillets to objects
Up a level to ..
Add fillets to objects
Create and modify geometry > Modify geometry >
Add fillets to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To fillet two line segments

  1. Click None [image] None [image] . At the Command prompt, enter AMFILLET2D.
  2. Select the first object you want to fillet.
  3. Select the second object.


To fillet without trimming (Procedure)

Add fillets to objects
Up a level to ..
Add fillets to objects
Create and modify geometry > Modify geometry >
Add fillets to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To fillet without trimming

  1. Click None [image] None [image] . At the Command prompt, enter AMFILLET2D.
  2. Press Enter to display the Fillet dialog box.
  3. Clear the Trim geometry check box.
  4. Click OK.
  5. Select the first object.
  6. Select the second object.


To fillet entire polyline (Procedure)

Add fillets to objects
Up a level to ..
Add fillets to objects
Create and modify geometry > Modify geometry >
Add fillets to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To fillet entire polyline

  1. Click None [image] None [image] [image] At the Command prompt, enter AMFILLET2D.
  2. Enter P for polyline.
  3. Select the polyline.


To create a custom fillet radius list (Procedure)

Add fillets to objects
Up a level to ..
Resize objects by changing dimension text
Create and modify geometry > Modify geometry >
Add fillets to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a custom fillet radius list

To create a custom list of fillet radii for the Fillet Radius dialog box:

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Preferences tab and click System. The System Editor opens.
  3. In the navigation area (the left side of the dialog box), select Acad/M > Drawing from the tree.
  4. In the variable area (the top-right side of the dialog box), double-click FilletList. The Value dialog box is displayed.
  5. Enter the fillet radii, separating each entry by a space.
  6. Click OK until all dialog boxes close.

The custom fillet radii you entered will be available in a list in the Fillet Radius dialog box the next time you invoke the setup option of the AMFILLET2D command.

NoteThe program saves this setting as a registry entry; it does not save it with the drawing. This setting applies across all drawings you open, but will not port with the drawing to other computers.


Add fillets to objects (Quick Reference)

Add fillets to objects
Add fillets to objects
Add fillets to objects
Create and modify geometry > Modify geometry >
Add fillets to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMFILLET2D

Rounds and fillets the edges of objects with an arc of a specified radius

Ribbon: Home tab [image] Modify panel [image] [image] Does not exist on the ribbon.
Toolbar: Modify
Menu: Modify [image] Fillet Does not exist in the menus.
Command entry: amfillet2d

You can select fillet radius values from lists, enter them manually, or specify them graphically by selecting an existing fillet. You can optionally extend or trim edges to the arc. You can also use this command to assign the dimensions to filleted edges.

COMMAND LINE OPTIONS

Select first object or [Polyline/Setup/Dimension] <Setup>:

Select second object or <Return for polyline>:

COMMAND LINE DEFINITIONS

Polyline

The program fillets all vertexes of a polyline automatically.

Select polyline: Select a polyline and press ENTER to fillet all polyline vertexes.

Setup

Displays the Fillet dialog box.

Dimension

Created a dimension for the filleted edge.

Select fillet arc: Select a fillet arc.

Specify dimension line location [Options]: Specify starting and endpoint of the dimension line.

Options

Displays the Radius Dimension Options dialog box.


Add fillets to objects (Quick Reference)

Add fillets to objects
Add fillets to objects
Add fillets to objects
Create and modify geometry > Modify geometry >
Add fillets to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Fillet dialog box

Size
 | Fillet Size Displays a drop-down list of common radii to select from. You may also enter a radius value.
 | Reverts to the drawing so you can specify a radius value by selecting an existing arc or circle or by entering a value at the command prompt.
Options
 | Trim geometry Trims the intersecting lines to the endpoints of the fillet line. This also sets the TRIMMODE system variable to 1.
 | Insert dimension on fillet Inserts dimensions for the fillet created.
 | Configure Opens the Fillet List Configuration dialog box where you can customize the fillet size drop-down list.


Add fillets to objects (Quick Reference)

Add fillets to objects
Add fillets to objects
Resize objects by changing dimension text
Create and modify geometry > Modify geometry >
Add fillets to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Fillet List Configuration dialog box

Use this dialog box to configure the fillet sizes that are displayed in the Fillet Size drop-down list in the Fillet dialog box.

Fillet Sizes

Displays a list of fillet values.

Add

Adds a new fillet value to the list.

Edit

The fillet value that is selected changes to a text entry box for editing.

Delete

Removes the selected fillet value.

Move Up

Moves the position of the selected fillet value up.

Move Down

Moves the position of the selected fillet value down.

Restore Defaults

Restores the default list of fillet values. This action cannot be undone.


Resize objects by changing dimension text (Concept)

Add fillets to objects
Modify geometry
Scale objects along the X and Y axes
Create and modify geometry > Modify geometry >
Resize objects by changing dimension text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can stretch or shrink geometry associated with a Power Dimension by using the AMDIMSTRETCH command and changing the dimension text. You can use the AMDIMSTRETCH command on linear dimensions and symmetrical dimensions.


Resize objects by changing dimension text (Procedure)

Add fillets to objects
Up a level to ..
Resize objects by changing dimension text
Create and modify geometry > Modify geometry >
Resize objects by changing dimension text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To stretch objects by editing linear dimensions

To stretch objects by editing symmetrical dimensions


To stretch objects by editing linear dimensions (Procedure)

Resize objects by changing dimension text
Up a level to ..
Resize objects by changing dimension text
Create and modify geometry > Modify geometry >
Resize objects by changing dimension text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To stretch objects by editing linear dimensions

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMDIMSTRETCH.
  2. Press ENTER.
  3. Click the object's dimension text (1).
  4. Enter the stretch value for the object.
  5. Select the object to stretch and the associated dimension, using crossing window select.
  6. If the selection set contains objects that you do not want the program to stretch, SHIFT-click the objects (2) to remove them from the selection set.

    To select more objects for stretching, select them using crossing window select.

    NoteThe program moves the following objects rather than stretching them:
    • objects enclosed completely within the crossing window
    • objects selected individually
    • objects selected with window select
  7. Press ENTER until the command terminates.
Note
  • You must add one dimension defpoint to the selection set when editing that dimension.
  • To stretch or shorten objects that are not dimensioned:
    1. select the starting point and the endpoint on the object's contour with the pointer to specify the length
    2. enter a new value


To stretch objects by editing symmetrical dimensions (Procedure)

Resize objects by changing dimension text
Up a level to ..
Break objects at one point
Create and modify geometry > Modify geometry >
Resize objects by changing dimension text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To stretch objects by editing symmetrical dimensions

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMDIMSTRETCH.
  2. Enter S to select the Symmetric option.
  3. Select the dimension text of the object's symmetrical dimension (1).
  4. Enter a value.
  5. Select the object to stretch and the associated dimension, using crossing window select.
  6. If the selection set contains objects that you do not want the program to stretch, SHIFT-click the objects (2) to remove them from the selection set.

    To select more objects for stretching, select them using crossing window select.

    NoteThe program moves the following objects rather than stretching them:
    • objects enclosed completely within the crossing window
    • objects selected individually
    • objects selected with window select
  7. Press ENTER until the command terminates.
Note
  • You must add one dimension defpoint to the selection set when editing that dimension.

  • To stretch or shrink objects that are not dimensioned:

    1. Select the starting point and the endpoint on the object's contour with the pointer to specify the length.
    2. Enter a new value.


Resize objects by changing dimension text (Quick Reference)

Add fillets to objects
Resize objects by changing dimension text
Scale objects along the X and Y axes
Create and modify geometry > Modify geometry >
Resize objects by changing dimension text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDIMSTRETCH

Resizes objects by stretching or shrinking a linear or symmetric dimension.

Ribbon: Annotate tab [image] Dimension panel [image] Dimension Edit, Linear/Symmetric Stretch. Does not exist on the ribbon.
Toolbar: Dimension Edit
Menu: Annotate [image] Edit Dimensions [image] Dimension Edit, Linear/Symmetric Stretch Does not exist in the menus.
Command entry: amdimstretch

You stretch or shrink a dimension by specifying a value for the dimension text. You must use the crossing window method to select the dimension and objects you want to strech/shrink.

COMMAND LINE OPTIONS

[Linear/Symmetric]<Linear>: Press ENTER to stretch a linear dimensioning.

Linear

Resizes objects based on the difference of the value of a selected linear dimension and the value you type in.

Select dimension text or <Specify current and new distance>: Select the dimension you want to stretch/shrink.

New dimension text <value>: Enter a value.

First corner for crossing: Select one part of the object and the dimension using a crossing window selection box.

Select objects: To select an additional object for stretching, use the crossing object selection method and select one part of the object. To remove an object from the selection set, SHIFT-click the object. Press ENTER when you finish selecting objects.

NoteObjects enclosed completely within the crossing window, or selected individually, or selected with window select, are moved rather than stretched.

Select first corner or [Undo]: You can stretch objects multiple times. Stretching continues until you cancel the command.

Symmetric

Resizes objects based on the difference of the value of a selected dimension of symmetrical objects (shaft objects) and the value you type in.

Select dimension text or <Specify current and new distance>: Select the dimension you want to stretch/trim.

New dimension text <value>: Enter a value.

Select Centerline or new starting point: Select the centerline or specify a new start point.

First corner for crossing: Select one part of the object and the dimension using a crossing window selection box.

Select objects: To select an additional object for stretching, use the crossing object selection method and select one part of the object. To remove an object from the selection set, SHIFT-click the object. Press ENTER once you finish selecting objects.

  • NoteObjects enclosed completely within the crossing window, or selected individually, or selected with window select, are moved rather than stretched.

Select first corner or [Undo]: You can stretch objects multiple times. Stretching continues until you cancel the command.

NoteAutoCAD determines the positions of dimensions with defpoints (origins of the extension lines). These defpoints must be moved into the selection set when editing the dimension. Defpoints are placed on the special layer DEFPOINT, which cannot be plotted.


Scale objects along the X and Y axes (Concept)

Resize objects by changing dimension text
Modify geometry
Break objects at one point
Create and modify geometry > Modify geometry >
Scale objects along the X and Y axes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Using AMSCALEXY, you can scale objects along the X and Y axes. For example, you can change a circle into an ellipse. You can also scale objects to adjust to the size of other objects in the drawing.

With AMSCALEXY, you can specify negative values for the scale factor. Negative values mirror the objects about the opposite axis, relative to the base point.


Scale objects along the X and Y axes (Quick Reference)

Resize objects by changing dimension text
Scale objects along the X and Y axes
Break objects at one point
Create and modify geometry > Modify geometry >
Scale objects along the X and Y axes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMSCALEXY

Sets scale of X and Y axes independently of each other

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Modify [image] Scale [image] Scale X,Y Does not exist in the menus.
Command entry: amscalexy

COMMAND LINE OPTIONS

Select objects: Select the objects to scale.

Base point: Select a point.

Specify x-axis scale factor or [Reference] <1.0000>: Specify a scale factor for the X axis, or enter R for reference.

Specify Y-axis scale factor or [Reference] <1.0000>: Specify a scale factor for the Y axis, or enter R for reference.

COMMAND LINE DEFINITIONS

X (Y) Scale factor

Determines the scale factor for the X (Y) direction.

Reference

Uses two points to specify the reference length and two points to specify a new length. The relation between the lengths is the scale factor.

Reference length: Specify the first point for the reference distance.

Second point: Specify the second point for the reference distance.

New length: Specify the first point for the new distance.

Second point: Specify the second point for the new distance.


Break objects at one point (Concept)

Scale objects along the X and Y axes
Modify geometry
Join objects
Create and modify geometry > Modify geometry >
Break objects at one point
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Using AMBREAKATPT, you can define break points on objects and use the break points to separate lines, traces, circles, arcs, or polylines. If the selected break point is the intersection point for several objects, all the objects that touch the intersection point break at that point. Circles break into semi-circles.

Example: In the previous illustration, several intersecting lines appear on the left.

  1. Start the AMBREAKATPT command.
  2. Select the break point (1).
  3. Select the parts of the lines (2, 3, 4), and delete them.

The result appears on the right side of the previous illustration.


To break an object at selected points (Procedure)

Resize objects by changing dimension text
Up a level to ..
Join objects
Create and modify geometry > Modify geometry >
Break objects at one point
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To break an object at selected points

The procedure is explained using the example shown on the left side in the previous illustration.

  1. Click None [image] None [image] . At the Command prompt, enter AMBREAKATPT.
  2. Select point marked 1 as the break point.
  3. Select the parts of the lines marked 2. The lines are deleted and the result is shown on the right side of the previous illustration.


Break objects at one point (Quick Reference)

Scale objects along the X and Y axes
Break objects at one point
Join objects
Create and modify geometry > Modify geometry >
Break objects at one point
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBREAKATPT

Breaks a line, polyline, or a spline at a specified point

Ribbon: None Does not exist on the ribbon.
Toolbar: Modify
Menu: Modify [image] Break [image] Break at one Point Does not exist in the menus.
Command entry: ambreakatpt

COMMAND LINE OPTIONS

Specify cutting point: Specify an intersection point.

Select entities to break or <Return to break all highlighted entities>: Specify lines to break.

Select objects:Select more objects.


Join objects (Concept)

Break objects at one point
Modify geometry
Offset objects
Create and modify geometry > Modify geometry >
Join objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Using AMJOIN, you can connect lines, polylines, arcs, or circles. You can also join overlapping entities to form a single element. When overlapping entities join to form a single element, the “overlapped” line draws only once during plotting, helping to prevent the plotter pen from tearing the paper.

Note:

  • Non-parallel lines extend or shorten to their intersection point and fillet automatically with a radius value of 0.
  • Polylines are edited only if they are clicked near their endpoint.


Join objects (Procedure)

Break objects at one point
Up a level to ..
Join objects
Create and modify geometry > Modify geometry >
Join objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To join polylines, lines, arcs, and circles

To join overlapping entities to form a single element


To join polylines, lines, arcs, and circles (Procedure)

Join objects
Up a level to ..
Join objects
Create and modify geometry > Modify geometry >
Join objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To join polylines, lines, arcs, and circles

  1. Click None [image] None [image] . At the Command prompt, enter AMJOIN.
  2. Select the first object you want to join.
  3. Select the second object.
Note
  • Non-parallel lines are extended or shortened to their intersection point, and are filleted automatically with a radius value of 0.
  • Polylines are edited only if they are clicked near their endpoint.


To join overlapping entities to form a single element (Procedure)

Join objects
Up a level to ..
Offset objects
Create and modify geometry > Modify geometry >
Join objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To join overlapping entities to form a single element

  1. Click None [image] None [image] . At the Command prompt, enter AMJOIN.
  2. Press Enter.
  3. Select the first object you want to join.
  4. Select the second object.
NoteThis procedure cannot be used to join polylines. Also, the selected entities must:
  • Overlap each other.
  • Be on the same layer (color, lineweight, linetype).


Join objects (Quick Reference)

Break objects at one point
Join objects
Offset objects
Create and modify geometry > Modify geometry >
Join objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMJOIN

Connects non parallel lines, polylines, arcs, and circles

Ribbon: None Does not exist on the ribbon.
Toolbar: Modify
Menu: Modify [image] Join Entities Does not exist in the menus.
Command entry: amjoin

You can also join overlapping entities to form a single element. When overlapping entities join to form a single element, the “overlapped” line draws only once during plotting, preventing the plotter pen from tearing the paper.

COMMAND LINE OPTIONS

Select first object or <Return to join lines, arcs, or circles>: Select a line, arc, or circle, or press ENTER to join overlapping entities to form a single element.

Select second object: Select a line, arc, or circle.


Offset objects (Concept)

Join objects
Modify geometry
Accelerate the drawing process with Power tools
Create and modify geometry > Modify geometry >
Offset objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Using AMOFFSET, you can create new objects at a specified distance from existing objects or through specified points.

The AMOFFSET command is like the AutoCAD OFFSET command, with the exception that with AMOFFSET you can create multiple objects at different distances from the selected object.

The AMOFFSETLAYMODE system variable controls on which layer the program creates new objects.


Offset objects (Procedure)

Join objects
Up a level to ..
Offset objects
Create and modify geometry > Modify geometry >
Offset objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To offset objects by specifying a distance

To offset objects through a point


Offset objects (Quick Reference)

Join objects
Offset objects
Offset objects
Create and modify geometry > Modify geometry >
Offset objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMOFFSET

AMOFFSETLAYMODE System Variable


To offset objects by specifying a distance (Procedure)

Offset objects
Up a level to ..
Offset objects
Create and modify geometry > Modify geometry >
Offset objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To offset objects by specifying a distance

  1. Click None [image] None [image] . At the Command prompt, enter AMOFFSET.
  2. Use the pointing device to specify the offset distance, or type a value, or press ENTER to use the default value(s).
  3. Select the object(s) to offset.
  4. Specify the side to offset.
  5. Press ENTER to end the command.
NoteYou can enter as many values you need. Use the “|” pipe symbol to separate the values.


To offset objects through a point (Procedure)

Offset objects
Up a level to ..
Accelerate the drawing process with Power tools
Create and modify geometry > Modify geometry >
Offset objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To offset objects through a point

  1. Click None [image] None [image] . At the Command prompt, enter AMOFFSET.
  2. Enter t.
  3. Select the object to offset.
  4. Specify the offset point.
  5. Press ENTER to end the command.


Offset objects (Quick Reference)

Offset objects
Offset objects
Offset objects
Create and modify geometry > Modify geometry >
Offset objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMOFFSET

Creates concentric circles, parallel lines, and parallel curves.

Ribbon: Home tab [image] Modify panel [image] . Does not exist on the ribbon.
Toolbar: Modify
Menu: Modify [image] Offset Does not exist in the menus.
Command entry: amoffset

This command uses the AMOFFSETLAYMODE system variable. “Normal” mode (AMOFFSETLAYMODE=0) creates offset objects on the same layer as the original object. With “Current layer” mode (AMOFFSETLAYMODE=1), the program offsets objects to the current layer.

COMMAND LINE OPTIONS

Specify offset distance or [Through/Mode] <0.125|0.25|0.5>:Specify a distance, press T, press M to change the layer mode, or press ENTER to use the default values.

Mode option

Enter an option [Normal/Current layer] <Normal>:Specify the layer mode, or press ENTER to use the current mode. After selecting, the program returns you to the first step.

Through option

Select object to offset or <exit>: Select object(s).

Specify through point: Specify a point in the drawing to place the created object.

Select object to offset or <exit>: Select another object to offset, or press ENTER to end the command.

Offset distances

Select object to offset or <exit>: Select object(s).

Specify point on side to offset: Specify which side to offset.

Select object to offset or <exit>: Select another object to offset, or press ENTER to end the command.

COMMAND LINE DEFINITIONS

Mode

Enables you to change the Layer Mode.

Offset distances

Use the pointing device to specify the offset distance, or enter one or more values for the offset distance. Separate multiple values with “|” (a pipe).

Through

Select the object(s) to offset, then specify the offset (through) point.


Offset objects (Quick Reference)

Offset objects
Offset objects
Power Edit
Create and modify geometry > Modify geometry >
Offset objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMOFFSETLAYMODE System Variable

Controls whether the program creates objects created with the AMOFFSET command on the current layer or on the same layer as the source object.

Type | Integer
Initial Value | 0 |
Possible Values | 0 - | (Normal mode) Objects created with the AMOFFSET command appear on the same layer as the source object.
 | 1 - | (Current layer mode) Objects created with the AMOFFSET command appear on the current layer.


Accelerate the drawing process with Power tools

Offset objects
Create and modify geometry
Power Objects and Power Commands
Create and modify geometry >
Accelerate the drawing process with Power tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Power Objects and Power Commands
  • Power Edit
  • Power Copy
  • Power Erase
  • Power Recall
  • Power Manipulator
  • Copy, Rotate and Move Objects


Accelerate the drawing process with Power tools (Procedure)

Offset objects
Accelerate the drawing process with Power tools
Power Copy
Create and modify geometry >
Accelerate the drawing process with Power tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To copy mechanical objects

To copy a hatch

To copy shaft segments

To copy then rotate an object

To copy then rotate and move an object

To copy then move and rotate an object

To move and rotate an object without copying it

To rotate and move an object without copying it


Power Objects and Power Commands

Accelerate the drawing process with Power tools
Accelerate the drawing process with Power tools
Power Edit
Create and modify geometry > Accelerate the drawing process with Power tools >
Power Objects and Power Commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A Power Object is an object with internal information attached to it.

A drawing of an object appears to be one entity when in fact it is a combination of entities. For example, a screw connection includes a screw, a washer, and a nut, which are standard parts, and each of those parts includes lines and circles. A screw connection is a combination of objects arranged in particular relationships to each other. Each object possesses its own characteristics, or internal information, such as its color, length, and so on. Combining these characteristics when you create the object makes the object intelligent, or a Power Object. Each object has an identity so that we know whether it is (for example) a shaft, a screw connection, or a simple line. The information attached to the object includes its class or order, which dictates how you can use the object.

There are differences between changing a screw connection and changing a simple line. For example, the combined intelligence associated with the screw connection communicates a change in the thread diameter to the other parts, such as washers, nuts, and associated crosshatching or parts list details. The program adjusts all these associated elements dynamically.

Power Commands are commands that use object information to accelerate user operations, such as editing and copying objects. Using Power Commands, you can bypass pull-down menus, toolbars, and tablet locations, using the objects themselves as “command menus.” Start the Power Command you want to use and click an object.

NoteWhen using a Power Command, the program usually prompts you to select an object. With viewports, however, you select the viewport window, instead. This procedure is valid for the Power Recall, Power Copy, and Power Edit, but not for Power Erase.


Power Edit (Concept)

Power Objects and Power Commands
Accelerate the drawing process with Power tools
Power Copy
Create and modify geometry > Accelerate the drawing process with Power tools >
Power Edit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Using AMPOWEREDIT (Power Edit), you can click an object in a drawing and go directly to the dialog box used for editing that object.

Object | Command(s) started when you apply Power Edit
block | REFEDIT, PROPERTIES
block attribute | ATTDEF
circle | PROPERTIES
line | PROPERTIES
mline | MLEDIT
polyline | PEDIT


Power Edit (Quick Reference)

Offset objects
Power Edit
Power Copy
Create and modify geometry > Accelerate the drawing process with Power tools >
Power Edit
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMPOWEREDIT

Recognizes any object you select and invokes the most appropriate command to edit it

Ribbon: None Does not exist on the ribbon.
Toolbar: Desktop Annotation
Menu: Default Menu [image] Edit Menu [image] Modify [image] Power Edit Does not exist in the menus.
Command entry: ampoweredit

COMMAND LINE OPTIONS

Select objects: Select an object to edit.

NoteIf a selected object is on a locked layer, this function does not work.


Power Copy (Concept)

Power Edit
Accelerate the drawing process with Power tools
Power Erase
Create and modify geometry > Accelerate the drawing process with Power tools >
Power Copy
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Using AMPOWERCOPY (Power Copy), you can copy an object with its internal information to another position in the drawing by selecting the object. Power Copy produces an identical copy of the object. This feature is helpful when another contour hides the object.

When copying objects with Power Copy, you may need to specify which part of the object to select. For example, if you select a shaft by its centerline, the program copies the entire shaft. However, if you select the shaft by one of its sections, the program copies only that section.

AMPOWERCOPY differs significantly from AutoCAD COPY. When you select an object using the AutoCAD COPY command, all the physical appearances of the generated copy are identical to the original one; however, the program may not copy the internal information, in which case you would not be able to use a Power Command. AutoCAD copies an object with extra information only when you select the complete object.


Power Copy (Procedure)

Accelerate the drawing process with Power tools
Up a level to ..
Power Copy
Create and modify geometry > Accelerate the drawing process with Power tools >
Power Copy
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To copy mechanical objects

To copy a hatch

To copy shaft segments


To copy mechanical objects (Procedure)

Power Copy
Up a level to ..
Power Copy
Create and modify geometry > Accelerate the drawing process with Power tools >
Power Copy
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To copy mechanical objects

  1. Click None [image] None [image] . At the Command prompt, enter AMPOWERCOPY.
  2. Select the object you want to copy.
  3. Specify an insertion point.


To copy a hatch (Procedure)

Power Copy
Up a level to ..
Power Copy
Create and modify geometry > Accelerate the drawing process with Power tools >
Power Copy
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To copy a hatch

  1. Click None [image] None [image] . At the Command prompt, enter AMPOWERCOPY.
  2. Select the hatch pattern you want to copy (1).
  3. Select the target area you want to hatch (2).


To copy shaft segments (Procedure)

Power Copy
Up a level to ..
Copy, Rotate and Move Objects
Create and modify geometry > Accelerate the drawing process with Power tools >
Power Copy
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To copy shaft segments

  1. Click None [image] None [image] [image] At the Command prompt, enter AMPOWERCOPY.
  2. Select the feature you want to copy (1).
  3. Select the target shaft (2). This prompt is used to determine on which shaft (if there is more than one in the drawing) you want to insert the copy.
  4. Specify the position on the shaft where you want to insert the copy. The copy can also be swapped or mirrored if needed.
NoteIf you move the copied shaft segment over the existing shaft you can choose the insertion mode in an AutoCAD request dialog:
  • Insert: The copy is inserted on the shaft next to the segment you have selected. If this segment has the same diameter the copied segment is added to the existing one.
  • Overdraw: The copy overdraws the selected segment.


Power Copy (Quick Reference)

Power Edit
Power Copy
Power Erase
Create and modify geometry > Accelerate the drawing process with Power tools >
Power Copy
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERCOPY

Produces an identical copy of a specified object.

Ribbon: Home tab [image] Modify panel [image] Power Copy. Does not exist on the ribbon.
Toolbar: Mechanical Main [image] Modify
Menu: Default Menu [image] Edit Menu [image] Modify [image] Power Copy Does not exist in the menus.
Command entry: ampowercopy

You select an object to copy by clicking any part of the object. The command automatically selects all elements associated with the object, including its internal information. If you use the COPY instead of AMPOWERCOPY, you have to manually select all elements that form the object.

COMMAND LINE OPTIONS

Select objects: Select the object to copy.


Power Erase (Concept)

Power Copy
Accelerate the drawing process with Power tools
Power Recall
Create and modify geometry > Accelerate the drawing process with Power tools >
Power Erase
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Using AMPOWERERASE Power Erase, you can delete Power Objects. Not only are the objects erased cleanly, the surrounding area heals automatically.

For example, if you delete a Power Dimension, all remaining dimension lines automatically adjust, so that the deleted dimension line leaves no gap. If you delete a screw connection from a hatched plate, the program restores the hatch.


Power Erase (Quick Reference)

Power Copy
Power Erase
Power Recall
Create and modify geometry > Accelerate the drawing process with Power tools >
Power Erase
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMPOWERERASE

Erases AutoCAD Mechanical objects cleanly and heals the surrounding area

Ribbon: Home tab [image] Modify panel [image] . Does not exist on the ribbon.
Toolbar: Modify
Menu: Default Menu [image] Edit Menu [image] Modify [image] Power Erase Does not exist in the menus.
Command entry: ampowererase

For example, if you delete a Power Dimension, the command adjusts the remaining dimensions so that the deleted dimension line leaves no gap. If you delete a screw connection in a hatched plate, the command restores the hatch.

COMMAND LINE OPTIONS

Select objects: Select the object to erase. Press ENTER.


Power Recall (Concept)

Power Erase
Accelerate the drawing process with Power tools
Power Manipulator
Create and modify geometry > Accelerate the drawing process with Power tools >
Power Recall
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Using AMPOWERRECALL (Power Recall), you can click an object in a drawing and go directly to the dialog box used for creating that object.

For example, if you select a welding symbol, the Welding Symbol dialog box opens.

You can also use AMPOWERRECALL to reissue the command for the last inserted standard part or screw connection. You can change the nominal diameter before inserting the part into the drawing. With screw connections, the dialog box opens, enabling you to add additional elements.

If you apply AMPOWERRECALL to a conventional AutoCAD object (a circle, a line, an arc, and so on), rather than to a Power Object, the previous AutoCAD command repeats.


Power Recall (Quick Reference)

Power Erase
Power Recall
Power Manipulator
Create and modify geometry > Accelerate the drawing process with Power tools >
Power Recall
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMPOWERRECALL

Recognizes the object you select and invokes the command that it was created with

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Default Menu [image] Edit Menu [image] Modify [image] Power Recall Does not exist in the menus.
Command entry: ampowerrecall

COMMAND LINE OPTIONS

Select objects: Select the object to recall the command used for creating this object again.


Power Manipulator (Concept)

Power Recall
Accelerate the drawing process with Power tools
Copy, Rotate and Move Objects
Create and modify geometry > Accelerate the drawing process with Power tools >
Power Manipulator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

The Power Manipulator is a tool that enables you to rotate, move, and copy objects by dragging them in the drawing area. When you invoke the AMMANIPULATE command, AutoCAD Mechanical prompts you to select the objects to move, copy, or rotate. After that AutoCAD Mechanical displays the Power Manipulator as an orthogonal coordinate system in the drawing area.

Power Manipulator Legend

  1. Y Handle
  2. X Handle
  3. Free Handle

You select a handle on the Power Manipulator and drag the handle to move or rotate the objects. If you select the X or Y handles, ACM restricts move to the X or Y directions. However if you select the middle handle (Free Handle), you can move the object in any direction. You can use the right-click menu and select Options to display the Power Manipulator dialog box. You can use this dialog box to specify precise values of displacement and rotation rather than drag the objects.

If you drag the Power Manipulator with the SHIFT key pressed, you can move the Power Manipulator relative to the selected objects. Thereby, you change the base point for the move, copy, or rotate operation.


Power Manipulator (Quick Reference)

Power Recall
Power Manipulator
Power Manipulator
Create and modify geometry > Accelerate the drawing process with Power tools >
Power Manipulator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMMANIPULATE

Power Manipulator dialog box


Power Manipulator (Quick Reference)

Power Manipulator
Power Manipulator
Power Manipulator
Create and modify geometry > Accelerate the drawing process with Power tools >
Power Manipulator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMMANIPULATE

Displays the Power Manipulator, a tool that enables you to rotate move and copy objects by dragging.

Ribbon: None tab [image] None panel [image] . Does not exist on the ribbon.
Toolbar: None
Menu: Modify [image] Power Manipulator Does not exist in the menus.
Command entry: ammanipulate

COMMAND LINE OPTIONS

Select an objects Select the objects to move, copy or rotate and press ENTER when you finish.

Select handle or Geometry [Undo/UCS/WCS/Select/Options/PanCenter/X/Y/Z] Select a handle and follow the instructions in the tooltip or select an option

Undo

Undoes the last operation.

UCS

Aligns the Power Manipulator with the current UCS.

WCS

Aligns the Power Manipulator with the WCS.

Select

Enables you to select additional objects for the operation.

Options

Displays/Hides the Power Manipulator dialog box.

PanCenter

Centers the Power Manipulator on the screen.

X

Moves or rotates selected objects about the X axis.

MOVE mode, moving along X-axis [Rotate]: Drag in the drawing area to move along the X axis or enter R to rotate about the X axis.

ROTATE mode, rotating around X-axis: Drag in the drawing area to rotate about the X axis.

Y

Moves or rotates selected objects about the Y axis.

MOVE mode, moving along Y-axis [Rotate]: Drag in the drawing area to move along the Y axis or enter R to rotate about the Y axis.

ROTATE mode, rotating around Y-axis: Drag in the drawing area to rotate about the Y axis.

Z

Moves or rotates selected objects about the Z axis.

MOVE mode, moving along Z-axis [Rotate]: Drag in the drawing area to move along the Z axis or enter R to rotate about the Z axis.

ROTATE mode, rotating around Z-axis: Drag in the drawing area to rotate about the Z axis.


Power Manipulator (Quick Reference)

Power Manipulator
Power Manipulator
Copy, Rotate and Move Objects
Create and modify geometry > Accelerate the drawing process with Power tools >
Power Manipulator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Power Manipulator dialog box

Use this dialog box to set the exact values for movement and rotation as well as configure the appearance of the Power Manipulator.

General tab
 | Place Objects Specifies where the program places the selected parts. The object selection moves with the manipulator. To invoke this option, press the ALT key.
 | Place Manipulator Determines the location of the Power Manipulator icon. Only the manipulator changes its position or orientation. To invoke this option, press the SHIFT key.
 | Copy Objects The program copies the object selection to the new position of the manipulator. To invoke this option, press the CRTL key.
 | Align to WCS Aligns the Power Manipulator with the WCS. The origin remains untouched.
 | Align to UCS Aligns the Power Manipulator with the current UCS. The origin remains untouched.
 | Center View on Manipulator Aligns the Power Manipulator in the center of the screen.
 | Undo Enables you to undo the last operation.
 | Make a new selection Enables you to drop the current selection and choose a new one.
Move tab
 | Exact Distance Specifies the exact distance parts move.
 | Number of Copies Specifies the number of copies to create. Each copy moves the distance specified.
 | Use Distance Snap Enables you to specify whether to use the Distance Snap and set the units.
Rotate tab
 | Exact Angle Specifies the exact angle of rotation or the angle between copies.
 | Number of Copies Specifies the number of copies to create.
 | Use Angle Snap Enables you to specify whether to use the Angle Snap and set the units.
Settings tab
 | Manipulator Size Controls the size of the Power Manipulator icon.
 | Handle and Text Size Controls the size of the handles and axes text on the Power Manipulator icon.
 | Double-click for Rotate operations When you select this box, double-click a handle to start rotating the object.
Display tab
 | Color Specifies the colors used to open the Power Manipulator icon. Enables you to control the color of the axis, grips, drag arrows, rotation arrows, and X, Y, Z labels.
 | Normal Enables you to specify the color of the normal objects.
 | Highlighted Enables you to specific the color of the highlighted objects.
 | Number of grips Controls the number of grips (axes) that appear on the manipulator.


Copy, Rotate and Move Objects (Concept)

Power Manipulator
Accelerate the drawing process with Power tools
Insert standard or custom content
Create and modify geometry > Accelerate the drawing process with Power tools >
Copy, Rotate and Move Objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Copying moving and rotating objects are common operations. You often need to perform these operations in sequence. Building these operations into a single command can improve your productivity.

Even though AutoCAD Mechanical provides the Power Manipulator for this purpose, you may find it cumbersome for lightweight operations. AutoCAD Mechanical provides the AMCOPYRM command to enable you to copy, rotate, and move objects quickly.

AMCOPYRM, copies, then rotates, and after that moves an object. However you can use command line options to change the order of operations or suppress a given operation (for example, copy and rotate only, not move).

AutoCAD Mechanical also provides three other commands that are derived from this command. The commands perform frequently used variations of this command.

AMCOPYRM_R copies and rotates an object without moving it. AMCOPYRM_MR copies (optional), moves then rotates an object. AMCOPYRM_RM copies (optional) rotates then moves an object.


Copy, Rotate and Move Objects (Procedure)

Power Copy
Up a level to ..
Copy, Rotate and Move Objects
Create and modify geometry > Accelerate the drawing process with Power tools >
Copy, Rotate and Move Objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To copy then rotate an object

To copy then rotate and move an object

To copy then move and rotate an object

To move and rotate an object without copying it

To rotate and move an object without copying it


Copy, Rotate and Move Objects (Quick Reference)

Power Manipulator
Copy, Rotate and Move Objects
Copy, Rotate and Move Objects
Create and modify geometry > Accelerate the drawing process with Power tools >
Copy, Rotate and Move Objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCOPYRM

AMCOPYRM_R

AMCOPYRM_MR

AMCOPYRM_RM


To copy then rotate an object (Procedure)

Copy, Rotate and Move Objects
Up a level to ..
Copy, Rotate and Move Objects
Create and modify geometry > Accelerate the drawing process with Power tools >
Copy, Rotate and Move Objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To copy then rotate an object

  1. Click the Home tab [image] Modify panel .. At the command prompt, enter AMCOPYRM_R.
  2. In the drawing area, select the object you want to copy and press ENTER.
  3. Select the point you want to rotate the object around.
  4. In the command line, specify the angle to rotate or in the drawing area, click to indicate the new position.
  5. Press ESC.


To copy then rotate and move an object (Procedure)

Copy, Rotate and Move Objects
Up a level to ..
Copy, Rotate and Move Objects
Create and modify geometry > Accelerate the drawing process with Power tools >
Copy, Rotate and Move Objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To copy then rotate and move an object

  1. Click Home tab [image] Modify panel .. At the command prompt, enter AMCOPYRM_RM.
  2. In the drawing area, select the object to copy and press ENTER.
  3. Select the point around which to rotate the object.
  4. In the command line, specify the angle to rotate or in the drawing area, click to indicate the new position.
  5. In the drawing area, click to indicate the position to which you want to move the object.
  6. Press ESC.


To copy then move and rotate an object (Procedure)

Copy, Rotate and Move Objects
Up a level to ..
Copy, Rotate and Move Objects
Create and modify geometry > Accelerate the drawing process with Power tools >
Copy, Rotate and Move Objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To copy then move and rotate an object

  1. Click Home tab [image] Modify panel ... At the command prompt, enter AMCOPYRM_MR.
  2. In the drawing area, select the object to copy and press ENTER.
  3. Select the point around which to rotate the object.
  4. In the drawing area, click to indicate the position to which you want to move the object.
  5. In the command line, specify the angle to rotate or in the drawing area, or click to indicate the new position.
  6. Press ENTER.


To move and rotate an object without copying it (Procedure)

Copy, Rotate and Move Objects
Up a level to ..
Copy, Rotate and Move Objects
Create and modify geometry > Accelerate the drawing process with Power tools >
Copy, Rotate and Move Objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move and rotate an object without copying it

  1. Click the Home tab [image] Modify panel [image] . At the command prompt, enter AMCOPYRM.
  2. In the command line, enter M.
  3. In the command line, enter N.
  4. In the drawing area, select the object to move and press ENTER.
  5. Select the point around which to rotate the object.
  6. In the drawing area, click to indicate the position to which you want to move the object.
  7. In the command line, specify the angle to rotate, or, in the drawing area, click to indicate the new position.
  8. Press ENTER.


To rotate and move an object without copying it (Procedure)

Copy, Rotate and Move Objects
Up a level to ..
Insert standard or custom content
Create and modify geometry > Accelerate the drawing process with Power tools >
Copy, Rotate and Move Objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To rotate and move an object without copying it

  1. Click the Home tab [image] Modify panel [image] . At the command prompt, enter AMCOPYRM.
  2. In the command line, enter T.
  3. In the command line, enter N.
  4. In the drawing area, select the object to copy and press ENTER.
  5. Select the point you want to rotate the object around.
  6. In the command line, specify the angle to rotate, or, in the drawing area, click to indicate the new position.
  7. In the drawing area, click to indicate the position to which you want to move the object.
  8. Press ESC.


Copy, Rotate and Move Objects (Quick Reference)

Copy, Rotate and Move Objects
Copy, Rotate and Move Objects
Copy, Rotate and Move Objects
Create and modify geometry > Accelerate the drawing process with Power tools >
Copy, Rotate and Move Objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCOPYRM

Performs copy, rotate, and move operations on specified objects, in sequence.

Ribbon: Home tab [image] Modify panel [image] . Does not exist on the ribbon.
Toolbar: Modify
Menu: Modify [image] Move Copy RotateDoes not exist in the menus.
Command entry: amcopyrm

Using command line options, you can change the order of operations or suppress copying.

COMMAND LINE OPTIONS

Specify operation type [Rotate/Move-rotate/roTate-move] <last used operation>: Select an option.

Rotate

Rotates objects without moving them.

Copy objects? [Yes/No] <Yes>: Enter Y to rotate a copy of the objects and keep the originals intact. Enter N to rotate the objects without copying them.
Select objects: Select the objects to rotate and press ENTER.
Specify base point: In the drawing area, click the point around which to rotate the objects. The axis of rotation passes through the specified base point and is parallel to the Z axis of the current UCS.
Specify rotation angle or [Reference]: Specify the angle of rotation by entering a value or by clicking in the drawing area or enter R to specify an angle in relation to another angle. Press ESC to terminate the command.
 | Reference Rotates objects from a specified angle to a new, absolute angle.
 | Specify the reference angle <last used reference angle>: Specify an angle by entering a value or by specifying two points.

Move-rotate

Moves, then rotates objects.

Copy objects? [Yes/No] <Yes>: Enter Y to move and rotate a copy of the objects and keep the originals intact. Enter N to move and rotate the objects without copying them.
Select objects: Select the objects to rotate and press ENTER when you finish.
Specify base point: In the drawing area, click the point you want to rotate around. The axis of rotation passes through the specified base point and is parallel to the Z axis of the current UCS.
Specify point of displacement: Click in the drawing area to indicate the direction and distance to move the selected objects. Press ENTER to terminate the command.
Specify rotation angle or [Reference]: Specify the angle of rotation by entering a value or by clicking in the drawing area or enter R to specify an angle in relation to another angle. Press ESC to terminate the command.
 | Reference Rotates objects from a specified angle to a new, absolute angle.
 | Specify the reference angle <last used reference angle>: Specify an angle by entering a value or by specifying two points.

Rotate-move

Rotates then moves objects.

Copy objects? [Yes/No] <Yes>: Enter Y to rotate and move a copy of the objects and keep the originals intact. Enter N to rotate and move the objects without copying them.
Select objects: Select the objects to rotate and press ENTER when you finish.
Specify base point: In the drawing area, click the point you want to rotate around. The axis of rotation passes through the specified base point and is parallel to the Z axis of the current UCS.
Specify rotation angle or [Reference]: Specify the angle of rotation by entering a value or by clicking in the drawing area or enter R to specify an angle in relation to another angle. Press ESC to terminate the command.
 | Reference Rotates objects from a specified angle to a new, absolute angle.
 | Specify the reference angle <last used reference angle>: Specify an angle by entering a value or by specifying two points.
Specify point of displacement: Click in the drawing area to indicate the direction and distance to move the selected objects. Press ENTER to terminate the command.


Copy, Rotate and Move Objects (Quick Reference)

Copy, Rotate and Move Objects
Copy, Rotate and Move Objects
Copy, Rotate and Move Objects
Create and modify geometry > Accelerate the drawing process with Power tools >
Copy, Rotate and Move Objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCOPYRM_R

Copies, then rotates specified objects.

Ribbon: Home tab [image] Modify panel [image] . Does not exist on the ribbon.
Toolbar: Modify
Menu: Modify [image] Copy then RotateDoes not exist in the menus.
Command entry: amcopyrm_r

This command is a shortcut enabling you to access the Rotate option of the AMCOPYRM command.

COMMAND LINE OPTIONS

Copy objects? [Yes/No] <Yes>: Enter Y to rotate a copy of the objects and keep the originals intact. Enter N to rotate the objects without copying them.

Select objects: Select the objects to rotate and press ENTER.

Specify base point: In the drawing area, click the point you want to rotate around. The axis of rotation passes through the specified base point and is parallel to the Z axis of the current UCS.

Specify rotation angle or [Reference]: Specify the angle of rotation by entering a value or by clicking in the drawing area or enter R to specify an angle in relation to another angle. Press ESC to terminate the command.

Reference

Rotates objects from a specified angle to a new, absolute angle.

Specify the reference angle <last used reference angle>: Specify an angle by entering a value or by specifying two points.


Copy, Rotate and Move Objects (Quick Reference)

Copy, Rotate and Move Objects
Copy, Rotate and Move Objects
Copy, Rotate and Move Objects
Create and modify geometry > Accelerate the drawing process with Power tools >
Copy, Rotate and Move Objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCOPYRM_MR

Copies, then moves, and then rotates the specified objects.

Ribbon: Home tab [image] Modify panel [image] . Does not exist on the ribbon.
Toolbar: None
Menu: None [image] None Does not exist in the menus.
Command entry: amcopyrm_mr

The command loops, enabling you to place multiple copies of the specified objects in the drawing area.

COMMAND LINE OPTIONS

Select objects: Select the objects to rotate and press ENTER.

Specify base point: In the drawing area, click the point around which to rotate the objects. The axis of rotation passes through the specified base point and is parallel to the Z axis of the current UCS.

Specify point of displacement: Click in the drawing area to indicate the direction and distance to move the selected objects. Press ENTER to terminate the command.

Specify rotation angle or [Reference]: Specify the angle of rotation by entering a value or by clicking in the drawing area or enter R to specify an angle in relation to another angle. Press ESC to terminate the command.

Reference

Rotates objects from a specified angle to a new, absolute angle.

Specify the reference angle <last used reference angle>: Specify an angle by entering a value or by specifying two points.


Copy, Rotate and Move Objects (Quick Reference)

Copy, Rotate and Move Objects
Copy, Rotate and Move Objects
Insert standard or custom content
Create and modify geometry > Accelerate the drawing process with Power tools >
Copy, Rotate and Move Objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCOPYRM_RM

Copies, then rotates, and then moves specified objects.

Ribbon: Home tab [image] Modify panel [image] . Does not exist on the ribbon.
Toolbar: None
Menu: None [image] None Does not exist in the menus.
Command entry: amcopyrm_rm

The command loops, enabling you to place multiple copies of the specified objects in the drawing area.

COMMAND LINE OPTIONS

Select objects: Select the objects to rotate and press ENTER.

Specify base point: In the drawing area, click the point around which to rotate the objects. The axis of rotation passes through the specified base point and is parallel to the Z axis of the current UCS.

Specify rotation angle or [Reference]: Specify the angle of rotation by entering a value or by clicking in the drawing area or enter R to specify an angle in relation to another angle. Press ESC to terminate the command.

Specify point of displacement: Click in the drawing area to indicate the direction and distance to move the selected objects. Press ENTER to terminate the command.

Reference

Rotates objects from a specified angle to a new, absolute angle.

Specify the reference angle <last used reference angle>: Specify an angle by entering a value or by specifying two points.


Insert standard or custom content

Copy, Rotate and Move Objects
Create and modify geometry
Insert standard or custom content
Create and modify geometry >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Insert standard or custom content

    AMCONTENTLIB

  • Insert holes and slots
  • Quickly access frequently used parts and features

    Content Library dialog box

  • Create screw connections
  • Create shafts with the shaft generator


Insert standard or custom content (Procedure)

Copy, Rotate and Move Objects
Insert standard or custom content
Insert standard or custom content
Create and modify geometry >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To insert a screw in the front view

To insert a screw in the top view

To edit a top view of a screw

To edit a front view of a screw

To insert a steel shape in the front/back/sectional view

To insert a steel shape in the right/left/top/bottom view

To generate a view for a standard content that already exists in a drawing

To change the representation of standard or custom content

To copy content from standard content to custom content

To create a custom library

To create custom content without opening Content Editor

To create custom content by opening the geometries in Content Editor

To copy a custom library from one machine to another

To add a custom library

To change the path information file

To change the standard content configuration file

To insert a through hole in the front view

To insert a through hole in the top view

To generate a view for a hole that already exists in a drawing

To insert a user-defined through hole in the front view

To insert a user-defined through hole in the top view

To change the representation of a hole

To add a standard or custom content as a favorite

To create a favorite from a drawing

To insert a favorite to a drawing, when the view and size of the favorite is undefined

To insert a favorite to a drawing, when the size of the favorite is defined, but the view isn’t

To insert a favorite to a drawing, when the view of the favorite is defined, but the size isn’t

To insert a favorite to a drawing, when the view and size of the favorite is defined

To create a screw connection template

To insert a screw connection in the front view

To insert a screw connection in the top/bottom view

To add a shaft break

To add features to a shaft

To edit, delete or copy shaft segments

To create the section view for a shaft

To create a shaft cone

To create a shaft cylinder

To add shaft components to a shaft

To insert a 2D gear

To insert a groove

To insert a profile

To create a slope

Insert a thread

Insert a wrench opening

To create a side view for a shaft

To insert a shaft segment in an existing contour

To change shaft properties


Insert standard or custom content (Concept)

Insert standard or custom content
Insert standard or custom content
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical contains over a half a million predrawn standard parts that you can insert into drawings. These parts include screws, washers, nuts, cylindrical pins, taper pins, grooved drive studs, cotter pins, plain rivets, countersunk rivets, clevis pins, plugs, lubricators, sealing rings, drill bushings, bearings, keys, and steel shapes.

The insertion process is similar for each standard part. Select the standard part you want to insert, select the view to insert, and then specify the size. If you use the AMCONTENTLIB command, you can select any standard or custom part for insertion. If you use a specific standard part insertion command such as AMSTLSHAP2D, you can only access the parts associated with that command (2D steel shapes in this example). This is a convenient way to access a filtered list of standard parts. The Quick Reference tab on this page provides a list of such commands. The Procedure tab provides access to two sets of procedures. One set (procedures to insert a screw) illustrates the process of using the AMCONTENTLIB command and the other set (procedures to insert a steel shape) illustrates the process of using a standard part-specific command.

You can quickly generate a view from a standard or custom content that exists in a drawing (for example, to create the top view from the front view) with the AMPOWERVIEW command.

When you insert a standard part in the drawing, the program inserts a part reference, which contains information about the part, automatically.

In complex assemblies, showing standard parts in their default form (standard representation) may clutter the drawing. Use the AMSTDPREP command and change to a simplified representation for a better overview.

The program stores standard and custom content in the GDB (global) database. This database contains the description of the part, the paths to the parametric files (GPL files), and the path to the pictures shown in dialog boxes. The GPL files (Global Parametric Library files) are parametric files in a packed format.


Insert standard or custom content (Procedure)

Insert standard or custom content
Up a level to ..
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a screw in the front view

To insert a screw in the top view

To edit a top view of a screw

To edit a front view of a screw

To insert a steel shape in the front/back/sectional view

To insert a steel shape in the right/left/top/bottom view

To generate a view for a standard content that already exists in a drawing

To change the representation of standard or custom content

To copy content from standard content to custom content

To create a custom library

To create custom content without opening Content Editor

To create custom content by opening the geometries in Content Editor

To copy a custom library from one machine to another

To add a custom library

To change the path information file

To change the standard content configuration file


Insert standard or custom content (Quick Reference)

Copy, Rotate and Move Objects
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCLEVISPIN2D

AMCONTENTLIB

AMCONTENTMANAGER

Content Manager New Library dialog box

Save Content As New Library dialog box

Content Manager Rename View

Save Content As Rename View

Content Manager Rename Library dialog box

Save Content As Library dialog box

AMCOTTERPIN2D

AMCRIVET2D

AMCYLPIN2D

AMGROOVESTUD2D

AMLUBRI2D

AMNUT2D

AMPIN2D

AMPLRIVET2D

AMPLUG2D

AMPOWERVIEW

AMRIVET2D

AMSCREW2D

AMSEALRING2D

AMSEALS2D

AMSTDPLIB

AMSTDPLIBEDIT

AMSTDPREP

AMSTLSHAP2D

AMTAPERPIN2D

AMVARIODB

AMWASHER2D

Enter values dialog box

Select Part Size dialog box

Subentity Property Overrides

Standard Content Filters dialog box


To insert a screw in the front view (Procedure)

Insert standard or custom content
Up a level to ..
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a screw in the front view

  1. Click Dashboard tab [image] Standard Parts panel [image] [image] At the Command prompt, enter AMCONTENTLIB.
  2. In the Content panel, locate the screw to insert.
    • For example, ISO Fasteners [image] Screws and Threaded Bolts [image] Hex Head Types [image] ISO 4014 (Regular Thread).
  3. In the Details panel, click Front View.
  4. In the drawing area, specify the insertion point for the screw.
  5. On the command line, specify the rotation angle or press ENTER to accept the default (zero).
  6. In the Nominal Diameter dialog box, select the screw size, and then click Finish.
  7. In the drawing area, drag to size the screw and then click to set the length.
NoteAll standard content is inserted in the same way. The insertion prompts and dialog boxes may differ depending on the inserted content, but the process is the same.


To insert a screw in the top view (Procedure)

Insert standard or custom content
Up a level to ..
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a screw in the top view

  1. Click Dashboard tab [image] Standard Parts panel [image] [image] At the Command prompt, enter AMCONTENTLIB.
  2. In the Content panel, locate the screw to insert.
    • For example, ISO Fasteners [image] Screws and Threaded Bolts [image] Hex Head Types [image] ISO 4014 (Regular Thread).
  3. In the Details panel, click Top View.
  4. In the drawing area, specify the insertion point for the screw.
  5. On the command line, specify the rotation angle or press ENTER to accept the default (zero).
  6. In the Nominal Diameter dialog box, select the screw size, and then click Next.
  7. In the Length Selection dialog box, select the length of the screw.
  8. Click Finish.
NoteAll standard content is inserted in the same way. The insertion prompts and dialog boxes may differ depending on the inserted content, but the process is the same.


To edit a top view of a screw (Procedure)

Insert standard or custom content
Up a level to ..
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit a top view of a screw

  1. In the drawing area, double click the screw. The Nominal Diameter dialog box is displayed.
  2. Select a size and click Next. The Length Selection dialog box is displayed.
  3. Select a Length and click Finish.
NoteAll standard content is edited in the same way. The prompts and dialog boxes may differ from part to part, but the process is the same.


To edit a front view of a screw (Procedure)

Insert standard or custom content
Up a level to ..
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit a front view of a screw

  1. In the drawing area, double click the screw. The Nominal Diameter dialog box is displayed.
  2. Select a Size and click Finish.
NoteAll standard content is edited in the same way. The prompts and dialog boxes may differ from part to part, but the process is the same.


To insert a steel shape in the front/back/sectional view (Procedure)

Insert standard or custom content
Up a level to ..
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a steel shape in the front/back/sectional view

  1. Click Dashboard tab [image] Standard Parts panel [image] [image] At the Command prompt, enter AMSTLSHAP2D.
  2. In the Select a Steel Shape dialog box, select a steel shape, and select Front/Back/Sectional View.
  3. Specify the insertion point for the steel shape (1).
  4. Specify the rotation angle (2).
  5. In the Size Selection dialog box, select the size.
  6. Choose Next.
  7. In the Length Selection dialog box, specify the length.
  8. Choose Finish.

    The steel shape is inserted in the front/back/sectional view.

NoteAll standard content is inserted in the same way. The insertion prompts differs depending on the inserted part, but the process is the same.


To insert a steel shape in the right/left/top/bottom view (Procedure)

Insert standard or custom content
Up a level to ..
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a steel shape in the right/left/top/bottom view

  1. Click Dashboard tab [image] Standard Parts panel [image] [image] At the Command prompt, enter AMSTLSHAP2D.
  2. In the Select a Steel Shape dialog box, select a steel shape, and select Right/Left/Top/Bottom View.
  3. Specify the insertion point for the steel shape (1).
  4. Specify the rotation angle (2).
  5. In the Size Selection dialog box, select the size.
  6. Specify the length of shape in unit steps by dragging (3).

    The steel shape is inserted in the right/left/top/bottom view.

NoteAll standard content is inserted in the same way. The insertion prompts differs depending on the inserted part, but the process is the same.


To generate a view for a standard content that already exists in a drawing (Procedure)

Insert standard or custom content
Up a level to ..
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To generate a view for a standard content that already exists in a drawing

  1. Click None [image] None [image] [image] At the Command prompt, enter AMPOWERVIEW.
  2. Select the standard content you want to generate a view of (1). The Select New View dialog box displays.
  3. In the Details panel, click the desired view.
  4. Specify the insertion point for the new view.
  5. Specify the rotation angle.

    The new view is inserted.


To change the representation of standard or custom content (Procedure)

Insert standard or custom content
Up a level to ..
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the representation of standard or custom content

  1. Click None [image] None [image] [image] At the Command prompt, enter AMSTDPREP.
  2. Select the content you want to change (1).
  3. Press ENTER. The Switch Representation of Standard Parts dialog box is displayed.
  4. In the 2D Representation list, select the desired representation.
  5. Choose OK.


To copy content from standard content to custom content (Procedure)

Insert standard or custom content
Up a level to ..
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To copy content from standard content to custom content

  1. Click Content tab [image] Library panel [image] Content Manager
  2. In the Content panel of the Content Manager dialog box, select the destination library.
  3. In the Content panel, select the Standard Content to copy.
  4. Right-mouse click and select COPY from the context menu.
  5. Select the destination location under the Custom Content node. Right-mouse click and select PASTE from the context menu.

  6. The selected content and all its views are copied from Standard Content to the custom library.


To create a custom library (Procedure)

Insert standard or custom content
Up a level to ..
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a custom library

  1. Click Content tab [image] Library panel [image] Content Manager
  2. In the Content panel of the Content Manager dialog box, select the Custom Content node or a node under Custom Content.
  3. Click the New Library button.
  4. Specify the name and location of the custom library in the Content Manager - New Library dialog box.
  5. Choose OK. The custom library appears under the Custom Content node.


To create custom content without opening Content Editor (Procedure)

Insert standard or custom content
Up a level to ..
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create custom content without opening Content Editor

  1. Click Content tab [image] Library panel [image] Content Manager
  2. In the Content panel of the Content Manager dialog box, select the library or folder under which you need to create content.
  3. Click the New Content button.
  4. In the New Content dialog box, select if you want to create custom content using the current drawing or by selecting a block definition in the current drawing.
  5. Remove the check mark from the Open in Content Editor option.
  6. Choose OK.
  7. Specify the name of the new part or feature and the View in the Save Content As dialog box.
  8. Choose Save Content to close the dialog box.


To create custom content by opening the geometries in Content Editor (Procedure)

Insert standard or custom content
Up a level to ..
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create custom content by opening the geometries in Content Editor

  1. Click Content tab [image] Library panel [image] Content Manager
  2. In the Content panel of the Content Manager dialog box, select the library or folder under which you need to create content.
  3. Click the New Content button.
  4. In the New Content dialog box, select how you want to create custom content.
  5. Select the Open in Content Editor option.
  6. Choose OK.
  7. In Content Editor, add the necessary dimensional and geometric constraints.
  8. Specify the name of the new part or feature and the View in the Save Content As dialog box.
  9. Choose Save Content to close the dialog box.


To copy a custom library from one machine to another (Procedure)

Insert standard or custom content
Up a level to ..
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To copy a custom library from one machine to another

  1. Click Content tab [image] Library panel [image] Content Manager
  2. In the Content Manager dialog box, click the File Locations button in the Content panel.
  3. In the Content Manager - File Locations dialog box, locate the folder location of the library file (.GDB) of the library you would like to copy. Copy the above folder to the clipboard.
  4. Launch Windows Explorer and navigate to the destination machine and paste the folder in the desired location.


To add a custom library (Procedure)

Insert standard or custom content
Up a level to ..
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a custom library

  1. Click Content tab [image] Library panel [image] Content Manager
  2. In the Content Manager dialog box, click the File Locations button in the Content panel.
  3. In the Content Manager - File Locations dialog box, under Custom Content, click in the last empty cell in the Library file column.
  4. Click [image] to browse and select the library file (.GBD). When a valid .GBD is selected, the name of the selected library from the .GDB file populates the Custom Content grid.
  5. Click the Save Changes and Close button. The custom library loads when you launch Content Libraries or the Content Manager.


To change the path information file (Procedure)

Insert standard or custom content
Up a level to ..
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the path information file

  1. Click Content tab [image] Library panel [image] Content Manager
  2. In the Content Manager dialog box, click the File Locations button in the Content panel.
  3. In the Content Manager - File Locations dialog box, click [image] next to Path information file text box.
  4. Browse and select the new path information (XML file) that you would like to use. The path information file stores information about the locations of the database.cfg file (for Standard Content) and .GDB files (for custom libraries).
  5. Click the Save Changes and Close button. The custom library loads when you launch Content Libraries or the Content Manager.


To change the standard content configuration file (Procedure)

Insert standard or custom content
Up a level to ..
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the standard content configuration file

  1. Click Content tab [image] Library panel [image] Content Manager
  2. In the Content Manager dialog box, click the File Locations button in the Content panel.
  3. In the Content Manager - File Locations dialog box, click [image] next to Standard Content configuration file text box.
  4. Browse and select a new database.cfg file. The location of database.cfg file determines the location of the standard content and the standards available for use.
  5. Click the Save Changes and Close button. The custom library loads when you launch Content Libraries or the Content Manager.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCLEVISPIN2D

Creates a clevis pin

Ribbon: Content tab [image] Fasteners panel [image] Clevis Pin. Does not exist on the ribbon.
Toolbar: Content [image] Parts Library
Menu: Content [image] Fasteners [image] Clevis Pin Does not exist in the menus.
Command entry: amclevispin2d

A wizard assists you to select the type of clevis pin, the view, and the size to insert. Only the clevis pins listed as standard content are available in AMCLEVISPIN2D. Use AMCONTENTLIB to access custom content.

Use the Select a Clevis Pin dialog box to select the type and the view to insert.

COMMAND LINE OPTIONS

Front View

Specify insertion point: Specify the insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.

Drag size: Specify the length using the pointing device, or enter a value.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCONTENTLIB

Opens the Content Library for selection and insertion of content.

Ribbon: Content tab [image] Library panel [image] Content Libraries. Does not exist on the ribbon.
Toolbar: Content [image] Content Libraries.
Menu: Tools [image] Palettes [image] Part Libraries Does not exist in the menus.
Command entry: amcontentlib

Content Library dialog box

Content panel Contains a list of standard and custom content.
 | Search Provides the ability to search for standard or custom content by keyword. You can enter multiple keywords separated by spaces.
 | Starts the search, beginning from the item selected in the tree. NoteIf the item you are looking for is above the current selection, it will not be found.
 | Displays the Search Options dialog box, enabling you to specify how the search is performed.
 | Right-click menu items
 |  | Add to Favorites Adds the selected content to the folder selected in the Favorites panel. This menu option is visible only if standard or custom content is selected in the Content panel. This menu option is available only if a target folder is selected in the Favorites Panel
Favorites panel Contains a list of frequently used standard or custom content items which have been added as favorites. Similar to Windows Explorer, favorites can be shown as a list or as a tree. You can add new branches to the tree by creating Folders.
 | Displays favorites as a list.
 | Displays favorites as a tree.
 | Toolbar Buttons
 |  | Adds the standard or custom content selected in the Content panel to the folder selected in the Favorites panel.
 |  | Creates a folder below the folder selected in the Favorites panel.
 |  | Selects the folder one level above the current selection.
 |  | Deletes the selected favorite or folder.
 | Columns displayed in the list view
 |  | Name Displays an alias for the favorite. You can click in the column and change this name at any time.
 |  | Content Name Shows the name of the standard or custom parts/features as defined in the library. If the column is not wide enough to show the entire name, a tooltip displays the entire name as you move the pointer over this column.
 |  | View Displays the name of the view that has been specified for insertion. When you click in this column, AutoCAD Mechanical displays a drop-down menu, from which you can select a different view, or specify that you will select the view at the time you insert the part in a drawing.
 |  | Size Displays the size that has been specified for insertion. When you click in this column, AutoCAD Mechanical displays a drop-down menu, from which you can opt to define a size on the favorite itself, or specify that you will select the size at the time you insert the part in a drawing. If you choose to define the size on the favorite, AutoCAD Mechanical displays a dialog box, the contents of which depends on the standard or custom parts/features.
Details panel Displays the preview thumbnails for the contents of the currently selected node.
 |  | Address Bar Displays the path to the current selection in the Content panel as a series of links separated by arrows. You can change the current selection by selecting a new path from the menu that is displayed when you click an arrow within the address bar.
 | Right-click menu items
 |  | View Options Displays the Options dialog box, which enables you to define the size of icons in the Details tab and specify how they should be displayed.
 |  | View Larger Image Displays an enlarged image of the selected icon.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCONTENTMANAGER

Create, edit, activate, deactivate, and reorder file locations for standard and custom content.

You can edit the standard part identification and physical properties.

Ribbon: Content tab [image] Library panel [image] Content Manager [image] [image] Does not exist in the ribbon.
Toolbar: Content [image] Content Manager
Menu: Content [image] Content Manager Does not exist in the menus.
Command entry: amcontentmanager

Content Manager dialog box

Content panel Contains a list of standard and custom content.
 | New Library Add a new library under the Custom Content node.
 | New Folder Add a new folder to a library or folder.
 | New Content Add a new view for existing or new content.
 | Edit Content Edit the table of a standard content or a view and table of a custom content.
 | Delete Delete a selected node under custom content.
 | Move Up Move the selected node under standard or custom content up the sequence.
 | Move Down Move the selected node under standard or custom content down the sequence.
 | File Locations Configure the file path location for standard or custom content.
 | Standard Content Filter Configure the selection filters for standard content.
 | Search Provides the ability to search for standard or custom content by keyword. You can enter multiple keywords separated by spaces.
 | Starts the search, beginning from the item selected in the tree. NoteIf the item you are looking for is above the current selection, it will not be found.
 | Displays the Search Options dialog box, enabling you to specify how the search is performed.
Details panel Displays the preview thumbnails for the contents of the currently selected node.
 | Address Bar Displays the path to the current selection in the Content panel as a series of links separated by arrows. You can change the current selection by selecting a new path from the menu that is displayed when you click an arrow within the Address bar.
 | Right-click menu items
 | View Options Displays the Options dialog box, enabling you to define the size of icons in the details tab and specify how they should be displayed.
 | View Larger Image Displays an enlarged image of the selected icon.
 | Change Thumbnail Displays the Select Thumbnail dialog box, enabling you to select a BMP, JPEG, or SLD file. The default format is BMP.
 | Restore Default Thumbnail Restores the default folder, content, or view thumbnail. Once restored, the option is disabled when right-clicking on the same folder, content, or view.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Content Manager New Library dialog box

Adds a new library under the Custom Content tree of the Content Manager and the Content Libraries palette.

Save Content As New Library dialog box

Saves a new library under the Custom Content tree of the Content Manager and the Content Libraries palette.

Display name

Specify a library name that displays in the Custom Content tree of the Content Manager and the Content Libraries palette.

A display name can contain special characters and GEF messages.

Library name

Changing the library name automatically changes the folder name for the library.

A library name cannot include special characters or GEF messages. The same library name cannot be used to define more than one library.

Location

Specify the path for the library file.

Displays the Select Library location dialog box, which lets you specify a library location.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Content Manager Rename View

Save Content As Rename View

Changes the name of the view.

Predefined

The current view properties for the selected view are loaded into the dialog box.

Select to choose a predefined view name for a view.

View lists available base view types.

Type lists available sub view types. Type used by the current view is not listed.

Custom

Select to enter a custom name for the view.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Content Manager Rename Library dialog box

Save Content As Library dialog box

Changes the name of the library.

Display name

Specify a library name that displays in the Custom Content tree of the Content Manager and the Content Libraries palette.

A display name can contain special characters and GEF messages.

Library name

Changing the library name automatically changes the folder name for the library.

A library name cannot include special characters or GEF messages. The same library name cannot be used to define more than one library.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCOTTERPIN2D

Creates a cotter pin

Ribbon: Content tab [image] Fasteners panel [image] Cotter Pin. Does not exist on the ribbon.
Toolbar: Content [image] Parts Library
Menu: Content [image] Fasteners [image] Cotter Pin Does not exist in the menus.
Command entry: amcotterpin2d

A wizard assists you to select the type of cotter pin, the view, and the size to insert. Only the cotter pins listed as standard content are available in AMCOTTERPIN2D. Use AMCONTENTLIB to access custom content.

Use the Select a Cotter Pin dialog box to select the type and the view to insert.

Depending on the selected view there are differences in the insertion process:

COMMAND LINE OPTIONS

Options

Front View

Specify insertion point: Click a point to specify an insertion point.

Endpoint of split pin: Specify the endpoint.

In the Nominal Diameter dialog box, select the size.

Side View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Size Selection dialog box, specify the size.

In the Length Selection dialog box, select the length.

In the Nominal Diameter dialog box, select a size.

Top View

Specify insertion point: Click a point to specify an insertion point.

Endpoint of split pin: Specify the endpoint.

In the Nominal Diameter dialog box, select the size.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCRIVET2D

Inserts a countersunk rivet from the content library.

Ribbon: Content tab [image] Fasteners panel [image] Countersunk Rivet. Does not exist on the ribbon.
Toolbar: Content [image] Parts Library
Menu: Content [image] Fasteners [image] Countersunk Rivet Does not exist in the menus.
Command entry: amcrivet2d

A wizard enables you to select the type and the view of the countersunk rivet to insert. You specify the length by dragging. If the system cannot find a rivet to match, it displays a dialog box to enable you to select from a list of available sizes. Only the countersunk rivets listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

A wizard enables you to select the type and the view of the countersunk rivet to insert. You specify the length by dragging. If the system cannot find a rivet to match, it displays a dialog box to enable you to select from a list of available sizes. Only the countersunk rivets listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

Use the Select a Countersunk Head Rivet dialog box to select the type and the view to insert.

Depending on the selected view there are differences in the insertion process:

COMMAND LINE OPTIONS

Options

Front View

Specify insertion point: Click a point to specify an insertion point.

Specify hole length: Specify the hole length using the pointing device, or enter a value. In a dialog box named for the selected part, select the size.

Side View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value. In a dialog box named for the selected part, select the size.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCYLPIN2D

Inserts a cylindrical pin from the content library.

Ribbon: Content tab [image] Fasteners panel [image] Cylindrical Pin. Does not exist on the ribbon.
Toolbar: Content [image] Parts Library
Menu: Content [image] Fasteners [image] Cylindrical Pin Does not exist in the menus.
Command entry: amcylpin2d

A wizard enables you to select the type, the view, and the size of the cylindrical pin to insert. Only the cylindrical pins listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

Use the Select a Cylindrical Pin dialog box to select the type of pin and the view to insert. Depending on the selected view there are differences in the insertion process.

COMMAND LINE OPTIONS

Front View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In a dialog box named for the selected part, select the size.

Drag size: Specify the length using the pointing device, or enter a value.

Side View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Size Selection dialog box, select the size.

In the Length Selection dialog box, specify the length.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMGROOVESTUD2D

Inserts a grooved drive stud from the content library

Ribbon: Content tab [image] Fasteners panel [image] Grooved Drive Stud. Does not exist on the ribbon.
Toolbar: Content [image] Parts Library
Menu: Content [image] Fasteners [image] Grooved Drive Stud Does not exist in the menus.
Command entry: amgroovestud2d

A wizard enables you to select the type, the view, and the diameter of the grooved stud to insert. In the front view, you drag to specify the length, and the length snaps to an available size. A tooltip displays the size as you drag. Only the grooved studs listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

Options You use the Select a Grooved Drive Stud dialog box to select the type and view to insert. Depending on the selected view there are differences in the insertion process.

COMMAND LINE OPTIONS

Front View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Size Selection dialog box, select the size.

Drag size: Specify the length using the pointing device, or enter a value.

Side View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Size Selection dialog box, select the size.

In the Length Selection dialog box, specify the length.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLUBRI2D

Inserts a lubricator from the content library.

Ribbon: None Does not exist in the ribbon.
Toolbar: Content [image] Parts Library
Menu: Content [image] Fasteners [image] Lubricator Does not exist in the menus.
Command entry: amlubri2d

A wizard assists you to select the type, the view, and the diameter of the lubricator to insert. Only the lubricators listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

Use the Select a Lubricator dialog box to select the type and the view to insert.

COMMAND LINE OPTIONS

Front View/Side View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.

Top View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMNUT2D

Inserts a nut from the content library.

Ribbon: Content tab [image] Fasteners panel [image] Nut. Does not exist on the ribbon.
Toolbar: Content [image] Screws
Menu: Content [image] Fasteners [image] Nut Does not exist in the menus.
Command entry: amnut2d

A wizard enables you to select the type, the view, and the size of the nut to insert. Only the nuts listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

The insertion process is controlled by the Select a Nut dialog box to select the type and the view to insert.

COMMAND LINE OPTIONS

Front View/Side View/Top View

Specify insertion point: Select a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPIN2D

Use AMPIN2D to select one of these types from the Select a Pin dialog box:

  • Cylindrical Pins
  • Taper Pins
  • Grooved Drive Studs
  • Cotter Pins

Select the Exclude from parts lists check box to exclude an item from all part lists. When the Exclude check box is selected for an item in the BOM, then all part lists will not include the item. When the Exclude check box is selected in any standard part dialog box, then all BOMs are updated to exclude the item.

The items remain available in the BOM and can be included by clearing the Exclude from parts lists check box in the BOM.

Ribbon: None Does not exist in the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: ampin2d

Depending on the selected type and view there are differences in the insertion process.

Note: The AMPIN2D command is available only on the command line.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPLRIVET2D

Inserts a plain rivet from the content library.

Ribbon: Content tab [image] Fasteners panel [image] Plain Rivet. Does not exist on the ribbon.
Toolbar: Content [image] Parts Library
Menu: Content [image] Fasteners [image] Plain Rivet Does not exist in the menus.
Command entry: amplrivet2d

A wizard enables you to select the type, the view, and the diameter of the plain rivet to insert. In the front view, you drag to specify the length. Only the rivets listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

Use the Select a Plain Rivet dialog box to select the type of pin and the view to insert. Depending on the selected view there are differences in the insertion process:

COMMAND LINE OPTIONS

Front View

Specify insertion point: Click a point to specify an insertion point.

Specify hole length: Specify the hole length using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.

Side View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Length Selection dialog box, specify the length.

In the Nominal Diameter dialog box, select the size.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPLUG2D

Inserts a plug from the content library.

Ribbon: None Does not exist in the ribbon.
Toolbar: Content [image] Parts Library
Menu: Content [image] Fasteners [image] Plug Does not exist in the menus.
Command entry: amplug2d

A wizard assists you to select the type, the view, and the diameter of the plug to insert. Only the plugs listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

Use the Select a Plug dialog box to select the type and the view to insert.

COMMAND LINE OPTIONS

Front View/Side View/Top View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Size Selection dialog box, select the size.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERVIEW

Creates a top view from a side view of a standard part and vice versa.

Ribbon: None Does not exist on the ribbon.
Toolbar: Modify
Menu: Modify [image] Power View Does not exist in the menus.
Command entry: ampowerview

COMMAND LINE OPTIONS

Select object: Select the object from which to create a view.

Insertion point: Specify the insertion point for the new view.

Rotation angle <0>: Specify the rotation angle for the view.

NoteYou can apply AMPOWERVIEW only to 2D standard parts.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMRIVET2D

Use AMRIVET2D command to insert plain rivets or countersunk rivets from the installed standard parts. Select the Exclude from parts lists check box to exclude an item from all part lists. When the Exclude check box is selected for an item in the BOM, then all part lists will not include the item. When the Exclude check box is selected in any standard part dialog box, then all BOMs are updated to exclude the item.

The items remain available in the BOM and can be included by clearing the Exclude from parts lists check box in the BOM.

The AMRIVET2D command is available only on the command line.

Ribbon: None Does not exist in the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amrivet2d

Options Use the Select a Rivet dialog box to select the type of rivets.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCREW2D

Inserts a screw or bolt from the content library.

Ribbon: Content tab [image] Fasteners panel [image] Screw. Does not exist on the ribbon.
Toolbar: Content [image] Screw
Menu: Content [image] Fasteners [image] Screw Does not exist in the menus.
Command entry: amscrew2d

A wizard enables you to select the type, the view, and the diameter of the screw/bolt to insert. In the front view, you drag to specify the length, and the length snaps to an available size. A tooltip displays the size as you drag. Only the screws and bolts listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

Use the Select a Screw dialog box to select the type of screw and view to insert. Depending on the selected view there are differences in the insertion process.

COMMAND LINE OPTIONS

Front View/Side View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.

Drag size: Specify the length using the pointing device, or enter a value.

Top View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.

In the Length Selection dialog box, select a length.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSEALRING2D

Inserts a sealing ring from the content library.

Ribbon: None Does not exist in the ribbon.
Toolbar: Content [image] Parts Library
Menu: Content [image] Fasteners [image] Sealing Rings Does not exist in the menus.
Command entry: amsealring2d

A wizard assists you to select the type, the view, and the diameter of the sealing ring. Only sealing rings listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

Use the Select a Sealing Ring dialog box to select the type and the view to insert.

COMMAND LINE OPTIONS

Front View/Top View

Specify insertion point: Select a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.

In the Select Part Size dialog box, select the size.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSEALS2D

Inserts a seal or O-ring and draws the corresponding groove on a shaft.

Ribbon: Content tab [image] Shaft panel [image] Seals. Does not exist on the ribbon.
Toolbar: Content [image] Shaft Generator
Menu: Content [image] Shafts Components [image] Seals Does not exist in the menus.
Command entry: amseals2d

You can place seals on the outer contour of a shaft or place O rings on the shaft, inside a hollow shaft, or on the plane surfaces of a shaft. A wizard enables you to select the type of seal/O-ring and the view to insert. If the system cannot find a seal/O-ring to fit the shaft, you can select a size from a list of available sizes and resize the shaft to fit.

Use the Select a Shaft Seal dialog box to select the type and the view to insert.

COMMAND LINE OPTIONS

Front View

Specify insertion point on shaft contour: Select a point on shaft contour.

Select point on centerline: Select a point on the centerline.

In the Select Part Size dialog box, select a size.

Left Side View/Right Side View

Pick insertion point on shaft diameter: Select a point on the shaft contour.

In the Select Part Size dialog box, select a size.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSTDPLIB

Opens the Content Library for selection and insertion of content.

Ribbon: Content tab [image] Library panel [image] Content Libraries. Does not exist on the ribbon.
Toolbar: Content [image] Content Libraries.
Menu: Tools [image] Palettes [image] Part Libraries Does not exist in the menus.
Command entry: amstdplib

This command has been superseded by the AMCONTENTLIB command. We include this command for compatibility with older versions of AutoCAD Mechanical.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSTDPLIBEDIT

Create, edit, activate, deactivate, and reorder file locations for standard and custom content.

You can edit the standard part identification and physical properties.

Ribbon: Content tab [image] Library panel [image] Content Manager [image] [image] Does not exist in the ribbon.
Toolbar: Content [image] Content Manager
Menu: Content [image] Content Manager Does not exist in the menus.
Command entry: amstdplibedit

This command has been superseded by the AMCONTENTMANAGER command. We include this command for compatibility with older versions of AutoCAD Mechanical.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSTDPREP

Changes the representation of a standard part

Ribbon: Content tab [image] Library panel [image] Change Representation. Does not exist on the ribbon.
Toolbar: Content [image] Change Representation
Menu: Content [image] Change Representation Does not exist in the menus.
Command entry: amstdprep

You can select standard, simplified, or symbolic. An image on the dialog box displays the results of the selection.

COMMAND LINE OPTIONS

Select objects: Select the objects whose representation you want to change.

The representation is controlled by the Switch Representation of Standard Parts dialog box. Select one of the options Standard, Simplified or Symbolic.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSTLSHAP2D

Inserts a steel shape from the content library.

Ribbon: Content tab [image] Misc panel [image] Steel Shapes. Does not exist on the ribbon.
Toolbar: Content [image] Parts Library
Menu: Content [image] Steel Shapes Does not exist in the menus.
Command entry: amstlshap2d

A wizard enables you to select the type, the view, and the size of the steel shape to be inserted. In the side view, drag to specify the length of the steel shape. In other views, specify the length in a dialog box.

You use the Select a Steel Shape dialog box to select the type and the view to insert. Depending on the selected view there are differences in the insertion process.

COMMAND LINE OPTIONS

Front View/Back View/Sectional View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Size Selection dialog box, select the size, choose Next.

In the Length Selection dialog box, select the length. Choose Finish.

Right Side View/Left Side View/Top View/Bottom View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Size Selection dialog box, select the size.

Drag size: Specify the length of shape in unit steps by dragging.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTAPERPIN2D

Inserts a taper pin from the content library.

Ribbon: Content tab [image] Fasteners panel [image] Taper Pin. Does not exist on the ribbon.
Toolbar: Content [image] Parts Library
Menu: Content [image] Fasteners [image] Taper Pin Does not exist in the menus.
Command entry: amtaperpin2d

A wizard enables you to select the type, the view, and the diameter of the pin to insert. In the front view, you drag to specify the length, and the length snaps to an available size. A tooltip displays the size as you drag. Only the screws and bolts listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

Options: You use the Select a Taper Pin dialog box to select the type of pin and the view to insert. Depending on the selected view there are differences in the insertion process.

COMMAND LINE OPTIONS

Front View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Taper Pin - Size Selection dialog box, select the size.

Drag size: Drag the part to the desired size.

In the Select Part Size dialog box choose OK.

Left Side View / Right Side View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Size Selection dialog box, select the size and length.

In the Select Part Size dialog box choose OK.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVARIODB

Use AMVARIODB to display variant catalogs. Additionally, further databases which have the extension .gdb can be included (also via the Internet).

Ribbon: None Does not exist in the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amvariodb


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMWASHER2D

Inserts a washer from the content library.

Ribbon: Content tab [image] Fasteners panel [image] Washer. Does not exist on the ribbon.
Toolbar: Content [image] Screws
Menu: Content [image] Fasteners [image] Washer Does not exist in the menus.
Command entry: amwasher2d

A wizard enables you to select the type, the view, and the size of the washer to insert. Only the through slots listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

You use the Select a Washer dialog box to select the type of washer and the view to insert.

COMMAND LINE OPTIONS

Front View/Top View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the diameter.

In the Select Part Size dialog box, select the size.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Enter values dialog box

If restrictions for variables have been defined in the variant, these are now listed in a dialog box. In the Value column, you can enter any value in the specified range.

NoteA preview of the selected part is displayed in the lower left section of this dialog box.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select Part Size dialog box

The Select Part Size dialog box is available from the Standard Part Database dialog box only when the selected part has additional specifications.

The Select Part Size dialog box displays available sizes for the selected part. The appearance of the displayed table differs according to the selected standard parts. All values of the selected part are shown.

In the table, click one of the first two fields in the column to sort results. Click once to sort entries in ascending order; click twice to sort in descending order. Click again to return to the default sort order.

Use sort criteria to limit the number of selected parts and avoid a time-consuming selection.

There are two ways to specify a restriction for a variant in the parts table:

  • To restrict found parts to those with a desired value, double-click the exact value of the part to find. The column title is displayed in yellow to mark the column as the restriction for the search.
  • You can specify additional columns to further restrict the search criteria. They are also represented in yellow.
  • Select the desired column from the table to determine a minimum or maximum value. Right-click to show the Restrictions context menu and select an option.

Right-click a value in the Select Part Size table to display the context menu. The following options are available:

Restrictions

Displays a dialog box to set the restrictions for the selected column. You can use operators like “<=” and “>”.

Restrictions for a selected value

Displays all possible conditions for the restriction of a selected value.

Remove all Restrictions

Removes previously set restrictions.

Change Unit

Displays a submenu, which displays all available units. If a unit is selected the units of the selected column are recalculated for the new unit.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert standard or custom content
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Subentity Property Overrides

Use Subentity Property Overrides to override the defined linetype, color, and visibility of subentities within standard part views.

Ribbon: None Does not exist in the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amsubentpropoverrides

DIALOG BOX DEFINITIONS

Subentity Property Overrides dialog box

Subentity Set

Lists the sets of subentities. Right-click to rename or delete a set.

Add >

Adds a new set to the set list.

Modify set button

Modifies the selection of the current subentity set.

Layer Object

Controls property overrides for current set of subentities.

NoteThe color, layer, and linetype are controlled indirectly by Layer Object.

Visibility

Checking the Override visibility check box controls whether overrides are visible or invisible.


Insert standard or custom content (Quick Reference)

Insert standard or custom content
Insert standard or custom content
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert standard or custom content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Content Filters dialog box

Part status filter

Specifies the group of standard parts to make available for selection, eliminating unnecessary standard parts from selection lists.

By default, all the standard parts shipped with AutoCAD Mechanical are available for selection regardless of the filter you select. To put standard parts into the different preselection categories, use the Val-Editor and select items for each filter. For more information, please refer to the Val-Editor Help file.

Hole type filter

Hole

Specifies the hole types to make available for selection. Only the hole types that are selected are available for insertion.

Thread type filter

Thread

Specifies the thread types to make available for selection. When parts with threads are inserted in the drawing, only parts containing the selected thread type are available for insertion.

Designation filter

Displays both old and new designations for parts in the Standard Part Value table.


Insert holes and slots (Concept)

Insert standard or custom content
Insert standard or custom content
Quickly access frequently used parts and features
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In addition to standard parts, the standard part library contains pre-drawn through holes, blind holes, counterbores, countersinks, through slots, blind slots, tapped through holes, tapped blind holes, external threads, and thread ends.

The insertion process is similar for all standard content. Select the hole or slot to insert and determine the view, insertion point, hole length, and nominal diameter. You can also insert user holes and user slots, which have user-defined diameters.

NoteThe insertion process varies depending on the hole or slot you insert.

Once you insert a hole/slot into a drawing, you can use the AMPOWERVIEW command to generate a new orthographic view of the hole/slot quickly. This function is useful, for example, to generate the top view from the front view.


Insert holes and slots (Procedure)

Insert standard or custom content
Up a level to ..
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a through hole in the front view

To insert a through hole in the top view

To generate a view for a hole that already exists in a drawing

To insert a user-defined through hole in the front view

To insert a user-defined through hole in the top view

To change the representation of a hole


Insert holes and slots (Quick Reference)

Insert standard or custom content
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBHOLE2D

AMBSLOT2D

AMCOUNTB2D

AMCOUNTS2D

AMEXTHREAD2D

AMTAPBHOLE2D

AMTAPTHOLE2D

AMTHOLE2D

AMTHREADEND2D

AMTSLOT2D

AMUBHOLE2D

AMUBSLOT2D

AMUCOUNTB2D

AMUCOUNTS2D

AMUTHOLE2D

AMUTSLOT2D

AMTAPETHREAD2D

AMTAPITHREAD2D

AMDRBUSH2D

AMDRBUSHHOLE2D

AMAUTOCL System Variable

AMCLCM System Variable

AMCLGAP System Variable

AMCLOSHT System Variable

AMPOWERVIEW


To insert a through hole in the front view (Procedure)

Insert holes and slots
Up a level to ..
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a through hole in the front view

  1. Click Dashboard tab [image] Holes panel [image] [image] At the Command prompt, enter AMTHOLE2D.
  2. In the Select a Through Hole dialog box, select Front View.
  3. Specify the insertion point for the through hole (1).
  4. Specify the hole length (2).
  5. In the Nominal Diameter dialog box, select the size.
  6. Choose Finish.


To insert a through hole in the top view (Procedure)

Insert holes and slots
Up a level to ..
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a through hole in the top view

  1. Click Dashboard tab [image] Holes panel [image] [image] At the Command prompt, enter AMTHOLE2D.
  2. In the Select a Through Hole dialog box, select Top View.
  3. Specify the insertion point for the through hole (1).
  4. Specify the rotation angle (2).
  5. In the Nominal Diameter dialog box, select the size.
  6. Choose Finish.
NoteAll types of holes are inserted in the same manner. The insertion prompt can differ slightly depending on the type of hole inserted.


To generate a view for a hole that already exists in a drawing (Procedure)

Insert holes and slots
Up a level to ..
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To generate a view for a hole that already exists in a drawing

  1. Click None [image] None [image] [image] At the Command prompt, enter AMPOWERVIEW.
  2. Select the hole you want to generate a view of. The Select New View dialog box is displayed.
  3. In the Details panel, click the desired view.
  4. Specify the insertion point for new view.
  5. Specify the rotation angle.

    The new view is inserted.


To insert a user-defined through hole in the front view (Procedure)

Insert holes and slots
Up a level to ..
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a user-defined through hole in the front view

  1. Click None [image] None [image] At the Command prompt, enter AMUTHOLE2D.
  2. In the Select a User Through Hole dialog box, select Front View.
  3. Specify the insertion point for the through hole (1).
  4. Specify the hole length (2).
  5. In the Nominal Diameter dialog box, select the size.
  6. Choose Finish.
NoteAll types of holes are inserted in the same manner. The insertion prompt can differ slightly depending on the type of hole inserted.


To insert a user-defined through hole in the top view (Procedure)

Insert holes and slots
Up a level to ..
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a user-defined through hole in the top view

  1. Click None [image] None [image] At the Command prompt, enter AMUTHOLE2D.
  2. In the Select a User Through Hole dialog box, select Top View.
  3. Specify the insertion point for the through hole (1).
  4. Specify the rotation angle (2).
  5. In the Nominal Diameter dialog box, select the size.
  6. Choose Finish.
NoteAll types of holes are inserted in the same manner. The insertion prompt can differ slightly depending on the type of hole inserted.


To change the representation of a hole (Procedure)

Insert holes and slots
Up a level to ..
Quickly access frequently used parts and features
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the representation of a hole

  1. Click None [image] None [image] [image] At the Command prompt, enter AMSTDPREP.
  2. Select the hole whose representation you want to change, and then press ENTER. The Switch Representation of Standard Parts dialog box is displayed.
  3. In the 2D Representation list, select the desired representation.
  4. Choose OK.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBHOLE2D

Inserts a blind hole from the content library.

Ribbon: Dashboard [image] Holes [image] . Does not exist in the ribbon.
Toolbar: Content [image] Holes
Menu: Content [image] Holes [image] Blind Hole Does not exist in the menus.
Command entry: ambhole2d

A wizard assists you to select the type of blind hole, the view, and the size to insert. Only the blind holes listed as standard content are available in AMBHOLE2D. Use AMCONTENTLIB to access custom content.

The insertion process for holes is controlled by the Select a Blind Hole dialog box to select the type of hole and the view to insert.

COMMAND LINE OPTIONS

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

From the Nominal Diameter dialog box, select the size.

Drag size: Specify the length using the pointing device, or enter a value.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBSLOT2D

Inserts a blind slot from the content library.

Ribbon: Content tab [image] Holes panel [image] Blind Slot. Does not exist on the ribbon.
Toolbar: Content [image] Holes
Menu: Content [image] Holes [image] Blind Slot Does not exist in the menus.
Command entry: ambslot2d

A wizard assists you to select the type of blind slot, the view, and the size to insert. Only the blind slots listed as standard content are available in AMBSLOT2D. Use AMCONTENTLIB to access custom content.

Use the Select a Slot - Blind dialog box to select the type of hole and the view to insert.

COMMAND LINE OPTIONS

Front View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the angle.

In the Nominal Diameter dialog box, select the size.

Drag size: Specify the size using the pointing device, or enter a value.

Side View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the angle.

In the Nominal Diameter dialog box, select the size.

In the Length Selection dialog box, specify the length.

Drag size: Specify the size using the pointing device, or enter a value.

Top View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.

In the Slot Depth dialog box, select the depth of the slot.

Drag size: Specify the length of the hole.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCOUNTB2D

Inserts a counterbore from the content library.

Ribbon: Content tab [image] Holes panel [image] Counterbore. Does not exist on the ribbon.
Toolbar: Content [image] Holes
Menu: Content [image] Holes [image] Counterbore Does not exist in the menus.
Command entry: amcountb2d

A wizard assists you to select the type of counterbore, and the view to insert. You select the size of the hole by specifying the details of the screw that goes into the counterbore. Only the counterbores listed as standard content are available in AMCOUNTB2D. Use AMCONTENTLIB to access custom content.

Use the Select a Hole Standard dialog box to select the hole standard. In the Select a Screw dialog box, select the type of screw and the view to insert.

In the Screw Connection dialog box, choose Finish.

COMMAND LINE OPTIONS

Front View

Specify start point of hole: Select a point to specify a starting point.

Specify endpoint of hole [Gap after hole]: Select an endpoint. In the Screw Assembly Location dialog box, choose Finish. In the Enter Variables dialog box, enter a value, or choose OK.

Side View

Specify start point of hole: Select a point to specify a starting point.

Specify endpoint of hole [Gap after hole]: Select an endpoint. In the Enter Variables dialog box, enter a value, or choose OK.

Top View

Specify insertion point: Select an insertion point. In the Enter Variables dialog box, enter a value, or choose OK.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCOUNTS2D

Inserts a countersink from the content library.

Ribbon: Content tab [image] Holes panel [image] Countersink. Does not exist on the ribbon.
Toolbar: Content [image] Holes
Menu: Content [image] Holes [image] Countersink Does not exist in the menus.
Command entry: amcounts2d

A wizard provides a selection list of types and views of countersinks. The details of the screw that goes into the countersink set the size of the countersink. Only the countersinks listed as standard content are available in AMCOUNTS2D. Use AMCONTENTLIB to access custom content.

COMMAND LINE OPTIONS

Front View/Side View

Specify start point of hole: Select a point to specify a starting point.

Specify endpoint of hole [Gap after hole]: Select an endpoint.

Top View

Specify insertion point: Click a point to specify an insertion point.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMEXTHREAD2D

Inserts an external thread from the content library.

Ribbon: Content tab [image] Holes panel [image] External Thread. Does not exist on the ribbon.
Toolbar: Content [image] Holes
Menu: Content [image] Holes [image] External Thread Does not exist in the menus.
Command entry: amexthread2d

A wizard enables you to select the type, the view, and the nominal diameter of the thread to insert. Only the external threads listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

Use the Select an External Thread dialog box to select the type and the view to insert. Depending on the selected view there are differences in the insertion process:

COMMAND LINE OPTIONS

Options

Front View

Specify insertion point: Click a point to specify an insertion point.

Specify a length: Specify the length using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.

Top View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTAPBHOLE2D

Inserts a tapped blind hole from the content library.

Ribbon: Dashboard [image] Holes [image] . Does not exist in the ribbon.
Toolbar: Content [image] Holes
Menu: Content [image] Holes [image] Tapped Blind Hole Does not exist in the menus.
Command entry: amtapbhole2d

A wizard enables you to select the type, the view, and the diameter of the hole to insert. In the front view, you drag to specify the length. Only the holes listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

The insertion process for holes is controlled by the Select a Tapped Blind Hole dialog box in which you select the type of hole and the view to insert.

COMMAND LINE OPTIONS

Front View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle by using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.

Drag size: Specify the length using the pointing device, or enter a value.

Top View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle by using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.

In the Length Selection dialog box, specify the length and choose Finish.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTAPTHOLE2D

Inserts a tapped through hole from the content library.

Ribbon: Content tab [image] Holes panel [image] Tapped Through Hole. Does not exist on the ribbon.
Toolbar: Content [image] Holes
Menu: Content [image] Holes [image] Tapped Through Hole Does not exist in the menus.
Command entry: amtapthole2d

A wizard enables you to select the type, the view, and the diameter of the hole to insert. In the front view, you drag to specify the length. Only the holes listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

Use the Select a Tapped Through Hole dialog box to select the type and the view to insert. Depending on the selected view there are differences in the insertion process.

COMMAND LINE OPTIONS

Options

Front View

Specify insertion point: Click a point to specify an insertion point.

Specify hole length: Specify the length using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.

Top View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTHOLE2D

Inserts a through hole from the content library.

Ribbon: Content tab [image] Holes panel [image] Through Hole. Does not exist on the ribbon.
Toolbar: Content [image] Holes
Menu: Content [image] Holes [image] Through Hole Does not exist in the menus.
Command entry: amthole2d

A wizard enables you to select the type, the view, and the diameter of the hole to insert. In the front view, you drag to specify the length. Only the holes listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

Use the Select a Through Hole dialog box to select the type of hole and the view to insert.

COMMAND LINE OPTIONS

Front View

Specify insertion point: Click a point to specify an insertion point.

Specify hole length: Specify the hole length by using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select a size.

Top View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle: Specify an angle using the pointing device or by entering a value.

In the Nominal Diameter dialog box, select a size.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTHREADEND2D

Inserts a thread end from the content library.

Ribbon: Content tab [image] Holes panel [image] Thread End. Does not exist on the ribbon.
Toolbar: Content [image] Holes
Menu: Content [image] Holes [image] Thread End Does not exist in the menus.
Command entry: amthreadend2d

A wizard enables you to select the type, the view, and the nominal diameter of the thread end to insert. In the front view, you drag to specify the length. Only the thread ends listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

Options

Use the Select an External Thread End dialog box to select the type and the view to insert. Depending on the selected view there are differences in the insertion process.

COMMAND LINE OPTIONS

Front View

Specify insertion point: Click a point to specify an insertion point.

In the Nominal Diameter dialog box, select the size.

Drag size: Drag the part to the desired size.

Top View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTSLOT2D

Inserts a through slot from the content library.

Ribbon: Content tab [image] Holes panel [image] Through Slot. Does not exist on the ribbon.
Toolbar: Content [image] Holes
Menu: Content [image] Holes [image] Through Slot Does not exist in the menus.
Command entry: amtslot2d

A wizard enables you to select the type, the view, and the diameter of the slot to insert. You drag to specify the length. Only the through slots listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

The insertion process for slots is controlled by the Select a Slot - Through dialog box to select the type of hole and the view to insert.

COMMAND LINE OPTIONS

Front View

Specify insertion point: Click a point to specify an insertion point.

Endpoint: Specify the endpoint.

In the Nominal Diameter dialog box, select the size.

Drag size: Specify the length using the pointing device, or enter a value.

Side View

Specify insertion point: Click a point to specify an insertion point.

Endpoint: Specify the endpoint.

In the Nominal Diameter dialog box, select the size.

In the Length Selection dialog box, specify the length.

Top View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle by using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.

Drag size: Specify the length of the hole.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMUBHOLE2D

Use AMUBHOLE2D to open a dialog box to insert a user-defined blind hole from the installed standard systems.

The insertion process for user-defined blind holes is controlled by the Select a User Blind Hole dialog box. Select the type of hole and the view to insert.

Ribbon: None Does not exist in the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amubhole2d

COMMAND LINE OPTIONS

Front View

Specify insertion point: Click a point to specify an insertion point.

In the Nominal Diameter dialog box, select the size.

Drag size: Specify the length of the hole.

Top View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle by using the pointing device, or enter a value.

In the Nominal Diameter dialog box, enter a size for the nominal diameter and the hole depth, or use the pointing device to specify values.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMUBSLOT2D

Ribbon: None Does not exist in the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amubslot2d

The insertion process for holes is controlled by the Select a User Slot dialog box. Select the type of hole and the view to insert.

COMMAND LINE OPTIONS

Front View:

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle: Specify an angle using the pointing device, or enter a value.

In the Parameter for Slot dialog box, specify the nominal diameter.

Drag size: Specify the length using the pointing device, or enter a value.

Drag size: Specify the width using the pointing device, or enter a value.

Side View:

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle: Specify an angle using the pointing device, or enter a value.

In the Parameter for Slot dialog box, specify the length and the nominal diameter.

Drag size: Specify the length using the pointing device, or enter a value.

Top View:

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle: Specify the rotation angle by using the pointing device, or enter a value.

In the Parameter for Slot dialog box, select the nominal diameter and theslot depth.

Drag size: Specify the length of the slot.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMUCOUNTB2D

Ribbon: None Does not exist in the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amucountb2d

The insertion process for holes is controlled by the Select a User Counterbore dialog box. Select the type of hole and the view to insert.

COMMAND LINE OPTIONS

Front View/Top View

Specify insertion point: Click a point to specify an insertion point.

Specify hole length: Specify the length and the direction for the hole.

In the Parameter for Counterbores dialog box, enter values for the counterbore diameter, counterbore depth, and nominal diameter, or specify values by using the pointing device.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMUCOUNTS2D

Ribbon: None Does not exist in the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amucounts2d

The insertion process for holes is controlled by the Select a User Countersink dialog box. Select the type of hole and the view to insert.

COMMAND LINE OPTIONS

Front View/Top View

Specify insertion point: Click a point to specify an insertion point.

Specify hole length: Specify the length of the hole by using the pointing device, or enter a value.

In the Parameter for Countersinks dialog box, enter a value for the nominal diameter, the countersink diameter, and countersink angle, or use the pointing device to specify values.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMUTHOLE2D

Ribbon: None Does not exist in the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amuthole2d

The insertion process for holes is controlled by the Select a User Through Hole dialog box. Select the type of hole and the view to insert.

COMMAND LINE OPTIONS

Front View:

Specify insertion point: Click a point to specify an insertion point.

Specify hole length: Click a second point to specify the direction and length.

In the Nominal Diameter dialog box enter a value for the nominal diameter or specify the value using the mouse. Choose Finish.

Top View:

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle by using the pointing device, or enter a value.

In the Parameter for Holes dialog box, select the nominal diameter or specify the value using the mouse. Choose Finish.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMUTSLOT2D

Ribbon: None Does not exist in the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amutslot2d

The insertion process for holes is controlled by the Select a User Slot dialog box. Select the type of hole and the view to insert.

COMMAND LINE OPTIONS

Front View:

Specify insertion point: Click a point to specify an insertion point.

Endpoint: Specify an endpoint.

In the Nominal Diameter dialog box, enter a value or specify a point using the pointing device.

Drag size: Specify the length using the pointing device, or enter a value.

Side View:

Specify insertion point: Click a point to specify an insertion point.

Endpoint: Specify an endpoint.

In the Parameter for Slot dialog box specify the length and the nominal diameter.

Top View:

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle by using the pointing device, or enter a value.

In the Nominal Diameter dialog box specify the nominal diameter or use the pointing device to specify a value.

Drag size: Specify the length of the slot.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTAPETHREAD2D

Inserts a tapered hole that contains external threads.

Ribbon: Content tab [image] Holes panel [image] Taper External Thread. Does not exist on the ribbon.
Toolbar: Content [image] Holes
Menu: Content [image] Holes [image] Taper External Thread Does not exist in the menus.
Command entry: amtapethread2d

A wizard enables you to select the type, the view, and the diameter of the hole to insert. In the front view, you drag to specify the length. A tooltip displays the size as you drag. Only the holes listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

Use the Select a Taper External Thread dialog box to select the type and the view to insert. Depending on the selected view there are differences in the insertion process:

COMMAND LINE OPTIONS

Options

Front View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.

Drag size: Specify the length using the pointing device, or enter a value.

Top View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTAPITHREAD2D

Inserts a tapered hole that contains internal threads.

Ribbon: Content tab [image] Holes panel [image] Taper Internal Thread. Does not exist on the ribbon.
Toolbar: Content [image] Holes
Menu: Content [image] Holes [image] Taper Internal Thread Does not exist in the menus.
Command entry: amtapithread2d

A wizard enables you to select the type, the view, and the diameter of the hole to insert. In the front view, you drag to specify the length. A tooltip displays the size as you drag. Only the holes listed as standard content are available with this command. Use the AMCONTENTLIB command to access custom content.

Use the Select a Taper Internal Thread dialog box to select the type and the view to insert. Depending on the selected view there are differences in the insertion process:

COMMAND LINE OPTIONS

Options

Front View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.

Drag size: Specify the length using the pointing device, or enter a value.

Top View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDRBUSH2D

Inserts a drill bushing from the content library

Ribbon: None Does not exist in the ribbon.
Toolbar: Content [image] Parts Library
Menu: Content [image] Drill Bushings [image] Drill Bushings Does not exist in the menus.
Command entry: amdrbush2d

A wizard assists you to select the type of drill bushing, the view, and the diameter of the drill bushing to insert. In the front view, you drag to specify the length, and the length snaps to an available size. A tooltip displays the size as you drag.

You use the Select a Drill Bushing dialog box to select the type of drill bushing and the view to insert. Depending on the selected view there are differences in the insertion process.

COMMAND LINE OPTIONS

Front View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box enter a value or use the pointing device.

Drag size: Specify the length using the pointing device, or enter a value.

Top View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.

In the Length Selection dialog box, specify the length.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDRBUSHHOLE2D

Inserts a drill bushing and the corresponding hole, from the content library.

Ribbon: None Does not exist in the ribbon.
Toolbar: Content [image] Parts Library
Menu: Content [image] Drill Bushings [image] Drill Bushings with Hole Does not exist in the menus.
Command entry: amdrbushhole2d

A wizard assists you to select the type of drill bushing, the view, and the diameter of the drill bushing to insert. In the front view, you drag to specify the length, and the length snaps to an available size. A tooltip displays the size as you drag.

Options Use the Select a Drill Bushing dialog box to select the type of drill bushing and the view to insert. Depending on the selected view there are differences in the insertion process.

COMMAND LINE OPTIONS

Front View

Specify insertion point: Click a point to specify an insertion point.

Specify hole length: Click a point to specify the length.

In the Nominal Diameter dialog box enter a value, or use the pointing device.

Drag size: Specify the length using the pointing device, or enter a value.

Top View

Specify insertion point: Click a point to specify an insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Nominal Diameter dialog box, select the size.

In the Length Selection dialog box, specify the length.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMAUTOCL System Variable

Controls whether automatic centerlines are created at view creation for features.

Type: | Integer
Initial value: | 0
Possible values: | 0 - Off 1 - On


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCLCM System Variable

Controls the length of centerline annotations.

Type: | Real
Initial value: | English drawings: 0.1 Metric drawings: 2.8
Possible values: | Only positive numbers are allowed.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCLGAP System Variable

Controls gaps in centerline annotations.

Type: | Real
Initial value: | English drawings: 0.156 Metric drawings: 4
Possible values: | Only positive numbers are allowed.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCLOSHT System Variable

Controls the length of centerline overshoot beyond an object.

Type: | Real
Initial value: | English drawings: 0.11 Metric drawings: 2.8
Possible values: | Only positive numbers are allowed.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Insert holes and slots
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERVIEW

Creates a top view from a side view of a standard part and vice versa.

Ribbon: None Does not exist on the ribbon.
Toolbar: Modify
Menu: Modify [image] Power View Does not exist in the menus.
Command entry: ampowerview

COMMAND LINE OPTIONS

Select object: Select the object from which to create a view.

Insertion point: Specify the insertion point for the new view.

Rotation angle <0>: Specify the rotation angle for the view.

NoteYou can apply AMPOWERVIEW only to 2D standard parts.


Insert holes and slots (Quick Reference)

Insert holes and slots
Insert holes and slots
Quickly access frequently used parts and features
Create and modify geometry > Insert standard or custom content >
Insert holes and slots
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference


Quickly access frequently used parts and features (Concept)

Insert holes and slots
Insert standard or custom content
Create screw connections
Create and modify geometry > Insert standard or custom content >
Quickly access frequently used parts and features
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Due to the sheer number of standard parts and features in the standard part library, searching through all of them to find the item you need can be difficult and time-consuming. If you use only a few standard or custom content regularly, you can flag them as favorites and quickly access them from the Favorites panel in the Content Library dialog box.

For example, if you frequently use various sizes of ISO 4762 bolts in your drawings, you can add ISO 4762 to your list of favorites. When you select the bolt from the Favorites panel for insertion, AutoCAD Mechanical displays a dialog box enabling you to select the view and prompts you to select the size.

If you predefine the view for a favorite, insertion becomes much simpler. At insertion time, you can select the view directly from the Details panel and insert it into the drawing. The program prompts you for the size.

If you use just one size of the bolt regularly (for example, M20 X 60), you can fix the size (to M20 X 60) as well. Once you fix the size, AutoCAD Mechanical does not prompt you for the size when you insert the bolt.

You can organize your favorites in any way. You can rename favorites and move them into folders (different nodes of the tree), like you organize files in Windows Explorer.

You can control the size, location, and appearance of the Content Library dialog box. You can:

  • Resize the dialog box by dragging an edge or by dragging the title bar (located on the left, but under certain conditions on the right).
  • Roll up and roll down panels by clicking the [image] and [image] icons to make optimum use of available space. For example, once you set up favorites, you access the Content panel less frequently. You can roll up the Content panel and utilize that space for the Favorites panel. Alternatively, you can use the resize panes and keep only the Details panel visible and pick up standard or custome content using the Address bar and the graphical buttons.
  • Dock the dialog box by dragging it over the right or left docking region of the drawing area until it snaps into the docked position. You can also dock the dialog box by double-clicking its title bar.
  • Undock the dialog box by dragging the title bar away from the docking region. Pressing CTRL while dragging prevents docking.
  • Anchor the dialog box by choosing Anchor Right or Anchor Left from the shortcut menu. An anchored Content Library dialog box rolls open and closed as the pointer moves across it. When an anchored Content Library dialog box is open, its content overlaps the drawing area. You cannot set it to stay open while it is anchored.
  • When the Content Library dialog box is floating, use the Auto-hide right-click menu option to make it roll open and closed as the pointer moves across it.


Quickly access frequently used parts and features (Procedure)

Insert holes and slots
Up a level to ..
Quickly access frequently used parts and features
Create and modify geometry > Insert standard or custom content >
Quickly access frequently used parts and features
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a standard or custom content as a favorite

To create a favorite from a drawing

To insert a favorite to a drawing, when the view and size of the favorite is undefined

To insert a favorite to a drawing, when the size of the favorite is defined, but the view isn’t

To insert a favorite to a drawing, when the view of the favorite is defined, but the size isn’t

To insert a favorite to a drawing, when the view and size of the favorite is defined


Quickly access frequently used parts and features (Quick Reference)

Insert holes and slots
Quickly access frequently used parts and features
Quickly access frequently used parts and features
Create and modify geometry > Insert standard or custom content >
Quickly access frequently used parts and features
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Content Library dialog box

AMGDBIMPORT


To add a standard or custom content as a favorite (Procedure)

Quickly access frequently used parts and features
Up a level to ..
Quickly access frequently used parts and features
Create and modify geometry > Insert standard or custom content >
Quickly access frequently used parts and features
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a standard or custom content as a favorite

  1. Click Dashboard tab [image] Standard Parts panel [image] [image] At the Command prompt, enter AMCONTENTLIB.
  2. In the Content panel, locate the standard or custom content to insert.
    • For example, ISO Fasteners [image] Screws and Threaded Bolts [image] Hex Head Types [image] ISO 4014 (Regular Thread).
  3. In the Details panel, change to the folder that you want to add the favorite to.
  4. Click [image] . The standard or custom content is added to the Favorites panel.
  5. To select a view for the favorite;
    1. Click in the View column. A drop down list is displayed.
    2. Select the view you want to fix for the favorite.
      NoteSpecifying a size is an optional step. If you do not select a view, you can select a view at the time you insert the favorite into a drawing.
  6. To specify a size.
    1. Click in the Size column and select define size. A dialog box is displayed.
      NoteThe dialog box that is displayed depends on the standard content that you added as a favorite. In order to explain the procedure, we use the example of an ISO 4014 Hex Head bolt. Although the dialog boxes displayed for other standard content is different, the process is the same.
    2. In the Nominal Diameter dialog box, select a Size and click Next.
    3. In the Length Selection dialog box, select the Length and click Finish.


To create a favorite from a drawing (Procedure)

Quickly access frequently used parts and features
Up a level to ..
Quickly access frequently used parts and features
Create and modify geometry > Insert standard or custom content >
Quickly access frequently used parts and features
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a favorite from a drawing

  1. Click Dashboard tab [image] Standard Parts panel [image] [image] At the Command prompt, enter AMCONTENTLIB.
  2. Press ESC to clear all selections.
  3. In the Details panel, change to the folder that you want to add the favorite to.
  4. In the drawing area, click the standard or custom content to select it.
  5. Drag the selected standard or custom content to the Details panel. The content is added as a favorite.


To insert a favorite to a drawing, when the view and size of the favorite is undefined (Procedure)

Quickly access frequently used parts and features
Up a level to ..
Quickly access frequently used parts and features
Create and modify geometry > Insert standard or custom content >
Quickly access frequently used parts and features
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a favorite to a drawing, when the view and size of the favorite is undefined

  1. Click Dashboard tab [image] Standard Parts panel [image] [image] At the Command prompt, enter AMCONTENTLIB.
  2. In the Favorites panel, locate the standard or custom content to insert and select it.
  3. In the Details panel, click the button showing the image of the favorite. The Select New View dialog box is displayed.
  4. In the Content panel, expand the tree and select the standard content.
  5. In the Details panel, click the view to insert.
    NoteSubsequent prompts use the example of inserting an ISO 4014 Hex Head bolt in the front view. Although the dialog boxes displayed for other views or standard content is different, the process is the same.
  6. In the drawing area, specify the insertion point for the screw.
  7. On the command line, specify the rotation angle or press ENTER to accept the default (zero).
  8. In the Nominal Diameter dialog box, select the screw size, and then click Finish.
  9. In the drawing area, drag to size the screw and then click to set the length.


To insert a favorite to a drawing, when the size of the favorite is defined, but the view isn’t (Procedure)

Quickly access frequently used parts and features
Up a level to ..
Quickly access frequently used parts and features
Create and modify geometry > Insert standard or custom content >
Quickly access frequently used parts and features
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a favorite to a drawing, when the size of the favorite is defined, but the view isn’t

  1. Click Dashboard tab [image] Standard Parts panel [image] [image] At the Command prompt, enter AMCONTENTLIB.
  2. In the Favorites panel, locate the standard or custom content to insert and select it.
  3. In the Details panel, click the button showing the image of the favorite. The Select New View dialog box is displayed.
  4. In the Content panel, expand the tree and select the standard content.
  5. In the Details panel, click the view to insert.
    NoteSubsequent prompts use the example of inserting an ISO 4014 Hex Head bolt in the front view. Although the dialog boxes displayed for other views or standard content is different, the process is the same.
  6. In the drawing area, specify the insertion point for the screw.
  7. On the command line, specify the rotation angle or press ENTER to accept the default (zero).


To insert a favorite to a drawing, when the view of the favorite is defined, but the size isn’t (Procedure)

Quickly access frequently used parts and features
Up a level to ..
Quickly access frequently used parts and features
Create and modify geometry > Insert standard or custom content >
Quickly access frequently used parts and features
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a favorite to a drawing, when the view of the favorite is defined, but the size isn’t

  1. Click Dashboard tab [image] Standard Parts panel [image] [image] At the Command prompt, enter AMCONTENTLIB.
  2. In the Favorites panel, locate the standard content to insert and select it.
  3. In the Details panel, click the button shown the image of the view.
  4. In the Content panel, expand the tree and select the standard or custom content.
  5. In the Details panel, click the view to insert.
    NoteSubsequent prompts use the example of inserting an ISO 4014 Hex Head bolt in the front view. Although the dialog boxes displayed for other views or standard content is different, the process is the same.
  6. In the drawing area, specify the insertion point for the screw.
  7. On the command line, specify the rotation angle or press ENTER to accept the default (zero).
  8. In the Nominal Diameter dialog box, select the screw size, and then click Finish.
  9. In the drawing area, drag to size the screw and then click to set the length.


To insert a favorite to a drawing, when the view and size of the favorite is defined (Procedure)

Quickly access frequently used parts and features
Up a level to ..
Create screw connections
Create and modify geometry > Insert standard or custom content >
Quickly access frequently used parts and features
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a favorite to a drawing, when the view and size of the favorite is defined

  1. Click Dashboard tab [image] Standard Parts panel [image] [image] At the Command prompt, enter AMCONTENTLIB.
  2. In the Favorites panel, locate the standard or custom content to insert and select it.
  3. In the Details panel, click the button shown the image of the view.
  4. In the Content panel, expand the tree and select the standard content.
  5. In the Details panel, click the view to insert.
    NoteSubsequent prompts use the example of inserting an ISO 4014 Hex Head bolt in the front view. Although the dialog boxes displayed for other views or standard content is different, the process is the same.
  6. In the drawing area, specify the insertion point for the screw.
  7. On the command line, specify the rotation angle or press ENTER to accept the default (zero).


Quickly access frequently used parts and features (Quick Reference)

Quickly access frequently used parts and features
Quickly access frequently used parts and features
Quickly access frequently used parts and features
Create and modify geometry > Insert standard or custom content >
Quickly access frequently used parts and features
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Content Library dialog box

Content panel Contains a list of standard and custom content.
 | Search Provides the ability to search for standard or custom content by keyword. You can enter multiple keywords separated by spaces.
 | Starts the search, beginning from the item selected in the tree. NoteIf the item you are looking for is above the current selection, it will not be found.
 | Displays the Search Options dialog box, enabling you to specify how the search is performed.
 | Right-click menu items
 |  | Add to Favorites Adds the selected content to the folder selected in the Favorites panel. This menu option is visible only if standard or custom content is selected in the Content panel. This menu option is available only if a target folder is selected in the Favorites Panel
Favorites panel Contains a list of frequently used standard or custom content items which have been added as favorites. Similar to Windows Explorer, favorites can be shown as a list or as a tree. You can add new branches to the tree by creating Folders.
 | Displays favorites as a list.
 | Displays favorites as a tree.
 | Toolbar Buttons
 |  | Adds the standard or custom content selected in the Content panel to the folder selected in the Favorites panel.
 |  | Creates a folder below the folder selected in the Favorites panel.
 |  | Selects the folder one level above the current selection.
 |  | Deletes the selected favorite or folder.
 | Columns displayed in the list view
 |  | Name Displays an alias for the favorite. You can click in the column and change this name at any time.
 |  | Content Name Shows the name of the standard or custom parts/features as defined in the library. If the column is not wide enough to show the entire name, a tooltip displays the entire name as you move the pointer over this column.
 |  | View Displays the name of the view that has been specified for insertion. When you click in this column, AutoCAD Mechanical displays a drop-down menu, from which you can select a different view, or specify that you will select the view at the time you insert the part in a drawing.
 |  | Size Displays the size that has been specified for insertion. When you click in this column, AutoCAD Mechanical displays a drop-down menu, from which you can opt to define a size on the favorite itself, or specify that you will select the size at the time you insert the part in a drawing. If you choose to define the size on the favorite, AutoCAD Mechanical displays a dialog box, the contents of which depends on the standard or custom parts/features.
Details panel Displays the preview thumbnails for the contents of the currently selected node.
 |  | Address Bar Displays the path to the current selection in the Content panel as a series of links separated by arrows. You can change the current selection by selecting a new path from the menu that is displayed when you click an arrow within the address bar.
 | Right-click menu items
 |  | View Options Displays the Options dialog box, which enables you to define the size of icons in the Details tab and specify how they should be displayed.
 |  | View Larger Image Displays an enlarged image of the selected icon.


Quickly access frequently used parts and features (Quick Reference)

Quickly access frequently used parts and features
Quickly access frequently used parts and features
Create screw connections
Create and modify geometry > Insert standard or custom content >
Quickly access frequently used parts and features
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMGDBIMPORT

Imports GDB files from previous versions of AutoCAD Mechanical or from a shared folder on the network.

Ribbon: None tab [image] None panel [image] .Does not exist on the ribbon.
Menu: Does not exist in the menus.
Command entry: amgdbimport

You can also use this command to import favorites from the user profile of another user. Favorites are stored in a folder named std parts favorites, adjacent to the folder where drawing templates are stored.

You can also use this command to import screw connection templates. In AutoCAD Mechanical version 2009 and later, Screw connection Templates are stored with the Favorites. In versions prior to AutoCAD Mechanical 2009, screw connection templates are stored in the file amsct.gdb.

This command appends imported screw connection templates to the existing list even if the same names exist in the current drawing. The same screw template name listed more than once in the list.


Create screw connections (Concept)

Quickly access frequently used parts and features
Insert standard or custom content
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create screw connections
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can use the screw connection tool (AMSCREWCON2D command) to create entire fastener assemblies.

The screw connection tool connects two plates. A screw connection can consist of a screw, nuts, washers, and holes, which you can select in the Screw Connection wizard. It is not necessary to select all of these standard parts for a screw connection, but you must select at least one.

When you insert a standard part into the drawing, the program inserts a part reference, which contains information about the part.

The program shows only standard parts that you can combine. For example, it shows cotter pins only if you have selected slotted nuts as part of the screw connection.

  • You can insert a standard part in the Front View, Side View, or Top View. When you select Front View or Side View in the Select a Screw wizard and click Next, you can choose Normal, Hidden, No, or Sectional as representations in the Screw Assembly Grip Representation dialog box.
  • In the Screw Assembly Templates dialog box, you can choose from five default templates. You can also save your favorite or frequently used screw connections.
  • The program can perform a Screw Diameter Estimation (like VDI 2230).
  • The program applies the Enforce Projection Length Rules for Screw Connection option to a screw connection. When you insert a screw connection containing a nut, the program draws a certain projection length. If you clear this option in the Options dialog box, you can drag the screw connection.
  • You can combine counterbores and countersinks. The screw and any accompanying washers under the screw head determine the type and depth of the counterbore/countersink.
  • If the program cannot find a suitable nominal length (necessary for the grip length) for a screw connection, it prompts you to search for the appropriate nominal diameter. It chooses the next smallest nominal diameter for which a screw with the necessary nominal length is available.
  • To generate a different view of the screw connection, use AMPOWERVIEW. You can, for example, create the top view from the front view.
  • You can select standard parts for components that are not visible in the view you create. This functionality enables you to specify the complete screw connection, having the system validate the screw connection despite all the parts not being visible for the view.
  • The program defines a hole based on the screw head. When inserting library countersinks, you must select a screw even if you do not want to insert it. Depending on your design intent, you can hide or show the screw in your drawing. When you insert user counterbores or user countersinks, selecting a screw is unnecessary.
  • To delete a selected standard part, choose the button to the right of the standard part.
  • When you enable structure, the mechanical browser updates automatically and you can specify to which component view (usually, which plate) the holes belong.
  • You can use AMPOWERRECALL to repeat the command for the latest inserted screw connection. In the Screw Connection dialog box, you can add additional elements and change the nominal diameter.
  • When you use AMPOWERERASE to delete a screw connection in a hatched plate, the program restores the hatch.


Create screw connections (Procedure)

Quickly access frequently used parts and features
Up a level to ..
Create screw connections
Create and modify geometry > Insert standard or custom content >
Create screw connections
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a screw connection template

To insert a screw connection in the front view

To insert a screw connection in the top/bottom view


Create screw connections (Quick Reference)

Quickly access frequently used parts and features
Create screw connections
Create screw connections
Create and modify geometry > Insert standard or custom content >
Create screw connections
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCREWCON2D

AMSCREWMACRO2D

AMGDBIMPORT


To create a screw connection template (Procedure)

Create screw connections
Up a level to ..
Create screw connections
Create and modify geometry > Insert standard or custom content >
Create screw connections
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a screw connection template

  1. Click Dashboard tab [image] Screw Connection panel [image] Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMSCREWCON2D.
  2. In the Screw Connection dialog box, select the parts you want to use for the screw connection template.
  3. Choose Back.
  4. Choose the Save button.
Note
  • You can load existing templates, rename templates, and reorganize the list of templates, by using the context menu in the list box.
  • If you want to load an existing template use the AMSCREWMACRO2D command.


To insert a screw connection in the front view (Procedure)

Create screw connections
Up a level to ..
Create screw connections
Create and modify geometry > Insert standard or custom content >
Create screw connections
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a screw connection in the front view

  1. Click Dashboard tab [image] Screw Connection panel [image] Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMSCREWCON2D.
  2. On the Selection step of the wizard:
    1. From the View drop-down list, select Front.
    2. Select all the parts required to define a complete screw connection.
    3. Verify that the check boxes adjacent to the parts that must be visible for the front view are selected and the others are cleared.
    4. Select the nominal diameter for the screw connection.
    5. Click Next. The wizard hides.
  3. Specify the insertion point (1).
  4. Specify the endpoint of the first hole (2).
  5. If you selected two holes in the Selection step of the wizard, specify the end point of the second hole(3). The Location step of the wizard is displayed.
  6. If there is a gap between the plates:
    1. Click [image] under Gap. The wizard hides.
    2. Click the end point of the first hole (2) and then the start point of the second hole (4).
    3. Click [image] under GL2. The wizard hides.
    4. Click the start point of the second hole (4) and then the end point of the second hole (3).
  7. Click Next. The Grip Representation step is displayed.
  8. Click the button that corresponds to the representation you need.
  9. Click Finish. The screw connection is inserted.


To insert a screw connection in the top/bottom view (Procedure)

Create screw connections
Up a level to ..
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create screw connections
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a screw connection in the top/bottom view

  1. Click Dashboard tab [image] Screw Connection panel [image] Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMSCREWCON2D.
  2. On the Selection step of the wizard:
    1. From the View drop-down list, select Top or Bottom.
    2. Select all the parts required to define a complete screw connection.
    3. Verify that the check boxes adjacent to the parts that must be visible for the top/bottom view are selected and the others are cleared.
    4. Select the nominal diameter for the screw connection.
    5. Click Next. The wizard hides.
  3. Specify the insertion point (5). The Location step of the wizard is displayed.
  4. In the GL1 box, type the thickness of the first plate. Alternatively, you can click [image] and measure the thickness of the plate.
  5. If you selected two plates in the Selection step,
    1. In the GL2 box type the thickness of the second plate. Alternatively, you can click [image] and measure the thickness of the plate.
    2. If there is a gap between the two plates, in the Gap box type the thickness of the gap. Alternatively, you can click [image] and measure the gap.
  6. Click Finish. The screw connection is inserted.

Depending on the selected view, there are differences in the insertion process.


Create screw connections (Quick Reference)

Create screw connections
Create screw connections
Create screw connections
Create and modify geometry > Insert standard or custom content >
Create screw connections
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCREWCON2D

Inserts an entire fastening assembly using items from the content library.

Ribbon: Content tab [image] Fasteners panel [image] Screw Connection. Does not exist on the ribbon.
Toolbar: Content [image] Screws
Menu: Content [image] Screw Connection Does not exist in the menus.
Command entry: amscrewcon2d

A wizard enables you to select the parts, features and parameters for the fastener assembly. You can only select parts and features listed as standard content for the assembly.

This command launches the Screw Connection wizard to let you set the parameters for the screw connection. The command line options change depending on the views you select on this wizard.

COMMAND LINE OPTIONS

Top View/Bottom View

Specify insertion point: Select an insertion point.

In the Select Part Size dialog box (depending on the selected combination) select the size.

Front View / Side View-Inserting a screw connection with/without a gap.

Specify insertion point: Select an insertion point.

Specify endpoint of hole [Gap between holes]: Specify the endpoint of the hole.

Drag size: Drag the size of the screw connection.

COMMAND LINE DEFINITIONS

Gap between holes

Enter g for gap and specify the gap endpoint.

DIALOG BOX DEFINITIONS

Screw Connection Wizard - Selection step

Use this step to specify the standard parts for the screw connection.

View Sets the view that the screw connection is being created for.
Standard Part Buttons Set a standard part for the screw connection. The selected part is displayed as a slide on the left.
 | Removes the standard part setting for the row containing the button.
Insert Check Box Controls if the selected part is inserted for the view being created. Even though a part may not be visible for the current view, you can select standard parts for them. You are hence able to specify the complete screw connection, and allow the system to validate your selection. Later on, when you derive other views using the AMPOWERVIEW command, all the parts are already selected, eliminating the risk of choosing a part that you did not intend to use originally.
Nominal Size List Displays a list of nominal sizes. The available sizes depend on the selected screw combination.
Screw Calculation Performs a calculation of the screw connection.
 | Displays the Screw Diameter Estimation Dialog Box.

Screw Connection Wizard - Location step

Use this step to specify where and how the screw connection is to be inserted.

Graphic showing screw connection

Provides a graphical legend for parameters such as GL1, Gap and GL2. This graphic is context sensitive and changes depending on the parts you selected in the previous step.

Insertion Point

Sets the insertion point for the screw connection. You can specify the insertion point by typing the coordinates in the X,Y,Z boxes or by clicking the [image] button and indicating the insertion point from model space.

Plate 1

Sets details of the first plate in the screw connection. This option is unavailable if you don't setup at least one hole from the Selection step of this wizard.You can specify the thickness of the plate by typing the value in the GL1 box or by clicking the [image] button and measuring the thickness of the plate in model space. If structure is enabled, you will see an additional drop-down list box that lets you specify the component view the hole must belong to.

Gap

Sets details of the gap between two plates being connected via the screw connection. This option is unavailable if you choose only one hole from the Selection step of this wizard. You can specify the thickness of the plate by typing the value in the Gap box or by clicking the button and measuring the gap in model space.

Plate 2

Sets details of the second plate in the screw connection. This option is unavailable if you choose only one hole from the Selection step of this wizard. You can specify the thickness of the plate by typing the value in the GL2 box or by clicking the [image] button and measuring the thickness of the plate in model space. If structure is enabled, you will see an additional drop-down list box that lets you specify the component view the hole must belong to.

Screw Connection Wizard - Grip step

Use this step to specify how the grip should be represented.

Normal

Sets representation to normal convention.

Hidden

Sets representation to display details as hidden lines.

No

Sets representation not to display details.

Sectional View

Sets representation to display details as a screw connection inserted in hatched plates.

Exclude from parts lists

Excludes components of the screw connection from the parts list. This option is not available when structure is enabled.

Screw Connection Wizard - Templates step

Use this step to save screw connection preferences as a template.

List of templates Shows a list of saved templates. The area to the left of the list shows the standard parts selected for the currently selected template.
 | Deletes the template that is selected in the list of templates.
 | Saves currently selected preferences to a template file.
 | Loads preferences from the selected template.


Create screw connections (Quick Reference)

Create screw connections
Create screw connections
Create screw connections
Create and modify geometry > Insert standard or custom content >
Create screw connections
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCREWMACRO2D

Inserts an entire fastener assembly using items predefined on a template.

Ribbon: Content tab [image] Fasteners panel [image] Screw Template . Does not exist on the ribbon.
Toolbar: Content [image] Screws
Menu: Content [image] Fasteners [image] Screw Template Does not exist in the menus.
Command entry: amscrewmacro2d

A wizard enables you to select a template that has all the parts and features required for fastener assembly predefined. It assists you to specify the parameters applicable to the selected parts and features.

DIALOG BOX DEFINITIONS

Screw Assembly Templates dialog box

List of templates Shows a list of saved templates. The area to the left of the list shows the standard parts selected for the currently selected template.
 | Deletes the template that is selected in the list of templates.
 | Saves currently selected preferences to a template file.
 | Loads preferences from the selected template.


Create screw connections (Quick Reference)

Create screw connections
Create screw connections
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create screw connections
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMGDBIMPORT

Imports GDB files from previous versions of AutoCAD Mechanical or from a shared folder on the network.

Ribbon: None tab [image] None panel [image] .Does not exist on the ribbon.
Menu: Does not exist in the menus.
Command entry: amgdbimport

You can also use this command to import favorites from the user profile of another user. Favorites are stored in a folder named std parts favorites, adjacent to the folder where drawing templates are stored.

You can also use this command to import screw connection templates. In AutoCAD Mechanical version 2009 and later, Screw connection Templates are stored with the Favorites. In versions prior to AutoCAD Mechanical 2009, screw connection templates are stored in the file amsct.gdb.

This command appends imported screw connection templates to the existing list even if the same names exist in the current drawing. The same screw template name listed more than once in the list.


Create shafts with the shaft generator (Concept)

Create screw connections
Insert standard or custom content
Author and publish content
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical usually creates a shaft from left to right, using different sections. The program positions these sections automatically one after the other.

You can insert, delete, or edit a shaft section to change its geometric measurements.

A symbol appears in the upper right corner of the screen showing information about the current configuration settings. The upper part of the symbol indicates whether a new section overdraws an existing section (C), is inserted (B), or prompts you to decide (A). The lower part indicates which end is the fixed end when you are deleting or editing the shaft sections (right (D) or left (E)) or prompts (A - C) (see the previous figure).

In addition to cylindrical and conical sections, you can draw sections with standard wrench size geometry, threads, gearwheels, and profiles.

You can position shaft interruptions in a section or draw grooves, fillets, and chamfers.

You can have the side view of the shaft shown automatically or view different cross-sections for various cutting planes.

The Undo option retraces the most recent steps of the shaft generation. You can remove the inserted shaft sections step by step as long as you have not terminated the shaft generation.

The Command line option is for closing the dialog box so that you can use the command line.

The >>> option closes the dialog box temporarily so that you can see the shaft situation.

Use Power Edit to edit the selected task.

Use Power Recall to open the Shaft Generator dialog box. This dialog box enables you to create a shaft.

Use Power Copy to copy the selected section. Select the target shaft, which is where the program sets the copy. Move the copy on the shaft to the intended position. With non-axially symmetrical parts, the program can mirror the respective parts. If you move a copy of a part to a position where a shaft section exists, the program prompts you to specify whether to insert or overdraw the new section (segment).

Use Power Erase to delete the selected section. You can delete the view, the section, the subsection, or the shaft (if you have selected the centerline).


Create shafts with the shaft generator (Procedure)

Create screw connections
Up a level to ..
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a shaft break

To add features to a shaft

To edit, delete or copy shaft segments

To create the section view for a shaft

To create a shaft cone

To create a shaft cylinder

To add shaft components to a shaft

To insert a 2D gear

To insert a groove

To insert a profile

To create a slope

Insert a thread

Insert a wrench opening

To create a side view for a shaft

To insert a shaft segment in an existing contour

To change shaft properties


Create shafts with the shaft generator (Quick Reference)

Create screw connections
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSHAFT2D

Shaft Generator dialog box

Shaft Generator - Configuration dialog box

AMADJRINGS2D

AMCENTERHOLE2D

AMGROOVE2D

AMPLBEAR2D

AMROLBEAR2D

AMSHAFTEND

AMSHAFTKEY2D

AMSHAFTLNUT2D

AMSHIMRING2D

AMUNDERCUT2D

Shaft Generator - Cone dialog box

Shaft Generator - Gear dialog box

Shaft Generator - Hatching dialog box

Shaft Generator - Shaft dialog box

Shaft Generator - Shaft Modified Design dialog box

Shaft Generator - Thread dialog box

Shaft Generator - Wrench dialog box

OPTIONS command (AM:Shaft tab)


To add a shaft break (Procedure)

Create shafts with the shaft generator
Up a level to ..
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a shaft break

To use this option you must have inserted at least one segment.

  1. In the Shaft Generator dialog box, select the shaft break option.
  2. Specify a point on the shaft segment, where the break is to start. The shaft is interrupted at this point, and the Shaft Break symbols are inserted in suitable size.
  3. Specify the length of the break, or select the endpoint of the break, using the mouse. The default value is the diameter of the shaft.
NoteIf you delete a broken section, the shaft break is also deleted.


To add features to a shaft (Procedure)

Create shafts with the shaft generator
Up a level to ..
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add features to a shaft

Insert a groove

Use the Groove option for editing shaft segments. To use this, you must have inserted a segment.

  1. In the Shaft Generator dialog box, select the Groove option.
  2. Specify the position where the groove is to be inserted in an existing shaft section.
  3. Specify the length of the groove (use a negative value if the groove is to be placed to the left side of the starting point). Or click a second point from the starting point in the corresponding direction. If the groove is longer than the section, the Shaft Generator draws the groove to the end of the section.
  4. Specify the diameter of the groove, or click a third point to determine the diameter, by entering the distance to the centerline by the cursor.
NoteIf you delete an edited section, the drawn modification is also deleted.
Insert a fillet

Use the Fillet option to round cylinder segments. To use this option you must have inserted a segment. Use the cursor to select the edge of the section to be rounded. The edges will be marked with a red circle.

  1. In the Shaft Generator dialog box, select the Fillet option.
  2. Select the object to be filleted. The selected edges are marked with a red circle.
  3. Enter the value of the radius for the fillet. The maximum value depends on the segment size and the size of the adjoining section. This value is shown in parentheses. The default value is the value that was used last.
Insert a chamfer

Use the Chamfer option to chamfer segments. To use this option you must have inserted a segment.

Use the cursor to select the edge of the section to be chamfered.

  1. In the Shaft Generator dialog box, select the Chamfer option.
  2. Select the object to be chamfered. The selected edges are marked with red circles.
  3. Click the side of the section to be chamfered.
  4. Specify the length of the chamfer or select the starting point of the chamfer on the shaft contour.
  5. Specify the angle of the chamfer. If you enter D for distance, you can control the chamfer by entering the distance in the direction of the cross-section.
NoteIf you delete a chamfered section, the chamfer is also deleted.
Insert a hatch (half/full section)

To use this option, you must have inserted a shaft segment.

  1. In the Shaft Generator dialog box, select the Hatch View icon.
  2. Specify an internal point.
  3. In the Type dialog box, select the hatch type and enter values for the spacing and the hatch angle.
  4. Press ENTER.
Note
  • The hatch is inserted when you close the Shaft Generator dialog box.
  • If a break is inserted, you can specify whether the shaft is to be hatched before or after the break.
  • In the case of a half section, inserted break lines will not be considered.
Insert a break line

A break line is used to show a partial area of a broken view. The option can only be used if a segment was inserted previously.

  1. In the Shaft Generator dialog box, select the Break Line icon.
  2. Specify a starting point for the break line on the shaft contour.
  3. Specify additional supporting points.
  4. Specify an endpoint on the shaft contour.
  5. Press Enter. The break line is smoothed.
NoteThe more supporting points you insert, the more the break line is smoothed.
Insert a note

This selection serves for the description of standardized sections of the shaft.

  1. In the Shaft Generator dialog box, select the Note button.
  2. Select the section to which the Note refers. Enter the text of the note in a text box.
  3. Determine the starting and endpoints of the position line. The description text is inserted at the end of the position line.
  4. Press ENTER.
NoteThe length of the position line end depends on the length of the entered text.
Insert a shaft end
  1. From the Content 2D menu, select Shafts/Components [image] Shaft Breaks.

    From the Content menu, select Shafts/Components [image] Shaft Breaks.

  2. In the Shaft End dialog box, select a zigzag line, a free-hand line, or a loop. To insert the shaft end follow the illustration in the dialog box.
Note
  • The representation of the loop is no longer used in the DIN standard, but it is included for those who are used to working with it.
  • A shaft end can be included in two ways: by selecting the centerline and contour of the shaft (top row in the dialog box); or by selecting both shaft contours (bottom row in the dialog box).


To edit, delete or copy shaft segments (Procedure)

Create shafts with the shaft generator
Up a level to ..
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit, delete or copy shaft segments

If you want to change shaft features, use one of the following:

Edit a shaft section
  1. In the Shaft Generator dialog box, select the Edit option.
  2. Select the section to be edited.
  3. The corresponding command is started, or a dialog box is displayed.

Note:

  • If you alter the section length, you have to specify on which side this shaft length alteration is to be made. Therefore, you must specify the fixed end of the section or the shaft. You determine the fixed end of the shaft (left or right) in the Shaft Generator Configuration dialog box. You can get your bearings from the shaft symbol at the upper right display margin.
  • When you edit a shaft section with a groovea chamfer, a radius, and/or an interrupt, the following convention applies: Modifications are made to the same section during editing, if your measurements coincide with that section or the adjacent section, or if you do not exceed the measurement of the shaft section. If you do not observe these conditions, modification is terminated.
  • When you edit the length of a section, special circumstances may arise:
  • If the groove and radius will be overwritten as a result of the length alteration, you lose one of the modifying commands. Note that radius and chamfer have a higher positional value than groove and interrupt.
  • If, after you alter the length of the Cone section, the smaller diameter d2 < 0, then the slopeof the cone changes to d2=”0”.
  • If the section has been broken manually, the following message appears:

    Segment #n has been manually changed.

    Do you really want to edit segment?

  • If you choose OK, the section is redrawn, but your manual changes are deleted. The Lengthen command is an exception. Changes made with that command are recognized by the Shaft Generator.
Delete a shaft section
  1. In the Shaft Generator dialog box, select the Delete button.
  2. Select the object to be deleted.
Note
  • Since the shaft has to be adapted accordingly, the command has to know which end is the fixed end. The Fixed End of the shaft (left or right) can be specified in the Shaft Generator Configuration dialog box. If you select the Prompt option, you will be asked for the Fixed End.
  • If the section to be deleted contains a groove, a chamfer, a fillet, and/or a break, this section is deleted also.
Copy a shaft section
  1. In the Shaft Generator dialog box, select the Copy button.
  2. Select the section you want to copy.
  3. The copy is attached to the cursor and can be moved to the insertion position. If you want to insert the copy at the location of an existing section, you have to decide whether the copied section should be inserted or overdraw the other section at the current position.
Note
  • With this option, any sections or sub sections of the shaft can be copied separately. Copied separately means that the element, for example, a bearing, inserted at a section, is not copied automatically in this version, if the section, where the bearing is inserted, is selected for copying. If the bearing is to be copied, it has to be selected also.
  • The copied sections are automatically inserted at the current position.


To create the section view for a shaft (Procedure)

Create shafts with the shaft generator
Up a level to ..
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create the section view for a shaft

You can use this option only if a segment was inserted previously. The Side View option selected in the Shaft Generator Configuration dialog box, determines how the sectional view will be drawn or updated.

  1. In the Shaft Generator dialog box, select the Section icon.
  2. Specify the position of the cross-section (1) and the starting point of the section line (2).
  3. Specify the endpoint of the section line (3). Press ENTER to have the endpoint be the symmetrical point of the starting point.
  4. In the Hatch Parameters dialog box, specify a hatch pattern, and then choose OK.
  5. Press ENTER to assign the letter to the arrows of the cross-section line (letters in alphabetical order are provided as default for multiple sectional views of the shaft).
  6. Determine the side of the cutting plane (4).
  7. Specify the insertion point to determine the position of the sectional view (5).
Note
  • Two types of sections are available in the Configuration dialog box. The first type is a true section considering further sections in the background. The second type is a cross section with fully displaying the background.
  • The cross section can be positioned anywhere in the drawing. However, no checking is performed to see whether the cross section overwrites a portion of the shaft. The cross section is labeled with the specified designated letter.
  • If the Always Update option in the Configuration dialog box is not selected, the side views and cross sections are not updated with the new values during editing of shaft sections. You can, however, select a cross section or a side view with the Edit command. Start the Edit command. In the dialog box that is displayed, press ENTER to confirm all requests. The updated views will be displayed. During the editing process, the starting and endpoints, cross-section letters, and view direction remain unchanged.


To create a shaft cone (Procedure)

Create shafts with the shaft generator
Up a level to ..
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a shaft cone

To use this option, you must have created a shaft centerline.

  1. In the Shaft Generator dialog box, select Cone.
  2. Drag the cursor, to see the contour of the cone segment.
  3. Click a point to determine the radius at the endpoint and the length of the cone.

A cone with the radius of the distance from the chosen point to the centerline will be inserted.

NoteThe radius at the starting point is the radius of the previous section. If the cone is inserted as the first section, you have to specify the radius at the starting point.


To create a shaft cylinder (Procedure)

Create shafts with the shaft generator
Up a level to ..
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a shaft cylinder

There are two possibilities to create a shaft cylinder. You can use the mouse to drag the cylinder or enter values.

Insert a shaft segment (cylinder) by dragging

To use this option, you must have created a shaft centerline.

  1. In the Shaft Generator dialog box, select the cylinder icon in the first row.
  2. Dragging the cursor, you immediately see the contour of the cylinder segment.
  3. Click a point to determine the radius and the length of the segment.

A cylinder with the radius of the distance from the chosen point to the centerline is inserted.

Insert a cylinder by entering values
  1. In the Shaft Generator dialog box, select the Cylinder option.
  2. Specify the length of the cylinder, or determine the value by clicking a point in the drawing.
  3. Specify the diameter of the cylinder, or determine the value by clicking a point in the drawing.


To add shaft components to a shaft (Procedure)

Create shafts with the shaft generator
Up a level to ..
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add shaft components to a shaft

  1. In the Shaft Generator dialog box, select the Std. Part... option.
  2. In the Standard Content Selection dialog box, select the content to insert.
  3. Depending on the standard content you selected, further dialogs will be opened.
NoteBased on part information, the Shaft Generator draws the part (also in the sectional view).


To insert a 2D gear (Procedure)

Create shafts with the shaft generator
Up a level to ..
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a 2D gear

  1. In the Shaft Generator dialog box, select the Gear option.
  2. In the Gear dialog box, specify the geometrical values for the section.


To insert a groove (Procedure)

Create shafts with the shaft generator
Up a level to ..
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a groove

Use the Groove option for editing shaft segments. To use this you must have inserted a segment.

  1. In the Shaft Generator dialog box, select the Groove option.
  2. Specify the position where the groove is to be inserted in an existing shaft section.
  3. Specify the length of the groove (use a negative value if the groove is to be placed to the left side of the starting point). Or click a second point from the starting point in the corresponding direction.
  4. Specify the diameter of the groove, or click a third point to determine the diameter, by entering the distance to the centerline by the cursor.
Note
  • A groove is deleted, when its shaft segment is deleted.
  • A groove that is longer than the section, is drawn to the end of this section.


To insert a profile (Procedure)

Create shafts with the shaft generator
Up a level to ..
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a profile

The Profile option inserts sectional profiles as shaft segments. Depending on the installed standard systems and the type of profile selected, different dialog boxes for specifying the geometrical values are displayed.

  1. In the Shaft Generator dialog box, select the Profile icon.
  2. In the Profile Selection dialog box, select the profile type to insert.
  3. In the corresponding dialog box, you can specify the geometrical values for the profile.
Insert a spline shaft or spline shaft modified design

Use the selected Spline dialog box to enter standard values for a profile. Use the Spline Shaft Modified Design dialog box to enter specific values for a profile.

  1. In the Shaft Generator dialog box, select the Profile icon.
  2. In the Profile Selection dialog box, select a spline profile to insert.
  3. In the corresponding dialog box, you can specify the geometrical values for the profile and select from a list of standard sizes.
  4. To modify a standard value, select the Modify Designed tab.
  5. In the Spline Shaft Modified Design dialog box, enter new values. To return to the list of standard sizes, select the Standard Sizes tab.
  6. Select OK to accept and return to the Shaft Generator dialog box.
Insert a serrated shaft or serrated shaft modified design

Use the selected Serrated dialog box to enter standard values for a profile. Use the Serrated Shaft Modified Design dialog box to enter specific values for a profile.

  1. In the Serrated Generator dialog box, select the Profile icon.
  2. In the Profile Selection dialog box, select a serrated profile to insert.
  3. In the corresponding dialog box, you can specify the geometrical values for the profile and select from a list of standard sizes.
  4. To modify a standard value, select the Modify Designed tab.
  5. In the Serrated Shaft Modified Design dialog box, enter new values. To return to the list of standard sizes, select the Standard Sizes tab.
  6. Select OK to accept and return to the Shaft Generator dialog box.
Insert a polygon shaft or polygon shaft modified design

Use the selected Polygon dialog box to enter standard values for a profile. Use the Polygon Shaft Modified Design dialog box to enter specific values for a profile.

  1. In the Polygon Generator dialog box, select the Profile icon.
  2. In the Profile Selection dialog box, select a polygon profile to insert.
  3. In the corresponding dialog box, you can specify the geometrical values for the profile and select from a list of standard sizes.
  4. To modify a standard value, select the Modify Designed tab.
  5. In the Polygon Shaft Modified Design dialog, box enter new values. To return to the list of standard sizes, select the Standard Sizes tab.
  6. Select OK to accept and return to the Shaft Generator dialog box.
Insert an involute shaft or involute shaft modified design

Use the selected Involute dialog box to enter standard values for a profile. Use the Involute Shaft Modified Design dialog box to enter specific values for a profile.

  1. In the Involute Generator dialog box, select the Profile icon.
  2. In the Profile Selection dialog box, select an Involute profile to insert.
  3. In the corresponding dialog box, you can specify the geometrical values for the profile and select from a list of standard sizes.
  4. To modify a standard value, select the Modify Designed tab.
  5. In the Involute Shaft Modified Design dialog box, enter new values. To return to the list of standard sizes, select the Standard Sizes tab.
  6. Select OK to accept and return to the Shaft Generator dialog box.


To create a slope (Procedure)

Create shafts with the shaft generator
Up a level to ..
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a slope

  1. In the Shaft Generator dialog box, select the Slope option.
  2. Specify the length of the cone, or click a point in the drawing or enter D for dialog.
  3. Specify the diameter at the starting point, or click a point in the drawing.
  4. Specify the diameter at the endpoint (after selecting the start diameter, the cursor jumps to the end of the section).
  5. Enter A to specify the angle to the X axis, or determine the angle in the drawing by specifying two points. If the angle is too small, you an error message will be displayed.
  6. Enter S to enter the slope value. Then you can determine whether the cone is to rise or fall, in relation to the starting point. Enter a plus sign, if it is to rise.


Insert a thread (Procedure)

Create shafts with the shaft generator
Up a level to ..
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert a thread

  1. In the Shaft Generator dialog box, select the Thread option.
  2. In the Thread Selection dialog box, select the thread type to be inserted.
  3. In the corresponding dialog box, you can specify the geometrical values for the section.


Insert a wrench opening (Procedure)

Create shafts with the shaft generator
Up a level to ..
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert a wrench opening

Wrench openings with sectional views for a two-sided, four-sided, or a six-sided segment of the shaft that fit a standard wrench are available from the Wrench opening dialog box.

  1. In the Shaft Generator dialog box, select the Wrench option.
  2. In the Wrench Opening dialog box, select the type of wrench to be inserted.
  3. In the corresponding dialog box, specify the geometrical values.


To create a side view for a shaft (Procedure)

Create shafts with the shaft generator
Up a level to ..
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a side view for a shaft

Using the option for the representation of the side view in the Shaft Generator Configuration dialog box, you can define whether the shaft is shown from the right or left side view. To use this option, you must have inserted a segment previously.

  1. In the Shaft Generator dialog box, select the Side View option.
  2. In the Side View dialog box specify, whether the side view is to be generated from the left or the right of the shaft.
  3. Specify the insertion point.
Note
  • The program checks the measurements, so that the side view does not overdraw the shaft, and suggests an insertion point. The side view is always inserted with a preset value to the front view. If you accept this preset value, collisions between front and side view will be avoided.
  • Automatic updating of the side view: If the shaft will be worked on further, after sections and side views have been generated, you will be asked, when exiting from the Shaft Generator, whether the sections and side views are to be updated. If you want them to be automatically updated, activate the Always Update option in the Configuration.
  • Automatic moving of the side view: In the Shaft Generator Configuration dialog box, use the Move of Side View option to specify a new position for the side view, if collisions between front view and side view occur. The following message appears:

    Side view collides with Front view. New position:

    The newly calculated position can be confirmed with Return.

  • When freezing standard content: If standard content is frozen, and the background of the parts, which was made invisible, is not restored in the side view initiate AM2DHIDEDIT. Select the keyword option Update and then, select the side view. The side view will be represented correctly.


To insert a shaft segment in an existing contour (Procedure)

Create shafts with the shaft generator
Up a level to ..
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a shaft segment in an existing contour

Usually, a new shaft segment to be generated is added to the previously drawn section. The Insert button allows you to determine a starting point for the new segment on a section of an existing shaft.

  1. In the Shaft Generator dialog box, select the Insert button.
  2. Specify the point where the segment is to be inserted.
  3. The Shaft Generator dialog box is opened again. Select the type of segment to be inserted (for example an additional cylinder).
  4. Drag the cylinder to its size.

The cylinder is inserted, and the existing part is moved to the right by the length of the new segment.

Note
  • Depending on the settings of the shaft configuration, the new part can overwrite an existing segment or be inserted between two segments, or you will be prompted
  • The existing part of the shaft is moved by the length of the new section in the specified direction.


To change shaft properties (Procedure)

Create shafts with the shaft generator
Up a level to ..
Work with precision tools
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change shaft properties

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Shaft tab.
  3. In the AM:Shaft tab, make your necessary entries, and choose OK.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSHAFT2D

Starts the Shaft Generator utility.

Ribbon: Content tab [image] Shaft panel [image] Shaft Generator. Does not exist on the ribbon.
Toolbar: Content [image] Shaft Generator
Menu: Content [image] Shaft Generator Does not exist in the menus.
Command entry: amshaft2d

The Shaft Generator guides you through the creation of rotationally symmetric segments of a shaft, and insert shaft components as necessary.

COMMAND LINE OPTIONS

Mechanical Structure mode:

Enter shaft component name <Shaft1>: Enter name of new shaft component. Predefined name is Shaft1.

Specify starting point of centerline:

Specify centerline endpoint:

Draw the start and end point of the centerline of the shaft.

Legacy mode:

Specify starting point or select centerline [New shaft]: Select a starting point or an existing shaft.

The starting point has various functions:

  • Starting point for drawing a centerline.
  • Centerline for generating further shaft sections at the end of an existing shaft or editing an existing shaft.
  • New shaft for drawing a new shaft on an existing centerline.

Draw the starting and the endpoint of the centerline or determine the starting point of the shaft on an existing centerline (lines drawn on layer AM_7).

If there is no existing centerline, you are asked for the centerline endpoint. By indicating this endpoint, the shaft direction is determined, and the UCS is adjusted accordingly. The centerline is adjusted automatically to the shaft length according to the configuration settings.

Centerline endpoint:

After having selected the centerline, use the Shaft Generator dialog box to specify the additional information required to draw the shaft.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Shaft Generator dialog box

To obtain the name of a button, place the cursor over a button. A tooltip showing the name of the button is displayed.
 | Cylinder (top) Inserts a cylinder using the point entry method.
 | Cylinder (bottom) Inserts a cylinder using the keyboard to enter length and diameter dimensions.
 | Cone/Slope 1:x There are two options in the Shaft Generator dialog box for creating conical shaft geometry: Slope and cone. Both methods allow graphical and keyboard input, but the Slope method gives you greater accuracy control. You can specify the dimensions of conical geometry by responding to the command prompts or by using the dialog box.
 | Thread Inserts threaded shaft segments into the shaft. When you select the Thread option, the Thread dialog box opens.
 | Profile Inserts sectional profiles as shaft sections.
 | Wrench Accesses the Wrench Opening dialog box.
 | Gear Generates gears with involute teeth on a shaft segment.
 | Groove Inserts grooves into a shaft section.
 | Chamfer Chamfers shaft sections.
 | Fillet Fillets shaft sections.
 | Break Inserts a shaft break into any segment of a shaft.
 | Break Line Inserts break lines to define hatch boundaries for partial sections of a shaft.
 | Side View Creates a side view representation of a shaft.
 | Hatch Inserts half or full hatch sections. If Mechanical Structure is enabled, the hatch is not added to the shaft component, but to the parent component instead. This enables you to create other instances of the shaft that do not have the hatch.
 | Section Creates a sectional view of a shaft.
Std. Parts Displays the Select Group dialog box. Selected parts contain information that causes the Shaft Generator to draw the parts as a shaft segment.
Insert Determines the starting point of a new segment on a section of an existing shaft. Depending on the settings of the shaft configuration, the new part can overwrite an existing segment or it can be inserted between two segments.
Edit Modifies the particular sections of the shaft. This function may be considered as an internal AMPOWEREDIT within the shaft generator.
Delete Deletes a segment. The parts next to the deleted segment are moved by the length of the deleted section in the direction that is specified in the configuration.
Copy Copies sections and subsections of the shaft separately.
Note Describes the sections of the shaft.
Undo Retraces the most recent step of the shaft generation. The inserted shaft sections can be removed, step by step, as long as the shaft generation has not been terminated.
>>> Closes the dialog box temporarily so that you can look at the shaft.
Options Displays the Shaft Generator - Configuration dialog box, using which you can configure how the Shaft Generator works.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Shaft Generator - Configuration dialog box

 | Shaft icon indicates this value is saved in data of edited shaft power object.
 | Drawing icon indicates this value is saved in the configuration object in the drawing.
No icon | Values without icons are saved in the registry.

For Segment Inserted - Overdraw

Overdraws part of the existing shaft when a segment is added to that shaft.

For Segment Inserted - Insert

Shifts the whole shaft to one side without overdrawing it, when a segment is added to that shaft.

For Segment Inserted - Prompt

Prompts you to choose between the Overdraw and the Insert option.

Stationary Shaft End - Left

Keeps the left side of the shaft fixed when a shaft segment is added to or deleted from the shaft.

Stationary Shaft End - Right

Keeps the right side of the shaft fixed when a shaft segment is added or deleted from the shaft.

NoteWith this option, use only the Edit or Delete option in the Shaft Generator dialog box to edit or delete a shaft segment.

Stationary Shaft End - Prompt

Prompts you to select the side of the shaft you want to keep fixed.

Adjust Centerline - Yes

Adjusts the centerline to the length of the generated shaft.

Adjust Centerline - No

Does not adjust the centerline to the length of the generated shaft.

Adjust Centerline - Prompt

Prompts you at the end of the shaft generation to decide whether to adjust the centerline to the length of the shaft.

Front View - Draw as 2 Halves

Divides the vertical line of the shaft sections at the axis into two lines of the same length.

Front View - Radius Reflection Line

Draws a reflection line when drawing the radius.

Front View - Check Contour

Checks whether the contour is broken. A broken contour is highlighted.

Side and Sectional Views

Specifies the way in which side and sectional views of shafts are displayed and managed in the drawing.

Side and Sectional Views - Complete View

Draws both side and sectional view.

Side and Sectional Views - Radius Reflection Line

Displays the reflection line as a circle in the side view.

Sectional with Background

Draws shaft sectional views, including views of objects in the background.

Side and Sectional Views - Always Update

Updates sectional and side views when you make changes to the shaft. If this option is not selected, you are prompted to decide whether to update the sides and sectional views.

Side and Sectional Views - Hidden Lines

Shows hidden lines in sectional and side views.

Side and Sectional Views - Move Side View

Selects a new insertion point for the side view, if the side and front views collide.

View of Interrupt

Specifies how the interrupted view is displayed: Zigzag, Freehand, or Hatch.

View of Interrupt- Combo box

Displays the selected type of representation for the interrupted view.

NoteA graphical overview of the selected representation is displayed above this field.

If shaft is in background, hide standard part, too. - Yes

Hides a standard part.

If shaft is in background, hide standard part, too. - No

Inserts the standard part in the foreground.

If shaft is in background, hide standard part, too. - Prompt

Prompts you to choose whether to hide a standard part or not.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMADJRINGS2D

Inserts an adjusting ring on a shaft.

Ribbon: Content tab [image] Shaft panel [image] Adjusting Rings. Does not exist on the ribbon.
Toolbar: Content [image] Shaft Generator
Menu: Content [image] Shafts Components [image] Adjusting Rings Does not exist in the menus.
Command entry: amadjrings2d

A wizard assists you to select the types adjusting ring and the view to insert. If an adjusting ring that fits the shaft is not found, select a size from the list of available sizes. The shaft automatically resizes to fit.

Use the Select an Adjusting Ring dialog box to select the type and the view to insert. Depending on the selected view there are differences in the insertion process.

COMMAND LINE OPTIONS

Front View

Specify insertion point on shaft contour: Select a point on the shaft contour for the insertion point.

Select point on centerline: Specify a point on the centerline to calculate the size.

Top View

Specify insertion point on shaft contour: Select a point on the shaft contour for the insertion point.

Select centerline of shaft: Specify a point on the centerline to calculate the size.

Side View

Select shaft diameter: Specify a point on the shaft contour.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCENTERHOLE2D

Inserts a centerhole on a shaft.

Ribbon: Content tab [image] Shaft panel [image] Centerholes. Does not exist on the ribbon.
Toolbar: Content [image] Shaft Generator
Menu: Content [image] Shafts Components [image] Centerholes Does not exist in the menus.
Command entry: amcenterhole2d

A wizard assists you to select the type of centerhole, the view, and the size to insert. You can create a detail view of a centerhole during the same command session.

You use the Select a Center Hole dialog box to select a threaded or threadless type to insert. Depending on the selected view there are differences in the insertion process.

COMMAND LINE OPTIONS

Front View

Specify insertion point on shaft contour: Select a point on the shaft contour to specify the insertion point.

In the Nominal Diameter dialog box, select the size.

Note: If you do not select a shaft contour for inserting the centerholes, you have to specify the rotation angle additionally.

Side View

Select shaft diameter: Specify a point on the shaft contour.

In the Nominal Diameter dialog box, select the size.

NoteThe insertion point you select on the shaft circle, determines the insertion angle of the centerhole.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMGROOVE2D

Inserts a circlip and draws the corresponding groove on a shaft.

Ribbon: Content tab [image] Shaft panel [image] Retaining Rings / Circlips. Does not exist on the ribbon.
Toolbar: Content [image] Shaft Generator
Menu: Content [image] Shafts Components [image] Retaining Rings / Circlips Does not exist in the menus.
Command entry: amgroove2d

You can place the circlip on the outer contour of a shaft or inside a hollow shaft. A wizard enables you to select the type circlip and view to insert.

Use the Select a Retaining Ring/Circlip dialog box to select the type and view to insert.

COMMAND LINE OPTIONS

Front View

Specify insertion point on shaft contour: Select a point on the shaft contour for the starting point of the key.

Select centerline of shaft: Select a centerline on the shaft.

In a dialog box named for the selected part, specify whether the part is to be drawn.

Side View/Sectional View

Pick insertion point on shaft diameter: Select a point on the shaft contour for the starting point of key.

In a dialog box named for the selected part, specify whether the part is to be drawn.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPLBEAR2D

Inserts a plain bearing on a shaft

Ribbon: Content tab [image] Shaft panel [image] Plain Bearings. Does not exist on the ribbon.
Toolbar: Content [image] Shaft Generator
Menu: Content [image] Shafts Components [image] Plain Bearings Does not exist in the menus.
Command entry: amplbear2d

Options

You use the Select a Plain Bearing dialog box to select the type and the view to insert. Depending on the selected view, there are differences in the insertion process:

COMMAND LINE OPTIONS

Inserting as standalone part

Front View/Back View

Specify insertion point on shaft contour: Select a point to specify an insertion point.

Select point on centerline: Select a point on the shaft centerline.

In a dialog box named for the selected bearing, select a diameter, and choose whether to drag on the outer or inner diameter.

Depending on the selected bearing, you have to select a size in the Select Size dialog box, or

Drag size: Drag the size of the bearing.

Inserting in the Shaft Generator dialog box

The insertion direction depends on the location of the selected points on shaft and centerline; if the bearing is inserted using the Shaft generator dialog, you have to determine the direction.

Direction to Left/right: Select the insertion direction (only using Shaft Generator dialog).

Drag size: Move the cursor away from the insertion point, to make the bearing larger. Move the cursor towards the insertion point to make the bearing smaller.

Left Side View/Right Side View/Sectional View

Pick insertion point on shaft diameter: Select a point on the shaft contour.

The following steps are identical to Front View / Back View insertion.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMROLBEAR2D

Inserts a roller bearing on a shaft.

Ribbon: Content tab [image] Shaft panel [image] Roller Bearings. Does not exist on the ribbon.
Toolbar: Content [image] Shaft Generator
Menu: Content [image] Shafts Components [image] Roller Bearings Does not exist in the menus.
Command entry: amrolbear2d

A wizard enables you to select the type, and the view of the roller bearing to insert. If the system cannot find a bearing to fit the shaft, you can select a size from a list of available bearing sizes and resize the shaft to fit.

Options Use the Select a Roller Bearing dialog box to select the type of bearing and the view to insert. Depending on the selected view, there are differences in the insertion process:

COMMAND LINE OPTIONS

Inserting as standalone part

Front View/Back View

Specify insertion point on shaft contour: Select a point to specify an insertion point.

Select point on centerline: Select a point on the shaft centerline.

In a dialog box named for the selected bearing, select a diameter, and choose whether to drag on the outer or inner diameter. Choose Next to perform a calculation.

Drag size: Drag the size of the bearing.

In the Select a Part Size dialog box, select a size.

Inserting in the Shaft Generator dialog box

The insertion direction depends on the location of the selected points on shaft and centerline; if the bearing is inserted using the Shaft generator dialog, you need to determine the direction.

Direction to Left/right: Select the insertion direction (only using Shaft Generator dialog).

Drag size: Move the cursor away from the insertion point, to make the bearing larger. Move the cursor towards the insertion point to make the bearing smaller.

When you browse through the bearings, the description of the current bearing is displayed in the status bar.

Depending on the selected bearing, you need to select a size in the Select Size dialog box.

Side View/Right Side View

Pick insertion point on shaft diameter: Select a point on the shaft contour.

The following steps are identical to Front View / Back View insertion.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSHAFTEND

Draws a break line on a shaft to indicate a shaft end.

Ribbon: Content tab [image] Shaft panel [image] Shaft Breaks. Does not exist on the ribbon.
Toolbar: Content [image] Shaft Generator
Menu: Content [image] Shafts Components [image] Shaft Breaks Does not exist in the menus.
Command entry: amshaftend

You can represent the break as a zigzag line, a freehand line, or a hatched loop.

COMMAND LINE OPTIONS

In the Shaft Break dialog box, select a type of break.

Select centerline: Select the centerline of a shaft.

Specify starting point: Select a starting point.

DIALOG BOX DEFINITIONS

Shaft End dialog box

Use this dialog box to select the shaft break representation that you want to use to indicate the shaft end.

Zigzag

Represents shaft break as a zigzag line.

Freehand

Represents shaft break as a freehand line.

Hatched

Represents shaft break as a hatched loop.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSHAFTKEY2D

Inserts a parallel or woodruff key on a shaft

Ribbon: Content tab [image] Shaft panel [image] . Does not exist on the ribbon.
Toolbar: Content [image] Shaft Generator
Menu: Content [image] Shafts Components [image] Parallel / Woodruff Keys Does not exist in the menus.
Command entry: amshaftkey2d

A wizard assists you to select the type, the view, and the size of the key to insert. The wizard inserts the keyseat when it inserts the key. You can also insert a keyseat without inserting the key.

Options

You use the Please Select a Key or Hub dialog box to select the type and view to insert.

When you select a woodruff key, you can determine where you want to insert the key (on mid of cylindrical shaft or mid of conical shaft).

When you select a parallel key, you can determine on which type of shaft you want to insert the key (on mid of shaft or on end of the shaft).

COMMAND LINE OPTIONS

Front View/Top View

Specify insertion point on shaft contour: Select a point on the shaft contour to specify the starting point of the key.

Select centerline of shaft: Select the centerline of the shaft.

In the Visibility dialog box, you can decide whether you want the part to be drawn.

Drag size: Drag the size of the key.

Side View

Pick insertion point on shaft diameter: Select a point on the shaft contour.

In the Visibility dialog box, you can decide whether you want the part to be drawn.

In the Length Selection dialog box, select the length for the key.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSHAFTLNUT2D

Inserts a shaft lock nut and a lock washer on a threaded segment of a shaft.

Ribbon: Content tab [image] Shaft panel [image] Shaft Lock Nuts. Does not exist on the ribbon.
Toolbar: Content [image] Shaft Generator
Menu: Content [image] Shafts Components [image] Shaft Lock Nuts Does not exist in the menus.
Command entry: amshaftnut2d

A wizard enables you to select the type and the view to insert. If the system cannot find a size to fit the shaft, you can select a size from a list of available sizes.

You use the Select a Shaft Lock Nut dialog box to select the view.

Note: To insert a shaft lock nut, a thread has to be inserted in the shaft.

COMMAND LINE OPTIONS

Front View/Top View/

Specify insertion point on shaft contour: Select a point on the shaft contour to specify the starting point of the shaft lock nut.

Select centerline of shaft: Select the centerline of the shaft.

In the Visibility dialog box, you can decide whether you want the shaft lock nut and washer to be drawn.

Side View

Pick insertion point on shaft diameter: Select an insertion point on the shaft contour.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSHIMRING2D

Inserts a shim ring on a shaft.

Ribbon: Content tab [image] Shaft panel [image] Shim Rings. Does not exist on the ribbon.
Toolbar: Content [image] Shaft Generator
Menu: Content [image] Shafts Components [image] Shim Rings Does not exist in the menus.
Command entry: amshimring2d

A wizard enables you to select the type, and the view of the shim ring to insert. You drag to specify the size and it snaps to an available size. A tooltip displays the size as you drag. If the size you selected does not fit the shaft you can automatically resize the shaft to fit.

You use the Select a Shim Ring dialog box to select the type and the view to insert.

COMMAND LINE OPTIONS

Front View

Specify insertion point on shaft contour: Specify insertion point on shaft contour.

Select point on centerline: Select a point on the centerline.

Drag size: Use the pointing device to specify the size.

Side View

Pick insertion point on shaft diameter: Select a point on the shaft contour.

Drag size: Use the pointing device to specify the size.

In the Select Part Size dialog box, select the size you want to use.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMUNDERCUT2D

Inserts an undercut on a shaft.

Ribbon: Content tab [image] Shaft panel [image] Undercuts. Does not exist on the ribbon.
Toolbar: Content [image] Shaft Generator
Menu: Content [image] Shafts Components [image] Undercuts Does not exist in the menus.
Command entry: amundercut2d

A wizard enables you to specify the type, the view, and the size of the undercut you want to insert. You can also create a detail view of the centerhole during the same command session.

You use the Select an Undercut dialog box to select an external or internal type to insert.

COMMAND LINE OPTIONS

Specify insertion point on shaft contour: Select a point on the shaft contour.

Select centerline of shaft: Select a point on the centerline.

In the Select Part Size dialog box, select the size for undercut.

In a dialog box, you can decide whether to draw a detail view of the undercut or not. Choose No to insert the undercut. If you choose Yes, you can specify the enlargement scale and the name of the detail in the Detail dialog box.

Place the detail view: Select a point in the drawing where you want to place the detail view.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Shaft Generator - Cone dialog box

Use the Cone dialog box to specify values for a cone.

Diameter

Specifies the diameter.

Cone

Specifies the gradient.

Angle

Specifies the angle to the X-axis.

Length

Specifies the length for the cone.

NoteSelect the Measure option on the context menu to determine a value by specifying two points in the drawing.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Shaft Generator - Gear dialog box

Use the Gear dialog box to enter specific values for a gear for DIN or ANSI.

Module (DIN) - m

Ratio of the pitch diameter to the number of teeth. Ordinarily, module is understood to mean ratio of pitch diameter in millimeters to the number of teeth. The English module is a ratio of the pitch diameter in inches to the number of teeth.

Diametrical Pitch (ANSI) - p

The ratio of the number of teeth to the number of inches of pitch diameter - equals number of gear teeth to each inch of pitch diameter. Normal Diametral Pitch is the diametral pitch as calculated in the normal plane and is equal to the diametral pitch divided by the cosine of the helix angle.

Number of Teeth - z (DIN) / N (ANSI)

Enter a value for the number of teeth.

The condition for no undercutting in a standard spur gear is given by the expression:

z >= 2 * hap° / (sin(alpha))2

Pressure Angle - alpha (DIN / Phi (ANSI)

The angle between a tooth profile and a radial line at its pitch point. Standard Pressure Angles are established in connection with standard gear-tooth proportions. Most spur gears are cut to operate at pressure angles of 20 or 25°.

Helix Angle - beta (DIN) / Psi (ANSI)

The angle that a helical gear tooth makes with the gear axis at the pitch circle unless otherwise specified.

Profile Shift or Addendum Modification - x

The Profile Shift will be taken to avoid undercuts by small number of teeth, to get a given center distance and to raise the load capacity. If the factor is positive the Addendum will be bigger and if the factor is negative the Addendum will be smaller, also the diameters will change.

Standard value: -0.7 < x < +0.7

Addendum Coefficient - hap*

Distance between basic rack reference line and basic rack root line.

(Standard value hap*=1)

hap = ha/mn

Dedendum Coefficient - hfp*

Distance between basic rack reference line and basic rack head line. (Standard value hfp*=1.25).

Top Clearance Coefficient - ca*

Coefficient of distance between outside diameter of first gear and root diameter of second gear in pair. (Standard value ca*="0".25)

Fillet Radius Coefficient - roa*

coefficient of fillet radius at rack cutter. (Standard value ca=”0”.25)

hfp* - hap* <=”0”.295 ->roa* = (hfp* - hap*) / (1-sin(alpha))

hfp* - hap* [image] 0.295 -> roa* = ((1+sin (alpha_n) / cos (alpha_n)) * ((PI / 4) - (hfp* - hap*)* tan (alpha_t))

alpha_n - Pressure angle in plane perpendicular at teeth direction

alpha_t - Pressure angle in radial plane

Length

Determines the length of the gear.

da (DIN)/ do (ANSI)

Outside (tip) diameter

da = dt + 2 * x * mn + 2 * hap° * mn

da = - dt + 2 * x * mn + 2 * hap° * mn

dt (DIN)/ D (ANSI)

The diameter of the pitch circle. In parallel shaft gears the pitch diameters can be determined directly from the center distance and the numbers of teeth by proportionality. The pitch circle is the radius which is equal to the distance from the gear axis to the pitch point.

dt = z * mn / cos beta

df (DIN)/ DR (ANSI)

Root diameter: Diameter of the root circle.

df = dt + 2 * x * m - 2 * hfp° * mn

df = - dt + 2 * x * mn - 2 * hfp * mn

Root Circle: A circle coinciding with or tangent to the bottoms of the tooth spaces.

hfp

Root Diameter Coefficient

hfp* = (ha+ca)mn

hap


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Shaft Generator - Hatching dialog box

Use the Hatching dialog box to hatch sections with different hatch parameters. As long as the shaft generator dialog box is not closed, only a hatch symbol is visible.

Full section/Half section

Displays the type of hatching.

Automatic

Inserts a user defined pattern for hatching. The hatch angle can be changed.

Manual

Angle, scale and pattern can be changed.

Displays the hatch dialog box.

Note
  • If a break is inserted, you can specify whether the shaft is to be hatched before or after the break.
  • In the case of a half section, inserted break lines will not be considered.
  • A hatch can be removed by deleting the hatch symbol.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Shaft Generator - Shaft dialog box

Use the Shaft dialog box to specify a standard size for a profile. The Profile option inserts sectional profiles as shaft segments. Depending on the installed standard systems and the type of profile selected, different dialog boxes for specifying the geometrical values are displayed.

Standard Size

Represent standard sizes for the selected profile type.

Drag d

Use the button to determine the diameter by dynamic dragging in the drawing.

Length l=

Enter a value for the profile length or select the Measure option on the context menu to determine the length by specifying two points in the drawing.

Modified Design

Opens a dialog box to construct each profile to your own needs.

Standard

Opens Profile dialog box.

Note
  • All splined shafts contain a standard list with information of teeth n (with DIN ISO 14, DIN 5464), inner diameter d, outer diameter D, and spline width B (not with DIN ISO 14, DIN 5464).
  • For DIN ISO 14, you have to decide from which set the sectional profile will be taken. The light set and the middle set are available.
  • To designate the splined shaft segment correctly, enter the tolerance fields for the corresponding diameters. The preset values are the recommended DIN values.
  • The serrated shaft profile (according to DIN 5481) can be selected in standard sizes from the standard list. The inner reference diameter -d and outer reference diameter -D diameters are only nominal and do not correspond to the accurate inner/outer diameters; they are only for selection from the database.
  • The involute tooth profile (according to DIN 5480) offers a selection of even more exact designations of nominal sizes. These designations contain the reference diameter d, the module m, the pressure angle a, and the tooth number z.
  • The polygonal profiles P3G and P4C can be selected according to the nominal diameter. Profile P3G corresponds to uniform diameters, profile P4C it corresponds to the outer diameter.
  • To display the sectional profile segment correctly with regard to the other sections, you can draw the section rotated.
  • The options diameter and length are only available for the two-sided wrench. If no value is entered in the Nominal diameter d field, an appropriate diameter from the database is attached to the width. After selecting a value in this field, this value is taken into consideration, in that it must be larger than the wrench opening.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Shaft Generator - Shaft Modified Design dialog box

Use the Shaft Modified Design dialog box to enter specific values for a profile. Depending on the installed standard systems and the type of the selected profile, different dialog boxes for specifying the geometrical values are displayed.

Description

Represent the selected profile type and the current size.

Number of Splines

Enter a value for the splines.

Internal Diameter

Enter a value for the shaft inner diameter or select the Measure option on the context menu to determine the diameter by specifying two points in the drawing.

External Diameter D=

Enter a value for the shaft diameter or select the Measure option on the context menu to determine the diameter by specifying two points in the drawing.

Width of Splines B=

Determines the spline width.

Length l=

Enter a value for the length of the profile section or select the Measure option on the context menu to determine the length by specifying two points in the drawing.

Standard Sizes

Opens the Standard dialog box for the selected profile.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Shaft Generator - Thread dialog box

Use the Thread dialog box to specify a standard size for a thread. Depending on the installed standard systems you can select a thread type. The thread is provided with an undercut or a normal runout.

Standard Size

Represent standard sizes for the selected thread type.

Drag d

Use the button to determine the diameter by dynamic dragging in the drawing.

Length l=

Enter a value for the length or select the Measure option on the context menu to determine the length by specifying two points in the drawing.

Undercut

Selects thread with undercut.

dg

Optional to enter a value for the general diameter.

r

Optional to enter a value for the radius of undercut.

g1, g2

Optional to enter a value.

Start from

Start thread from right or left.

Standard

Opens the Thread dialog box.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Create shafts with the shaft generator
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Shaft Generator - Wrench dialog box

Use the Wrench dialog box to specify a standard size for a wrench. Depending on the installed standard systems you can select several wrench types.

Standard Size

Represent standard sizes for the selected wrench type.

Drag s

Use the button to determine the size by dynamic dragging in the drawing.

Length l=

Enter a value for the segment length or select the Measure option on the context menu to determine the length by specifying two points in the drawing.

Rotate

Rotates the wrench from width across flats to width across corners.

Standard

Opens Wrench opening dialog box.

NoteThe options diameter and length are only available for the two-sided wrench. If no value is entered in the Nominal diameter d field, an appropriate diameter from the database is attached to the width. After selecting a value in this field, this value is taken into consideration, in that it must be larger than the wrench opening.


Create shafts with the shaft generator (Quick Reference)

Create shafts with the shaft generator
Create shafts with the shaft generator
Overview of Content Editor
Create and modify geometry > Insert standard or custom content >
Create shafts with the shaft generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

OPTIONS command (AM:Shaft tab)

The AMOPTIONS command manages settings and standards for using AutoCAD Mechanical from the Options dialog box. The AutoCAD Mechanical AMOPTIONS command is merged with the AutoCAD OPTIONS command.

The AM:Shaft tab manages settings and standards for parts, assemblies, surfaces, drawings, shaft generators, calculations, standard parts, and general desktop preferences from a single dialog box.

Ribbon: Output tab [image] Output - Export to DWF/PDF panel [image] Options.... Does not exist on the ribbon.
Toolbar: None
Menu: Default Menu [image] Tools [image] Options Does not exist in the menus.
Command entry: options

DIALOG BOX DEFINITIONS

Options dialog box - AM:Shaft tab

For Segment inserted

Overdraw | Overdraws part of the existing shaft when a segment is added to that shaft.
Insert | Shifts the whole shaft to one side without overdrawing it, when a segment is added to that shaft.
Prompt | Prompts you to choose between the Overdraw and the Insert option.

Stationary Shaft End

Left | Keeps the left side of the shaft fixed when a shaft segment is added to or deleted from the shaft.
Right | Keeps the right side of the shaft fixed when a shaft segment is added or deleted from the shaft. NoteWith this option, use only the Edit or Delete option in the Shaft Generator dialog box to edit or delete a shaft segment.
Prompt | Prompts you to select the side of the shaft you want to keep fixed.

Adjust Centerline

Yes | Adjusts the centerline to the length of the generated shaft.
No | Does not adjust the centerline to the length of the generated shaft.
Prompt | Prompts you at the end of the shaft generation to decide whether to adjust the centerline to the length of the shaft.

Front View

Draw as 2 Halves | Divides the vertical line of the shaft sections at the axis into two lines of the same length.
Radius Reflection Line | Draws a reflection line when drawing the radius.
Check Contour | Checks whether the contour is broken. A broken contour is highlighted.

Side and Sectional Views

Specifies the way in which side and sectional views of shafts appear and are managed in the drawing.

Complete View | Draws both side and sectional view.
Radius Reflection Line | Displays the reflection line as a circle in the side view.
Sectional with Background | Draws shaft sectional views, including views of objects in the background.
Always Update | Updates sectional and side views when you change the shaft. If this option is not selected, you are prompted to decide whether to update the sides and sectional views.
Hidden Lines | Shows hidden lines in sectional and side views.
Move Side View | Selects a new insertion point for the side view, if the side and front views collide.

View of Interrupt

Specifies how the interrupted view appears: Zigzag, Freehand, or Hatch.

Combo box | Displays the selected type of representation for the interrupted view. NoteA graphical overview of the selected representation appears above this field.
Options | Click arrow to list available interruption options.

If shaft is in background, hide standard part, too

Yes | Hides a standard part.
No | Inserts the standard part in the foreground.
Prompt | Prompts you to choose whether to hide a standard part or not.


Author and publish content

Create shafts with the shaft generator
Create and modify geometry
Overview of Content Editor
Create and modify geometry >
Author and publish content
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of Content Editor

    AMCCLOSE

  • Understanding Layers and Objects


Overview of Content Editor (Concept)

Author and publish content
Author and publish content
Understanding Layers and Objects
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Content Editor is a content authoring environment that functions as a customized version of the Block Editor. While authoring the template of a part or feature, you can:

  • Create construction geometry that supports the visible edges of the view of the part or feature.
  • Add geometric and dimensional constraints.
  • Define hatch and array for the view.
  • Add a table of sizes and BOM information for the part or feature.
  • Test to see how view dimensions, hatch, array, and visibility of entities work when the part is inserted from the Content Library.

To learn more about working with content libraries, refer to the tutorial Working with the Content Library.


Overview of Content Editor (Quick Reference)

Create shafts with the shaft generator
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCARRAY

AMCARRAYEDIT

AMCCLOSE

AMCHATCH

AMCHATCHEDIT

AMCONTENTADD

AMCONTENTLIBMIGRATE

AMCONTENTMIGRATE

AMCPARTREF

AMCSAVE

AMCSAVEAS

AMCSETTINGS

Content Views Panel

AMCSWITCHVIEW

AMCTABLE

AMCTESTCONTENT

AMTESTCONTENTINSERT

AMTESTCONTENTCLOSE

AMVALMIGRATE

Key Columns dialog box

New Column/Column Properties dialog box

Size Selection dialog box


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCARRAY

Creates multiple copies of content objects in a pattern.

Ribbon: Content Edit tab [image] Tools panel [image] Array . Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcarray

Use AMCARRAY to define objects in templates for parts or features that need to be grouped when the content is inserted into the drawing. You can create a rectangular or polar array.

AMCARRAYEDIT

Edits an existing content array object.

Ribbon: Content Edit tab [image] Tools panel [image] Array. Edit Array. Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcarrayedit


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCCLOSE

Closes the Content Editor.


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCHATCH

Defines content hatch objects in templates for part or feature views. By default, AMCHATCH creates objects on AMC_HATCH layer.

Ribbon: Content Edit tab [image] Tools panel [image] Hatch [image] Create [image] Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amchatch

A content hatch object captures information about the boundaries that need to be hatched and the hatch properties that need to be applied to hatch when the content is created in the drawing.

You can define a boundary hatch by:

  • Selecting objects
  • Specifying hatch markers in a closed area
  • Using a combination of selecting objects and internal points of a closed area

AMCHATCHEDIT

Edits an existing content hatch object.

Ribbon: Content Edit tab [image] Tools panel [image] Hatch [image] Edit Hatch [image] Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amchatchedit


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCONTENTADD

Creates content from scratch, using the current drawing, or by selecting a block definition from the current drawing.

Ribbon: Content tab [image] Library panel [image] New Content. Does not exist on the ribbon.
Toolbar: Content [image] New Content
Menu: Content [image] New Content Does not exist in the menus.
Command entry: amcontentadd

New Content dialog box

Create from scratch

Starts the Content Editor with no geometries created.

Use current drawing

Creates a new view with the geometries in model space. If you select the Open in Content Editor option, the geometries load into the Content Editor.

Select block definition in current drawing

Creates a new view with the select block definition. If you select the Open in Content Editor option, the block definition loads into the Content Editor.

List box

Displays the list of block definitions in the drawing.

Select block button

Use to select a block to load in the Content Editor.

Open in Content Editor check box

Loads geometries from model space or the block definition into the Content Editor.


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCONTENTLIBMIGRATE

Use AMCONTENTLIBMIGRATE to migrate Vario libraries to the current release of AutoCAD Mechanical.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcontentlibmigrate

Migrate Content Library dialog box

Content to migrate
 | Library file Specify the name of the library (GDB) file.
 | Library name Displays the name of the library once the GDB file is specified.
 | Format Displays the version or format of the library.
Save migrated content to
 | Library location Use to specify the folder location where the migrated library needs to be placed.
 | Add the migrated library to Custom Content Select to migrate selected library and attach the library to the Custom Content node of the Content Manager dialog box.
Migrate button Use to migrate a valid library (GDB) file. Once the migration is complete, a log file is created in the same folder where the GDB file exists.


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCONTENTMIGRATE

Use AMCONTENTMIGRATE to migrate legacy Vario parts and features to the current AutoCAD Mechanical format.

When using AMCONTENTMIGRATE, the drawing is scanned for Vario parts. Based on the library path information of each of the Vario parts, the content library is checked for a corresponding part. If a corresponding part is found, the Vario part is replaced with the corresponding part with the insertion point, rotation angle, and parameter information for the Vario part.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcontentmigrate


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCPARTREF

Places one content part reference in a view.

Ribbon: Content Edit tab [image] Tools panel [image] Part Reference . Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcpartref

By default, the content part reference is placed on AMC_Construction_Invisible layer. You can add geometric or dimensional constraints to the content part reference to define the location of the part reference parametrically.

If the part is not constrained, the final part reference is created at absolute coordinates as they are placed in the view. For example, if an unconstrained part reference is placed at 50,50 in Content Editor, the final part is placed at 50,50 of the bound box of the part when it is inserted in the drawing.

To delete a custom part reference, use the ERASE command.


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCSAVE

Saves the current view.

Ribbon: Content Edit tab [image] Content Views panel [image] Save. Does not exist on the ribbon.
Command entry: amcsave

AMCSAVEAS

Saves the current view in Content Editor to a different name.

Ribbon: Content Edit tab [image] Content Views panel [image] Save [image] Save As . Does not exist on the ribbon.
Command entry: amcsaveas

Save Content As dialog box

Content panel Contains a content tree for navigating custom libraries, folders, and parts.
 | New Library Add a new library under Custom Content node. Opens the Save Content As-New Library dialog box. Use to specify the name of the library (.GDB) file, a library name, and a location to save the library file.
 | New Folder Add a new folder to a library or folder.
 | Delete Delete a selected node under custom content.
 | Move Up Move the selected node under custom content up the sequence.
 | Move Down Move the selected node under custom content down the sequence.
 | Search Provides the ability to search for custom content by keyword. Separate multiple keywords with spaces.
 | Starts the search, beginning from the item selected in the tree. NoteIf the item you are looking for is above the current selection, it will not be found.
 | Displays the Search Options dialog box, enabling you to specify how the search is performed.
 | Right-click menu items (Custom Content node)
 | New Library Add a new library under Custom Content node. This option performs the same action as clicking the New Library icon on the Content toolbar.
 | Right-click menu items (Library and Folder node)
 | New Folder Add a new folder to a library or folder.
 | Rename Select to change the name of a library or folder.
 | Delete, Move up, Move down, Cut, Copy, Paste You can also use the menu to delete, move, cut, copy, or paste libraries or folders.
Details panel Displays the preview thumbnails for the contents of the currently selected node.
 | Address Bar Displays the path to the current selection in the Content panel as a series of links separated by arrows. You can change the current selection by selecting a new path from the menu that is displayed when you click an arrow within the Address bar.
 | Right-click menu items
 | Change Thumbnail Displays the Select Thumbnail dialog box, which enables you to select a BMP, JPEG, or SLD file. The default format is BMP.
 | Restore Default Thumbnail Restores the default folder, content, or view thumbnail. Once restored, the option is disabled when right-clicking on the same folder, content, or view.
 | Preview Displays an enlarged image of the selected view.
 | View Options Displays the Options dialog box, which enables you to define the size of icons in the Details tab and specify how they should be displayed.
 | Rename Displays the Save Content As - Rename View dialog box, which is used to rename an existing view. Choose a predefined or custom name for the view.
Save as
 | New part/feature Select to enter a new part or feature. By default, the text box is populated. Accept the default name or enter a new name.
 | Existing part/feature Select to display the name of the part or feature to which the view will be saved.
View
 | Predefined Select to choose a predefined view name for the view. View lists available base view types. Views used by the current part are not listed. Type lists available sub view types. Type used by the current view are not listed.
 | Custom Select to enter a custom name for the view. By default, the text box is populated. Accept the default name or enter a new name.
Save Content button Click to save the view.


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCSETTINGS

Use AMCSETTINGS to define if content is a part or feature and the hide behavior of the view of the content being authored.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcsettings

Content Settings dialog box

When content is inserted
 | Create content as
 |  | Part Use to create new content is created as a part by default. Selecting this option denotes that the content is a part and every instance of content in the drawing is represented in the BOM.
 |  | Feature Use to create new content as a feature. Once content is set as a feature, instances of that content in the drawing will not be represented in the BOM.
When the current view is participating in hide situations
 |  | Use outer contour objects for foreground Uses only the outer contour for foreground calculations. When selected, if there are openings such as hole and slots inside the contour, background objects are not visible through them. A common use for this option is hiding background objects when the foreground object contains blind holes.
 |  | Use objects on contour layer for foreground Applies a layer filter to the foreground selection set, filtering out all layers except the contour layers and non-mechanical layers. By default, AM_0, AM_1, and AM_2 are contour layers and you can define up to four contour layers. By default, the program draws all objects that are valid foreground objects on these layers. If you clear this check box, all objects that belong to the foreground selection set appear as foreground objects, regardless of whether they are valid foreground objects or not.

Content Views Panel

This panel contains the controls to manage views.

Content

Specifies the part being edited.

View

Contains a list of all available views for the part including predefined and custom views.

Test

Tests the view of the part or feature being authored in its current state only.

Save

Saves the current view.

Save As

Saves the current view in Content Editor to a different name.


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCSWITCHVIEW

Use AMCSWITCHVIEW to create a view for standard content.

Ribbon: None Does not exist in the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcswitchview

COMMAND LINE OPTIONS

Enter an option [?/New/Switch] <Switch>: Select an option. You can query the list of views, switch to an existing view, or create a new view.

Select ? to list the available views for the current part or feature being edited. Enter wildcard characters to search for view names. Press Enter to list all views available for the content.

The names of the views are list in the command prompt. If the current part is a new part that does not have a view defined, it will not be listed.

Select S to switch to an existing view for the content. You must enter a valid name. Once entered, the current view is saved and closed. The selected view is then loaded in the Content Editor.


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCTABLE

Creates content families by attaching a Family Table to parts or features.

Ribbon: Content Edit tab [image] Manage panel [image] Family Table.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amctable

Use AMCTABLE to display the Family Table.

The Family Table is a database editor that enables you to modify val-tables: a collection of database tables that store the parameters of standard parts and add sizes for a part.

Family Table dialog box

Add Column Displays the New Column dialog box to define options for adding a new column to the table.
Add Row Adds a row to the end of the Family Table.
Key Columns Displays the Key Columns dialog box to add, remove, or change key properties for the columns in the table.
Find. . . Displays the Find and Replace dialog box to perform find or find and replace operations on the grid in the Family Table.
Visibility Options Sets the visibility of special columns.
 | Show Normal Columns Sets the visibility of columns that belong to the column type Normal.
 | Show Global Columns Sets the visibility of columns that belong to the column type Global. Global columns contain constant values that do not change from row to row.
 | Show Calculated Columns Sets the visibility of columns that belong to the column type Calculated. Calculated columns contain values derived from a formula.
 | Show Status and ID Columns Sets the visibility of columns status for records and parts and record IDs.
 | Show Translated Messages Enables the program to show translated messages in a tooltip window. Some columns contain tokens that look like (gefmsg “gefseal” 20). These tokens correspond to intelligent phrases in the language translation database. When this option is available, as you move the pointer over a cell that contains a token, the program translates the token to a real message (corresponding to the current language setting) and shows it in a tooltip window.
Print Preview Preview and make changes to pages before printing.
Print Select a printer, number of copies, and other printing options.
Apply Row Values to Model Updates the parameters in the Parameter manager with the values of columns in the Family Table.
Save Table Save the changes to the VAL table.
Right-click menu items (columns)
 | Column Properties Displays the Columns Properties dialog box.
 | Sort Column Use to sort columns. Arrange items in the sequence of the lowest value to the highest (ascending). Arrange items in the sequence of the highest value to the lowest (descending).
 | Freeze Column Freeze the selected column or columns.
 | Unfreeze Unfreeze the frozen columns.
 | Maximize All Headings Adjusts the width of all columns to fit to the column-header widths.
 | Maximize All Data Cells Adjusts the widths of all columns equally so the largest width of the column header or the largest width of data in cells, whichever is larger, applies to all columns.
 | Size Columns Equally Adjusts the widths of all columns equally so the largest width of the column header or the largest width of data in the cells is applied to all columns.
 | Hide Columns Hides the selected column or columns.
 | Unhide Columns Displays the Unhide Columns dialog box to select the column or columns you want to unhide.
 | Add Column Adds a new column to the end of the table.
 | Insert Column Left Inserts a new column to the left of the selected column.
 | Delete Columns Deletes the selected column.
 | Clear Contents Deletes the content in the column.
Right-click menu items (rows)
 | Freeze Row Freeze the selected row or rows.
 | Unfreeze Unfreeze the frozen rows.
 | Hide Rows Hides the selected row or rows.
 | Unhide Rows Displays the Unhide Rows dialog box to select the row or rows you want to unhide.
 | Add Row Adds a new row to the end of the table.
 | Insert Row Above Inserts a new row above the selected row.
 | Delete Rows Deletes the selected row.
 | Undelete Rows Restores the selected row.
 | Clear Contents Deletes the content in the row.
 | Apply Row Values to Model Updates the parameters in the Parameter manager with the values of columns in the Family Table.

Use AMCTABLECLOSE to close the Family Table. Use AMCTABLETOGGLE to toggle the display of the Family Table.


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCTESTCONTENT

Tests the view of the part or feature being authored in its current state. Only one Test Content window can be open at a time.

Ribbon: Content Edit tab [image] Content Views panel [image] Test Content . Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amctestcontent


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMTESTCONTENTINSERT

Inserts the view of the part or feature, as if the part or feature is inserted from the Content Library palette.

Ribbon: Test Content [image] Insert panel [image] Insert Content. Does not exist on the ribbon.
Toolbar: Content Test [image] Test Content Insert
Menu: None Does not exist in the menus.
Command entry: amtestcontentinsert

COMMAND LINE OPTIONS

Specify insertion point: Specify the insertion point.

Specify rotation angle <0>: Specify the rotation angle using the pointing device, or enter a value.

In the Size selection dialog box, select the size. The dialog box appears if the view has parameters that require input or if the content has an associated table. The part or feature gets inserted once the size is specified.


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMTESTCONTENTCLOSE

Closes the Test Content window and returns to the Content Editor of the initiating drawing.

Ribbon: Test Content tab [image] Close panel [image] Test Content Close. Does not exist on the ribbon.
Toolbar: Content Test [image] Test Content Close
Menu: None Does not exist in the menus.
Command entry: amtestcontentclose


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMVALMIGRATE

Use AMVALMIGRATE to migrate the schema of the selected VAL file format to the current AutoCAD Mechanical format.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amvalmigrate

Migrate VAL File dialog box

VAL file to migrate
 | File name Specify the name of the VAL file.
 | Part/feature name Displays the name of the content once the VAL file name is specified.
 | Format Displays the version or format of the VAL table.
Copy migrated VAL file to
 | VAL file location Use to specify the folder location where the migrated VAL file needs to be placed.
Migrate button Use to migrate a valid VAL file that is not in the current AutoCAD Mechanical format.


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Key Columns dialog box

Use to define which of the columns in the Family Table define a unique member of the content family. You can also assign a sequence of key columns.

New Key

Determines which of the columns in the Family Table define a unique member of the content family. Columns assigned as a key column display in the List and Tree View of the Size Selection dialog box.

Delete Key

Deletes the entire row so the remaining rows move up in sequences.

Move Up

Move entire row up the sequence.

Move Down

Move entire row down the sequence.


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Overview of Content Editor
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

New Column/Column Properties dialog box

Appears when adding a new column from the toolbar on the Family Table or when inserting or appending a column from the context menu.

Column
 | Name Use this space to type a name to identify the column. The name must be unique and can only contain alphanumeric characters and the underscore character (_).
 | Lookup Provides a list of uncalculated parameters for selection. Select a parameter so the column can be associated to the column.
 | Description Use this space to type a short description for the column. This description appears on the column header in the Family Table window.
 | Display in the Size Selection dialog box check box Select to have the selected column display in the table view of the Size Selection dialog box. If the option is checked and disabled, the column is a key column. To uncheck this box, open the Key Columns dialog box, remove the columns list, and then uncheck the check box from the Column Properties dialog box
Data
 | Type Select the type of value (whole number, decimal, or text) that is appropriate for the column.
 | Precision Select the number of digits after the decimal for the values in a column.
 | Value
 |  | Normal Normal columns contain values that can be edited.
 |  | Global Global columns contain constant values that do not change from row to row.
 |  | Calculated Calculated columns contain values derived from a formula. The syntax for numeric formulas is the same as it is for dimension constraints.
 | Unit Use to select the measurable entity the column contains. Use to select the unit of measurement for the column contents.
BOM
 | Component property mapping Use to specify the component property to display in each column.


Overview of Content Editor (Quick Reference)

Overview of Content Editor
Overview of Content Editor
Understanding Layers and Objects
Create and modify geometry > Author and publish content >
Overview of Content Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Size Selection dialog box

This dialog box displays when a custom part or feature with defined parameters in its template is being inserted. It also displays when you power edit a custom part or feature.

Predefined Parameters

This pane is populated with parameter names and their values, if the part or feature being inserted has an attached table with visible columns. If the part or feature does not have a table attached or if the columns are not visible, this pane reads, “No predefined parameters available for size selection.”

List View

Displays parameter information from the table using and Name and Value columns.

Name

Lists the name of the parameters.

If the table has key columns defined, the key parameters are listed in the Name column. The sequence of parameters in the list is based on the order of keys specified in the table for the part or feature.

If the table does not have defined key columns, all columns set to visible during insertion are listed in the Name column in the same order listed in the table.

Value

Lists the values of the parameters shown in the Name column.

Click a cell in the Value column to display a drop-down list of values for the parameter.

Tree View

Displays parameters in a tree view.

If the table for the part or feature has key columns defined, the tree relationship between the parameters is constructed based on the key’s sequence.

If the table does not have key columns defined, the tree relationship between the parameters is constructed based on the sequence of the visible columns in the table.

Displays all parameters that are set to be visible for size selection in the table of the part or feature template.

Table View

Displays all parameters that are set to be visible for size selection in the table of the part or feature template.

Drawtime Parameters

This pane displays dimensional or user parameters that are not used in the table, their values are not expressions, and are not reference parameters.

Name

Lists the name of the parameters.

Value

Activate value cells to enter a value for the parameter.

Range

Displays the range for parameters if ranges are specified in the view.


Understanding Layers and Objects (Concept)

Overview of Content Editor
Author and publish content
Work with precision tools
Create and modify geometry > Author and publish content >
Understanding Layers and Objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AutoCAD Mechanical uses predefined layer and object settings configured from the AMLAYER command. The appearance of AutoCAD Mechanical objects in the drawing is configured by the Object Property Settings dialog box. These layer and object settings have no impact on content creation. Content Editor uses its own set of predefined layers. You can create geometries on these layers so that entities on these layers inherit their properties from the corresponding objects in the Object Property Settings dialog box when inserted into a drawing.

When inserted into a drawing, standard parts inherit their layer, color, linetype, and line weight properties from the destination drawing’s Object Properties Settings. To create custom content that adheres to the Object Properties Settings in AutoCAD Mechanical, place the part or feature’s view geometry on the appropriated predefined Content Editor layers during template creation.

If you create a view or edit a view, the Content Editor starts with AMC_CONTOUR1 automatically created.


Understanding Layers and Objects (Quick Reference)

Overview of Content Editor
Understanding Layers and Objects
Understanding Layers and Objects
Create and modify geometry > Author and publish content >
Understanding Layers and Objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCLAYER

Content Editor Layer Definitions


Understanding Layers and Objects (Quick Reference)

Understanding Layers and Objects
Understanding Layers and Objects
Understanding Layers and Objects
Create and modify geometry > Author and publish content >
Understanding Layers and Objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCLAYER

Displays the Content Editor Layers dialog box.

Ribbon: Content Edit tab [image] Object Definition panel [image] Content Editor Layers.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amclayer

Content Editor Layers dialog box

Current layer

Displays the current layer name. Double-click a layer name from the grid or use the Select Current button to change the current layer.

Content Editor layers grid

Lists the predefined layers by layer name, name of the object in Object Property settings to which the layer corresponds, and a description of the layer.

The current layer is preselected in the grid.

Set Current

Use to change the current layer. When setting an AMC Layer to the current layer, any entities you create would inherit properties from its corresponding object when inserted into a drawing.


Understanding Layers and Objects (Quick Reference)

Understanding Layers and Objects
Understanding Layers and Objects
Overview of Power Snaps
Create and modify geometry > Author and publish content >
Understanding Layers and Objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Content Editor Layer Definitions

Layer | Definition
AMC_Contour | Maps to Objects: Contour 1; Contour 2; Contour 3; Contour 4
AMC_Centerline | Maps to Objects: Centerline; Centerline, Narrow; Hole Circle; Hole Circle, Narrow; Reference Circle for Gear Cogwheels; Reference Circle for Gear Cogwheels, Narrow
AMC_Break_Line | Maps to Objects: Break Line Short, Break Out Line
AMC_Thread | Maps to Object: Thread Line
AMC_Hidden | Maps to Objects: Hidden Line, Hidden Line, narrow
AMC_Construction | Maps to Object: Construction Line
AMC_Contour_BHII | For example, if you place the contour of a screw on AMC_Contour_BHII layer in Content Editor, when the screw is inserted in a drawing, underlying and overlapping objects such as lines or hatches are hidden by the contour of the screw.
AMC_Contour_BHIU | For example, if you place the contour of a hole on AMC_Contour_BHIU layer in Content Editor, when the hole is inserted in a drawing, underlying objects such as lines or hatches are hidden by the contour of the hole. Overlapping objects remain visible.
AMC_Dimension | Maps to Object: Dimension Line
AMC_Text_Medium | Maps to Object: Text Medium
AMC_Contour_BHII_Invisible | For example, if you place the contour of a screw on AMC_Contour_BHII_Invisible layer in Content Editor, when the screw is inserted in a drawing, underlying and overlapping objects such as lines or hatches are invisible, as is the contour of the screw.
AMC_Contour_BHIU_Invisible | For example, if you place the contour of a hole on AMC_Contour_BHIU_Invisible layer in Content Editor, when the hole is inserted in a drawing, underlying objects such as lines and hatches and the contour of the hole is invisible. Overlapping objects remain visible.


Work with precision tools

Understanding Layers and Objects
Create and modify geometry
Overview of Power Snaps
Create and modify geometry >
Work with precision tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview of Power Snaps
  • Virtual snap points
  • Add filters to object snaps
  • Object snap settings
  • Customize PolarSnaps
  • Assign snap modes to standard AutoCAD commands


Work with precision tools (Procedure)

Create shafts with the shaft generator
Work with precision tools
Overview of Power Snaps
Create and modify geometry >
Work with precision tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To change object snap settings

To define the center point of a rectangle

To define the midpoint between two points

To define a reference point

To define a point relative to the last entered point

To define a virtual intersection point between two lines

To add filters to object snaps

To edit filters assigned to object snaps

To set the type of object snap

To change polar snap settings

To assign snap modes to standard AutoCAD commands


Overview of Power Snaps (Concept)

Work with precision tools
Work with precision tools
Virtual snap points
Create and modify geometry > Work with precision tools >
Overview of Power Snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Object snaps included with AutoCAD enable you to specify precise locations for objects. AutoCAD Mechanical extends this capability by enabling you to save up to four sets of object snaps and enabling you to switch between them in the middle of a command. The program activates saved object snap settings, referred to as Power Snap settings, when you start the AMPOWERSNAP command.

Power Snaps provide more snap options than AutoCAD Object Snaps. They also give you the ability to set filters so that the system ignores entities such as dimensions, not assigning snap points to them.

NoteThe drawing does not save Power Snap settings. The Windows registry saves them.


Overview of Power Snaps (Quick Reference)

Understanding Layers and Objects
Overview of Power Snaps
Overview of Power Snaps
Create and modify geometry > Work with precision tools >
Overview of Power Snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERSNAP

Power Snap Settings dialog box

Entity Filter dialog box

New Entity Filter dialog box

Edit Entity Filter dialog box

AMPSNAP1

AMPSNAP2

AMPSNAP3

AMPSNAP4

AMPSNAPFILTERO

AMPSNAPZO


To change object snap settings (Procedure)

Work with precision tools
Up a level to ..
Virtual snap points
Create and modify geometry > Work with precision tools >
Overview of Power Snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change object snap settings

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Preferences tab.
  3. In the AM:Preferences tab, select Snap Defaults.
  4. In the Power Snap Settings dialog box, make the necessary entries and choose OK.
  5. Click OK in all dialog boxes.


Overview of Power Snaps (Quick Reference)

Overview of Power Snaps
Overview of Power Snaps
Overview of Power Snaps
Create and modify geometry > Work with precision tools >
Overview of Power Snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERSNAP

Displays the Power Snap Settings dialog box, to enable you to set the running object snap modes.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Object Snap Cursor Menu [image] Power Snap Settings Does not exist in the menus.
Command entry: ampowersnap


Overview of Power Snaps (Quick Reference)

Overview of Power Snaps
Overview of Power Snaps
Overview of Power Snaps
Create and modify geometry > Work with precision tools >
Overview of Power Snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Power Snap Settings dialog box

Use the Snap Settings dialog box to create four global settings, or four global settings and one current setting, for the object snaps.

Power Snap Configuration Displays a drop-down list of a current setting and four global settings.
Power Snap tab
 | Object Snap On Turns object snap on and off. You can also turn Object Snap on or off by pressing F3.
 | Object Snap Tracking On Turns object snap tracking on and off. With object snap tracking, the cursor can track along alignment paths based on other object snap points when specifying points in a command. To use object snap tracking, turn on one or more object snaps. The AUTOSNAP system variable controls this setting.
 | Modes
 |  | Endpoint Snaps to the closest endpoint of an object. (END)
 |  | Midpoint Snaps to the midpoint of an object. (MID)
 |  | Center Snaps to the center of an arc, circle, ellipse, or elliptical arc. (CEN)
 |  | Node Snaps to a point object. (NOD)
 |  | Quadrant Snaps to a quadrant point of an arc or a circle. (QUA)
 |  | Intersection Snaps to the intersection of a line, an arc, or a circle. (INT)
 |  | Extension Snaps to the phantom extension of an arc or line. (EXT)
 |  | Insertion Snaps to the insertion point of text, a block, a shape, or an attribute. (INS) or the base point of a (mechanical structure) component view or folder. (INSS)
 |  | Perpendicular Snaps to a point perpendicular to an arc, a line, or a circle. (PER)
 |  | Tangent Snaps to the tangent of an arc or a circle. (TAN)
 |  | Nearest Snaps to the nearest point of an arc, a circle, a line, or a point. (NEA)
 |  | Apparent Intersection Snaps to the apparent intersection of two objects. (APPINT)
 |  | Parallel Snaps parallel to a specified line. (PAR)
 |  | Arc Radial Lines Snaps to a point on the phantom line that passes through an arc center point and one of the arc endpoints. (ARCR)
 |  | Arc Tangent Lines Snaps to a point on the phantom line that passes tangentially through an arc endpoint. (ARCT)
 |  | Symmetry Snaps symmetrically to a specified line. (SYMP)
 |  | Select All Selects all object snap modes on the respective Setting tab.
 |  | Clear All Clears all selected object snap modes on the respective Setting tab.
 | Options
 |  | Crosshair Size Defines the size of the crosshairs.
 |  | Show Snap in Status Line Displays the currently active snap modes in the status bar.
 |  | Ignore Z Coordinate Sets the Z coordinate to 0.0. The program projects all points selected on the current coordinate system.
 |  | Use Entity Filter Activates the current settings in the Entity Filter dialog box.
Polar Snap tab
 | Polar Tracking On Turns polar tracking on and off. You can also turn polar tracking on or off by pressing F10 or by using the AutoCAD AUTOSNAP system variable.
 | Polar Angle Settings Sets the alignment angles for polar tracking. The POLARANG system variable controls alignment angles.
 |  | Increment Angle Sets the polar increment angle used to open polar tracking alignment paths. Enter any angle, or select a common angle of 90, 60, 45, 30, 22.5, 18, 15, 10, and 5 degrees from the list. The POLARANG system variable controls this setting.
 |  | Additional Angles Makes any additional increment in the list available for polar tracking. The POLARMODE system variable controls the setting. If selected, the box below this title lists the additional angles that are available.
 |  | New Displays the Additional Angle dialog box enabling you to enter new angles.
 |  | Delete Deletes selected additional angles.
 | Snap On Turns Snap mode on and off. You can also turn Snap mode on or off by clicking Snap on the Status bar, by pressing F9, or by using the SNAPMODE system variable.
 | Object Snap Tracking Settings Sets options for object snap tracking.
 |  | Track Orthogonally Only Displays only orthogonal (horizontal/vertical) object snap tracking paths for acquired object snap points when object snap tracking is on. The POLARMODE system variable controls this setting.
 |  | Track Using All Polar Angle Settings Enables the cursor to track along any polar angle tracking path for acquired Osnap points when Object snap tracking is on while specifying points. The POLARMODE system variable controls this setting.
 | Polar Angle Measurement Sets the basis by which the program measures polar tracking alignment angles.
 |  | Absolute Bases polar tracking angles on the current user coordinate system (UCS).
 |  | Relative to Last Segment Bases polar tracking angles on the last object you created.
 | Polar Angle Measurement
 |  | Polar Snap On Sets the snap type to PolarSnap. When you set the snap type to Polar Snap and Snap mode is on, the cursor snaps along polar alignment angles set on the Polar Tracking tab relative to the starting polar tracking point. The SNAPTYPE system variable controls the snap type.
 |  | Polar Distance Sets the snap increment distance when you set the Snap Type to Polar Snap. If this value is 0, the Polar Snap distance assumes the value for Snap X Spacing. The POLARDIST system variable controls this value.
Filter Options Displays the Entity Filter dialog box.


Overview of Power Snaps (Quick Reference)

Overview of Power Snaps
Overview of Power Snaps
Overview of Power Snaps
Create and modify geometry > Work with precision tools >
Overview of Power Snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Entity Filter dialog box

Use the Entity Filter dialog box to set new filters to object snaps, and to delete or edit existing filters.

List of Entity Filters

Shows a list of available entity filters and enables you to turn a filter on or off.

New

Displays the New Entity Filter dialog box, which enables you to define a new entity filter.

Edit

Displays the Edit Entity Filter dialog box for the filter selected in the list of entity filters.

Delete

Deletes the selected filter.


Overview of Power Snaps (Quick Reference)

Overview of Power Snaps
Overview of Power Snaps
Overview of Power Snaps
Create and modify geometry > Work with precision tools >
Overview of Power Snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

New Entity Filter dialog box

Use the New Entity Filter dialog box to add new filters.

Filter name Specifies a name for the filter.
Filter Settings
 | Container types Specifies the container type(s) to be used as filter(s). The container specifies the DXF names of container entities such as dimensions, customized standard part entities, and solids. Enter one or more container types separated by commas.
 | Container types Specifies the container type(s) to be used as filter(s). The container specifies the DXF names of container entities such as dimensions, customized standard part entities, and solids. Enter one or more container types separated by commas.
 | Entity types Specifies the entity type(s) to be used as filter(s). Enter one or more entity types separated by commas.
 | Layers Specifies the name of layer(s) to be used as filter(s). Enter one or more layers separated by commas. To specify all layers, enter *.
 | Line types Specifies the line type(s) to be used as filter(s). Enter one or more line types separated by commas. To specify all line types, enter *.
 | Colors Specifies the name of line colors to be used as filter(s). Enter one or more color types separated by commas. To specify all colors, enter *.


Overview of Power Snaps (Quick Reference)

Overview of Power Snaps
Overview of Power Snaps
Overview of Power Snaps
Create and modify geometry > Work with precision tools >
Overview of Power Snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit Entity Filter dialog box

Filter name Specifies a name for the filter.
Filter Settings
 | Container types Specifies the container type(s) to be used as filter(s). The container specifies the DXF names of container entities such as dimensions, customized standard part entities, and solids. Enter one or more container types separated by commas.
 | Container types Specifies the container type(s) to be used as filter(s). The container specifies the DXF names of container entities such as dimensions, customized standard part entities, and solids. Enter one or more container types separated by commas.
 | Entity types Specifies the entity type(s) to be used as filter(s). Enter one or more entity types separated by commas.
 | Layers Specifies the name of layer(s) to be used as filter(s). Enter one or more layers separated by commas. To specify all layers, enter *.
 | Line types Specifies the line type(s) to be used as filter(s). Enter one or more line types separated by commas. To specify all line types, enter *.
 | Colors Specifies the name of line colors to be used as filter(s). Enter one or more color types separated by commas. To specify all colors, enter *.


Overview of Power Snaps (Quick Reference)

Overview of Power Snaps
Overview of Power Snaps
Overview of Power Snaps
Create and modify geometry > Work with precision tools >
Overview of Power Snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAP1

Sets the running object snap modes to the settings saved as Power Snap Configuration Setting 1

Ribbon: None Does not exist on the ribbon.
Toolbar: Design Tools [image] Snap Settings
Menu: Object Snap Cursor Menu [image] Power Snap Settings 1-4 ... Tools [image] Drafting Settings [image] Power Snap Configuration 1 Does not exist in the menus.
Command entry: ampsnap1


Overview of Power Snaps (Quick Reference)

Overview of Power Snaps
Overview of Power Snaps
Overview of Power Snaps
Create and modify geometry > Work with precision tools >
Overview of Power Snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAP2

Sets the running object snap modes to the settings saved as Power Snap Configuration Setting 2

Ribbon: None Does not exist on the ribbon.
Toolbar: Design Tools [image] Snap Settings
Menu: Object Snap Cursor Menu [image] Power Snap Settings 1-4 ... Tools [image] Drafting Settings [image] Power Snap Configuration 2 Does not exist in the menus.
Command entry: ampsnap2


Overview of Power Snaps (Quick Reference)

Overview of Power Snaps
Overview of Power Snaps
Overview of Power Snaps
Create and modify geometry > Work with precision tools >
Overview of Power Snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAP3

Sets the running object snap modes to the settings saved as Power Snap Configuration Setting 3

Ribbon: None Does not exist on the ribbon.
Toolbar: Design Tools [image] Snap Settings
Menu: Object Snap Cursor Menu [image] Power Snap Settings 1-4 ... Tools [image] Drafting Settings [image] Power Snap Configuration 3 Does not exist in the menus.
Command entry: ampsnap3


Overview of Power Snaps (Quick Reference)

Overview of Power Snaps
Overview of Power Snaps
Overview of Power Snaps
Create and modify geometry > Work with precision tools >
Overview of Power Snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAP4

Sets the running object snap modes to the settings saved as Power Snap Configuration Setting 4

Ribbon: None Does not exist on the ribbon.
Toolbar: Design Tools [image] Snap Settings
Menu: Object Snap Cursor Menu [image] Power Snap Settings 1-4 ... Tools [image] Drafting Settings [image] Power Snap Configuration 4 Does not exist in the menus.
Command entry: ampsnap4


Overview of Power Snaps (Quick Reference)

Overview of Power Snaps
Overview of Power Snaps
Overview of Power Snaps
Create and modify geometry > Work with precision tools >
Overview of Power Snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAPFILTERO

Switches entity filters on or off

Ribbon: None Does not exist on the ribbon.
Toolbar: Snap
Menu: Object Snap Cursor Menu [image] Tools [image] Drafting Settings [image] Entity Filter On/Off Does not exist in the menus.
Command entry: ampsnapfiltero

When entity filters are on, AutoCAD Mechanical does not assign snap points to entities such as dimensions, which do not require object snaps in general.


Overview of Power Snaps (Quick Reference)

Overview of Power Snaps
Overview of Power Snaps
Virtual snap points
Create and modify geometry > Work with precision tools >
Overview of Power Snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAPZO

Toggles snapping to Z axis coordinates on or off.

Ribbon: None Does not exist on the ribbon.
Toolbar: Snap
Menu: Object Snap Cursor Menu [image] Tools [image] Drafting Settings [image] Ignore Z Coordinate On/Off Does not exist in the menus.
Command entry: ampsnapzo


Virtual snap points (Concept)

Overview of Power Snaps
Work with precision tools
Add filters to object snaps
Create and modify geometry > Work with precision tools >
Virtual snap points
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Object snaps enable you to select specific points in a drawing easily. You can also use existing points and objects to define virtual points. You can use these points to, for example, edit objects or add objects to the drawing.

With the drawing aid commands, you can define:

The Relative Point

With Relative Point, you can define a point in the drawing by specifying its polar coordinate based on the last point entered.

If you start this function while no other command is active, the program returns only the coordinate of the relative point. To use this function to locate points in your drawing while a drawing command is active, start the drawing command and then define a relative point.

For example, to draw a line, start the LINE command and specify a starting point. Then start the Relative Point function from the Assist [image] Drafting Settings menu. The program prompts you as follows:

Specify angle or [Base point]: Enter an angle value, and press ENTER.

Distance: Enter a distance value or specify a distance with the pointing device.

Note: You can also specify another base point to define the angle. Select Base Point at the Command prompt. The program prompts you as follows:

New Base for Angle: Select a new point in the drawing, and press ENTER to specify an angle value.

The Reference Point

With Reference Point, you can define a temporary reference point for specifying subsequent points in the drawing.

To define a reference point, start the Reference Point function from the Assist [image] Drafting Settings menu. The program prompts you to specify a reference point. You can then use this point as a base point for specifying a relative point.

The Virtual Intersection

With Virtual Intersection, you can locate the apparent intersection point of two lines.

If you start this function while no other command is active, the program returns only the coordinate of the virtual intersection point. To use this function to locate points in your drawing while a drawing command is active, start the drawing command and then define the virtual intersection point between two selected lines.

For example, to draw a circle at the virtual intersection point of two lines, start the CIRCLE command. Then start the Virtual Intersection function from the Assist [image] Drafting Settings menu. Select the first and second line to locate the virtual intersection point of those lines.

The Rectangle Center

Rectangle Center enables you to locate the intersection point between the perpendicular bisectors of two lines.

If you start this function while no other command is active, the program returns only the coordinates of the point calculated. To use this function to locate points in your drawing while a drawing command is active, start the drawing command and then choose the Rectangle Center function from the Assist Drafting Settings menu.

The Mid of 2 Points

With the Mid of 2 Points function, you can locate points on the apparent line that passes through two selected points.

If you start this function while no other command is active, the program returns only the coordinates of the calculated point. To use this function to locate points in your drawing while a drawing command is active, start the drawing command, and then choose the Mid of 2 Points function from the Assist [image] Drafting Settings menu.

When you start the Mid of 2 Points function, the program prompts you for the first and second point. To locate the midpoint between those two points, enter 0.5 (the default value), when prompted for the Line Division. Enter 0 to locate the first point, and 1 to locate the second point. You can also enter negative values and values greater than 1.


Virtual snap points (Procedure)

Overview of Power Snaps
Up a level to ..
Virtual snap points
Create and modify geometry > Work with precision tools >
Virtual snap points
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To define the center point of a rectangle

To define the midpoint between two points

To define a reference point

To define a point relative to the last entered point

To define a virtual intersection point between two lines


Virtual snap points (Quick Reference)

Overview of Power Snaps
Virtual snap points
Virtual snap points
Create and modify geometry > Work with precision tools >
Virtual snap points
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAPCEN

AMPSNAPMID

AMPSNAPREF

AMPSNAPREL

AMPSNAPVINT

AMPSNAPZO


To define the center point of a rectangle (Procedure)

Virtual snap points
Up a level to ..
Virtual snap points
Create and modify geometry > Work with precision tools >
Virtual snap points
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To define the center point of a rectangle

  1. Draw a square with a side of 10 units.
  2. Click None [image] None [image] At the Command prompt, enter CIRCLE.
  3. Click None tab [image] None panel [image] . Enter AMPSNAPCEN at the command prompt.
  4. Select the first side (1).
  5. Select the second side (2).
  6. At the Command prompt, enter R for Relation.
  7. Press ENTER.
  8. When prompted for the relation to the first edge enter 0.2.
  9. For the relation to the second edge enter 0.8.
  10. Enter 5 for the radius.

Note: For the reference ratio, you can also enter negative values and values greater than one.


To define the midpoint between two points (Procedure)

Virtual snap points
Up a level to ..
Virtual snap points
Create and modify geometry > Work with precision tools >
Virtual snap points
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To define the midpoint between two points

  1. Draw two lines as shown in the previous illustration.
  2. Click None [image] None [image] At the Command prompt, enter CIRCLE.
  3. Click None tab [image] None panel [image] . Enter AMPSNAPCEN at the command prompt.
  4. Select the first point (1) and the second point (2).
  5. When prompted for the Line Division, enter 0.4.
  6. Draw the circle as shown in the previous illustration.

Note: The point returned (step 5) is always measured in relation to the point you select first.


To define a reference point (Procedure)

Virtual snap points
Up a level to ..
Virtual snap points
Create and modify geometry > Work with precision tools >
Virtual snap points
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To define a reference point

  1. Click None [image] None [image] At the Command prompt, enter AMPSNAPREF.
  2. Specify a reference point.
  3. Specify a relative point.
  4. Now you can use this point as a base point for specifying a relative point.


To define a point relative to the last entered point (Procedure)

Virtual snap points
Up a level to ..
Virtual snap points
Create and modify geometry > Work with precision tools >
Virtual snap points
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To define a point relative to the last entered point

  1. Click None [image] None [image] At the Command prompt, enter AMSNAPREL.
  2. Specify the angle or base point.
  3. Enter an angle value.
  4. Press Enter.
  5. Enter a distance value or specify a distance with the mouse.

Note: You can also specify another base point to define the angle. Select Base Point at the Command prompt. You are prompted as follows:

New Base for Angle: Select a new point in the drawing, and press ENTER to specify an angle value.


To define a virtual intersection point between two lines (Procedure)

Virtual snap points
Up a level to ..
Add filters to object snaps
Create and modify geometry > Work with precision tools >
Virtual snap points
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To define a virtual intersection point between two lines

  1. Click None [image] None [image] At the Command prompt, enter CIRCLE.
  2. Start the CIRCLE command.
  3. Click None tab [image] None panel [image] . Enter AMPSNAPVINT at the command prompt.
  4. Specify the first line (1).
  5. Specify the second line (2).
  6. The virtual intersection of the two lines is located.
  7. Draw the circle as shown in the previous illustration.


Virtual snap points (Quick Reference)

Virtual snap points
Virtual snap points
Virtual snap points
Create and modify geometry > Work with precision tools >
Virtual snap points
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAPCEN

Snaps to the center of a rectangle, when invoked from within another command.

Ribbon: None Does not exist on the ribbon.
Toolbar: Snap
Menu: Object Snap Cursor Menu [image] Tools [image] Drafting Settings [image] Snap, Rectangle Center Does not exist in the menus.
Command entry: ampsnapcen

COMMAND LINE OPTIONS

Line

Select first side: Select a line.

Specify first point: Enter AMPSNAPCEN

Select second side: Select a line.

Half or [DRag/DIstances/Relation] <Half>:

COMMAND LINE DEFINITIONS

Half:

Determines the intersection point between the two line bisectors.

Drag:

Displays two dotted lines, as help lines, that lie perpendicular to the pair of lines you selected. The intersection point appears attached to your mouse cursor. Click to select a point.

Distance:

Distance from first edge <value>: Select a point or enter a value.

Distance from second edge <value>: Select a point or enter a value.

Relation:

Relation for first edge <0.50>: Press ENTER or enter a value.

Relation for second edge <0.50>: Press ENTER or enter a value.


Virtual snap points (Quick Reference)

Virtual snap points
Virtual snap points
Virtual snap points
Create and modify geometry > Work with precision tools >
Virtual snap points
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAPMID

Snaps to a point on the apparent line between two specified points, when invoked from within another command.

Ribbon: None Does not exist on the ribbon.
Toolbar: Snap
Menu: Object Snap Cursor Menu [image] Tools [image] Drafting Settings [image] Snap, Mid of 2 Points Does not exist in the menus.
Command entry: ampsnapmid

By default, this command snaps to the mid point of the apparent line. You can however set any point on the apparent line as the snap point, by specifying the ratio the point divides the line.

COMMAND LINE OPTIONS

First point: Specify a point.

Second point: Specify a point.

Line Division <0.50>: Enter a ratio for the line division.


Virtual snap points (Quick Reference)

Virtual snap points
Virtual snap points
Virtual snap points
Create and modify geometry > Work with precision tools >
Virtual snap points
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAPREF

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: ampsnapref

COMMAND LINE OPTIONS

Reference point: Specify a point.

Relative point: Specify a point.


Virtual snap points (Quick Reference)

Virtual snap points
Virtual snap points
Virtual snap points
Create and modify geometry > Work with precision tools >
Virtual snap points
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAPREL

Snaps to a point relative to a specified point, when invoked from within another command.

Ribbon: None Does not exist on the ribbon.
Toolbar: Snap
Menu: Object Snap Cursor Menu [image] Tools [image] Drafting Settings [image] Relative Point Does not exist in the menus.
Command entry: ampsnaprel

COMMAND LINE OPTIONS

Specify angle or [Base point]: Specify an angle or select Base Point to select a new base point.

Distance: Enter a distance value, or specify a value with the mouse.

New Base for angle: Select a point.


Virtual snap points (Quick Reference)

Virtual snap points
Virtual snap points
Virtual snap points
Create and modify geometry > Work with precision tools >
Virtual snap points
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAPVINT

Snaps to the apparent intersection of two non-parallel lines, when invoked from within another command.

Ribbon: None Does not exist on the ribbon.
Toolbar: Snap
Menu: Object Snap Cursor Menu [image] Tools [image] Drafting Settings [image] Virtual Intersection Does not exist in the menus.
Command entry: ampsnapvint

COMMAND LINE OPTIONS

Select first line: Select a line.

Select second line: Select a line.


Virtual snap points (Quick Reference)

Virtual snap points
Virtual snap points
Add filters to object snaps
Create and modify geometry > Work with precision tools >
Virtual snap points
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAPZO

Toggles snapping to Z axis coordinates on or off.

Ribbon: None Does not exist on the ribbon.
Toolbar: Snap
Menu: Object Snap Cursor Menu [image] Tools [image] Drafting Settings [image] Ignore Z Coordinate On/Off Does not exist in the menus.
Command entry: ampsnapzo


Add filters to object snaps (Concept)

Virtual snap points
Work with precision tools
Object snap settings
Create and modify geometry > Work with precision tools >
Add filters to object snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To have Power Snaps ignore an entity, add the entity to the Power Snap filter list. The default settings for Power Snaps include the following filter list:

ImportantDo not remove these filters
  • DIMENSION
  • FEA
  • HATCH (1)
  • HATCH (2)
  • SIMPLE WELD
  • SYMBOLS

You can configure object snaps to ignore entities in a selected section of the drawing. For example, you can set an additional filter condition and have object snaps ignore lines within a selected block.

Example of setting filters in drawing blocks

If you want object snaps to ignore all lines and text strings contained in a specific block on your drawing. set the corresponding filter for object snaps:

  1. In the Power Snap Settings dialog box, click Filter.
  2. In the Entity Filter dialog box, click New.
  3. In the respective text boxes in the New Entity Filter dialog box, enter the following:
    • Filter Name: Example_1
    • Container Types: INSERT
    • Type of entity: LINE,TEXT
    • Layer: *
    • Line Types: *
    • Color: *

Note:

  • Asterisk “*” means all lines, regardless of layer, linetype, or color.
  • In the text boxes, you can enter more than one item. Separate items with a comma.


Add filters to object snaps (Procedure)

Virtual snap points
Up a level to ..
Add filters to object snaps
Create and modify geometry > Work with precision tools >
Add filters to object snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add filters to object snaps

To edit filters assigned to object snaps


Add filters to object snaps (Quick Reference)

Virtual snap points
Add filters to object snaps
Add filters to object snaps
Create and modify geometry > Work with precision tools >
Add filters to object snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERSNAP

Power Snap Settings dialog box

Edit Entity Filter dialog box

Entity Filter dialog box

New Entity Filter dialog box

Edit Entity Filter dialog box

AMPSNAPFILTERO

OPTIONS command (AM:Preferences tab)


To add filters to object snaps (Procedure)

Add filters to object snaps
Up a level to ..
Add filters to object snaps
Create and modify geometry > Work with precision tools >
Add filters to object snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add filters to object snaps

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Preferences tab.
  3. In the AM:Preferences tab, select Snap Defaults.
  4. In the Snap Settings dialog box, choose Filters.
  5. In the Entity Filter dialog box, choose New.
  6. In the New Entity Filter dialog box, make the necessary entries and choose OK.
  7. Click OK in all dialog boxes.


To edit filters assigned to object snaps (Procedure)

Add filters to object snaps
Up a level to ..
Object snap settings
Create and modify geometry > Work with precision tools >
Add filters to object snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit filters assigned to object snaps

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Preferences tab.
  3. In the AM:Preferences tab, select Snap Defaults.
  4. In the Snap Settings dialog box, choose Filters.
  5. In the Entity Filter dialog box, choose Edit.
  6. In the Edit Entity Filter dialog box, make the necessary entries and choose OK.
  7. Click OK in all dialog boxes.


Add filters to object snaps (Quick Reference)

Add filters to object snaps
Add filters to object snaps
Add filters to object snaps
Create and modify geometry > Work with precision tools >
Add filters to object snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERSNAP

Displays the Power Snap Settings dialog box, to enable you to set the running object snap modes.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Object Snap Cursor Menu [image] Power Snap Settings Does not exist in the menus.
Command entry: ampowersnap


Add filters to object snaps (Quick Reference)

Add filters to object snaps
Add filters to object snaps
Add filters to object snaps
Create and modify geometry > Work with precision tools >
Add filters to object snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Power Snap Settings dialog box

Use the Snap Settings dialog box to create four global settings, or four global settings and one current setting, for the object snaps.

Power Snap Configuration Displays a drop-down list of a current setting and four global settings.
Power Snap tab
 | Object Snap On Turns object snap on and off. You can also turn Object Snap on or off by pressing F3.
 | Object Snap Tracking On Turns object snap tracking on and off. With object snap tracking, the cursor can track along alignment paths based on other object snap points when specifying points in a command. To use object snap tracking, turn on one or more object snaps. The AUTOSNAP system variable controls this setting.
 | Modes
 |  | Endpoint Snaps to the closest endpoint of an object. (END)
 |  | Midpoint Snaps to the midpoint of an object. (MID)
 |  | Center Snaps to the center of an arc, circle, ellipse, or elliptical arc. (CEN)
 |  | Node Snaps to a point object. (NOD)
 |  | Quadrant Snaps to a quadrant point of an arc or a circle. (QUA)
 |  | Intersection Snaps to the intersection of a line, an arc, or a circle. (INT)
 |  | Extension Snaps to the phantom extension of an arc or line. (EXT)
 |  | Insertion Snaps to the insertion point of text, a block, a shape, or an attribute. (INS) or the base point of a (mechanical structure) component view or folder. (INSS)
 |  | Perpendicular Snaps to a point perpendicular to an arc, a line, or a circle. (PER)
 |  | Tangent Snaps to the tangent of an arc or a circle. (TAN)
 |  | Nearest Snaps to the nearest point of an arc, a circle, a line, or a point. (NEA)
 |  | Apparent Intersection Snaps to the apparent intersection of two objects. (APPINT)
 |  | Parallel Snaps parallel to a specified line. (PAR)
 |  | Arc Radial Lines Snaps to a point on the phantom line that passes through an arc center point and one of the arc endpoints. (ARCR)
 |  | Arc Tangent Lines Snaps to a point on the phantom line that passes tangentially through an arc endpoint. (ARCT)
 |  | Symmetry Snaps symmetrically to a specified line. (SYMP)
 |  | Select All Selects all object snap modes on the respective Setting tab.
 |  | Clear All Clears all selected object snap modes on the respective Setting tab.
 | Options
 |  | Crosshair Size Defines the size of the crosshairs.
 |  | Show Snap in Status Line Displays the currently active snap modes in the status bar.
 |  | Ignore Z Coordinate Sets the Z coordinate to 0.0. The program projects all points selected on the current coordinate system.
 |  | Use Entity Filter Activates the current settings in the Entity Filter dialog box.
Polar Snap tab
 | Polar Tracking On Turns polar tracking on and off. You can also turn polar tracking on or off by pressing F10 or by using the AutoCAD AUTOSNAP system variable.
 | Polar Angle Settings Sets the alignment angles for polar tracking. The POLARANG system variable controls alignment angles.
 |  | Increment Angle Sets the polar increment angle used to open polar tracking alignment paths. Enter any angle, or select a common angle of 90, 60, 45, 30, 22.5, 18, 15, 10, and 5 degrees from the list. The POLARANG system variable controls this setting.
 |  | Additional Angles Makes any additional increment in the list available for polar tracking. The POLARMODE system variable controls the setting. If selected, the box below this title lists the additional angles that are available.
 |  | New Displays the Additional Angle dialog box enabling you to enter new angles.
 |  | Delete Deletes selected additional angles.
 | Snap On Turns Snap mode on and off. You can also turn Snap mode on or off by clicking Snap on the Status bar, by pressing F9, or by using the SNAPMODE system variable.
 | Object Snap Tracking Settings Sets options for object snap tracking.
 |  | Track Orthogonally Only Displays only orthogonal (horizontal/vertical) object snap tracking paths for acquired object snap points when object snap tracking is on. The POLARMODE system variable controls this setting.
 |  | Track Using All Polar Angle Settings Enables the cursor to track along any polar angle tracking path for acquired Osnap points when Object snap tracking is on while specifying points. The POLARMODE system variable controls this setting.
 | Polar Angle Measurement Sets the basis by which the program measures polar tracking alignment angles.
 |  | Absolute Bases polar tracking angles on the current user coordinate system (UCS).
 |  | Relative to Last Segment Bases polar tracking angles on the last object you created.
 | Polar Angle Measurement
 |  | Polar Snap On Sets the snap type to PolarSnap. When you set the snap type to Polar Snap and Snap mode is on, the cursor snaps along polar alignment angles set on the Polar Tracking tab relative to the starting polar tracking point. The SNAPTYPE system variable controls the snap type.
 |  | Polar Distance Sets the snap increment distance when you set the Snap Type to Polar Snap. If this value is 0, the Polar Snap distance assumes the value for Snap X Spacing. The POLARDIST system variable controls this value.
Filter Options Displays the Entity Filter dialog box.


Add filters to object snaps (Quick Reference)

Add filters to object snaps
Add filters to object snaps
Add filters to object snaps
Create and modify geometry > Work with precision tools >
Add filters to object snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit Entity Filter dialog box

Filter name Specifies a name for the filter.
Filter Settings
 | Container types Specifies the container type(s) to be used as filter(s). The container specifies the DXF names of container entities such as dimensions, customized standard part entities, and solids. Enter one or more container types separated by commas.
 | Container types Specifies the container type(s) to be used as filter(s). The container specifies the DXF names of container entities such as dimensions, customized standard part entities, and solids. Enter one or more container types separated by commas.
 | Entity types Specifies the entity type(s) to be used as filter(s). Enter one or more entity types separated by commas.
 | Layers Specifies the name of layer(s) to be used as filter(s). Enter one or more layers separated by commas. To specify all layers, enter *.
 | Line types Specifies the line type(s) to be used as filter(s). Enter one or more line types separated by commas. To specify all line types, enter *.
 | Colors Specifies the name of line colors to be used as filter(s). Enter one or more color types separated by commas. To specify all colors, enter *.


Add filters to object snaps (Quick Reference)

Add filters to object snaps
Add filters to object snaps
Add filters to object snaps
Create and modify geometry > Work with precision tools >
Add filters to object snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Entity Filter dialog box

Use the Entity Filter dialog box to set new filters to object snaps, and to delete or edit existing filters.

List of Entity Filters

Shows a list of available entity filters and enables you to turn a filter on or off.

New

Displays the New Entity Filter dialog box, which enables you to define a new entity filter.

Edit

Displays the Edit Entity Filter dialog box for the filter selected in the list of entity filters.

Delete

Deletes the selected filter.


Add filters to object snaps (Quick Reference)

Add filters to object snaps
Add filters to object snaps
Add filters to object snaps
Create and modify geometry > Work with precision tools >
Add filters to object snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

New Entity Filter dialog box

Use the New Entity Filter dialog box to add new filters.

Filter name Specifies a name for the filter.
Filter Settings
 | Container types Specifies the container type(s) to be used as filter(s). The container specifies the DXF names of container entities such as dimensions, customized standard part entities, and solids. Enter one or more container types separated by commas.
 | Container types Specifies the container type(s) to be used as filter(s). The container specifies the DXF names of container entities such as dimensions, customized standard part entities, and solids. Enter one or more container types separated by commas.
 | Entity types Specifies the entity type(s) to be used as filter(s). Enter one or more entity types separated by commas.
 | Layers Specifies the name of layer(s) to be used as filter(s). Enter one or more layers separated by commas. To specify all layers, enter *.
 | Line types Specifies the line type(s) to be used as filter(s). Enter one or more line types separated by commas. To specify all line types, enter *.
 | Colors Specifies the name of line colors to be used as filter(s). Enter one or more color types separated by commas. To specify all colors, enter *.


Add filters to object snaps (Quick Reference)

Add filters to object snaps
Add filters to object snaps
Add filters to object snaps
Create and modify geometry > Work with precision tools >
Add filters to object snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAPFILTERO

Switches entity filters on or off

Ribbon: None Does not exist on the ribbon.
Toolbar: Snap
Menu: Object Snap Cursor Menu [image] Tools [image] Drafting Settings [image] Entity Filter On/Off Does not exist in the menus.
Command entry: ampsnapfiltero

When entity filters are on, AutoCAD Mechanical does not assign snap points to entities such as dimensions, which do not require object snaps in general.


Add filters to object snaps (Quick Reference)

Add filters to object snaps
Add filters to object snaps
Object snap settings
Create and modify geometry > Work with precision tools >
Add filters to object snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

OPTIONS command (AM:Preferences tab)

The AMOPTIONS command manages settings and standards for parts, assemblies, drawings, standard parts, and general desktop preferences from the Options dialog box. The AutoCAD Mechanical AMOPTIONS command is merged with the AutoCAD OPTIONS command.

Ribbon: Output tab [image] Output - Export to DWF/PDF panel [image] Options.... Does not exist on the ribbon.
Toolbar: None
Menu: Default Menu [image] Tools [image] Options Does not exist in the menus.
Command entry: options

DIALOG BOX DEFINITIONS

Snap Settings Sets object snaps to User Settings, System Settings, or Suppress Object Snaps.
 | User Settings Enables snap modes selected in the Power Snap Settings dialog box and disables the snap modes assigned to AutoCAD commands.
 | System Settings Enables the snap modes assigned to AutoCAD commands in addition to snap modes selected in the Power Snap Settings dialog box. When these commands are used, the assigned snap modes are automatically activated.
 | Suppress Object Snaps Disables all object snaps.
Snap Defaults button Displays the Power Snap dialog box for setting snap modes, polar snap, or filters for object snaps. The setting you make in this dialog box is saved in the registry.
Administration Tools Sets preferences when no predefined administrator configuration exists.
 | Automatic Update of Local Settings Reads the administrator configuration file, and automatically updates the windows registry every time AutoCAD Mechanical starts. This option is not available unless the AdminCfgPath registry entry has been set.
 | System button Displays the System Editor dialog box to enable you to view and edit settings saved in the Windows registry.
 | Import button Displays the Open dialog box. Setting affects all tabs in the Options dialog box. You can browse to a location to import any of these file types: drawing files (.dwg), template drawings (.dwt), and configuration files (.cfg).
 | Export button Exports system settings (settings saved in the windows registry) to a CFG file. Does not export settings marked with a drawing icon.
File Safety Precautions Controls the auditing and saving of drawing files.
Enable UCS per View Controls whether each viewport has a unique UCS.
Object Selection Tooltip Shows a tooltip when you use power commands and move the cursor over an object.
Dynamic Object Selection Highlights applicable objects as you move the cursor to select objects, when you use mechanical commands (commands that begins with AM).
Turn off Layers for Hidden Objects Turns off layers assigned to the “behind” object (typically AM_9, AM_9N and AM_INV) at the time they are created. This setting has no impact on layers that are already created.
Preserve Translation Information Instructs system to store translation information with objects, at the time they are created. For example, when this option is enabled, title blocks created with the AMTITLE command contain information about the multi language dictionary (.mld) files that contain title block specific translation strings. If the option is not selected, during language conversion, title block text is treated as user-defined text and are translated using the dictionaries set up for user-defined text.
Make Predefined Hatches Associative Turns associativity on or off. Associative hatches update automatically when changes are made to predefined hatches.
Synchronize Browser with Modes Switches browser tabs when modes are changed.
Dialog Controls Opens the Dialog Controls dialog box, where you control settings for recent values and spinner controls.
Show Messages Opens the Show Messages dialog box. You use this dialog box to control whether Message dialog boxes appear when you edit external files or open files with bills of materials and balloons from earlier releases.
Desktop Symbol Size Adjust slider to specify symbol size.


Object snap settings (Concept)

Add filters to object snaps
Work with precision tools
Customize PolarSnaps
Create and modify geometry > Work with precision tools >
Object snap settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Three setting options for object snaps are available in the Options dialog box, AM:Preferences tab:

  • System Settings
  • User Settings
  • Suppress Object Snaps

You can the system settings or the user settings. If you suppress object snaps, the program does not use system settings or user settings.

System settings

In addition to the snap modes selected in the Power Snap Settings dialog box, the system setting enables the snap modes assigned to AutoCAD commands. When you use these commands, the snap modes assigned to them activate automatically.

User settings

This setting enables the snap modes selected in the Power Snap Settings dialog box and disables the snap modes assigned to AutoCAD commands.


To set the type of object snap (Procedure)

Add filters to object snaps
Up a level to ..
Customize PolarSnaps
Create and modify geometry > Work with precision tools >
Object snap settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set the type of object snap

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Preferences tab.
  3. From the Snap Settings list, select a type of setting for object snaps.
  4. In the Options dialog box, choose OK.


Object snap settings (Quick Reference)

Add filters to object snaps
Object snap settings
Customize PolarSnaps
Create and modify geometry > Work with precision tools >
Object snap settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

OPTIONS command (AM:Preferences tab)

The AMOPTIONS command manages settings and standards for parts, assemblies, drawings, standard parts, and general desktop preferences from the Options dialog box. The AutoCAD Mechanical AMOPTIONS command is merged with the AutoCAD OPTIONS command.

Ribbon: Output tab [image] Output - Export to DWF/PDF panel [image] Options.... Does not exist on the ribbon.
Toolbar: None
Menu: Default Menu [image] Tools [image] Options Does not exist in the menus.
Command entry: options

DIALOG BOX DEFINITIONS

Snap Settings Sets object snaps to User Settings, System Settings, or Suppress Object Snaps.
 | User Settings Enables snap modes selected in the Power Snap Settings dialog box and disables the snap modes assigned to AutoCAD commands.
 | System Settings Enables the snap modes assigned to AutoCAD commands in addition to snap modes selected in the Power Snap Settings dialog box. When these commands are used, the assigned snap modes are automatically activated.
 | Suppress Object Snaps Disables all object snaps.
Snap Defaults button Displays the Power Snap dialog box for setting snap modes, polar snap, or filters for object snaps. The setting you make in this dialog box is saved in the registry.
Administration Tools Sets preferences when no predefined administrator configuration exists.
 | Automatic Update of Local Settings Reads the administrator configuration file, and automatically updates the windows registry every time AutoCAD Mechanical starts. This option is not available unless the AdminCfgPath registry entry has been set.
 | System button Displays the System Editor dialog box to enable you to view and edit settings saved in the Windows registry.
 | Import button Displays the Open dialog box. Setting affects all tabs in the Options dialog box. You can browse to a location to import any of these file types: drawing files (.dwg), template drawings (.dwt), and configuration files (.cfg).
 | Export button Exports system settings (settings saved in the windows registry) to a CFG file. Does not export settings marked with a drawing icon.
File Safety Precautions Controls the auditing and saving of drawing files.
Enable UCS per View Controls whether each viewport has a unique UCS.
Object Selection Tooltip Shows a tooltip when you use power commands and move the cursor over an object.
Dynamic Object Selection Highlights applicable objects as you move the cursor to select objects, when you use mechanical commands (commands that begins with AM).
Turn off Layers for Hidden Objects Turns off layers assigned to the “behind” object (typically AM_9, AM_9N and AM_INV) at the time they are created. This setting has no impact on layers that are already created.
Preserve Translation Information Instructs system to store translation information with objects, at the time they are created. For example, when this option is enabled, title blocks created with the AMTITLE command contain information about the multi language dictionary (.mld) files that contain title block specific translation strings. If the option is not selected, during language conversion, title block text is treated as user-defined text and are translated using the dictionaries set up for user-defined text.
Make Predefined Hatches Associative Turns associativity on or off. Associative hatches update automatically when changes are made to predefined hatches.
Synchronize Browser with Modes Switches browser tabs when modes are changed.
Dialog Controls Opens the Dialog Controls dialog box, where you control settings for recent values and spinner controls.
Show Messages Opens the Show Messages dialog box. You use this dialog box to control whether Message dialog boxes appear when you edit external files or open files with bills of materials and balloons from earlier releases.
Desktop Symbol Size Adjust slider to specify symbol size.


Customize PolarSnaps (Concept)

Object snap settings
Work with precision tools
Assign snap modes to standard AutoCAD commands
Create and modify geometry > Work with precision tools >
Customize PolarSnaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

PolarSnap uses a grid of virtual concentric circles to locate points at increment distances from the base point. Set these increments in the PolarSnap section of the Polar Angle Settings dialog box. For example, if you set the radius (Polar distance) to 5.0 units, the cursor snaps as you move the cursor 5 units away, then 10 units, then 15 units, and so on.

PolarSnap also generates snap lines that radiate out from a base point at angles that you specify. Use the angle increment field in the Polar Angle Settings dialog box to set the snap angle.


Customize PolarSnaps (Quick Reference)

Object snap settings
Customize PolarSnaps
Customize PolarSnaps
Create and modify geometry > Work with precision tools >
Customize PolarSnaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERSNAP

Power Snap Settings dialog box

Entity Filter dialog box

New Entity Filter dialog box

Edit Entity Filter dialog box

AMPSNAP1

AMPSNAP2

AMPSNAP3

AMPSNAP4


To change polar snap settings (Procedure)

Object snap settings
Up a level to ..
Assign snap modes to standard AutoCAD commands
Create and modify geometry > Work with precision tools >
Customize PolarSnaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change polar snap settings

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Preferences tab.
  3. In the AM:Preferences tab, select Snap Defaults.
  4. In the Power Snap Settings dialog box, Choose Polar Snap Settings.
  5. In the Polar Snap Settings dialog box, make your necessary entries and choose OK.
  6. Click OK in all dialog boxes.


Customize PolarSnaps (Quick Reference)

Customize PolarSnaps
Customize PolarSnaps
Customize PolarSnaps
Create and modify geometry > Work with precision tools >
Customize PolarSnaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERSNAP

Displays the Power Snap Settings dialog box, to enable you to set the running object snap modes.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Object Snap Cursor Menu [image] Power Snap Settings Does not exist in the menus.
Command entry: ampowersnap


Customize PolarSnaps (Quick Reference)

Customize PolarSnaps
Customize PolarSnaps
Customize PolarSnaps
Create and modify geometry > Work with precision tools >
Customize PolarSnaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Power Snap Settings dialog box

Use the Snap Settings dialog box to create four global settings, or four global settings and one current setting, for the object snaps.

Power Snap Configuration Displays a drop-down list of a current setting and four global settings.
Power Snap tab
 | Object Snap On Turns object snap on and off. You can also turn Object Snap on or off by pressing F3.
 | Object Snap Tracking On Turns object snap tracking on and off. With object snap tracking, the cursor can track along alignment paths based on other object snap points when specifying points in a command. To use object snap tracking, turn on one or more object snaps. The AUTOSNAP system variable controls this setting.
 | Modes
 |  | Endpoint Snaps to the closest endpoint of an object. (END)
 |  | Midpoint Snaps to the midpoint of an object. (MID)
 |  | Center Snaps to the center of an arc, circle, ellipse, or elliptical arc. (CEN)
 |  | Node Snaps to a point object. (NOD)
 |  | Quadrant Snaps to a quadrant point of an arc or a circle. (QUA)
 |  | Intersection Snaps to the intersection of a line, an arc, or a circle. (INT)
 |  | Extension Snaps to the phantom extension of an arc or line. (EXT)
 |  | Insertion Snaps to the insertion point of text, a block, a shape, or an attribute. (INS) or the base point of a (mechanical structure) component view or folder. (INSS)
 |  | Perpendicular Snaps to a point perpendicular to an arc, a line, or a circle. (PER)
 |  | Tangent Snaps to the tangent of an arc or a circle. (TAN)
 |  | Nearest Snaps to the nearest point of an arc, a circle, a line, or a point. (NEA)
 |  | Apparent Intersection Snaps to the apparent intersection of two objects. (APPINT)
 |  | Parallel Snaps parallel to a specified line. (PAR)
 |  | Arc Radial Lines Snaps to a point on the phantom line that passes through an arc center point and one of the arc endpoints. (ARCR)
 |  | Arc Tangent Lines Snaps to a point on the phantom line that passes tangentially through an arc endpoint. (ARCT)
 |  | Symmetry Snaps symmetrically to a specified line. (SYMP)
 |  | Select All Selects all object snap modes on the respective Setting tab.
 |  | Clear All Clears all selected object snap modes on the respective Setting tab.
 | Options
 |  | Crosshair Size Defines the size of the crosshairs.
 |  | Show Snap in Status Line Displays the currently active snap modes in the status bar.
 |  | Ignore Z Coordinate Sets the Z coordinate to 0.0. The program projects all points selected on the current coordinate system.
 |  | Use Entity Filter Activates the current settings in the Entity Filter dialog box.
Polar Snap tab
 | Polar Tracking On Turns polar tracking on and off. You can also turn polar tracking on or off by pressing F10 or by using the AutoCAD AUTOSNAP system variable.
 | Polar Angle Settings Sets the alignment angles for polar tracking. The POLARANG system variable controls alignment angles.
 |  | Increment Angle Sets the polar increment angle used to open polar tracking alignment paths. Enter any angle, or select a common angle of 90, 60, 45, 30, 22.5, 18, 15, 10, and 5 degrees from the list. The POLARANG system variable controls this setting.
 |  | Additional Angles Makes any additional increment in the list available for polar tracking. The POLARMODE system variable controls the setting. If selected, the box below this title lists the additional angles that are available.
 |  | New Displays the Additional Angle dialog box enabling you to enter new angles.
 |  | Delete Deletes selected additional angles.
 | Snap On Turns Snap mode on and off. You can also turn Snap mode on or off by clicking Snap on the Status bar, by pressing F9, or by using the SNAPMODE system variable.
 | Object Snap Tracking Settings Sets options for object snap tracking.
 |  | Track Orthogonally Only Displays only orthogonal (horizontal/vertical) object snap tracking paths for acquired object snap points when object snap tracking is on. The POLARMODE system variable controls this setting.
 |  | Track Using All Polar Angle Settings Enables the cursor to track along any polar angle tracking path for acquired Osnap points when Object snap tracking is on while specifying points. The POLARMODE system variable controls this setting.
 | Polar Angle Measurement Sets the basis by which the program measures polar tracking alignment angles.
 |  | Absolute Bases polar tracking angles on the current user coordinate system (UCS).
 |  | Relative to Last Segment Bases polar tracking angles on the last object you created.
 | Polar Angle Measurement
 |  | Polar Snap On Sets the snap type to PolarSnap. When you set the snap type to Polar Snap and Snap mode is on, the cursor snaps along polar alignment angles set on the Polar Tracking tab relative to the starting polar tracking point. The SNAPTYPE system variable controls the snap type.
 |  | Polar Distance Sets the snap increment distance when you set the Snap Type to Polar Snap. If this value is 0, the Polar Snap distance assumes the value for Snap X Spacing. The POLARDIST system variable controls this value.
Filter Options Displays the Entity Filter dialog box.


Customize PolarSnaps (Quick Reference)

Customize PolarSnaps
Customize PolarSnaps
Customize PolarSnaps
Create and modify geometry > Work with precision tools >
Customize PolarSnaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Entity Filter dialog box

Use the Entity Filter dialog box to set new filters to object snaps, and to delete or edit existing filters.

List of Entity Filters

Shows a list of available entity filters and enables you to turn a filter on or off.

New

Displays the New Entity Filter dialog box, which enables you to define a new entity filter.

Edit

Displays the Edit Entity Filter dialog box for the filter selected in the list of entity filters.

Delete

Deletes the selected filter.


Customize PolarSnaps (Quick Reference)

Customize PolarSnaps
Customize PolarSnaps
Customize PolarSnaps
Create and modify geometry > Work with precision tools >
Customize PolarSnaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

New Entity Filter dialog box

Use the New Entity Filter dialog box to add new filters.

Filter name Specifies a name for the filter.
Filter Settings
 | Container types Specifies the container type(s) to be used as filter(s). The container specifies the DXF names of container entities such as dimensions, customized standard part entities, and solids. Enter one or more container types separated by commas.
 | Container types Specifies the container type(s) to be used as filter(s). The container specifies the DXF names of container entities such as dimensions, customized standard part entities, and solids. Enter one or more container types separated by commas.
 | Entity types Specifies the entity type(s) to be used as filter(s). Enter one or more entity types separated by commas.
 | Layers Specifies the name of layer(s) to be used as filter(s). Enter one or more layers separated by commas. To specify all layers, enter *.
 | Line types Specifies the line type(s) to be used as filter(s). Enter one or more line types separated by commas. To specify all line types, enter *.
 | Colors Specifies the name of line colors to be used as filter(s). Enter one or more color types separated by commas. To specify all colors, enter *.


Customize PolarSnaps (Quick Reference)

Customize PolarSnaps
Customize PolarSnaps
Customize PolarSnaps
Create and modify geometry > Work with precision tools >
Customize PolarSnaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit Entity Filter dialog box

Filter name Specifies a name for the filter.
Filter Settings
 | Container types Specifies the container type(s) to be used as filter(s). The container specifies the DXF names of container entities such as dimensions, customized standard part entities, and solids. Enter one or more container types separated by commas.
 | Container types Specifies the container type(s) to be used as filter(s). The container specifies the DXF names of container entities such as dimensions, customized standard part entities, and solids. Enter one or more container types separated by commas.
 | Entity types Specifies the entity type(s) to be used as filter(s). Enter one or more entity types separated by commas.
 | Layers Specifies the name of layer(s) to be used as filter(s). Enter one or more layers separated by commas. To specify all layers, enter *.
 | Line types Specifies the line type(s) to be used as filter(s). Enter one or more line types separated by commas. To specify all line types, enter *.
 | Colors Specifies the name of line colors to be used as filter(s). Enter one or more color types separated by commas. To specify all colors, enter *.


Customize PolarSnaps (Quick Reference)

Customize PolarSnaps
Customize PolarSnaps
Customize PolarSnaps
Create and modify geometry > Work with precision tools >
Customize PolarSnaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAP1

Sets the running object snap modes to the settings saved as Power Snap Configuration Setting 1

Ribbon: None Does not exist on the ribbon.
Toolbar: Design Tools [image] Snap Settings
Menu: Object Snap Cursor Menu [image] Power Snap Settings 1-4 ... Tools [image] Drafting Settings [image] Power Snap Configuration 1 Does not exist in the menus.
Command entry: ampsnap1


Customize PolarSnaps (Quick Reference)

Customize PolarSnaps
Customize PolarSnaps
Customize PolarSnaps
Create and modify geometry > Work with precision tools >
Customize PolarSnaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAP2

Sets the running object snap modes to the settings saved as Power Snap Configuration Setting 2

Ribbon: None Does not exist on the ribbon.
Toolbar: Design Tools [image] Snap Settings
Menu: Object Snap Cursor Menu [image] Power Snap Settings 1-4 ... Tools [image] Drafting Settings [image] Power Snap Configuration 2 Does not exist in the menus.
Command entry: ampsnap2


Customize PolarSnaps (Quick Reference)

Customize PolarSnaps
Customize PolarSnaps
Customize PolarSnaps
Create and modify geometry > Work with precision tools >
Customize PolarSnaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAP3

Sets the running object snap modes to the settings saved as Power Snap Configuration Setting 3

Ribbon: None Does not exist on the ribbon.
Toolbar: Design Tools [image] Snap Settings
Menu: Object Snap Cursor Menu [image] Power Snap Settings 1-4 ... Tools [image] Drafting Settings [image] Power Snap Configuration 3 Does not exist in the menus.
Command entry: ampsnap3


Customize PolarSnaps (Quick Reference)

Customize PolarSnaps
Customize PolarSnaps
Assign snap modes to standard AutoCAD commands
Create and modify geometry > Work with precision tools >
Customize PolarSnaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPSNAP4

Sets the running object snap modes to the settings saved as Power Snap Configuration Setting 4

Ribbon: None Does not exist on the ribbon.
Toolbar: Design Tools [image] Snap Settings
Menu: Object Snap Cursor Menu [image] Power Snap Settings 1-4 ... Tools [image] Drafting Settings [image] Power Snap Configuration 4 Does not exist in the menus.
Command entry: ampsnap4


Assign snap modes to standard AutoCAD commands (Concept)

Customize PolarSnaps
Work with precision tools
How to manage layers in AutoCAD Mechanical
Create and modify geometry > Work with precision tools >
Assign snap modes to standard AutoCAD commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can assign different snap modes to standard AutoCAD commands. If you set the Snap Settings option in the AM:Preferences tab of the Options dialog box to System Settings, whenever you use an AutoCAD command, the program activates the snap modes assigned to that command automatically. For example, you can make the snap modes Center, Intersection, and Endpoint active whenever you start the DONUT command.

Assign snap modes to an AutoCAD command by entering the name of the command as a key in the ACADM>OSWIZ>Osmode4Cmds branch of the System Editor and assigning a value code to the value of the key.

Note
  • The snap modes set in the Drafting Settings dialog box or in the Power Snap Settings dialog box have no effect on the snap modes associated with the AutoCAD commands.
  • We do not recommend using this feature with transparent commands.
The format of the value code

The general format of the system value code consists of four sections: SIGN, ACADSNAPMODES, DELIMITER, and MCADSNAPMODES. It can be represented as follows:

SIGNoptACADSNAPMODESoptDELIMITERoptMCADSNAPMODESopt

opt: Optional. You can omit the designated section.

ACADSNAPMODES: The value code for the AutoCAD object snap modes based on the AutoCAD OSMODE system variable.

MCADSNAPMODES: The value code for the ACAD Mechanical object snap modes: Arc Radial, Arc Tangent, and Symmetry.

The program assigns the following integer values to these snap modes:

  • 1: Arc Radial
  • 2: Arc Tangent
  • 4: Symmetry

DELIMITER: The pipe sign “|”.

SIGN: The minus or plus sign. A minus sign makes the snap modes defined by ACADSNAPMODES or MCADNAPMODES and those set in the Drafting Settings dialog box and Power Snap Settings dialog box active, when you use the respective AutoCAD command. A plus sign makes the snap modes defined by ACADSNAPMODES or MCADSNAPMODES active and disables those set in the Drafting Settings dialog box and Power Snap Settings dialog box. If you set the ACADSNAPMODES or MCADSNAPMODES to 0, the sign has no effect and the program suppresses object snaps.

Example:

To assign the AutoCAD DONUT command the following snap modes:

  • AutoCAD endpoint, midpoint, and the intersection snap mode. ACADSNAPMODES (OSMODE): 35.
  • MCAD arc radial, arc tangent, and the symmetry snap. MCADSNAPMODES: 7.

To make the snap modes assigned to the DONUT command active whenever you start the DONUT command, set the value code for DONUT to -35|7.


To assign snap modes to standard AutoCAD commands (Procedure)

Customize PolarSnaps
Up a level to ..
How to manage layers in AutoCAD Mechanical
Create and modify geometry > Work with precision tools >
Assign snap modes to standard AutoCAD commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To assign snap modes to standard AutoCAD commands

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Preferences tab and click System. The System Editor appears.
  3. In the navigation area (left side of dialog box), select Acad/M [image] OSWiz [image] Osmode4cmds and right-click.
  4. From the shortcut menu, choose New.
  5. In the Modify/Create Configuration Object dialog box, in the Key box, enter the name of the command you want to assign snap modes to.
  6. In the Value box, enter the special value code for the snap modes (see Concept tab for details on special value codes).
  7. From the Type list, select string.
  8. Select Cfg.
  9. Click OK until all dialog boxes close.


Assign snap modes to standard AutoCAD commands (Quick Reference)

Customize PolarSnaps
Assign snap modes to standard AutoCAD commands
About using layers
Create and modify geometry > Work with precision tools >
Assign snap modes to standard AutoCAD commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

System Editor dialog box

Use this dialog box to edit settings stored in the Windows Registry. In most cases, other dialog boxes expose these settings. These settings are not for end-user manipulation. This dialog box is for advanced users only.

Show/Hide dialog box

NoteThe System Editor does not validate changes. Some changes can disable your system. We recommend that you note the original values of configuration variables before changing them and that you make a backup of the Windows Registry before changing anything.

Navigation Area (Left side of dialog box)

Shows categories of configuration variables in a tree-structured list. The categories displayed depend on where the system editor is opened. If you open the dialog box by clicking the System button in the AM:Preferences tab of the Options dialog box, it shows all categories. If you open the dialog box from the Fit Representation dialog box, or the Tolerance Method dialog box, only the relevant categories appear.

Variable Area (Top-right side of dialog box)

Shows the keys (configuration variables) that belong to the category selected in the navigation area. Double-click a variable to change its value.

Description Area (Bottom-right of dialog box)

Describes what is controlled by the key selected in the variable area.


How to manage layers in AutoCAD Mechanical

Assign snap modes to standard AutoCAD commands
Create and modify geometry
About using layers
Create and modify geometry >
How to manage layers in AutoCAD Mechanical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • About using layers
  • Create and customize mechanical layers
  • Toggle visibility of specific object types using layers
  • Move objects from one layer to another
  • Use a layer as a selection set
  • Use layer groups


How to manage layers in AutoCAD Mechanical (Procedure)

Assign snap modes to standard AutoCAD commands
How to manage layers in AutoCAD Mechanical
About using layers
Create and modify geometry >
How to manage layers in AutoCAD Mechanical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To change properties of a mechanical layer

To create a layer

To create a layer from a layer definition

To delete a layer

To delete a layer definition

To freeze and thaw a layer in a new viewport

To reset layers to default settings

To lock and unlock layers

To change properties of a mechanical layer

To turn specific layers on and off

To move objects on working layers to standard part layers

To move objects on standard parts layers to working layers

To move objects from one layer to another

To use a layer as a selection set

To create a layer group

To delete a layer group

To move objects from one layer group to another layer group

To copy a layer group

To override layer color by layer group color

To use a layergroup as a selection set

To lock and visually differentiate inactive layergroups

To turn off visibility enhancements


About using layers (Concept)

How to manage layers in AutoCAD Mechanical
How to manage layers in AutoCAD Mechanical
Create and customize mechanical layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
About using layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

There are some significant differences between how you manage layers in AutoCAD and AutoCAD Mechanical.

AutoCAD commands always create objects on the current layer. As such you must set the layer corresponding to the object type as the current layer before you create the object. It also means that you must create the layers and specify settings such as color, lineweight and linetype beforehand.

AutoCAD Mechanical commands, using a feature that is known as Automatic Property Management, are pre-configured to create objects on specific layers. Regardless of what layer is set current, these commands create geometry/objects only on the predefined layer. If the layer doesn't exist, the command automatically creates the layer. Settings such as layer color, lineweight and linetype are taken from a set of pre-configured settings that are referred to as layer definitions.

The layers that AutoCAD Mechanical creates on the fly are called mechanical layers. The AMLAYER command enables you to see a list of mechanical layers as well as layer definitions. Similar to how the LAYER command enables you to change the properties of a layer, the AMLAYER command enables you to change the properties of mechanical layers and layer definitions. Additionally, the AMLAYER command shows you what objects are created on each layer.

AutoCAD Mechanical ships with 31 layer definitions that have been assigned to different objects by default. The names of these layers begin with “AM_”, followed by a number or a phrase as described below.

  • Working layers: Layers AM_0 through AM_12 . Almost all geometry is created on working layers.
  • Standard part layers: Layers AM_0N through AM_12N. AutoCAD Mechanical commands create standard parts and features on these layers.
  • Special layers: AM_BOR (used for drawing borders), AM_PAREF (used for part references), AM_CL (used for construction lines), AM_VIEW (used for viewports), and AM_INV (used for invisible lines).

AutoCAD Mechanical allows you to customize the properties of each object type so that AutoCAD Mechanical commands can create them on a layer of your choice instead of the ones they are created on by default. For information on how to customize AutoCAD Mechanical object properties, please refer to the topic Configure Automatic Property Management in the Configuration and Setup Guide.


About using layers (Quick Reference)

Assign snap modes to standard AutoCAD commands
About using layers
About using layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
About using layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYER

Mechanical Layer Manager

AMLAYER command line

Default layer assignments to objects


To change properties of a mechanical layer (Procedure)

How to manage layers in AutoCAD Mechanical
Up a level to ..
Create and customize mechanical layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
About using layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change properties of a mechanical layer

  1. Click None [image] None [image] At the Command prompt, enter AMLAYER.
  2. In the row containing the layer to modify:
    • To change the layer name: Click in the name column, type the new name, and then press ENTER.
    • To change the layer color: Click the layer color icon, select a color from the dialog box that appears, and then click OK.
    • To change the layer Linetype: Click Linetype and select a linetype from the drop-down list.
    • To change the layer Lineweight: Click Lineweight and select a lineweight from the drop-down list.
    • To toggle the ability to plot the layer: Click in the Plot column to toggle between the Plot and Do not plot icons.
    • To allow or disallow replication in layer groups: Click in the Replicate in Layergroup column. A tick in the column indicates that the feature is allowed.
    • To allow or disallow the layer group color to override the layer color: Click in the Override color by layer group column. A tick in the column indicates that the feature is allowed.
    • To change the description: Click in the Description column, type the description, and then press ENTER.
  3. Click OK until all dialog boxes close.


About using layers (Quick Reference)

About using layers
About using layers
About using layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
About using layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYER

Displays the Mechanical Layer Manager, which enables you to manage layers and mechanical layer definitions

It is also possible to launch the command transparent ('AMLAYER). If you enter -amlayer at the Command prompt, AMLAYER shows prompts on the command line instead of opening the Mechanical Layer Manager dialog box.

Ribbon: Home tab [image] Layers panel [image] Mechanical Layer Manager. Does not exist on the ribbon.
Toolbar: Mechanical Layer
Menu: Format [image] Mechanical Layer Manager Does not exist in the menus.
Command entry: amlayer
See Also
    • What is Automatic Property Management?


About using layers (Quick Reference)

About using layers
About using layers
About using layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
About using layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Mechanical Layer Manager

Use this dialog box to create, delete, and rename layers and layer definitions, change their properties, or add layer descriptions

NoteIf you use layer groups to categorize/organize geometry, take note that
  • Layer group management is no longer possible with the AMLAYER command. This functionality is now handled by the AMLAYERGROUP command.
  • The AMLAYER command, like all other AutoCAD Mechanical commands, acts on the group that has been set as the current layer group with the AMLAYERGROUP command. If you have not explicitly selected a layer group as the current layer group, AutoCAD Mechanical assumes that the base layer group is the current layer group.

Toolbar Buttons

Creates a layer. The drop-down menu adjacent to the button provides the following options:

  • New Layer - Creates a layer and layer definition.
  • New Layer Definition - Creates a layer definition only.

Deletes the current selection in the list of layers. If the current selection is an AutoCAD layer, the layer is deleted. If the current selection is a mechanical layer, the layer is deleted, but the layer definition continues to remain. If the current selection is a layer definition, the layer definition is deleted.

NoteThe following layers cannot be deleted:
  • Layers that contain objects
  • Layer definitions that have been assigned to objects
  • Layer definitions shipped with AutoCAD Mechanical (The default layer definitions that begin with AM)
  • The current layer
  • The special layer AM_0
  • The special layer DEFPOINTS, which contains the definition points of non associated dimensions.
  • xref dependant layers.

Sets the selected layer as the current layer.

AutoCAD commands always draw objects on the current layer. Set the current layer appropriately before you use AutoCAD commands. On the other hand, when Automatic Property Management is on, AutoCAD Mechanical commands draw objects on the appropriate layer no matter what layer is set as the current layer.

Enables you to select objects and determine what layers they are drawn on.

This button closes the dialog box temporarily to enable you to select an object in the drawing area. Once all the objects you want to check are selected, you press ENTER to return to the dialog box. When the dialog box appears again, the layers that the selected objects lie on are highlighted.

Temporarily hides the dialog box to enable you to select objects and move them to the layer that is selected in the list of layers.

Temporarily hides the dialog box and highlights the objects on the layer that is selected in the list of layers.

Hides layer definitions layer definitions in the list of layers.

Right-click menu items that are not available as toolbar buttons

Convert to Mechanical Layer

Converts the layer to a mechanical layer by creating a layer definition for it. AutoCAD Mechanical commands use the layer definition to replicate this layer, on demand, in a layergroup.

NoteOnce you convert to a mechanical layer, there is no way to convert it back to an AutoCAD layer. If you convert a layer unintentionally, you can:
  • Use the UNDO command.
  • Delete the layer and layer definition, and recreate it using the AutoCAD LAYER command.
  • Continue to use the layer as is - As long as you do not delete the layer, replicate the layer in layer groups or assign the layer to an object using AMOPTIONS, mechanical layers behave exactly like AutoCAD layers.

Use as Selection Set

Selects all the objects on the layer as part of a selection set. In subsequent commands, when you are prompted to select objects, you can access this selection set by entering the Previous keyword at the command prompt.

Invert Selection

Selects all items in the list, except the items that are currently selected.

Simple View

Hides the columns that show the properties of the layers and the names of the objects that use the layers.

Full View

Displays the columns that show the properties of the layers and the names of the objects that use the layers.

Search for Layer

Filters the list of layers to match the name you enter. You can use wildcard characters when specifying the filter. For example, if you only want to display layers that start with the letters AM, enter AM*.

NoteFor more information on wild cards, search for “Wild-Card Characters” in AutoCAD online help.

Filter type

Enables you to filter the list of layers based on the object types that use the layers.

Current layer

Displays the name of the current layer.

AutoCAD commands always draw objects on the current layer. On the other hand, when Automatic Property Management is on, AutoCAD Mechanical commands draw objects on the appropriate layer no matter what layer is set as the current layer.

Columns in list of layers

Status

- Indicates that the layer is a mechanical layer (layers created by AutoCAD Mechanical commands).

- Indicates that the layer is a mechanical layer that does not get replicated with layer groups. Layer groups are created with the AMLAYERGROUP command.

- Indicates that the layer was created by the AutoCAD LAYER command.

No Icon indicates that it is a layer definition.

Name

Displays the name of the layer or layer definition. Click to enable the ability to rename the layer or layer definition.

On

Indicates whether the layer is on or off. When a layer is on, it is visible and available for plotting. When a layer is off, it is invisible and not plotted, even if Plot is on. Click to toggle the on/off status of that layer.

Freeze

Indicates whether the layer is frozen or not. When a layer is frozen, objects on it are not displayed, plotted, hidden, rendered, or regenerated. Click to toggle the freeze/thaw status of that layer.

NoteFreeze only the layers you want to make invisible for long periods. If you plan to switch visibility settings frequently, use the On/Off setting to avoid regenerating the drawing.

Lock

Indicates whether the layer is locked or unlocked. When a layer is locked, objects on it cannot be modified. Click to toggle the locked/unlocked status of that layer.

Color

Indicates the color associated with the layer. Click the color to display the Select Color dialog box, which enables you to select a different color.

Linetype

Indicates the linetype associated with the layer. Click to display a list of linetypes you can select for that layer.

Lineweight

Indicates the lineweight associated with the layer. Click to display a list of lineweights you can select for that layer.

Plot

Indicates whether the layer is plotted or not. Click to toggle the plot status of that layer.

Objects on layers that have plotting turned off continue to be visible in the drawing area. Layers that are off or frozen are not plotted regardless of the plot setting.

New VP Freeze

Indicates whether the layer is frozen in new layout viewports. This option has no effect on the visibility of the layer in other viewports. This column is visible only in layout. Click to toggle the freeze/thaw status.

VP Freeze

Indicates whether the layer is frozen in the current layout viewport. This option has no effect on the visibility of the layer in other viewports. This column is visible only in layout. Click to toggle the freeze/thaw status. Right-click to apply the setting to a viewport other than the current viewport, or to all viewports.

NoteYou can freeze a layer in the current viewport while it is thawed in the drawing, but you cannot thaw a layer in the current viewport, if it is frozen in the drawing.

Replicate in Layergroup

Indicates whether the layer is replicated when a new layer group is created with the AMLAYERGROUP command. Click to toggle the replicate status of that layer.

NoteAutoCAD Mechanical does not delete any existing layers if you turn off this setting after layer groups have been created.

Override color by Layergroup

Indicates whether the color associated with the layer is overridden by the layer group color, when the layer is part of a layer group. Click to toggle the override status of that layer

Associated objects

Contains the names of the objects that use the layer. This option is applicable only to mechanical layers.

Description

Contains an optional description of the layer or layer definition. Click to enable the ability to change the description for that layer.

Import

Imports the layer settings and Automatic Property Management settings from another drawing (.dwg), drawing template (.dwt) or configuration file (.cfg):

Lineweight Mapping

Displays the Lineweight Mapping dialog box, which allows you to assign a lineweight to a color and thereby change the lineweight of all layers of that color.

Restore Defaults

Resets all settings to the default values for the active drafting standard.


About using layers (Quick Reference)

About using layers
About using layers
About using layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
About using layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYER command line

Use -AMLAYER to run the AMLAYER command options from the command line. You can manage layers using the AMLAYER command.

COMMAND

-AMLAYER

COMMAND LINE OPTIONS

Enter an option [Layer/Object keys]: Enter L to select the Layer option, enter O, select the Object Keys option.

Layer

Provides options to create, delete, and rename layers and layer definitions, change their properties, or add layer descriptions

Enter an option [?/Make/Set/New/Freeze/Thaw/Lock/Unlock/sElection set/Highlight]: Select an option.
 | ?: Displays a list of layers and layer definitions, showing their names, states, color numbers, linetypes, lineweights, and whether they are externally dependent layers.
 | Enter layer name(s) to list <*>: Enter the layer name(s) to list, click ENTER to list all layers, or click ESC to return to the previous prompt. You can use wildcard characters to filter the list. For example, if you only want to display layers that start with the letters GEAR, enter GEAR*.
 | Make Creates a layer from a layer definition and makes it current.
 | Enter layer name (becomes the current layer) <CurrentLayer>: Enter the name of an existing layer definition. You can precede the name of the layer definition with the name of a layer group (“Group1-AM_5”,for example) so that an instance of the layer definition is created on that layer group. If you enter the name of an existing layer, that layer is made the current layer. Press ESC to return to the previous Prompt.
 | Set Specifies a new current layer but does not create the layer if it does not exist. If the layer exists but is turned off, it is turned on and made current. A frozen layer cannot be made current.
 | Enter layer name to make current or <select object>: Enter the name of an existing mechanical layer. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”,for example) so that the mechanical layer in the specified layer group is set current. You cannot specify a layer that is not a mechanical layer. You can also select a layer directly from the drawing area by pressing ENTER and then selecting an object on the layer you want to select.
 | New Creates a layer from a layer definition.
 | Enter name list for new layer(s): Enter the name of an existing layer definition. You can specify multiple layer definition names, separating each name with a comma. You can precede the name of the layer definition with the name of a layer group (“Group1-AM_5”,for example) so that an instance of the layer definition is created on that layer group.
 | Freeze Freezes mechanical layers, making objects on them invisible and excluding them from regeneration and plotting.
 | Enter name list of layer(s) to freeze or <select objects>: Enter the name of an existing mechanical layer. You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group freezes. You cannot specify a layer that is not a mechanical layer. You can also select layers directly from the drawing area by pressing ENTER and then selecting objects on the layers you want to select.
 | Thaw Thaws frozen mechanical layers, making objects on them visible and available for regeneration and plotting.
 | Enter name list of layer(s) to thaw: Enter the name of a frozen mechanical layer You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group thaws. You cannot specify a layer that is not a mechanical layer.
 | Lock Locks mechanical layers, preventing editing of objects on them.
 | Enter name list of layer(s) to lock or <select objects>: Enter the name of an existing mechanical layer. You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group locks. You cannot specify a layer that is not a mechanical layer. You can also select layers directly from the drawing area by pressing ENTER and then selecting objects on the layers you want to select. You cannot lock the current layer.
 | Unlock Unlocks mechanical layers, permitting editing of objects on them.
 | Enter name list of layer(s) to unlock: Enter the name of an existing mechanical layer. You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group unlocks. You cannot specify a layer that is not a mechanical layer.
 | Selection set Selects the objects on mechanical layers, permitting subsequent commands to use them as a selection set via the Previous keyword.
 | Enter name list of layer(s) to select: Enter the name of an existing mechanical layer. You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group is selected. You cannot specify a layer that is not a mechanical layer.
 | Highlight Highlights all objects on the layers you select.
 | Enter name list of layer(s) to highlight: Enter the name of an existing mechanical layer. You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group is selected. You cannot specify a layer that is not a mechanical layer.

Object key

Looks up the layer assigned to an object, and creates the layer and sets it as current.

Enter object key or [?] <?>: ? Enter the key for the object type to look up or press ENTER to see a list of object types and object keys.

These options remain without changes in Mechanical Extension 1.


About using layers (Quick Reference)

About using layers
About using layers
Create and customize mechanical layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
About using layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Default layer assignments to objects

Mechanical Layers for Hidden Lines
1 | Behind | AM_9
2 | Behind (extra) | AM_INV
3 | Hidden Line, Narrow | AM_3
4 | Hidden Line | AM_3
5 | Standard Parts: Behind | AM_9N
6 | Standard Parts: Hidden Line, Narrow | AM_3N
7 | Standard Parts: Hidden Line | AM_3N
Mechanical Layers for Title Block / Border
1 | Drawing Border Thin Objects | AM_BOR
2 | Drawing Border Objects | AM_BOR
3 | Drawing Border Thick Objects | AM_BOR
4 | Title Block Thin Objects | AM_BOR
5 | Title Block Objects | AM_BOR
6 | Title Block Thick Objects | AM_BOR
Mechanical Layers for Calculation
1 | Calculation Symbols | AM_5
2 | Calculation Thick Objects | AM_4
3 | Calculation Thin Objects | AM_4
4 | Calculation Very Thick Objects | AM_4
5 | FEA: Deformation Mesh | AM_2
6 | FEA: Mesh | AM_8
7 | FEA: Number of Points | AM_8
8 | FEA: Stress | AM_11
9 | FEA: Text for Stress | AM_11
10 | FEA: Text for Deformation | AM_2
Mechanical Layers for Drafting
1 | Auxiliary Line | AM_4
2 | Break Line Long (Zig Zag) | AM_4
3 | Break Line Short | AM_4
4 | Break Out Line | AM_4
5 | Centerline | AM_7
6 | Centerline, Narrow | AM_7
7 | Construction Line | AM_CL
8 | Contour 1 | AM_0
9 | Contour 2 | AM_1
10 | Contour 3 | AM_2
11 | Detail Enlargement Border | AM_4
12 | Diagonal Cross for Planes | AM_5
13 | Hatch | AM_8
14 | Hidden Line | AM_3
15 | Hidden Line, Narrow | AM_3
16 | Hole Circle | AM_7
17 | Hole Circle, Narrow | AM_7
18 | Section/Viewing Plane Line | AM_10
19 | Standard Parts: Centerline | AM_7N
20 | Standard Parts: Centerline Narrow | AM_7N
21 | Standard Parts: Contour 1 | AM_0N
22 | Standard Parts: Contour 2 | AM_1N
23 | Standard Parts: Contour 3 | AM_2N
24 | Standard Parts: Contour 4 | AM_2N
25 | Standard Parts: Hatch | AM_8N
26 | Standard Parts: Hidden Line | AM_3N
27 | Standard Parts: Hidden Line, Narrow | AM_3N
28 | Standard Parts: Phantom | AM_11N
29 | Standard Parts: Section/Viewing Plane Line | AM_10N
30 | Standard Parts: Thread Contour | AM_0N
31 | Standard Parts: Thread End at Usable Length | AM_0N
32 | Standard Parts: Thread Line | AM_4N
33 | Thread Contour | AM_0
34 | Thread End at Usable Length | AM_0
35 | Thread Line | AM_4
36 | Trailing Line | AM_TR
37 | Transition Line | AM_4
Mechanical Layers for Dimensioning
1 | Dimension Line | AM_5
2 | Standard Parts: Dimension Line | AM_5N
3 | Text Small | AM_6
4 | Text Medium | AM_6
Mechanical Layers for BOM / Symbols
1 | Balloon Geometry | AM_5
2 | Leader | AM_5
3 | Standard Parts: Leader | AM_5N
4 | Mechanical Symbols | AM_5
5 | Parts List Cell Lines | AM_BOR
6 | Parts List Grip Frame | AM_BOR
7 | Parts List Outer Frame | AM_BOR
8 | Part Reference | AM_PAREF
Mechanical Layers for Standard Parts
1 | Standard Parts: Behind | AM_9N
2 | Standard Parts: Contour 1 | AM_0N
3 | Standard Parts: Contour 2 | AM_1N
4 | Standard Parts: Contour 3 | AM_2N
5 | Standard Parts: Contour 4 | AM_2N
6 | Standard Parts: Centerline | AM_7N
7 | Standard Parts: Centerline Narrow | AM_7N
8 | Standard Parts: Dimension Line | AM_5N
9 | Standard Parts: Hatch | AM_8N
10 | Standard Parts: Hidden Line, Narrow | AM_3N
11 | Standard Parts: Hidden Line | AM_3N
12 | Standard Parts: Leader | AM_5N
13 | Standard Parts: Non-plottable Objects | AM_12N
14 | Standard Parts: Phantom | AM_11N
15 | Standard Parts: Thread Contour | AM_0N
16 | Standard Parts: Thread Line | AM_4N
17 | Standard Parts: Thread End at Usable Length | AM_0N
18 | Standard Parts: Section/Viewing Plane Line | AM_10N
Mechanical Layers for Text
1 | Text Large | AM_6
2 | Text Medium | AM_6
3 | Text Small | AM_6
4 | Text Very Large | AM_6
5 | Text Very Small | AM_6
Mechanical Layers for Non-plottable Objects
1 | Non-plottable Objects | AM_12
2 | Part Reference | AM_PAREF
3 | Standard Parts: Non-plottable Objects | AM_12N
4 | Viewport | AM_VIEWS


Create and customize mechanical layers (Concept)

About using layers
How to manage layers in AutoCAD Mechanical
Toggle visibility of specific object types using layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Create and customize mechanical layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical commands creates mechanical layers on the fly and there is usually no need to create them manually. However, if required you can manually create mechanical layers with the AMLAYER command. The AMLAYER command displays the Mechanical Layer Manager, which enables you to create a mechanical layer from an existing layer definition or create a completely new mechanical layer (and definition).

As with the Layer Manager (AutoCAD LAYER command), the Mechanical Layer Manager lets you set the properties of layers. You can also set the properties of layer definitions, which is not possible with the LAYER command.

If you use the LAYER command to change the properties of a mechanical layer, the properties of the layer will no longer match its definition. If required, you can reset all mechanical layers to match the properties of their definition with the AMLAYRESET command.


Create and customize mechanical layers (Procedure)

About using layers
Up a level to ..
Create and customize mechanical layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Create and customize mechanical layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a layer

To create a layer from a layer definition

To delete a layer

To delete a layer definition

To freeze and thaw a layer in a new viewport

To reset layers to default settings

To lock and unlock layers

To change properties of a mechanical layer


Create and customize mechanical layers (Quick Reference)

About using layers
Create and customize mechanical layers
Create and customize mechanical layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Create and customize mechanical layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYER

Mechanical Layer Manager

AMLAYER command line

Delete Layer dialog box

Lineweight Mapping dialog box

AMLAYRESET


To create a layer (Procedure)

Create and customize mechanical layers
Up a level to ..
Create and customize mechanical layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Create and customize mechanical layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a layer

  1. Click None [image] None [image] At the Command prompt, enter AMLAYER.
  2. Click [image] .
  3. In the Name column, specify a name for the new layer.
  4. Click OK.


To create a layer from a layer definition (Procedure)

Create and customize mechanical layers
Up a level to ..
Create and customize mechanical layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Create and customize mechanical layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a layer from a layer definition

  1. Click None [image] None [image] At the Command prompt, enter AMLAYER.
  2. Click [image] to show all layer definitions.
  3. Double-click the layer definition you want to create a layer from. The layer is created and set current.
  4. Click OK.


To delete a layer (Procedure)

Create and customize mechanical layers
Up a level to ..
Create and customize mechanical layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Create and customize mechanical layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete a layer

  1. Click None [image] None [image] At the Command prompt, enter AMLAYER.
  2. In the Mechanical Layer Manager, select the layers you want to delete.
  3. Click [image] .
Note
  • Specific layers, such as the current layer and the layer AM_0 can’t be deleted.
  • Layers that are used by objects or external references cannot be deleted. If such objects are detected, AutoCAD Mechanical displays the Mechanical Layer - Delete dialog box to let you delete the objects on the layer or move them to a different layer.
  • If you delete a mechanical layer, the layer is deleted, but the definition remains.


To delete a layer definition (Procedure)

Create and customize mechanical layers
Up a level to ..
Create and customize mechanical layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Create and customize mechanical layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete a layer definition

  1. Click None [image] None [image] At the Command prompt, enter AMLAYER.
  2. Click [image] to show all layer definitions.
  3. Select the layer definitions you want to delete.
  4. Click [image] .
NoteThe layer definitions shipped with AutoCAD Mechanical and layer definitions that are assigned to objects cannot be deleted.


To freeze and thaw a layer in a new viewport (Procedure)

Create and customize mechanical layers
Up a level to ..
Create and customize mechanical layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Create and customize mechanical layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To freeze and thaw a layer in a new viewport

  1. Click the Layout tab to switch to the Layout mode.
  2. Click None [image] None [image] At the Command prompt, enter AMLAYER.
  3. In the row corresponding to the layer you want to freeze/thaw, click in the New VP Freeze column to toggle the current status.
  4. Click OK.
NoteThe Freeze in New VP column is available in Layout mode only.


To reset layers to default settings (Procedure)

Create and customize mechanical layers
Up a level to ..
Create and customize mechanical layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Create and customize mechanical layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To reset layers to default settings

  • Click None [image] None [image] At the Command prompt, enter AMLAYRESET.


To lock and unlock layers (Procedure)

Create and customize mechanical layers
Up a level to ..
Create and customize mechanical layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Create and customize mechanical layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To lock and unlock layers

  1. Click None [image] None [image] At the Command prompt, enter AMLAYER.
  2. In the Mechanical Layer Manager, select the layer to lock or unlock.
  3. In the row corresponding to the layer you want to lock/unlock, in the Lock column, click the lock icon.
  4. Click OK.


To change properties of a mechanical layer (Procedure)

Create and customize mechanical layers
Up a level to ..
Toggle visibility of specific object types using layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Create and customize mechanical layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change properties of a mechanical layer

  1. Click None [image] None [image] At the Command prompt, enter AMLAYER.
  2. In the row containing the layer to modify:
    • To change the layer name: Click in the name column, type the new name, and then press ENTER.
    • To change the layer color: Click the layer color icon, select a color from the dialog box that appears, and then click OK.
    • To change the layer Linetype: Click Linetype and select a linetype from the drop-down list.
    • To change the layer Lineweight: Click Lineweight and select a lineweight from the drop-down list.
    • To toggle the ability to plot the layer: Click in the Plot column to toggle between the Plot and Do not plot icons.
    • To allow or disallow replication in layer groups: Click in the Replicate in Layergroup column. A tick in the column indicates that the feature is allowed.
    • To allow or disallow the layer group color to override the layer color: Click in the Override color by layer group column. A tick in the column indicates that the feature is allowed.
    • To change the description: Click in the Description column, type the description, and then press ENTER.
  3. Click OK until all dialog boxes close.


Create and customize mechanical layers (Quick Reference)

Create and customize mechanical layers
Create and customize mechanical layers
Create and customize mechanical layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Create and customize mechanical layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYER

Displays the Mechanical Layer Manager, which enables you to manage layers and mechanical layer definitions

It is also possible to launch the command transparent ('AMLAYER). If you enter -amlayer at the Command prompt, AMLAYER shows prompts on the command line instead of opening the Mechanical Layer Manager dialog box.

Ribbon: Home tab [image] Layers panel [image] Mechanical Layer Manager. Does not exist on the ribbon.
Toolbar: Mechanical Layer
Menu: Format [image] Mechanical Layer Manager Does not exist in the menus.
Command entry: amlayer
See Also
    • What is Automatic Property Management?


Create and customize mechanical layers (Quick Reference)

Create and customize mechanical layers
Create and customize mechanical layers
Create and customize mechanical layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Create and customize mechanical layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Mechanical Layer Manager

Use this dialog box to create, delete, and rename layers and layer definitions, change their properties, or add layer descriptions

NoteIf you use layer groups to categorize/organize geometry, take note that
  • Layer group management is no longer possible with the AMLAYER command. This functionality is now handled by the AMLAYERGROUP command.
  • The AMLAYER command, like all other AutoCAD Mechanical commands, acts on the group that has been set as the current layer group with the AMLAYERGROUP command. If you have not explicitly selected a layer group as the current layer group, AutoCAD Mechanical assumes that the base layer group is the current layer group.

Toolbar Buttons

Creates a layer. The drop-down menu adjacent to the button provides the following options:

  • New Layer - Creates a layer and layer definition.
  • New Layer Definition - Creates a layer definition only.

Deletes the current selection in the list of layers. If the current selection is an AutoCAD layer, the layer is deleted. If the current selection is a mechanical layer, the layer is deleted, but the layer definition continues to remain. If the current selection is a layer definition, the layer definition is deleted.

NoteThe following layers cannot be deleted:
  • Layers that contain objects
  • Layer definitions that have been assigned to objects
  • Layer definitions shipped with AutoCAD Mechanical (The default layer definitions that begin with AM)
  • The current layer
  • The special layer AM_0
  • The special layer DEFPOINTS, which contains the definition points of non associated dimensions.
  • xref dependant layers.

Sets the selected layer as the current layer.

AutoCAD commands always draw objects on the current layer. Set the current layer appropriately before you use AutoCAD commands. On the other hand, when Automatic Property Management is on, AutoCAD Mechanical commands draw objects on the appropriate layer no matter what layer is set as the current layer.

Enables you to select objects and determine what layers they are drawn on.

This button closes the dialog box temporarily to enable you to select an object in the drawing area. Once all the objects you want to check are selected, you press ENTER to return to the dialog box. When the dialog box appears again, the layers that the selected objects lie on are highlighted.

Temporarily hides the dialog box to enable you to select objects and move them to the layer that is selected in the list of layers.

Temporarily hides the dialog box and highlights the objects on the layer that is selected in the list of layers.

Hides layer definitions layer definitions in the list of layers.

Right-click menu items that are not available as toolbar buttons

Convert to Mechanical Layer

Converts the layer to a mechanical layer by creating a layer definition for it. AutoCAD Mechanical commands use the layer definition to replicate this layer, on demand, in a layergroup.

NoteOnce you convert to a mechanical layer, there is no way to convert it back to an AutoCAD layer. If you convert a layer unintentionally, you can:
  • Use the UNDO command.
  • Delete the layer and layer definition, and recreate it using the AutoCAD LAYER command.
  • Continue to use the layer as is - As long as you do not delete the layer, replicate the layer in layer groups or assign the layer to an object using AMOPTIONS, mechanical layers behave exactly like AutoCAD layers.

Use as Selection Set

Selects all the objects on the layer as part of a selection set. In subsequent commands, when you are prompted to select objects, you can access this selection set by entering the Previous keyword at the command prompt.

Invert Selection

Selects all items in the list, except the items that are currently selected.

Simple View

Hides the columns that show the properties of the layers and the names of the objects that use the layers.

Full View

Displays the columns that show the properties of the layers and the names of the objects that use the layers.

Search for Layer

Filters the list of layers to match the name you enter. You can use wildcard characters when specifying the filter. For example, if you only want to display layers that start with the letters AM, enter AM*.

NoteFor more information on wild cards, search for “Wild-Card Characters” in AutoCAD online help.

Filter type

Enables you to filter the list of layers based on the object types that use the layers.

Current layer

Displays the name of the current layer.

AutoCAD commands always draw objects on the current layer. On the other hand, when Automatic Property Management is on, AutoCAD Mechanical commands draw objects on the appropriate layer no matter what layer is set as the current layer.

Columns in list of layers

Status

- Indicates that the layer is a mechanical layer (layers created by AutoCAD Mechanical commands).

- Indicates that the layer is a mechanical layer that does not get replicated with layer groups. Layer groups are created with the AMLAYERGROUP command.

- Indicates that the layer was created by the AutoCAD LAYER command.

No Icon indicates that it is a layer definition.

Name

Displays the name of the layer or layer definition. Click to enable the ability to rename the layer or layer definition.

On

Indicates whether the layer is on or off. When a layer is on, it is visible and available for plotting. When a layer is off, it is invisible and not plotted, even if Plot is on. Click to toggle the on/off status of that layer.

Freeze

Indicates whether the layer is frozen or not. When a layer is frozen, objects on it are not displayed, plotted, hidden, rendered, or regenerated. Click to toggle the freeze/thaw status of that layer.

NoteFreeze only the layers you want to make invisible for long periods. If you plan to switch visibility settings frequently, use the On/Off setting to avoid regenerating the drawing.

Lock

Indicates whether the layer is locked or unlocked. When a layer is locked, objects on it cannot be modified. Click to toggle the locked/unlocked status of that layer.

Color

Indicates the color associated with the layer. Click the color to display the Select Color dialog box, which enables you to select a different color.

Linetype

Indicates the linetype associated with the layer. Click to display a list of linetypes you can select for that layer.

Lineweight

Indicates the lineweight associated with the layer. Click to display a list of lineweights you can select for that layer.

Plot

Indicates whether the layer is plotted or not. Click to toggle the plot status of that layer.

Objects on layers that have plotting turned off continue to be visible in the drawing area. Layers that are off or frozen are not plotted regardless of the plot setting.

New VP Freeze

Indicates whether the layer is frozen in new layout viewports. This option has no effect on the visibility of the layer in other viewports. This column is visible only in layout. Click to toggle the freeze/thaw status.

VP Freeze

Indicates whether the layer is frozen in the current layout viewport. This option has no effect on the visibility of the layer in other viewports. This column is visible only in layout. Click to toggle the freeze/thaw status. Right-click to apply the setting to a viewport other than the current viewport, or to all viewports.

NoteYou can freeze a layer in the current viewport while it is thawed in the drawing, but you cannot thaw a layer in the current viewport, if it is frozen in the drawing.

Replicate in Layergroup

Indicates whether the layer is replicated when a new layer group is created with the AMLAYERGROUP command. Click to toggle the replicate status of that layer.

NoteAutoCAD Mechanical does not delete any existing layers if you turn off this setting after layer groups have been created.

Override color by Layergroup

Indicates whether the color associated with the layer is overridden by the layer group color, when the layer is part of a layer group. Click to toggle the override status of that layer

Associated objects

Contains the names of the objects that use the layer. This option is applicable only to mechanical layers.

Description

Contains an optional description of the layer or layer definition. Click to enable the ability to change the description for that layer.

Import

Imports the layer settings and Automatic Property Management settings from another drawing (.dwg), drawing template (.dwt) or configuration file (.cfg):

Lineweight Mapping

Displays the Lineweight Mapping dialog box, which allows you to assign a lineweight to a color and thereby change the lineweight of all layers of that color.

Restore Defaults

Resets all settings to the default values for the active drafting standard.


Create and customize mechanical layers (Quick Reference)

Create and customize mechanical layers
Create and customize mechanical layers
Create and customize mechanical layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Create and customize mechanical layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYER command line

Use -AMLAYER to run the AMLAYER command options from the command line. You can manage layers using the AMLAYER command.

COMMAND

-AMLAYER

COMMAND LINE OPTIONS

Enter an option [Layer/Object keys]: Enter L to select the Layer option, enter O, select the Object Keys option.

Layer

Provides options to create, delete, and rename layers and layer definitions, change their properties, or add layer descriptions

Enter an option [?/Make/Set/New/Freeze/Thaw/Lock/Unlock/sElection set/Highlight]: Select an option.
 | ?: Displays a list of layers and layer definitions, showing their names, states, color numbers, linetypes, lineweights, and whether they are externally dependent layers.
 | Enter layer name(s) to list <*>: Enter the layer name(s) to list, click ENTER to list all layers, or click ESC to return to the previous prompt. You can use wildcard characters to filter the list. For example, if you only want to display layers that start with the letters GEAR, enter GEAR*.
 | Make Creates a layer from a layer definition and makes it current.
 | Enter layer name (becomes the current layer) <CurrentLayer>: Enter the name of an existing layer definition. You can precede the name of the layer definition with the name of a layer group (“Group1-AM_5”,for example) so that an instance of the layer definition is created on that layer group. If you enter the name of an existing layer, that layer is made the current layer. Press ESC to return to the previous Prompt.
 | Set Specifies a new current layer but does not create the layer if it does not exist. If the layer exists but is turned off, it is turned on and made current. A frozen layer cannot be made current.
 | Enter layer name to make current or <select object>: Enter the name of an existing mechanical layer. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”,for example) so that the mechanical layer in the specified layer group is set current. You cannot specify a layer that is not a mechanical layer. You can also select a layer directly from the drawing area by pressing ENTER and then selecting an object on the layer you want to select.
 | New Creates a layer from a layer definition.
 | Enter name list for new layer(s): Enter the name of an existing layer definition. You can specify multiple layer definition names, separating each name with a comma. You can precede the name of the layer definition with the name of a layer group (“Group1-AM_5”,for example) so that an instance of the layer definition is created on that layer group.
 | Freeze Freezes mechanical layers, making objects on them invisible and excluding them from regeneration and plotting.
 | Enter name list of layer(s) to freeze or <select objects>: Enter the name of an existing mechanical layer. You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group freezes. You cannot specify a layer that is not a mechanical layer. You can also select layers directly from the drawing area by pressing ENTER and then selecting objects on the layers you want to select.
 | Thaw Thaws frozen mechanical layers, making objects on them visible and available for regeneration and plotting.
 | Enter name list of layer(s) to thaw: Enter the name of a frozen mechanical layer You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group thaws. You cannot specify a layer that is not a mechanical layer.
 | Lock Locks mechanical layers, preventing editing of objects on them.
 | Enter name list of layer(s) to lock or <select objects>: Enter the name of an existing mechanical layer. You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group locks. You cannot specify a layer that is not a mechanical layer. You can also select layers directly from the drawing area by pressing ENTER and then selecting objects on the layers you want to select. You cannot lock the current layer.
 | Unlock Unlocks mechanical layers, permitting editing of objects on them.
 | Enter name list of layer(s) to unlock: Enter the name of an existing mechanical layer. You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group unlocks. You cannot specify a layer that is not a mechanical layer.
 | Selection set Selects the objects on mechanical layers, permitting subsequent commands to use them as a selection set via the Previous keyword.
 | Enter name list of layer(s) to select: Enter the name of an existing mechanical layer. You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group is selected. You cannot specify a layer that is not a mechanical layer.
 | Highlight Highlights all objects on the layers you select.
 | Enter name list of layer(s) to highlight: Enter the name of an existing mechanical layer. You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group is selected. You cannot specify a layer that is not a mechanical layer.

Object key

Looks up the layer assigned to an object, and creates the layer and sets it as current.

Enter object key or [?] <?>: ? Enter the key for the object type to look up or press ENTER to see a list of object types and object keys.

These options remain without changes in Mechanical Extension 1.


Create and customize mechanical layers (Quick Reference)

Create and customize mechanical layers
Create and customize mechanical layers
Create and customize mechanical layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Create and customize mechanical layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Delete Layer dialog box

Use this dialog box to remove objects from the layer selected for deletion. You can move the objects to another layer or delete them.

The options you select in this dialog box execute only after you click OK in the Layer Manager.

List of objects Displays a list of blocks that exist on the layer selected for deletion. If the layer contains geometry that is not part of a block, they are represented by a single entry named “model space”.
Delete selection Enables the options to delete the objects selected in the list of objects.
 | Delete Objects Deletes the selected objects.
Move selected objects to Enables the options to move the objects selected in the list of objects to another layer
 | Drop-down list Selects a layer to move the selected objects to.
 | Move Moves the selected objects to the layer you selected in the drop-down list.
Delete Layer Deletes the layer selected for deletion. This button is available only if all objects that lie on that layer have been removed from it.


Create and customize mechanical layers (Quick Reference)

Create and customize mechanical layers
Create and customize mechanical layers
Create and customize mechanical layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Create and customize mechanical layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Lineweight Mapping dialog box

Use the Lineweight Mapping dialog box to map a lineweight to a color, which the AMLAYER command uses as the default lineweight, when you change the layer color.

Color/Lineweight Mapping List
 | Color Contains the color to be mapped to a lineweight.
 | Lineweight to be mapped Specifies the lineweight corresponding to a color. Click to display a list of valid values for lineweights
New Displays the Select Color dialog box to select and add colors to the existing Color/Lineweight Mapping list.
Delete Deletes the selected color from the Color/Lineweight Mapping list.
Apply mapping to existing layers Changes lineweights of all layers listed in the Mechanical Layer Manager to match the Color/Lineweight Mapping list.
Apply Applies changes made in this dialog box to the layers and object properties of AutoCAD Mechanical.


Create and customize mechanical layers (Quick Reference)

Create and customize mechanical layers
Create and customize mechanical layers
Toggle visibility of specific object types using layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Create and customize mechanical layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYRESET

Resets properties of all mechanical layers to be identical to the corresponding layer definition

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Layer Tools [image] Reset all Layers Does not exist in the menus.
Command entry: amlayreset


Toggle visibility of specific object types using layers (Concept)

Create and customize mechanical layers
How to manage layers in AutoCAD Mechanical
Move objects from one layer to another
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Toggle visibility of specific object types using layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical includes a set of commands that enable you to toggle the visibility of mechanical layers assigned to specific objects. These objects are:

  • Standard content
  • Custom content
  • Construction lines
  • Part references
  • Title blocks
  • Viewports
  • Invisible lines

Because the automatic property management mechanism ensures that the program draws all mechanical objects on the preassigned layer, you can toggle the visibility of these objects by turning the appropriate layer on or off. Because turning these layers on or off is achieved through a set of commands, you do not have to remember the layer to which these objects are assigned.


Toggle visibility of specific object types using layers (Quick Reference)

Create and customize mechanical layers
Toggle visibility of specific object types using layers
Toggle visibility of specific object types using layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Toggle visibility of specific object types using layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYINVO

AMCLINEO

AMLAYTIBLO

AMLAYVPO

AMLAYPARTO

AMLAYPARTREFO


To turn specific layers on and off (Procedure)

Create and customize mechanical layers
Up a level to ..
Move objects from one layer to another
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Toggle visibility of specific object types using layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To turn specific layers on and off

In this example, you turn the title block layer on or off.

  • Click None [image] None [image] . At the Command prompt, enter AMLAYTIBLO.

    The Command prompt shows the status of the title block layer.

NoteYou can also turn Part reference, Viewport Layers, and Invisible Lines on and off.


Toggle visibility of specific object types using layers (Quick Reference)

Toggle visibility of specific object types using layers
Toggle visibility of specific object types using layers
Toggle visibility of specific object types using layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Toggle visibility of specific object types using layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYINVO

Toggles the visibility of the layer assigned to invisible lines (AM_INV)

Ribbon: Home tab [image] Layers panel [image] Layers, Invisible Lines On/Off. Does not exist on the ribbon.
Toolbar: Mechanical Layer Tools
Menu: Format [image] Layer Tools [image] Layers, Invisible Lines On/Off Does not exist in the menus.
Command entry: amlayinvo

The default layer for hidden/invisible lines is AM_INV. To find out what layers are reserved for hidden/invisible in the current drawing, inspect the Object Property Settings dialog box.


Toggle visibility of specific object types using layers (Quick Reference)

Toggle visibility of specific object types using layers
Toggle visibility of specific object types using layers
Toggle visibility of specific object types using layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Toggle visibility of specific object types using layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCLINEO

Freezes or thaws construction line layers

Ribbon: Home tab [image] Layers panel [image] Layers, Construction Lines On/Off. Does not exist on the ribbon.
Toolbar: Mechanical Layer Tools
Menu: Format [image] Layer Tools [image] Layers, Construction Lines On/Off Does not exist in the menus.
Command entry: amclineo

The default layer for construction lines is AM_CL. To find out what layers are reserved for construction lines in the current drawing, inspect the Object Property Settings dialog box.


Toggle visibility of specific object types using layers (Quick Reference)

Toggle visibility of specific object types using layers
Toggle visibility of specific object types using layers
Toggle visibility of specific object types using layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Toggle visibility of specific object types using layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYTIBLO

Toggles the visibility of the layer assigned to title blocks and drawing borders (AM_BOR, be default))

Ribbon: Home tab [image] Layers panel [image] Layers, Title Block Layer On/Off. Does not exist on the ribbon.
Toolbar: Mechanical Layer Tools
Menu: Format [image] Layer Tools [image] Layers, Title Block Layer On/Off Does not exist in the menus.
Command entry: amlaytiblo

The default layer for title blocks and drawing borders is AM_BOR. To find out what layers are reserved for title blocks and drawing borders in the current drawing, inspect the Object Property Settings dialog box.


Toggle visibility of specific object types using layers (Quick Reference)

Toggle visibility of specific object types using layers
Toggle visibility of specific object types using layers
Toggle visibility of specific object types using layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Toggle visibility of specific object types using layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYVPO

Toggles the visibility of the layer assigned to viewport borders (AM_VIEWS, by default)

Ribbon: Home tab [image] Layers panel [image] Mechanical Layer, Viewport Layer On/Off. Does not exist on the ribbon.
Toolbar: Mechanical Layer Tools
Menu: Format [image] Layer Tools [image] Mechanical Layer, Viewport Layer On/Off Does not exist in the menus.
Command entry: amlayvpo

Viewports are drawn on layer AM_VIEWS. The plot property of this layer is off by default. To plot the viewports choose AMLAYER. In the Layer Control dialog box, under Layer Control tab, select the plot symbol of the layer AM_VIEWS.

The default layer for viewports is AM_VIEWS. To find out what layers are reserved for viewports in the current drawing, inspect the Object Property Settings dialog box.


Toggle visibility of specific object types using layers (Quick Reference)

Toggle visibility of specific object types using layers
Toggle visibility of specific object types using layers
Toggle visibility of specific object types using layers
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Toggle visibility of specific object types using layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYPARTO

Toggles the visibility of the standard part layers (AM_0N to AM_12N, by default)

Ribbon: Home tab [image] Layers panel [image] Layers, Standard Parts On/Off. Does not exist on the ribbon.
Toolbar: Mechanical Layer Tools
Menu: Format [image] Layer Tools [image] Layers, Standard Parts On/Off Does not exist in the menus.
Command entry: amlayparto

The default layers for standard parts are the layers AM_0N through AM_12N. To find out what layers are reserved for standard parts in the current drawing, inspect the Object Property Settings dialog box.


Toggle visibility of specific object types using layers (Quick Reference)

Toggle visibility of specific object types using layers
Toggle visibility of specific object types using layers
Move objects from one layer to another
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Toggle visibility of specific object types using layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYPARTREFO

Toggles the visibility of the layer assigned to part references (AM_PAREF, by default)

Ribbon: Home tab [image] Layers panel [image] Layers, Partreference Layer On/Off. Does not exist on the ribbon.
Toolbar: Mechanical Layer Tools
Menu: Format [image] Layer Tools [image] Layers, Partreference Layer On/Off Does not exist in the menus.
Command entry: amlaypartrefo

The default layer for part references is AM_PAREF. To find out what layers are reserved for part references in the current drawing, inspect the Object Property Settings dialog box.


Move objects from one layer to another (Concept)

Toggle visibility of specific object types using layers
How to manage layers in AutoCAD Mechanical
Use a layer as a selection set
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Move objects from one layer to another
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Use the AMLAYMOVE command to move objects from one layer to another.

You can also move objects between working layers and the corresponding standard parts layer. Working layers are the layers AM_0 to AM_12; standard part layers are the layers AM_0N to AM_12N.


Move objects from one layer to another (Procedure)

Toggle visibility of specific object types using layers
Up a level to ..
Move objects from one layer to another
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Move objects from one layer to another
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move objects on working layers to standard part layers

To move objects on standard parts layers to working layers

To move objects from one layer to another


Move objects from one layer to another (Quick Reference)

Toggle visibility of specific object types using layers
Move objects from one layer to another
Move objects from one layer to another
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Move objects from one layer to another
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYMOVE

AMLAYMOVEPL

AMLAYMOVEWL


To move objects on working layers to standard part layers (Procedure)

Move objects from one layer to another
Up a level to ..
Move objects from one layer to another
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Move objects from one layer to another
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move objects on working layers to standard part layers

  1. Click None [image] None [image] . At the Command prompt, enter AMLAYMOVEPL.
  2. Select all objects to be moved from the working to the parts layer.
NoteNo visual feedback indicating that the operation completed successfully is evident. For example, objects on layer AM_2A are to layer AM_2AN. Since both layers have the same settings, there is no visual effect to show that the layer has changed. You can however inspect the properties of the object and verify that the layer has changed.


To move objects on standard parts layers to working layers (Procedure)

Move objects from one layer to another
Up a level to ..
Move objects from one layer to another
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Move objects from one layer to another
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move objects on standard parts layers to working layers

  1. Click None [image] None [image] . At the Command prompt, enter AMLAYMOVEWL.
  2. Select all objects to be moved from the parts to the working layer.
NoteNo visual feedback indicating that the operation completed successfully is evident. For example, objects on layer AM_2AN are to layer AM_2A. Since both layers have the same settings, there is no visual effect to show that the layer has changed. You can however inspect the properties of the object and verify that the layer has changed.


To move objects from one layer to another (Procedure)

Move objects from one layer to another
Up a level to ..
Use a layer as a selection set
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Move objects from one layer to another
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move objects from one layer to another

  1. Click None [image] None [image] . At the Command prompt, enter AMLAYMOVE.
  2. Select the objects you want to move.
  3. Press ENTER to terminate object selection.
  4. Press ENTER to display the Mechanical Layer Manager.
  5. Select the layer the objects should be moved to.
  6. Click OK.


Move objects from one layer to another (Quick Reference)

Move objects from one layer to another
Move objects from one layer to another
Move objects from one layer to another
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Move objects from one layer to another
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYMOVE

Moves objects from one layer to another

Ribbon: Home tab [image] Layers panel [image] Move to another Layer. Does not exist on the ribbon.
Toolbar: Mechanical Layer Tools
Menu: Modify [image] Properties [image] Move to another Layer Does not exist in the menus.
Command entry: amlaymove

COMMAND LINE OPTIONS

Select objects: Select the objects you want to move to another layer and press ENTER.

Specify new layer using object, layer field, or keyboard (RETURN for dialog): Enter the name of the layer to move the object to or select a layer directly from the drawing area by selecting an object on the layer you want to move the object to or press ENTER to display the Mechanical Layer Manager, which displays a list of layers you can choose from.

NoteObjects on “frozen”, “off”, or “locked” layers cannot be included in the selection set.

Specify a new layer using the object, layer field, or keyboard (Return for dialog box).


Move objects from one layer to another (Quick Reference)

Move objects from one layer to another
Move objects from one layer to another
Move objects from one layer to another
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Move objects from one layer to another
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYMOVEPL

Move objects that lie on standard parts layers (layers AM_0N to AM_12, by default) to the corresponding working layers (layers AM_0 to AM_12, by default)

Ribbon: Home tab [image] Layers panel [image] Move to Parts Layer. Does not exist on the ribbon.
Toolbar: Mechanical Layer Tools
Menu: Modify [image] Properties [image] Move to Parts Layer Does not exist in the menus.
Command entry: amlaymovepl

COMMAND LINE OPTIONS

Select objects: Select the objects you want to move and press ENTER.


Move objects from one layer to another (Quick Reference)

Move objects from one layer to another
Move objects from one layer to another
Use a layer as a selection set
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Move objects from one layer to another
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYMOVEWL

Move objects that lie on working layers (layers AM_0 to AM_12, by default) to the corresponding standard part layers (layers AM_0N to AM_12N, by default)

Ribbon: Home tab [image] Layers panel [image] Move to Working Layer. Does not exist on the ribbon.
Toolbar: Mechanical Layer
Menu: Modify [image] Properties [image] Move to Working Layer Does not exist in the menus.
Command entry: amlaymovewl

COMMAND LINE OPTIONS

Select objects: Select the objects you want to move and press ENTER.


Use a layer as a selection set (Concept)

Move objects from one layer to another
How to manage layers in AutoCAD Mechanical
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use a layer as a selection set
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The AMLAYER command provides a convenient way to select objects on a layer. When prompted to select objects, you can invoke the AMLAYER command as a transparent command (‘AMLAYER) and select all the objects on a layer, using the Use as Selection Set, right-click menu option.


Use a layer as a selection set (Quick Reference)

Move objects from one layer to another
Use a layer as a selection set
Use a layer as a selection set
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use a layer as a selection set
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYER

Mechanical Layer Manager

AMLAYER command line


To use a layer as a selection set (Procedure)

Move objects from one layer to another
Up a level to ..
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use a layer as a selection set
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To use a layer as a selection set

NoteThis procedure is illustrated by way of an example. In this example, we use AMLAYER to select objects on a layer for the MOVE command.
  1. Click None [image] None [image] At the Command prompt, enter AMLAYER.
  2. In the Mechanical Layer Manager, right-click the layer that contains the object you want to select and click Use as Selection Set.
  3. Click Close.
  4. Click None [image] None [image] At the Command prompt, enter MOVE.
  5. When prompted to select objects enter P.
    NoteP represents the keyword Previous, which selects the objects that you previously selected with the AMLAYER command.
  6. Press ENTER to terminate object selection.
  7. Click in the drawing area to indicate the base point for the move operation.
  8. Click in the drawing area to specify where the base point must move to.


Use a layer as a selection set (Quick Reference)

Use a layer as a selection set
Use a layer as a selection set
Use a layer as a selection set
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use a layer as a selection set
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYER

Displays the Mechanical Layer Manager, which enables you to manage layers and mechanical layer definitions

It is also possible to launch the command transparent ('AMLAYER). If you enter -amlayer at the Command prompt, AMLAYER shows prompts on the command line instead of opening the Mechanical Layer Manager dialog box.

Ribbon: Home tab [image] Layers panel [image] Mechanical Layer Manager. Does not exist on the ribbon.
Toolbar: Mechanical Layer
Menu: Format [image] Mechanical Layer Manager Does not exist in the menus.
Command entry: amlayer
See Also
    • What is Automatic Property Management?


Use a layer as a selection set (Quick Reference)

Use a layer as a selection set
Use a layer as a selection set
Use a layer as a selection set
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use a layer as a selection set
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Mechanical Layer Manager

Use this dialog box to create, delete, and rename layers and layer definitions, change their properties, or add layer descriptions

NoteIf you use layer groups to categorize/organize geometry, take note that
  • Layer group management is no longer possible with the AMLAYER command. This functionality is now handled by the AMLAYERGROUP command.
  • The AMLAYER command, like all other AutoCAD Mechanical commands, acts on the group that has been set as the current layer group with the AMLAYERGROUP command. If you have not explicitly selected a layer group as the current layer group, AutoCAD Mechanical assumes that the base layer group is the current layer group.

Toolbar Buttons

Creates a layer. The drop-down menu adjacent to the button provides the following options:

  • New Layer - Creates a layer and layer definition.
  • New Layer Definition - Creates a layer definition only.

Deletes the current selection in the list of layers. If the current selection is an AutoCAD layer, the layer is deleted. If the current selection is a mechanical layer, the layer is deleted, but the layer definition continues to remain. If the current selection is a layer definition, the layer definition is deleted.

NoteThe following layers cannot be deleted:
  • Layers that contain objects
  • Layer definitions that have been assigned to objects
  • Layer definitions shipped with AutoCAD Mechanical (The default layer definitions that begin with AM)
  • The current layer
  • The special layer AM_0
  • The special layer DEFPOINTS, which contains the definition points of non associated dimensions.
  • xref dependant layers.

Sets the selected layer as the current layer.

AutoCAD commands always draw objects on the current layer. Set the current layer appropriately before you use AutoCAD commands. On the other hand, when Automatic Property Management is on, AutoCAD Mechanical commands draw objects on the appropriate layer no matter what layer is set as the current layer.

Enables you to select objects and determine what layers they are drawn on.

This button closes the dialog box temporarily to enable you to select an object in the drawing area. Once all the objects you want to check are selected, you press ENTER to return to the dialog box. When the dialog box appears again, the layers that the selected objects lie on are highlighted.

Temporarily hides the dialog box to enable you to select objects and move them to the layer that is selected in the list of layers.

Temporarily hides the dialog box and highlights the objects on the layer that is selected in the list of layers.

Hides layer definitions layer definitions in the list of layers.

Right-click menu items that are not available as toolbar buttons

Convert to Mechanical Layer

Converts the layer to a mechanical layer by creating a layer definition for it. AutoCAD Mechanical commands use the layer definition to replicate this layer, on demand, in a layergroup.

NoteOnce you convert to a mechanical layer, there is no way to convert it back to an AutoCAD layer. If you convert a layer unintentionally, you can:
  • Use the UNDO command.
  • Delete the layer and layer definition, and recreate it using the AutoCAD LAYER command.
  • Continue to use the layer as is - As long as you do not delete the layer, replicate the layer in layer groups or assign the layer to an object using AMOPTIONS, mechanical layers behave exactly like AutoCAD layers.

Use as Selection Set

Selects all the objects on the layer as part of a selection set. In subsequent commands, when you are prompted to select objects, you can access this selection set by entering the Previous keyword at the command prompt.

Invert Selection

Selects all items in the list, except the items that are currently selected.

Simple View

Hides the columns that show the properties of the layers and the names of the objects that use the layers.

Full View

Displays the columns that show the properties of the layers and the names of the objects that use the layers.

Search for Layer

Filters the list of layers to match the name you enter. You can use wildcard characters when specifying the filter. For example, if you only want to display layers that start with the letters AM, enter AM*.

NoteFor more information on wild cards, search for “Wild-Card Characters” in AutoCAD online help.

Filter type

Enables you to filter the list of layers based on the object types that use the layers.

Current layer

Displays the name of the current layer.

AutoCAD commands always draw objects on the current layer. On the other hand, when Automatic Property Management is on, AutoCAD Mechanical commands draw objects on the appropriate layer no matter what layer is set as the current layer.

Columns in list of layers

Status

- Indicates that the layer is a mechanical layer (layers created by AutoCAD Mechanical commands).

- Indicates that the layer is a mechanical layer that does not get replicated with layer groups. Layer groups are created with the AMLAYERGROUP command.

- Indicates that the layer was created by the AutoCAD LAYER command.

No Icon indicates that it is a layer definition.

Name

Displays the name of the layer or layer definition. Click to enable the ability to rename the layer or layer definition.

On

Indicates whether the layer is on or off. When a layer is on, it is visible and available for plotting. When a layer is off, it is invisible and not plotted, even if Plot is on. Click to toggle the on/off status of that layer.

Freeze

Indicates whether the layer is frozen or not. When a layer is frozen, objects on it are not displayed, plotted, hidden, rendered, or regenerated. Click to toggle the freeze/thaw status of that layer.

NoteFreeze only the layers you want to make invisible for long periods. If you plan to switch visibility settings frequently, use the On/Off setting to avoid regenerating the drawing.

Lock

Indicates whether the layer is locked or unlocked. When a layer is locked, objects on it cannot be modified. Click to toggle the locked/unlocked status of that layer.

Color

Indicates the color associated with the layer. Click the color to display the Select Color dialog box, which enables you to select a different color.

Linetype

Indicates the linetype associated with the layer. Click to display a list of linetypes you can select for that layer.

Lineweight

Indicates the lineweight associated with the layer. Click to display a list of lineweights you can select for that layer.

Plot

Indicates whether the layer is plotted or not. Click to toggle the plot status of that layer.

Objects on layers that have plotting turned off continue to be visible in the drawing area. Layers that are off or frozen are not plotted regardless of the plot setting.

New VP Freeze

Indicates whether the layer is frozen in new layout viewports. This option has no effect on the visibility of the layer in other viewports. This column is visible only in layout. Click to toggle the freeze/thaw status.

VP Freeze

Indicates whether the layer is frozen in the current layout viewport. This option has no effect on the visibility of the layer in other viewports. This column is visible only in layout. Click to toggle the freeze/thaw status. Right-click to apply the setting to a viewport other than the current viewport, or to all viewports.

NoteYou can freeze a layer in the current viewport while it is thawed in the drawing, but you cannot thaw a layer in the current viewport, if it is frozen in the drawing.

Replicate in Layergroup

Indicates whether the layer is replicated when a new layer group is created with the AMLAYERGROUP command. Click to toggle the replicate status of that layer.

NoteAutoCAD Mechanical does not delete any existing layers if you turn off this setting after layer groups have been created.

Override color by Layergroup

Indicates whether the color associated with the layer is overridden by the layer group color, when the layer is part of a layer group. Click to toggle the override status of that layer

Associated objects

Contains the names of the objects that use the layer. This option is applicable only to mechanical layers.

Description

Contains an optional description of the layer or layer definition. Click to enable the ability to change the description for that layer.

Import

Imports the layer settings and Automatic Property Management settings from another drawing (.dwg), drawing template (.dwt) or configuration file (.cfg):

Lineweight Mapping

Displays the Lineweight Mapping dialog box, which allows you to assign a lineweight to a color and thereby change the lineweight of all layers of that color.

Restore Defaults

Resets all settings to the default values for the active drafting standard.


Use a layer as a selection set (Quick Reference)

Use a layer as a selection set
Use a layer as a selection set
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use a layer as a selection set
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYER command line

Use -AMLAYER to run the AMLAYER command options from the command line. You can manage layers using the AMLAYER command.

COMMAND

-AMLAYER

COMMAND LINE OPTIONS

Enter an option [Layer/Object keys]: Enter L to select the Layer option, enter O, select the Object Keys option.

Layer

Provides options to create, delete, and rename layers and layer definitions, change their properties, or add layer descriptions

Enter an option [?/Make/Set/New/Freeze/Thaw/Lock/Unlock/sElection set/Highlight]: Select an option.
 | ?: Displays a list of layers and layer definitions, showing their names, states, color numbers, linetypes, lineweights, and whether they are externally dependent layers.
 | Enter layer name(s) to list <*>: Enter the layer name(s) to list, click ENTER to list all layers, or click ESC to return to the previous prompt. You can use wildcard characters to filter the list. For example, if you only want to display layers that start with the letters GEAR, enter GEAR*.
 | Make Creates a layer from a layer definition and makes it current.
 | Enter layer name (becomes the current layer) <CurrentLayer>: Enter the name of an existing layer definition. You can precede the name of the layer definition with the name of a layer group (“Group1-AM_5”,for example) so that an instance of the layer definition is created on that layer group. If you enter the name of an existing layer, that layer is made the current layer. Press ESC to return to the previous Prompt.
 | Set Specifies a new current layer but does not create the layer if it does not exist. If the layer exists but is turned off, it is turned on and made current. A frozen layer cannot be made current.
 | Enter layer name to make current or <select object>: Enter the name of an existing mechanical layer. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”,for example) so that the mechanical layer in the specified layer group is set current. You cannot specify a layer that is not a mechanical layer. You can also select a layer directly from the drawing area by pressing ENTER and then selecting an object on the layer you want to select.
 | New Creates a layer from a layer definition.
 | Enter name list for new layer(s): Enter the name of an existing layer definition. You can specify multiple layer definition names, separating each name with a comma. You can precede the name of the layer definition with the name of a layer group (“Group1-AM_5”,for example) so that an instance of the layer definition is created on that layer group.
 | Freeze Freezes mechanical layers, making objects on them invisible and excluding them from regeneration and plotting.
 | Enter name list of layer(s) to freeze or <select objects>: Enter the name of an existing mechanical layer. You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group freezes. You cannot specify a layer that is not a mechanical layer. You can also select layers directly from the drawing area by pressing ENTER and then selecting objects on the layers you want to select.
 | Thaw Thaws frozen mechanical layers, making objects on them visible and available for regeneration and plotting.
 | Enter name list of layer(s) to thaw: Enter the name of a frozen mechanical layer You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group thaws. You cannot specify a layer that is not a mechanical layer.
 | Lock Locks mechanical layers, preventing editing of objects on them.
 | Enter name list of layer(s) to lock or <select objects>: Enter the name of an existing mechanical layer. You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group locks. You cannot specify a layer that is not a mechanical layer. You can also select layers directly from the drawing area by pressing ENTER and then selecting objects on the layers you want to select. You cannot lock the current layer.
 | Unlock Unlocks mechanical layers, permitting editing of objects on them.
 | Enter name list of layer(s) to unlock: Enter the name of an existing mechanical layer. You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group unlocks. You cannot specify a layer that is not a mechanical layer.
 | Selection set Selects the objects on mechanical layers, permitting subsequent commands to use them as a selection set via the Previous keyword.
 | Enter name list of layer(s) to select: Enter the name of an existing mechanical layer. You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group is selected. You cannot specify a layer that is not a mechanical layer.
 | Highlight Highlights all objects on the layers you select.
 | Enter name list of layer(s) to highlight: Enter the name of an existing mechanical layer. You can specify multiple layer names, separating each name with a comma. You can precede the name of a layer with the name of a layer group (“Group1-AM_5”, for example) so that the mechanical layer in the specified layer group is selected. You cannot specify a layer that is not a mechanical layer.

Object key

Looks up the layer assigned to an object, and creates the layer and sets it as current.

Enter object key or [?] <?>: ? Enter the key for the object type to look up or press ENTER to see a list of object types and object keys.

These options remain without changes in Mechanical Extension 1.


Use layer groups (Concept)

Use a layer as a selection set
How to manage layers in AutoCAD Mechanical
Hide and show objects
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
ImportantWe recommend that you use mechanical structure to organize your drawing instead of layer groups. Mechanical structure provides a better and more comprehensive set of tools to manage drawing components than layer groups. Layer groups continue to remain in the product only for compatibility reasons.

AutoCAD Mechanical provides the ability to create multiple sets of mechanical layers. Each set is referred to as a layer group. Once you create a layer group and set it to “current,” AutoCAD Mechanical commands draw objects on the mechanical layers within that layer group.

The working layers (AM_0 through AM_12) and the standard part layers (AM_0N through AM_12N) are replicated in each layer group. The special layers AM_BOR (used for drawing borders), AM_PAREF (used for part references), AM_CL (used for construction lines), AM_VIEW (used for viewports), and AM_INV (used for invisible lines) are not replicated. The illustration above shows two layer groups LG1 and LG2, which contain two separate sets of mechanical layers. Since AutoCAD does not allow duplicate layer names, if you inspect a mechanical layer using the AutoCAD LAYER command, you will see that the name of the layer is prefixed with the layer group name. For example, the layer AM_0, that belongs to the layer group LG1 is shown as LG1-AM_0.When you have not explicitly created any layer groups, you are assumed to be working on a hypothetical layer group that is referred to as the Base Layer Group.

You can use layer groups to associate or relate items within a drawing. For example, in a drawing containing the design of an engine, you can place all views of the shaft in the “Shaft” layer group and all views of the gearbox housing in the “Gearbox Housing” layer group. You can apply visibility enhancements to individual layer groups within the drawing, highlighting the shaft within the gear box assembly, for example.

With mechanical layer groups, you can:

  • Move or copy objects from one layer group to another.
  • Work globally with individual layers that are part of a layer group. For example, you can turn off crosshatching regardless of the layer group on which you created it.
  • Set a color for the layer group, and then override color of individual layers by the layer group color.
  • Lock and freeze layer groups to simplify design work.
  • Easily assemble or stack individual layer groups.


Use layer groups (Procedure)

Use a layer as a selection set
Up a level to ..
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a layer group

To delete a layer group

To move objects from one layer group to another layer group

To copy a layer group

To override layer color by layer group color

To use a layergroup as a selection set

To lock and visually differentiate inactive layergroups

To turn off visibility enhancements


Use layer groups (Quick Reference)

Use a layer as a selection set
Use layer groups
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYERGROUP

AMLAYERGROUP command line

AMCOPYLG

AMLGMOVE

AMLAYVISENH

AMLGCOLORMODE System Variable

Layergroup Manager

Visibility Enhancement dialog box

Delete Layergroup dialog box


To create a layer group (Procedure)

Use layer groups
Up a level to ..
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a layer group

  1. Click None [image] None [image] . At the Command prompt, enter AMLAYERGROUP.
  2. In the Layergroup Manager, click in the Layergroups list.
  3. Click [image] .
  4. In the Name column, specify a name for the new layer group.
  5. Click OK


To delete a layer group (Procedure)

Use layer groups
Up a level to ..
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete a layer group

  1. Click None [image] None [image] . At the Command prompt, enter AMLAYERGROUP.
  2. In the Layergroup Manager, select the layer group(s) you want to delete.
  3. Click [image] .
NoteSpecific layers, such as the current layer group, the Base Layer Group, and layer groups that are used by objects or external references cannot be deleted.


To move objects from one layer group to another layer group (Procedure)

Use layer groups
Up a level to ..
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move objects from one layer group to another layer group

  1. Click None [image] None [image] . At the Command prompt, enter AMLGMOVE.
  2. Select the objects to move.
  3. Press ENTER to terminate object selection.
  4. Press ENTER to display the Layergroup Manager.
  5. Select the layer group the objects should be moved to.
  6. Click OK.


To copy a layer group (Procedure)

Use layer groups
Up a level to ..
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To copy a layer group

  1. Click None [image] None [image] . At the Command prompt, enter AMCOPYLG.
  2. On the command line, enter the name of the layer group name you want to copy.
  3. On the command line, enter a name for the layer group you want to copy to.
  4. Specify the base point and the displacement point to place the objects.
NoteEntities residing in “frozen”, “off”, or “locked” layers cannot be included in the selection set.


To override layer color by layer group color (Procedure)

Use layer groups
Up a level to ..
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To override layer color by layer group color

  1. Click None [image] None [image] . At the Command prompt, enter AMLAYERGROUP.
  2. In the Layergroup Manager, right-click anywhere in the Color column.
  3. If there is no tick mark in front of the Use Layergroup Colors menu option, click it once.
  4. Click in the Color column corresponding to the layer group you want to override layer color with.
  5. Select the color to override with.
  6. Click OK until all dialog boxes close.

    All layers in that layer group that have its Override Color By Layergroup property set are overridden by the layer group color.


To use a layergroup as a selection set (Procedure)

Use layer groups
Up a level to ..
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To use a layergroup as a selection set

NoteThis procedure is illustrated by way of an example. In this example, we use AMLAYERGROUP to select objects on a layer for the MOVE command.
  1. Click None [image] None [image] . At the Command prompt, enter AMLAYERGROUP.
  2. In the Layergroup Manager, right-click the layer group that contains the object you want to select and click Use as Selection Set.
  3. Click Close.
  4. Click OK.
  5. Click None [image] None [image] At the Command prompt, enter MOVE.
  6. When prompted to select objects enter P.
    NoteP represents the keyword Previous, which selects the objects that you previously selected with the AMLAYERGROUP command.
  7. Press ENTER to terminate object selection.
  8. Click in the drawing area to indicate the base point for the move operation.
  9. Click in the drawing area to specify where the base point must move to.


To lock and visually differentiate inactive layergroups (Procedure)

Use layer groups
Up a level to ..
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To lock and visually differentiate inactive layergroups

  1. Click None [image] None [image] . At the Command prompt, enter AMLAYVISENH.
  2. In the Visibility Enhancements dialog box, Click On inactive layer groups.
  3. Click Use color and lock.
  4. In the adjacent drop-down list, select a color for inactive layer groups.
  5. Click OK.


To turn off visibility enhancements (Procedure)

Use layer groups
Up a level to ..
Enable the mechanical structure environment
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To turn off visibility enhancements

  1. Click None [image] None [image] . At the Command prompt, enter AMLAYVISENH.
  2. In the Visibility Enhancements dialog box, Click None.
  3. Click OK.


Use layer groups (Quick Reference)

Use layer groups
Use layer groups
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYERGROUP

Displays the Layergroup Manager, which allows you to manage layergroups, layers, and their properties

It is also possible to launch the command transparent ('AMLAYERGROUP). If you enter -amlayergroup at the command line, AMLAYERGROUP displays prompts on the command line instead of displaying the Mechanical Layer Manager dialog box.

Ribbon: None Does not exist on the ribbon.
Toolbar: Layergroup
Menu: Tools [image] Layergroup [image] Layergroup Manager Does not exist in the menus.
Command entry: amlayergroup
See Also
    • What is Automatic Property Management?


Use layer groups (Quick Reference)

Use layer groups
Use layer groups
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYERGROUP command line

Use -AMLAYER to run the AMLAYER command options from the command line. You can manage layers and layer groups by using the AMLAYER command.

COMMAND

-AMLAYER

COMMAND LINE OPTIONS

Enter an option [layerGroup/Object keys/Standard part layergroup]: Select an option or press ENTER to exit the command.

layerGroup

Provides options to create, delete, and rename layer groups and change their properties.

[?/Make/Set/New/Freeze/Thaw/Lock/Unlock/Color/Rename/sElectionset/Highlight]: Select an option.
 | ? Shows a list of layer groups, showing their names, states, plot status, and color numbers.
 | Enter layer group name(s) to list or select objects <*>: Enter layer group name(s) to list, click ENTER to list all layers, or click ESC to return to the previous Prompt You can use wildcard characters to filter the list. For example, if you only want to display layer groups that start with the letters GEAR, enter GEAR*.
 | Make Creates a layer group and makes it current.
 | Enter layer group name (becomes the current layer group) <CurrentLayerGroup>: Enter the name for a layer group. If you enter the name of a layer group, that layer group is made the current layer group. Press ESC to return to the previous Prompt.
 | Set Specifies a new current layer group but does not create the layer group if it does not exist. A frozen layer group cannot be made current.
 | Enter layer group name to make current (enter <BASE> for base) or <select object>: Enter the name of an existing layer group. You can also select a layer group directly from the drawing area by pressing ENTER and then selecting an object on the layer group you want to select.
 | New Creates a layer group.
 | Enter name list for new layer group(s): Enter a name for the layer group. You can specify multiple layer group names, separating each name with a comma.
 | Freeze Freezes layer groups, making objects on them invisible and excluding them from regeneration and plotting.
 | Enter name list of layer group(s) to freeze or <select objects>: Enter the name of an existing layer group. You can specify multiple layer names, separating each name with a comma. You can also select layer groups directly from the drawing area by pressing ENTER and then selecting objects on the layer groups you want to select.
 | Thaw Thaws frozen layer groups, making objects them visible and available for regeneration and plotting.
 | Enter name list of layer group(s) to thaw: Enter the name of a frozen layer group.
 | Lock Locks layer groups, preventing editing of objects on them.
 | Enter name list of layer group(s) to lock or <select objects>: Enter the name of an existing layer group. You can specify multiple layer group names, separating each name with a comma. You can also select layers directly from the drawing area by pressing ENTER and then selecting objects on the layer groups you want to select. You cannot lock the current layer group.
 | Unlock Unlocks layer groups, permitting editing of objects on them.
 | Enter name list of layer group(s) to unlock: Enter the name of an existing layer group. You can specify multiple layer group names, separating each name with a comma.
 | Color Changes the colors associated with layer groups.
 | Enter color name or number (1-255) or <ByLayer> for configured layer color: Enter a color number from the AutoCAD Color Index or enter <ByLayer> to specify that there is no explicit color for the layer group and that the color of each mechanical layer in that group cannot be overridden by the layer group color.
 | Enter name list of layer group(s) for color nn () or <select objects>: Enter the name of an existing layer group. You can specify multiple layer group names, separating each name with a comma. You can also select layers directly from the drawing area by pressing ENTER and then selecting objects on the layer groups you want to select. You cannot lock the current layer group.
 | Rename Renames a layer group.
 | Enter old layer group name: Enter the name of the layer group you want to rename.
 | Enter new layer group name: Enter the new name for the layer group.
 | Selection set Selects the objects on layer groups, permitting subsequent commands to use them as a selection set with the Previous keyword.
 | Enter name list of layer group(s) to select: Enter the name of an existing layer group. You can specify multiple layer group names, separating each name with a comma.
 | Highlight Highlights all objects on the layer groups you select.
 | Enter name list of layer group(s) to highlight: Enter the name of an existing layer group. You can specify multiple layer group names, separating each name with a comma.

Object key

Looks up the layer assigned to an object in the current layer group, and creates the layer and sets it as current.

Enter object key or [?] <?>: ? Enter the key for the object type to look up or press ENTER to see a list of object types and object keys.

Standard part layergroup

Sets a layer group for standard parts and features to be created on. When this option is set, no matter what layer group is current, all standard parts and features are created on the specified layer group.

Enter standard part layer group ('.' for base, '?' for none) <?>: Enter the name of the layer group you want to set as the standard part layer group. To set the BASE layer as the standard part layer enter the period character (.). To specify that there is no special standard part layer (to specify that standard parts must always be created on the current layer group) enter the question mark character (?).

These options remain without changes in Mechanical Extension 1.


Use layer groups (Quick Reference)

Use layer groups
Use layer groups
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCOPYLG

Copies objects on one or more layer groups to a new layer group

Ribbon: None Does not exist on the ribbon.
Toolbar: Layergroup
Menu: Tools [image] Layergroup [image] Copy Layer Group Does not exist in the menus.
Command entry: amcopylg

You select a layer group by specifying the layer group name or by selecting an object that belongs to that layer group

COMMAND LINE OPTIONS

Enter layer group name or [?] Enter the name of the layer group to copy, or press Enter to select the layer group by selecting object(s) that belong to the layer group, or enter ? to display a list of layer groups.

Select objects: In the drawing area select an object that belongs to the layer group you want to copy. You can select more than one layer group by picking objects on them. Press ENTER to end the selection.

NoteObjects on “frozen”, “off”, or “locked” layers cannot be included in the selection set.

Enter new layer group name or [?]: <group1> Specify the name for a new layer group to copy the objects to.

Specify base point or displacement: Click in the drawing area to select a base point for the copy operation.

Specify second point of displacement or < use first point as displacement >: In the drawing area, click to indicate point, which in conjunction with the base point, defines a vector that indicates how far the copied objects should move. If you press ENTER, the coordinates of the first point is interpreted as a relative displacement. For example, if the coordinates of the base point is 2,3, the objects are copied two units in the X direction and 3 units in the Y direction, from the current position.


Use layer groups (Quick Reference)

Use layer groups
Use layer groups
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLGMOVE

Moves the selected objects to a specified layergroup.

Ribbon: None Does not exist on the ribbon.
Toolbar: Layergroup
Menu: Modify [image] Properties [image] Move to another Layer Group Does not exist in the menus.
Command entry: amlgmove

COMMAND LINE OPTIONS

Select objects: Select the objects you want to move to another layer group and press ENTER. You cannot select objects from frozen, off, or locked layers.

Specify new group using object or enter group name (RETURN for dialog): In the drawing area click an object that is on the layer group you want to move the selected objects to, or enter the name of the layer group, or press ENTER to show the Layergroup Manager, which enables you to select a layer group from a list.


Use layer groups (Quick Reference)

Use layer groups
Use layer groups
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYVISENH

Displays the Visibility Enhancements dialog box, which allows you to visually differentiate between the active layergroup and inactive ones.

Ribbon: None Does not exist on the ribbon.
Toolbar: Layergroup
Menu: Tools [image] Layergroup [image] Visibility Enhancement Does not exist in the menus.
Command entry: amlayvisenh

The visibility enhancement is controlled by the Visibility Enhancement dialog box. You can lock all noncurrent layer groups and assign a special color to them.

NoteOnly objects that have their color property set to ByLayer appear in the color specified in visibility enhancements. Objects that have their color set to a specific color are not affected by visibility enhancements


Use layer groups (Quick Reference)

Use layer groups
Use layer groups
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLGCOLORMODE System Variable

Controls whether layer colors are overridden by the color of the layer group they belong to.

Type: | Integer
Initial value: | 0
Possible values: | 0 - | Prevents the layergroup color from overriding the layer color. Also prevents you from editing the layer group color using the AMLAYERGROUP command.
 | 1 - | Permits the layergroup color to override the layer color


Use layer groups (Quick Reference)

Use layer groups
Use layer groups
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Layergroup Manager

Use this dialog box to create, delete, and rename layer groups, change their properties, or move objects from one layer group to another.

Toolbar Buttons

Creates a layer group. You can rename the layergroup as soon as it is created:

Deletes the current selection in the list. If the current selection is a layer group in the Layergroups list, the layer group is deleted. If the current selection is a layer in the Layers list, the layer is deleted, but the layer definition continues to remain.

NoteThe following cannot be deleted:
  • The base layer group
  • Layergroups and layers that contain objects
  • Layer definitions that have been assigned to objects
  • Layer definitions shipped with AutoCAD Mechanical (The default layer definitions that begin with AM)
  • The current layer
  • The special layer AM_0
  • The special layer DEFPOINTS, which contains the definition points of non associated dimensions.
  • xref dependant layers.

Sets the selected layergroup as the current layergroup.

AutoCAD Mechanical commands always draw objects on the current layer. If you use layer groups to organize geometry, set the current layer group appropriately before you use the commands.

NoteThe current layer selection in the Layers list is ignored by AutoCAD Mechanical commands, because they always draw objects on the preassigned layer.

Enables you to select objects and determine what layers/layer groups they are drawn on.

This button closes the dialog box temporarily to enable you to select an object in the drawing area. Once all the objects you want to check are selected, you press ENTER to return to the dialog box. When the dialog box appears again, the layers/layergroups that the selected objects lie on are highlighted.

NoteThe layer that the object in on is not shown unless a layer is selected at the time you click the button.

Temporarily hides the dialog box to enable you to select objects and move them to the selected layer or layer group. If you select a layer group only and do not select a layer, the object moves to the layer corresponding to its current layer in the new layer group.

Temporarily hides the dialog box and highlights the objects on the current selection. If the current selection is a layer group, all the objects on that layer group highlight. If the current selection is a layer, only the objects on that layer highlight.

Displays the visibility enhancements dialog box, where you can set a special color to all noncurrent and/or locked layer groups. This setting is valid only for the current drawing session.

Hides all layer definitions in the Layers list.

Right-click menu items that are not available as toolbar buttons

Use as Selection Set

Selects all the objects on the selected layer or layer group as part of a selection set. In subsequent commands, when you are prompted to select objects, you can access this selection set by entering the Previous keyword at the command prompt.

Invert Selection

Selects all items in the list, except the items that are currently selected.

Search for Layergroup

Filters the list of layer groups to match the name you enter. You can use wildcard characters when specifying the filter. For example, if you only want to display layers that start with the letters GEAR, enter GEAR*.

NoteFor more information on wildcards, search for “Wildcard Characters” in AutoCAD online help.

Filter type

Enables you to filter the list of layers based on the object types that use the layers.

Current layer

Displays the name of the current layer.

AutoCAD commands always draw objects on the current layer. On the other hand, when Automatic Property Management is on, AutoCAD Mechanical commands draw objects on the appropriate layer no matter what layer is set as the current layer.

Columns in Layergroups list

Status

- Indicates that the layer group is the current layer group.

Name

Displays the name of the layer group. Click to enable the ability to rename the layer group.

Freeze

Indicates whether the layer group is frozen or not. When a layer group is frozen, objects drawn on the layers belonging to that layer group are not displayed, plotted, hidden, rendered, or regenerated. Click to toggle the freeze/thaw status.

Lock

Indicates whether the layergroup is locked or unlocked. When a layergroup is locked, objects on it cannot be modified. Click to toggle the locked/unlocked status of that layergroup.

Color

Indicates the color associated with the layergroup. Click to display the Select Color dialog box, which enables you to select a different color.

This column is available only when the right-click menu option on the color column, Use Layergroup Colors, is turned on.

Plot

Indicates whether the layergroup is plotted or not. Click to toggle the plot status of that layer.

Objects on layergroups that have plotting turned off continue to be visible in the drawing area. Layergroups that are frozen are not plotted regardless of the plot setting.

Columns in Layers created list

- Indicates that the layer is the current layer.

Status

- Indicates that the row corresponds to a mechanical layer.

- Indicates that the row corresponds to a mechanical layer that does not get replicated when a Layergroup is created with the AMLAYERGROUP command.

- Indicates that the row corresponds to an AutoCAD layer.

Name

Displays the name of the layer or layer definition.

Freeze

Indicates whether the layer is frozen or not. When a layer is frozen, objects on it are not displayed, plotted, hidden, rendered, or regenerated. Click to toggle the freeze/thaw status of that layer.

Lock

Indicates whether the layer is locked or unlocked. When a layer is locked, objects on it cannot be modified. Click to toggle the locked/unlocked status of that layer.

Plot

Indicates whether the layer is plotted or not. Click to toggle the plot status of that layer.

Objects on layers that have plotting turned off continue to be visible in the drawing area. Layers that are off or frozen are not plotted regardless of the plot setting.

Description

Contains an optional description of the layer or layer definition. Click to enable the ability to change the description for that layer.


Use layer groups (Quick Reference)

Use layer groups
Use layer groups
Use layer groups
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Visibility Enhancement dialog box

Use this dialog box to specify how objects on inactive layer groups appear in the drawing area. The settings you make here are valid only for that drawing session.

NoteOnly objects that have their color property set to ByLayer appear in the color specified in visibility enhancements. Objects that have their color set to a specific color are not affected by visibility enhancements
Enhancement options
 | None Turns off visibility enhancements for the drawing session.
 | On inactive layergroup Enables options to differentiate inactive layer groups from the active layer group.
 |  | Use color Colors objects on inactive layer groups to the color shown in the adjacent drop-down list.
 |  | Use color and lock Locks inactive layer groups and changes the color of objects on them to the color shown in the adjacent drop-down list.
 |  | Lock Locks inactive layer groups so that you are not able to modify the objects on them.
 |  | Freeze Freezes inactive layer groups so that the objects on inactive layers are no longer visible.
 | Use color on locked layergroups Colors objects on locked or inactive layer groups to the color shown in the adjacent drop-down list.


Use layer groups (Quick Reference)

Use layer groups
Use layer groups
The AMVISIBLE command
Create and modify geometry > How to manage layers in AutoCAD Mechanical >
Use layer groups
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Delete Layergroup dialog box

Use this dialog box to remove objects from the layer group selected for deletion. You can move the objects to another layer group or delete them.

The options you select in this dialog box execute only after you click OK in the Layergroup Manager.

List of objects Displays a list of blocks that exist on the layer group selected for deletion. If the layer group contains geometry that is not part of a block, the geometry is represented by a single entry named “model space”.
Delete selection Enables options to delete the objects selected in the list of objects.
 | Delete Objects Deletes the selected objects.
Move selected objects to Enables options to move the objects selected in the list of objects, to another layer group.
 | Drop-down list Selects a layer group to move the selected objects to.
 | Move Moves the selected objects to the layer group you selected in the drop-down list.
Delete Layergroup Deletes the layer group selected for deletion. This button is available only if all objects that lie on that layer group have been removed from it.


Hide and show objects

Use layer groups
Create and modify geometry
The AMVISIBLE command
Create and modify geometry >
Hide and show objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • The AMVISIBLE command


The AMVISIBLE command (Concept)

Hide and show objects
Hide and show objects
Organize geometry with mechanical structure
Create and modify geometry > Hide and show objects >
The AMVISIBLE command
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

The AMVISIBLE command enables you to control the visibility of individual geometries, balloons, parts lists, and dimensions. This command opens a dialog box that shows the items that you can show or hide.


The AMVISIBLE command (Quick Reference)

Use layer groups
The AMVISIBLE command
The AMVISIBLE command
Create and modify geometry > Hide and show objects >
The AMVISIBLE command
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMVISIBLE

Desktop Visibility Dialog Box - Drawing Tab

Desktop Visibility Dialog Box - Objects Tab

Select Layer Dialog Box

Select Linetype Dialog Box


The AMVISIBLE command (Quick Reference)

The AMVISIBLE command
The AMVISIBLE command
The AMVISIBLE command
Create and modify geometry > Hide and show objects >
The AMVISIBLE command
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMVISIBLE

Displays the Desktop Visibility dialog box to enable you to selectively display/hide objects

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amvisible

AutoCAD Mechanical displays the Desktop Visibility dialog box in response to the AMVISIBLE command. If you invoke the command from model space, the dialog box contains the Object tab only. If you invoke the command from paper space the dialog box contains the drawing tab only.


The AMVISIBLE command (Quick Reference)

The AMVISIBLE command
The AMVISIBLE command
The AMVISIBLE command
Create and modify geometry > Hide and show objects >
The AMVISIBLE command
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Desktop Visibility Dialog Box - Drawing Tab

Hide

Hides specified objects.

Unhide

Unhides specified objects.

Objects

Controls the visibility of balloons, parts lists, parametric and reference dimensions, and viewport edges.

Select

Choose this option to specify which objects to hide or unhide by selecting them on screen.

Except

If you select All, this option allows you to exclude objects by selecting them on screen.


The AMVISIBLE command (Quick Reference)

The AMVISIBLE command
The AMVISIBLE command
The AMVISIBLE command
Create and modify geometry > Hide and show objects >
The AMVISIBLE command
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Desktop Visibility Dialog Box - Objects Tab

Hide

Hides specified objects.

Unhide

Unhides specified objects.

Objects

Controls the visibility of geometry.

Properties

Controls the visibility of objects of a specific color, linetype, or layer.

Select

Choose this option to specify which objects to hide or unhide by selecting them on screen.

Except

If you select All, this option allows you to exclude objects by selecting them on screen.


The AMVISIBLE command (Quick Reference)

The AMVISIBLE command
The AMVISIBLE command
The AMVISIBLE command
Create and modify geometry > Hide and show objects >
The AMVISIBLE command
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Select Layer Dialog Box

Use this dialog box to select a layer to hide or show with the Desktop Visibility dialog box.

Current Layer

Shows the layer that is currently selected on the Objects tab of the Desktop Visibility dialog box.

Layer list

Shows the layers that you can select. Double-click a layer to select it.

Set Layer

Shows the layer that the Objects tab of the Desktop Visibility dialog box is set to, if the OK button is clicked. You can type the name of the layer in this box.


The AMVISIBLE command (Quick Reference)

The AMVISIBLE command
The AMVISIBLE command
Enable the mechanical structure environment
Create and modify geometry > Hide and show objects >
The AMVISIBLE command
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Select Linetype Dialog Box

Use this dialog box to select a linetype to hide or display with the Desktop Visibility dialog box.

Current Linetype

Shows the linetype that is currently selected on the Objects tab of the Desktop Visibility dialog box.

Linetype list

Shows all line types that you can select. Double-click a linetype to select it.

Set Layer

Shows the linetype that the Objects tab of the Desktop Visibility dialog box will be set to, if the OK button is clicked. You can type the name of the linetype, in this box.


Organize geometry with mechanical structure

The AMVISIBLE command
About mechanical structure
Organize geometry with mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • About mechanical structure
  • Enable the mechanical structure environment
  • Organize geometry as parts and assemblies
  • Modify parts and assemblies
  • Use components and folders
  • Locate and select components and folders
  • Detail parts and assemblies using annotation views
  • Special purpose components
  • Referencing components and folders from external drawing files
  • Mechanical structure-specific utilities


About mechanical structure

Organize geometry with mechanical structure
Organize geometry with mechanical structure
Enable the mechanical structure environment
Organize geometry with mechanical structure >
About mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

What is mechanical structure?

Mechanical structure is primarily a way to group lines, arcs, and circles (geometry) as parts, and later, group parts as assemblies. In mechanical structure jargon, parts and assemblies are commonly referred to as components.

Grouping geometry as components is not a new concept to AutoCAD Mechanical. Prior to the introduction of mechanical structure, there were two popular ways of organizing geometry: layer groups and blocks.

  • Layer groups

    Allows for grouping of geometry based on layers. Suppose you are creating a shaft component for a gear box. You can create a layer group named “MainGearShaft” and place all geometry that belongs to the shaft on that layer group. You can then treat the shaft as a single entity and perform operations, such as applying visibility overrides, on it.

  • Blocks

    Allows for defining a block with the geometry that represents a component and later adding a part reference to it. When a component must be inserted to a drawing, insert the corresponding block. The BOM updates automatically and you save time because the geometry is reused.

Mechanical structure offers all the advantages of both these methods and more.

What is so special about mechanical structure?

Since mechanical structure is designed for the explicit purpose of organizing a drawing. The features go beyond visibility enhancements (offered by layer groups), reuse of geometry, and automatic BOM updates (offered by blocks).

For example, the mechanical browser shows the hierarchical organization of components so you can quickly identify structure components, as well as use right-click menu options for component-related operations. Similarly, you can use the selection modes to click objects in model space and select parts and assemblies, instead of lines, arcs, and circles.

Examples of mechanical browsers

Organizing geometry as components in a 2D environment has special requirements that are addressed by mechanical structure.

For example, in a 2D environment, a part or assembly is typically represented by one or more views. To support this, mechanical structure provides a mechanism to group geometry as views of components (as opposed to grouping geometry directly for a component). In the mechanical browser tree, component views are directly attached to component nodes. Each component contains one or more component views.

In the mechanical browser, a part is a component that consists of component views only. An assembly is a component that contains other components.

The following list shows entities that are introduced based on similar requirements.

  • Annotation Views - An entity that makes it possible to reuse component geometry for the explicit purpose of detailing.
  • Folders - Entities similar to AutoCAD blocks that have been designed specifically for use with mechanical structure, and are shown on the mechanical browser.
  • Phantom Assemblies - A grouping mechanism to group components that are not mechanically assembled together.
  • Reference Components - A type of component used to add visual effect or context to an assembly.
  • Xref components - Components reused through an external reference mechanism specifically designed for mechanical structure.
  • Associative Hide- An auto healing 2D hide feature, primarily designed to handle hide situations between components.

Mechanical structure is not only a grouping or organizing mechanism. It is a whole set of processes built to support and sustain the ability to group and organize lines, arcs, and circles as parts and assemblies.

What are the advantages of using mechanical structure?

The most significant advantage of mechanical structure is reuse. Just like in the case of blocks, once a component (part or subassembly) is defined, you can insert the component as many times as required. The BOM updates dynamically.

Using the structure catalog, you can explore the components in other drawings and quickly insert them in to your drawing. You can insert them as copies or as xrefs. Components in your existing drawings instantly become reusable.

If you insert a component as an xref, the component is associative. When the component is modified in one drawing, the change is reflected in all drawings that use the component.

The mechanical browser ensures that the structure of a drawing is easily understood by anyone. With the mechanical browser you can select an entire assembly or a view of a part. This can significantly speed up the drafting process. The white paper titled, “Get the Most out of 2D with Mechanical Structure,” which can be accessed from the AutoCAD Mechanical Web site, provides examples and statistics to show how a 35% reduction in design effort can be achieved with mechanical structure.

How do you get started with mechanical structure?

The AutoCAD Mechanical User Guide contains a tutorial on mechanical structure that introduces you to the various concepts behind mechanical structure.

You can also follow the online tutorial that is provided with AutoCAD Mechanical's Help.

Is there anything to watch out for?
  • Blocks

    Do not mix block structure with mechanical structure. Use blocks as symbols and annotations, not as parts and views.

  • Part References

    Mixing geometry containing part references with mechanical structure can result in a confusing bill of materials. When you add geometry containing part reference to a mechanical structure component view or folder, remember to delete the part reference.

  • AutoCAD

    If you open a DWG file containing mechanical structure in any AutoCAD application other than AutoCAD Mechanical, do not modify the structured geometry if you intend to work with the drawing in AutoCAD Mechanical again.

What can be done about existing non-mechanical structure drawings?

If you have completed drawings created without mechanical structure, we recommend that you don’t convert them to mechanical structure as a whole.

To take advantage of mechanical structure, the recommended practice is to draw all new drawings with mechanical structure enabled. If you have a part or a subassembly in an old drawing that you want reuse, we recommend that you WBLOCK it out or EXPORT it out to another drawing. Alternatively, copy the part or subassembly to the structure enabled drawing using the COPYCLIP and PASTECLIP commands. Later, you convert that part or subassembly geometry to a mechanical structure component.


Enable the mechanical structure environment (Concept)

About mechanical structure
Organize geometry with mechanical structure
Organize geometry as parts and assemblies
Organize geometry with mechanical structure >
Enable the mechanical structure environment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To take advantage of the productivity gains of mechanical structure, you must enable mechanical structure first. Once you enable mechanical structure, AutoCAD Mechanical automatically keeps track of all the structure entities you create. For example, if you insert a standard part while mechanical structure is enabled, the standard part is created as a component and is shown in the mechanical browser.

To automatically enable mechanical structure for every new drawing you create, you can modify the default settings in the AM:Standards tab of the Options dialog box.

The mechanical browser is an integral part of the mechanical structure environment, but is not displayed by default. You must explicitly turn on the mechanical browser. Alternatively, you can load the Structure workspace.

When you select the Structure workspace, the mechanical browser automatically displays. Additional. menus, toolbars, and palettes relevant to mechanical structure are displayed when the Structure workspace is loaded. For more information on workspaces, how to switch workspaces and how to modify workspaces, please refer to AutoCAD’s Help.

NoteWhen you load a workspace, some of the toolbars that you are familiar with may no longer be displayed. To continue to display these toolbars, please modify the workspace to show the required toolbars.
See Also
    • Control the size, location and appearance of the mechanical browser


Enable the mechanical structure environment (Procedure)

Use layer groups
Enable the mechanical structure environment
Enable the mechanical structure environment
Organize geometry with mechanical structure >
Enable the mechanical structure environment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enable mechanical structure for the current drawing

To automatically enable mechanical structure for any new drawing you create

To disable mechanical structure

To turn the mechanical browser on


Enable the mechanical structure environment (Quick Reference)

The AMVISIBLE command
Enable the mechanical structure environment
Enable the mechanical structure environment
Organize geometry with mechanical structure >
Enable the mechanical structure environment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

OPTIONS command (AM:Structure tab)

Disable mechanical structure - Warning message


To enable mechanical structure for the current drawing (Procedure)

Enable the mechanical structure environment
Enable the mechanical structure environment
Enable the mechanical structure environment
Organize geometry with mechanical structure >
Enable the mechanical structure environment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enable mechanical structure for the current drawing

  • Click the STRUCT status bar button to enable.


To automatically enable mechanical structure for any new drawing you create (Procedure)

Enable the mechanical structure environment
Enable the mechanical structure environment
Enable the mechanical structure environment
Organize geometry with mechanical structure >
Enable the mechanical structure environment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To automatically enable mechanical structure for any new drawing you create

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. Click the AM:Structure tab.
  3. Select the Always enable structure for new drawings check box.


To disable mechanical structure (Procedure)

Enable the mechanical structure environment
Enable the mechanical structure environment
Enable the mechanical structure environment
Organize geometry with mechanical structure >
Enable the mechanical structure environment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To disable mechanical structure

  • Click the STRUCT status bar button to release it.
    NoteYou can only disable mechanical structure if you haven't created any structure entities.


To turn the mechanical browser on (Procedure)

Enable the mechanical structure environment
Enable the mechanical structure environment
Organize geometry as parts and assemblies
Organize geometry with mechanical structure >
Enable the mechanical structure environment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To turn the mechanical browser on

  1. Click None [image] None [image] [image] At the Command prompt, enter AMBROWSER.
  2. At the Command prompt, enter ON.


Enable the mechanical structure environment (Quick Reference)

Enable the mechanical structure environment
Enable the mechanical structure environment
Enable the mechanical structure environment
Organize geometry with mechanical structure >
Enable the mechanical structure environment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

OPTIONS command (AM:Structure tab)

The AMOPTIONS command manages settings and standards for parts, assemblies, drawings, standard parts, and general desktop preferences from the Options dialog box. The AutoCAD Mechanical AMOPTIONS command is merged with the AutoCAD OPTIONS command.

The AM:Structure tab sets mechanical structure-related preferences.

Ribbon: None tab [image] None panel [image] Options.... Does not exist on the ribbon.
Toolbar: None
Menu: Default Menu [image] Tools [image] Options Does not exist in the menus.
Command entry: options

DIALOG BOX DEFINITIONS

General

Always enable structure for new drawings

Automatically enables mechanical structure in a drawing at the time the drawing file is created.

NoteThis setting has no effect on new drawings based on a customized template that contains mechanical structure entities.

Selection Mode

Sets the default object selection mode for mechanical structure. Functions the same as the AMSSMODE command.

In the top-down selection mode, the first click on an object selects the highest level component the object belongs to. If a component view is activated, the first click selects the highest level component with respect to the activated component view.

Clicking the object again, selects the next level component. By default, the name of the selected entity is shown in a tooltip window as you click. The lowest level that can be selected is the elemental geometry.

In bottom-up selection mode, the first click on an object always selects elemental geometry. Clicking the object again selects the next highest level component.

Browser right-click menu for creation

Maps the options in the submenu below the New right-click menu option in the mechanical browser to the AMSNEW command or AMSCREATE command.

Browser right-click menu for insertion

Maps the options in the submenu below the Insert right-click menu option in the mechanical browser to the AMSNEW command or AMSINSERT command.

Hide options

Displays a dialog box that where you can set the defaults for the AMSHIDE command.

Structure object type

Provides options to customize AutoCAD Mechanical ’s behavior when mechanical structure component views are created in response to a COPY, ARRAY, MIRROR or PASTECLIP command.

Component instances

Creates the component views as new component instances.

Views of the original components

Creates the component views as additional views of the component they were originally copied from.

Do not prompt

Prevents a dialog box from being displayed at the time the component views are created. This dialog box prompts you to select between the above two options at draw time.

Default Names

Sets default names for the various mechanical structure entities that are created using the AMSNEW and AMSCREATE commands.

Component

Sets the default component name prefix. Can be left blank.

Folder

Sets the default folder name prefix. Can be left blank.

View

Contains a list of component view names to be used as default values at the time components or component views are created. The first component view to be created defaults to the first name in the list and the next component view, to the next in the list, and so on.

Add

Displays a dialog box that where you can add a new component view name to the list. The new name is inserted above the component view name that is selected in the list.

Remove

Deletes the selected component view name.

Move Up

Moves the selected component view name one level up.

Move Down

Moves the selected component view name one level down.

Annotation View

Sets the default annotation view identifier. Can be left blank.


Enable the mechanical structure environment (Quick Reference)

Enable the mechanical structure environment
Enable the mechanical structure environment
Group geometry as parts
Organize geometry with mechanical structure >
Enable the mechanical structure environment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Disable mechanical structure - Warning message

Why are you seeing this message?

You are attempting to disable mechanical structure, but mechanical structure entities already exist in your drawing. When mechanical structure entities are created, the file's structure is irrevocably changed to contain structure related information. As a result, you cannot disable mechanical structure thereafter.

What can you do?

Choose one of the following courses of action:

  • If mechanical structure was enabled during the current drawing session, try Undo.
  • Window-select and copy the entire drawing to the Clipboard, and paste in a new drawing that does not have mechanical structure enabled.
  • Ignore the mechanical browser and continue using the file as is. Be aware that the prompts for inserting standard parts are slightly different.


Organize geometry as parts and assemblies

Enable the mechanical structure environment
Organize geometry with mechanical structure
Group geometry as parts
Organize geometry with mechanical structure >
Organize geometry as parts and assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Group geometry as parts
  • Group parts as assemblies
  • Group geometry into folders
  • Shortcuts for creating parts and assemblies


Organize geometry as parts and assemblies (Procedure)

Enable the mechanical structure environment
Organize geometry as parts and assemblies
Group geometry as parts
Organize geometry with mechanical structure >
Organize geometry as parts and assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a new “part” component

To add a component view to an existing part

To add geometry to a component view

To remove geometry from a component view

To create a new part component, directly below an assembly

To create a “part” component with empty component views

To create a new “assembly” component

To create a new part component, directly below an assembly

To restructure components in the mechanical browser

To create a folder

To quickly create a part and directly add geometry to it

To quickly create a part when the geometry already exists

To quickly create an assembly when parts exist


Group geometry as parts (Concept)

Organize geometry as parts and assemblies
Organize geometry as parts and assemblies
Group parts as assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group geometry as parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In a 2D environment, a part or assembly is typically shown by one or more views. In essence, model space contains views of parts and assemblies (components). Grouping lines, arcs, and circles (geometry) as parts means that you select the geometry and group them as the views of part components. In the mechanical browser, the views of a part are collected below a part node and is indicated by the [image] icon. The part node serves as a holding mechanism for views, and also contains BOM-related information for that part.

See example

In this example, the assembly, TROLLEY, has two views that are shown in model space and the mechanical browser. The view that is selected in the mechanical browser is highlighted in model space.

When you choose to create a new component, you are actually creating the first view of a new component. Prior to prompting you to select geometry for the component view, AutoCAD Mechanical prompts you for information about the component. It uses this information to update the BOM and create a component node on the mechanical browser.

You now have a component that has one component view. You must create component views for the remaining views of the part and pick the corresponding geometry from model space.

Once you finish creating a part component, you may find that you did not pick up all the required geometry for a component view. Similarly, you may also find that you accidentally picked up geometry that belong to another part. For both cases, the Edit objects right-click menu (AMSEDIT) on the mechanical browser provides options to add or remove geometry.


Group geometry as parts (Procedure)

Organize geometry as parts and assemblies
Up a level to ..
Group geometry as parts
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group geometry as parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a new “part” component

To add a component view to an existing part

To add geometry to a component view

To remove geometry from a component view

To create a new part component, directly below an assembly


Group geometry as parts (Quick Reference)

Enable the mechanical structure environment
Group geometry as parts
Group geometry as parts
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group geometry as parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSNEW

AMSCREATE


To create a new “part” component (Procedure)

Group geometry as parts
Up a level to ..
Group geometry as parts
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group geometry as parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a new “part” component

  1. In the mechanical browser, right-click the drawing name (root node), and select New [image] Component.
  2. Press ENTER to accept the default component name or enter a new name.
  3. Press ENTER to accept the default component view name or enter a different name.
    NoteThe default component view names are set up in the AM:Structure tab of the Options dialog box.
  4. In model space, select the objects you want to add to the new component view and press ENTER, or press ENTER (without selecting anything) to create an empty component view.
    Tip
    • To select an elemental geometry, continue clicking the object until you see the name of the geometry in the tooltip window.
    • To select a folder, continue clicking an object that belongs to the folder, until you see its name in the tooltip window.
  5. In model space, click to set the base point for the component view. A new component is created and displayed in the browser, directly under the root.
    Note
    • If you want to restructure the new component as a part of an existing assembly, in the mechanical browser, drag the newly created component view node on to the corresponding component view of the assembly you are nesting it under
    • Standard part views, standard features, shaft component views, component views in annotation views, and component views in AMDETAIL views are invalid selections for assembly components.
    • The instructions on this page assume that the settings on the AM:Structure tab of the Options dialog box are at their default values. Please see the Configuration and Setup Guide on how to change these settings.


To add a component view to an existing part (Procedure)

Group geometry as parts
Up a level to ..
Group geometry as parts
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group geometry as parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a component view to an existing part

  1. In the mechanical browser, right-click the component you want to add a new component view to, and click New [image] Component View.
  2. Press ENTER to accept the default component view name or type a different name. The name can include spaces.
    NoteIf the part is nested under an assembly, you are prompted to specify which view of the assembly owns (acts as the parent) the new component view.
  3. In model space, select the objects you want to add to the new component view and press ENTER or press ENTER (without selecting anything) to create an empty component view.
    Tip
    • To select an elemental geometry, continue clicking the object until you see the name of the geometry in the tooltip window.
    • To select a folder, continue clicking an object that belongs to the folder, until you see the folder name in the tooltip window.
  4. In model space, click to set the base point for the component view. A new component view is created and displayed in the browser.


To add geometry to a component view (Procedure)

Group geometry as parts
Up a level to ..
Group geometry as parts
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group geometry as parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add geometry to a component view

  1. Right-click the component view in the browser and select Edit Objects.
  2. At the Command prompt, enter A.
  3. In model space, select the objects you want to add to the new component view and press ENTER.
    Tip
    • To select an elemental geometry, continue clicking the object until you see the name of the geometry in the tooltip window and then press ENTER.
    • To select a folder, continue clicking an object that belongs to the folder, until you see the folder name in the tooltip window and then press ENTER.
  4. Press ENTER to confirm the selected objects and quit.
NoteIf you prefer, activate a folder or component view, and then enter AMSEDIT on the command line to use the prompts. Or, select Modify [image] Restructure, and then choose Add Content, Remove Content, or Copy Content.


To remove geometry from a component view (Procedure)

Group geometry as parts
Up a level to ..
Group geometry as parts
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group geometry as parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove geometry from a component view

  1. Right-click the component view in the browser and select Edit Objects.
  2. At the Command prompt, enter R.
  3. In model space, select the objects you want to remove from the component view.
    Tip
    • To select an elemental geometry, continue clicking the object until you see the name of the geometry in the tooltip window and then press ENTER.
    • To select a folder, continue clicking an object that belongs to the folder, until you see the folder name in the tooltip window and then press ENTER.
  4. Press ENTER to confirm the selected objects and quit.


To create a new part component, directly below an assembly (Procedure)

Group geometry as parts
Up a level to ..
Group parts as assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group geometry as parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a new part component, directly below an assembly

  1. In the mechanical browser, right-click the component view of the component node you want to nest the new component under, and select New [image] Component.
  2. Press ENTER to accept the default component name or enter a new name.
  3. Press ENTER to accept the default component view name or enter a different name.
    NoteThe default component view names are set up in the AM:Structure tab of the Options dialog box.
  4. In model space, select the objects you want to add to the new component view and press ENTER, or press ENTER (without selecting anything) to create an empty component view.
    Tip
    • To select an elemental geometry, continue clicking the object until you see the name of the geometry in the tooltip window.
    • To select a folder, continue clicking an object that belongs to the folder, until you see its name in the tooltip window.
  5. In model space, click to set the base point for the component view. A new component is created and displayed in the browser, directly under the node you right-clicked in step 1.


Group geometry as parts (Quick Reference)

Group geometry as parts
Group geometry as parts
Group geometry as parts
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group geometry as parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSNEW

Creates a new mechanical structure definition from selected objects.

Ribbon: Structure tab [image] Build panel [image] Structure, New. Does not exist on the ribbon.
Toolbar: Structure
Menu: Structure [image] Structure, New Does not exist in the menus.
Command entry: amsnew

You create a component, component view and folder definition by selecting objects, specifying the basepoint and giving it a name. You create annotation views by generating it off an existing component definition. You can also use this command to insert a mechanical structure object (using an existing definition) into the drawing.

You can use either AMSCREATE or AMSNEW to create components, component views, folders, and annotation views. AMSCREATE uses the command line and browser shortcuts to create structure elements. AMSNEW uses a dialog box.

DIALOG BOX DEFINITIONS

AMSNEW DIALOG BOX

Use this dialog box to creates or inserts components, component view, annotation views and folders.

Component/View tab Contains options to create new components and component views. You can also insert new instances of an existing component or component view.
 | Parent
 |  | Component Defines which assembly you are nesting the new component under. To place the component directly below the root level, select the name of the drawing.
 |  | View Defines which component views of the assembly you are nesting the new component view under. To place the component at the root level, select the name of the drawing.
 |  | Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of he component occurs more than once in the drawing.
 | Component Contains options to select between creating a new component, adding a new component view to an existing component or inserting a new instance of a component or component view that is already defined.
 |  | Create a new component Enables options to define a new component.
 |  |  | New component name Provides space for you to enter a name for the new component to be created.
 |  | Add new instance for existing component Enables options to insert a new instance of an existing component.
 |  |  | Select component Sets which component to insert as a new instance, from a list of possible components.
 |  | Modify instance of existing component Enables options to add a view to an existing instance of a component. The view can be a new view that you are currently creating or a new instance of an existing component view that you are inserting to the drawing.
 |  |  | Select component Sets the instance to add a view to, from a list of available instances of the component.
 | View Contains options to specify the view to add.
 |  | New view Enables options to create a new component view.
 |  |  | New view name Provides a space to specify a name for the new component view being created.
 |  | Insert existing view Enables to insert a new instance of a component that is already defined.
 |  |  | Select view name Sets the view to insert, from a list of valid views.
 |  |  | Hides the dialog box so you can select the view from model space.
 |  | Base point Contains options to specify the base point for the new view you are creating. This option is visible only if you are creating a new view.
 |  |  | X Displays the X coordinate of the base point.
 |  |  | Y Displays the Y coordinate of the base point.
 |  |  | Z Displays the Z coordinate of the base point.
 |  |  | Temporarily hides the dialog box so that you can specify an insertion base point by selecting it in model space.
 |  | Objects Shows a summary of the objects selected for the new component view. The number of objects selected shows the number of lines, arcs and circles selected for the component view. The number of occurrences shows the number of folders and component views you have selected to nest under the component view being created.
 |  |  | Hides the dialog box so you can pick objects for the component view from model space. To pick an elemental geometry continue clicking the geometry until you see its name in the tooltip. If you are picking another component view or folder, continue clicking an object that belongs to the component view or folder, until you see the component view or folder name in the tooltip.
 |  | Insertion point Contains options to specify the insertion point of the new instance of the component view. This option is visible only if you are inserting an instance of a component view.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the component view is inserted at the position indicated by the X,Y, and Z settings.
 |  | Rotation Contains options to specify the angle by which to rotate the component view.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the rotation angle after you click OK. If this option is not selected, the component view is inserted rotated by the angle indicated in the Rotation angle box.
 |  |  | Rotation angle Specifies the angle by which to rotate the component view. This option is available only if the Specify on screen check box is cleared.
 |  | Preview Shows a preview of the component being created or inserted.
Annotation view tab Contains the options required to create or insert annotation views.
 | Component Contains options to select between creating a new annotation view, creating another instance of an existing component view. You can also create additional views for an annotation view.
 |  | Create annotation view of Selects the component to create an annotation view of, from a list of available components.
 |  |  | Annotation view name Provides a space for you to define a name for the annotation view.
 |  | Add a new instance of existing annotation view Enables options for creating a new instance of an annotation view that you have already created. Select the annotation view to create the new instance of.
 |  | Insert additional views into Enables options for inserting the remaining views of an existing annotation view. Select the annotation view from a list of annotation views for which all views have not been created as yet. NoteWhen you add the additional view to this instance, all other instances of the annotation view (if any exist) are updated automatically.
 |  |  | Hides the dialog box so you can pick the annotation view instance from the drawing area.
 | Placement Contains options to specify where and how the annotation view is to be placed in the drawing area.
 |  | Model space Places annotation view in model space.
 |  | Layout Places annotation view in a layout (paper space). Select the layout that the annotation view will be placed on.
 |  | Scale Contains options to scale the annotation view prior to placement.
 |  |  | Paper size Sets a paper size to make the system suggest an appropriate scale. The paper size you set here is only meant for scale calculation. It is not the actual paper size. For example, if your paper size is A3 and you want to place two annotation views within the paper, you can set the paper size to A4 (because A4 is half the size of A3) and let AutoCAD Mechanical suggest the appropriate scale.
 |  |  | Scale Sets the scale to use for the annotation view. The recommended scale for the given paper size is indicated by appending <Calculated> to the end of the recommended scale.
 |  | Base point Contains options to specify the base point for the annotation you are creating. This option is visible only if you are creating a new annotation view.
 |  |  | X Displays the X coordinate of the base point.
 |  |  | Y Displays the Y coordinate of the base point.
 |  |  | Z Displays the Z coordinate of the base point.
 |  |  | Hides the dialog box so you can specify the base point in model space.
 |  | Insertion Point Contains options to specify the insertion point of a new instance of an annotation view or a remaining view of an existing annotation view. This option is not visible only if you are creating a new annotation view. This option is not available if you are inserting additional views to an existing Annotation views.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the view is inserted at the position indicated by the X,Y, and Z settings.
 |  | Rotation Contains options to specify the angle by which to rotate the annotation view.
 | Label
 |  | Create labels for all subviews Automatically labels the views of the annotation view. The labels can be edited by double-clicking them after placing them in the drawing area. You can customize the default label in the Annotation View Settings dialog box (Assist menu [image] Options; AM:Standards tab and double-click Annotation Views from the list of elements of the standard).

Folder tab

Contains the options to create new folders and insert new instances of an existing folder.

Parent

Component view

Specifies that the folder should be nested below a component view or directly below the root node of the mechanical browser.

Component

Defines which component you are nesting the folder under. To place the folder directly below the root level, select the name of the drawing.

View

Defines which component view you are nesting the new folder under. To place the component at the root level, select the name of the drawing.

Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of he component occurs more than once in the drawing.

Folder/Annotation view

Specifies that the new folder should be nested below an existing folder or an existing annotation view and displays a list of folders and annotation views that you can use as the parent.

NoteWhen you add a folder to this instance, all other instances of the folder or annotation view (if any exist) are updated automatically.

Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of the folder occurs more than once in the drawing.

Folder

Contains options to specify the folder to add.

Create new folder

Enables options to create a new folder and provides a space to specify a name for it.

Insert existing folder

Enables the ability to select the folder to insert, from a list of valid folders.

Hides the dialog box so you can select the folder from model space.

Base point

Contains options to specify the base point for the new folder you are creating. This option is visible only if you are creating a new folder.

X

Displays the X coordinate of the base point.

Y

Displays the Y coordinate of the base point.

Z

Displays the Z coordinate of the base point.

Hides the dialog box so you can specify the base point in model space.

Objects

Shows a summary of the objects selected for the new component view. The number of objects selected shows the number of lines, arcs, and circles selected for the folder. The number of occurrences shows the number of folders you have selected to nest under the folder being created.

Hides the dialog box so you can pick objects for the folder from model space. To pick an elemental geometry continue clicking the geometry until you see its name in the tooltip. If you are picking another folder, continue clicking an object that belongs to the folder until you see the folder name in the tooltip.

Insertion point

Contains options to specify the insertion point of the new instance of the folder. This option is visible only if you are inserting an instance of a folder.

Specify on screen

Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the folder is inserted at the position indicated by the X,Y and Z settings.

Rotation

Contains options to specify the angle by which to rotate the folder.

Specify on screen

Sets options to make AutoCAD Mechanical prompt you to specify the rotation angle after you click OK. If this option is not selected, the component view is inserted rotated by the angle indicated in the Rotation angle box.

Rotation angle

Specifies the angle by which to rotate the folder. This option is available only if the Specify on screen check box is cleared.

Preview

Shows a preview of the component being created or inserted.


Group geometry as parts (Quick Reference)

Group geometry as parts
Group geometry as parts
Group parts as assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group geometry as parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCREATE

Creates new components, component views, folders, and annotation views
Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Structure [image] Create [image] Component Does not exist in the menus.
Command entry: amscreate
NoteYou can use either AMSCREATE or AMSNEW to create new components, component views, folders, and annotation views. AMSCREATE uses the command line and the browser to create elements. AMSNEW uses a dialog box to create elements.

COMMAND LINE OPTIONS

Create a component

Use the Component option to create a new component and a new view.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter C and press ENTER.

Enter new component name <COMP1>: Enter a component name. It can contain spaces, but must be unique in the drawing.

Enter new view name <Top>: Enter T or press ENTER to accept the default Top view or enter a different view. The view name can have spaces.

NoteCheck for the default view name on the Options dialog box. Click the Assist [image] Options menu. On the AM:Structure tab, the default view name is the first unique name for the specified component in the default view names list.

Active = ModelSpace

Select parent component and view or [Modelspace/Active] <Active>: Enter A or press ENTER to accept the default Active edit target or specify a different parent component or view.

The active component and view are displayed on the command line prior to the prompt for the parent component and view.

Select component and view. If the Active edit target is not a valid component view parent, model space becomes the default. If you enter Active when it is not a valid parent, the following error message is displayed:

*Invalid Parent* Parent must be a component view.

NoteStandard part views, standard features, shaft component views, component views in annotation views, and component views in AMDETAIL views are invalid selections for parent components.

Select objects for new component: Select one or more objects (including folders or views) or press ENTER to create an empty component view.

Specify base point: Select a base point or enter coordinates for a base point.

When you define the base point, a new component and view are created in the browser.

Create a view

Use the View option to create a new view of an existing component.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter V and press ENTER.

NoteYou must have component definitions in the drawing before you can select a component to which to add a new view.

Active = ModelSpace

Select component instance for view or [Active]: Press ENTER to accept the default option and select the active component instance based on the active component view. If a folder or model space is active, there is no default option and you can select another instance for a view.

Enter new view name <Front>: After you select a valid component instance, press ENTER to accept the default or type a new view name.

Specify parent view or [?] <default>;: The parent component is already defined as the parent of the component instance for the view, so the only valid choice is an existing view instance of the parent component. The default is the first instanced view name.

The ? option lists the names of all instanced views of the parent component and prompts you to specify a parent view. You can select view instances to specify a view instance of a parent component.

If the parent is model space, the only valid view name is Modelspace.

Select objects for new component view: Select objects (including other folders or views). You cannot select component views that create circular references, annotation views, and details. If you prefer, press ENTER to select nothing and create an empty component view.

Specify base point: Select a base point or enter coordinates for base point.

When you define the base point, a new component view is created in the browser.

Create a folder

Use the Folder option to create a new folder.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter F and press ENTER.

Enter folder name <FOLDER1>: Enter a unique folder name or press ENTER to accept the default. The folder name can have spaces.

Active = ModelSpace

Select parent or [Active/Modelspace] <Active>: Select a folder, component view, or annotation view as a parent. Enter A or press ENTER to select the active component view of a folder as the parent. Enter M to select Model Space. Standard part views are not valid parent selections.

Select objects for new folder: Select objects to put in the new folder such as leaf geometry and other folders. Invalid selections include component views, detail views and their children, annotation views and their children, and any folder that creates a circular reference

Specify base point: Select a base point or type coordinates for base point.

When you define the base point, a new folder is created in the browser.

Create an annotation view

Use the Annotation View option to create a new annotation view for annotating (detailing) a component.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter A and press ENTER.

NoteYou must have component definitions in the drawing before you can select a component for detailing.

Specify the component to detail or [?] <?>:

Valid Component Names:

- Comp1

- Comp2

Specify component to detail or [?] <?>: Because an annotation view is based on a single component, specify a valid component name to detail. Enter ? or press ENTER to list component definitions.

Enter annotation view name <Default>: Press ENTER to accept the default as the annotation view name or enter a new annotation view name. The default annotation view name is specified in the Options dialog box on the AM:Structure tab. An annotation view name must be unique among annotation views in a drawing.

Specify base point: Select a base point or type coordinates for base point.

When you define the base point, a new annotation view is created in the browser.

After creating an annotation view name and base point, you can begin to insert component views. Inserting component views into an annotation view is the same as inserting views in an annotation view using AMSNEW.


Group parts as assemblies (Concept)

Group geometry as parts
Organize geometry as parts and assemblies
Group geometry into folders
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group parts as assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In a 2D environment, a part or assembly is typically shown by one or more views. Model space contains the views of parts and assemblies. Grouping lines, arcs, and circles (geometry) as parts means that you group geometry as the views of part components.

A part component contains geometry while an assembly component contains other components. The component views of a part component contain geometry, while the component views of an assembly contain the component views of the parts and subassemblies that belong to the assembly. In the mechanical browser, part nodes are indicated by the [image] icon and assembly nodes are indicated by the [image] icon.

There are no explicit commands to create assembly components. When a component view is made to contain the component view of another component (as opposed to containing geometry), it is automatically promoted to an assembly.

You can create assemblies by:

  • Restructuring

    You start by creating a part component with empty component views (by not selecting anything when prompted to select geometry). In the mechanical browser, drag the components you want to nest on to this empty component. The empty component becomes a container of other components (Click here for more details on restructuring).

  • Creating new parts, nested below the component earmarked to be the assembly.

    You start by creating a part component with empty component views (by not selecting anything when prompted to select geometry). When creating the parts (of the assembly), create them nested under the component with empty component views. As soon as a component is nested, the component with empty component views is promoted to an assembly.

    See example

    When you right-click in the browser to create a new component, without selecting an existing component node, the new component node is added to the top level of the browser tree.

    In the following example, the part, LATCH, is nested directly below the root node.

    When you right-click a component node, or any of the folders under that component node, and use the context menu to create a new component, the new component is nested under the selected component.

    In the following example, the component node CROSSHEAD was right-clicked and the context menu was used to create the new part LATCH. The result is that LATCH is nested under CROSSHEAD, and CROSSHEAD promotes to an assembly.

  • Creating directly as an “assembly” component

    You create the assembly component in the same way that you create a part component. The only difference is that instead of selecting geometry for its component views, you select the component views of the parts and subassemblies you want to nest under that assembly. (Click here for more information on how to select component views instead of geometry.)

The most convenient workflow differs from one situation to another. It is not uncommon to see all these workflows used at different times.

See Also
    • Locate, select, and modify components and folders using the mechanical browser


Group parts as assemblies (Procedure)

Group geometry as parts
Up a level to ..
Group parts as assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group parts as assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a “part” component with empty component views

To create a new “assembly” component

To create a new part component, directly below an assembly

To restructure components in the mechanical browser


Group parts as assemblies (Quick Reference)

Group geometry as parts
Group parts as assemblies
Group parts as assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group parts as assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSNEW

AMSCREATE

Component Restructure dialog box


To create a “part” component with empty component views (Procedure)

Group parts as assemblies
Up a level to ..
Group parts as assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group parts as assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a “part” component with empty component views

  1. In the mechanical browser, right-click the root node, and select New [image] Component.
  2. Press ENTER to accept the default component name or enter a new name.
  3. Press ENTER to accept the default component view name or enter a different name.
    NoteThe default component view names are set up in the AM:Structure tab of the Options dialog box.
  4. In model space, press ENTER (without selecting anything).
  5. In model space, click to set the base point for the component view. A new component is created and displayed in the browser, directly under the root.
    Note
    • If you want to restructure the new component as a part of an existing assembly, in the mechanical browser, drag the newly created component view node on to the corresponding component view of the assembly you are nesting it under
    • Standard part views, standard features, shaft component views, component views in annotation views, and component views in AMDETAIL views are invalid selections for assembly components.


To create a new “assembly” component (Procedure)

Group parts as assemblies
Up a level to ..
Group parts as assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group parts as assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a new “assembly” component

  1. In the mechanical browser, right-click the root node, and select New [image] Component.
  2. Press ENTER to accept the default component name or enter a new name.
  3. Press ENTER to accept the default component view name or enter a different name.
    NoteThe default component view names are set up in the AM:Structure tab of the Options dialog box.
  4. In model space, select the component views you want to add to the new assembly and press ENTER.
    TipTo select a component view, continue clicking an object that belongs to the component view, until you see its name in the tooltip window and then press ENTER.
  5. In model space, click to set the base point for the component view. A new component is created and displayed in the browser, directly under the root.
    Note
    • If you want to restructure the new component as a sub-assembly of an existing assembly, in the mechanical browser, drag the newly created component view node to the corresponding component view of the assembly you are nesting it under
    • Standard part views, standard features, shaft component views, component views in annotation views, and component views in AMDETAIL views are invalid selections for assembly components.
    • The instructions on this page assume that the settings on the AM:Structure tab of the Options dialog box are at their default values. Please see the Configuration and Setup Guide on how to change these settings.


To create a new part component, directly below an assembly (Procedure)

Group parts as assemblies
Up a level to ..
Group parts as assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group parts as assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a new part component, directly below an assembly

  1. In the mechanical browser, right-click the component view of the component node you want to nest the new component under, and select New [image] Component.
  2. Press ENTER to accept the default component name or enter a new name.
  3. Press ENTER to accept the default component view name or enter a different name.
    NoteThe default component view names are set up in the AM:Structure tab of the Options dialog box.
  4. In model space, select the objects you want to add to the new component view and press ENTER, or press ENTER (without selecting anything) to create an empty component view.
    Tip
    • To select an elemental geometry, continue clicking the object until you see the name of the geometry in the tooltip window.
    • To select a folder, continue clicking an object that belongs to the folder, until you see its name in the tooltip window.
  5. In model space, click to set the base point for the component view. A new component is created and displayed in the browser, directly under the node you right-clicked in step 1.


To restructure components in the mechanical browser (Procedure)

Group parts as assemblies
Up a level to ..
Group geometry into folders
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group parts as assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To restructure components in the mechanical browser

  1. In the mechanical browser, select the component you want to nest under an assembly component, and drag it on to the assembly you want it to be a part of. The Component Restructure dialog box is displayed.
    NoteThe Component Restructure dialog box is not displayed when all component views are accounted for.
  2. From the Source Component Views list, drag each view to the corresponding parent view of the assembly in the Destination Component Views list.
  3. Click OK.
Note
  • You can select multiple components for restructure, by pressing the CTRL or SHIFT key while selecting components.
  • If you are restructuring components that are linked to each other (for example, shaft components and components involved in a screw connection), use the Find Associated Components or Find Associated Views browser right-click menu item to find the components and ensure that all are selected prior to dragging. Failing to restructure them together results in broken links.


Group parts as assemblies (Quick Reference)

Group parts as assemblies
Group parts as assemblies
Group parts as assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group parts as assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSNEW

Creates a new mechanical structure definition from selected objects.

Ribbon: Structure tab [image] Build panel [image] Structure, New. Does not exist on the ribbon.
Toolbar: Structure
Menu: Structure [image] Structure, New Does not exist in the menus.
Command entry: amsnew

You create a component, component view and folder definition by selecting objects, specifying the basepoint and giving it a name. You create annotation views by generating it off an existing component definition. You can also use this command to insert a mechanical structure object (using an existing definition) into the drawing.

You can use either AMSCREATE or AMSNEW to create components, component views, folders, and annotation views. AMSCREATE uses the command line and browser shortcuts to create structure elements. AMSNEW uses a dialog box.

DIALOG BOX DEFINITIONS

AMSNEW DIALOG BOX

Use this dialog box to creates or inserts components, component view, annotation views and folders.

Component/View tab Contains options to create new components and component views. You can also insert new instances of an existing component or component view.
 | Parent
 |  | Component Defines which assembly you are nesting the new component under. To place the component directly below the root level, select the name of the drawing.
 |  | View Defines which component views of the assembly you are nesting the new component view under. To place the component at the root level, select the name of the drawing.
 |  | Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of he component occurs more than once in the drawing.
 | Component Contains options to select between creating a new component, adding a new component view to an existing component or inserting a new instance of a component or component view that is already defined.
 |  | Create a new component Enables options to define a new component.
 |  |  | New component name Provides space for you to enter a name for the new component to be created.
 |  | Add new instance for existing component Enables options to insert a new instance of an existing component.
 |  |  | Select component Sets which component to insert as a new instance, from a list of possible components.
 |  | Modify instance of existing component Enables options to add a view to an existing instance of a component. The view can be a new view that you are currently creating or a new instance of an existing component view that you are inserting to the drawing.
 |  |  | Select component Sets the instance to add a view to, from a list of available instances of the component.
 | View Contains options to specify the view to add.
 |  | New view Enables options to create a new component view.
 |  |  | New view name Provides a space to specify a name for the new component view being created.
 |  | Insert existing view Enables to insert a new instance of a component that is already defined.
 |  |  | Select view name Sets the view to insert, from a list of valid views.
 |  |  | Hides the dialog box so you can select the view from model space.
 |  | Base point Contains options to specify the base point for the new view you are creating. This option is visible only if you are creating a new view.
 |  |  | X Displays the X coordinate of the base point.
 |  |  | Y Displays the Y coordinate of the base point.
 |  |  | Z Displays the Z coordinate of the base point.
 |  |  | Temporarily hides the dialog box so that you can specify an insertion base point by selecting it in model space.
 |  | Objects Shows a summary of the objects selected for the new component view. The number of objects selected shows the number of lines, arcs and circles selected for the component view. The number of occurrences shows the number of folders and component views you have selected to nest under the component view being created.
 |  |  | Hides the dialog box so you can pick objects for the component view from model space. To pick an elemental geometry continue clicking the geometry until you see its name in the tooltip. If you are picking another component view or folder, continue clicking an object that belongs to the component view or folder, until you see the component view or folder name in the tooltip.
 |  | Insertion point Contains options to specify the insertion point of the new instance of the component view. This option is visible only if you are inserting an instance of a component view.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the component view is inserted at the position indicated by the X,Y, and Z settings.
 |  | Rotation Contains options to specify the angle by which to rotate the component view.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the rotation angle after you click OK. If this option is not selected, the component view is inserted rotated by the angle indicated in the Rotation angle box.
 |  |  | Rotation angle Specifies the angle by which to rotate the component view. This option is available only if the Specify on screen check box is cleared.
 |  | Preview Shows a preview of the component being created or inserted.
Annotation view tab Contains the options required to create or insert annotation views.
 | Component Contains options to select between creating a new annotation view, creating another instance of an existing component view. You can also create additional views for an annotation view.
 |  | Create annotation view of Selects the component to create an annotation view of, from a list of available components.
 |  |  | Annotation view name Provides a space for you to define a name for the annotation view.
 |  | Add a new instance of existing annotation view Enables options for creating a new instance of an annotation view that you have already created. Select the annotation view to create the new instance of.
 |  | Insert additional views into Enables options for inserting the remaining views of an existing annotation view. Select the annotation view from a list of annotation views for which all views have not been created as yet. NoteWhen you add the additional view to this instance, all other instances of the annotation view (if any exist) are updated automatically.
 |  |  | Hides the dialog box so you can pick the annotation view instance from the drawing area.
 | Placement Contains options to specify where and how the annotation view is to be placed in the drawing area.
 |  | Model space Places annotation view in model space.
 |  | Layout Places annotation view in a layout (paper space). Select the layout that the annotation view will be placed on.
 |  | Scale Contains options to scale the annotation view prior to placement.
 |  |  | Paper size Sets a paper size to make the system suggest an appropriate scale. The paper size you set here is only meant for scale calculation. It is not the actual paper size. For example, if your paper size is A3 and you want to place two annotation views within the paper, you can set the paper size to A4 (because A4 is half the size of A3) and let AutoCAD Mechanical suggest the appropriate scale.
 |  |  | Scale Sets the scale to use for the annotation view. The recommended scale for the given paper size is indicated by appending <Calculated> to the end of the recommended scale.
 |  | Base point Contains options to specify the base point for the annotation you are creating. This option is visible only if you are creating a new annotation view.
 |  |  | X Displays the X coordinate of the base point.
 |  |  | Y Displays the Y coordinate of the base point.
 |  |  | Z Displays the Z coordinate of the base point.
 |  |  | Hides the dialog box so you can specify the base point in model space.
 |  | Insertion Point Contains options to specify the insertion point of a new instance of an annotation view or a remaining view of an existing annotation view. This option is not visible only if you are creating a new annotation view. This option is not available if you are inserting additional views to an existing Annotation views.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the view is inserted at the position indicated by the X,Y, and Z settings.
 |  | Rotation Contains options to specify the angle by which to rotate the annotation view.
 | Label
 |  | Create labels for all subviews Automatically labels the views of the annotation view. The labels can be edited by double-clicking them after placing them in the drawing area. You can customize the default label in the Annotation View Settings dialog box (Assist menu [image] Options; AM:Standards tab and double-click Annotation Views from the list of elements of the standard).

Folder tab

Contains the options to create new folders and insert new instances of an existing folder.

Parent

Component view

Specifies that the folder should be nested below a component view or directly below the root node of the mechanical browser.

Component

Defines which component you are nesting the folder under. To place the folder directly below the root level, select the name of the drawing.

View

Defines which component view you are nesting the new folder under. To place the component at the root level, select the name of the drawing.

Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of he component occurs more than once in the drawing.

Folder/Annotation view

Specifies that the new folder should be nested below an existing folder or an existing annotation view and displays a list of folders and annotation views that you can use as the parent.

NoteWhen you add a folder to this instance, all other instances of the folder or annotation view (if any exist) are updated automatically.

Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of the folder occurs more than once in the drawing.

Folder

Contains options to specify the folder to add.

Create new folder

Enables options to create a new folder and provides a space to specify a name for it.

Insert existing folder

Enables the ability to select the folder to insert, from a list of valid folders.

Hides the dialog box so you can select the folder from model space.

Base point

Contains options to specify the base point for the new folder you are creating. This option is visible only if you are creating a new folder.

X

Displays the X coordinate of the base point.

Y

Displays the Y coordinate of the base point.

Z

Displays the Z coordinate of the base point.

Hides the dialog box so you can specify the base point in model space.

Objects

Shows a summary of the objects selected for the new component view. The number of objects selected shows the number of lines, arcs, and circles selected for the folder. The number of occurrences shows the number of folders you have selected to nest under the folder being created.

Hides the dialog box so you can pick objects for the folder from model space. To pick an elemental geometry continue clicking the geometry until you see its name in the tooltip. If you are picking another folder, continue clicking an object that belongs to the folder until you see the folder name in the tooltip.

Insertion point

Contains options to specify the insertion point of the new instance of the folder. This option is visible only if you are inserting an instance of a folder.

Specify on screen

Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the folder is inserted at the position indicated by the X,Y and Z settings.

Rotation

Contains options to specify the angle by which to rotate the folder.

Specify on screen

Sets options to make AutoCAD Mechanical prompt you to specify the rotation angle after you click OK. If this option is not selected, the component view is inserted rotated by the angle indicated in the Rotation angle box.

Rotation angle

Specifies the angle by which to rotate the folder. This option is available only if the Specify on screen check box is cleared.

Preview

Shows a preview of the component being created or inserted.


Group parts as assemblies (Quick Reference)

Group parts as assemblies
Group parts as assemblies
Group parts as assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group parts as assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCREATE

Creates new components, component views, folders, and annotation views
Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Structure [image] Create [image] Component Does not exist in the menus.
Command entry: amscreate
NoteYou can use either AMSCREATE or AMSNEW to create new components, component views, folders, and annotation views. AMSCREATE uses the command line and the browser to create elements. AMSNEW uses a dialog box to create elements.

COMMAND LINE OPTIONS

Create a component

Use the Component option to create a new component and a new view.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter C and press ENTER.

Enter new component name <COMP1>: Enter a component name. It can contain spaces, but must be unique in the drawing.

Enter new view name <Top>: Enter T or press ENTER to accept the default Top view or enter a different view. The view name can have spaces.

NoteCheck for the default view name on the Options dialog box. Click the Assist [image] Options menu. On the AM:Structure tab, the default view name is the first unique name for the specified component in the default view names list.

Active = ModelSpace

Select parent component and view or [Modelspace/Active] <Active>: Enter A or press ENTER to accept the default Active edit target or specify a different parent component or view.

The active component and view are displayed on the command line prior to the prompt for the parent component and view.

Select component and view. If the Active edit target is not a valid component view parent, model space becomes the default. If you enter Active when it is not a valid parent, the following error message is displayed:

*Invalid Parent* Parent must be a component view.

NoteStandard part views, standard features, shaft component views, component views in annotation views, and component views in AMDETAIL views are invalid selections for parent components.

Select objects for new component: Select one or more objects (including folders or views) or press ENTER to create an empty component view.

Specify base point: Select a base point or enter coordinates for a base point.

When you define the base point, a new component and view are created in the browser.

Create a view

Use the View option to create a new view of an existing component.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter V and press ENTER.

NoteYou must have component definitions in the drawing before you can select a component to which to add a new view.

Active = ModelSpace

Select component instance for view or [Active]: Press ENTER to accept the default option and select the active component instance based on the active component view. If a folder or model space is active, there is no default option and you can select another instance for a view.

Enter new view name <Front>: After you select a valid component instance, press ENTER to accept the default or type a new view name.

Specify parent view or [?] <default>;: The parent component is already defined as the parent of the component instance for the view, so the only valid choice is an existing view instance of the parent component. The default is the first instanced view name.

The ? option lists the names of all instanced views of the parent component and prompts you to specify a parent view. You can select view instances to specify a view instance of a parent component.

If the parent is model space, the only valid view name is Modelspace.

Select objects for new component view: Select objects (including other folders or views). You cannot select component views that create circular references, annotation views, and details. If you prefer, press ENTER to select nothing and create an empty component view.

Specify base point: Select a base point or enter coordinates for base point.

When you define the base point, a new component view is created in the browser.

Create a folder

Use the Folder option to create a new folder.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter F and press ENTER.

Enter folder name <FOLDER1>: Enter a unique folder name or press ENTER to accept the default. The folder name can have spaces.

Active = ModelSpace

Select parent or [Active/Modelspace] <Active>: Select a folder, component view, or annotation view as a parent. Enter A or press ENTER to select the active component view of a folder as the parent. Enter M to select Model Space. Standard part views are not valid parent selections.

Select objects for new folder: Select objects to put in the new folder such as leaf geometry and other folders. Invalid selections include component views, detail views and their children, annotation views and their children, and any folder that creates a circular reference

Specify base point: Select a base point or type coordinates for base point.

When you define the base point, a new folder is created in the browser.

Create an annotation view

Use the Annotation View option to create a new annotation view for annotating (detailing) a component.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter A and press ENTER.

NoteYou must have component definitions in the drawing before you can select a component for detailing.

Specify the component to detail or [?] <?>:

Valid Component Names:

- Comp1

- Comp2

Specify component to detail or [?] <?>: Because an annotation view is based on a single component, specify a valid component name to detail. Enter ? or press ENTER to list component definitions.

Enter annotation view name <Default>: Press ENTER to accept the default as the annotation view name or enter a new annotation view name. The default annotation view name is specified in the Options dialog box on the AM:Structure tab. An annotation view name must be unique among annotation views in a drawing.

Specify base point: Select a base point or type coordinates for base point.

When you define the base point, a new annotation view is created in the browser.

After creating an annotation view name and base point, you can begin to insert component views. Inserting component views into an annotation view is the same as inserting views in an annotation view using AMSNEW.


Group parts as assemblies (Quick Reference)

Group parts as assemblies
Group parts as assemblies
Group geometry into folders
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group parts as assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Component Restructure dialog box

This dialog box is displayed during a restructure drag operation so you can map the views of the component being dragged to the parent views of the destination component.

To map a view, drag the view from the Source Component Views list to the corresponding parent on the Destination Component Views list.

Source Component Views

Displays a list of views (on the component being moved) that have no corresponding parent views.

Right-click menu

Pan

Temporarily hides the dialog box so you can dynamically pan model space. To return to the dialog box, right-click model space and select Exit.

Zoom

Temporarily hides the dialog box so you can dynamically zoom model space. To return to the dialog box, right-click model space and select Exit.

Zoom to

Temporarily hides the dialog box and zooms to the view currently selected in the list. To return to the dialog box, right-click model space and select Exit. If no views are selected, this menu option is unavailable.

Auto Map Views

Automatically maps all Source Component Views to Destination Component Views of the same name.

NoteThe following conditions must be met for Auto map Views to work:
  • The source and destination components must have the same number of views.
  • The views being mapped must be children of the same parent view.
Destination Component Views Displays a list of parent views in the destination subassembly/part.
 | Right-click menu
 |  | Pan Temporarily hides the dialog box so you can dynamically pan model space. To return to the dialog box, right-click model space and select Exit.
 |  | Zoom Temporarily hides the dialog box so you can dynamically zoom model space. To return to the dialog box, right-click model space and select Exit.
 |  | Zoom to Temporarily hides the dialog box and zooms to the view currently selected in the list. To return to the dialog box, right-click model space and select Exit. If no views are selected, this menu option is unavailable.
 |  | Create New View Displays the New dialog box where you can create a new view for the component.


Group geometry into folders (Concept)

Group parts as assemblies
Organize geometry as parts and assemblies
Shortcuts for creating parts and assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group geometry into folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You use folders in place of AutoCAD blocks, to reuse geometry within component views. See the following examples for some typical usage.

A folder is similar to a block in that it has a definition that can be instanced multiple times. Like a block, the definition is stored away in the non-graphical area of the drawing. Also similar to blocks, any change you make to the folder definition is reflected in all instances of that folder.

While folders are very similar to blocks, there are some significant differences. The first, and probably the most significant, is that the contents of a folder remain editable without the need for a special editing mode like REFEDIT. The second is that all instances of a folder are shown in the mechanical browser. You can right-click the folder icon in the mechanical browser and perform operations such as zoom to its geometry or apply visibility enhancements.

Example of how to use a folder

In this example, a folder, Groove:1, contains the upper groove and is arrayed to create the others. Because folders are associative, modifying one groove results in all grooves being updated.

In this example, a folder, Profile:1, contains the upper wheel profile. Profile:2 is another instance of this folder, created by mirroring Profile:1. Changing one profile automatically updates the other.


Group geometry into folders (Quick Reference)

Group parts as assemblies
Group geometry into folders
Group geometry into folders
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group geometry into folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCREATE

AMSNEW


To create a folder (Procedure)

Group parts as assemblies
Up a level to ..
Shortcuts for creating parts and assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group geometry into folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a folder

  1. In the mechanical browser, right-click the component view or folder you want to use as the parent of the folder you want to create, and click New [image] Folder.
    Note
    • You can select the root node as a parent, if required.
    • Standard part views, shaft component views, component views in annotation views, and component views in AMDETAIL views are invalid selections for a parent.
  2. Press ENTER to accept the default folder name or enter a new name.
  3. In model space, select objects to add to the folder, or press ENTER to create an empty folder.
  4. In model space, click to specify a base point. A new folder is created and displayed in the browser.


Group geometry into folders (Quick Reference)

Group geometry into folders
Group geometry into folders
Group geometry into folders
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group geometry into folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCREATE

Creates new components, component views, folders, and annotation views
Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Structure [image] Create [image] Component Does not exist in the menus.
Command entry: amscreate
NoteYou can use either AMSCREATE or AMSNEW to create new components, component views, folders, and annotation views. AMSCREATE uses the command line and the browser to create elements. AMSNEW uses a dialog box to create elements.

COMMAND LINE OPTIONS

Create a component

Use the Component option to create a new component and a new view.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter C and press ENTER.

Enter new component name <COMP1>: Enter a component name. It can contain spaces, but must be unique in the drawing.

Enter new view name <Top>: Enter T or press ENTER to accept the default Top view or enter a different view. The view name can have spaces.

NoteCheck for the default view name on the Options dialog box. Click the Assist [image] Options menu. On the AM:Structure tab, the default view name is the first unique name for the specified component in the default view names list.

Active = ModelSpace

Select parent component and view or [Modelspace/Active] <Active>: Enter A or press ENTER to accept the default Active edit target or specify a different parent component or view.

The active component and view are displayed on the command line prior to the prompt for the parent component and view.

Select component and view. If the Active edit target is not a valid component view parent, model space becomes the default. If you enter Active when it is not a valid parent, the following error message is displayed:

*Invalid Parent* Parent must be a component view.

NoteStandard part views, standard features, shaft component views, component views in annotation views, and component views in AMDETAIL views are invalid selections for parent components.

Select objects for new component: Select one or more objects (including folders or views) or press ENTER to create an empty component view.

Specify base point: Select a base point or enter coordinates for a base point.

When you define the base point, a new component and view are created in the browser.

Create a view

Use the View option to create a new view of an existing component.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter V and press ENTER.

NoteYou must have component definitions in the drawing before you can select a component to which to add a new view.

Active = ModelSpace

Select component instance for view or [Active]: Press ENTER to accept the default option and select the active component instance based on the active component view. If a folder or model space is active, there is no default option and you can select another instance for a view.

Enter new view name <Front>: After you select a valid component instance, press ENTER to accept the default or type a new view name.

Specify parent view or [?] <default>;: The parent component is already defined as the parent of the component instance for the view, so the only valid choice is an existing view instance of the parent component. The default is the first instanced view name.

The ? option lists the names of all instanced views of the parent component and prompts you to specify a parent view. You can select view instances to specify a view instance of a parent component.

If the parent is model space, the only valid view name is Modelspace.

Select objects for new component view: Select objects (including other folders or views). You cannot select component views that create circular references, annotation views, and details. If you prefer, press ENTER to select nothing and create an empty component view.

Specify base point: Select a base point or enter coordinates for base point.

When you define the base point, a new component view is created in the browser.

Create a folder

Use the Folder option to create a new folder.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter F and press ENTER.

Enter folder name <FOLDER1>: Enter a unique folder name or press ENTER to accept the default. The folder name can have spaces.

Active = ModelSpace

Select parent or [Active/Modelspace] <Active>: Select a folder, component view, or annotation view as a parent. Enter A or press ENTER to select the active component view of a folder as the parent. Enter M to select Model Space. Standard part views are not valid parent selections.

Select objects for new folder: Select objects to put in the new folder such as leaf geometry and other folders. Invalid selections include component views, detail views and their children, annotation views and their children, and any folder that creates a circular reference

Specify base point: Select a base point or type coordinates for base point.

When you define the base point, a new folder is created in the browser.

Create an annotation view

Use the Annotation View option to create a new annotation view for annotating (detailing) a component.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter A and press ENTER.

NoteYou must have component definitions in the drawing before you can select a component for detailing.

Specify the component to detail or [?] <?>:

Valid Component Names:

- Comp1

- Comp2

Specify component to detail or [?] <?>: Because an annotation view is based on a single component, specify a valid component name to detail. Enter ? or press ENTER to list component definitions.

Enter annotation view name <Default>: Press ENTER to accept the default as the annotation view name or enter a new annotation view name. The default annotation view name is specified in the Options dialog box on the AM:Structure tab. An annotation view name must be unique among annotation views in a drawing.

Specify base point: Select a base point or type coordinates for base point.

When you define the base point, a new annotation view is created in the browser.

After creating an annotation view name and base point, you can begin to insert component views. Inserting component views into an annotation view is the same as inserting views in an annotation view using AMSNEW.


Group geometry into folders (Quick Reference)

Group geometry into folders
Group geometry into folders
Shortcuts for creating parts and assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Group geometry into folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSNEW

Creates a new mechanical structure definition from selected objects.

Ribbon: Structure tab [image] Build panel [image] Structure, New. Does not exist on the ribbon.
Toolbar: Structure
Menu: Structure [image] Structure, New Does not exist in the menus.
Command entry: amsnew

You create a component, component view and folder definition by selecting objects, specifying the basepoint and giving it a name. You create annotation views by generating it off an existing component definition. You can also use this command to insert a mechanical structure object (using an existing definition) into the drawing.

You can use either AMSCREATE or AMSNEW to create components, component views, folders, and annotation views. AMSCREATE uses the command line and browser shortcuts to create structure elements. AMSNEW uses a dialog box.

DIALOG BOX DEFINITIONS

AMSNEW DIALOG BOX

Use this dialog box to creates or inserts components, component view, annotation views and folders.

Component/View tab Contains options to create new components and component views. You can also insert new instances of an existing component or component view.
 | Parent
 |  | Component Defines which assembly you are nesting the new component under. To place the component directly below the root level, select the name of the drawing.
 |  | View Defines which component views of the assembly you are nesting the new component view under. To place the component at the root level, select the name of the drawing.
 |  | Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of he component occurs more than once in the drawing.
 | Component Contains options to select between creating a new component, adding a new component view to an existing component or inserting a new instance of a component or component view that is already defined.
 |  | Create a new component Enables options to define a new component.
 |  |  | New component name Provides space for you to enter a name for the new component to be created.
 |  | Add new instance for existing component Enables options to insert a new instance of an existing component.
 |  |  | Select component Sets which component to insert as a new instance, from a list of possible components.
 |  | Modify instance of existing component Enables options to add a view to an existing instance of a component. The view can be a new view that you are currently creating or a new instance of an existing component view that you are inserting to the drawing.
 |  |  | Select component Sets the instance to add a view to, from a list of available instances of the component.
 | View Contains options to specify the view to add.
 |  | New view Enables options to create a new component view.
 |  |  | New view name Provides a space to specify a name for the new component view being created.
 |  | Insert existing view Enables to insert a new instance of a component that is already defined.
 |  |  | Select view name Sets the view to insert, from a list of valid views.
 |  |  | Hides the dialog box so you can select the view from model space.
 |  | Base point Contains options to specify the base point for the new view you are creating. This option is visible only if you are creating a new view.
 |  |  | X Displays the X coordinate of the base point.
 |  |  | Y Displays the Y coordinate of the base point.
 |  |  | Z Displays the Z coordinate of the base point.
 |  |  | Temporarily hides the dialog box so that you can specify an insertion base point by selecting it in model space.
 |  | Objects Shows a summary of the objects selected for the new component view. The number of objects selected shows the number of lines, arcs and circles selected for the component view. The number of occurrences shows the number of folders and component views you have selected to nest under the component view being created.
 |  |  | Hides the dialog box so you can pick objects for the component view from model space. To pick an elemental geometry continue clicking the geometry until you see its name in the tooltip. If you are picking another component view or folder, continue clicking an object that belongs to the component view or folder, until you see the component view or folder name in the tooltip.
 |  | Insertion point Contains options to specify the insertion point of the new instance of the component view. This option is visible only if you are inserting an instance of a component view.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the component view is inserted at the position indicated by the X,Y, and Z settings.
 |  | Rotation Contains options to specify the angle by which to rotate the component view.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the rotation angle after you click OK. If this option is not selected, the component view is inserted rotated by the angle indicated in the Rotation angle box.
 |  |  | Rotation angle Specifies the angle by which to rotate the component view. This option is available only if the Specify on screen check box is cleared.
 |  | Preview Shows a preview of the component being created or inserted.
Annotation view tab Contains the options required to create or insert annotation views.
 | Component Contains options to select between creating a new annotation view, creating another instance of an existing component view. You can also create additional views for an annotation view.
 |  | Create annotation view of Selects the component to create an annotation view of, from a list of available components.
 |  |  | Annotation view name Provides a space for you to define a name for the annotation view.
 |  | Add a new instance of existing annotation view Enables options for creating a new instance of an annotation view that you have already created. Select the annotation view to create the new instance of.
 |  | Insert additional views into Enables options for inserting the remaining views of an existing annotation view. Select the annotation view from a list of annotation views for which all views have not been created as yet. NoteWhen you add the additional view to this instance, all other instances of the annotation view (if any exist) are updated automatically.
 |  |  | Hides the dialog box so you can pick the annotation view instance from the drawing area.
 | Placement Contains options to specify where and how the annotation view is to be placed in the drawing area.
 |  | Model space Places annotation view in model space.
 |  | Layout Places annotation view in a layout (paper space). Select the layout that the annotation view will be placed on.
 |  | Scale Contains options to scale the annotation view prior to placement.
 |  |  | Paper size Sets a paper size to make the system suggest an appropriate scale. The paper size you set here is only meant for scale calculation. It is not the actual paper size. For example, if your paper size is A3 and you want to place two annotation views within the paper, you can set the paper size to A4 (because A4 is half the size of A3) and let AutoCAD Mechanical suggest the appropriate scale.
 |  |  | Scale Sets the scale to use for the annotation view. The recommended scale for the given paper size is indicated by appending <Calculated> to the end of the recommended scale.
 |  | Base point Contains options to specify the base point for the annotation you are creating. This option is visible only if you are creating a new annotation view.
 |  |  | X Displays the X coordinate of the base point.
 |  |  | Y Displays the Y coordinate of the base point.
 |  |  | Z Displays the Z coordinate of the base point.
 |  |  | Hides the dialog box so you can specify the base point in model space.
 |  | Insertion Point Contains options to specify the insertion point of a new instance of an annotation view or a remaining view of an existing annotation view. This option is not visible only if you are creating a new annotation view. This option is not available if you are inserting additional views to an existing Annotation views.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the view is inserted at the position indicated by the X,Y, and Z settings.
 |  | Rotation Contains options to specify the angle by which to rotate the annotation view.
 | Label
 |  | Create labels for all subviews Automatically labels the views of the annotation view. The labels can be edited by double-clicking them after placing them in the drawing area. You can customize the default label in the Annotation View Settings dialog box (Assist menu [image] Options; AM:Standards tab and double-click Annotation Views from the list of elements of the standard).

Folder tab

Contains the options to create new folders and insert new instances of an existing folder.

Parent

Component view

Specifies that the folder should be nested below a component view or directly below the root node of the mechanical browser.

Component

Defines which component you are nesting the folder under. To place the folder directly below the root level, select the name of the drawing.

View

Defines which component view you are nesting the new folder under. To place the component at the root level, select the name of the drawing.

Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of he component occurs more than once in the drawing.

Folder/Annotation view

Specifies that the new folder should be nested below an existing folder or an existing annotation view and displays a list of folders and annotation views that you can use as the parent.

NoteWhen you add a folder to this instance, all other instances of the folder or annotation view (if any exist) are updated automatically.

Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of the folder occurs more than once in the drawing.

Folder

Contains options to specify the folder to add.

Create new folder

Enables options to create a new folder and provides a space to specify a name for it.

Insert existing folder

Enables the ability to select the folder to insert, from a list of valid folders.

Hides the dialog box so you can select the folder from model space.

Base point

Contains options to specify the base point for the new folder you are creating. This option is visible only if you are creating a new folder.

X

Displays the X coordinate of the base point.

Y

Displays the Y coordinate of the base point.

Z

Displays the Z coordinate of the base point.

Hides the dialog box so you can specify the base point in model space.

Objects

Shows a summary of the objects selected for the new component view. The number of objects selected shows the number of lines, arcs, and circles selected for the folder. The number of occurrences shows the number of folders you have selected to nest under the folder being created.

Hides the dialog box so you can pick objects for the folder from model space. To pick an elemental geometry continue clicking the geometry until you see its name in the tooltip. If you are picking another folder, continue clicking an object that belongs to the folder until you see the folder name in the tooltip.

Insertion point

Contains options to specify the insertion point of the new instance of the folder. This option is visible only if you are inserting an instance of a folder.

Specify on screen

Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the folder is inserted at the position indicated by the X,Y and Z settings.

Rotation

Contains options to specify the angle by which to rotate the folder.

Specify on screen

Sets options to make AutoCAD Mechanical prompt you to specify the rotation angle after you click OK. If this option is not selected, the component view is inserted rotated by the angle indicated in the Rotation angle box.

Rotation angle

Specifies the angle by which to rotate the folder. This option is available only if the Specify on screen check box is cleared.

Preview

Shows a preview of the component being created or inserted.


Shortcuts for creating parts and assemblies (Concept)

Group geometry into folders
Organize geometry as parts and assemblies
Modify parts and assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Shortcuts for creating parts and assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When the Structure Workspace is turned on, the toolbar buttons on the Quick Structure Control Panel of the Dashboard are linked to macros that partially automate some operations that could help you quickly create parts and assemblies. Since these tools are partially automated and jump into the middle of a command workflow, assuming several default values, we recommend that you familiarize yourself with the longer version of creating parts and assemblies before you start using these shortcuts.

This page describes some typical scenarios where the Quick Structure Control Panel can be used. You could use these operations in various combinations.

If the geometry for the views of a part have already been drawn you can use the Quick Component button on the dashboard to create a component. This creates an empty component with 1 view, using default naming conventions and with its base point at 0,0,0. Rename the part and view as appropriate, activate the view and add pick geometry for it. Then redefine the base point for the view. After that you use the Quick View button to add the remaining component views to the part and then activate them and pick geometry for them.

If the geometry for the views of a part do not exist, you can use the Quick Component button to create an empty part, add views as appropriate and then activate each view and draw geometry directly into the component view.

If you have defined at least one part with at least one view, you can window select the part geometry in model space and click the Quick Assembly button on the dashboard wrap the part in an assembly. The assembly is named as per default naming conventions and you subsequently have to rename the assembly and views as appropriate. If the parts you selected have more than one component view, the component restructure dialog box is displayed to let you create and map part component views to the assembly component views.


Shortcuts for creating parts and assemblies (Procedure)

Group geometry into folders
Up a level to ..
Shortcuts for creating parts and assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Shortcuts for creating parts and assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To quickly create a part and directly add geometry to it

To quickly create a part when the geometry already exists

To quickly create an assembly when parts exist


To quickly create a part and directly add geometry to it (Procedure)

Shortcuts for creating parts and assemblies
Up a level to ..
Shortcuts for creating parts and assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Shortcuts for creating parts and assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To quickly create a part and directly add geometry to it

  1. On the Dashboard click [image] to create a component and rename it appropriately.

    You now have a component with one view that does not contain any geometry and has its base point at 0,0,0.

  2. Activate the view and on the Dashboard click [image] and select geometry to add to the component view.
  3. On the dashboard click [image] and redefine the base point of the view.
  4. On the dashboard click [image] and add another view to the component and rename it as appropriate.
  5. Repeat steps 2 through 4 until all component views have been created.


To quickly create a part when the geometry already exists (Procedure)

Shortcuts for creating parts and assemblies
Up a level to ..
Shortcuts for creating parts and assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Shortcuts for creating parts and assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To quickly create a part when the geometry already exists

  1. On the Dashboard click [image] to create a component and rename it appropriately.

    You now have a component with one view that does not contain any geometry and has its base point at 0,0,0.

  2. Activate the view and use the [image] button to add the remaining views of the component, renaming them as appropriate.
  3. Activate the views as appropriate and add geometry directly to them.
  4. Activate each view and click [image] to redefine its base point.


To quickly create an assembly when parts exist (Procedure)

Shortcuts for creating parts and assemblies
Up a level to ..
Modify parts and assemblies
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Shortcuts for creating parts and assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To quickly create an assembly when parts exist

  1. Ensure that the BTM-UP/TOP-DN status bar button is set to TOP-DN
  2. In model space window select the part geometry that should belong to a view of the assembly and click [image] .

    An assembly containing the selected parts is created. If the Parts contained more than one view, the Component Restructure dialog box is displayed.

  3. If the Component Restructure dialog box is displayed:
    1. Right-click in the Destination Component Views list, and select Create new view.
    2. In the command line, enter a name for the new assembly view.
    3. In model space, window select the part geometry to add to the assembly view.
    4. In model space specify the base point for the view. You are returned to the Component Restructure dialog box.
    5. Repeat steps a through e until all part views are accounted for.
  4. Rename the assembly as appropriate.
  5. Activate the assembly view created in step 2 click [image] to redefine its base point.


Shortcuts for creating parts and assemblies (Quick Reference)

Group geometry into folders
Shortcuts for creating parts and assemblies
Modify component geometry
Organize geometry with mechanical structure > Organize geometry as parts and assemblies >
Shortcuts for creating parts and assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference


Modify parts and assemblies

Shortcuts for creating parts and assemblies
Organize geometry with mechanical structure
Modify component geometry
Organize geometry with mechanical structure >
Modify parts and assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Modify component geometry
  • Modify components
  • Assembly restructure and ghost components


Modify parts and assemblies (Procedure)

Shortcuts for creating parts and assemblies
Modify parts and assemblies
Modify component geometry
Organize geometry with mechanical structure >
Modify parts and assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To activate a folder or component view

To add or remove geometry to/from a folder or component view

To move objects to another folder or component view

To change the base point of a component view or folder

To replace folder or component definition in mechanical structure

To create a new definition for an existing folder, component or component view instance

To override the properties of component views or folders

To override the visibility of components or folders

To exclude a component from parts lists

To set or modify the properties of a component

To restructure components in the mechanical browser


Modify component geometry (Concept)

Modify parts and assemblies
Modify parts and assemblies
Modify components
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify component geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you modify the contents of any instance of a component view or a folder, all instances of the component or folder get updated automatically. When you add geometry to a component view or folder, you must activate it before hand. This ensures that geometry is added to the component view or folder and not simply to model space.

Use the AMSMOVE command to move geometry from one component view or folder to another. You can move geometry between components or between two views of the same component. Use the AMEXPLODE command to remove all geometry from a component view or folder.


Modify component geometry (Procedure)

Modify parts and assemblies
Up a level to ..
Modify component geometry
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify component geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To activate a folder or component view

To add or remove geometry to/from a folder or component view

To move objects to another folder or component view


Modify component geometry (Quick Reference)

Shortcuts for creating parts and assemblies
Modify component geometry
Modify component geometry
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify component geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSACTIVATE

AMEXPLODE

AMSEDIT

AMSMOVE


To activate a folder or component view (Procedure)

Modify component geometry
Up a level to ..
Modify component geometry
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify component geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To activate a folder or component view

  • Double-click the folder or component view. A blue highlight is displayed across the component view node, indicating that it is active
NoteTo reset activation, double-click the root node of the mechanical browser.


To add or remove geometry to/from a folder or component view (Procedure)

Modify component geometry
Up a level to ..
Modify component geometry
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify component geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add or remove geometry to/from a folder or component view

  1. Right-click the folder or component view in the browser, and select Edit Objects.
  2. On the command line, enter an option, and then press ENTER.
  3. To add an existing object to the folder/component view:
    1. On the command line, enter A.
    2. In model space, select the objects to add and press ENTER.
  4. To remove an object to the folder/component view:
    1. On the command line, enter R.
    2. In model space, select the objects to remove and press ENTER. The object is removed from the folder/component view and returned to model space.
  5. To copy an existing object to the folder/component view:
    1. On the command line, enter C.
    2. In model space, select the objects to copy and press ENTER. Copies of the objects are created.
      NoteThe copies are placed on top of the original objects and you have to move them to the appropriate position using the AutoCAD MOVE command, later.


To move objects to another folder or component view (Procedure)

Modify component geometry
Up a level to ..
Modify components
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify component geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move objects to another folder or component view

  1. In the mechanical browser, double-click the destination folder or component view to make it active.
  2. Click None [image] None [image] At the Command prompt, enter AMSMOVE.
  3. In model space, select the objects to move and press ENTER.
  4. Enter A. The objects are placed in the Active folder or view.
  5. Double-click the root node of the mechanical browser to reset activation.


Modify component geometry (Quick Reference)

Modify component geometry
Modify component geometry
Modify component geometry
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify component geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSACTIVATE

Makes the specified component view or folder the active edit target.

Ribbon: Structure tab [image] Build panel [image] Activate Structure. Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amsactivate

When a component view or folder is activated, AutoCAD Mechanical displays the Edit panel on the Structure tab to display the operations that can be performed. Any editing action you perform affects the definition of the component view or folder.

COMMAND LINE OPTIONS

AMSACTIVATE prompts you to select folder or view occurrence to activate. To reset activation, enter Modelspace at the command prompt.

Select occurrence to activate or [Modelspace] <Modelspace>: Select a folder or view, or accept the default to activate Model Space. If you prefer, enter the coordinates of an occurrence located at a specific point. Standard part views and standard features are not selectable.

Note
  • You can also activate the edit target (a component view, folder, or annotation view) by:
    • Double-clicking it in the mechanical browser. (You can reset activation by double- clicking a blank area in the browser).
    • Right-clicking it and selecting Activate from the shortcut menu.
  • On activation, the active occurrence becomes visible, if appropriate. All visibility overrides that hide the active occurrence are suppressed.
  • If an external reference folder or component is selected for activation, the external reference drawing file is locked and subsequent changes are written back to the external file. If the external reference file is in use and AutoCAD Mechanical is unable to lock it, a message is displayed.
  • If the file containing the external reference component view or folder is not loaded, activation is not allowed.
  • If you have overridden properties on an instance, they are suppressed when you activate the instance, including property overrides below it in the browser tree.


Modify component geometry (Quick Reference)

Modify component geometry
Modify component geometry
Modify component geometry
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify component geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMEXPLODE

Converts mechanical structure objects to non-mechanical structure. When used on non-mechanical structure objects, breaks compound objects to constituent geometry

Ribbon: Home tab [image] Modify panel [image] . Does not exist on the ribbon.
Toolbar: Modify
Menu: None Does not exist in the menus.
Command entry: amexplode

This command behaves differently on mechanical structure objects and non-mechanical structure objects. Hence, when selecting objects, inspect the tooltip to confirm if you selected objects correctly.

On non-mechanical structure objects, this command behaves similar to the AutoCAD Explode command. It decomposes selected compound objects into constituent lines and arcs.

COMMAND LINE OPTIONS

Select objects: In model space, select the object you want to remove from structure or press ENTER to proceed with the current selection.

NoteTo select an object, continue clicking a geometry that belongs to the object until you see the name of the object in a tooltip.


Modify component geometry (Quick Reference)

Modify component geometry
Modify component geometry
Modify component geometry
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify component geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSEDIT

Adds, removes or copies geometry to the currently activated folder or component view

Ribbon: Structure tab [image] Edit panel [image] Add. Does not exist on the ribbon.
Ribbon: Structure tab [image] Edit panel [image] Remove. Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.

COMMAND LINE OPTIONS

In the browser, right-click a folder or view, and then select Edit [image] Contents. On the command line, activate a folder or view, and then enter AMSEDIT.

Enter an option [Add/Remove/Copy]: Select an option

Enter the option name or its first letter, and then press ENTER.

COMMAND LINE OPTIONS

Enter an option [Add/Remove/Copy]: Select an option

Add

Adds selected objects to the currently activated folder or component view.

Select objects to add to active folder/view: Select the objects you want to add to the activated view or folder. You can only select objects that don’t belong to the active folder or component view. You can add elemental geometries as well as component views or folders. Inspect the tooltip that appears when you click an object to verify that you are selecting the correct entity (geometry or component view/folder as the case may be)

Remove

Removes selected objects from the currently activated folder or component view.

Select objects to remove from active folder/view: Select the objects you want to remove from the activated view or folder. You can only select objects that belong to the active folder or component view. You can remove elemental geometries as well as other component views or folders. Inspect the tooltip that appears when you click the object to verify that you are selecting the correct entity (geometry or component view/folder as the case may be)

Copy

Creates copies of the selected objects and adds them to the currently activated folder or component view.

Select objects to copy to active folder/view: Select the objects you want to copy to the activated view or folder. You can only select objects that don’t belong to the active folder or component view. You can add elemental geometries as well as component views or folders. Inspect the tooltip that appears when you click an object to verify that you are selecting the correct entity (geometry or component view/folder as the case may be)

NoteYou cannot edit the contents of model space with AMSEDIT. Use AMSMOVE instead.


Modify component geometry (Quick Reference)

Modify component geometry
Modify component geometry
Modify components
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify component geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSMOVE

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amsmove

COMMAND LINE OPTIONS

In the graphics windows, selects geometry or occurrences to move to another folder or view. The Objects such as structure objects with details or annotation views in the path cannot be moved.

Select objects to move to another folder/view [COmponent]: Select objects or type CO and press ENTER to move views between two instances of the same component.

Select object to specify destination folder/view or [Active/ModelSpace] <Active>: Select option

Enter the option name or its first letter, and then press ENTER.

COMMAND LINE DEFINITIONS

Active

Places objects in the active folder or view.

ModelSpace

Removes objects from structure and places them in model space.

Component

Removes a view from one instance of a component and adds it to another instance of the same component.

NoteThe active folder or view is the default destination, but you can select another folder or view. A message notifies you if the selected occurrences cannot be moved because of invalid parent-child relationships. You can select a different destination. If you select an external reference folder, AutoCAD Mechanical locks the external reference drawing file. If the file is in use, a message box to that effect is displayed and the operation is aborted.


Modify components (Concept)

Modify component geometry
Modify parts and assemblies
Assembly restructure and ghost components
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical has several commands that modify the settings of a component view or a folder.

Use the AMSBASE command to change the base point of a component view or a folder. This gives you the freedom to set any arbitrary base point at the time of creation and set a more appropriate base point once all geometry is captured for that component view or folder.

Use the AMSREPLACEDEF command to replace the definition of a component view or folder with the definition of another. For example, if you have two similar parts that are identical except that the length of one is 15 mm and the other is 25 mm, and you want to replace the 15 mm part with the 25 mm part, use the AMREPLACEDEF command to replace the definition of the 15mm part.

In case you want to modify the geometry of just one instance of a component view or folder, without affecting the others, you can use the right-click menu on the mechanical browser to break the link the component view has with its definition and make it have an independent definition. The new definition is an identical copy of the original and hence the name for the corresponding command; AMSCOPYDEF. The changes you make after breaking the link does not affect the original definition. The changes apply only to that instance.

NoteYou cannot use AMSCOPYDEF on the definitions of annotation views, and detail views created with AMDETAIL.

You can select a component in the mechanical browser and make the following property overrides:

  • Linetype
  • Color
  • Visibility

You can assign phantom-type properties to one or a set of structured component views to bring to focus other components and views in the drawing. This is a mechanism for managing the visibility of components and views. You can also give more pronounced properties to components and views to bring more attention to a component with minimum visibility.


Modify components (Procedure)

Modify component geometry
Up a level to ..
Modify components
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the base point of a component view or folder

To replace folder or component definition in mechanical structure

To create a new definition for an existing folder, component or component view instance

To override the properties of component views or folders

To override the visibility of components or folders

To exclude a component from parts lists

To set or modify the properties of a component


Modify components (Quick Reference)

Modify component geometry
Modify components
Modify components
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSBASE

AMSCOPYDEF

AMSREPLACEDEF

Property Overrides


To change the base point of a component view or folder (Procedure)

Modify components
Up a level to ..
Modify components
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the base point of a component view or folder

  1. In the mechanical browser, right-click the component view or folder and select Change Basepoint.

    The cursor extends a line from the existing base point.

  2. In the drawing area, click to specify the new base point.


To replace folder or component definition in mechanical structure (Procedure)

Modify components
Up a level to ..
Modify components
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To replace folder or component definition in mechanical structure

  1. Click None [image] None [image] At the Command prompt, enter AMSREPLACEDEF.
  2. To replace components, click the component tab. To replace folders, click the folder tab.
  3. In the Replace box, click the arrow on the drop-down list and select the definition of the folder/component to replace.
  4. In the instances list, select the instance to replace. To select more than one instance, press the CTRL key and click the instances.
  5. In the With box, select the replacement component/folder.
  6. Click OK.


To create a new definition for an existing folder, component or component view instance (Procedure)

Modify components
Up a level to ..
Modify components
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a new definition for an existing folder, component or component view instance

  1. In the mechanical browser, right-click the folder, component or component view instance that you want to create a new definition for. A menu is displayed.
  2. Select Break Link.
  3. On the command line, enter a name for the new definition.
  4. The item you selected in step 1 is unlinked from the original definition and reflects the new name.
    NoteIf you create a new definition for a standard part, it is converted to a generic component and is no longer considered a standard part.


To override the properties of component views or folders (Procedure)

Modify components
Up a level to ..
Modify components
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To override the properties of component views or folders

  1. In the mechanical browser, click a component view or folder. To select more than one item, press the CTRL key and click the others.
    NoteYou can select multiple components, multiple component views, or multiple folders, but not a combination of components, component views, and folders.
  2. Right-click and select Property Overrides. The Property Overrides dialog box is displayed.
  3. Set the properties as required, and click OK.

    The properties of the selected component views or folders will be overridden.

    NoteFolders and component views cannot be selected together.


To override the visibility of components or folders (Procedure)

Modify components
Up a level to ..
Modify components
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To override the visibility of components or folders

  1. In the mechanical browser, click the component, component view, or folder you want to override the visibility of. To select more than one item, press the CTRL key, and click the others.
    NoteYou can select multiple components, multiple component views, or multiple folders, but not a combination of components, component views, and folders.
  2. Right-click and select Visible.

    The visibility status of the selected items switches. Items that have their visibility overridden are grayed out on the mechanical browser.

    NoteTo restore the visibility of the items, select them in the mechanical browser, right-click and select Visible.


To exclude a component from parts lists (Procedure)

Modify components
Up a level to ..
Modify components
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To exclude a component from parts lists

  1. In the mechanical browser, right-click the component to exclude.
  2. In the menu, select Properties. The Properties dialog box is displayed.
  3. In the Management section, select the Exclude from Parts Lists check box.
  4. Click OK.
NoteTo restore the excluded item, clear the check box.


To set or modify the properties of a component (Procedure)

Modify components
Up a level to ..
Assembly restructure and ghost components
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set or modify the properties of a component

  1. In the mechanical browser, right-click the component you want to modify the properties of.
  2. In the menu, select Properties. The Properties dialog box is displayed.
  3. Enter the required data.
  4. Click OK.


Modify components (Quick Reference)

Modify components
Modify components
Modify components
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSBASE

Changes the base point of a component view or folder.

Ribbon: Structure tab [image] Edit panel [image] Change Base Point. Does not exist on the ribbon.
Menu: NoneDoes not exist in the menus.

You must activate the component view or folder before you invoke this command.

COMMAND LINE OPTIONS

Specify new base point for folder or view <x, y, z>: Select a new base point, enter new coordinates for x, y, z to specify a new base point, or press ENTER to accept the existing base point.

COMMAND LINE DEFINITIONS

x, y, z

These are the coordinates of the existing and new base point displayed in the user coordinate system (UCS).

Note If the folder or view is an external reference (xref) component, AutoCAD Mechanical locks the xref drawing file. If the file is in use, and AutoCAD Mechanical is unable to lock it, a message is displayed and the command is ended.


Modify components (Quick Reference)

Modify components
Modify components
Modify components
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCOPYDEF

Saves a copy of the definition of the selected structure object to another name.

Ribbon: Structure tab [image] Manage panel [image] Does not exist on the ribbon.
Toolbar: None
Menu: Structure [image] Structure, Copy Definition Does not exist in the menus.
Command entry: amscopydef

Using AMSCOPYDEF, you can:

  • Break the link between one folder, component or view instance, and all other instances by copying the definition of the selected instance.
  • Copy the definition of an instanced folder, maintaining the instance but creating a new definition.
  • Copy the definition of an instanced component view, maintaining the new view definition as a view of the original component.
  • Copy the definition of an entire component instance, including all of its component view definitions, even if they are not instanced.

Available command options depend on how you start AMSCOPYDEF. All options are available when you start AMSCOPYDEF from the command line.

You copy the definitions of folders or component views, including standard part component views and standard features. You cannot copy the definitions of annotation views, detail views created with AMDETAIL, or component views contained within detail views and annotation views.

COMMAND LINE OPTIONS

NoteEach copy must have a unique name. By default, the copy name is prefixed with “Copy of.” If the name is not unique, add a numeral to the prefix to increment the name and ensure that it is unique. For example, Copy (2) of <folder name>: Increment the numeral as you add folders so that each is a unique name. After you enter a unique name, the browser updates.

Folder Selected

Select a folder or component view instance: <Folder selected> New folder name <Copy of Folder> For a folder, enter a name for the new folder definition.

Component View Selected

Select a folder or component view instance: <Comp1:1 (Front) selected> Copy Definition of [Component/View] <Component>: For a component view, you can copy the entire component definition or only the view definition. The default is the last value used in the current design session. The first time you use AMSCOPYDEF, the default is Component.

Copy component definition

Enter a new component name.

Copy component view definition

Enter a new component view name. When you copy a component view definition, the copy is a child of the original component.

Standard Part View Selected

Select a folder or component view instance: <StdPart1:1 (Front) selected> Definition of [Component/View] <Component>: For a selected component view. you can copy the entire standard part definition or only the view definition of a standard part. The default is the last value used in the current design session. The first time you use AMSCOPYDEF, the default is Component.

Copy standard part definition

Enter a new name.

Copy standard part view definition

Enter a new standard part view name. The new view definition is a child of the original component.

If you use the Component option:

  • All instanced views of a selected component view are changed to normal (user-defined) component views.
  • The standard part component is changed to a normal (user-defined) part component.
  • The BOM data is maintained from the standard part component.

If you use the View option:

  • The selected view is changed to a normal (user-defined) component view.

Standard Feature Selected

When you select a standard feature, the feature changes into a normal (user-defined) feature (folder).

Shaft View Selected

Select a folder or component view instance: <Shaft1:1 (Front) selected> The default for a shaft view is Component. To ensure that shaft Power Objects remain intact, View is not allowed for shafts.


Modify components (Quick Reference)

Modify components
Modify components
Modify components
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSREPLACEDEF

Replaces the definition of selected instances of a component view or folder with another definition

Ribbon: Structure tab [image] Manage panel [image] Does not exist on the ribbon.
Toolbar: None
Menu: Structure [image] Replace Definition Does not exist in the menus.
Command entry: amsreplacedef

When you enter AMSREPLACEDEF at the command line, the Replace Definition dialog box is displayed.

DIALOG BOX DEFINITIONS

Component tab
 | Replace Provides space for you to specify the component instances to replace.
 |  | Component definition Displays a list of available definitions that you can choose from. If the drawing contains external reference subassemblies, the list will show only the subassembly and not the components collected under it. To list the components, make a view of the subassembly the active edit target (by double-clicking it in the mechanical browser) before invoking the AMSREPLACEDEF command.
 |  | Temporarily hides the dialog box so you can pick an object from model space. Use this to select an instance of the definition you want to replace.
 |  | Component instances Shows all instances of the selected component definition. Only the instances that are selected in this list will be replaced. To select non-contiguous rows, press CTRL, and click the instances. To select contiguous rows, click the first instance, and with the SHIFT key pressed, click the last instance. Alternatively, you can click the pick objects button next to the list and pick the instances to replace, from model space.
 |  | Select all instances Selects all rows in the Component instances list.
 | With Provides space for you to specify the definition of the replacement component.
 |  | Component definition Displays a list of component definitions that can replace the definition selected in the Replace box.
 |  | Temporarily hides the dialog box so you can pick an object from model space. Use this to pick an instance of the definition you want to replace with.
 | Note AutoCAD Mechanical places the base point of the replacement in the same position as the base point of the original instance. If the original instance was rotated, the replacement too will be rotated by the same angle.
Folder tab
 | Replace Provides space for you to specify the folder instances to replace.
 |  | Folder definition Displays a list of available definitions that you can choose from. If the drawing contains external reference subassemblies, the list only shows the subassembly and not the components collected under it. To list the components, make a view of the subassembly the active edit target (by double-clicking it in the mechanical browser) before invoking the AMSREPLACEDEF command.
 |  | Temporarily hides the dialog box so you can pick an object from model space. Use this to select an instance of the definition you want to replace.
 |  | Folder instances Shows all instances of the selected folder definition. Only the instances that are selected in this list will be replaced. To select non contiguous rows, press CTRL, and click the instances. To select contiguous rows, click the first instance, and with the SHIFT key pressed, click the last instance. Alternatively, you can click the pick objects button next to the list and pick the instances to replace, from model space.
 |  | Select All Selects all rows in the Folder instances list.
 | With Provides space for you to specify the definition of the replacement folder.
 |  | Folder definition Displays a list of component definitions that can replace the definition selected in the Replace box.
 |  | Temporarily hides the dialog box so you can pick an object from model space. Use this to pick an instance of the definition you want to replace with.
 | Note AutoCAD Mechanical places the base point of the replacement in the same position as the base point of the original instance. If the original instance was rotated, the replacement too will be rotated by the same angle.


Modify components (Quick Reference)

Modify components
Modify components
Assembly restructure and ghost components
Organize geometry with mechanical structure > Modify parts and assemblies >
Modify components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Property Overrides

TOOLBUTTON | None
MENU | Right-click object in the browser [image] Property Overrides
COMMAND | None

DIALOG BOX DEFINITIONS

Property Overrides dialog box

Override Properties

Enables property overrides for the selected folder or view. Checking the Override Properties check box enables the dialog box controls without changing values.

Visibility

Contours Only

Isolates the contour (continuous) lines in a folder or view. It can be used in conjunction with Centerline visibility and Color, but is not available in conjunction with Hidden Line visibility.

Hidden Lines

Turns off visibility of hidden lines in a folder or view. This option is disabled when the Contours Only visibility check box is selected.

Centerlines

Controls centerline visibility. By default, the check box switches centerlines off and on. However, when the Reference or Contours Only visibility check box is selected, the centerlines switch is off by default, but can be turned on when the check box is selected.

Predefined

Controls a predefined override style, making the folder or view reference geometry, represented by phantom lines and a color change.

Reference

Visibility of everything except contours is turned off. Contour lines are changed to the configured linetype of the phantom line layer (AM_11 by default) and the color of contour lines is changed to the configured color of the phantom line layer (AM_11 by default).

When the reference override check box is selected, centerline visibility is off by default. Select the Centerlines visibility check box to turn visibility back on.

NoteThis option does not convert the selected component into a reference component. Use the browser right-click menu option “Reference” to set an instance of a component as a reference component.

Color

Overrides the color of an entire folder or view.

Contours Only

Applies color change to contours only when this and the Color check box are selected.

MENU DEFINITIONS

Right-click object in the browser [image] Property Overrides

Property Overrides are applied from the browser context menu to folder and view objects.

If a property override exists for the associated browser node, the context menu option is checked to signify that an override exists on the selected node.


Assembly restructure and ghost components (Concept)

Modify components
Modify parts and assemblies
Use components and folders
Organize geometry with mechanical structure > Modify parts and assemblies >
Assembly restructure and ghost components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

On the mechanical browser, you can restructure the hierarchy of an assembly as needed. You can place or create an assembly of components at a single level and subsequently adjust the assembly structure, grouping components into subassemblies for manufacturing, inventory, and other uses.

To restructure, drag components from one location in the mechanical browser hierarchy to another. However, you typically need more than one view to represent parts and assemblies, so restructuring the hierarchy of components alone is not sufficient. You must restructure the hierarchy of views as well. During the drag operation, AutoCAD Mechanical displays the restructure components dialog box to where you can specify the hierarchy of component views.

The Component Restructure dialog box displays views of the component and the assembly so you can drag the component views to the assembly views. If you don't map all the components views to the views of the assembly, the component becomes a ghost component.

A ghost component is a component node on the mechanical browser that is in an intermediate state of restructure. Ghost components exist solely for the purpose of holding component views until they are mapped to the correct parent view. On the mechanical browser, ghost components are indicated by the [image] icon.

In addition to an incomplete restructure operation, ghost components could occur as a result of an AutoCAD COPY, ARRAY, or MIRROR command as well. Ghost components prevent several operations from being executed and must be resolved as soon as they occur. For example, you cannot cut or copy subassemblies containing ghost components to the clipboard. To eliminate a ghost component, you must drag the ghost component views to the appropriate parent subassembly view.

NoteAlthough it is possible to restructure complex power objects such as screw connections, we do not recommend it. The associative relationship of the feature and component within the power object may be lost and with it, the ability to power edit the complex power object.


To restructure components in the mechanical browser (Procedure)

Modify components
Up a level to ..
Use components and folders
Organize geometry with mechanical structure > Modify parts and assemblies >
Assembly restructure and ghost components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To restructure components in the mechanical browser

  1. In the mechanical browser, select the component you want to nest under an assembly component, and drag it on to the assembly you want it to be a part of. The Component Restructure dialog box is displayed.
    NoteThe Component Restructure dialog box is not displayed when all component views are accounted for.
  2. From the Source Component Views list, drag each view to the corresponding parent view of the assembly in the Destination Component Views list.
  3. Click OK.
Note
  • You can select multiple components for restructure, by pressing the CTRL or SHIFT key while selecting components.
  • If you are restructuring components that are linked to each other (for example, shaft components and components involved in a screw connection), use the Find Associated Components or Find Associated Views browser right-click menu item to find the components and ensure that all are selected prior to dragging. Failing to restructure them together results in broken links.


Assembly restructure and ghost components (Quick Reference)

Modify components
Assembly restructure and ghost components
Insert components and folders in a drawing
Organize geometry with mechanical structure > Modify parts and assemblies >
Assembly restructure and ghost components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Component Restructure dialog box

This dialog box is displayed during a restructure drag operation so you can map the views of the component being dragged to the parent views of the destination component.

To map a view, drag the view from the Source Component Views list to the corresponding parent on the Destination Component Views list.

Source Component Views

Displays a list of views (on the component being moved) that have no corresponding parent views.

Right-click menu

Pan

Temporarily hides the dialog box so you can dynamically pan model space. To return to the dialog box, right-click model space and select Exit.

Zoom

Temporarily hides the dialog box so you can dynamically zoom model space. To return to the dialog box, right-click model space and select Exit.

Zoom to

Temporarily hides the dialog box and zooms to the view currently selected in the list. To return to the dialog box, right-click model space and select Exit. If no views are selected, this menu option is unavailable.

Auto Map Views

Automatically maps all Source Component Views to Destination Component Views of the same name.

NoteThe following conditions must be met for Auto map Views to work:
  • The source and destination components must have the same number of views.
  • The views being mapped must be children of the same parent view.
Destination Component Views Displays a list of parent views in the destination subassembly/part.
 | Right-click menu
 |  | Pan Temporarily hides the dialog box so you can dynamically pan model space. To return to the dialog box, right-click model space and select Exit.
 |  | Zoom Temporarily hides the dialog box so you can dynamically zoom model space. To return to the dialog box, right-click model space and select Exit.
 |  | Zoom to Temporarily hides the dialog box and zooms to the view currently selected in the list. To return to the dialog box, right-click model space and select Exit. If no views are selected, this menu option is unavailable.
 |  | Create New View Displays the New dialog box where you can create a new view for the component.


Use components and folders

Assembly restructure and ghost components
Organize geometry with mechanical structure
Insert components and folders in a drawing
Organize geometry with mechanical structure >
Use components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Insert components and folders in a drawing
  • Use Windows' cut, copy, and paste with component views and folders
  • Create hide situations for component views and folders


Use components and folders (Procedure)

Assembly restructure and ghost components
Use components and folders
Insert components and folders in a drawing
Organize geometry with mechanical structure >
Use components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To insert a new instance of a component, nested below another component

To insert a component view to an existing instance of a component

To create a hide situation

To remove a hide situation


Insert components and folders in a drawing (Concept)

Use components and folders
Use components and folders
Use Windows' cut, copy, and paste with component views and folders
Organize geometry with mechanical structure > Use components and folders >
Insert components and folders in a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In a drawing, once a component view or folder has been defined, you can insert instances of the definition in the drawing, similar to how you would reuse a block after you create the block definition. When you insert a component view, the BOM automatically updates.

AutoCAD Mechanical provides two command for inserting components and folders; AMSNEW and AMSINSERT. AMSNEW obtains your inputs through a dialog box while AMSINSERT obtains the required inputs through the command line. However, the most convenient method of inserting components and folders is to use the structure catalog. The structure catalog displays a list of existing component and folder definitions, in the Current Drawing tab. You can drag component views from this tab and place them directly in the drawing. Right-click the component in the mechanical browser and insert the remaining views.


Insert components and folders in a drawing (Procedure)

Use components and folders
Up a level to ..
Insert components and folders in a drawing
Organize geometry with mechanical structure > Use components and folders >
Insert components and folders in a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a new instance of a component, nested below another component

To insert a component view to an existing instance of a component


Insert components and folders in a drawing (Quick Reference)

Assembly restructure and ghost components
Insert components and folders in a drawing
Insert components and folders in a drawing
Organize geometry with mechanical structure > Use components and folders >
Insert components and folders in a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSINSERT

AMSNEW


To insert a new instance of a component, nested below another component (Procedure)

Insert components and folders in a drawing
Up a level to ..
Insert components and folders in a drawing
Organize geometry with mechanical structure > Use components and folders >
Insert components and folders in a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a new instance of a component, nested below another component

  1. To insert the new instance as a child of an existing component, in the mechanical browser, double-click the component view you want to use as the parent view. A blue highlight is displayed across the component view node, indicating that it is active.
    See an illustration...

    When you set a component or folder to Active, any new component is nested under the active component folder.

    Note
    • If you do not activate a component view of folder, the new instance is inserted directly below the root.
    • You cannot insert components below standard part views, standard features, shaft component views, annotation views, and AMDETAIL views.
  2. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  3. Click the Current Drawing tab.
  4. From the Definitions panel in the Mechanical Structure section, drag a component view of the component you want to insert, to anywhere on the drawing area. In the drawing area, a floating preview of the component view geometry is displayed.
  5. Move the pointer to the position you want to insert the geometry and click.
  6. Press ENTER to accept the default rotation angle, or specify a rotation angle and press ENTER.

    The inserted instance of the component is shown in the mechanical browser. The bill of materials reflects that another instance of the component is added.

  7. Double-click the root node to reset the activated component view.


To insert a component view to an existing instance of a component (Procedure)

Insert components and folders in a drawing
Up a level to ..
Create hide situations for component views and folders
Organize geometry with mechanical structure > Use components and folders >
Insert components and folders in a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a component view to an existing instance of a component

  1. In the mechanical browser, right-click the component you want to insert a component view for.
  2. Select Insert [image] Component View [image] .Name of component view.
  3. Move the cursor to the position you want to insert the geometry and click.
  4. Press ENTER to accept the default rotation angle or specify a rotation angle and press ENTER.

    The component is inserted and is shown in the mechanical browser.


Insert components and folders in a drawing (Quick Reference)

Insert components and folders in a drawing
Insert components and folders in a drawing
Insert components and folders in a drawing
Organize geometry with mechanical structure > Use components and folders >
Insert components and folders in a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSINSERT

Places a Component, Component View, Folder or Annotation View that is already defined in the drawing, in the drawing area. It also inserts additional views into an Annotation View that has already been placed in the drawing area.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amsinsert

COMMAND LINE OPTIONS

Specify object to insert [Component/View/Folder/Annotation view/annotation Subview] : Select the type of object you want to insert.

Component

Inserts a component that is already defined in the drawing.

Enter component name or [?] <?>: Type the name of the component to insert or press ENTER to list the components that are already defined in the drawing.
 | Component Name Inserts an instance of the component in the mechanical structure and enables you to place a view of that component in model space.
 | Enter component view name or [?] <Default view name>: Press ENTER to accept the default view or press ? to list the component views defined for that component.
 | Select parent component and view or [Active/Modelspace] <Active>:Specify where in the mechanical structure you want to add the component you are inserting. You can add it as a child of the active component or add it directly below the root and restructure it later.
 | Specify the insertion point or [change Base point/Rotate 90/select next View] The system displays a preview of the view to insert. Click in model space to place the view or select an option.
 |  | Change Base Point Enables you to temporarily override the base point of the view you are inserting.
 |  | Specify base point: Click in model space to specify the new base point.
 |  | Rotate 90 Rotates the component view 90 degrees counter clockwise.
 |  | Select Next View Selects the next view in the list instead of the currently selected view. The preview changes to reflect the next view.
 | Specify rotation angle <0>: Specify an angle or press ENTER
 | ? Lists components defined in the drawing to enable you to specify the name correctly.
 | Enter component(s) to list <*>: Press ENTER to list all components. You can use wildcard characters to limit the number of components to display. For example, if you only want to display components that start with the letters GEAR, enter GEAR*. NoteFor more information on wild cards, search for “Wildcard Characters” in AutoCAD online help.

Component View

Inserts a view to an instance of a component that is already placed in model space.

Select component instance for view or [Active]: In model space, click an object that belongs to the component you want to add a view to or press ENTER to add the view to the active component.
Enter component view name or [?] :Specify the name of the view you want to insert or type ? and press ENTER to see a list of views that you can insert.
Specify the insertion point or [change Base point/Rotate 90/select next View] The system displays a preview of the view to insert. Click in model space to place the view or select an option.
 | Specify Insertion Point Places the component view at the place you click.
 | Specify rotation angle <0>: Specify an angle or press ENTER
 | Change Base Point Enables you to temporarily override the base point of the view you are inserting.
 | Specify base point: Click in model space to specify the new base point.
 | Rotate 90 Rotates the component view 90 degrees counter clockwise.
 | Select Next View Selects the next view in the list instead of the currently selected view. The preview changes to reflect the next view.

Folder

Inserts a folder that is already defined in the drawing.

Enter folder name or [?] <?>: Type the name of the folder to insert or press ENTER to list the folders that are already defined in the drawing.
 | Component Name Inserts an instance of the component in the mechanical structure and enables you to place a view of that component in model space.
 | Enter component view name or [?] <Default view name>: Press ENTER to accept the default view or press? to list the component views defined for that component.
 | Select parent or [Active/Modelspace] <Active>:Specify where in the mechanical structure you want to add folder to. You can add it as a child of the active folder/component view or add it directly below the root and restructure it later.
 | Specify the insertion point or [change Base point/Rotate 90] The system displays a preview of the folder to insert. Click in model space to place the folder or select an option.
 |  | Change Base Point Enables you to temporarily override the base point of the folder you are inserting.
 |  | Specify base point: Click in model space to specify the new base point.
 |  | Rotate 90 Rotates the folder 90 degrees counter clockwise.
 | Specify rotation angle <0>: Specify an angle or press ENTER
 | ? Lists folders defined in the drawing to enable you to specify the name correctly.
 | Enter folder(s) to list <*>: Press ENTER to list all folders. You can use wildcard characters to limit the number of folders to display. For example, if you only want to display folders that start with the letters GEAR, enter GEAR*. NoteFor more information on wild cards, search for “Wildcard Characters” in AutoCAD online help.

Annotation View

Inserts an instance of an annotation view that has already been defined in the drawing.

Specify annotation view name or [?] <?>: Type the name of the annotation view to insert or press ENTER to list the annotation views already defined in the drawing.
 | Annotation View Name Inserts a new instance of the component you specified. If the name you specified does not exist in the drawing, the system displays a message to that effect.
 | Select placement location [Modelspace/existing Layout/New layout] <existing Layout>:Specify where you want the system to create the Annotation View. Type M and press Enter to create in model space. Type L and press ENTER to place in an existing layout. Type N and press ENTER to create a new layout and place the Annotation View in it.
 | Enter Scale or [Calculate]: Press ENTER to accept the default scale or type C and press ENTER to let the system suggest an appropriate scale based on a paper size.
 |  | Calculate Suggests a scale based on the paper size you provide.
 |  | Select a paper size for scale calculation:The prompt shows the available paper sizes. Pick a paper size from this and the prompt suggests the scale to use.
 | Create labels for all subviews [Yes/No] <No>: Specify if you want the system to automatically label the views of the component in the Annotation View.
 | Specify the insertion point or [change Base point/Rotate 90] The system displays a preview of the view to insert. Click in the drawing area to place the subview or select an option.
 |  | Change Base Point Enables you to temporarily override the base point of the Annotation View you are inserting.
 |  | Specify base point: Click in the drawing area to specify the new basepoint.
 |  | Rotate 90 Rotates the Annotation View 90 degrees counter clockwise.
 | Specify rotation angle <0>: Specify an angle or press ENTER
 | ? Lists Annotation Views defined in the drawing to enable you to specify the name correctly.
 | Enter annotation view(s) to list <*>: Press ENTER to list all Annotation Views. You can use wildcard characters to limit the number of Annotation Views to display. For example, if you only want to display Annotation Views that start with the letters GEAR, enter GEAR*. NoteFor more information on wild cards, search for “Wildcard Characters” in AutoCAD online help.

Annotation Subview

Inserts views to an instance of a annotation view that is already placed in the drawing area. the command cycles until you place all subviews in the drawing area or until you explicitly select the Done option in the command line.

Select annotation view instance: In the drawing area, click an object that belongs to the annotation view you want to add a view to.
Create labels for all subviews [Yes/No] <No>: Specify if you want the system to automatically label the views you are adding to the Annotation View instance.
Specify the insertion point or [Rotate 90/select next View/Done] <Done>: The system displays a preview of the view to insert. Click in the drawing area to place the view or select an option.
 | Specify Insertion Point Places the view at the place you click.
 | Specify rotation angle <0>: Specify an angle or press ENTER
 | Rotate 90 Rotates the view 90 degrees counter clockwise.
 | Select Next View Selects the next view in the list instead of the currently selected view. The preview changes to reflect the next view.
 | Done Exits the command.


Insert components and folders in a drawing (Quick Reference)

Insert components and folders in a drawing
Insert components and folders in a drawing
Use Windows' cut, copy, and paste with component views and folders
Organize geometry with mechanical structure > Use components and folders >
Insert components and folders in a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSNEW

Creates a new mechanical structure definition from selected objects.

Ribbon: Structure tab [image] Build panel [image] Structure, New. Does not exist on the ribbon.
Toolbar: Structure
Menu: Structure [image] Structure, New Does not exist in the menus.
Command entry: amsnew

You create a component, component view and folder definition by selecting objects, specifying the basepoint and giving it a name. You create annotation views by generating it off an existing component definition. You can also use this command to insert a mechanical structure object (using an existing definition) into the drawing.

You can use either AMSCREATE or AMSNEW to create components, component views, folders, and annotation views. AMSCREATE uses the command line and browser shortcuts to create structure elements. AMSNEW uses a dialog box.

DIALOG BOX DEFINITIONS

AMSNEW DIALOG BOX

Use this dialog box to creates or inserts components, component view, annotation views and folders.

Component/View tab Contains options to create new components and component views. You can also insert new instances of an existing component or component view.
 | Parent
 |  | Component Defines which assembly you are nesting the new component under. To place the component directly below the root level, select the name of the drawing.
 |  | View Defines which component views of the assembly you are nesting the new component view under. To place the component at the root level, select the name of the drawing.
 |  | Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of he component occurs more than once in the drawing.
 | Component Contains options to select between creating a new component, adding a new component view to an existing component or inserting a new instance of a component or component view that is already defined.
 |  | Create a new component Enables options to define a new component.
 |  |  | New component name Provides space for you to enter a name for the new component to be created.
 |  | Add new instance for existing component Enables options to insert a new instance of an existing component.
 |  |  | Select component Sets which component to insert as a new instance, from a list of possible components.
 |  | Modify instance of existing component Enables options to add a view to an existing instance of a component. The view can be a new view that you are currently creating or a new instance of an existing component view that you are inserting to the drawing.
 |  |  | Select component Sets the instance to add a view to, from a list of available instances of the component.
 | View Contains options to specify the view to add.
 |  | New view Enables options to create a new component view.
 |  |  | New view name Provides a space to specify a name for the new component view being created.
 |  | Insert existing view Enables to insert a new instance of a component that is already defined.
 |  |  | Select view name Sets the view to insert, from a list of valid views.
 |  |  | Hides the dialog box so you can select the view from model space.
 |  | Base point Contains options to specify the base point for the new view you are creating. This option is visible only if you are creating a new view.
 |  |  | X Displays the X coordinate of the base point.
 |  |  | Y Displays the Y coordinate of the base point.
 |  |  | Z Displays the Z coordinate of the base point.
 |  |  | Temporarily hides the dialog box so that you can specify an insertion base point by selecting it in model space.
 |  | Objects Shows a summary of the objects selected for the new component view. The number of objects selected shows the number of lines, arcs and circles selected for the component view. The number of occurrences shows the number of folders and component views you have selected to nest under the component view being created.
 |  |  | Hides the dialog box so you can pick objects for the component view from model space. To pick an elemental geometry continue clicking the geometry until you see its name in the tooltip. If you are picking another component view or folder, continue clicking an object that belongs to the component view or folder, until you see the component view or folder name in the tooltip.
 |  | Insertion point Contains options to specify the insertion point of the new instance of the component view. This option is visible only if you are inserting an instance of a component view.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the component view is inserted at the position indicated by the X,Y, and Z settings.
 |  | Rotation Contains options to specify the angle by which to rotate the component view.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the rotation angle after you click OK. If this option is not selected, the component view is inserted rotated by the angle indicated in the Rotation angle box.
 |  |  | Rotation angle Specifies the angle by which to rotate the component view. This option is available only if the Specify on screen check box is cleared.
 |  | Preview Shows a preview of the component being created or inserted.
Annotation view tab Contains the options required to create or insert annotation views.
 | Component Contains options to select between creating a new annotation view, creating another instance of an existing component view. You can also create additional views for an annotation view.
 |  | Create annotation view of Selects the component to create an annotation view of, from a list of available components.
 |  |  | Annotation view name Provides a space for you to define a name for the annotation view.
 |  | Add a new instance of existing annotation view Enables options for creating a new instance of an annotation view that you have already created. Select the annotation view to create the new instance of.
 |  | Insert additional views into Enables options for inserting the remaining views of an existing annotation view. Select the annotation view from a list of annotation views for which all views have not been created as yet. NoteWhen you add the additional view to this instance, all other instances of the annotation view (if any exist) are updated automatically.
 |  |  | Hides the dialog box so you can pick the annotation view instance from the drawing area.
 | Placement Contains options to specify where and how the annotation view is to be placed in the drawing area.
 |  | Model space Places annotation view in model space.
 |  | Layout Places annotation view in a layout (paper space). Select the layout that the annotation view will be placed on.
 |  | Scale Contains options to scale the annotation view prior to placement.
 |  |  | Paper size Sets a paper size to make the system suggest an appropriate scale. The paper size you set here is only meant for scale calculation. It is not the actual paper size. For example, if your paper size is A3 and you want to place two annotation views within the paper, you can set the paper size to A4 (because A4 is half the size of A3) and let AutoCAD Mechanical suggest the appropriate scale.
 |  |  | Scale Sets the scale to use for the annotation view. The recommended scale for the given paper size is indicated by appending <Calculated> to the end of the recommended scale.
 |  | Base point Contains options to specify the base point for the annotation you are creating. This option is visible only if you are creating a new annotation view.
 |  |  | X Displays the X coordinate of the base point.
 |  |  | Y Displays the Y coordinate of the base point.
 |  |  | Z Displays the Z coordinate of the base point.
 |  |  | Hides the dialog box so you can specify the base point in model space.
 |  | Insertion Point Contains options to specify the insertion point of a new instance of an annotation view or a remaining view of an existing annotation view. This option is not visible only if you are creating a new annotation view. This option is not available if you are inserting additional views to an existing Annotation views.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the view is inserted at the position indicated by the X,Y, and Z settings.
 |  | Rotation Contains options to specify the angle by which to rotate the annotation view.
 | Label
 |  | Create labels for all subviews Automatically labels the views of the annotation view. The labels can be edited by double-clicking them after placing them in the drawing area. You can customize the default label in the Annotation View Settings dialog box (Assist menu [image] Options; AM:Standards tab and double-click Annotation Views from the list of elements of the standard).

Folder tab

Contains the options to create new folders and insert new instances of an existing folder.

Parent

Component view

Specifies that the folder should be nested below a component view or directly below the root node of the mechanical browser.

Component

Defines which component you are nesting the folder under. To place the folder directly below the root level, select the name of the drawing.

View

Defines which component view you are nesting the new folder under. To place the component at the root level, select the name of the drawing.

Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of he component occurs more than once in the drawing.

Folder/Annotation view

Specifies that the new folder should be nested below an existing folder or an existing annotation view and displays a list of folders and annotation views that you can use as the parent.

NoteWhen you add a folder to this instance, all other instances of the folder or annotation view (if any exist) are updated automatically.

Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of the folder occurs more than once in the drawing.

Folder

Contains options to specify the folder to add.

Create new folder

Enables options to create a new folder and provides a space to specify a name for it.

Insert existing folder

Enables the ability to select the folder to insert, from a list of valid folders.

Hides the dialog box so you can select the folder from model space.

Base point

Contains options to specify the base point for the new folder you are creating. This option is visible only if you are creating a new folder.

X

Displays the X coordinate of the base point.

Y

Displays the Y coordinate of the base point.

Z

Displays the Z coordinate of the base point.

Hides the dialog box so you can specify the base point in model space.

Objects

Shows a summary of the objects selected for the new component view. The number of objects selected shows the number of lines, arcs, and circles selected for the folder. The number of occurrences shows the number of folders you have selected to nest under the folder being created.

Hides the dialog box so you can pick objects for the folder from model space. To pick an elemental geometry continue clicking the geometry until you see its name in the tooltip. If you are picking another folder, continue clicking an object that belongs to the folder until you see the folder name in the tooltip.

Insertion point

Contains options to specify the insertion point of the new instance of the folder. This option is visible only if you are inserting an instance of a folder.

Specify on screen

Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the folder is inserted at the position indicated by the X,Y and Z settings.

Rotation

Contains options to specify the angle by which to rotate the folder.

Specify on screen

Sets options to make AutoCAD Mechanical prompt you to specify the rotation angle after you click OK. If this option is not selected, the component view is inserted rotated by the angle indicated in the Rotation angle box.

Rotation angle

Specifies the angle by which to rotate the folder. This option is available only if the Specify on screen check box is cleared.

Preview

Shows a preview of the component being created or inserted.


Use Windows' cut, copy, and paste with component views and folders (Concept)

Insert components and folders in a drawing
Use components and folders
Create hide situations for component views and folders
Organize geometry with mechanical structure > Use components and folders >
Use Windows' cut, copy, and paste with component views and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Mechanical structure component views and folders can be copied or cut to the Clipboard, and pasted in the same drawing or in a different drawing.

Copy or cut component views or folders

The method of copying or cutting component views or folders to the clipboard is similar to how you copy or cut any other AutoCAD object to the Clipboard. The only apparent difference is when you select objects. To select a component view or folder, continue clicking the geometry until you see the component view name or folder name in the tooltip window.

If the selected component views or folders are involved in a hide situation, details of the hide situation are also copied or cut to the Clipboard.

Ghost components cannot be copied or cut to the Clipboard. If a ghost component view is selected, only the geometry is copied or cut to the Clipboard. No structure information is copied or cut to the Clipboard.

Pasting component views or folders

When you paste a component view or folder from the Clipboard, it is pasted as a new instance. At the time you paste, AutoCAD Mechanical compares the structure of the component or folder in the Clipboard with the corresponding definition in the current drawing. If a mismatch is detected, the component or folder is pasted as a new component or folder. If the Do not prompt option in the AM:Structure tab of the Options dialog box has been cleared, a dialog box is displayed where you can specify the name for the new component/folder.


Use Windows' cut, copy, and paste with component views and folders (Quick Reference)

Insert components and folders in a drawing
Use Windows' cut, copy, and paste with component views and folders
Use Windows' cut, copy, and paste with component views and folders
Organize geometry with mechanical structure > Use components and folders >
Use Windows' cut, copy, and paste with component views and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Copy Component View dialog box

Rename dialog box


Use Windows' cut, copy, and paste with component views and folders (Quick Reference)

Use Windows' cut, copy, and paste with component views and folders
Use Windows' cut, copy, and paste with component views and folders
Use Windows' cut, copy, and paste with component views and folders
Organize geometry with mechanical structure > Use components and folders >
Use Windows' cut, copy, and paste with component views and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Copy Component View dialog box

Use this dialog box to specify if the component views being copied should be created as new component instances or as a new component view of the original component.

Column 1 (Component Name)

Displays the name of the component instance that the component view to be created was copied from.

Column 2

Provides a drop-down list to specify how the new component view should be created - if it should be copied as a new component instance or as a new view of the original component. You can specify the options row by row or you can specify the options for all rows in one go by selecting the option from the column heading.


Use Windows' cut, copy, and paste with component views and folders (Quick Reference)

Use Windows' cut, copy, and paste with component views and folders
Use Windows' cut, copy, and paste with component views and folders
Create hide situations for component views and folders
Organize geometry with mechanical structure > Use components and folders >
Use Windows' cut, copy, and paste with component views and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Rename dialog box

This dialog box is displayed when AutoCAD Mechanical detects that the structure of a component or folder being inserted does not match its definition in the current drawing. AutoCAD Mechanical is attempting to resolve the conflict by inserting the component or folder as a new component or folder. This dialog box is displayed to capture a name for the new component or folder. Click Cancel to stop the operation.

Current Name

Displays the name of the affected component or folder.

New Name

Displays the name the component or folder will be inserted as. If the default name is unsuitable, right-click the cell containing the name, and select Rename.

Operation

Indicates the operation that AutoCAD Mechanical performs to resolve the conflict.


Create hide situations for component views and folders (Concept)

Use Windows' cut, copy, and paste with component views and folders
Use components and folders
Locate and select components and folders
Organize geometry with mechanical structure > Use components and folders >
Create hide situations for component views and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In an assembly, components are often obscured by other components. A given view of a component may be obscured differently in different instances within the assembly view. As such, hidden lines in one instance of a component may be different from that of another instance. Due to the associative nature of mechanical structure, creating hidden lines (with AM2DHIDE) in one instance, automatically updates all other instances, which is not desirable. In order to avoid this issue, you need to use a special command; AMSHIDE, to create hidden lines in the mechanical structure environment.


Create hide situations for component views and folders (Procedure)

Insert components and folders in a drawing
Up a level to ..
Create hide situations for component views and folders
Organize geometry with mechanical structure > Use components and folders >
Create hide situations for component views and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a hide situation

To remove a hide situation


Create hide situations for component views and folders (Quick Reference)

Use Windows' cut, copy, and paste with component views and folders
Create hide situations for component views and folders
Create hide situations for component views and folders
Organize geometry with mechanical structure > Use components and folders >
Create hide situations for component views and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSHIDE

AMSHIDEEDIT

Hide Situation dialog box - Level Settings

Hide Situation dialog box - Object Settings

Hide Options dialog box


To create a hide situation (Procedure)

Create hide situations for component views and folders
Up a level to ..
Create hide situations for component views and folders
Organize geometry with mechanical structure > Use components and folders >
Create hide situations for component views and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a hide situation

  1. Click Dashboard tab [image] Quick Structure panel [image] . At the Command prompt, enter AMSHIDE.
  2. Click in the graphics window to select foreground objects.
    • To select a component view or folder for the foreground, continue clicking an item that belongs to the component view or folder until you see its name in the tooltip window.
    • To select a free entity (a line, an arc, a circle, and so on), continue clicking the object until you see its name in the tooltip.
    • To select a block instance, click a geometry that belongs to it.

    Selection information is displayed on the command line. Continue to select objects, and then press ENTER to quit.

    When foreground objects are selected, objects that are partially or totally within a bounding box surrounding the foreground objects are automatically added to the background selection set. If the number of background objects is too high, you are prompted to select the background manually in the Hide Situation dialog box.

  3. If you are creating the hide situation for a mechanical structure drawing: (If the Hide Situation dialog box is collapsed, Click [image] )
    1. In the Name box, type a name to identify the hide situation.
      NoteIf you name the hide situations meaningfully, it is easier to pick out the hide situation from the browser later.
    2. In the Store hide situation on list, select the most appropriate position in the mechanical structure to store the hide situation.
  4. Click OK.


To remove a hide situation (Procedure)

Create hide situations for component views and folders
Up a level to ..
Locate and select components and folders
Organize geometry with mechanical structure > Use components and folders >
Create hide situations for component views and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove a hide situation

  1. If the mechanical browser is not visible, type AMBROWSER at the Command prompt.
  2. Click the hide situation. Observe model space and verify that the correct hide situation is selected.
  3. Right-click the hide situation in the mechanical browser.
  4. Click Delete.


Create hide situations for component views and folders (Quick Reference)

Create hide situations for component views and folders
Create hide situations for component views and folders
Create hide situations for component views and folders
Organize geometry with mechanical structure > Use components and folders >
Create hide situations for component views and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSHIDE

Draws hidden lines to represent hidden edges, when you specify what objects lie in front and what objects lie behind.

Ribbon: Home tab [image] Hide panel [image] Create Associative Hide Situation. Does not exist on the ribbon.
Toolbar: Design Tools
Menu: Modify [image] Associative Hide [image] Create Associative Hide Situation Does not exist in the menus.
Command entry: amshide

When you modify or move objects that are part of a “hide situation” created with this command, the hidden lines update automatically. A hide situation can contain several overlapping levels.

See examples

The foreground geometry must contain at least one closed loop to create a hide situation.

The program determines the foreground objects based on your initial selection set. You can add foreground objects to or remove them from the hide situation.

In this example, the operator creates a hide situation but must edit the background object set. The operator uses the Hide Situation dialog box to remove two of the holes from the background object set.

AMSHIDE prompts you at the Command prompt to select foreground objects. Once you select the foreground objects, AMSHIDE automatically chooses objects for the background. If the number of background objects is too large, it prompts you to select the background objects from the Hide Situation dialog box.

The Hide Situation dialog box enables you to:

  • Create additional levels for hide situations that are more complex than two-level hide situations (foreground and background only).
  • Move objects from one level to another.
  • Add/remove objects to/from a level.

To edit hide situations, use the AMSHIDEEDIT command.

COMMAND LINE OPTIONS

Select foreground objects: Select objects and press ENTER.

When you confirm the foreground selection set, the program creates the background selection set automatically based on the foreground objects. After it creates the set, AutoCAD Mechanical displays the Hide Situation dialog box.

Select the objects to use as the foreground. Valid foreground objects include blocks, component views, folders, any closed contour created with lines, arcs, and circles inside or outside of mechanical structure. If you are selecting a mechanical structure object, pay attention to the tooltip. The tooltip tells you whether you are selecting an elemental geometry or a mechanical structure object.


Create hide situations for component views and folders (Quick Reference)

Create hide situations for component views and folders
Create hide situations for component views and folders
Create hide situations for component views and folders
Organize geometry with mechanical structure > Use components and folders >
Create hide situations for component views and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSHIDEEDIT

Edits a hide situation created with the AMSHIDE command.

Ribbon: Home tab [image] Hide panel [image] Edit Associative Hide Situation. Does not exist on the ribbon.
Toolbar: Design Tools
Menu: Modify [image] Associative Hide [image] Edit Associative Hide Situation Does not exist in the menus.
Command entry: amshideedit

You typically use this command when it is more convenient to specify the hide situation by selecting objects in model space.

COMMAND LINE OPTIONS

Select hide situation to edit: Select hide situation objects, and then press ENTER.

In the graphics window, pause the cursor over an object in a hide situation to highlight all objects included in the hide situation.

If the selected object belongs to more than one hide situation (indicated by a red plus symbol on the cursor), the command line prompts you to:

Enter an option [Next/Accept] <Accept>: Press ENTER to select the highlighted hide situation. Press N to highlight one of the other hide situations that the selected object belongs to.


Create hide situations for component views and folders (Quick Reference)

Create hide situations for component views and folders
Create hide situations for component views and folders
Create hide situations for component views and folders
Organize geometry with mechanical structure > Use components and folders >
Create hide situations for component views and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Tree View

Graphically describes the hide situation. The name of the hide situation is the root node. Levels appear as child nodes of the root, listed in z-order. Names of blocks, component views, and folders in the hide situation appear in the tree under the respective levels. Elemental geometry such as lines and arcs selected for a level are shown as a single entity named free objects.

Vertical Toolbar

Contains buttons that operate on the item selected in the tree view. The availability of each button depends on its relevance to the selection.

Buttons

Creates a level and adds it below the current selection in the tree.

Temporarily hides the dialog box so you can pick objects for the currently selected level.

  • To select a block instance:

    Click a geometry that belongs to the block instance. The tooltip displays the name of the block.

  • To select a component view or folder:

    Continue clicking an object that belongs to the component view or folder until you see the name of the component view or folder in the tooltip.

  • To select a free object:

    Continue clicking the free object until you see its name in the tooltip.

  • To remove an object from the selection set:

    Hold down the SHIFT key and continue clicking the object until you see its name in the tooltip window.

Removes the item selected in the tree from the hide situation.

Moves the selected level to the top.

Moves the selected level up one level.

Moves the selected level down one level.

Moves the selected level to the bottom.

Temporarily hides the dialog box to show the drawing. Press ESC or ENTER to return to the dialog box.

Name Provides a space for you to name the hide situation. Hide situation names do not need to be unique. Naming hide situations meaningfully helps you quickly identify hide situations on the mechanical browser.
Store hide situation on Displays the mechanical browser nodes under which the hide situation can be saved. NoteYou cannot save hide situations on external reference components.
Display hidden lines Sets the hide style of hidden lines to dashed lines (enabled by default). Clear this check box to make hidden lines invisible.
 | See an example of the effects of the Display hidden lines check box In this example, the Display hidden lines check box is selected. In this example, the Display hidden lines check box is cleared.
Use only specified layers for hide situations Excludes inappropriate objects (hatches and centerlines, for example) from the hide situation.
Settings Opens the Hide Options dialog box and enables users to set defaults for AMSHIDE.
Note
  1. Set the defaults for this dialog box in the Hide Options dialog box(accessed through the OPTIONS/AMOPTIONS command AM:Structure tab [image] Hide Options).
  2. You can resize the dialog box by dragging a side or corner.


Create hide situations for component views and folders (Quick Reference)

Create hide situations for component views and folders
Create hide situations for component views and folders
Create hide situations for component views and folders
Organize geometry with mechanical structure > Use components and folders >
Create hide situations for component views and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hide Situation dialog box - Level Settings

Tree View

Graphically describes the hide situation. The name of the hide situation is the root node. Levels appear as child nodes of the root, listed in z-order. Names of blocks, component views, and folders in the hide situation appear in the tree under the respective levels. Elemental geometry such as lines and arcs selected for a level are shown as a single entity named free objects.

Vertical Toolbar

Contains buttons that operate on the item selected in the tree view. The availability of each button depends on its relevance to the selection.

Buttons

Creates a level and adds it below the current selection in the tree.

Temporarily hides the dialog box so you can pick objects for the currently selected level.

  • To select a block instance:

    Click a geometry that belongs to the block instance. The tooltip displays the name of the block.

  • To select a component view or folder:

    Continue clicking an object that belongs to the component view or folder until you see the name of the component view or folder in the tooltip.

  • To select a free object:

    Continue clicking the free object until you see its name in the tooltip.

  • To remove an object from the selection set:

    Hold down the SHIFT key and continue clicking the object until you see its name in the tooltip window.

Removes the item selected in the tree from the hide situation.

Moves the selected level to the top.

Moves the selected level up one level.

Moves the selected level down one level.

Moves the selected level to the bottom.

Temporarily hides the dialog box to show the drawing. Press ESC or ENTER to return to the dialog box.

Basic tab

Level Settings

Level Name

Provides a space for you to specify a name for the level. The program shows this name on the tree view.

Selection

Shows the number of entities have been selected for that level. Occurrences refer to the number of mechanical structure objects that have been selected for that level.

Auto Background Selection

Sets automatic background selection options for the objects this level overlaps. This option is available only on a level that serves as a background

Auto Select

Automatically selects background objects and adds them to the selected level.

Select Occurrences Only

Restricts auto selection to component views and folders only.

Advanced tab

Level Settings

Use outer contour only

Uses only the outer contour for foreground calculations. When selected, if there are openings such as holes and slots inside the contour, background objects are not visible through them. A common use for this option is hiding background objects when the foreground object contains blind holes.

See an example of the effects of the Use outer contour only check box

In this example, the foreground consists of the rectangle (black arrow) and a triangular opening (blue arrow) objects. Because Use outer contour only is selected, background objects are not visible through the opening. The program shows them using hidden lines.

In this example, Use outer contour only is not selected. The background objects are visible through the triangular opening.

Save Contour

Saves the outer contour of the foreground geometry for use with future hidden line calculations. When you modify the foreground, AutoCAD Mechanical may not calculate hidden lines accurately, because the calculation is based on the saved contour and not the actual contour. Use this option only if you observe a significant degrading of performance when adding or modifying geometry.

NoteThis option is available only if the Use outer contour only check box is selected.

Inverse foreground

Swaps the role of the foreground and background. The program hides objects that are not overlapped by the foreground boundary and shows objects that are overlapped by the foreground.

Use only contour layers in foreground

Applies a layer filter to the foreground selection set, filtering out all layers except the contour layers and non-mechanical layers. By default, AM_0, AM_1, and AM_2 are contour layers and you can define up to four contour layers. By default, the program draws all objects that are valid foreground objects on these layers. If you clear this check box, all objects that belong to the foreground selection set appear as foreground objects, regardless of whether they are valid foreground objects or not.

Object Exclusion tab

Objects used as Foreground

Temporarily hides the dialog box so you can select or remove objects from the foreground exclusion set.

  • To select a block instance:

    Click a geometry that belongs to the block instance. The tooltip displays the name of the block.

  • To select a component view or folder, continue clicking an object that belongs to the component view or folder until you see the name of the component view or folder in the tooltip.
  • To add a free object to the exclusion set:

    Continue clicking the free object until you see its name in the tooltip.

  • To remove an object from the selection set:

    Hold down the SHIFT key and continue clicking the object until you see its name in the tooltip.

Clears current selection for the exclusion set.

Exclude selected objects

Specifies that the objects for the foreground exclusion set are not calculated as part of the foreground.

Objects used as Background

Temporarily hides the dialog box so you can select or remove objects from the background exclusion set.

  • To select a block instance:

    Click a geometry that belongs to the block instance. The tooltip shows the name of the block.

  • To select a component view or folder, continue clicking an object that belongs to the component view or folder until you see the name of the component view or folder in the tooltip.
  • To add a free object to the exclusion set:

    Continue clicking the free object until you see its name in the tooltip.

  • To remove an object from the selection set:

    Hold down the SHIFT key and continue clicking the object until you see its name in the tooltip.

Clears the current selection for the exclusion set.

Exclude selected objects

Specifies that the objects selected for the background exclusion set are not hidden as part of the background.

Settings

Opens the Hide Options dialog box and enables users to set defaults for AMSHIDE.

Note
  1. You can set the defaults for this dialog box in the Hide Options dialog box(accessed through the OPTIONS/AMOPTIONS command AM:Structure tab [image] Hide Options).
  2. You can resize the dialog box by dragging a side or corner.


Create hide situations for component views and folders (Quick Reference)

Create hide situations for component views and folders
Create hide situations for component views and folders
Create hide situations for component views and folders
Organize geometry with mechanical structure > Use components and folders >
Create hide situations for component views and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hide Situation dialog box - Object Settings

Tree View

Graphically describes the hide situation. The name of the hide situation is the root node. Levels appear as child nodes of the root, listed in z-order. Names of blocks, component views, and folders in the hide situation appear in the tree under the respective levels. Elemental geometry such as lines and arcs selected for a level are shown as a single entity named free objects.

Vertical Toolbar

Contains buttons that operate on the item selected in the tree view. The availability of each button depends on its relevance to the selection.

Buttons

Creates a level and adds it below the current selection in the tree.

Temporarily hides the dialog box so you can pick objects for the currently selected level.

  • To select a block instance:

    Click a geometry that belongs to the block instance. The tooltip displays the name of the block.

  • To select a component view or folder:

    Continue clicking an object that belongs to the component view or folder until you see the name of the component view or folder in the tooltip.

  • To select a free object:

    Continue clicking the free object until you see its name in the tooltip.

  • To remove an object from the selection set:

    Hold down the SHIFT key and continue clicking the object until you see its name in the tooltip window.

Removes the item selected in the tree from the hide situation.

Moves the selected level to the top.

Moves the selected level up one level.

Moves the selected level down one level.

Moves the selected level to the bottom.

Temporarily hides the dialog box to show the drawing. Press ESC or ENTER to return to the dialog box.

Exclude from Foreground Prevents the selected entity from acting as a foreground to all the levels below its level.
Exclude from Background Prevents the selected entity from acting as a background to all levels above its level.
Use outer contour only Sets only the outer contour of the selected entity to be displayed as a foreground object. If you clear this check box, all contours are displayed as foreground objects.
 | See example of the usage of the Use outer contour only check box In this example, the foreground consists of the rectangle (black arrow) and triangle (blue arrow) objects. Because Use outer contour only is selected, only the rectangle is displayed as a foreground object. In this example, because Use outer contour only is cleared, both objects appear as foreground objects.
 | Save contour Saves the outer contour of the selected entity for use with future hidden line calculations. When you modify the entity, AutoCAD Mechanical may not calculate hidden lines accurately, as the calculation is based on the saved contour and not the actual contour. Use this option only if you observe a significant degrading of performance when adding or modifying geometry. NoteThis option is available only if you select the Use outer contour only check box.
Settings Opens the Hide Options dialog box and enables users to set defaults for AMSHIDE.
Note
  1. You can set the defaults for this dialog box in the Hide Options dialog box(accessed through the OPTIONS/AMOPTIONS command AM:Structure tab [image] Hide Options).
  2. You can resize the dialog box by dragging a side or corner.


Create hide situations for component views and folders (Quick Reference)

Create hide situations for component views and folders
Create hide situations for component views and folders
Select components and folders
Organize geometry with mechanical structure > Use components and folders >
Create hide situations for component views and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hide Options dialog box

Use this dialog box to set the defaults for the AMSHIDE command.

AMSHIDE dialog box defaults

Display hidden lines

Specifies that hidden lines appear as dashed lines by default. If you do not select this check box, hidden lines are not visible by default.

See an example of the effects of the Display hidden lines check box

In this example, the Display hidden lines check box is selected.

In this example, the Display hidden lines check box is cleared.

Use outer contours only

Uses only the outer contours of objects for foreground calculations. If the outer contour contains openings such as holes and slots, the program ignores them and background objects that should be visible through these openings remain hidden.

See an illustration of the effects of the Use outer contour only check box

In this example, the foreground consists of the rectangle (black arrow) and a triangular opening (blue arrow) objects. Because Use outer contour only is selected, background objects are not visible through the opening. The program shows them using hidden lines.

In this example, Use outer contour only is not selected. The background objects are visible through the triangular opening.

Inverse foreground

Swaps the roles of foreground and background objects. The program shows objects overlapped by the foreground and hides objects not overlapped by the foreground boundary.

Use contours only

Filters out all inappropriate objects from the foreground. By default, the program considers only closed contours drawn on the mechanical layers AM_0, AM_1, and AM_2 (Contour Layers) and closed contours drawn on layers created with the AutoCAD LAYER command appropriate for the foreground.

Hide appropriate objects only

Specifies that the AMSHIDE command must ignore objects that are not valid background objects (hatches and construction lines, for example).

Dynamic preview when editing

Shows a dynamic preview in the drawing area when you make changes in the Hide Situation dialog box.

Update draw order

Updates the draw order to reflect the foreground and background selection of the hide situation. Unless you use filled objects (for example, bitmaps), we recommend that you do not select this check box.

For more information on the draw order, see the documentation on the AutoCAD DRAWORDER command.

Select background objects automatically

Specifies that the AMSHIDE command automatically selects background entities, when creating a new hide situation.

Limit background entities selection to:

Sets the maximum number of objects that the program can select automatically for the background. While creating a hide situation, if the system detects a higher number of objects, it prompts you to select the background manually.

Prompt when number of foreground entities exceed:

Sets the maximum number of objects that the program can select for the foreground before the system prompts you to select foreground objects manually.


Locate and select components and folders

Create hide situations for component views and folders
Organize geometry with mechanical structure
Select components and folders
Organize geometry with mechanical structure >
Locate and select components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Select components and folders
  • Use search tools to locate components and folders
  • Use the design navigation mode to explore the structure of components in model space


Locate and select components and folders (Procedure)

Create hide situations for component views and folders
Locate and select components and folders
Use search tools to locate components and folders
Organize geometry with mechanical structure >
Locate and select components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To zoom to component views

To find all instances of a component, component view or folder, in the mechanical browser

To find all instances of a component view or folder, in model space

To find related components or views (as in the case of a shaft or screw connection)

To turn on the design navigation mode

To turn off the design navigation mode

To make design navigation mode tooltips transparent

To highlight geometry in design navigation mode as dashed lines

To highlight geometry in design navigation mode as thickened lines


Select components and folders (Concept)

Locate and select components and folders
Locate and select components and folders
Use search tools to locate components and folders
Organize geometry with mechanical structure > Locate and select components and folders >
Select components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

In model space, how can you differentiate between selecting a geometry (that belongs to a component view/folder) and a component view/folder?

At the time you click the geometry to select it, observe the tooltip. The tooltip indicates what is being selected. If it is the geometry that is selected, the name of the geometry is shown. If it is the component view/folder that is selected, the name of the component view is shown. Continue clicking the geometry until the tooltip shows the name of the entity you want to select.

The status bar contains three buttons that control how structure objects are selected in model space.

  • BTM-UP/TOP-DN button (AMSSMODE command)

    Switches the structure selection order between bottom-up and top-down.

    When the selection order is set to bottom up, the first click selects the geometry, the next click selects the part, the next click selects the subassembly, and the next click selects the next higher level assembly, and so on until the top-level assembly is selected. A tooltip (not shown in the image) displays the name of the object selected, as you click.

    NoteNo grip point is shown when the entire assembly is selected. This is because the number of entities selected exceeds the Object selection limit for display of grips setting in the Selection tab of the Options dialog box (OPTIONS command).

    When the selection order is set to top down, the first click selects the top-level assembly, the next click selects the next level of a subassembly, and so on until the geometry is selected. A tooltip (not shown in the image) displays the name of the object selected, as you click.

  • R-LOCK

    Switches the Reference Lock on or off

    When no component views or folders are activated, the R-LOCK (reference lock) prevents you from grip editing component view or folder geometry of external reference (xref) components or folders. This is acts as a protection from inadvertently changing geometry that may be referred to in other drawings.

  • S-LOCK

    Switches the selection lock on or off

    When a component view or folder is activated, the selection lock prevents you from selecting geometry that does not belong to the activated component view or folder.

Window selection and the structure selection order

Window selection refers to the selection of objects by enclosing them in a rectangular area created by dragging the cursor from left to right. When the structure selection mode is set to top down, window selection does not select any objects.

When the selection mode is set to bottom up, window selection selects the components (not the geometry) that are enclosed.

Crossing selection and the structure selection order

Crossing selection refers to the selection of objects by enclosing or crossing them in a rectangular area created by dragging the cursor from right to left. When the structure selection mode is set to top down, crossing selection selects the top most assembly of the objects it crosses.

When the selection mode is set to bottom up, crossing selection selects only the components (not the geometry) that are enclosed/crossed.


Select components and folders (Quick Reference)

Create hide situations for component views and folders
Select components and folders
Use the design navigation mode to explore the structure of components in model space
Organize geometry with mechanical structure > Locate and select components and folders >
Select components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMSSMODE

Switches between the top-down and bottom-up geometry selection modes.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amssmode

When the selection mode is set to top-down, the selection sequence begins at the top-most level and ends with the elemental geometry. When the selection mode is set to bottom-up, the selection begins with the elemental geometry.

Example of bottom-up selection

When the selection order is set to bottom-up, the first click selects the geometry, the next click selects the part, the next click selects the subassembly, and the next click selects the next higher level assembly, and so on until the top-level assembly is selected. A tooltip (not shown in the image) displays the name of the object selected, as you click.

Example of top-down selection

When the selection order is set to top-down, the first click selects the top-level assembly, the next click selects the next level of a subassembly, and so on until the geometry is selected. A tooltip (not shown in the image) displays the name of the object selected, as you click.


Use search tools to locate components and folders (Concept)

Select components and folders
Locate and select components and folders
Use the design navigation mode to explore the structure of components in model space
Organize geometry with mechanical structure > Locate and select components and folders >
Use search tools to locate components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

When you select a component, component view or folder in the mechanical browser, the corresponding geometry in the drawing area is highlighted.

You can also use the right-click menu on the browser and zoom to the component view or folder geometry in model space. If the component view or folder is reused many times in the drawing, you can right-click one instance of the component view of folder and select Find All Instances. This selects (and highlights) all occurrences of that component view or folder, in model space and the mechanical browser.

In model space, as you click a geometry, the tooltip cycles to indicate if you are selecting the geometry, a component view, or a folder. When a component view or folder is selected, you can right-click and select Find in Browser to highlight the corresponding mechanical browser node. You can also use Find All Instances to the same effect as using the option in the mechanical browser. All instances are selected in the drawing area as well as the mechanical browser. The mechanical browser automatically expands to show the located instances.

You can also use Find All Instances for Annotation Views. The search however is restricted to the current space you are working in. For example, if you are in model space, only model space is searched - it does not search in layout for the existence of the annotation view.

The Find Associated Components and Find Associate Views right-click menu options on the mechanical browser lets you find all related components and views of complex power objects such as Screw Connections and Shafts. As long as you keep the mouse within the mechanical browser, the associated geometry in models space is highlighted. To select the components, right-click and select Select in Model Space.

See Also
    • Differentiate between instances and occurrences in the mechanical browser


Use search tools to locate components and folders (Procedure)

Locate and select components and folders
Up a level to ..
Use search tools to locate components and folders
Organize geometry with mechanical structure > Locate and select components and folders >
Use search tools to locate components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To zoom to component views

To find all instances of a component, component view or folder, in the mechanical browser

To find all instances of a component view or folder, in model space

To find related components or views (as in the case of a shaft or screw connection)


To zoom to component views (Procedure)

Use search tools to locate components and folders
Up a level to ..
Use search tools to locate components and folders
Organize geometry with mechanical structure > Locate and select components and folders >
Use search tools to locate components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To zoom to component views

  1. In the mechanical browser, click one of the component views you want to zoom to.
  2. With the CTRL key pressed, click the other views you want to zoom to.
  3. Right-click and select Zoom to. The geometry contained in the selected component views are displayed as large as possible.
    NoteYou can similarly zoom to components and folders.


To find all instances of a component, component view or folder, in the mechanical browser (Procedure)

Use search tools to locate components and folders
Up a level to ..
Use search tools to locate components and folders
Organize geometry with mechanical structure > Locate and select components and folders >
Use search tools to locate components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To find all instances of a component, component view or folder, in the mechanical browser

  • In the mechanical browser, right-click the component, component view or folder and select Find All Instances.

    All instances are selected and highlighted in the mechanical browser as well as model space.


To find all instances of a component view or folder, in model space (Procedure)

Use search tools to locate components and folders
Up a level to ..
Use search tools to locate components and folders
Organize geometry with mechanical structure > Locate and select components and folders >
Use search tools to locate components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To find all instances of a component view or folder, in model space

  1. In model space, continue clicking a geometry that belongs to the folder/component view you want to find all instances of, until you see the folder/component view name in the tooltip.
  2. Right-click and select Find All Instances.

    All instances are selected and highlighted in the mechanical browser as well as model space.


To find related components or views (as in the case of a shaft or screw connection) (Procedure)

Use search tools to locate components and folders
Up a level to ..
Use the design navigation mode to explore the structure of components in model space
Organize geometry with mechanical structure > Locate and select components and folders >
Use search tools to locate components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To find related components or views (as in the case of a shaft or screw connection)

  1. In the mechanical browser, click a component/component view of the shaft or screw connection.
  2. Right-click, and then select Find Associated Components or select Find Associated Views.

    Related components/component views are highlighted.


Use the design navigation mode to explore the structure of components in model space (Concept)

Use search tools to locate components and folders
Locate and select components and folders
Detail parts and assemblies using annotation views
Organize geometry with mechanical structure > Locate and select components and folders >
Use the design navigation mode to explore the structure of components in model space
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The AMSNAVMODE command turns on and off a mode that is referred to as the Design Navigation mode. While the Design Navigation Mode is on, when you move the cursor through model space, each component the cursor moves over highlights (in model space as well as in the mechanical browser) and a tooltip displays the hierarchical structure of the component.

If the selection mode is set to bottom-up, when you move the mouse over a geometry, the part that the geometry belongs to highlights. If the selection mode is set to top-down, the highest level assembly that the geometry belongs to highlights. The tooltip, shows the hierarchical structure of the components that the geometry belongs to, in the form of a tree. As you move the cursor over the plus sign (+) icon, the branches of the tree expand. As each level expands, the component highlights in model space and in the mechanical browser. You can click a node of the tree in the tooltip to select the component and the perform operations on it using the right-click menu.

The tooltips can be made semitransparent by pressing the CTRL key or clicking the wheel button (available only on wheel mouse).

When the Structure Workspace is active, the Design Navigation Mode can be turned on or off using the [image] button in the Dashboard or by pressing CTRL-D.

The highlighting style in model space is controlled by the AutoCAD system variable PREVIEWEFFECT. When PREVIEWEFFECT is set to 0, the highlighting style is set to dashed lines. When PREVIEWEFFECT is set to 2 or 3, the highlighting style is set to thickened lines.

ImportantFor the Design Navigation Mode to work, the AutoCAD system variable SELECTIONPREVIEW must be set to 1 or 3. The default value for this variable is 3.


Use the design navigation mode to explore the structure of components in model space (Procedure)

Use search tools to locate components and folders
Up a level to ..
Use the design navigation mode to explore the structure of components in model space
Organize geometry with mechanical structure > Locate and select components and folders >
Use the design navigation mode to explore the structure of components in model space
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To turn on the design navigation mode

To turn off the design navigation mode

To make design navigation mode tooltips transparent

To highlight geometry in design navigation mode as dashed lines

To highlight geometry in design navigation mode as thickened lines


To turn on the design navigation mode (Procedure)

Use the design navigation mode to explore the structure of components in model space
Up a level to ..
Use the design navigation mode to explore the structure of components in model space
Organize geometry with mechanical structure > Locate and select components and folders >
Use the design navigation mode to explore the structure of components in model space
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To turn on the design navigation mode

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSNAVMODE.
  2. At the Command prompt, enter ON.


To turn off the design navigation mode (Procedure)

Use the design navigation mode to explore the structure of components in model space
Up a level to ..
Use the design navigation mode to explore the structure of components in model space
Organize geometry with mechanical structure > Locate and select components and folders >
Use the design navigation mode to explore the structure of components in model space
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To turn off the design navigation mode

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSNAVMODE.
  2. At the Command prompt, enter OFF.


To make design navigation mode tooltips transparent (Procedure)

Use the design navigation mode to explore the structure of components in model space
Up a level to ..
Use the design navigation mode to explore the structure of components in model space
Organize geometry with mechanical structure > Locate and select components and folders >
Use the design navigation mode to explore the structure of components in model space
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To make design navigation mode tooltips transparent

  • While the tooltip is displayed, click the wheel button on the mouse. While the wheel button is kept pressed the tooltip is transparent.


To highlight geometry in design navigation mode as dashed lines (Procedure)

Use the design navigation mode to explore the structure of components in model space
Up a level to ..
Use the design navigation mode to explore the structure of components in model space
Organize geometry with mechanical structure > Locate and select components and folders >
Use the design navigation mode to explore the structure of components in model space
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To highlight geometry in design navigation mode as dashed lines

  1. At the Command prompt, enter PREVIEWEFFECT.
  2. At the Command prompt, enter 0.


To highlight geometry in design navigation mode as thickened lines (Procedure)

Use the design navigation mode to explore the structure of components in model space
Up a level to ..
Detail parts and assemblies using annotation views
Organize geometry with mechanical structure > Locate and select components and folders >
Use the design navigation mode to explore the structure of components in model space
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To highlight geometry in design navigation mode as thickened lines

  1. At the Command prompt, enter PREVIEWEFFECT.
  2. At the Command prompt, enter 2.


Use the design navigation mode to explore the structure of components in model space (Quick Reference)

Select components and folders
Use the design navigation mode to explore the structure of components in model space
Create annotation views
Organize geometry with mechanical structure > Locate and select components and folders >
Use the design navigation mode to explore the structure of components in model space
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSNAVMODE

Ribbon: Structure tab [image] Tools panel [image] Design Navigation Mode.
Toolbar: Structure
Menu: Structure [image] Design Navigation Mode Does not exist in the menus.
Command entry: amsnavmode

While the Design Navigation Mode is on, when you move the cursor through model space, each component the cursor moves over highlights and a tooltip displays the hierarchical structure of the component.

When you turn on the Design Navigation mode, it stays on until you turn it off. If you exit AutoCAD Mechanical while the Design Navigation Mode is on, the next time you start AutoCAD Mechanical , the Design Navigation Mode will be on by default.

System Variables that have an impact on this command

PREVIEWEFFECT

If set to 1, components are highlighted using dashed lines. If set to 2 or 3, components are highlighted using bold.

SELECTIONPREVIEW

Design Navigation Mode works only if this variable is set to 1 or 3.

COMMAND LINE OPTIONS

Set design navigation mode to [ON/OFf] : Enter ON to turn on the Design Navigation Mode or enter OF to turn it off.


Detail parts and assemblies using annotation views

Use the design navigation mode to explore the structure of components in model space
Organize geometry with mechanical structure
Overview
Organize geometry with mechanical structure >
Detail parts and assemblies using annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview
  • Create annotation views
  • Modify annotation views
  • Annotate annotation view geometry
  • Use annotation views from other drawings


Detail parts and assemblies using annotation views (Procedure)

Use the design navigation mode to explore the structure of components in model space
Detail parts and assemblies using annotation views
Create annotation views
Organize geometry with mechanical structure >
Detail parts and assemblies using annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create an annotation views in a layout

To create an annotation views in model space

To move a subview or an annotation view

To add a subview to an existing annotation view

To change the base point of an annotation view

To change the scale of an annotation view

To add subview labels when none exist

To edit subview labels

To activate an annotation view

To reset activation of an annotation view

To create a parts list for an annotation view

To create balloons for an annotation view

To insert an annotation view from another drawing

To change the scale of an annotation view

To create a local annotation view of an xref component, in a layout

To create a local annotation view of an xref component, in model space

To localize an xref annotation view

To externalize a local annotation view of an xref component, back to source


Overview

Detail parts and assemblies using annotation views
Detail parts and assemblies using annotation views
Create annotation views
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When you use mechanical structure, you can use model space exclusively for designing and use layouts for detailing/annotating, printing, and plotting. In the mechanical browser, you can select a part or assembly and generate an entity known as an annotation view. Use it to place the views of the part/assembly in a layout. You can detail the geometry in the layout, add title blocks, and so on.

Annotation views are associative, and whenever the part or assembly changes in model space, the annotation view automatically updates. If the annotation view is annotated using objects such as dimensions, parts lists and balloons, they automatically reflect the change. In the mechanical browser, annotation views are indicated by the [image] icon.

Although annotation views are primarily designed for use in layout, they can be used in model space, too.


Create annotation views (Concept)

Overview
Detail parts and assemblies using annotation views
Modify annotation views
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Create annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can right-click a component node in the mechanical browser and create an annotation view for that component. At the time you create an annotation view, you specify:

  • If the annotation view is to be created in model space or in a layout.
  • The scale.

    AutoCAD Mechanical can recommend (calculate) an optimum scale for you based on the paper size you specify. The paper size does not have to be the actual paper size. For example, if your paper size is A3 and you want to place two annotation views within the paper, you can set the paper size to A4 (because A4 is half the size of A3) and let AutoCAD Mechanical suggest the appropriate scale.

    If you are placing annotation views in model space, we recommend that you use a 1:1 scale at the time you create the annotation view and use a drawing border (AMTITLE command) to set the scale.

  • If the views of the component (referred to as subviews in the context of the annotation view) are labeled in the annotation view.

    The default label is based on the current drafting standard. You can change the formula for the default label by editing the annotation view settings from the AM:Standards tab of the Options dialog box.

Once an annotation view is created, you can insert it as many times as you want in a drawing.

See Also
    • About formulas
    • Examples of commonly used formulas


Create annotation views (Procedure)

Detail parts and assemblies using annotation views
Up a level to ..
Create annotation views
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Create annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an annotation views in a layout

To create an annotation views in model space


Create annotation views (Quick Reference)

Use the design navigation mode to explore the structure of components in model space
Create annotation views
Create annotation views
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Create annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSNEW

AMSCREATE

OPTIONS command (AM:Structure tab)


To create an annotation views in a layout (Procedure)

Create annotation views
Up a level to ..
Create annotation views
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Create annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an annotation views in a layout

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSNEW.New dialog box is displayed.
  2. Click the Annotation View tab.
  3. In the Component section, select the Create annotation view of option and from adjacent the drop-down list, select the component you want to create an annotation view for.
  4. In the Annotation view name box, change the name for the annotation view, if required.
  5. In the Placement section, select the Layout option and from the adjacent drop-down list, select the Layout you want to place the annotation view.
    NoteTo place the annotation view in a new layout, select Create new layout.
  6. If you want AutoCAD Mechanical to suggest a scale to use, in the Paper size list, select the paper size that corresponds to the area you wish to place the annotation view in, if not in the View scale list, select the scale.
    NoteThe paper size you specify here need not be the actual paper size, but a paper size that corresponds to the area that the annotation view will occupy. For example, if your paper size is A3, and you want to place two annotation views within the paper, you can set the paper size to A4 (because A4 is half the size of A3) since it is the effective area the annotation view occupies.
    To set a base point for the annotation view:
    1. Click [image] . The dialog box hides.
    2. In the drawing area, select a base point for the annotation view.
  8. To label each view of the component being annotated, select the Create label for all subviews check box.
  9. Click OK. The dialog box closes and the command line prompts you to place views in the drawing area and a preview of the view to be inserted is shown at the cursor.

    To insert the displayed view, click in the drawing area to indicate the insertion point. If the displayed view is incorrect, type V until the appropriate view is displayed, and then click to indicate the insertion point. Repeat steps 4 and 5 until all views are placed in model space correctly.

  10. Press Enter to accept the default rotation or enter the new rotation angle.
  11. Repeat the 2 preceding steps until all views are placed in the drawing area.
  12. Type D and press ENTER, to indicate that you are done. A new annotation view is created and displayed in the browser.


To create an annotation views in model space (Procedure)

Create annotation views
Up a level to ..
Modify annotation views
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Create annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an annotation views in model space

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSNEW.New dialog box is displayed.
  2. Click the Annotation View tab.
  3. In the Component section, select the Create annotation view of option and from adjacent the drop-down list, select the component you wish to create an annotation view for.
  4. In the Annotation view name box, change the name for the annotation view, if required.
  5. In the Placement section, select the Model space option
  6. In the View scale list, select an appropriate scale.
    NoteWe recommend that you use 1:1 at the time the annotation view is created and perform scaling using a drawing border (AMTITLE command).
    To set a base point for the annotation view:
    1. Click [image] . The dialog box hides.
    2. In the drawing area, select a base point for the annotation view.
  8. To label each view of the component being annotated, select the Create label for all subviews check box.
  9. Click OK. The dialog box closes and the command line prompts you to place views in the drawing area and a preview of the view to be inserted is shown at the cursor.

    To insert the displayed view, click in the drawing area to indicate the insertion point.If the displayed view is incorrect, type V until the appropriate view is displayed, and then click to indicate the insertion point. Repeat steps 4 and 5 until all views are placed in model space correctly.

  10. Press Enter to accept the default rotation or enter the new rotation angle.
  11. Repeat the 2 preceding steps until all views are placed in the drawing area.
  12. Type D and press ENTER. A new annotation view is created and displayed in the browser.


Create annotation views (Quick Reference)

Create annotation views
Create annotation views
Create annotation views
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Create annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSNEW

Creates a new mechanical structure definition from selected objects.

Ribbon: Structure tab [image] Build panel [image] Structure, New. Does not exist on the ribbon.
Toolbar: Structure
Menu: Structure [image] Structure, New Does not exist in the menus.
Command entry: amsnew

You create a component, component view and folder definition by selecting objects, specifying the basepoint and giving it a name. You create annotation views by generating it off an existing component definition. You can also use this command to insert a mechanical structure object (using an existing definition) into the drawing.

You can use either AMSCREATE or AMSNEW to create components, component views, folders, and annotation views. AMSCREATE uses the command line and browser shortcuts to create structure elements. AMSNEW uses a dialog box.

DIALOG BOX DEFINITIONS

AMSNEW DIALOG BOX

Use this dialog box to creates or inserts components, component view, annotation views and folders.

Component/View tab Contains options to create new components and component views. You can also insert new instances of an existing component or component view.
 | Parent
 |  | Component Defines which assembly you are nesting the new component under. To place the component directly below the root level, select the name of the drawing.
 |  | View Defines which component views of the assembly you are nesting the new component view under. To place the component at the root level, select the name of the drawing.
 |  | Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of he component occurs more than once in the drawing.
 | Component Contains options to select between creating a new component, adding a new component view to an existing component or inserting a new instance of a component or component view that is already defined.
 |  | Create a new component Enables options to define a new component.
 |  |  | New component name Provides space for you to enter a name for the new component to be created.
 |  | Add new instance for existing component Enables options to insert a new instance of an existing component.
 |  |  | Select component Sets which component to insert as a new instance, from a list of possible components.
 |  | Modify instance of existing component Enables options to add a view to an existing instance of a component. The view can be a new view that you are currently creating or a new instance of an existing component view that you are inserting to the drawing.
 |  |  | Select component Sets the instance to add a view to, from a list of available instances of the component.
 | View Contains options to specify the view to add.
 |  | New view Enables options to create a new component view.
 |  |  | New view name Provides a space to specify a name for the new component view being created.
 |  | Insert existing view Enables to insert a new instance of a component that is already defined.
 |  |  | Select view name Sets the view to insert, from a list of valid views.
 |  |  | Hides the dialog box so you can select the view from model space.
 |  | Base point Contains options to specify the base point for the new view you are creating. This option is visible only if you are creating a new view.
 |  |  | X Displays the X coordinate of the base point.
 |  |  | Y Displays the Y coordinate of the base point.
 |  |  | Z Displays the Z coordinate of the base point.
 |  |  | Temporarily hides the dialog box so that you can specify an insertion base point by selecting it in model space.
 |  | Objects Shows a summary of the objects selected for the new component view. The number of objects selected shows the number of lines, arcs and circles selected for the component view. The number of occurrences shows the number of folders and component views you have selected to nest under the component view being created.
 |  |  | Hides the dialog box so you can pick objects for the component view from model space. To pick an elemental geometry continue clicking the geometry until you see its name in the tooltip. If you are picking another component view or folder, continue clicking an object that belongs to the component view or folder, until you see the component view or folder name in the tooltip.
 |  | Insertion point Contains options to specify the insertion point of the new instance of the component view. This option is visible only if you are inserting an instance of a component view.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the component view is inserted at the position indicated by the X,Y, and Z settings.
 |  | Rotation Contains options to specify the angle by which to rotate the component view.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the rotation angle after you click OK. If this option is not selected, the component view is inserted rotated by the angle indicated in the Rotation angle box.
 |  |  | Rotation angle Specifies the angle by which to rotate the component view. This option is available only if the Specify on screen check box is cleared.
 |  | Preview Shows a preview of the component being created or inserted.
Annotation view tab Contains the options required to create or insert annotation views.
 | Component Contains options to select between creating a new annotation view, creating another instance of an existing component view. You can also create additional views for an annotation view.
 |  | Create annotation view of Selects the component to create an annotation view of, from a list of available components.
 |  |  | Annotation view name Provides a space for you to define a name for the annotation view.
 |  | Add a new instance of existing annotation view Enables options for creating a new instance of an annotation view that you have already created. Select the annotation view to create the new instance of.
 |  | Insert additional views into Enables options for inserting the remaining views of an existing annotation view. Select the annotation view from a list of annotation views for which all views have not been created as yet. NoteWhen you add the additional view to this instance, all other instances of the annotation view (if any exist) are updated automatically.
 |  |  | Hides the dialog box so you can pick the annotation view instance from the drawing area.
 | Placement Contains options to specify where and how the annotation view is to be placed in the drawing area.
 |  | Model space Places annotation view in model space.
 |  | Layout Places annotation view in a layout (paper space). Select the layout that the annotation view will be placed on.
 |  | Scale Contains options to scale the annotation view prior to placement.
 |  |  | Paper size Sets a paper size to make the system suggest an appropriate scale. The paper size you set here is only meant for scale calculation. It is not the actual paper size. For example, if your paper size is A3 and you want to place two annotation views within the paper, you can set the paper size to A4 (because A4 is half the size of A3) and let AutoCAD Mechanical suggest the appropriate scale.
 |  |  | Scale Sets the scale to use for the annotation view. The recommended scale for the given paper size is indicated by appending <Calculated> to the end of the recommended scale.
 |  | Base point Contains options to specify the base point for the annotation you are creating. This option is visible only if you are creating a new annotation view.
 |  |  | X Displays the X coordinate of the base point.
 |  |  | Y Displays the Y coordinate of the base point.
 |  |  | Z Displays the Z coordinate of the base point.
 |  |  | Hides the dialog box so you can specify the base point in model space.
 |  | Insertion Point Contains options to specify the insertion point of a new instance of an annotation view or a remaining view of an existing annotation view. This option is not visible only if you are creating a new annotation view. This option is not available if you are inserting additional views to an existing Annotation views.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the view is inserted at the position indicated by the X,Y, and Z settings.
 |  | Rotation Contains options to specify the angle by which to rotate the annotation view.
 | Label
 |  | Create labels for all subviews Automatically labels the views of the annotation view. The labels can be edited by double-clicking them after placing them in the drawing area. You can customize the default label in the Annotation View Settings dialog box (Assist menu [image] Options; AM:Standards tab and double-click Annotation Views from the list of elements of the standard).

Folder tab

Contains the options to create new folders and insert new instances of an existing folder.

Parent

Component view

Specifies that the folder should be nested below a component view or directly below the root node of the mechanical browser.

Component

Defines which component you are nesting the folder under. To place the folder directly below the root level, select the name of the drawing.

View

Defines which component view you are nesting the new folder under. To place the component at the root level, select the name of the drawing.

Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of he component occurs more than once in the drawing.

Folder/Annotation view

Specifies that the new folder should be nested below an existing folder or an existing annotation view and displays a list of folders and annotation views that you can use as the parent.

NoteWhen you add a folder to this instance, all other instances of the folder or annotation view (if any exist) are updated automatically.

Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of the folder occurs more than once in the drawing.

Folder

Contains options to specify the folder to add.

Create new folder

Enables options to create a new folder and provides a space to specify a name for it.

Insert existing folder

Enables the ability to select the folder to insert, from a list of valid folders.

Hides the dialog box so you can select the folder from model space.

Base point

Contains options to specify the base point for the new folder you are creating. This option is visible only if you are creating a new folder.

X

Displays the X coordinate of the base point.

Y

Displays the Y coordinate of the base point.

Z

Displays the Z coordinate of the base point.

Hides the dialog box so you can specify the base point in model space.

Objects

Shows a summary of the objects selected for the new component view. The number of objects selected shows the number of lines, arcs, and circles selected for the folder. The number of occurrences shows the number of folders you have selected to nest under the folder being created.

Hides the dialog box so you can pick objects for the folder from model space. To pick an elemental geometry continue clicking the geometry until you see its name in the tooltip. If you are picking another folder, continue clicking an object that belongs to the folder until you see the folder name in the tooltip.

Insertion point

Contains options to specify the insertion point of the new instance of the folder. This option is visible only if you are inserting an instance of a folder.

Specify on screen

Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the folder is inserted at the position indicated by the X,Y and Z settings.

Rotation

Contains options to specify the angle by which to rotate the folder.

Specify on screen

Sets options to make AutoCAD Mechanical prompt you to specify the rotation angle after you click OK. If this option is not selected, the component view is inserted rotated by the angle indicated in the Rotation angle box.

Rotation angle

Specifies the angle by which to rotate the folder. This option is available only if the Specify on screen check box is cleared.

Preview

Shows a preview of the component being created or inserted.


Create annotation views (Quick Reference)

Create annotation views
Create annotation views
Create annotation views
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Create annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCREATE

Creates new components, component views, folders, and annotation views
Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Structure [image] Create [image] Component Does not exist in the menus.
Command entry: amscreate
NoteYou can use either AMSCREATE or AMSNEW to create new components, component views, folders, and annotation views. AMSCREATE uses the command line and the browser to create elements. AMSNEW uses a dialog box to create elements.

COMMAND LINE OPTIONS

Create a component

Use the Component option to create a new component and a new view.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter C and press ENTER.

Enter new component name <COMP1>: Enter a component name. It can contain spaces, but must be unique in the drawing.

Enter new view name <Top>: Enter T or press ENTER to accept the default Top view or enter a different view. The view name can have spaces.

NoteCheck for the default view name on the Options dialog box. Click the Assist [image] Options menu. On the AM:Structure tab, the default view name is the first unique name for the specified component in the default view names list.

Active = ModelSpace

Select parent component and view or [Modelspace/Active] <Active>: Enter A or press ENTER to accept the default Active edit target or specify a different parent component or view.

The active component and view are displayed on the command line prior to the prompt for the parent component and view.

Select component and view. If the Active edit target is not a valid component view parent, model space becomes the default. If you enter Active when it is not a valid parent, the following error message is displayed:

*Invalid Parent* Parent must be a component view.

NoteStandard part views, standard features, shaft component views, component views in annotation views, and component views in AMDETAIL views are invalid selections for parent components.

Select objects for new component: Select one or more objects (including folders or views) or press ENTER to create an empty component view.

Specify base point: Select a base point or enter coordinates for a base point.

When you define the base point, a new component and view are created in the browser.

Create a view

Use the View option to create a new view of an existing component.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter V and press ENTER.

NoteYou must have component definitions in the drawing before you can select a component to which to add a new view.

Active = ModelSpace

Select component instance for view or [Active]: Press ENTER to accept the default option and select the active component instance based on the active component view. If a folder or model space is active, there is no default option and you can select another instance for a view.

Enter new view name <Front>: After you select a valid component instance, press ENTER to accept the default or type a new view name.

Specify parent view or [?] <default>;: The parent component is already defined as the parent of the component instance for the view, so the only valid choice is an existing view instance of the parent component. The default is the first instanced view name.

The ? option lists the names of all instanced views of the parent component and prompts you to specify a parent view. You can select view instances to specify a view instance of a parent component.

If the parent is model space, the only valid view name is Modelspace.

Select objects for new component view: Select objects (including other folders or views). You cannot select component views that create circular references, annotation views, and details. If you prefer, press ENTER to select nothing and create an empty component view.

Specify base point: Select a base point or enter coordinates for base point.

When you define the base point, a new component view is created in the browser.

Create a folder

Use the Folder option to create a new folder.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter F and press ENTER.

Enter folder name <FOLDER1>: Enter a unique folder name or press ENTER to accept the default. The folder name can have spaces.

Active = ModelSpace

Select parent or [Active/Modelspace] <Active>: Select a folder, component view, or annotation view as a parent. Enter A or press ENTER to select the active component view of a folder as the parent. Enter M to select Model Space. Standard part views are not valid parent selections.

Select objects for new folder: Select objects to put in the new folder such as leaf geometry and other folders. Invalid selections include component views, detail views and their children, annotation views and their children, and any folder that creates a circular reference

Specify base point: Select a base point or type coordinates for base point.

When you define the base point, a new folder is created in the browser.

Create an annotation view

Use the Annotation View option to create a new annotation view for annotating (detailing) a component.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter A and press ENTER.

NoteYou must have component definitions in the drawing before you can select a component for detailing.

Specify the component to detail or [?] <?>:

Valid Component Names:

- Comp1

- Comp2

Specify component to detail or [?] <?>: Because an annotation view is based on a single component, specify a valid component name to detail. Enter ? or press ENTER to list component definitions.

Enter annotation view name <Default>: Press ENTER to accept the default as the annotation view name or enter a new annotation view name. The default annotation view name is specified in the Options dialog box on the AM:Structure tab. An annotation view name must be unique among annotation views in a drawing.

Specify base point: Select a base point or type coordinates for base point.

When you define the base point, a new annotation view is created in the browser.

After creating an annotation view name and base point, you can begin to insert component views. Inserting component views into an annotation view is the same as inserting views in an annotation view using AMSNEW.


Create annotation views (Quick Reference)

Create annotation views
Create annotation views
Modify annotation views
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Create annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

OPTIONS command (AM:Structure tab)

The AMOPTIONS command manages settings and standards for parts, assemblies, drawings, standard parts, and general desktop preferences from the Options dialog box. The AutoCAD Mechanical AMOPTIONS command is merged with the AutoCAD OPTIONS command.

The AM:Structure tab sets mechanical structure-related preferences.

Ribbon: None tab [image] None panel [image] Options.... Does not exist on the ribbon.
Toolbar: None
Menu: Default Menu [image] Tools [image] Options Does not exist in the menus.
Command entry: options

DIALOG BOX DEFINITIONS

General

Always enable structure for new drawings

Automatically enables mechanical structure in a drawing at the time the drawing file is created.

NoteThis setting has no effect on new drawings based on a customized template that contains mechanical structure entities.

Selection Mode

Sets the default object selection mode for mechanical structure. Functions the same as the AMSSMODE command.

In the top-down selection mode, the first click on an object selects the highest level component the object belongs to. If a component view is activated, the first click selects the highest level component with respect to the activated component view.

Clicking the object again, selects the next level component. By default, the name of the selected entity is shown in a tooltip window as you click. The lowest level that can be selected is the elemental geometry.

In bottom-up selection mode, the first click on an object always selects elemental geometry. Clicking the object again selects the next highest level component.

Browser right-click menu for creation

Maps the options in the submenu below the New right-click menu option in the mechanical browser to the AMSNEW command or AMSCREATE command.

Browser right-click menu for insertion

Maps the options in the submenu below the Insert right-click menu option in the mechanical browser to the AMSNEW command or AMSINSERT command.

Hide options

Displays a dialog box that where you can set the defaults for the AMSHIDE command.

Structure object type

Provides options to customize AutoCAD Mechanical ’s behavior when mechanical structure component views are created in response to a COPY, ARRAY, MIRROR or PASTECLIP command.

Component instances

Creates the component views as new component instances.

Views of the original components

Creates the component views as additional views of the component they were originally copied from.

Do not prompt

Prevents a dialog box from being displayed at the time the component views are created. This dialog box prompts you to select between the above two options at draw time.

Default Names

Sets default names for the various mechanical structure entities that are created using the AMSNEW and AMSCREATE commands.

Component

Sets the default component name prefix. Can be left blank.

Folder

Sets the default folder name prefix. Can be left blank.

View

Contains a list of component view names to be used as default values at the time components or component views are created. The first component view to be created defaults to the first name in the list and the next component view, to the next in the list, and so on.

Add

Displays a dialog box that where you can add a new component view name to the list. The new name is inserted above the component view name that is selected in the list.

Remove

Deletes the selected component view name.

Move Up

Moves the selected component view name one level up.

Move Down

Moves the selected component view name one level down.

Annotation View

Sets the default annotation view identifier. Can be left blank.


Modify annotation views (Concept)

Create annotation views
Detail parts and assemblies using annotation views
Annotate annotation view geometry
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Modify annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

After you place an annotation view in the drawing area, you can perform the following modifications.

  • Move the annotation view or a subview of the annotation view

    You can use the AutoCAD move command to move annotation views or subviews of an annotation view. At the time you select the geometry to move, you must observe the tooltip to ascertain of it is the annotation view or the subview that is selected. When a subview is moved, the associated label is moved as well. The base point of the annotation view does not change.

  • Add a subview

    In case all subviews of the annotation were not placed at the time annotation views were created, or you want to add an additional subview to the annotation view, you can use the AMSNEW or AMSCREATE command to add the required subview. In most cases, the AMSNEW command is preferred as it provides a dialog box based user interface.

  • Change the scale

    AutoCAD Mechanical provides you with the ability to change the scale of the annotation view after you place it in the drawing area. Changing the scale changes the size of the geometry, but the text heights of the annotations do not change.

  • Modify subview labels

    If the subview already contains a label, you can edit it. If no label exists, you can create a label at any time. By default, the subview label is a formula and is able to dynamically react to any changes in parameters that affect the label. The dialog box that is displayed when you edit the label provides a drop-down list that contains the applicable references to use in the label formula. You can directly type in text and reference names instead of relying on the drop-down list, if required.


Modify annotation views (Procedure)

Create annotation views
Up a level to ..
Modify annotation views
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Modify annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move a subview or an annotation view

To add a subview to an existing annotation view

To change the base point of an annotation view

To change the scale of an annotation view

To add subview labels when none exist

To edit subview labels


Modify annotation views (Quick Reference)

Create annotation views
Modify annotation views
Modify annotation views
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Modify annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSNEW

AMSCREATE


To move a subview or an annotation view (Procedure)

Modify annotation views
Up a level to ..
Modify annotation views
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Modify annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move a subview or an annotation view

  1. Click None [image] None [image] At the Command prompt, enter MOVE.
  2. To move the entire annotation view, continue clicking an annotation view geometry until you see the annotation view name in the tooltip. To move the subview only, continue clicking a subview geometry until you see the name of the subview in the tooltip.
  3. Specify the base point for the move.
  4. In the drawing area, click to indicate the new position for the base point of the move.


To add a subview to an existing annotation view (Procedure)

Modify annotation views
Up a level to ..
Modify annotation views
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Modify annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a subview to an existing annotation view

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSNEW.New dialog box is displayed.
  2. Click the Annotation View tab.
  3. In the Component section, select the Insert additional views into option and from adjacent the drop-down list, select the annotation view you want to add the subview to.
  4. Click OK. The dialog box closes and the command line prompts you to place views in the drawing area and a preview of the view to be inserted is shown at the cursor.

    To insert the displayed view, click in the drawing area to indicate the insertion point. If the displayed view is incorrect, type V until the appropriate view is displayed, and then click to indicate the insertion point.the Repeat steps 4 and 5 until all views are placed in model space correctly.

  5. Press Enter to accept the default rotation or enter the new rotation angle.
  6. Repeat steps the last 2 steps until all views are placed in the drawing area.
  7. Type D and press ENTER. A new annotation view is created and displayed in the browser.


To change the base point of an annotation view (Procedure)

Modify annotation views
Up a level to ..
Modify annotation views
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Modify annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the base point of an annotation view

  1. In the mechanical browser, right-click the annotation view and select Change Basepoint.

    The cursor extends a line from the existing base point.

  2. In the drawing area, click to specify the new base point.


To change the scale of an annotation view (Procedure)

Modify annotation views
Up a level to ..
Modify annotation views
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Modify annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the scale of an annotation view

  1. In the mechanical browser, right-click the annotation view and select Edit scale. The Scale dialog box is displayed.
  2. In the Scale factor box, enter the new scale factor.
  3. Click OK.


To add subview labels when none exist (Procedure)

Modify annotation views
Up a level to ..
Modify annotation views
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Modify annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add subview labels when none exist

  1. In the mechanical browser, right-click the subview you want to add a label to and click Create Label. The View Label dialog box is displayed.
  2. Click OK. A label is added to the subview.


To edit subview labels (Procedure)

Modify annotation views
Up a level to ..
Annotate annotation view geometry
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Modify annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit subview labels

  1. In the mechanical browser, right-click the subview you want to edit the label of and click Edit Label. The View Label dialog box is displayed.
  2. In the Pattern box, make the necessary changes.
    Tip
    • To insert a reference at the insertion point, click [image] and select a reference from the drop-down list.
    • To insert a line break at the insertion point, click [image] and select \P from the drop-down list.
    • To restore defaults, click [image] and select Default pattern from the drop-down list.
  3. Click OK.


Modify annotation views (Quick Reference)

Modify annotation views
Modify annotation views
Modify annotation views
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Modify annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSNEW

Creates a new mechanical structure definition from selected objects.

Ribbon: Structure tab [image] Build panel [image] Structure, New. Does not exist on the ribbon.
Toolbar: Structure
Menu: Structure [image] Structure, New Does not exist in the menus.
Command entry: amsnew

You create a component, component view and folder definition by selecting objects, specifying the basepoint and giving it a name. You create annotation views by generating it off an existing component definition. You can also use this command to insert a mechanical structure object (using an existing definition) into the drawing.

You can use either AMSCREATE or AMSNEW to create components, component views, folders, and annotation views. AMSCREATE uses the command line and browser shortcuts to create structure elements. AMSNEW uses a dialog box.

DIALOG BOX DEFINITIONS

AMSNEW DIALOG BOX

Use this dialog box to creates or inserts components, component view, annotation views and folders.

Component/View tab Contains options to create new components and component views. You can also insert new instances of an existing component or component view.
 | Parent
 |  | Component Defines which assembly you are nesting the new component under. To place the component directly below the root level, select the name of the drawing.
 |  | View Defines which component views of the assembly you are nesting the new component view under. To place the component at the root level, select the name of the drawing.
 |  | Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of he component occurs more than once in the drawing.
 | Component Contains options to select between creating a new component, adding a new component view to an existing component or inserting a new instance of a component or component view that is already defined.
 |  | Create a new component Enables options to define a new component.
 |  |  | New component name Provides space for you to enter a name for the new component to be created.
 |  | Add new instance for existing component Enables options to insert a new instance of an existing component.
 |  |  | Select component Sets which component to insert as a new instance, from a list of possible components.
 |  | Modify instance of existing component Enables options to add a view to an existing instance of a component. The view can be a new view that you are currently creating or a new instance of an existing component view that you are inserting to the drawing.
 |  |  | Select component Sets the instance to add a view to, from a list of available instances of the component.
 | View Contains options to specify the view to add.
 |  | New view Enables options to create a new component view.
 |  |  | New view name Provides a space to specify a name for the new component view being created.
 |  | Insert existing view Enables to insert a new instance of a component that is already defined.
 |  |  | Select view name Sets the view to insert, from a list of valid views.
 |  |  | Hides the dialog box so you can select the view from model space.
 |  | Base point Contains options to specify the base point for the new view you are creating. This option is visible only if you are creating a new view.
 |  |  | X Displays the X coordinate of the base point.
 |  |  | Y Displays the Y coordinate of the base point.
 |  |  | Z Displays the Z coordinate of the base point.
 |  |  | Temporarily hides the dialog box so that you can specify an insertion base point by selecting it in model space.
 |  | Objects Shows a summary of the objects selected for the new component view. The number of objects selected shows the number of lines, arcs and circles selected for the component view. The number of occurrences shows the number of folders and component views you have selected to nest under the component view being created.
 |  |  | Hides the dialog box so you can pick objects for the component view from model space. To pick an elemental geometry continue clicking the geometry until you see its name in the tooltip. If you are picking another component view or folder, continue clicking an object that belongs to the component view or folder, until you see the component view or folder name in the tooltip.
 |  | Insertion point Contains options to specify the insertion point of the new instance of the component view. This option is visible only if you are inserting an instance of a component view.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the component view is inserted at the position indicated by the X,Y, and Z settings.
 |  | Rotation Contains options to specify the angle by which to rotate the component view.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the rotation angle after you click OK. If this option is not selected, the component view is inserted rotated by the angle indicated in the Rotation angle box.
 |  |  | Rotation angle Specifies the angle by which to rotate the component view. This option is available only if the Specify on screen check box is cleared.
 |  | Preview Shows a preview of the component being created or inserted.
Annotation view tab Contains the options required to create or insert annotation views.
 | Component Contains options to select between creating a new annotation view, creating another instance of an existing component view. You can also create additional views for an annotation view.
 |  | Create annotation view of Selects the component to create an annotation view of, from a list of available components.
 |  |  | Annotation view name Provides a space for you to define a name for the annotation view.
 |  | Add a new instance of existing annotation view Enables options for creating a new instance of an annotation view that you have already created. Select the annotation view to create the new instance of.
 |  | Insert additional views into Enables options for inserting the remaining views of an existing annotation view. Select the annotation view from a list of annotation views for which all views have not been created as yet. NoteWhen you add the additional view to this instance, all other instances of the annotation view (if any exist) are updated automatically.
 |  |  | Hides the dialog box so you can pick the annotation view instance from the drawing area.
 | Placement Contains options to specify where and how the annotation view is to be placed in the drawing area.
 |  | Model space Places annotation view in model space.
 |  | Layout Places annotation view in a layout (paper space). Select the layout that the annotation view will be placed on.
 |  | Scale Contains options to scale the annotation view prior to placement.
 |  |  | Paper size Sets a paper size to make the system suggest an appropriate scale. The paper size you set here is only meant for scale calculation. It is not the actual paper size. For example, if your paper size is A3 and you want to place two annotation views within the paper, you can set the paper size to A4 (because A4 is half the size of A3) and let AutoCAD Mechanical suggest the appropriate scale.
 |  |  | Scale Sets the scale to use for the annotation view. The recommended scale for the given paper size is indicated by appending <Calculated> to the end of the recommended scale.
 |  | Base point Contains options to specify the base point for the annotation you are creating. This option is visible only if you are creating a new annotation view.
 |  |  | X Displays the X coordinate of the base point.
 |  |  | Y Displays the Y coordinate of the base point.
 |  |  | Z Displays the Z coordinate of the base point.
 |  |  | Hides the dialog box so you can specify the base point in model space.
 |  | Insertion Point Contains options to specify the insertion point of a new instance of an annotation view or a remaining view of an existing annotation view. This option is not visible only if you are creating a new annotation view. This option is not available if you are inserting additional views to an existing Annotation views.
 |  |  | Specify on screen Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the view is inserted at the position indicated by the X,Y, and Z settings.
 |  | Rotation Contains options to specify the angle by which to rotate the annotation view.
 | Label
 |  | Create labels for all subviews Automatically labels the views of the annotation view. The labels can be edited by double-clicking them after placing them in the drawing area. You can customize the default label in the Annotation View Settings dialog box (Assist menu [image] Options; AM:Standards tab and double-click Annotation Views from the list of elements of the standard).

Folder tab

Contains the options to create new folders and insert new instances of an existing folder.

Parent

Component view

Specifies that the folder should be nested below a component view or directly below the root node of the mechanical browser.

Component

Defines which component you are nesting the folder under. To place the folder directly below the root level, select the name of the drawing.

View

Defines which component view you are nesting the new folder under. To place the component at the root level, select the name of the drawing.

Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of he component occurs more than once in the drawing.

Folder/Annotation view

Specifies that the new folder should be nested below an existing folder or an existing annotation view and displays a list of folders and annotation views that you can use as the parent.

NoteWhen you add a folder to this instance, all other instances of the folder or annotation view (if any exist) are updated automatically.

Hides the dialog box so you can select the view from model space. This option is especially useful if the selected instance of the folder occurs more than once in the drawing.

Folder

Contains options to specify the folder to add.

Create new folder

Enables options to create a new folder and provides a space to specify a name for it.

Insert existing folder

Enables the ability to select the folder to insert, from a list of valid folders.

Hides the dialog box so you can select the folder from model space.

Base point

Contains options to specify the base point for the new folder you are creating. This option is visible only if you are creating a new folder.

X

Displays the X coordinate of the base point.

Y

Displays the Y coordinate of the base point.

Z

Displays the Z coordinate of the base point.

Hides the dialog box so you can specify the base point in model space.

Objects

Shows a summary of the objects selected for the new component view. The number of objects selected shows the number of lines, arcs, and circles selected for the folder. The number of occurrences shows the number of folders you have selected to nest under the folder being created.

Hides the dialog box so you can pick objects for the folder from model space. To pick an elemental geometry continue clicking the geometry until you see its name in the tooltip. If you are picking another folder, continue clicking an object that belongs to the folder until you see the folder name in the tooltip.

Insertion point

Contains options to specify the insertion point of the new instance of the folder. This option is visible only if you are inserting an instance of a folder.

Specify on screen

Sets options to make AutoCAD Mechanical prompt you to specify the insertion point after you click OK. If this option is not selected, the folder is inserted at the position indicated by the X,Y and Z settings.

Rotation

Contains options to specify the angle by which to rotate the folder.

Specify on screen

Sets options to make AutoCAD Mechanical prompt you to specify the rotation angle after you click OK. If this option is not selected, the component view is inserted rotated by the angle indicated in the Rotation angle box.

Rotation angle

Specifies the angle by which to rotate the folder. This option is available only if the Specify on screen check box is cleared.

Preview

Shows a preview of the component being created or inserted.


Modify annotation views (Quick Reference)

Modify annotation views
Modify annotation views
Phantom assemblies
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Modify annotation views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCREATE

Creates new components, component views, folders, and annotation views
Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Structure [image] Create [image] Component Does not exist in the menus.
Command entry: amscreate
NoteYou can use either AMSCREATE or AMSNEW to create new components, component views, folders, and annotation views. AMSCREATE uses the command line and the browser to create elements. AMSNEW uses a dialog box to create elements.

COMMAND LINE OPTIONS

Create a component

Use the Component option to create a new component and a new view.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter C and press ENTER.

Enter new component name <COMP1>: Enter a component name. It can contain spaces, but must be unique in the drawing.

Enter new view name <Top>: Enter T or press ENTER to accept the default Top view or enter a different view. The view name can have spaces.

NoteCheck for the default view name on the Options dialog box. Click the Assist [image] Options menu. On the AM:Structure tab, the default view name is the first unique name for the specified component in the default view names list.

Active = ModelSpace

Select parent component and view or [Modelspace/Active] <Active>: Enter A or press ENTER to accept the default Active edit target or specify a different parent component or view.

The active component and view are displayed on the command line prior to the prompt for the parent component and view.

Select component and view. If the Active edit target is not a valid component view parent, model space becomes the default. If you enter Active when it is not a valid parent, the following error message is displayed:

*Invalid Parent* Parent must be a component view.

NoteStandard part views, standard features, shaft component views, component views in annotation views, and component views in AMDETAIL views are invalid selections for parent components.

Select objects for new component: Select one or more objects (including folders or views) or press ENTER to create an empty component view.

Specify base point: Select a base point or enter coordinates for a base point.

When you define the base point, a new component and view are created in the browser.

Create a view

Use the View option to create a new view of an existing component.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter V and press ENTER.

NoteYou must have component definitions in the drawing before you can select a component to which to add a new view.

Active = ModelSpace

Select component instance for view or [Active]: Press ENTER to accept the default option and select the active component instance based on the active component view. If a folder or model space is active, there is no default option and you can select another instance for a view.

Enter new view name <Front>: After you select a valid component instance, press ENTER to accept the default or type a new view name.

Specify parent view or [?] <default>;: The parent component is already defined as the parent of the component instance for the view, so the only valid choice is an existing view instance of the parent component. The default is the first instanced view name.

The ? option lists the names of all instanced views of the parent component and prompts you to specify a parent view. You can select view instances to specify a view instance of a parent component.

If the parent is model space, the only valid view name is Modelspace.

Select objects for new component view: Select objects (including other folders or views). You cannot select component views that create circular references, annotation views, and details. If you prefer, press ENTER to select nothing and create an empty component view.

Specify base point: Select a base point or enter coordinates for base point.

When you define the base point, a new component view is created in the browser.

Create a folder

Use the Folder option to create a new folder.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter F and press ENTER.

Enter folder name <FOLDER1>: Enter a unique folder name or press ENTER to accept the default. The folder name can have spaces.

Active = ModelSpace

Select parent or [Active/Modelspace] <Active>: Select a folder, component view, or annotation view as a parent. Enter A or press ENTER to select the active component view of a folder as the parent. Enter M to select Model Space. Standard part views are not valid parent selections.

Select objects for new folder: Select objects to put in the new folder such as leaf geometry and other folders. Invalid selections include component views, detail views and their children, annotation views and their children, and any folder that creates a circular reference

Specify base point: Select a base point or type coordinates for base point.

When you define the base point, a new folder is created in the browser.

Create an annotation view

Use the Annotation View option to create a new annotation view for annotating (detailing) a component.

Specify object to create [Component/View/Folder/Annotation view] <Component>: Enter A and press ENTER.

NoteYou must have component definitions in the drawing before you can select a component for detailing.

Specify the component to detail or [?] <?>:

Valid Component Names:

- Comp1

- Comp2

Specify component to detail or [?] <?>: Because an annotation view is based on a single component, specify a valid component name to detail. Enter ? or press ENTER to list component definitions.

Enter annotation view name <Default>: Press ENTER to accept the default as the annotation view name or enter a new annotation view name. The default annotation view name is specified in the Options dialog box on the AM:Structure tab. An annotation view name must be unique among annotation views in a drawing.

Specify base point: Select a base point or type coordinates for base point.

When you define the base point, a new annotation view is created in the browser.

After creating an annotation view name and base point, you can begin to insert component views. Inserting component views into an annotation view is the same as inserting views in an annotation view using AMSNEW.


Annotate annotation view geometry (Concept)

Modify annotation views
Detail parts and assemblies using annotation views
Use annotation views from other drawings
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Annotate annotation view geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

The annotation view acts as a container of annotations you add if you activate it before you detail the annotation view geometry. If the annotation view is inserted into another drawing as an external reference (xref), the annotations too are brought along and displayed. However, if you do not activate the annotation view, the annotations you add belong to the drawing and not to the annotations view. If the annotation view is inserted into another drawing as an xref, the annotations are not brought along

Apart from the additional step to activate the annotation view first, all other procedures are identical to how you would annotate any other geometry in AutoCAD Mechanical.

NoteAnnotation views cannot act as a container for parts lists and balloons. They are forcibly made part of the drawing even if the annotation view is active when you add it. This is because parts lists and balloons can potentially contain formulas, that may be not applicable if the annotation view is inserted as an external reference (xref) to another drawing.


Annotate annotation view geometry (Procedure)

Modify annotation views
Up a level to ..
Annotate annotation view geometry
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Annotate annotation view geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To activate an annotation view

To reset activation of an annotation view

To create a parts list for an annotation view

To create balloons for an annotation view


To activate an annotation view (Procedure)

Annotate annotation view geometry
Up a level to ..
Annotate annotation view geometry
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Annotate annotation view geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To activate an annotation view

  • Right-click the annotation view and select Activate.


To reset activation of an annotation view (Procedure)

Annotate annotation view geometry
Up a level to ..
Annotate annotation view geometry
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Annotate annotation view geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To reset activation of an annotation view

  • Right-click the annotation view and select Deactivate.


To create a parts list for an annotation view (Procedure)

Annotate annotation view geometry
Up a level to ..
Annotate annotation view geometry
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Annotate annotation view geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a parts list for an annotation view

  1. In the mechanical browser, right-click the annotation view and select Create Parts List. The Parts List dialog box is displayed.
  2. If necessary, modify the layout of the parts list (Click here for more information).
  3. If necessary, modify how data appears in the parts list (Click here for more information).
  4. Click OK. The dialog box closes and a preview of the parts list appears in the drawing area.
  5. In the drawing area, click to indicate where to place the parts list. The program inserts the parts list into the drawing.


To create balloons for an annotation view (Procedure)

Annotate annotation view geometry
Up a level to ..
Use annotation views from other drawings
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Annotate annotation view geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create balloons for an annotation view

  1. From the mechanical browser, right-click the annotation view to balloon and select Create Balloons. In the drawing area, the [image] icon indicates the components (parts and assemblies) that you can balloon.
  2. Select the [image] icon corresponding to the objects to create balloons for.
  3. Press ENTER to end the selection. A preview of the balloons appears in the drawing area.
  4. To apply the Horizontal or Vertical balloon alignment, press H, or V.

    To select the standalone placement of the balloons, press S.

    To arrange balloons along a line that is not horizontal or vertical:

    1. Press A to select the Angle option.
    2. In the drawing area, click at two points to indicate the direction of the straight line.
  5. In the drawing area, click to indicate the position to place the balloons.


Use annotation views from other drawings (Concept)

Annotate annotation view geometry
Detail parts and assemblies using annotation views
Special purpose components
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Use annotation views from other drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

In AutoCAD Mechanical, you can create external references (xrefs) to annotation views in external drawings. Hence, if you have a fully annotated annotation view of a part or assembly in a dwg file, you can reuse it across other drawings.

With the exception of the scale, any modifications you make to the annotation view on the host drawing is written back to the source. Hence if you make a change such as changing a subview label, the source drawing as well as all other drawing files that refer to this annotation view is affected.

For the annotation view to be independent of the settings in the source, you can localize the annotation view only. The annotated component continues to be linked to the source and automatically reflects changes made at the source. However, the annotation view (annotations) is independent of the source.

Local annotation views of xref components can only externalized back to the source drawing.


Use annotation views from other drawings (Procedure)

Annotate annotation view geometry
Up a level to ..
Use annotation views from other drawings
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Use annotation views from other drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To insert an annotation view from another drawing

To change the scale of an annotation view

To create a local annotation view of an xref component, in a layout

To create a local annotation view of an xref component, in model space

To localize an xref annotation view

To externalize a local annotation view of an xref component, back to source


To insert an annotation view from another drawing (Procedure)

Use annotation views from other drawings
Up a level to ..
Use annotation views from other drawings
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Use annotation views from other drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To insert an annotation view from another drawing

  1. If the annotation view is to be placed in a layout, click the Drawing tab of the mechanical browser and select the layout. If not, select the Model tab of the mechanical browser.
  2. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  3. From the External Drawings tab or Favorites tab, select the drawing file that contains the annotation view.
  4. From the Definitions panel in the Mechanical Structure section, right-click the annotation view you want to insert and select Insert as Xref.
  5. In the command line, enter the scale to use.
  6. In the drawing area, click to insert the annotation view.
  7. Press Enter to accept the default rotation or enter the new rotation angle.


To change the scale of an annotation view (Procedure)

Use annotation views from other drawings
Up a level to ..
Use annotation views from other drawings
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Use annotation views from other drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To change the scale of an annotation view

  1. In the mechanical browser, right-click the annotation view and select Edit scale. The Scale dialog box is displayed.
  2. In the Scale factor box, enter the new scale factor.
  3. Click OK.


To create a local annotation view of an xref component, in a layout (Procedure)

Use annotation views from other drawings
Up a level to ..
Use annotation views from other drawings
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Use annotation views from other drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a local annotation view of an xref component, in a layout

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSNEW.New dialog box is displayed.
  2. Click the Annotation View tab.
  3. In the Component section, select the Create annotation view of option and from adjacent the drop-down list, select the xref component you wish to create an annotation view for.
  4. In the Annotation view name box, change the name for the annotation view, if required.
  5. In the Placement section, select the Layout option and from the adjacent drop-down list, select the Layout you want to place the annotation view.
    NoteTo place the annotation view in a new layout, select Create new layout.
  6. If you want AutoCAD Mechanical to suggest a scale to use, in the Paper size list, select the paper size that corresponds to the area you wish to place the annotation view in, if not in the View scale list, select the scale.
    NoteThe paper size you specify here need not be the actual paper size, but a paper size that corresponds to the area that the annotation view will occupy. For example, if your paper size is A3 and you want to place two annotation views within the paper, you can set the paper size to A4 (because A4 is half the size of A3) since it is the affective area the annotation view occupies.
    To set a base point for the annotation view:
    1. Click [image] . The dialog box hides.
    2. In the drawing area, select a base point for the annotation view.
  8. To label each view of the component being annotated, select the Create label for all subviews check box.
  9. Click OK. The dialog box closes and the command line prompts you to place views in the drawing area and a preview of the view to be inserted is shown at the cursor.

    To insert the displayed view, click in the drawing area to indicate the insertion point.If the displayed view is incorrect, type V until the appropriate view is displayed, and then click to indicate the insertion point. Repeat steps 4 and 5 until all views are placed in model space correctly.

  10. Press Enter to accept the default rotation or enter the new rotation angle.
  11. Repeat steps the last 2 steps until all views are placed in the drawing area.
  12. Type D and press ENTER. A new annotation view is created and displayed in the browser.


To create a local annotation view of an xref component, in model space (Procedure)

Use annotation views from other drawings
Up a level to ..
Use annotation views from other drawings
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Use annotation views from other drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a local annotation view of an xref component, in model space

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSNEW.New dialog box is displayed.
  2. Click the Annotation View tab.
  3. In the Component section, select the Create annotation view of option and from adjacent the drop-down list, select the xref component you wish to create an annotation view for.
  4. In the Annotation view name box, change the name for the annotation view, if required.
  5. In the Placement section, select the Model space option
  6. In the View scale list, select an appropriate scale.
    NoteWe recommend that you use 1:1 at the time the annotation view is created and perform scaling using a drawing border (AMTITLE command).
    To set a base point for the annotation view:
    1. Click [image] . The dialog box hides.
    2. In the drawing area, select a base point for the annotation view.
  8. To label each view of the component being annotated, select the Create label for all subviews check box.
  9. Click OK. The dialog box closes and the command line prompts you to place views in the drawing area and a preview of the view to be inserted is shown at the cursor.

    To insert the displayed view, click in the drawing area to indicate the insertion point.If the displayed view is incorrect, type V until the appropriate view is displayed, and then click to indicate the insertion point. Repeat steps 4 and 5 until all views are placed in model space correctly.

  10. Press Enter to accept the default rotation or enter the new rotation angle.
  11. Repeat steps the last 2 steps until all views are placed in the drawing area.
  12. Type D and press ENTER. A new annotation view is created and displayed in the browser.


To localize an xref annotation view (Procedure)

Use annotation views from other drawings
Up a level to ..
Use annotation views from other drawings
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Use annotation views from other drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To localize an xref annotation view

  • In the mechanical browser, right-click the xref annotation view and select Localize Annotation View.


To externalize a local annotation view of an xref component, back to source (Procedure)

Use annotation views from other drawings
Up a level to ..
Special purpose components
Organize geometry with mechanical structure > Detail parts and assemblies using annotation views >
Use annotation views from other drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To externalize a local annotation view of an xref component, back to source

  • In the mechanical browser, right-click the local annotation view of the xref component and select Externalize to source_filename.


Special purpose components

Use annotation views from other drawings
Organize geometry with mechanical structure
Reference components
Organize geometry with mechanical structure >
Special purpose components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Reference components
  • Phantom assemblies


Special purpose components (Procedure)

Use annotation views from other drawings
Special purpose components
Reference components
Organize geometry with mechanical structure >
Special purpose components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To set an instance of a component as a reference component

To set a reference component as a normal component

To set an assembly as a phantom assembly


Reference components (Concept)

Special purpose components
Special purpose components
Phantom assemblies
Organize geometry with mechanical structure > Special purpose components >
Reference components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

A reference component is an instance of a mechanical structure component that has been placed in a drawing to add context to a design or for visual enhancement. Reference components are excluded from the bill of materials (BOM).

For example, consider a drawing of a die, which also shows the part that the die produces. If a BOM is created for the die, the part must not be listed in it, since the part is shown only to add context to the design. Setting the part to be a reference component eliminates it from the BOM.

When a component is set as a reference component, the mechanical browser adds the reference flag (an icon of a book) to the component icon ( [image] ).

In AutoCAD Mechanical, you can exclude a component from the parts list, using the Properties dialog box. Components excluded from parts lists in this manner are excluded from the parts list only and continue to exist in the BOM. Reference components, on the other hand, are excluded from the BOM as well. There is no visual clue (on the mechanical browser) to differentiate a component that is excluded from the parts list from any other component.

The reference component setting is instance-based. Only that instance is considered a reference component and all other instances continue to be normal components. However, if the instance occurs in another assembly in the same drawing, that instance is flagged as a reference component.

Example of a reference component

This example shows a drawing that contains two instances of the assembly ASSY1; ASSY1:1 and ASSY1:2. COMP1:1 is a part in the assembly. If you select COMP1:1 in ASSY1:1 and make it a reference component, COMP1:1 in ASSY1:2 also becomes a reference component. This is because the instance COMP1:1 occurs twice, once in ASSY1:1 and once in ASSY1:2. However, the instance COMP1:2 does not become a reference component.


Reference components (Procedure)

Special purpose components
Up a level to ..
Reference components
Organize geometry with mechanical structure > Special purpose components >
Reference components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To set an instance of a component as a reference component

To set a reference component as a normal component


To set an instance of a component as a reference component (Procedure)

Reference components
Up a level to ..
Reference components
Organize geometry with mechanical structure > Special purpose components >
Reference components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To set an instance of a component as a reference component

  1. In the mechanical browser, right-click the instance.
  2. Click Reference. A tick mark appears next to the menu item and the icon of the component changes to indicate that it is a reference component.


To set a reference component as a normal component (Procedure)

Reference components
Up a level to ..
Phantom assemblies
Organize geometry with mechanical structure > Special purpose components >
Reference components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To set a reference component as a normal component

  1. In the mechanical browser, right-click the reference component.
  2. Click Reference. The tick mark next to the menu item disappears and the icon of the component changes to indicate that it is a normal component.


Phantom assemblies (Concept)

Reference components
Special purpose components
Referencing components and folders from external drawing files
Organize geometry with mechanical structure > Special purpose components >
Phantom assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

A phantom assembly is a node on the browser used to group components to simplify the design process. They exist in the design, but are not distinct line items in a bill of materials. Phantom assembly nodes are indicated by the [image] icon on the mechanical browser.

Typical examples of phantom assemblies include sets of hardware where the components are purchased and assembled separately, but are commonly used together (for example, screws, nuts, and washers).

Phantom assemblies have the following characteristics:

  • They are ignored by the BOM.
  • They are not numbered, and are not directly included in quantity calculations.
  • They influence their children's participation in the BOM by promoting them in Structured BOM views. The children of a Phantom component is treated as siblings to the phantom component siblings, even though from a model structure standpoint this is not true.
  • The quantity of their children is multiplied by the quantity of the phantom component.

Any local assembly can be set as a phantom assembly. External reference assemblies cannot be set as phantom assemblies.

It is also possible to set an assembly as a phantom assembly in the current drawing only. In this case, the assembly is a phantom in the current drawing, but continues to be a normal assembly in drawings that use it as an external reference (xref) component. It is convenient to set the top-level assembly of a drawing as a phantom in the current drawing. When you use the structured representation of the BOM, you save the extra step of having to expand the top level assembly, while none of the other files using this as an xref component are affected.


To set an assembly as a phantom assembly (Procedure)

Reference components
Up a level to ..
Referencing components and folders from external drawing files
Organize geometry with mechanical structure > Special purpose components >
Phantom assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set an assembly as a phantom assembly

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. In the Definitions panel in the Mechanical Structure section, right-click the assembly you want to convert.
  4. To convert the assembly to a Phantom Assembly for this drawing only, select Phantom in Current Drawing.

    To convert the assembly to a Phantom Assembly in the current drawing as well as in other drawings that xref this assembly, select Phantom.

    The assembly is now a phantom assembly and is indicated by the [image] icon in the mechanical browser.


Phantom assemblies (Quick Reference)

Modify annotation views
Phantom assemblies
Overview of xrefs for mechanical structure
Organize geometry with mechanical structure > Special purpose components >
Phantom assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

Displays the Structure Catalog

Ribbon: Structure tab [image] Tools panel [image] Structure Catalog.
Toolbar: Structure
Menu: Tools [image] Palettes [image] Structure [image] Structure Catalog Does not exist in the menus.
Command entry: amscatalog

The structure catalog enables you to manage the definitions of mechanical structure objects in a drawing. It is also the primary control center for managing xref operations for mechanical structure.

DIALOG BOX DEFINITIONS

Structure Catalog dialog box

External Drawings tab

Displays the names of drawing files accessible from your computer and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert a new instance of an xref component view or folder, based on the definition you dragged. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Favorites tab

Displays the names of drawing files that have been bookmarked as favorites and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert it as an xref component view or folder. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Current Drawing tab

Displays a tree showing the definitions of mechanical structure entities in the current drawing. It also shows a list of files that are referred to in the current drawing.

File References

Displays the source files that contain the definitions of the components/folders you have inserted to the current drawing as xrefs.

Sets the File Reference pane to a list view. The listed information includes:

Version

Displays the version of the file in the vault. The version column is preceded by a column that shows an icon that indicates the status of the file in the vault.

File name

Displays the name of the referenced file. The host drawing name is always displayed first. The tooltip displays the full path to the file.

Status

Displays the status of the referenced file. Possible statuses are:

  • Loaded -Currently attached to the drawing.
  • Unloaded - Unloaded or marked to be unloaded from the drawing once the structure catalog is closed.
  • Needs reloading - File has changed since it was loaded.
  • Unreferenced - No components or folders from this file exist in the current drawing and can be safely detached.
  • Not Found - No longer exists in the valid search paths.
  • Unresolved - Cannot be read by AutoCAD Mechanical .
  • Orphaned - Attached to another xref that is unresolved.

Size

Displays the size of the attached file.

Date

Displays the date when the referenced file was created or last saved.

Saved path

Displays the location that the host drawing expects the referenced file to be found.

Sets the File References pane to a tree view. The tree depicts the levels of nesting of file references within xrefs. The top-level of the tree view always shows the current drawing. Referenced files appear at the next level. Referenced files that contain their own nested file references can be opened to show deeper levels. When making selections in tree view, only one file reference can be selected at a time.

Mechanical Structure

Definitions

Displays a tree containing icons, which shows the hierarchy of the definitions of mechanical structure entities (inclusive of xref components and folders) contained in the drawing that is currently opened.

Drag a component view or folder on to model space to create and insert a new instance based on the dragged definition. Right-click any item to display a menu that lists the operations that can be performed on the clicked item. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the entity selected in the Definitions panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If the selected component or folder is unresolved, no preview is displayed.


Referencing components and folders from external drawing files

Phantom assemblies
Organize geometry with mechanical structure
Overview of xrefs for mechanical structure
Organize geometry with mechanical structure >
Referencing components and folders from external drawing files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview of xrefs for mechanical structure
  • Insert xref components and folders
  • Delete xref components and folders
  • Edit xref components and folders, in-place
  • Localize xref components and folders
  • Externalize local components and folders
  • When xref components become unresolved


Referencing components and folders from external drawing files (Procedure)

Phantom assemblies
Referencing components and folders from external drawing files
Insert xref components and folders
Organize geometry with mechanical structure >
Referencing components and folders from external drawing files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To insert an xref component

To insert an xref component, nested below another component

To insert a component view to an existing instance of a component

To insert an xref folder

To delete an instance of an xref component

To delete all instances of an xref component

To edit an xref component view or folder

To purge locks

To localize an external reference

To externalize a component or folder

To change path to a referenced file

To reload a referenced file


Overview of xrefs for mechanical structure (Concept)

Referencing components and folders from external drawing files
Referencing components and folders from external drawing files
Insert xref components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Overview of xrefs for mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

You can insert components and folders from external drawings, as xref components and folders. Using xrefs you can store the individual parts of an assembly drawing in separate drawing files. The link is associative and modifications made at the source are automatically reflected in the drawing containing the xref component/folder (host drawing). If the source is modified while the host drawing is open, a balloon message on the status bar notifies you that changes were made. Furthermore, you can edit xref component views and folders, in-place (from within the host drawing) and save the modifications back to the source file. Xrefs for mechanical structure lends itself well to a collaborative working environment, where several designers can work simultaneously on several parts of an assembly.

On the mechanical browser, xref components and folders are indicated by a blue mark that prefixes the component's icon ( [image] )

The structure catalog is the primary tool used for xref operations on mechanical structure. This tool is available via the AMSCATALOG command.

Xrefs for mechanical structure differ from AutoCAD xrefs in the following manner:

  • AutoCAD xrefs do not register components with the mechanical browser.
  • AutoCAD xrefs insert the entire drawing, while xrefs for mechanical structure lets you insert individual components and folders.

If you use mechanical structure in your drawing, we recommend that you use xrefs for mechanical structure instead of AutoCAD xrefs.

See Also
    • Locate and organize external files in the structure catalog
    • Access the Vault from the structure catalog


Overview of xrefs for mechanical structure (Quick Reference)

Phantom assemblies
Overview of xrefs for mechanical structure
Insert xref components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Overview of xrefs for mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMSCATALOG

Displays the Structure Catalog

Ribbon: Structure tab [image] Tools panel [image] Structure Catalog.
Toolbar: Structure
Menu: Tools [image] Palettes [image] Structure [image] Structure Catalog Does not exist in the menus.
Command entry: amscatalog

The structure catalog enables you to manage the definitions of mechanical structure objects in a drawing. It is also the primary control center for managing xref operations for mechanical structure.

DIALOG BOX DEFINITIONS

Structure Catalog dialog box

External Drawings tab

Displays the names of drawing files accessible from your computer and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert a new instance of an xref component view or folder, based on the definition you dragged. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Favorites tab

Displays the names of drawing files that have been bookmarked as favorites and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert it as an xref component view or folder. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Current Drawing tab

Displays a tree showing the definitions of mechanical structure entities in the current drawing. It also shows a list of files that are referred to in the current drawing.

File References

Displays the source files that contain the definitions of the components/folders you have inserted to the current drawing as xrefs.

Sets the File Reference pane to a list view. The listed information includes:

Version

Displays the version of the file in the vault. The version column is preceded by a column that shows an icon that indicates the status of the file in the vault.

File name

Displays the name of the referenced file. The host drawing name is always displayed first. The tooltip displays the full path to the file.

Status

Displays the status of the referenced file. Possible statuses are:

  • Loaded -Currently attached to the drawing.
  • Unloaded - Unloaded or marked to be unloaded from the drawing once the structure catalog is closed.
  • Needs reloading - File has changed since it was loaded.
  • Unreferenced - No components or folders from this file exist in the current drawing and can be safely detached.
  • Not Found - No longer exists in the valid search paths.
  • Unresolved - Cannot be read by AutoCAD Mechanical .
  • Orphaned - Attached to another xref that is unresolved.

Size

Displays the size of the attached file.

Date

Displays the date when the referenced file was created or last saved.

Saved path

Displays the location that the host drawing expects the referenced file to be found.

Sets the File References pane to a tree view. The tree depicts the levels of nesting of file references within xrefs. The top-level of the tree view always shows the current drawing. Referenced files appear at the next level. Referenced files that contain their own nested file references can be opened to show deeper levels. When making selections in tree view, only one file reference can be selected at a time.

Mechanical Structure

Definitions

Displays a tree containing icons, which shows the hierarchy of the definitions of mechanical structure entities (inclusive of xref components and folders) contained in the drawing that is currently opened.

Drag a component view or folder on to model space to create and insert a new instance based on the dragged definition. Right-click any item to display a menu that lists the operations that can be performed on the clicked item. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the entity selected in the Definitions panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If the selected component or folder is unresolved, no preview is displayed.


Insert xref components and folders (Concept)

Overview of xrefs for mechanical structure
Referencing components and folders from external drawing files
Delete xref components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Insert xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Use the structure catalog to browse through external files and view the mechanical structure definitions of that file. You can drag component views and folders on to model space to insert them as xrefs.

When you drag an external component view on to a drawing, you insert it as a new component instance. The new instance is nested directly below the root node of the mechanical browser. To nest it below an assembly, activate the component view you want to nest it under, prior to dragging the external component.

When you drag a component view on to a drawing, you have a new component instance with one component view. You can right-click the component in the browser and insert the remaining views.

When you insert an xref component or folder into a drawing, the source drawing is attached as a referenced file. The Current Drawing tab of the structure catalog shows the referenced files and provides you with the capability to manage them.

See Also
    • Locate and organize external files in the structure catalog
    • Reuse components and folders using the structure catalog


Insert xref components and folders (Procedure)

Referencing components and folders from external drawing files
Up a level to ..
Insert xref components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Insert xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert an xref component

To insert an xref component, nested below another component

To insert a component view to an existing instance of a component

To insert an xref folder


To insert an xref component (Procedure)

Insert xref components and folders
Up a level to ..
Insert xref components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Insert xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert an xref component

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. From the Files section in the External Drawings tab or Favorites tab, select the drawing file that contains the component you want to attach as an external reference (xref) component.
  3. From the Mechanical Structure panel in the Details section, drag a component view of the component you want to insert, to anywhere on the drawing area. In the drawing area, a floating preview of the component view geometry is displayed.
  4. Move the pointer to the position you want to insert the geometry and click.
  5. Press ENTER to accept the default rotation angle or specify a rotation angle and press ENTER.

    The inserted instance of the component is shown in the mechanical browser. The bill of materials reflects that the component is added.


To insert an xref component, nested below another component (Procedure)

Insert xref components and folders
Up a level to ..
Insert xref components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Insert xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert an xref component, nested below another component

  1. To insert the new instance as a child of an existing component, in the mechanical browser, double-click the component view you want to use as the parent view. A blue highlight is displayed across the component view node, indicating that it is active.
    See an illustration

    When you set a component folder to Active, any new component is nested under the active component folder.

    Note
    • You can select the root node as a parent, if required.
    • Standard part views, standard features, shaft component views, component views in annotation views, and component views in AMDETAIL views are invalid selections for parent components.
  2. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  3. From the Files section in the External Drawings tab or Favorites tab, select the drawing file that contains the component you want to attach as an external reference (xref) component.
  4. From the Mechanical Structure panel in the Details section, drag a component view of the component you want to insert, to anywhere on the drawing area. In the drawing area, a floating preview of the component view geometry is displayed.
  5. Move the pointer to the position you want to insert the geometry and click.
  6. Press ENTER to accept the default rotation angle or specify a rotation angle and press ENTER.

    The inserted instance of the component is shown in the mechanical browser. The bill of materials reflects that the component is added.

  7. Double-click the root node of the mechanical browser to reset the activated component view.


To insert a component view to an existing instance of a component (Procedure)

Insert xref components and folders
Up a level to ..
Insert xref components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Insert xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a component view to an existing instance of a component

  1. In the mechanical browser, right-click the component you want to insert a component view for.
  2. Select Insert [image] Component View [image] .Name of component view.
  3. Move the cursor to the position you want to insert the geometry and click.
  4. Press ENTER to accept the default rotation angle or specify a rotation angle and press ENTER.

    The component is inserted and is shown in the mechanical browser.


To insert an xref folder (Procedure)

Insert xref components and folders
Up a level to ..
Delete xref components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Insert xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert an xref folder

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. From the Files section in the External Drawings tab or Favorites tab, select the drawing file that contains the folder you want to attach as an external reference (xref) component.
  3. From the Mechanical Structure panel in the Details section, drag the folder, to anywhere on the drawing area. In the drawing area, a floating preview of the component view geometry is displayed.
  4. Move the pointer to the position you want to insert the geometry and click.
  5. Press ENTER to accept the default rotation angle or specify a rotation angle and press ENTER.

    The folder is displayed in the mechanical browser.


Insert xref components and folders (Quick Reference)

Overview of xrefs for mechanical structure
Insert xref components and folders
Delete xref components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Insert xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

Displays the Structure Catalog

Ribbon: Structure tab [image] Tools panel [image] Structure Catalog.
Toolbar: Structure
Menu: Tools [image] Palettes [image] Structure [image] Structure Catalog Does not exist in the menus.
Command entry: amscatalog

The structure catalog enables you to manage the definitions of mechanical structure objects in a drawing. It is also the primary control center for managing xref operations for mechanical structure.

DIALOG BOX DEFINITIONS

Structure Catalog dialog box

External Drawings tab

Displays the names of drawing files accessible from your computer and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert a new instance of an xref component view or folder, based on the definition you dragged. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Favorites tab

Displays the names of drawing files that have been bookmarked as favorites and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert it as an xref component view or folder. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Current Drawing tab

Displays a tree showing the definitions of mechanical structure entities in the current drawing. It also shows a list of files that are referred to in the current drawing.

File References

Displays the source files that contain the definitions of the components/folders you have inserted to the current drawing as xrefs.

Sets the File Reference pane to a list view. The listed information includes:

Version

Displays the version of the file in the vault. The version column is preceded by a column that shows an icon that indicates the status of the file in the vault.

File name

Displays the name of the referenced file. The host drawing name is always displayed first. The tooltip displays the full path to the file.

Status

Displays the status of the referenced file. Possible statuses are:

  • Loaded -Currently attached to the drawing.
  • Unloaded - Unloaded or marked to be unloaded from the drawing once the structure catalog is closed.
  • Needs reloading - File has changed since it was loaded.
  • Unreferenced - No components or folders from this file exist in the current drawing and can be safely detached.
  • Not Found - No longer exists in the valid search paths.
  • Unresolved - Cannot be read by AutoCAD Mechanical .
  • Orphaned - Attached to another xref that is unresolved.

Size

Displays the size of the attached file.

Date

Displays the date when the referenced file was created or last saved.

Saved path

Displays the location that the host drawing expects the referenced file to be found.

Sets the File References pane to a tree view. The tree depicts the levels of nesting of file references within xrefs. The top-level of the tree view always shows the current drawing. Referenced files appear at the next level. Referenced files that contain their own nested file references can be opened to show deeper levels. When making selections in tree view, only one file reference can be selected at a time.

Mechanical Structure

Definitions

Displays a tree containing icons, which shows the hierarchy of the definitions of mechanical structure entities (inclusive of xref components and folders) contained in the drawing that is currently opened.

Drag a component view or folder on to model space to create and insert a new instance based on the dragged definition. Right-click any item to display a menu that lists the operations that can be performed on the clicked item. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the entity selected in the Definitions panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If the selected component or folder is unresolved, no preview is displayed.


Delete xref components and folders (Concept)

Insert xref components and folders
Referencing components and folders from external drawing files
Edit xref components and folders, in-place
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Delete xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Deleting xref components is not different from deleting local components and folders. You delete an instance of an xref component or folder by selecting it in the mechanical browser and using the Delete right-click menu item. You can also delete all instances of an xref component or folder by deleting its definition from the structure catalog.

If the component or folder was the last xref component or folder from the source file, the AutoCAD Mechanical prompts you to check if it should detach the source file from host drawing. If you choose not to detach it at this time, AutoCAD Mechanical automatically detaches it at the time you save the host drawing.


Delete xref components and folders (Procedure)

Insert xref components and folders
Up a level to ..
Delete xref components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Delete xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete an instance of an xref component

To delete all instances of an xref component


To delete an instance of an xref component (Procedure)

Delete xref components and folders
Up a level to ..
Delete xref components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Delete xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete an instance of an xref component

  1. In the mechanical browser, right-click the instance you want to remove, and select Delete.
  2. The instance of the external reference component is removed from the mechanical browser and the corresponding geometry is removed from model space.


To delete all instances of an xref component (Procedure)

Delete xref components and folders
Up a level to ..
Edit xref components and folders, in-place
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Delete xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete all instances of an xref component

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. From the Definitions panel in the Mechanical Structure section, right-click the xref component you want to delete all instances of, and select Delete. A confirmation message is displayed.
  4. Click OK.

    All instances of the xref component are removed from the mechanical browser and the corresponding geometry is removed from model space.


Delete xref components and folders (Quick Reference)

Insert xref components and folders
Delete xref components and folders
Edit xref components and folders, in-place
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Delete xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

Displays the Structure Catalog

Ribbon: Structure tab [image] Tools panel [image] Structure Catalog.
Toolbar: Structure
Menu: Tools [image] Palettes [image] Structure [image] Structure Catalog Does not exist in the menus.
Command entry: amscatalog

The structure catalog enables you to manage the definitions of mechanical structure objects in a drawing. It is also the primary control center for managing xref operations for mechanical structure.

DIALOG BOX DEFINITIONS

Structure Catalog dialog box

External Drawings tab

Displays the names of drawing files accessible from your computer and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert a new instance of an xref component view or folder, based on the definition you dragged. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Favorites tab

Displays the names of drawing files that have been bookmarked as favorites and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert it as an xref component view or folder. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Current Drawing tab

Displays a tree showing the definitions of mechanical structure entities in the current drawing. It also shows a list of files that are referred to in the current drawing.

File References

Displays the source files that contain the definitions of the components/folders you have inserted to the current drawing as xrefs.

Sets the File Reference pane to a list view. The listed information includes:

Version

Displays the version of the file in the vault. The version column is preceded by a column that shows an icon that indicates the status of the file in the vault.

File name

Displays the name of the referenced file. The host drawing name is always displayed first. The tooltip displays the full path to the file.

Status

Displays the status of the referenced file. Possible statuses are:

  • Loaded -Currently attached to the drawing.
  • Unloaded - Unloaded or marked to be unloaded from the drawing once the structure catalog is closed.
  • Needs reloading - File has changed since it was loaded.
  • Unreferenced - No components or folders from this file exist in the current drawing and can be safely detached.
  • Not Found - No longer exists in the valid search paths.
  • Unresolved - Cannot be read by AutoCAD Mechanical .
  • Orphaned - Attached to another xref that is unresolved.

Size

Displays the size of the attached file.

Date

Displays the date when the referenced file was created or last saved.

Saved path

Displays the location that the host drawing expects the referenced file to be found.

Sets the File References pane to a tree view. The tree depicts the levels of nesting of file references within xrefs. The top-level of the tree view always shows the current drawing. Referenced files appear at the next level. Referenced files that contain their own nested file references can be opened to show deeper levels. When making selections in tree view, only one file reference can be selected at a time.

Mechanical Structure

Definitions

Displays a tree containing icons, which shows the hierarchy of the definitions of mechanical structure entities (inclusive of xref components and folders) contained in the drawing that is currently opened.

Drag a component view or folder on to model space to create and insert a new instance based on the dragged definition. Right-click any item to display a menu that lists the operations that can be performed on the clicked item. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the entity selected in the Definitions panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If the selected component or folder is unresolved, no preview is displayed.


Edit xref components and folders, in-place (Concept)

Delete xref components and folders
Referencing components and folders from external drawing files
Localize xref components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Edit xref components and folders, in-place
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can edit the contents of external reference (xref) component views and folders, in-place. Changes are propagated to all drawing files that contain instances of the xref component or folder. While this is a convenient feature, it also means that if you modify an xref component or folder inadvertently, the mistake is propagated to all drawing files that contain instances of the component or folder.To minimize this risk, you must do one of the following before you edit the contents of an xref component view or folder.

  • Release the R-LOCK status bar button.
  • Activate the xref component view or folder you plan to edit.

When you release the R-LOCK status bar button, geometry from xref component views and folders can be grip edited. When an xref geometry is changed, AutoCAD Mechanical “Locks” the source drawing. This prevents other users from modifying the source while you edit the xref component/folder in-place. On the mechanical browser, components views and folders form the locked source file are flagged by a red lock icon ( [image] ).

When you activate an xref component view or folder, AutoCAD Mechanical locks the source file of the xref.

The referenced file remains locked until you “purge” all locks or until you close the current drawing.


Edit xref components and folders, in-place (Procedure)

Delete xref components and folders
Up a level to ..
Edit xref components and folders, in-place
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Edit xref components and folders, in-place
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit an xref component view or folder

To purge locks


Edit xref components and folders, in-place (Quick Reference)

Delete xref components and folders
Edit xref components and folders, in-place
Edit xref components and folders, in-place
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Edit xref components and folders, in-place
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

AMSPURGE


To edit an xref component view or folder (Procedure)

Edit xref components and folders, in-place
Up a level to ..
Edit xref components and folders, in-place
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Edit xref components and folders, in-place
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit an xref component view or folder

  1. In the mechanical browser, double-click the xref component view or folder you want to modify to activate it. Geometry that doesn't belong to the selected view/folder are dimmed out.
  2. Perform appropriate modifications on the component view/folder geometry.
  3. Double-click a vacant area in the mechanical browser to reset activation.
NoteModifications to xref components are saved back to the source drawing when you save your current drawing. While you edit the xref component, other users cannot modify the source drawing. Once you finish the modifications, you must purge all locks to enable other users to work on the source drawing.


To purge locks (Procedure)

Edit xref components and folders, in-place
Up a level to ..
Localize xref components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Edit xref components and folders, in-place
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To purge locks

  1. In the mechanical browser, right-click a blank area. A menu is displayed.
    NoteXref components that are locked for editing in place are indicated by a red lock icon ( [image] )
  2. Select Purge All Locks. AutoCAD Mechanical prompts you for confirmation.
  3. Click OK. The xref file is saved and the locks are released.


Edit xref components and folders, in-place (Quick Reference)

Edit xref components and folders, in-place
Edit xref components and folders, in-place
Edit xref components and folders, in-place
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Edit xref components and folders, in-place
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

Displays the Structure Catalog

Ribbon: Structure tab [image] Tools panel [image] Structure Catalog.
Toolbar: Structure
Menu: Tools [image] Palettes [image] Structure [image] Structure Catalog Does not exist in the menus.
Command entry: amscatalog

The structure catalog enables you to manage the definitions of mechanical structure objects in a drawing. It is also the primary control center for managing xref operations for mechanical structure.

DIALOG BOX DEFINITIONS

Structure Catalog dialog box

External Drawings tab

Displays the names of drawing files accessible from your computer and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert a new instance of an xref component view or folder, based on the definition you dragged. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Favorites tab

Displays the names of drawing files that have been bookmarked as favorites and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert it as an xref component view or folder. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Current Drawing tab

Displays a tree showing the definitions of mechanical structure entities in the current drawing. It also shows a list of files that are referred to in the current drawing.

File References

Displays the source files that contain the definitions of the components/folders you have inserted to the current drawing as xrefs.

Sets the File Reference pane to a list view. The listed information includes:

Version

Displays the version of the file in the vault. The version column is preceded by a column that shows an icon that indicates the status of the file in the vault.

File name

Displays the name of the referenced file. The host drawing name is always displayed first. The tooltip displays the full path to the file.

Status

Displays the status of the referenced file. Possible statuses are:

  • Loaded -Currently attached to the drawing.
  • Unloaded - Unloaded or marked to be unloaded from the drawing once the structure catalog is closed.
  • Needs reloading - File has changed since it was loaded.
  • Unreferenced - No components or folders from this file exist in the current drawing and can be safely detached.
  • Not Found - No longer exists in the valid search paths.
  • Unresolved - Cannot be read by AutoCAD Mechanical .
  • Orphaned - Attached to another xref that is unresolved.

Size

Displays the size of the attached file.

Date

Displays the date when the referenced file was created or last saved.

Saved path

Displays the location that the host drawing expects the referenced file to be found.

Sets the File References pane to a tree view. The tree depicts the levels of nesting of file references within xrefs. The top-level of the tree view always shows the current drawing. Referenced files appear at the next level. Referenced files that contain their own nested file references can be opened to show deeper levels. When making selections in tree view, only one file reference can be selected at a time.

Mechanical Structure

Definitions

Displays a tree containing icons, which shows the hierarchy of the definitions of mechanical structure entities (inclusive of xref components and folders) contained in the drawing that is currently opened.

Drag a component view or folder on to model space to create and insert a new instance based on the dragged definition. Right-click any item to display a menu that lists the operations that can be performed on the clicked item. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the entity selected in the Definitions panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If the selected component or folder is unresolved, no preview is displayed.


Edit xref components and folders, in-place (Quick Reference)

Edit xref components and folders, in-place
Edit xref components and folders, in-place
Localize xref components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Edit xref components and folders, in-place
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSPURGE

Removes unused definitions of mechanical structure objects from the drawing.

Ribbon: Structure tab [image] Manage panel [image] . Does not exist on the ribbon.
Toolbar: Structure
Menu: None Does not exist in the menus.
Command entry: amspurge

This command prompts you to specify the type of objects to purge, and removes the definitions of those objects only.

COMMAND LINE OPTIONS

Enter the type of unused structure to purge [Components/Views/Folders/aNnotation views/All]: Enter the capitalized letter of the object type to pure or A to purge all.

To purge a definition, the object type and its name are shown on the prompt line.

To purge a component view, you will be prompted with the complete view tree definition name for the view.

If you specify All, and no unreferenced items of a specific type exist, an error message displays and you are returned to the command line.

Enter names to purge <*>: Enter the names of the objects to purge. You can also use wild card (*) to specify the names of the objects to purge.

Verify each name to be purged? [Yes/No] <Yes>: Enter Yes to confirm the names of the objects to purge.


Localize xref components and folders (Concept)

Edit xref components and folders, in-place
Referencing components and folders from external drawing files
Externalize local components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Localize xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In AutoCAD Mechanical, you can select an external reference (xref) component or folder, and copy its definition to the current drawing. All instances of this xref component or folder become local components or folders and the associative link with the source drawing is removed.

In some cases, a drawing may contain an xref assembly, that contains xref parts from another drawing (nested xref components). Use the mechanical browser or structure catalog to:

    • Localize the assembly and the xref parts using the Localize All right-click menu.
    • Localize the assembly only (parts continue to be xref components) using the Localize right-click menu.

Similarly, xref folders that nest xref folders from other drawings can be localized using the Localize all option.

Sometimes, the current drawing may have a local part or assembly that has the same name as the xref component you are localizing. In such a case, AutoCAD Mechanical displays the Rename dialog box. You can resolve the conflict (by renaming the component being localized) or end the localization operation. The same principal applies to folders that are being localized.


Localize xref components and folders (Quick Reference)

Edit xref components and folders, in-place
Localize xref components and folders
Localize xref components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Localize xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

AMSLOCALIZE

Rename dialog box


To localize an external reference (Procedure)

Edit xref components and folders, in-place
Up a level to ..
Externalize local components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Localize xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To localize an external reference

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. From the Definitions panel in the Mechanical Structure section, right-click the external reference (xref) component or folder you want to localize. A menu is displayed.
  4. If the xref component or folder in turn contains xref components/folder, and you want to localize those as well:
    • Select Localize All. The definitions of the component/folder and all xref components/folders it contains are copied to the current drawing.

    If the xref component or folder in turn contains xref components/folder, and you don't want to localize them:

    • Select Localize. The definitions of the component/folder is copied to the current drawing. Xref components or folders it contained continue to be xref components/folders.

    If the xref component does not contain any xref components or folders:

    • Select Localize. The definition of the component is copied to the current drawing and the Definitions panel in the Mechanical Structure section indicates that the component is local.
Note
  • If the link to the file containing the xref component is no longer necessary, AutoCAD Mechanical displays a message to check if it is OK to remove the link to the external file. Click Yes.
  • If the current drawing already contains a component or folder with the same name as the one you are localizing, the Rename dialog box is displayed to assist you resolve the conflict.


Localize xref components and folders (Quick Reference)

Localize xref components and folders
Localize xref components and folders
Localize xref components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Localize xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

Displays the Structure Catalog

Ribbon: Structure tab [image] Tools panel [image] Structure Catalog.
Toolbar: Structure
Menu: Tools [image] Palettes [image] Structure [image] Structure Catalog Does not exist in the menus.
Command entry: amscatalog

The structure catalog enables you to manage the definitions of mechanical structure objects in a drawing. It is also the primary control center for managing xref operations for mechanical structure.

DIALOG BOX DEFINITIONS

Structure Catalog dialog box

External Drawings tab

Displays the names of drawing files accessible from your computer and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert a new instance of an xref component view or folder, based on the definition you dragged. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Favorites tab

Displays the names of drawing files that have been bookmarked as favorites and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert it as an xref component view or folder. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Current Drawing tab

Displays a tree showing the definitions of mechanical structure entities in the current drawing. It also shows a list of files that are referred to in the current drawing.

File References

Displays the source files that contain the definitions of the components/folders you have inserted to the current drawing as xrefs.

Sets the File Reference pane to a list view. The listed information includes:

Version

Displays the version of the file in the vault. The version column is preceded by a column that shows an icon that indicates the status of the file in the vault.

File name

Displays the name of the referenced file. The host drawing name is always displayed first. The tooltip displays the full path to the file.

Status

Displays the status of the referenced file. Possible statuses are:

  • Loaded -Currently attached to the drawing.
  • Unloaded - Unloaded or marked to be unloaded from the drawing once the structure catalog is closed.
  • Needs reloading - File has changed since it was loaded.
  • Unreferenced - No components or folders from this file exist in the current drawing and can be safely detached.
  • Not Found - No longer exists in the valid search paths.
  • Unresolved - Cannot be read by AutoCAD Mechanical .
  • Orphaned - Attached to another xref that is unresolved.

Size

Displays the size of the attached file.

Date

Displays the date when the referenced file was created or last saved.

Saved path

Displays the location that the host drawing expects the referenced file to be found.

Sets the File References pane to a tree view. The tree depicts the levels of nesting of file references within xrefs. The top-level of the tree view always shows the current drawing. Referenced files appear at the next level. Referenced files that contain their own nested file references can be opened to show deeper levels. When making selections in tree view, only one file reference can be selected at a time.

Mechanical Structure

Definitions

Displays a tree containing icons, which shows the hierarchy of the definitions of mechanical structure entities (inclusive of xref components and folders) contained in the drawing that is currently opened.

Drag a component view or folder on to model space to create and insert a new instance based on the dragged definition. Right-click any item to display a menu that lists the operations that can be performed on the clicked item. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the entity selected in the Definitions panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If the selected component or folder is unresolved, no preview is displayed.


Localize xref components and folders (Quick Reference)

Localize xref components and folders
Localize xref components and folders
Localize xref components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Localize xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSLOCALIZE

Converts external reference (xref) components or folders to local components and folders, by copying their definitions into the current drawing.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amslocalize

COMMAND LINE OPTIONS

Specify external object to localize [Component/Folder/Annotation view/aLl objects] <Component>: Type the capitalized letter corresponding to the option and then press ENTER.

Component

Localizes the xref components you specify.

Enter external component name to Localize or ? <?>:Type the name of the component to localize. If you can't remember the name of the component, type ? and then press ENTER.

Enter external components to list <*>: Type the wild card (*), and then press ENTER to list all items or type the first few characters of the item name followed by another wild card (*), and then press ENTER to list only those items that begin with those characters.

Component has external children, would you like them to be localized as well? [Yes/No] <No>: This prompt is displayed only if the xref component chosen for localization contains other xref components or folders, To localize those components/ folders as well, press Y, and then press ENTER. To allow those components/folders remain xref entities, press N and then press ENTER.

Note
  • If the name of the localized component/folder conflicts with an existing local component/folder, the Rename dialog box is displayed to assist you resolve the conflict.
  • After the localize operation, if the current drawing does not contain any other xref components/folders from the xref drawing, the system attempts to detach the xref file and prompts you for confirmation.

Folder

Localizes the xref folders you specify.

Enter external folder name to Localize or ? <?>:Type the name of the folder to localize. If you can't remember the name of the folder, type ? and then press ENTER.

Enter external folders to list <*>: Type the wild card (*), and then press ENTER to list all items or type the first few characters of the item name followed by another wild card (*), and then press ENTER to list only those items that begin with those characters.

Folder has external children, would you like them to be localized as well? [Yes/No] <No>: This prompt is displayed only if the xref folder chosen for localization contains other xref folders, To localize those folders as well, press Y, and then press ENTER. To allow those folders remain xref entities, press N and then press ENTER.

Note
  • If the name of the localized component/folder conflicts with an existing local component/folder, the Rename dialog box is displayed to assist you resolve the conflict.
  • After the localize operation, if the current drawing does not contain any other xref components/folders from the xref drawing, the system attempts to detach the xref file and prompts you for confirmation.

Annotation view

Localizes the xref annotation views you specify.

Enter external annotation view (of an external component) to localize or [?] <?>:Type the name of the annotation view to localize. If you can't remember the name of the annotation view, type ? and then press ENTER.

Enter external annotation view(s) to list <*>: Type the wild card (*), and then press ENTER to list all items or type the first few characters of the item name followed by another wild card (*), and then press ENTER to list only those items that begin with those characters.

All objects

Localizes all xref structure entities in the drawing.

Note
  • If the name of the localized component/folder conflicts with an existing local component/folder, the Rename dialog box is displayed to assist you resolve the conflict.
  • If any of the xref entities are unresolved, they are not localized.


Localize xref components and folders (Quick Reference)

Localize xref components and folders
Localize xref components and folders
Externalize local components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Localize xref components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Rename dialog box

This dialog box is displayed when AutoCAD Mechanical detects that the structure of a component or folder being inserted does not match its definition in the current drawing. AutoCAD Mechanical is attempting to resolve the conflict by inserting the component or folder as a new component or folder. This dialog box is displayed to capture a name for the new component or folder. Click Cancel to stop the operation.

Current Name

Displays the name of the affected component or folder.

New Name

Displays the name the component or folder will be inserted as. If the default name is unsuitable, right-click the cell containing the name, and select Rename.

Operation

Indicates the operation that AutoCAD Mechanical performs to resolve the conflict.


Externalize local components and folders (Concept)

Localize xref components and folders
Referencing components and folders from external drawing files
When xref components become unresolved
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Externalize local components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can externalize local definitions of components and folders and save the definitions in an external file. The components and folders based on the externalized definition then become xref components.

You can specify a template at the time you externalize the component or folder. Settings such as units and the elements of the drafting standard of the resulting drawing file are based on the template. If the settings that the geometry in the externalized component or folder conflict with the template, the settings in the template take precedence.

NoteWhen you externalize a component, the system computes the best fit for placement of component views and may not reflect the placement of views in the current drawing.

If you created a (local) annotation view of an xref component, you can externalize the annotation view back to the source drawing of the xref component. You cannot externalize to any other external file.


Externalize local components and folders (Quick Reference)

Localize xref components and folders
Externalize local components and folders
Externalize local components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Externalize local components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

AMSEXTERNALIZE


To externalize a component or folder (Procedure)

Localize xref components and folders
Up a level to ..
When xref components become unresolved
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Externalize local components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To externalize a component or folder

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. From the Definitions panel in the Mechanical Structure section, right-click the local component or folder you want to externalize, and select Externalize.
  4. In the New External File dialog box, select the location the new file must be saved to.
  5. In the File Name box, type a name for the drawing file.
  6. If the file must be created using a specific template, select the Use Template File check box and from the drop-down list, select the template.
  7. Click Save. A new file is created and the component is saved to it. The Definitions panel in the Mechanical Structure section indicates that the definition is an external reference.


Externalize local components and folders (Quick Reference)

Externalize local components and folders
Externalize local components and folders
Externalize local components and folders
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Externalize local components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

Displays the Structure Catalog

Ribbon: Structure tab [image] Tools panel [image] Structure Catalog.
Toolbar: Structure
Menu: Tools [image] Palettes [image] Structure [image] Structure Catalog Does not exist in the menus.
Command entry: amscatalog

The structure catalog enables you to manage the definitions of mechanical structure objects in a drawing. It is also the primary control center for managing xref operations for mechanical structure.

DIALOG BOX DEFINITIONS

Structure Catalog dialog box

External Drawings tab

Displays the names of drawing files accessible from your computer and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert a new instance of an xref component view or folder, based on the definition you dragged. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Favorites tab

Displays the names of drawing files that have been bookmarked as favorites and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert it as an xref component view or folder. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Current Drawing tab

Displays a tree showing the definitions of mechanical structure entities in the current drawing. It also shows a list of files that are referred to in the current drawing.

File References

Displays the source files that contain the definitions of the components/folders you have inserted to the current drawing as xrefs.

Sets the File Reference pane to a list view. The listed information includes:

Version

Displays the version of the file in the vault. The version column is preceded by a column that shows an icon that indicates the status of the file in the vault.

File name

Displays the name of the referenced file. The host drawing name is always displayed first. The tooltip displays the full path to the file.

Status

Displays the status of the referenced file. Possible statuses are:

  • Loaded -Currently attached to the drawing.
  • Unloaded - Unloaded or marked to be unloaded from the drawing once the structure catalog is closed.
  • Needs reloading - File has changed since it was loaded.
  • Unreferenced - No components or folders from this file exist in the current drawing and can be safely detached.
  • Not Found - No longer exists in the valid search paths.
  • Unresolved - Cannot be read by AutoCAD Mechanical .
  • Orphaned - Attached to another xref that is unresolved.

Size

Displays the size of the attached file.

Date

Displays the date when the referenced file was created or last saved.

Saved path

Displays the location that the host drawing expects the referenced file to be found.

Sets the File References pane to a tree view. The tree depicts the levels of nesting of file references within xrefs. The top-level of the tree view always shows the current drawing. Referenced files appear at the next level. Referenced files that contain their own nested file references can be opened to show deeper levels. When making selections in tree view, only one file reference can be selected at a time.

Mechanical Structure

Definitions

Displays a tree containing icons, which shows the hierarchy of the definitions of mechanical structure entities (inclusive of xref components and folders) contained in the drawing that is currently opened.

Drag a component view or folder on to model space to create and insert a new instance based on the dragged definition. Right-click any item to display a menu that lists the operations that can be performed on the clicked item. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the entity selected in the Definitions panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If the selected component or folder is unresolved, no preview is displayed.


Externalize local components and folders (Quick Reference)

Externalize local components and folders
Externalize local components and folders
When xref components become unresolved
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
Externalize local components and folders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSEXTERNALIZE

Converts components or folders to external references, by moving their definitions from the current drawing to a new drawing.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amsexternalize

COMMAND LINE OPTIONS

Specify local object to externalize [Components/Folders/Annotation View] <Component>: Type the capitalized letter corresponding to the object to externalize (C for component, F for Folder, A for Annotation View), and then press ENTER.

Enter local Component/Folder name to Externalize or [?] <?>:Type the name of the component or folder to externalize. A file save dialog box is displayed so you can specify the file the externalized component must be saved to. If you can't remember the name of the component or folder, type ? and then press ENTER.

Enter local Components Folders to list <*>: Type the wild card (*), and then press ENTER to list all items or type the first few characters of the item name followed by another wild card (*), and then press ENTER to list only those components that begin with those characters.


When xref components become unresolved (Concept)

Externalize local components and folders
Referencing components and folders from external drawing files
Mechanical structure-specific utilities
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
When xref components become unresolved
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When AutoCAD Mechanical opens a drawing with external reference (xref) components, and is unable to read a source file (as in the case of the source file being renamed or deleted), the drawing opens with the source file unloaded. When the source file is unloaded, the xref components and folders from that file become unresolved, but the geometry continues to be displayed. In the mechanical browser and the structure catalog, unresolved components and folders are indicated by appending a red question mark to the corresponding icon ( [image] ).

Even though xref component geometry is displayed, the following commands cannot be used on it:

  • AMSINSERT
  • AMSNEW
  • AMSPURGE
  • AMSREPLACEDEF
  • AMSACTIVATE
  • AMSHIDE
  • AMSHIDEEDIT
  • AMSLOCALIZE
  • AMSCOPYDEF
  • AMSEDIT

You can continue to work on the current drawing while xref files are unloaded. However, we do not recommend it if the drawing has been ballooned. When the xref file is reloaded, AutoCAD Mechanical reconstructs the Bill of Materials (BOM) Database and balloons may be lost.

Unloaded xref files are indicated in the Current tab of the structure catalog by the [image] icon in the status column.


When xref components become unresolved (Procedure)

Externalize local components and folders
Up a level to ..
When xref components become unresolved
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
When xref components become unresolved
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change path to a referenced file

To reload a referenced file


To change path to a referenced file (Procedure)

When xref components become unresolved
Up a level to ..
When xref components become unresolved
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
When xref components become unresolved
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change path to a referenced file

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. In the File References section, right-click the referenced file. A menu is displayed.
  4. Select Repath. A File Open dialog box is displayed.
  5. Select the file from the new location and click Open. The path to the reference file is changed.
    NoteIf you are unable to change path to the referenced file room the structure catalog, use the Xref Manager (XREF command) to change path


To reload a referenced file (Procedure)

When xref components become unresolved
Up a level to ..
The structure catalog
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
When xref components become unresolved
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To reload a referenced file

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. From the Current Drawing tab, right-click the drawing file to be loaded.
  3. Select Reload. The file loads and the status icon changes to [image] .


When xref components become unresolved (Quick Reference)

Externalize local components and folders
When xref components become unresolved
Manage component and folder definitions in the structure catalog
Organize geometry with mechanical structure > Referencing components and folders from external drawing files >
When xref components become unresolved
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

Displays the Structure Catalog

Ribbon: Structure tab [image] Tools panel [image] Structure Catalog.
Toolbar: Structure
Menu: Tools [image] Palettes [image] Structure [image] Structure Catalog Does not exist in the menus.
Command entry: amscatalog

The structure catalog enables you to manage the definitions of mechanical structure objects in a drawing. It is also the primary control center for managing xref operations for mechanical structure.

DIALOG BOX DEFINITIONS

Structure Catalog dialog box

External Drawings tab

Displays the names of drawing files accessible from your computer and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert a new instance of an xref component view or folder, based on the definition you dragged. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Favorites tab

Displays the names of drawing files that have been bookmarked as favorites and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert it as an xref component view or folder. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Current Drawing tab

Displays a tree showing the definitions of mechanical structure entities in the current drawing. It also shows a list of files that are referred to in the current drawing.

File References

Displays the source files that contain the definitions of the components/folders you have inserted to the current drawing as xrefs.

Sets the File Reference pane to a list view. The listed information includes:

Version

Displays the version of the file in the vault. The version column is preceded by a column that shows an icon that indicates the status of the file in the vault.

File name

Displays the name of the referenced file. The host drawing name is always displayed first. The tooltip displays the full path to the file.

Status

Displays the status of the referenced file. Possible statuses are:

  • Loaded -Currently attached to the drawing.
  • Unloaded - Unloaded or marked to be unloaded from the drawing once the structure catalog is closed.
  • Needs reloading - File has changed since it was loaded.
  • Unreferenced - No components or folders from this file exist in the current drawing and can be safely detached.
  • Not Found - No longer exists in the valid search paths.
  • Unresolved - Cannot be read by AutoCAD Mechanical .
  • Orphaned - Attached to another xref that is unresolved.

Size

Displays the size of the attached file.

Date

Displays the date when the referenced file was created or last saved.

Saved path

Displays the location that the host drawing expects the referenced file to be found.

Sets the File References pane to a tree view. The tree depicts the levels of nesting of file references within xrefs. The top-level of the tree view always shows the current drawing. Referenced files appear at the next level. Referenced files that contain their own nested file references can be opened to show deeper levels. When making selections in tree view, only one file reference can be selected at a time.

Mechanical Structure

Definitions

Displays a tree containing icons, which shows the hierarchy of the definitions of mechanical structure entities (inclusive of xref components and folders) contained in the drawing that is currently opened.

Drag a component view or folder on to model space to create and insert a new instance based on the dragged definition. Right-click any item to display a menu that lists the operations that can be performed on the clicked item. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the entity selected in the Definitions panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If the selected component or folder is unresolved, no preview is displayed.


Mechanical structure-specific utilities

When xref components become unresolved
Organize geometry with mechanical structure
The structure catalog
Organize geometry with mechanical structure >
Mechanical structure-specific utilities
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • The structure catalog
  • The mechanical browser


The structure catalog

Mechanical structure-specific utilities
Mechanical structure-specific utilities
Manage component and folder definitions in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities >
The structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Manage component and folder definitions in the structure catalog
  • Reuse components and folders using the structure catalog
  • Locate and organize external files in the structure catalog
  • Access the Vault from the structure catalog
  • Control the size, location, and appearance of the structure catalog


The structure catalog (Procedure)

When xref components become unresolved
The structure catalog
Manage component and folder definitions in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities >
The structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To rename a component/folder definition

To delete a component, component view or folder definition

To set an assembly as a phantom assembly

To reset a phantom assembly to a normal assembly

To externalize a component or folder

To localize an external reference

To import the definition of a component or folder from an external drawing

To insert a new instance of a component, nested below another component

To insert a component view to an existing instance of a component

To copy a component from another drawing

To copy a folder from another drawing

To insert an xref component

To find a drawing file

To add a folder to the Favorites tab

To remove a folder from the Favorites tab

To save a referenced file to a new location or name

To change path to a referenced file

To reload a referenced file

To unload a referenced file

To log in to the vault

To log out from the vault

To get the latest version of a referenced drawing from the vault

To check out a referenced drawing from the vault

To undo check out of a referenced drawing

To check in a referenced drawing to the vault


Manage component and folder definitions in the structure catalog (Concept)

The structure catalog
The structure catalog
Reuse components and folders using the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Manage component and folder definitions in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

With the structure catalog you manage definitions of mechanical structure components and folders. The Current Drawing tab shows the definitions of components and folders in the current drawing while the External and Favorites tabs show the definitions of components and folders in external drawings. You can perform the following operations.

  • Rename a component, component view, or folder definition

    When you rename a definition, all BOM entries and all instances of it are renamed.

  • Delete a component, component view or folder definition

    When you delete a definition, all instances of it are deleted.

  • Flag an assembly as a phantom assembly

    When an assembly is flagged as a phantom assembly, it is removed from the BOM and the parts and subassemblies nested under it are considered to be parts and subassemblies of the parent assembly of the phantom assembly. You can set the assembly as a phantom in the current drawing only, or as a phantom in all drawings. When you set an assembly as a phantom assembly in the current drawing, other drawings that refer to this assembly as an xref component continue to see it as a regular assembly.

  • Externalize a component or folder

    When a component is externalized, AutoCAD Mechanical saves the component along with its views to a new drawing file. In the current drawing, all instances of the component link to the newly created drawing because it is now the source drawing that contains its definition. The instances in the current drawing become external reference (xref) components.

  • Localize an xref component

    When a component is localized, AutoCAD Mechanical copies the definition of the component from the source drawing to the current drawing. All instances of the component link to the definition in the current drawing and are no longer linked to the external drawing. If the external component being localized is an assembly that contains xref parts or subassemblies, use the localize all option to localize them.

  • Import the definition of an external component

    Use the External Drawings tab to explore the definitions of compounds and folders in external drawings. When you select a component or folder and import its definition, the definition of the component is shown in the Current Drawing tab. Subsequently, you can insert instances of the component to model space.


Manage component and folder definitions in the structure catalog (Procedure)

The structure catalog
Up a level to ..
Manage component and folder definitions in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Manage component and folder definitions in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To rename a component/folder definition

To delete a component, component view or folder definition

To set an assembly as a phantom assembly

To reset a phantom assembly to a normal assembly

To externalize a component or folder

To localize an external reference

To import the definition of a component or folder from an external drawing


Manage component and folder definitions in the structure catalog (Quick Reference)

When xref components become unresolved
Manage component and folder definitions in the structure catalog
Manage component and folder definitions in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Manage component and folder definitions in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

AMSCATALOGOPEN

AMSCATALOGCLOSE

Mechanical Browser and Structure Catalog icon reference

AMSEXTERNALIZE

AMSLOCALIZE


To rename a component/folder definition (Procedure)

Manage component and folder definitions in the structure catalog
Up a level to ..
Manage component and folder definitions in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Manage component and folder definitions in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To rename a component/folder definition

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. In the Definitions panel of the Mechanical Structure section, right-click the component or folder (local) you want to rename and select Rename. The Rename Definition dialog box is displayed.
  4. In the New Definition Name box, type the new name, and click OK. All instances of the component are renamed.


To delete a component, component view or folder definition (Procedure)

Manage component and folder definitions in the structure catalog
Up a level to ..
Manage component and folder definitions in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Manage component and folder definitions in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete a component, component view or folder definition

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. In the Definitions panel of the Mechanical Structure section, right-click the component or folder (local) you want to delete and select Delete. A dialog box prompting you for confirmation is displayed.
  4. Click Yes to confirm. All instances of the selected definition are removed.


To set an assembly as a phantom assembly (Procedure)

Manage component and folder definitions in the structure catalog
Up a level to ..
Manage component and folder definitions in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Manage component and folder definitions in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set an assembly as a phantom assembly

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. In the Definitions panel in the Mechanical Structure section, right-click the assembly you want to convert.
  4. To convert the assembly to a Phantom Assembly for this drawing only, select Phantom in Current Drawing.

    To convert the assembly to a Phantom Assembly in the current drawing as well as in other drawings that xref this assembly, select Phantom.

    The assembly is now a phantom assembly and is indicated by the [image] icon in the mechanical browser.


To reset a phantom assembly to a normal assembly (Procedure)

Manage component and folder definitions in the structure catalog
Up a level to ..
Manage component and folder definitions in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Manage component and folder definitions in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To reset a phantom assembly to a normal assembly

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. In the Definitions panel in the Mechanical Structure section, right-click the assembly you want to reset back to normal.
  4. Select Normal. The assembly is no longer a phantom assembly and is indicated by the [image] icon in the mechanical browser.


To externalize a component or folder (Procedure)

Manage component and folder definitions in the structure catalog
Up a level to ..
Manage component and folder definitions in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Manage component and folder definitions in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To externalize a component or folder

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. From the Definitions panel in the Mechanical Structure section, right-click the local component or folder you want to externalize, and select Externalize.
  4. In the New External File dialog box, select the location the new file must be saved to.
  5. In the File Name box, type a name for the drawing file.
  6. If the file must be created using a specific template, select the Use Template File check box and from the drop-down list, select the template.
  7. Click Save. A new file is created and the component is saved to it. The Definitions panel in the Mechanical Structure section indicates that the definition is an external reference.


To localize an external reference (Procedure)

Manage component and folder definitions in the structure catalog
Up a level to ..
Manage component and folder definitions in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Manage component and folder definitions in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To localize an external reference

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. From the Definitions panel in the Mechanical Structure section, right-click the external reference (xref) component or folder you want to localize. A menu is displayed.
  4. If the xref component or folder in turn contains xref components/folder, and you want to localize those as well:
    • Select Localize All. The definitions of the component/folder and all xref components/folders it contains are copied to the current drawing.

    If the xref component or folder in turn contains xref components/folder, and you don't want to localize them:

    • Select Localize. The definitions of the component/folder is copied to the current drawing. Xref components or folders it contained continue to be xref components/folders.

    If the xref component does not contain any xref components or folders:

    • Select Localize. The definition of the component is copied to the current drawing and the Definitions panel in the Mechanical Structure section indicates that the component is local.
Note
  • If the link to the file containing the xref component is no longer necessary, AutoCAD Mechanical displays a message to check if it is OK to remove the link to the external file. Click Yes.
  • If the current drawing already contains a component or folder with the same name as the one you are localizing, the Rename dialog box is displayed to assist you resolve the conflict.


To import the definition of a component or folder from an external drawing (Procedure)

Manage component and folder definitions in the structure catalog
Up a level to ..
Reuse components and folders using the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Manage component and folder definitions in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import the definition of a component or folder from an external drawing

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. In the External Drawings tab or Favorites tab, select the drawing file that contains the component or folder you want to import the definition of.
  3. From the Mechanical Structure panel in the Details section, right-click the component you want to import. A menu is displayed.
  4. Select Import Definition, the definition of the component is imported and is shown in the Current Drawing tab of the Structure Catalog dialog box.
    NoteIf the current drawing already contains a component or folder with the same name as the one you are importing, the Rename dialog box is displayed to assist you resolve the conflict.


Manage component and folder definitions in the structure catalog (Quick Reference)

Manage component and folder definitions in the structure catalog
Manage component and folder definitions in the structure catalog
Manage component and folder definitions in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Manage component and folder definitions in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

Displays the Structure Catalog

Ribbon: Structure tab [image] Tools panel [image] Structure Catalog.
Toolbar: Structure
Menu: Tools [image] Palettes [image] Structure [image] Structure Catalog Does not exist in the menus.
Command entry: amscatalog

The structure catalog enables you to manage the definitions of mechanical structure objects in a drawing. It is also the primary control center for managing xref operations for mechanical structure.

DIALOG BOX DEFINITIONS

Structure Catalog dialog box

External Drawings tab

Displays the names of drawing files accessible from your computer and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert a new instance of an xref component view or folder, based on the definition you dragged. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Favorites tab

Displays the names of drawing files that have been bookmarked as favorites and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert it as an xref component view or folder. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Current Drawing tab

Displays a tree showing the definitions of mechanical structure entities in the current drawing. It also shows a list of files that are referred to in the current drawing.

File References

Displays the source files that contain the definitions of the components/folders you have inserted to the current drawing as xrefs.

Sets the File Reference pane to a list view. The listed information includes:

Version

Displays the version of the file in the vault. The version column is preceded by a column that shows an icon that indicates the status of the file in the vault.

File name

Displays the name of the referenced file. The host drawing name is always displayed first. The tooltip displays the full path to the file.

Status

Displays the status of the referenced file. Possible statuses are:

  • Loaded -Currently attached to the drawing.
  • Unloaded - Unloaded or marked to be unloaded from the drawing once the structure catalog is closed.
  • Needs reloading - File has changed since it was loaded.
  • Unreferenced - No components or folders from this file exist in the current drawing and can be safely detached.
  • Not Found - No longer exists in the valid search paths.
  • Unresolved - Cannot be read by AutoCAD Mechanical .
  • Orphaned - Attached to another xref that is unresolved.

Size

Displays the size of the attached file.

Date

Displays the date when the referenced file was created or last saved.

Saved path

Displays the location that the host drawing expects the referenced file to be found.

Sets the File References pane to a tree view. The tree depicts the levels of nesting of file references within xrefs. The top-level of the tree view always shows the current drawing. Referenced files appear at the next level. Referenced files that contain their own nested file references can be opened to show deeper levels. When making selections in tree view, only one file reference can be selected at a time.

Mechanical Structure

Definitions

Displays a tree containing icons, which shows the hierarchy of the definitions of mechanical structure entities (inclusive of xref components and folders) contained in the drawing that is currently opened.

Drag a component view or folder on to model space to create and insert a new instance based on the dragged definition. Right-click any item to display a menu that lists the operations that can be performed on the clicked item. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the entity selected in the Definitions panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If the selected component or folder is unresolved, no preview is displayed.


Manage component and folder definitions in the structure catalog (Quick Reference)

Manage component and folder definitions in the structure catalog
Manage component and folder definitions in the structure catalog
Manage component and folder definitions in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Manage component and folder definitions in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOGOPEN

Use AMSCATALOGOPEN to display the structure catalog.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcatalogopen

This command is designed to be used by the Structure workspace, to turn on the structure catalog.


Manage component and folder definitions in the structure catalog (Quick Reference)

Manage component and folder definitions in the structure catalog
Manage component and folder definitions in the structure catalog
Manage component and folder definitions in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Manage component and folder definitions in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOGCLOSE

Closes the structure catalog.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcatalogclose

This command is designed to be used by workspaces, to turn off the structure catalog.


Manage component and folder definitions in the structure catalog (Quick Reference)

Manage component and folder definitions in the structure catalog
Manage component and folder definitions in the structure catalog
Manage component and folder definitions in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Manage component and folder definitions in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Mechanical Browser and Structure Catalog icon reference

Icons for standard parts

Each standard part has a unique icon to identify it. The table below shows one such icon and how it changes as the state of the standard part changes. In the mechanical browser, a tooltip displays the details of the standard part.

Icon | Meaning
 | Standard part (Countersunk Screw, in this case).
 | Ghost standard part (a standard part that has become a ghost component).
 | Standard part flagged as a reference component.
 | Xref standard part.
 | Xref standard part that has been flagged as a reference component.
 | Standard part definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Xref standard part definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.

Other icons

Icon | Meaning
 | Annotation view.
 | Collection of hide situations (collapsed).
 | Collection of hide situation (expanded).
 | Hide situation.
 | Folder.
 | Assembly.
 | Part.
 | Component view.
 | Part flagged as a reference component.
 | Assembly flagged as a reference component.
 | Phantom assembly.
 | Ghost part (A part that has become a ghost component).
 | Ghost assembly (an assembly that has become a ghost component).
 | Xref Annotation view.
 | Xref folder.
 | Xref assembly.
 | Xref part.
 | Xref component view.
 | Xref part flagged as a reference component.
 | Xref assembly flagged as a reference component.
 | Unresolved xref folder or annotation view. In the unresolved state, AutoCAD Mechanical is not able to differentiate between an annotation view and a folder. The same icon is used to indicate both.
 | Unresolved xref part, standard part or assembly. In the unresolved state, AutoCAD Mechanical is not able to differentiate between an assembly and a part. The same icon is used to indicate all three.
 | Unresolved xref part or assembly that has been flagged a reference component. In the unresolved state, AutoCAD Mechanical is not able to differentiate between an assembly and a part. The same icon is used to indicate both.
 | Annotation view definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Folder definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Assembly definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Part definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Component view definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Xref annotation view definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.
 | Xref folder definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.
 | Xref assembly definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.
 | Xref part definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.
 | Xref component view definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.


Manage component and folder definitions in the structure catalog (Quick Reference)

Manage component and folder definitions in the structure catalog
Manage component and folder definitions in the structure catalog
Manage component and folder definitions in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Manage component and folder definitions in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSEXTERNALIZE

Converts components or folders to external references, by moving their definitions from the current drawing to a new drawing.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amsexternalize

COMMAND LINE OPTIONS

Specify local object to externalize [Components/Folders/Annotation View] <Component>: Type the capitalized letter corresponding to the object to externalize (C for component, F for Folder, A for Annotation View), and then press ENTER.

Enter local Component/Folder name to Externalize or [?] <?>:Type the name of the component or folder to externalize. A file save dialog box is displayed so you can specify the file the externalized component must be saved to. If you can't remember the name of the component or folder, type ? and then press ENTER.

Enter local Components Folders to list <*>: Type the wild card (*), and then press ENTER to list all items or type the first few characters of the item name followed by another wild card (*), and then press ENTER to list only those components that begin with those characters.


Manage component and folder definitions in the structure catalog (Quick Reference)

Manage component and folder definitions in the structure catalog
Manage component and folder definitions in the structure catalog
Reuse components and folders using the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Manage component and folder definitions in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSLOCALIZE

Converts external reference (xref) components or folders to local components and folders, by copying their definitions into the current drawing.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amslocalize

COMMAND LINE OPTIONS

Specify external object to localize [Component/Folder/Annotation view/aLl objects] <Component>: Type the capitalized letter corresponding to the option and then press ENTER.

Component

Localizes the xref components you specify.

Enter external component name to Localize or ? <?>:Type the name of the component to localize. If you can't remember the name of the component, type ? and then press ENTER.

Enter external components to list <*>: Type the wild card (*), and then press ENTER to list all items or type the first few characters of the item name followed by another wild card (*), and then press ENTER to list only those items that begin with those characters.

Component has external children, would you like them to be localized as well? [Yes/No] <No>: This prompt is displayed only if the xref component chosen for localization contains other xref components or folders, To localize those components/ folders as well, press Y, and then press ENTER. To allow those components/folders remain xref entities, press N and then press ENTER.

Note
  • If the name of the localized component/folder conflicts with an existing local component/folder, the Rename dialog box is displayed to assist you resolve the conflict.
  • After the localize operation, if the current drawing does not contain any other xref components/folders from the xref drawing, the system attempts to detach the xref file and prompts you for confirmation.

Folder

Localizes the xref folders you specify.

Enter external folder name to Localize or ? <?>:Type the name of the folder to localize. If you can't remember the name of the folder, type ? and then press ENTER.

Enter external folders to list <*>: Type the wild card (*), and then press ENTER to list all items or type the first few characters of the item name followed by another wild card (*), and then press ENTER to list only those items that begin with those characters.

Folder has external children, would you like them to be localized as well? [Yes/No] <No>: This prompt is displayed only if the xref folder chosen for localization contains other xref folders, To localize those folders as well, press Y, and then press ENTER. To allow those folders remain xref entities, press N and then press ENTER.

Note
  • If the name of the localized component/folder conflicts with an existing local component/folder, the Rename dialog box is displayed to assist you resolve the conflict.
  • After the localize operation, if the current drawing does not contain any other xref components/folders from the xref drawing, the system attempts to detach the xref file and prompts you for confirmation.

Annotation view

Localizes the xref annotation views you specify.

Enter external annotation view (of an external component) to localize or [?] <?>:Type the name of the annotation view to localize. If you can't remember the name of the annotation view, type ? and then press ENTER.

Enter external annotation view(s) to list <*>: Type the wild card (*), and then press ENTER to list all items or type the first few characters of the item name followed by another wild card (*), and then press ENTER to list only those items that begin with those characters.

All objects

Localizes all xref structure entities in the drawing.

Note
  • If the name of the localized component/folder conflicts with an existing local component/folder, the Rename dialog box is displayed to assist you resolve the conflict.
  • If any of the xref entities are unresolved, they are not localized.


Reuse components and folders using the structure catalog (Concept)

Manage component and folder definitions in the structure catalog
The structure catalog
Locate and organize external files in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Reuse components and folders using the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

With the structure catalog, you manage definitions of mechanical structure components and folders. The current tab contains the definitions of components and folders in the current drawing. You can create a new instance of a component or folder by dragging the definition of a component view or folder from the structure catalog on to model space.

You can also drag component views and folders from any mechanical structure-enabled source drawings to your current drawing and create external (xref) reference components and folders. Press the CTRL key while dragging, the components and folders are copied instead of being inserted as xref entities. Source drawings can be on your computer, on a network location or in Autodesk Vault.

After you insert a component view by dragging a component view on to model space, you must follow the procedure for inserting views to an existing instance of a component to insert the remaining views of the component.


Reuse components and folders using the structure catalog (Procedure)

Manage component and folder definitions in the structure catalog
Up a level to ..
Reuse components and folders using the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Reuse components and folders using the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a new instance of a component, nested below another component

To insert a component view to an existing instance of a component

To copy a component from another drawing

To copy a folder from another drawing

To insert an xref component


Reuse components and folders using the structure catalog (Quick Reference)

Manage component and folder definitions in the structure catalog
Reuse components and folders using the structure catalog
Reuse components and folders using the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Reuse components and folders using the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

Mechanical Browser and Structure Catalog icon reference


To insert a new instance of a component, nested below another component (Procedure)

Reuse components and folders using the structure catalog
Up a level to ..
Reuse components and folders using the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Reuse components and folders using the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a new instance of a component, nested below another component

  1. To insert the new instance as a child of an existing component, in the mechanical browser, double-click the component view you want to use as the parent view. A blue highlight is displayed across the component view node, indicating that it is active.
    See an illustration...

    When you set a component or folder to Active, any new component is nested under the active component folder.

    Note
    • If you do not activate a component view of folder, the new instance is inserted directly below the root.
    • You cannot insert components below standard part views, standard features, shaft component views, annotation views, and AMDETAIL views.
  2. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  3. Click the Current Drawing tab.
  4. From the Definitions panel in the Mechanical Structure section, drag a component view of the component you want to insert, to anywhere on the drawing area. In the drawing area, a floating preview of the component view geometry is displayed.
  5. Move the pointer to the position you want to insert the geometry and click.
  6. Press ENTER to accept the default rotation angle, or specify a rotation angle and press ENTER.

    The inserted instance of the component is shown in the mechanical browser. The bill of materials reflects that another instance of the component is added.

  7. Double-click the root node to reset the activated component view.


To insert a component view to an existing instance of a component (Procedure)

Reuse components and folders using the structure catalog
Up a level to ..
Reuse components and folders using the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Reuse components and folders using the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a component view to an existing instance of a component

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. From the Current Drawing tab, in the Definitions Panel in the Mechanical Structure section, right-click the component view you want to insert.
  3. From the right-click menu select Insert as View of [image] .Name of component you want to insert this as a view of.
  4. Move the cursor to the position you want to insert the geometry and click.
  5. Press ENTER to accept the default rotation angle or specify a rotation angle and press ENTER.

    The component is inserted and is shown in the mechanical browser.

TipYou can also copy components from other drawings by:
  • Copying the component to the clipboard and pasting it in the appropriate drawing.
  • Importing the definition of the component using the Structure Catalog and inserting instances after that.


To copy a component from another drawing (Procedure)

Reuse components and folders using the structure catalog
Up a level to ..
Reuse components and folders using the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Reuse components and folders using the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To copy a component from another drawing

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. From the External Drawings tab or Favorites tab, in the Files section, select the drawing file that contains the component you want to copy.
  3. From the Mechanical Structure panel in the Details section, hold down the CTRL key, and drag a component view from the component you want to insert, to anywhere on the drawing area. In the drawing area, a floating preview of the component view geometry is displayed.
    Note
    • If the current drawing already contains a component with the same name as the one you are dragging, the Rename dialog box is displayed so that you can specify a new name for it.
    • If the component you are attempting to insert is an assembly that contains xref parts, you cannot copy by dragging. Use copy and paste instead.
  4. Move the cursor to the position you want to insert the geometry and click.
  5. Press ENTER to accept the default rotation angle or specify a rotation angle and press ENTER.

    The component is inserted and is shown in the mechanical browser.


To copy a folder from another drawing (Procedure)

Reuse components and folders using the structure catalog
Up a level to ..
Reuse components and folders using the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Reuse components and folders using the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To copy a folder from another drawing

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. From the External Drawings tab or Favorites tab, in the Files section, select the drawing file that contains the folder you want to copy.
  3. From the Mechanical Structure panel in Details the section, hold down the CTRL key, and drag the folder you want to insert, to anywhere on the drawing area. In the drawing area, a floating preview of the folder geometry is displayed.
    Note
    • If the current drawing already contains a folder with the same name as the one you are dragging, the Rename dialog box is displayed so that you can specify a new name for it.
    • If the component you are attempting to insert is an assembly that contains xref parts, you cannot copy by dragging. Use copy and paste instead.
  4. Move the cursor to the position you want to insert the geometry and click.
  5. Press ENTER to accept the default rotation angle or specify a rotation angle and press ENTER.

    The component is inserted and is shown in the mechanical browser.


To insert an xref component (Procedure)

Reuse components and folders using the structure catalog
Up a level to ..
Locate and organize external files in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Reuse components and folders using the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert an xref component

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. From the Files section in the External Drawings tab or Favorites tab, select the drawing file that contains the component you want to attach as an external reference (xref) component.
  3. From the Mechanical Structure panel in the Details section, drag a component view of the component you want to insert, to anywhere on the drawing area. In the drawing area, a floating preview of the component view geometry is displayed.
  4. Move the pointer to the position you want to insert the geometry and click.
  5. Press ENTER to accept the default rotation angle or specify a rotation angle and press ENTER.

    The inserted instance of the component is shown in the mechanical browser. The bill of materials reflects that the component is added.


Reuse components and folders using the structure catalog (Quick Reference)

Reuse components and folders using the structure catalog
Reuse components and folders using the structure catalog
Reuse components and folders using the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Reuse components and folders using the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

Displays the Structure Catalog

Ribbon: Structure tab [image] Tools panel [image] Structure Catalog.
Toolbar: Structure
Menu: Tools [image] Palettes [image] Structure [image] Structure Catalog Does not exist in the menus.
Command entry: amscatalog

The structure catalog enables you to manage the definitions of mechanical structure objects in a drawing. It is also the primary control center for managing xref operations for mechanical structure.

DIALOG BOX DEFINITIONS

Structure Catalog dialog box

External Drawings tab

Displays the names of drawing files accessible from your computer and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert a new instance of an xref component view or folder, based on the definition you dragged. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Favorites tab

Displays the names of drawing files that have been bookmarked as favorites and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert it as an xref component view or folder. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Current Drawing tab

Displays a tree showing the definitions of mechanical structure entities in the current drawing. It also shows a list of files that are referred to in the current drawing.

File References

Displays the source files that contain the definitions of the components/folders you have inserted to the current drawing as xrefs.

Sets the File Reference pane to a list view. The listed information includes:

Version

Displays the version of the file in the vault. The version column is preceded by a column that shows an icon that indicates the status of the file in the vault.

File name

Displays the name of the referenced file. The host drawing name is always displayed first. The tooltip displays the full path to the file.

Status

Displays the status of the referenced file. Possible statuses are:

  • Loaded -Currently attached to the drawing.
  • Unloaded - Unloaded or marked to be unloaded from the drawing once the structure catalog is closed.
  • Needs reloading - File has changed since it was loaded.
  • Unreferenced - No components or folders from this file exist in the current drawing and can be safely detached.
  • Not Found - No longer exists in the valid search paths.
  • Unresolved - Cannot be read by AutoCAD Mechanical .
  • Orphaned - Attached to another xref that is unresolved.

Size

Displays the size of the attached file.

Date

Displays the date when the referenced file was created or last saved.

Saved path

Displays the location that the host drawing expects the referenced file to be found.

Sets the File References pane to a tree view. The tree depicts the levels of nesting of file references within xrefs. The top-level of the tree view always shows the current drawing. Referenced files appear at the next level. Referenced files that contain their own nested file references can be opened to show deeper levels. When making selections in tree view, only one file reference can be selected at a time.

Mechanical Structure

Definitions

Displays a tree containing icons, which shows the hierarchy of the definitions of mechanical structure entities (inclusive of xref components and folders) contained in the drawing that is currently opened.

Drag a component view or folder on to model space to create and insert a new instance based on the dragged definition. Right-click any item to display a menu that lists the operations that can be performed on the clicked item. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the entity selected in the Definitions panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If the selected component or folder is unresolved, no preview is displayed.


Reuse components and folders using the structure catalog (Quick Reference)

Reuse components and folders using the structure catalog
Reuse components and folders using the structure catalog
Locate and organize external files in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Reuse components and folders using the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Mechanical Browser and Structure Catalog icon reference

Icons for standard parts

Each standard part has a unique icon to identify it. The table below shows one such icon and how it changes as the state of the standard part changes. In the mechanical browser, a tooltip displays the details of the standard part.

Icon | Meaning
 | Standard part (Countersunk Screw, in this case).
 | Ghost standard part (a standard part that has become a ghost component).
 | Standard part flagged as a reference component.
 | Xref standard part.
 | Xref standard part that has been flagged as a reference component.
 | Standard part definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Xref standard part definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.

Other icons

Icon | Meaning
 | Annotation view.
 | Collection of hide situations (collapsed).
 | Collection of hide situation (expanded).
 | Hide situation.
 | Folder.
 | Assembly.
 | Part.
 | Component view.
 | Part flagged as a reference component.
 | Assembly flagged as a reference component.
 | Phantom assembly.
 | Ghost part (A part that has become a ghost component).
 | Ghost assembly (an assembly that has become a ghost component).
 | Xref Annotation view.
 | Xref folder.
 | Xref assembly.
 | Xref part.
 | Xref component view.
 | Xref part flagged as a reference component.
 | Xref assembly flagged as a reference component.
 | Unresolved xref folder or annotation view. In the unresolved state, AutoCAD Mechanical is not able to differentiate between an annotation view and a folder. The same icon is used to indicate both.
 | Unresolved xref part, standard part or assembly. In the unresolved state, AutoCAD Mechanical is not able to differentiate between an assembly and a part. The same icon is used to indicate all three.
 | Unresolved xref part or assembly that has been flagged a reference component. In the unresolved state, AutoCAD Mechanical is not able to differentiate between an assembly and a part. The same icon is used to indicate both.
 | Annotation view definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Folder definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Assembly definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Part definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Component view definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Xref annotation view definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.
 | Xref folder definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.
 | Xref assembly definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.
 | Xref part definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.
 | Xref component view definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.


Locate and organize external files in the structure catalog (Concept)

Reuse components and folders using the structure catalog
The structure catalog
Access the Vault from the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Locate and organize external files in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The structure catalog contains three tabs; the Current tab, the External Drawing tab and the Favorites tab. The Current tab shows the definitions of structure components and folders in the current drawing. If the drawing contains xref components and folders, details of the source files are shown in the File References panel.

The External Drawings tab displays a hierarchy of navigational icons that you can use to access external files from your computer, network drives, and Autodesk Vault. Folders containing frequently used files can be bookmarked with the Add to Favorites right-click menu option. Later, these files can be quickly accessed from the Favorites tab.

Typical file management and organizational operations include:

  • Bookmark folders containing frequently used files to the Favorites tab.

    This operation involves adding folders to the favorites tab and removing obsolete folders from it.

  • Save referenced files to another location or name.

    When you save a referenced file to another location or name, all external reference (xref) components in the host drawing refer to the new location/name.

  • Change the path to a referenced file.

    This option is typically used when referenced file is moved from one location to another, and xref components in the host drawing has to be redirected to the new location.

  • Re-load referenced files.

    If a referenced file is changed at the source while the host drawing is opened, a balloon window informs you that the file needs to be reloaded. You can reload the file to bring in the latest revisions to host drawing.

    Although it is possible to unload a referenced file, unlike with AutoCAD, there is nothing to gain by doing so.


Locate and organize external files in the structure catalog (Procedure)

Reuse components and folders using the structure catalog
Up a level to ..
Locate and organize external files in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Locate and organize external files in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To find a drawing file

To add a folder to the Favorites tab

To remove a folder from the Favorites tab

To save a referenced file to a new location or name

To change path to a referenced file

To reload a referenced file

To unload a referenced file


Locate and organize external files in the structure catalog (Quick Reference)

Reuse components and folders using the structure catalog
Locate and organize external files in the structure catalog
Locate and organize external files in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Locate and organize external files in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

File Search dialog box


To find a drawing file (Procedure)

Locate and organize external files in the structure catalog
Up a level to ..
Locate and organize external files in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Locate and organize external files in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To find a drawing file

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the External Drawings tab or the Favorites tab.
  3. Right-click anywhere inside the FIles section A menu is displayed.
  4. Select File Search. The File Search dialog box is displayed.
  5. In the Search name box, specify the drawing name to search for.
    Note
    • You can specify multiple names by enclosing each name in quotes and separate them with a comma (,) or a semicolon (;)
    • You can use the wild cards * (to matches any string) and ? (to match any single character) when specifying the file name.
  6. To narrow your search by date:
    1. Click Date Options to make the Date options section visible.
    2. Specify the date filter.
      NoteYou can search for drawings modified between a specified range of dates or within a specified number of months or days.
  7. Click Search. AutoCAD Mechanical searches the location you specified and lists the files that are found in the search results area.
  8. In the search results, double-click the file you want. The File highlights in the Structure Catalog.
    NoteThe search dialog box does not close when you double-click files. You can continue working in the Structure Catalog even though this dialog box is open.


To add a folder to the Favorites tab (Procedure)

Locate and organize external files in the structure catalog
Up a level to ..
Locate and organize external files in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Locate and organize external files in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a folder to the Favorites tab

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the External Drawings tab.
  3. In the Files section, locate the folder you want to add to favorites and right-click. A menu is displayed.
  4. Select Add to Favorites.


To remove a folder from the Favorites tab (Procedure)

Locate and organize external files in the structure catalog
Up a level to ..
Locate and organize external files in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Locate and organize external files in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove a folder from the Favorites tab

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Favorites tab.
  3. In the files panel, right-click the folder you want to remove, and then select Remove from Favorites.


To save a referenced file to a new location or name (Procedure)

Locate and organize external files in the structure catalog
Up a level to ..
Locate and organize external files in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Locate and organize external files in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To save a referenced file to a new location or name

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. In the File References section, right-click the referenced file. A menu is displayed.
  4. Select Save Copy As. A File Save dialog box is displayed.
  5. Select the location to save the file as and in the file name box type a file name.
  6. Click Save. A copy of the reference file is created and all references are redirected to the new file.


To change path to a referenced file (Procedure)

Locate and organize external files in the structure catalog
Up a level to ..
Locate and organize external files in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Locate and organize external files in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change path to a referenced file

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. In the File References section, right-click the referenced file. A menu is displayed.
  4. Select Repath. A File Open dialog box is displayed.
  5. Select the file from the new location and click Open. The path to the reference file is changed.
    NoteIf you are unable to change path to the referenced file room the structure catalog, use the Xref Manager (XREF command) to change path


To reload a referenced file (Procedure)

Locate and organize external files in the structure catalog
Up a level to ..
Locate and organize external files in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Locate and organize external files in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To reload a referenced file

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. From the Current Drawing tab, right-click the drawing file to be loaded.
  3. Select Reload. The file loads and the status icon changes to [image] .


To unload a referenced file (Procedure)

Locate and organize external files in the structure catalog
Up a level to ..
Access the Vault from the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Locate and organize external files in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To unload a referenced file

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. From the Current Drawing tab, right-click the drawing file to be unloaded.
  3. Select Unload. The file unloads and the status icon changes to [image] .


Locate and organize external files in the structure catalog (Quick Reference)

Locate and organize external files in the structure catalog
Locate and organize external files in the structure catalog
Locate and organize external files in the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Locate and organize external files in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

Displays the Structure Catalog

Ribbon: Structure tab [image] Tools panel [image] Structure Catalog.
Toolbar: Structure
Menu: Tools [image] Palettes [image] Structure [image] Structure Catalog Does not exist in the menus.
Command entry: amscatalog

The structure catalog enables you to manage the definitions of mechanical structure objects in a drawing. It is also the primary control center for managing xref operations for mechanical structure.

DIALOG BOX DEFINITIONS

Structure Catalog dialog box

External Drawings tab

Displays the names of drawing files accessible from your computer and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert a new instance of an xref component view or folder, based on the definition you dragged. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Favorites tab

Displays the names of drawing files that have been bookmarked as favorites and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert it as an xref component view or folder. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Current Drawing tab

Displays a tree showing the definitions of mechanical structure entities in the current drawing. It also shows a list of files that are referred to in the current drawing.

File References

Displays the source files that contain the definitions of the components/folders you have inserted to the current drawing as xrefs.

Sets the File Reference pane to a list view. The listed information includes:

Version

Displays the version of the file in the vault. The version column is preceded by a column that shows an icon that indicates the status of the file in the vault.

File name

Displays the name of the referenced file. The host drawing name is always displayed first. The tooltip displays the full path to the file.

Status

Displays the status of the referenced file. Possible statuses are:

  • Loaded -Currently attached to the drawing.
  • Unloaded - Unloaded or marked to be unloaded from the drawing once the structure catalog is closed.
  • Needs reloading - File has changed since it was loaded.
  • Unreferenced - No components or folders from this file exist in the current drawing and can be safely detached.
  • Not Found - No longer exists in the valid search paths.
  • Unresolved - Cannot be read by AutoCAD Mechanical .
  • Orphaned - Attached to another xref that is unresolved.

Size

Displays the size of the attached file.

Date

Displays the date when the referenced file was created or last saved.

Saved path

Displays the location that the host drawing expects the referenced file to be found.

Sets the File References pane to a tree view. The tree depicts the levels of nesting of file references within xrefs. The top-level of the tree view always shows the current drawing. Referenced files appear at the next level. Referenced files that contain their own nested file references can be opened to show deeper levels. When making selections in tree view, only one file reference can be selected at a time.

Mechanical Structure

Definitions

Displays a tree containing icons, which shows the hierarchy of the definitions of mechanical structure entities (inclusive of xref components and folders) contained in the drawing that is currently opened.

Drag a component view or folder on to model space to create and insert a new instance based on the dragged definition. Right-click any item to display a menu that lists the operations that can be performed on the clicked item. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the entity selected in the Definitions panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If the selected component or folder is unresolved, no preview is displayed.


Locate and organize external files in the structure catalog (Quick Reference)

Locate and organize external files in the structure catalog
Locate and organize external files in the structure catalog
Access the Vault from the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Locate and organize external files in the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

File Search dialog box

Use this dialog box to search for files by name, location, and date modified filters. This dialog box is available through the File Search right-click menu option, which is available in all file panels in the structure catalog dialog box.

Search options Contains the criteria to base the search on.
 | Search name Specifies the names or partial names of the files to search for. When specifying multiple names, enclose each name in quotation marks and separate them with a comma (,) or a semicolon (;). The following wild card characters can be used to refine your search:
 |  | * - Matches any string and can be used anywhere in the search string. ? - Matches any single character and can be used anywhere in the search string; for example, A?C matches AAC, ABC, and so on.
 | Type Specifies the type of files to include in the search.
 | Look in Specifies the location to search. Type the name of a location, select a location from the list, or click Browse to navigate to a location. When specifying multiple locations, enclose each location in quotation marks and separate them with a comma (,) or a semicolon (;).
 | Browse Displays the Browse for Folder dialog box. Use to navigate to the location to search.
 | Include subfolders Expands search to all subfolders under the Look In location.
 | Date options Displays a set of filters to base the search on a file's creation or modified date.
 |  | All files Searches for files without applying a date filter.
 |  | Find all files created or modified Limits the search to files modified or created within a specific time frame.
 |  |  | Between Restricts search to files created or modified between two dates. Enter the dates or click the arrows to choose dates from a calendar. To navigate the calendar, use the left and right arrows, or click the month and year.
 |  |  | During the previous [number] months Restricts search to files created or modified during the specified number of months.
 |  |  | During the previous [number] days Restricts search to files created or modified during the specified number of days.
Search Begins search based on the specified criteria.
Stop Terminates the search operation.
New Search Clears the search results and resets all search criteria.
Search results Displays a list of all the files found by the search. Click a column header to sort by that column. Double-click a file to highlight it in the structure catalog.


Access the Vault from the structure catalog (Concept)

Locate and organize external files in the structure catalog
The structure catalog
Control the size, location, and appearance of the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Access the Vault from the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The structure catalog can link to the vault, if it is installed on your computer. When you are logged into the vault, the list view in the File References section on the Current Drawing tab shows two additional columns: the vault status column and the version column. (In the tree view, only the vault status is indicated.)

The File References section of the Current Drawing contains right-click menus to invoke the following vault commands.

  • Login/Logout command.

    Provides the ability to login or logout of the vault from within the structure catalog.

  • Get from Vault.

    Displays a File Open dialog box that lists all the files in the vault so that you can open a file.

  • Check In.

    Uploads a local copy of a vaulted file back to the vault, creating a new version of the drawing. Once a file is checked in, others can access the new version and modify the drawing.

    The Check in command is also used to add a new drawing to the vault. The new drawing is added to the vault creating a new version of the drawing, which in this case is the first version.

  • Check Out.

    Downloads the latest version of a drawing (for modification) from the vault and locks it so that no one else can check out the file from the vault.

  • Undo Check Out.

    Releases the lock previously placed on the drawing file, so other users can check out the file if needed. It also synchronizes the local copy of the drawing file with the version in the vault. All modifications made to the local copy are lost.

  • Get latest.

    Synchronizes the local copy of the drawing file with the version in the vault.

  • Refresh.

    Updates the vault status icons to reflect the most recent state of files.

For more information on Vault, please refer to the vault online help by clicking Help menu [image] Vault Help Topics.

NoteVault Help topics are visible only if you installed vault with AutoCAD Mechanical.


Access the Vault from the structure catalog (Procedure)

Locate and organize external files in the structure catalog
Up a level to ..
Access the Vault from the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Access the Vault from the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To log in to the vault

To log out from the vault

To get the latest version of a referenced drawing from the vault

To check out a referenced drawing from the vault

To undo check out of a referenced drawing

To check in a referenced drawing to the vault


Access the Vault from the structure catalog (Quick Reference)

Locate and organize external files in the structure catalog
Access the Vault from the structure catalog
Access the Vault from the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Access the Vault from the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

Vault icon reference

Mechanical Browser and Structure Catalog icon reference


To log in to the vault (Procedure)

Access the Vault from the structure catalog
Up a level to ..
Access the Vault from the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Access the Vault from the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To log in to the vault

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. In the File References section, right-click an empty space. A menu is displayed.
  4. Click Log In. The Log In dialog box is displayed.
    NoteWhen the vault is accessed for the first time, a welcome screen is displayed. This screen contains links to Vault documentation. Click Log In from this screen to continue.
  5. Enter you logon name, password, server name and the database name in the relevant boxes and click OK.


To log out from the vault (Procedure)

Access the Vault from the structure catalog
Up a level to ..
Access the Vault from the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Access the Vault from the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To log out from the vault

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. In the File References section, right-click an vacant area. A menu is displayed.
  4. Click Log Out.


To get the latest version of a referenced drawing from the vault (Procedure)

Access the Vault from the structure catalog
Up a level to ..
Access the Vault from the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Access the Vault from the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To get the latest version of a referenced drawing from the vault

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. In the File References section, right-click the file. A menu is displayed.
  4. Click Latest Version.


To check out a referenced drawing from the vault (Procedure)

Access the Vault from the structure catalog
Up a level to ..
Access the Vault from the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Access the Vault from the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To check out a referenced drawing from the vault

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. In the File References section, right-click the file. A menu is displayed.
  4. Click Check Out.


To undo check out of a referenced drawing (Procedure)

Access the Vault from the structure catalog
Up a level to ..
Access the Vault from the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Access the Vault from the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To undo check out of a referenced drawing

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. In the File References section, right-click the file. A menu is displayed.
  4. Click Undo Check Out.


To check in a referenced drawing to the vault (Procedure)

Access the Vault from the structure catalog
Up a level to ..
The mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Access the Vault from the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To check in a referenced drawing to the vault

  1. Click Dashboard tab [image] Quick Structure panel [image] [image] At the Command prompt, enter AMSCATALOG.
  2. Click the Current Drawing tab.
  3. In the File References section, right-click the file. A menu is displayed.
  4. Click Check In.


Access the Vault from the structure catalog (Quick Reference)

Access the Vault from the structure catalog
Access the Vault from the structure catalog
Access the Vault from the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Access the Vault from the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCATALOG

Displays the Structure Catalog

Ribbon: Structure tab [image] Tools panel [image] Structure Catalog.
Toolbar: Structure
Menu: Tools [image] Palettes [image] Structure [image] Structure Catalog Does not exist in the menus.
Command entry: amscatalog

The structure catalog enables you to manage the definitions of mechanical structure objects in a drawing. It is also the primary control center for managing xref operations for mechanical structure.

DIALOG BOX DEFINITIONS

Structure Catalog dialog box

External Drawings tab

Displays the names of drawing files accessible from your computer and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert a new instance of an xref component view or folder, based on the definition you dragged. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Favorites tab

Displays the names of drawing files that have been bookmarked as favorites and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert it as an xref component view or folder. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Current Drawing tab

Displays a tree showing the definitions of mechanical structure entities in the current drawing. It also shows a list of files that are referred to in the current drawing.

File References

Displays the source files that contain the definitions of the components/folders you have inserted to the current drawing as xrefs.

Sets the File Reference pane to a list view. The listed information includes:

Version

Displays the version of the file in the vault. The version column is preceded by a column that shows an icon that indicates the status of the file in the vault.

File name

Displays the name of the referenced file. The host drawing name is always displayed first. The tooltip displays the full path to the file.

Status

Displays the status of the referenced file. Possible statuses are:

  • Loaded -Currently attached to the drawing.
  • Unloaded - Unloaded or marked to be unloaded from the drawing once the structure catalog is closed.
  • Needs reloading - File has changed since it was loaded.
  • Unreferenced - No components or folders from this file exist in the current drawing and can be safely detached.
  • Not Found - No longer exists in the valid search paths.
  • Unresolved - Cannot be read by AutoCAD Mechanical .
  • Orphaned - Attached to another xref that is unresolved.

Size

Displays the size of the attached file.

Date

Displays the date when the referenced file was created or last saved.

Saved path

Displays the location that the host drawing expects the referenced file to be found.

Sets the File References pane to a tree view. The tree depicts the levels of nesting of file references within xrefs. The top-level of the tree view always shows the current drawing. Referenced files appear at the next level. Referenced files that contain their own nested file references can be opened to show deeper levels. When making selections in tree view, only one file reference can be selected at a time.

Mechanical Structure

Definitions

Displays a tree containing icons, which shows the hierarchy of the definitions of mechanical structure entities (inclusive of xref components and folders) contained in the drawing that is currently opened.

Drag a component view or folder on to model space to create and insert a new instance based on the dragged definition. Right-click any item to display a menu that lists the operations that can be performed on the clicked item. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the entity selected in the Definitions panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If the selected component or folder is unresolved, no preview is displayed.


Access the Vault from the structure catalog (Quick Reference)

Access the Vault from the structure catalog
Access the Vault from the structure catalog
Access the Vault from the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Access the Vault from the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Vault icon reference

Autodesk Vault Manufacturing, Collaboration, and Workgroup Status Icons

Icon | Description and Required Actions
 | If no icon is displayed, the file is in the vault, but you do not have a local copy of the file on your computer. You can quickly identify which files are new to the vault. Use Get/Checkout to retrieve a copy of the file.
 | The file is in the vault and available for check out. This is the leading version of the leading revision of the file. Use Get/Checkout to retrieve a copy of the file.
 | The file is checked out to you and the local version is the same as in the vault. Also referred to as the latest version of the leading revision. Use Check In to check the file back into the vault or select Undo Checkout to cancel any changes and check the file back into the vault.
 | The local file is newer than the file in the vault.
 | The file is checked out by you and the local copy is newer than the latest version in the vault. This typically means that you made changes to the file since it was checked out but have not checked it back in.
 | The local copy of the file is the released version of the latest revision, but it is not the latest version of the latest revision. This typically happens when you have a local copy of the released version but a quick change has been executed by another user.
 | The file is not in the vault. You can add the file by using the Check In feature.
 | The local copy is a historical revision of the leading revision in the vault.
 | The local copy of the file does not match the latest version in the vault. Use the Refresh from Vault feature to obtain the latest version of the file.
 | There has been an unexpected result with the file (e.g., the local file has been changed without being checked out). See the tooltip for more information.

Autodesk Vault Base Status Icons

Icon

Description and Required Action

If no icon is displayed, the file is in the vault, but you do not have a local copy of the file on your computer. You can quickly identify which files are new to the vault. Use Get Latest to retrieve a copy of the file.

File is in the vault and available to be checked out. The version in your working folder is the same as in the vault. Also referred to as the Latest Version.

File is in the vault and available to be checked out, but the local version is newer than the latest version in the vault. This typically means that your local file was changed without checking it out. If you want to save these changes, check the file out with the Don't Get Local Copy option.

File is in the vault and available to be checked out, but the local copy is out of date. Get the latest version from the vault.

File is checked out to you, but you do not have a local copy of the file on your computer. This can occur if you have not set a working folder, if you previously checked out the file without getting a local copy, or you checked out the file to a location other than your working folder. Use Get Latest Version to retrieve a copy of the file.

File is checked out to you and the local version is the same as in the vault. Also referred to as the Latest Version.

File is checked out to you and the local copy is newer than the latest version in the vault. This typically means that you made changes to the file since it was checked out but have not checked it back in.

File is checked out to you and the local copy is older than the latest version in the vault. This typically means that you started with a version for the vault that was older than the latest version, and then checked it out to promote it to the latest.

File is checked out by another user, but you do not have a local copy of the file on your computer. Use Get Latest Version to retrieve a copy of the file.

File is checked out by someone else, and the local copy is the same as in the vault. Also referred to as the Latest Version. This typically happens if the other user did not check changes back into the vault.

File is checked out to someone else, but the local copy is newer than the latest version in the vault. This typically happens if the other user checked changes into the vault, but kept the file checked out.

File is checked out to someone else, but the local copy is older than the latest version in the vault.

File has attachments. Expand the tree to see what files are attached.

File is not in Vault.

File is locked and there is no local copy of the file (Autodesk Vault only).

File is locked and the local copy of the file is the same as the master file in the vault.

File is locked and the local copy of the file is newer than the master file in the vault.

File is locked and the local copy of the file is older than the master file in the vault.

Folder in the vault that is a library. A library folder is a special designation meaning the files within this folder are not intended to be edited when used in context of another assembly. Files within a library folder have two distinct characteristics.

  • They are not allowed to be shared into any other folder.
  • They are typically stored and referenced on a shared common, networked location.


Access the Vault from the structure catalog (Quick Reference)

Access the Vault from the structure catalog
Access the Vault from the structure catalog
Control the size, location, and appearance of the structure catalog
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Access the Vault from the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Mechanical Browser and Structure Catalog icon reference

Icons for standard parts

Each standard part has a unique icon to identify it. The table below shows one such icon and how it changes as the state of the standard part changes. In the mechanical browser, a tooltip displays the details of the standard part.

Icon | Meaning
 | Standard part (Countersunk Screw, in this case).
 | Ghost standard part (a standard part that has become a ghost component).
 | Standard part flagged as a reference component.
 | Xref standard part.
 | Xref standard part that has been flagged as a reference component.
 | Standard part definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Xref standard part definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.

Other icons

Icon | Meaning
 | Annotation view.
 | Collection of hide situations (collapsed).
 | Collection of hide situation (expanded).
 | Hide situation.
 | Folder.
 | Assembly.
 | Part.
 | Component view.
 | Part flagged as a reference component.
 | Assembly flagged as a reference component.
 | Phantom assembly.
 | Ghost part (A part that has become a ghost component).
 | Ghost assembly (an assembly that has become a ghost component).
 | Xref Annotation view.
 | Xref folder.
 | Xref assembly.
 | Xref part.
 | Xref component view.
 | Xref part flagged as a reference component.
 | Xref assembly flagged as a reference component.
 | Unresolved xref folder or annotation view. In the unresolved state, AutoCAD Mechanical is not able to differentiate between an annotation view and a folder. The same icon is used to indicate both.
 | Unresolved xref part, standard part or assembly. In the unresolved state, AutoCAD Mechanical is not able to differentiate between an assembly and a part. The same icon is used to indicate all three.
 | Unresolved xref part or assembly that has been flagged a reference component. In the unresolved state, AutoCAD Mechanical is not able to differentiate between an assembly and a part. The same icon is used to indicate both.
 | Annotation view definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Folder definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Assembly definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Part definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Component view definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Xref annotation view definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.
 | Xref folder definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.
 | Xref assembly definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.
 | Xref part definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.
 | Xref component view definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.


Control the size, location, and appearance of the structure catalog (Concept)

Access the Vault from the structure catalog
The structure catalog
The mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Control the size, location, and appearance of the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

You can control the size, location, and appearance of the structure catalog. Many of these options can be set by right-clicking and selecting an option on the context menu.

  • Resize the structure catalog by dragging an edge of the window or by dragging the title bar (usually located on the left, but under certain conditions is located on the right of the window).
  • Roll up and roll down panels by clicking the [image] and [image] icons.
  • Dock the structure catalog by dragging it over the right or left docking region of the application window until it snaps into the docked position. You can also dock the structure catalog window by double-clicking its title bar.
  • Undock the structure catalog by dragging the area above the three tabs, away from the docking region. Pressing CTRL while dragging prevents docking.
  • Anchor the structure catalog by choosing Anchor Right or Anchor Left from the shortcut menu. An anchored structure catalog window rolls open and closed as the cursor moves across it. When an anchored structure catalog window is open, its content overlaps the drawing area. It cannot be set to stay open.
  • When the structure catalog is floating, use Auto-hide to set it to roll open and closed as the cursor moves across it.


Control the size, location, and appearance of the structure catalog (Quick Reference)

Access the Vault from the structure catalog
Control the size, location, and appearance of the structure catalog
Control the size, location and appearance of the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The structure catalog >
Control the size, location, and appearance of the structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMSCATALOG

Displays the Structure Catalog

Ribbon: Structure tab [image] Tools panel [image] Structure Catalog.
Toolbar: Structure
Menu: Tools [image] Palettes [image] Structure [image] Structure Catalog Does not exist in the menus.
Command entry: amscatalog

The structure catalog enables you to manage the definitions of mechanical structure objects in a drawing. It is also the primary control center for managing xref operations for mechanical structure.

DIALOG BOX DEFINITIONS

Structure Catalog dialog box

External Drawings tab

Displays the names of drawing files accessible from your computer and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert a new instance of an xref component view or folder, based on the definition you dragged. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Favorites tab

Displays the names of drawing files that have been bookmarked as favorites and displays the mechanical structure definitions and previews as appropriate.

Files

Displays drawing files and the hierarchy of folders on your computer and network drives, including My Computer and My Network Places. Right-click files and folders to display a menu containing the operations that can be performed on the clicked item.

Details

Mechanical Structure

Displays a tree containing icons, which shows the hierarchy of the definitions of structure (components, component views, folders and annotation views) of the file selected in the files panel. If the selected file contains an external reference (xref) subassembly, only the subassembly is displayed. Components collected under the subassembly are not displayed.

Drag a component view or folder on to model space to insert it as an xref component view or folder. If you drag with the CTRL key pressed, AutoCAD Mechanical copies the component view or folder instead of inserting it as an xref. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the definition selected in the Mechanical Structure panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If nothing is selected in the Mechanical Structure panel, displays a preview of the drawing selected in the files panel. If the selected item is an xref component or folder, no preview is displayed.

Current Drawing tab

Displays a tree showing the definitions of mechanical structure entities in the current drawing. It also shows a list of files that are referred to in the current drawing.

File References

Displays the source files that contain the definitions of the components/folders you have inserted to the current drawing as xrefs.

Sets the File Reference pane to a list view. The listed information includes:

Version

Displays the version of the file in the vault. The version column is preceded by a column that shows an icon that indicates the status of the file in the vault.

File name

Displays the name of the referenced file. The host drawing name is always displayed first. The tooltip displays the full path to the file.

Status

Displays the status of the referenced file. Possible statuses are:

  • Loaded -Currently attached to the drawing.
  • Unloaded - Unloaded or marked to be unloaded from the drawing once the structure catalog is closed.
  • Needs reloading - File has changed since it was loaded.
  • Unreferenced - No components or folders from this file exist in the current drawing and can be safely detached.
  • Not Found - No longer exists in the valid search paths.
  • Unresolved - Cannot be read by AutoCAD Mechanical .
  • Orphaned - Attached to another xref that is unresolved.

Size

Displays the size of the attached file.

Date

Displays the date when the referenced file was created or last saved.

Saved path

Displays the location that the host drawing expects the referenced file to be found.

Sets the File References pane to a tree view. The tree depicts the levels of nesting of file references within xrefs. The top-level of the tree view always shows the current drawing. Referenced files appear at the next level. Referenced files that contain their own nested file references can be opened to show deeper levels. When making selections in tree view, only one file reference can be selected at a time.

Mechanical Structure

Definitions

Displays a tree containing icons, which shows the hierarchy of the definitions of mechanical structure entities (inclusive of xref components and folders) contained in the drawing that is currently opened.

Drag a component view or folder on to model space to create and insert a new instance based on the dragged definition. Right-click any item to display a menu that lists the operations that can be performed on the clicked item. Right-click any item to display a menu that lists the operations that can be performed on the clicked item.

Preview

Displays a preview of the geometry of the entity selected in the Definitions panel. If a component that has multiple views is selected, AutoCAD Mechanical displays the previews of up to six views. If the selected component or folder is unresolved, no preview is displayed.


The mechanical browser

Control the size, location, and appearance of the structure catalog
Mechanical structure-specific utilities
Control the size, location and appearance of the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities >
The mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Control the size, location and appearance of the mechanical browser
  • Locate, select, and modify components and folders using the mechanical browser
  • Differentiate between instances and occurrences in the mechanical browser
  • Understand the mechanical browser in paper space


The mechanical browser (Procedure)

Access the Vault from the structure catalog
The mechanical browser
Control the size, location and appearance of the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities >
The mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To turn the mechanical browser on

To resize the mechanical browser

To dock the mechanical browser

To undock the mechanical browser

To move the mechanical browser

To hide the mechanical browser

To turn off auto-hide

To select what to display in the mechanical browser

To zoom to component views

To delete a component, component view or folder

To find related components or views (as in the case of a shaft or screw connection)

To find all instances of a component view or folder, in model space

To locate a folder or component

To override the properties of component views or folders

To override the visibility of components or folders

To change the base point of a component view or folder

To reorder components or folders

To sort items on the mechanical browser

To insert a component view to an existing instance of a component

To restructure components in the mechanical browser

To externalize a component or folder

To localize an xref component or folder

To exclude a component from parts lists

To override the quantity of a component


Control the size, location and appearance of the mechanical browser (Concept)

The mechanical browser
The mechanical browser
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Control the size, location and appearance of the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you start AutoCAD Mechanical for the first time, the mechanical browser may not display automatically. You must use the AMBROWSER command to turn it on. Once it is turned on, it remains displayed (even if you close AutoCAD Mechanical and restart it) until you explicitly close it.

You can:

  • Resize the mechanical browser by dragging an edge.
  • Dock the mechanical browser by dragging it (by the left or right edge) over the right or left docking region of the application window until it snaps into the docked position. You can also dock the mechanical browser by double-clicking its title bar.
  • Undock the mechanical browser by dragging the area above the two tabs, away from the docking region.
  • Anchor the mechanical browser to a side (when the mechanical browser is floating) using the Anchor Right or Anchor Left from the shortcut menus to . An anchored mechanical browser window rolls open and closed as the cursor moves across it. When the mechanical browser window is open, its content overlaps the drawing area. It cannot be set to stay open.
  • Use the Auto-hide right click menu option (when the mechanical browser is floating) to collapse the body of the mechanical browser. A collapsed mechanical browser window rolls open and closed as the cursor moves across it.
  • Use browser options to select what items to display in the mechanical browser.


Control the size, location and appearance of the mechanical browser (Procedure)

The mechanical browser
Up a level to ..
Control the size, location and appearance of the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Control the size, location and appearance of the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To turn the mechanical browser on

To resize the mechanical browser

To dock the mechanical browser

To undock the mechanical browser

To move the mechanical browser

To hide the mechanical browser

To turn off auto-hide

To select what to display in the mechanical browser


Control the size, location and appearance of the mechanical browser (Quick Reference)

Control the size, location, and appearance of the structure catalog
Control the size, location and appearance of the mechanical browser
Control the size, location and appearance of the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Control the size, location and appearance of the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBROWSER

AMBROWSEROPEN

AMBROWSERCLOSE

Browser Options dialog box

Mechanical Browser and Structure Catalog icon reference


To turn the mechanical browser on (Procedure)

Control the size, location and appearance of the mechanical browser
Up a level to ..
Control the size, location and appearance of the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Control the size, location and appearance of the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To turn the mechanical browser on

  1. Click None [image] None [image] [image] At the Command prompt, enter AMBROWSER.
  2. At the Command prompt, enter ON.


To resize the mechanical browser (Procedure)

Control the size, location and appearance of the mechanical browser
Up a level to ..
Control the size, location and appearance of the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Control the size, location and appearance of the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To resize the mechanical browser

  • If the mechanical browser is undocked, drag any edge of the mechanical browser.

    If the mechanical browser is docked, drag any edge that is not fixed.


To dock the mechanical browser (Procedure)

Control the size, location and appearance of the mechanical browser
Up a level to ..
Control the size, location and appearance of the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Control the size, location and appearance of the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To dock the mechanical browser

  • In the mechanical browser, drag the title bar over any docking region of the application window, until it snaps into the docked position.


To undock the mechanical browser (Procedure)

Control the size, location and appearance of the mechanical browser
Up a level to ..
Control the size, location and appearance of the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Control the size, location and appearance of the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To undock the mechanical browser

  • In the mechanical browser, hold down the CTRL key and drag the area above the two tabs to the desired position.


To move the mechanical browser (Procedure)

Control the size, location and appearance of the mechanical browser
Up a level to ..
Control the size, location and appearance of the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Control the size, location and appearance of the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move the mechanical browser

  • In the mechanical browser, drag the title bar or the area above the two tabs to the appropriate position.


To hide the mechanical browser (Procedure)

Control the size, location and appearance of the mechanical browser
Up a level to ..
Control the size, location and appearance of the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Control the size, location and appearance of the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To hide the mechanical browser

  1. In the mechanical browser, right-click the title bar or the area above the two tabs. A menu is displayed.
  2. To hide the mechanical browser to the left of the screen:
    • Select Anchor Left.
      NoteTo redisplay the browser, move the cursor to the extreme left side of the screen.

    To hide the mechanical browser to the right of the screen:

    • Select Anchor Right.
      NoteTo redisplay the browser, move the cursor to the extreme right side of the screen.

    To hide the mechanical browser when it is floating:

    • Select Auto Hide.
      NoteTo redisplay the browser, move the cursor over the title bar of the mechanical browser.


To turn off auto-hide (Procedure)

Control the size, location and appearance of the mechanical browser
Up a level to ..
Control the size, location and appearance of the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Control the size, location and appearance of the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To turn off auto-hide

  1. Redisplay the browser by moving the cursor to the extreme left or to the extreme right or over the title bar of the mechanical browser.
  2. In the mechanical browser, right-click the title bar. A menu is displayed.
  3. Select Auto Hide.


To select what to display in the mechanical browser (Procedure)

Control the size, location and appearance of the mechanical browser
Up a level to ..
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Control the size, location and appearance of the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To select what to display in the mechanical browser

  1. Right-click a vacant space in the mechanical browser. A menu is displayed.
  2. Select Browser Options. The Browser Options dialog box is displayed.
  3. Select the check boxes adjacent to the entities you want to display and clear the rest.
  4. Check the Sample Preview pane to verify that the appropriate results are produced.
  5. Click OK.


Control the size, location and appearance of the mechanical browser (Quick Reference)

Control the size, location and appearance of the mechanical browser
Control the size, location and appearance of the mechanical browser
Control the size, location and appearance of the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Control the size, location and appearance of the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBROWSER

Displays or hides the mechanical browser

Ribbon: Structure tab [image] Tools panel [image] Mechanical Browser.
Toolbar: Structure
Menu: Tools [image] Palettes [image] Structure [image] Mechanical Browser Does not exist in the menus.
Command entry: ambrowser

The mechanical browser shows the hierarchical organization of parts and assemblies so you can quickly identify mechanical structure objects. The right-click menu enables you to perform context sensitive operations on each object.

COMMAND LINE OPTIONS

Mechanical browser? [ON/OFf]<Off>: Enter On to display the browser display, or enter Off to hide it.


Control the size, location and appearance of the mechanical browser (Quick Reference)

Control the size, location and appearance of the mechanical browser
Control the size, location and appearance of the mechanical browser
Control the size, location and appearance of the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Control the size, location and appearance of the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBROWSEROPEN

Displays the mechanical browser.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: ambrowseropen

This command is designed to be used by the Structure workspace, to turn on the mechanical browser.


Control the size, location and appearance of the mechanical browser (Quick Reference)

Control the size, location and appearance of the mechanical browser
Control the size, location and appearance of the mechanical browser
Control the size, location and appearance of the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Control the size, location and appearance of the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBROWSERCLOSE

Closes the mechanical browser.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: ambrowserclose

This command is designed to be used by workspaces, to turn off the mechanical browser.


Control the size, location and appearance of the mechanical browser (Quick Reference)

Control the size, location and appearance of the mechanical browser
Control the size, location and appearance of the mechanical browser
Control the size, location and appearance of the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Control the size, location and appearance of the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Browser Options dialog box

Use this dialog box to control the content displayed in the mechanical browser.

View Tree
 | Display tree Displays a tree segment that shows the hierarchy of component views (known as the view tree), at the top of the mechanical browser.
 |  | Standard part feature views Displays views of standard features.
Component Tree
 | Display Tree Displays a tree segment that shows the hierarchy of components (known as the component tree), in the mechanical browser.
 |  | Component Views Displays component views as child nodes of the respective components.
 |  |  | Assembly Views Displays a sub tree under each assembly view node, which shows the hierarchy of component views for that assembly.
 |  |  | Standard part feature views Displays views of standard features.
Hide situations
 | Display hide situations Displays hide situations nodes.
 |  | Standard part hide situations Displays hide situations that occur within standard parts such as screw connections.
Sample preview Shows an example of how the mechanical browser will look for the current filter settings.


Control the size, location and appearance of the mechanical browser (Quick Reference)

Control the size, location and appearance of the mechanical browser
Control the size, location and appearance of the mechanical browser
Make settings for xref drawings
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Control the size, location and appearance of the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Mechanical Browser and Structure Catalog icon reference

Icons for standard parts

Each standard part has a unique icon to identify it. The table below shows one such icon and how it changes as the state of the standard part changes. In the mechanical browser, a tooltip displays the details of the standard part.

Icon | Meaning
 | Standard part (Countersunk Screw, in this case).
 | Ghost standard part (a standard part that has become a ghost component).
 | Standard part flagged as a reference component.
 | Xref standard part.
 | Xref standard part that has been flagged as a reference component.
 | Standard part definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Xref standard part definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.

Other icons

Icon | Meaning
 | Annotation view.
 | Collection of hide situations (collapsed).
 | Collection of hide situation (expanded).
 | Hide situation.
 | Folder.
 | Assembly.
 | Part.
 | Component view.
 | Part flagged as a reference component.
 | Assembly flagged as a reference component.
 | Phantom assembly.
 | Ghost part (A part that has become a ghost component).
 | Ghost assembly (an assembly that has become a ghost component).
 | Xref Annotation view.
 | Xref folder.
 | Xref assembly.
 | Xref part.
 | Xref component view.
 | Xref part flagged as a reference component.
 | Xref assembly flagged as a reference component.
 | Unresolved xref folder or annotation view. In the unresolved state, AutoCAD Mechanical is not able to differentiate between an annotation view and a folder. The same icon is used to indicate both.
 | Unresolved xref part, standard part or assembly. In the unresolved state, AutoCAD Mechanical is not able to differentiate between an assembly and a part. The same icon is used to indicate all three.
 | Unresolved xref part or assembly that has been flagged a reference component. In the unresolved state, AutoCAD Mechanical is not able to differentiate between an assembly and a part. The same icon is used to indicate both.
 | Annotation view definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Folder definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Assembly definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Part definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Component view definition, for which no instances have been created. Such icons are visible only in the Structure Catalog.
 | Xref annotation view definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.
 | Xref folder definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.
 | Xref assembly definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.
 | Xref part definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.
 | Xref component view definition, for which no instances have been created. Such icons are visible only if the Show Uninstanced Xref Definitions right-click menu option in the Structure Catalog is turned on.


Locate, select, and modify components and folders using the mechanical browser (Concept)

Control the size, location and appearance of the mechanical browser
The mechanical browser
Differentiate between instances and occurrences in the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

The mechanical browser organizes parts and assemblies in a hierarchical structure by visually representing them in the form of a tree.

The mechanical browser is a convenient launch pad for many structure related operations. It supports drag operations and context-sensitive menus, where you can quickly highlight, zoom to, edit properties, change visibility, create, delete, and insert structure objects.

Examples of mechanical browsers

Example of component views

Each component has at least one component view. In this example, the assembly component, TROLLEY, has two component views.

Example of how to select component node to highlight component geometry

When you select the component node, the component geometry highlights.

Example of how to select component view to highlight view geometry

When you select a component view, the view geometry highlights.

Example of how to use the browser to zoom to a specific component or folder

When you right-click a component, a component view or a folder in the mechanical browser and select Zoom to, the drawing area displays the corresponding object as large as possible.


Locate, select, and modify components and folders using the mechanical browser (Procedure)

Control the size, location and appearance of the mechanical browser
Up a level to ..
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To zoom to component views

To delete a component, component view or folder

To find related components or views (as in the case of a shaft or screw connection)

To find all instances of a component view or folder, in model space

To locate a folder or component

To override the properties of component views or folders

To override the visibility of components or folders

To change the base point of a component view or folder

To reorder components or folders

To sort items on the mechanical browser

To insert a component view to an existing instance of a component

To restructure components in the mechanical browser

To externalize a component or folder

To localize an xref component or folder

To exclude a component from parts lists

To override the quantity of a component


To zoom to component views (Procedure)

Locate, select, and modify components and folders using the mechanical browser
Up a level to ..
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To zoom to component views

  1. In the mechanical browser, click one of the component views you want to zoom to.
  2. With the CTRL key pressed, click the other views you want to zoom to.
  3. Right-click and select Zoom to. The geometry contained in the selected component views are displayed as large as possible.
    NoteYou can similarly zoom to components and folders.


To delete a component, component view or folder (Procedure)

Locate, select, and modify components and folders using the mechanical browser
Up a level to ..
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To delete a component, component view or folder

  1. In the mechanical browser, click the occurrence you want to delete.
  2. If you want to delete several items, press the CTRL key and click them.
  3. Right-click, and then select Delete.

    If the occurrence is the last instance of the component or folder, you are prompted to confirm if the system should delete its definition.

  4. Click Yes to delete the definition or No to let the definition remain.
  5. The occurrence is deleted from the mechanical browser as well as model space.


To find related components or views (as in the case of a shaft or screw connection) (Procedure)

Locate, select, and modify components and folders using the mechanical browser
Up a level to ..
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To find related components or views (as in the case of a shaft or screw connection)

  1. In the mechanical browser, click a component/component view of the shaft or screw connection.
  2. Right-click, and then select Find Associated Components or select Find Associated Views.

    Related components/component views are highlighted.


To find all instances of a component view or folder, in model space (Procedure)

Locate, select, and modify components and folders using the mechanical browser
Up a level to ..
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To find all instances of a component view or folder, in model space

  1. In model space, continue clicking a geometry that belongs to the folder/component view you want to find all instances of, until you see the folder/component view name in the tooltip.
  2. Right-click and select Find All Instances.

    All instances are selected and highlighted in the mechanical browser as well as model space.


To locate a folder or component (Procedure)

Locate, select, and modify components and folders using the mechanical browser
Up a level to ..
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To locate a folder or component

  1. In model space, continue clicking a geometry that belongs to the component you want to find until you see the component's name in a tooltip window.
  2. Right-click to display the context menu.
  3. Select Find in browser. The browser node is highlighted in the mechanical browser.


To override the properties of component views or folders (Procedure)

Locate, select, and modify components and folders using the mechanical browser
Up a level to ..
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To override the properties of component views or folders

  1. In the mechanical browser, click a component view or folder. To select more than one item, press the CTRL key and click the others.
    NoteYou can select multiple components, multiple component views, or multiple folders, but not a combination of components, component views, and folders.
  2. Right-click and select Property Overrides. The Property Overrides dialog box is displayed.
  3. Set the properties as required, and click OK.

    The properties of the selected component views or folders will be overridden.

    NoteFolders and component views cannot be selected together.


To override the visibility of components or folders (Procedure)

Locate, select, and modify components and folders using the mechanical browser
Up a level to ..
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To override the visibility of components or folders

  1. In the mechanical browser, click the component, component view, or folder you want to override the visibility of. To select more than one item, press the CTRL key, and click the others.
    NoteYou can select multiple components, multiple component views, or multiple folders, but not a combination of components, component views, and folders.
  2. Right-click and select Visible.

    The visibility status of the selected items switches. Items that have their visibility overridden are grayed out on the mechanical browser.

    NoteTo restore the visibility of the items, select them in the mechanical browser, right-click and select Visible.


To change the base point of a component view or folder (Procedure)

Locate, select, and modify components and folders using the mechanical browser
Up a level to ..
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To change the base point of a component view or folder

  1. In the mechanical browser, right-click the component view or folder and select Change Basepoint.

    The cursor extends a line from the existing base point.

  2. In the drawing area, click to specify the new base point.


To reorder components or folders (Procedure)

Locate, select, and modify components and folders using the mechanical browser
Up a level to ..
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To reorder components or folders

  • In the mechanical browser, with the SHIFT key pressed, drag the component/folder to the new place within the same parent.

    To reorder more multiple components/folders,

    1. With the CTRL key pressed, click the components/folders, you want to reorder.
      NoteAll components/folders must have the same parent.
    2. With the SHIFT key pressed, drag to the new position.


To sort items on the mechanical browser (Procedure)

Locate, select, and modify components and folders using the mechanical browser
Up a level to ..
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To sort items on the mechanical browser

  1. Right-click an assembly node on the mechanical browser. A menu is displayed.
  2. Select Sort Child Components. The tree below the selected assembly is sorted in the ascending order.


To insert a component view to an existing instance of a component (Procedure)

Locate, select, and modify components and folders using the mechanical browser
Up a level to ..
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To insert a component view to an existing instance of a component

  1. In the mechanical browser, right-click the component you want to insert a component view for.
  2. Select Insert [image] Component View [image] .Name of component view.
  3. Move the cursor to the position you want to insert the geometry and click.
  4. Press ENTER to accept the default rotation angle or specify a rotation angle and press ENTER.

    The component is inserted and is shown in the mechanical browser.


To restructure components in the mechanical browser (Procedure)

Locate, select, and modify components and folders using the mechanical browser
Up a level to ..
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To restructure components in the mechanical browser

  1. In the mechanical browser, select the component you want to nest under an assembly component, and drag it on to the assembly you want it to be a part of. The Component Restructure dialog box is displayed.
    NoteThe Component Restructure dialog box is not displayed when all component views are accounted for.
  2. From the Source Component Views list, drag each view to the corresponding parent view of the assembly in the Destination Component Views list.
  3. Click OK.
Note
  • You can select multiple components for restructure, by pressing the CTRL or SHIFT key while selecting components.
  • If you are restructuring components that are linked to each other (for example, shaft components and components involved in a screw connection), use the Find Associated Components or Find Associated Views browser right-click menu item to find the components and ensure that all are selected prior to dragging. Failing to restructure them together results in broken links.


To externalize a component or folder (Procedure)

Locate, select, and modify components and folders using the mechanical browser
Up a level to ..
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To externalize a component or folder

  • In the mechanical browser, right-click the folder or component you want to externalize, and select Externalize.


To localize an xref component or folder (Procedure)

Locate, select, and modify components and folders using the mechanical browser
Up a level to ..
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To localize an xref component or folder

  • In the mechanical browser, right-click the component or folder, and select Localize.

    If the xref component/folder itself contains other xrefs and you want to localize them also, select Localize All.


To exclude a component from parts lists (Procedure)

Locate, select, and modify components and folders using the mechanical browser
Up a level to ..
Locate, select, and modify components and folders using the mechanical browser
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To exclude a component from parts lists

  1. In the mechanical browser, right-click the component to exclude.
  2. In the menu, select Properties. The Properties dialog box is displayed.
  3. In the Management section, select the Exclude from Parts Lists check box.
  4. Click OK.
NoteTo restore the excluded item, clear the check box.


To override the quantity of a component (Procedure)

Locate, select, and modify components and folders using the mechanical browser
Up a level to ..
Make settings for xref drawings
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Locate, select, and modify components and folders using the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To override the quantity of a component

  1. In the mechanical browser, right-click the component for which you want to override the quantity.
  2. In the menu, select Properties. The Properties dialog box is displayed.
  3. In the Management section, in the quantity box, enter the override value.
  4. Click OK.


Differentiate between instances and occurrences in the mechanical browser

Locate, select, and modify components and folders using the mechanical browser
The mechanical browser
Understand the mechanical browser in paper space
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Differentiate between instances and occurrences in the mechanical browser
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following figure shows a drawing containing two folders. Folder1 is nested within Folder 2. The mechanical browser shows two instances of Folder2; Folder 2:1 and Folder 2:2. The instance identifier, the number that is appended to the end of the folder name, uniquely identifies an instance.

Consider Folder 1 that is nested below Folder2:1. This instance is identified as Folder1:1. Notice that Folder 1:1 exists under Folder 2:2 as well. This is because Folder 1 is nested within Folder 2 and whenever an instance of Folder2 is inserted, Folder1 occurs automatically. It can be said that there are two occurrences of the instance Folder1.

Why is it necessary to know the difference between an instance and an occurrence? Because a few operations are occurrence-based, while most operations are instance-based. For example Visibility is occurrence-based. If you right-click a component in the mechanical browser and turn visibility off, only that occurrence is turned off. None of the other occurrences of that instance are affected. If you right-click a component and override its properties (for example, change its color), all occurrences of that instance change color.


Understand the mechanical browser in paper space

Differentiate between instances and occurrences in the mechanical browser
The mechanical browser
Referencing external drawing files
Organize geometry with mechanical structure > Mechanical structure-specific utilities > The mechanical browser >
Understand the mechanical browser in paper space
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In AutoCAD Mechanical, two main workflows use formats and layouts that are supported in mechanical structure:

  • Multiple layouts in model space
  • One format per paper space layout

In AutoCAD Mechanical, paper space is used for creating a finished layout for printing or plotting. You do design work in model space when you want to annotate geometry you create annotation views in paper space.

In paper space, the mechanical browser has one tab. The Drawing tab is synchronized with the Model/Layout paper space selection, and lists a Layout node for each active layout in the file. Inactive layouts are not selectable.


Referencing external drawing files

Understand the mechanical browser in paper space
Make settings for xref drawings
Referencing external drawing files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Make settings for xref drawings
  • Edit a reference in place
  • Work with the library


Make settings for xref drawings (Concept)

Referencing external drawing files
Referencing external drawing files
Edit a reference in place
Referencing external drawing files >
Make settings for xref drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you insert an external reference (xref) into the current drawing, and you want to change the way the program represents xref entities, use the AMXREFSET command. The program saves changes only to the current drawing, not to the xref itself.

When you start AMXREFSET, the Xref Processing dialog box appears. It includes the following options:

Xref Annotations are Invisible

Makes annotations of the xref invisible in the drawing.

Xref Hidden Lines are Continuous and Black

By default, the program draws hidden lines as dashed lines and places them on layer AM_3. If you select this option, the program keeps these lines on layer AM_3, assigns them the color black, and draws them as continuous lines. Because hidden lines are not recognized as contour edges by the Hatch function, we recommend making these lines invisible if they are in the hatched area.

Xref Hidden Lines are Invisible

Makes hidden lines of the xref invisible in the drawing.

Redraw with Color

You can assign one color to all xref entities, making those entities easier to distinguish from other entities in the drawing.

The program cannot color entities on layer AM_0. To change the color of entities on layer 0, move them to another layer such as layer AM_1 or AM_2.

Data Processing - Bind

You can attach and save all xrefs in the drawing as internal blocks.

Data Processing - Reload

You can update changes made to an xref drawing. This function is useful when multiple people are working on the same xref at the same time.


Make settings for xref drawings (Quick Reference)

Control the size, location and appearance of the mechanical browser
Make settings for xref drawings
Make settings for xref drawings
Referencing external drawing files >
Make settings for xref drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMXREFSET

Xref Processing dialog box


To change settings for an xref in the current drawing (Procedure)

Locate, select, and modify components and folders using the mechanical browser
Make settings for xref drawings
Work with the library
Referencing external drawing files >
Make settings for xref drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change settings for an xref in the current drawing

  1. Open a drawing, and insert several xrefs.
  2. Click None [image] None [image] At the Command prompt, enter AMXREFSET.
  3. In the Xref Processing dialog box, enter the name of the xref you want to edit, or choose the Pick Xref< button, and select the xref from the drawing.
  4. Make the necessary entries, and choose OK.


Make settings for xref drawings (Quick Reference)

Make settings for xref drawings
Make settings for xref drawings
Make settings for xref drawings
Referencing external drawing files >
Make settings for xref drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMXREFSET

Displays the Xref Processing dialog box to enable you to specify how xref entities are displayed.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Draw [image] Block [image] XRef Settings Does not exist in the menus.
Command entry: amxrefset

The Xref Processing dialog box appears. You can change settings of an existing xref.


Make settings for xref drawings (Quick Reference)

Make settings for xref drawings
Make settings for xref drawings
Edit a reference in place
Referencing external drawing files >
Make settings for xref drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Xref Processing dialog box

Use this dialog box to change the settings of an existing xref.

Xref Selection

Lets you specify the name of the xref or choose Pick Xref< to select the desired xref from the drawing.

Xref Annotations are Invisible

Makes dimensions and annotations invisible in the xref drawing.

Xref Hidden Lines are Continuous and Black

Changes dashed, hidden lines in the xref drawing into continuous lines, and displays those lines in black.

Xref Hidden Lines are Invisible

Makes hidden lines invisible in the xref drawing.

Representation of Xref(s) - On

Activates the current setting of the xref.

Representation of Xref(s) - Redraw with Color

Assigns a single color to all layers of the xref. To select a color, click the button to the right of Redraw with Color.

Data Processing - Reload

Updates changes made to an xref drawing. This feature is useful when two users are working on the same xref at the same time.

Data Processing - Bind

Converts xrefs to blocks, which are then attached and saved to the current drawing.


Edit a reference in place (Concept)

Make settings for xref drawings
Referencing external drawing files
Work with the library
Referencing external drawing files >
Edit a reference in place
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

You can modify external references and redefine block definitions from within the current drawing by using in-place reference editing. The program considers both blocks and xrefs as references.

While editing a reference in place, you can copy objects from other blocks of the host drawing to the xref, or to the block drawing, using AMREFCOPY.

When you finish editing a block reference, use AMREFCLOSE to save changes to the edited block, assign a new base point, and save the edited block under a new name. Also use AMREFCLOSE to save changes and assign a new base point to the edited xref.

NoteWith AMREFCLOSE, you cannot change the name of the xref. If you change the base point of an edited xref, the AutoCAD INSBASE variable changes as well. This change affects all drawings that reference the edited xref. The program shows a warning dialog box enabling you to choose between having the INSBASE variable changed or discarding the changes made to the base point.


Edit a reference in place (Quick Reference)

Make settings for xref drawings
Edit a reference in place
Edit a reference in place
Referencing external drawing files >
Edit a reference in place
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMREFCLOSE

AMREFCOPY


Edit a reference in place (Quick Reference)

Edit a reference in place
Edit a reference in place
Edit a reference in place
Referencing external drawing files >
Edit a reference in place
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMREFCLOSE

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amrefclose

The Save Reference Edits dialog box appears. You can save back changes to the edited reference and set a new base point.

COMMAND LINE OPTIONS

Pick new base point of the block: Specify a point.

Note: This command works in a similar way as the AutoCAD REFCLOSE command. For more information about the REFCLOSE command, please refer to the AutoCAD documentation.

DIALOG BOX DEFINITIONS

Save Reference Edits dialog box

Use the Reference Edits dialog box to save changes made to an external, or a block, reference.

Reference name

Displays the name of the edited reference to be saved.

NoteIf the edited reference is a block, you can assign it a new name.

Base point

Specifies another base point for the edited reference. You can click the Base point button to select a point in the drawing area, or you can enter X, Y, and Z coordinate values for the base point.


Edit a reference in place (Quick Reference)

Edit a reference in place
Edit a reference in place
Work with the library
Referencing external drawing files >
Edit a reference in place
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMREFCOPY

Use AMREFCOPY to copy objects from other blocks of the host drawing to the working set while editing a reference in place.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amrefcopy

COMMAND LINE OPTIONS

Select objects: Select the object you want to copy.


Work with the library (Concept)

Edit a reference in place
Referencing external drawing files
Annotate drawings
Referencing external drawing files >
Work with the library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The Library feature simplifies working with and managing drawing files. When you start the AMLIBRARY command, the Library dialog box appears. All options for the library are available by a right-click. You can do the following:

  • Create new folders and subfolders
  • Add selected objects from the current drawing to the Library
  • Add new drawing files to or delete existing ones from the Library
  • Select a drawing from the Library, and insert it into the drawing window for editing
  • Connect external directories, libraries, or catalogs to the Library
Library structure

The structure of folders in the Library can be different from the structure of directories on the hard disk.

Example: You have two directories, C:\ACADM\Design\Construction, and C:\ACADM\Design, and you want to add those directories to the Library. In the Library, you can set the Construction directory as a folder and the Design directory as a subfolder.

Folder structure

The structure of folders in the Library can be different from the structure of directories on the hard disk.

Example: You want to add two directories, C:\ACADM\Design\Construction, and C:\ACADM\Design, to the Library. In the Library, you can set the Construction directory as a folder and the Design directory as a subfolder.

Folders shortcut menu

When you select a folder in the Library structure, all slide images of the files contained in that folder are displayed in the preview section of the Library dialog box. You can right-click on the selected folder to display the folder shortcut menu, and then edit that folder. For example, you can change the name of the folder, create a subfolder, add new files, or set how slide images appear in the Preview section of the Library dialog box.

Files shortcut menu

When you select a file, the program selects the slide image of that file automatically. You can right-click on the selected file to show the file shortcut menu, and then edit that file. For example, you can insert the file into the current drawing, display an enlarged view of the slide image, create a slide for the file, or set how the program inserts the file into the drawing.


Work with the library (Procedure)

Make settings for xref drawings
Work with the library
Work with the library
Referencing external drawing files >
Work with the library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To connect to an external library or a catalog

To create a folder in the library

To edit a library folder

To insert a drawing from the library into the drawing window

To set options in the library for inserting drawing files

To search for a file in the library

To save a drawing file to the library

To save selected objects in the drawing to the library


Work with the library (Quick Reference)

Edit a reference in place
Work with the library
Work with the library
Referencing external drawing files >
Work with the library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLIBRARY

AMEQUATEDIT

Search/Browse


To connect to an external library or a catalog (Procedure)

Work with the library
Work with the library
Work with the library
Referencing external drawing files >
Work with the library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To connect to an external library or a catalog

  1. Click None [image] None [image] At the Command prompt, enter AMLIBRARY.
  2. In the Library dialog box, select the main Library folder, and then right-click.
  3. From the shortcut menu, choose Connect.
  4. In the Open dialog box, select an external library, or a catalog (all files of the type .cfg).
  5. Choose Open.
Note
  • The existing library disappears from the current view.
  • To convert a Genius 12 library, use AMCVTLIB12.


To create a folder in the library (Procedure)

Work with the library
Work with the library
Work with the library
Referencing external drawing files >
Work with the library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a folder in the library

  1. Click None [image] None [image] At the Command prompt, enter AMLIBRARY.
  2. In the Library dialog box, select the folder to which you want to add the drawing file, and right-click.
  3. From the shortcut menu, choose Create.
  4. In the Create Folder dialog box, specify the name and path of the file you want to add to the Library, or choose Browse to locate the file.
  5. Choose Empty,
  6. Choose OK.

    Note: When using Map Directory, or Map including Subdirectories the folder you want to include must exist.


To edit a library folder (Procedure)

Work with the library
Work with the library
Work with the library
Referencing external drawing files >
Work with the library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit a library folder

  1. Click None [image] None [image] At the Command prompt, enter AMLIBRARY.
  2. In the Library dialog box, select the folder you want to edit, and right-click.
  3. From the shortcut menu, choose Edit.
  4. In the Edit Library dialog box, make the desired changes.
  5. Choose OK.


To insert a drawing from the library into the drawing window (Procedure)

Work with the library
Work with the library
Work with the library
Referencing external drawing files >
Work with the library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a drawing from the library into the drawing window

  1. Click None [image] None [image] At the Command prompt, enter AMLIBRARY.
  2. In the Library dialog box, select the drawing file you want to insert, and right-click.
  3. From the shortcut menu, choose Options.
  4. In the Options dialog box select the following: under Rotation, select Specify at Insert; under Scale, select Specify at Insert; under Insert, select Insert as Block.
  5. Choose OK.
  6. Double-click the selected file or the corresponding slide.
  7. Specify an insertion point, a scale factor, and a rotation angle.

Note: The insertion process depends on the library settings on the Insert tab of the Options dialog box.


To set options in the library for inserting drawing files (Procedure)

Work with the library
Work with the library
Work with the library
Referencing external drawing files >
Work with the library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set options in the library for inserting drawing files

  1. Click None [image] None [image] At the Command prompt, enter AMLIBRARY.
  2. In the Library dialog box, select the drawing file for which you want to set new options, and right-click.
  3. From the shortcut menu, choose Options.
  4. In the Options dialog box select the Insert tab.
  5. Specify the options for inserting the selected drawing file.
  6. Choose OK.


To search for a file in the library (Procedure)

Work with the library
Work with the library
Work with the library
Referencing external drawing files >
Work with the library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To search for a file in the library

  1. Click None [image] None [image] At the Command prompt, enter AMLIBRARY.
  2. In the Library dialog box, select the folder in which you want to search for the file, and right-click.
  3. From the shortcut menu, choose Search.
  4. In the Search dialog box, specify the name, the settings, and the accuracy for the search.
  5. Choose OK.


To save a drawing file to the library (Procedure)

Work with the library
Work with the library
Work with the library
Referencing external drawing files >
Work with the library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To save a drawing file to the library

  1. Click None [image] None [image] At the Command prompt, enter AMLIBRARY.
  2. In the Library dialog box, select the folder to which you want to add the drawing file, and right-click.
  3. From the shortcut menu, choose Add from File.
  4. In the Add File dialog box, specify the name and path of the file you want to add to the Library, or choose Browse to locate the file.
  5. Choose OK.


To save selected objects in the drawing to the library (Procedure)

Work with the library
Work with the library
Create dimensions
Referencing external drawing files >
Work with the library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To save selected objects in the drawing to the library

  1. Click None [image] None [image] At the Command prompt, enter AMLIBRARY.
  2. In the Library dialog box, select the folder to which you want to save the drawing file, and right-click.
  3. From the shortcut menu, choose Add from Drawing.
  4. In the Add from Drawing dialog box, specify a name for the drawing file.
  5. Select the area of the drawing you want to use to create a slide.
  6. Specify an insertion point for the drawing.
  7. Choose OK.

Note: The insertion point you specified appears in the slide.


Work with the library (Quick Reference)

Work with the library
Work with the library
Work with the library
Referencing external drawing files >
Work with the library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLIBRARY

Displays the Library dialog box, which enables you to organize drawing files to retrieve and reuse them more efficiently.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Tools [image] Library Does not exist in the menus.
Command entry: amlibrary

The command is controlled by the Library dialog box.

DIALOG BOX DEFINITIONS

Library dialog box

Use the Library dialog box to manage your drawing files, add files to or remove existing ones from the Library, and to insert files from the Library into the current drawing.

The Library dialog box is divided into two sections, the folder section and the preview section.

  • Folder section: This section is on the left of the Library dialog box. It displays a list of all the folders in the library. When a folder is selected, the folder description appears below the folder section. To display a list of all the files and subfolders contained in a folder, double-click the folder.
  • Preview section: This section is on the right of the Library dialog box. It displays slide images of all drawing files located in the selected folder. When you select a slide it is highlighted, and the path description appears in the area below the preview section. To insert a drawing into the drawing window, double-click the desired slide.


Work with the library (Quick Reference)

Work with the library
Work with the library
Work with the library
Referencing external drawing files >
Work with the library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMEQUATEDIT

Use AMEQUATEDIT to generate and organize equations.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amequatedit

Equations consist of variables having calculation precedence. Moreover, equations can contain any drawing information. Equations are stored in terms of blocks; the variables themselves are attributes. The attribute information for the variables is in part the normal attribute specification, plus Extended Entity Data.

Equations are stored in the equation library, which is structured to be used like the library.


Work with the library (Quick Reference)

Work with the library
Work with the library
Create Linear Dimensions
Referencing external drawing files >
Work with the library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Search/Browse

Use the Search/Browse dialog box to display preview images of drawings, open drawings, and search for files. Use the browser to search for files across multiple directories on a single drive or on multiple drives.

Browse tab

Displays small bitmap images of drawings in the specified directory. You can sort the preview images by file type.

File Name

Displays the name of the currently selected drawing.

Directories

Displays the names of the directories on the current drive.

Drives

Displays the names of the available drives.

List Files of Type

Specifies file types to browse for, including drawing files (DWG), drawing interchange format files (DXF), and drawing template files (DWT).

Size

Changes the size of the preview images. The options are Small, Medium, and Large.

Network

Displays the Map Network Drive dialog box (a Windows system window) for connecting to networked drives.

Search tab

File

Displays a list of files that meet the search criteria.

Search Pattern

Specifies a pattern to search for in file name, based on file type. For example, you can enter floor* to search for all files that begin with “floor” and are of the file type specified.

This option handles wild-card characters in the following way: if the search string does not contain path separators, the search attempts to match either the full path or just the file name portion of the path.

File Types

Specifies the type of file through which AutoCAD searches.

Date Filter

Controls whether AutoCAD searches forward or backward from the specified time or date.

Time

Specifies the time from which AutoCAD searches forward or backward.

Date

Specifies the date from which AutoCAD searches. The specified date must be 1/1/80 or later.

Search Location

Specifies which drives and paths AutoCAD searches.

Drive

Lists all currently attached drives.

All Drives

Lists all local hard drives, including removable and network drives.

Path

Lists directories.

Open

Opens the selected file.

Search

Begins searching for the named file according to the search location information. Changes to Stop Search once the search begins.


Annotate drawings

Work with the library
Create dimensions
Annotate drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Create dimensions
  • Create Symbols
  • Create Hole Charts
  • Create Drawing Borders and Title Blocks
  • Scaling
  • Create Detail Views
  • Add MTEXT
  • Translate Annotations to Other Languages


Create dimensions

Annotate drawings
Annotate drawings
Overview of Power Dimensions
Annotate drawings >
Create dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview of Power Dimensions
  • Create Linear Dimensions
  • Create Baseline and Chain Dimensions
  • Create Dimensions for Arcs and Circles
  • Create Angular Dimensions
  • Create Multiple Dimension Simultaneously
  • Create Dimensions for Chamfers
  • Add Fits and Tolerances to a Dimension
  • Edit Dimensions
  • Arrange Dimensions
  • If the Gap Between Extension Lines is Small
  • Copy Formatting From One Dimension to Another
  • Locate Dimensions with Overridden Text
  • Notes on Using DIMLFAC with AutoCAD Mechanical


Create dimensions (Procedure)

Work with the library
Create dimensions
Create Linear Dimensions
Annotate drawings >
Create dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create horizontal, vertical, or aligned dimensions

To create a rotated dimension

To change the distance snap value temporarily

To switch off distance snap temporarily

To base distance snap on an object other than the default

To Configure Distance Snap Settings

To create a baseline dimension

To create a chain dimension

To create a radius or diameter dimension

To create a jogged radius dimension

To create a linear diameter dimension

To create an arc length dimension

To draw center marks and/or centerlines for radius and diameter dimensions

To create a dimension that shows the angle between two lines

To create an angular dimension by specifying three points

To create a dimension that shows the angle an arc subtends on its center

To create a dimension that shows the angle two points on a circle subtend on its center

To create 1-axis chain dimensions

To create 2-axis chain dimensions

To create 1-axis baseline dimensions

To create 2-axis baseline dimensions

To create 1-axis ordinate dimensions

To create 2-axis ordinate dimensions

To dimension a shaft in front view

To dimension a shaft in the side view

To create a symmetric dimension

To convert between chain dimensions, baseline dimensions and ordinate dimensions

To create a chamfer dimension

To Set the Default Representation for Chamfer Dimensions

To add a tolerance to dimensions

To add fits to dimensions

To create a fits list

To edit multiple dimension text

To change the dimension unit type

To set an alternate dimension unit type

To round off dimension distances

To multiply dimension values

To adjust the distance between the text and dimension lines

To change the arrowhead on a dimension

To control dimension line visibility

To control extension line visibility

To draw center marks and/or centerlines for radius and diameter dimensions

To add a prefix or a suffix to dimension text

To base dimension placement on a contour

To align dimensions

To join dimensions

To split dimensions

To break dimension lines

To force the drawing of a dimension line between extension lines

To format the dimension when the gap between extension lines is small

To export the properties from one dimension to another dimension

To import properties from another dimension

To check for dimensions with overridden text


Overview of Power Dimensions

Create dimensions
Create dimensions
Create Linear Dimensions
Annotate drawings > Create dimensions >
Overview of Power Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Power Dimensions are dimensions created by AutoCAD Mechanical's dimensioning commands. We designed these dimensioning tools specifically for mechanical engineering requirements, providing abbreviated dialog boxes that conveniently control and expand only the variables relevant to this domain.

The AMPOWERDIM command automatically recognizes objects and defaults to the appropriate dimension type. You can use the same command to place linear, angular, radial, diameter, baseline, and chain dimensions. With the AMAUTODIM command, you can create multiple dimensions with minimal input, resulting in instant groups of appropriately spaced ordinate, parallel, or symmetrical dimensions.

Power Dimensioning commands force overlapping dimensions to automatically space themselves appropriately, integrating tolerance and fit list information into the drawing. In a layout or scale area, Power Dimensions automatically adjust their linear scale based on the points or geometry selected. The dimensions appear on the appropriate layers, as configured in Automatic Property Management.

You can confirm or modify the style and appearance of a dimension in the dialog box that appears when you create the dimension. You can select the dimension text from a predefined set of templates or insert special symbols from a palette. You can also add fits and tolerances that automatically take on the representation corresponding to the current drafting standard.


Create Linear Dimensions (Concept)

Overview of Power Dimensions
Create dimensions
Create Baseline and Chain Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The AMPOWERDIM command prompts you to select two points to create a linear dimension. The dimension line appears in the drawing area and the program prompts you to specify the dimension location. As you move the dimension line, depending on the direction of drag, the dimension line snaps to become a horizontal, vertical, or aligned dimension.

Legend

1 = horizontal dimension

2 = vertical dimension

3 = aligned dimension

To prevent the dimension type from changing when you move your pointing device, use command line options to select the dimension type to place. Alternatively, use the AMPOWERDIM_HOR, AMPOWERDIM_VER, or AMPOWERDIM_ALI commands to create horizontal, vertical, and aligned dimensions, respectively.

To create rotated dimensions, choose the appropriate dimension type from the command line options of the AMPOWERDIM command. Alternatively, use the AMPOWEDIM_ROT command to create a rotated dimension.

As you move the dimension line, it snaps to a position 12 mm or 1/2 inch from the object you are dimensioning. It also changes from green to red. This feature is called Distance Snap. You can change the snap distance while you are placing the dimension using the placements settings command line option. You can also temporarily turn off distance snap.

To base distance snap on an object other than the one being dimensioned, use Placement Options and select another object. For example, the shaft marked 1 in the image below, shows a dimension snapped into position under default condition. The shaft marked 2, in the image below, shows a dimension snapped into position, relative to the 10-mm gear. To override the default snap position, you use Placement Options and select the 10-mm gear as the object to calculate distance snaps from.

While using Placement Options, if you select an existing dimension instead of an object, AutoCAD Mechanical intelligently snaps into position at the distance specified by the DIMDLI variable (the predefined spacing between two consecutive dimension lines) instead of the preset distance snap value.

Place tolerance in a different location

In some situations, you might want to place the tolerance in a location other than where AutoCAD places it. In this situation, you can use the special markup symbol, {{}}, to mark the desired location. Note that the curly brace characters are not visible in the definition window.


Create Linear Dimensions (Procedure)

Create dimensions
Up a level to ..
Create Linear Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create horizontal, vertical, or aligned dimensions

To create a rotated dimension

To change the distance snap value temporarily

To switch off distance snap temporarily

To base distance snap on an object other than the default

To Configure Distance Snap Settings


Create Linear Dimensions (Quick Reference)

Work with the library
Create Linear Dimensions
Create Linear Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM

AMPOWERDIM_HOR

AMPOWERDIM_VER

AMPOWERDIM_ROT

AMPOWERDIM_ALI

Power Dimensioning dialog box

Placement Options dialog box

Dimension Overdrawn dialog box

Power Dimension Options dialog box


To create horizontal, vertical, or aligned dimensions (Procedure)

Create Linear Dimensions
Up a level to ..
Create Linear Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create horizontal, vertical, or aligned dimensions

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMPOWERDIM.
  2. Specify the first (1) and second (2) extension line origin.
  3. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMDIMALIGN.
  4. Move the pointing device to the desired position and orientation of the dimension and click to place the dimension line (3).
    NoteThe dimension line turns red when it snaps to a preset distance from the object.
  5. In the Power Dimensioning dialog box, edit the details of the dimension.
    NoteTo select from a list of pre-defined dimension text templates, click the [image] button beside the graphical representation of the current dimension text.
  6. Click OK.


To create a rotated dimension (Procedure)

Create Linear Dimensions
Up a level to ..
Create Linear Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a rotated dimension

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMPOWERDIM.
  2. Specify the first (1) and second (2) extension line origin.
  3. When prompted for the dimension line location, enter R.
  4. Enter an angle for the dimension line.
  5. Place the dimension line (3).
  6. In the Power Dimensioning dialog box, edit the details of the dimension.
    NoteTo select from a list of pre-defined dimension text templates, click the [image] button beside the graphical representation of the current dimension text.
  7. Click OK.


To change the distance snap value temporarily (Procedure)

Create Linear Dimensions
Up a level to ..
Create Linear Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the distance snap value temporarily

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMPOWERDIM.
  2. Specify the first and second extension line origin.
  3. When prompted for the dimension line location, enter P.
  4. When prompted to select an object, enter O. The Placement Options dialog box is displayed.
  5. Select the Use distance snap for placement check box and enter the new snap value in the box.
    NoteThe new value entered is applicable only within the existing Power Dimension session.
  6. Click OK.


To switch off distance snap temporarily (Procedure)

Create Linear Dimensions
Up a level to ..
Create Linear Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To switch off distance snap temporarily

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMPOWERDIM.
  2. Specify the first and second extension line origin.
  3. When prompted for the dimension line location, enter P.
  4. When prompted to select an object, enter O. The Placement Options dialog box is displayed.
  5. Clear the Use distance snap for placement check box.
    NoteSwitching off distance snap is applicable only within the existing Power Dimension session.
  6. Click OK.


To base distance snap on an object other than the default (Procedure)

Create Linear Dimensions
Up a level to ..
Create Linear Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To base distance snap on an object other than the default

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMPOWERDIM.
  2. Specify the first (1) and second (2) extension line origin.
  3. When prompted for the dimension line location, enter P.
  4. Select the object (3) on which to base distance snap.
  5. Move the pointer to the desired position and orientation of the dimension. Click to place the dimension line (4).
    NoteThe dimension line turns red when it snaps to a preset distance from the object.
  6. In the Power Dimensioning dialog box, edit the details of the dimension.
    NoteTo select from a list of pre-defined dimension text templates, click the [image] button beside the graphical representation of the current dimension text.
  7. Click OK.


To Configure Distance Snap Settings (Procedure)

Create Linear Dimensions
Up a level to ..
Create Baseline and Chain Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Distance Snap Settings

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. To enable distance snaps, select the Use distance snap for placement check box.
  5. In the Snap value box, type the distance.
  6. Click OK until all dialog boxes close.


Create Linear Dimensions (Quick Reference)

Create Linear Dimensions
Create Linear Dimensions
Create Linear Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM

Creates multiple types of dimensions within a single command session and provides the ability to specify tolerances or fits as appropriate.

Ribbon: Home tab [image] Dimension panel [image] Power Dimension. Does not exist on the ribbon.
Toolbar: Dimension [image] Desktop Annotation
Menu: Default Menu [image] Annotate [image] Power Dimension Does not exist in the menus.
Command entry: ampowerdim

COMMAND LINE OPTIONS

Specify first extension line origin or [Linear/Angular/Radial/Baseline/Chain/Options/Update] <select object>: Specify a point or press ENTER to select an object to dimension or select an option.

First Extension Line

Creates a linear dimension when you select two points.

Specify second extension line origin: Specify the second point that defines the linear dimension (2)
Specify dimension line location or [Horizontal/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. Depending on the direction you move the dimension, the dimension changes to a horizontal, vertical or aligned dimension.
 | Horizontal Sets the dimension type to horizontal linear dimensions.
 | Specify dimension line location or [Drag/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Vertical Sets the dimension type to vertical linear dimensions.
 | Specify dimension line location or [Drag/Horizontal/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Aligned Sets the dimension type to aligned linear dimensions.
 | Specify dimension line location or [Drag/Horizontal/Vertical/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Rotated Sets the dimension type to rotated linear dimensions.
 | Specify angle of dimension line <0>:Specify an angle or press ENTER
 | Specify dimension line location or [Drag/Horizontal/Vertical/Aligned/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Placement Options Provides options to override the default distance snap settings.
 | Select object to include for distance snap calculation or [Options] <eXit> Select an object to base the distance snap calculation on or enter O to display a dialog box, enabling you to override the snap distance or toggle distance snap temporarily.

Select Objects

Automatically selects an applicable dimension type for the objects you select.

Select arc, circle, line, or dimension: Select the object to dimension. The subsequent prompts depend on the type of object you select.
 | Arc selected Defaults the dimension type to radius dimensions.
 | Specify dimension line location or [Diameter/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 |  | Diameter Sets the dimension type to diameter dimensions.
 |  | Specify dimension line location or [Radius/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Radius Forces the dimension type back to radius dimensions.
 |  |  | Options Displays the Diameter Dimension Options dialog box enabling you to configure the appearance of the dimension.
 |  | Jogged Radius Sets the dimension type to jogged radius dimensions.
 |  | Specify center location override: Specify the point to use in place of the true center point of the arc or circle.
 |  | Specify dimension line location: Specify a point to indicate the angle of the dimension line. If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 |  | Specify jog location: Move the jog to the desired position and click to place the dimension. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Arc length Sets the dimension type to arc length dimensions.
 |  | Specify arc length dimension location or [Partial/Leader]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Partial Creates the arc length dimension for only a section of the arc.
 |  |  | Specify first point for arc length dimension: Specify a point for the origin of the first extension line of the arc length dimension.
 |  |  | Specify second point for arc length dimension: Specify a point for the origin of the second extension line of the arc length dimension.
 |  |  | Leader Draws a leader from the center of the dimension, pointing toward the center of the arc you are dimensioning. The leader appears only if the arc (or arc segment) is greater than 90 degrees.
 |  | Linear Forces the dimension type to linear dimensions. For an explanation of the subsequent prompts, refer to the prompts that appear when you select a line.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 | Circle selected Defaults the dimension type to diameter dimensions.
 | Specify dimension line location or [Radius/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Radius Sets the dimension type to radius dimensions.
 |  | Specify dimension line location or [Diameter/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Diameter Forces the dimension type back to diameter dimensions
 |  |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 |  | Jogged Radius Sets the dimension type to jogged radius dimensions.
 |  | Specify center location override: Specify the point to use in place of the true center point of the arc or circle.
 |  | Specify dimension line location: Specify a point to indicate the angle of the dimension line. If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 |  | Specify jog location: Move the jog to the desired position and click to place the dimension. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions. For an explanation of the subsequent prompts, refer to the prompts that appear when you select a line.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 | Line selected Defaults the dimension type to linear dimensions.
 |  | Specify dimension line location or [Horizontal/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. Depending on the direction you move the dimension, the dimension changes to a horizontal, vertical or aligned dimension.
 |  |  | Horizontal Sets the dimension type to horizontal linear dimensions.
 |  |  | Specify dimension line location or [ Drag/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Vertical Sets the dimension type to vertical linear dimensions.
 |  |  | Specify dimension line location or [Drag/Horizontal/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Aligned Sets the dimension type to aligned linear dimensions.
 |  |  | Specify dimension line location or [Drag/Horizontal/Vertical/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Rotated Sets the dimension type to rotated linear dimensions.
 |  |  | Specify angle of dimension line <0>:Specify an angle or press ENTER
 |  |  | Specify dimension line location or [Drag/Horizontal/Vertical/Aligned/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Placement Options Provides options to override the default distance snap settings.
 |  |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily.
 | Dimension selected Displays the Power Dimensioning dialog box enabling you to modify the dimension options.
 | Ellipse selected Defaults to options set for selecting a line.

Linear

Creates a linear dimension with a horizontal, vertical, or rotated dimension line.

Select option [Horizontal/Vertical/Aligned/Rotated/eXit]: Select an option or press ENTER to terminate the command.
 | Horizontal Sets the dimension type to horizontal linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the horizontal linear dimension (1)
 | Specify second extension line origin: Specify the second point that defines the horizontal linear dimension (2)
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click (3) to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.
 | Vertical Sets the dimension type to vertical linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the vertical linear dimension (1).
 | Specify second extension line origin: Specify the second point that defines the vertical linear dimension (2).
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click to place it (3). The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.
 | Aligned Sets the dimension type to aligned linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the aligned linear dimension (1).
 | Specify second extension line origin: Specify the second point that defines the aligned linear dimension (2).
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click to place it (3). The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily.
 | Rotated Sets the dimension type to rotated linear dimensions.
 | Specify angle of dimension line <0>:Specify an angle or press ENTER
 | Specify first extension line origin or <select object>: Select the object to dimension or specify the first point that defines the rotated linear dimension (1)
 |  | Specify First Extension Line Defines the dimension by letting you select the extension line origins and the dimension line location.
 | Specify second extension line origin: Specify the second point that defines the linear dimension (2)
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position (3) and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Select Object Defines the dimension by letting you select the object to dimension and the dimension line location.
 |  | Specify second extension line origin: Specify the second point that defines the linear dimension (2)
 |  | Select object to dimension: Specify an object to dimension. Applicable objects are highlighted in the drawing area as you move the crosshairs over them.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit> Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.

Angular

Creates an angular dimension showing the angle between three points by or the angle between two lines.

Select arc, circle, line or [Baseline/Chain/eXit] <specify vertex>: Select an object or press ENTER to define the angle by specifying three points.
 | Specify Vertex Creates a dimension based on three points you specify.
 | Specify angle vertex: Specify the point to use as the vertex of the angle. (1 in the illustration)
 | Specify first angle endpoint: Specify a point. (2)
 | Specify second angle endpoint: Specify a point. (3 in the illustration) The dimension line appears as an arc between the extension lines. The extension lines appear from the angle endpoints to the intersection of the dimension line.
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line (4) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to lock the dimension to.
 | Arc selected Uses the endpoints of the selected arc and its center as the defining points for a three-point angular dimension. The center of the arc is the vertex.
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line (2) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate to which quadrant the dimension is locked.
 | Circle selected Uses two points on a circle and the center of the circle as the defining points for a three-point angular dimension. The center of the circle is the vertex and the first selection point (1) is the origin of the first extension line.
 | Specify second angle endpoint: Specify the origin of the second extension line (2).
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line to the desired position (3) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to which the dimension is locked.
 | Line selected Creates a dimension for the angle between two lines. The line you selected (1) is the first line that defines the angle.
 | Specify second line: Select the second line (2).
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line to the desired position and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes. If the dimension line does not intersect the lines you are dimensioning, additional extension lines extend one or both lines. The dimension arc line is always less than 180 degrees.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to which the dimension is locked.

Radial

Creates dimensions for circles and arcs

Select option [Radius/Diameter/Jogged radius/Arc length/eXit]: Select the type of dimension to create or press ENTER to exit the command or enter X to go back to the previous prompt.
Radius Sets the dimension type to radius dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension or enter X to return to the previous prompt.
 | Specify dimension line location or [Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
Diameter Sets the dimension type to diameter dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension or enter X to return to the previous prompt.
 | Specify dimension line location or [Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions.
 |  | Options Displays the Diameter Dimension Options dialog box enabling you to configure the appearance of the dimension.
Jogged Radius Sets the dimension type to jogged radius dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension (1) or enter X to return to the previous prompt.
 | Specify center location override: Specify the point to use in place of the true center point of the arc or circle (2).
 | Specify dimension line location: Specify a point to indicate the angle of the dimension line (3). If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 | Specify jog location: Move the jog to the desired position and click to place the dimension (4). If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
Arc length Sets the dimension type to arc length dimensions.
 | Select arc or polyline arc segment [eXit]: Select an arc to dimension or enter X to return to the previous prompt.
 | Specify arc length dimension location or [Partial/Leader]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Partial Creates the arc length dimension for only a section of the arc.
 |  | Specify first point for arc length dimension: Specify a point for the origin of the first extension line of the arc length dimension.
 |  | Specify second point for arc length dimension: Specify a point for the origin of the second extension line of the arc length dimension.

Baseline

Creates a linear or angular dimension from the baseline of a selected dimension.

Select base dimension [eXit]: Select a linear or angular dimension to use as the base for the baseline dimension (1).
Specify next extension line origin or [Undo/Select/Chain] <Select>: Specify a point (2) or select an option.
 | Undo Undoes the last baseline dimension entered during this command session.
 | Select Prompts you to select a different dimension for use as the base for the baseline dimension.
 | Chain Switches to creating a chain dimension instead of a baseline dimension.

Chain

Creates a linear or angular dimension from the second extension line of a selected dimension.

Select base dimension [eXit]: Select a linear, angular, or arc length dimension to use as the base for the chain dimension (1).
Specify next extension line origin or [Undo/Select/Baseline] <Select>: Specify a point (2) or select an option.
 | Undo Undoes the last chain dimension entered during this command session.
 | Select Enables you to select a different dimension to use as the base for the chain dimension.
 | Baseline Enables you to switch to creation of baseline dimensions.

Options

Displays the Power Dimension Options dialog box enabling you to pre-configure options for this command session.

Update

Updates fits and tolerances of dimensions that you select, to reflect the most current settings configured for text height and color in AMOPTIONS. It also updates the upper and lower deviating values of a fit, sometimes necessary when you stretch a dimension.

Select dimension <All>: Select a dimension to update or press ENTER to select all.


Create Linear Dimensions (Quick Reference)

Create Linear Dimensions
Create Linear Dimensions
Create Linear Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM_HOR

Creates horizontal linear dimensions.

Ribbon: Home tab [image] Dimension panel [image] Dimension, Horizontal. Does not exist on the ribbon.
Toolbar: Dimension
Menu: Annotate [image] Dimension, Horizontal Does not exist in the menus.
Command entry: ampowerdim_hor

COMMAND LINE OPTIONS

Specify first extension line origin or [Options] <select object>: Specify the first point that defines the linear dimension (1) or enter O to display the Power Dimension Options dialog box or press ENTER to select an object to dimension

First Extension Line

Creates a horizontal linear dimension by letting you select two points.

Specify second extension line origin: Specify the second point that defines the linear dimension (2)
Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click (3) to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 | Placement Options Provides options to override the default distance snap settings.
 | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily.

Select Objects

Draws a horizontal linear dimension for the objects you select. If you select a line, the endpoints of the line are used as the origins of the extension lines. If you select an arc or a circle, a horizontal diameter dimension is drawn,

Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 | Placement Options Provides options to override the default distance snap settings.
 | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily.

Options

Displays the Power Dimension Options dialog box enabling you to pre-configure options for this command session.


Create Linear Dimensions (Quick Reference)

Create Linear Dimensions
Create Linear Dimensions
Create Linear Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM_VER

Creates vertical linear dimensions.

Ribbon: Home tab [image] Dimension panel [image] Dimension, Vertical. Does not exist on the ribbon.
Toolbar: Dimension
Menu: Annotate [image] Dimension, Vertical Does not exist in the menus.
Command entry: ampowerdim_ver

COMMAND LINE OPTIONS

Specify first extension line origin or [Options] <select object>: Specify the first point that defines the linear dimension (1) or enter O to display the Power Dimension Options dialog box or press ENTER to select an object to dimension

First Extension Line

Creates a vertical linear dimension by letting you select two points.

Specify second extension line origin: Specify the second point that defines the horizontal linear dimension (2).
Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position (3) and click to place it. The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 | Placement Options Provides options to override the default distance snap settings.
 | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily.

Select Objects

Draws a vertical linear dimension for the objects you select. If you select a line, the endpoints of the line are used as the origins of the extension lines. If you select an arc or a circle, a vertical diameter dimension is drawn,

Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click to place it. The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 | Placement Options Provides options to override the default distance snap settings.
 | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily:

Options

Displays the Power Dimension Options dialog box enabling you to pre-configure options for this command session.


Create Linear Dimensions (Quick Reference)

Create Linear Dimensions
Create Linear Dimensions
Create Linear Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM_ROT

Creates rotated linear dimensions.

Ribbon: Home tab [image] Dimension panel [image] Dimension, Rotated. Does not exist on the ribbon.
Toolbar: Dimension
Menu: Annotate [image] Dimension, Rotated Does not exist in the menus.
Command entry: ampowerdim_rot

This command is a shortcut to the Linear [image] Rotated option of the AMPOWERDIM command. It measures the distance between two points in a direction that is at an angle to a line connecting the two points.

COMMAND LINE OPTIONS

Specify angle of dimension line [Options] <0>:Specify an angle or press ENTER

Angle of Dimension Line

Defines the dimension by letting you specifying the rotation angle and select the extension line origins and then the dimension line location.

Specify first extension line origin or <select object>: Select the object to dimension or specify the first point that defines the rotated linear dimension (1)

Specify second extension line origin: Specify the second point that defines the linear dimension (2))

Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position (3) and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.

Placement Options

Provides options to override the default distance snap settings.

Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily:

Options

Displays the Power Dimension Options dialog box enabling you to pre-configure options for this command session.


Create Linear Dimensions (Quick Reference)

Create Linear Dimensions
Create Linear Dimensions
Create Linear Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM_ALI

Creates aligned linear dimensions.

Ribbon: Home tab [image] Dimension panel [image] Dimension, Aligned. Does not exist on the ribbon.
Toolbar: Dimension
Menu: Annotate [image] Dimension, Aligned Does not exist in the menus.
Command entry: ampowerdim_ali

COMMAND LINE OPTIONS

Specify first extension line origin or [Options] <select object>: Specify the first point that defines the linear dimension (1).

First Extension Line

Specify first extension line origin or [Options] <select object>: Specify the first point that defines the linear dimension (1).
Specify second extension line origin: Specify the second point that defines the linear dimension (2).
Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position (3) and click to place it. The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 | Placement Options Provides options to override the default distance snap settings.
 | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily:

Select Objects

Draws an aligned linear dimension for the objects you select. If you select a line, the endpoints of the line are used as the origins of the extension lines. If you select a circle, the endpoints of its diameter are used as the origins of the extension line. The point used to select the circle defines the origin of the first extension line.

Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the direction to a line connecting the origins of extension lines. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 | Placement Options Provides options to override the default distance snap settings.
 | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily:

Options

Displays the Power Dimension Options dialog box enabling you to pre-configure options for this command session.


Create Linear Dimensions (Quick Reference)

Create Linear Dimensions
Create Linear Dimensions
Create Linear Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Power Dimensioning dialog box

Use the Power Dimensioning dialog box to set dimension text, specify accuracy for dimension values, or add tolerances and fits to dimensions. This dialog box appears when you apply Power Edit to dimensions.

If the Power Dimensioning dialog box is not visible, enter CMDDIA on the command line and enter 1 to turn on the dialog box display.

Expands the dialog box so you can specify fit values. This button is not visible if the dimension is based on the ANSI standard.
Expands the dialog box so you can specify fit values. This button is visible only if the dimension is based on the ANSI standard.
 | Fit
 |  | Symbol Specifies the fit symbol. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. These options are visible only if you expand the dialog box using the [image] or [image] buttons.
 |  | Hole Specifies the symbol to use for the hole tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 |  | Shaft Specifies the symbol to use for the shaft tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 | Precision
 |  | Primary Specifies the number of decimals for the primary unit. This option is visible only if you expand the dialog box using the [image] or [image] buttons.
 |  | Alternate Specifies the number of decimals for the alternate unit. This option is visible only if you expand the dialog box using the [image] or [image] buttons. It is available only if you select Alternate units.
Expands the dialog box so you can specify settings for the tolerance.
 | Deviation Specifies the maximum and minimum tolerance value for the dimension.
 |  | Upper Specifies the difference between the nominal dimension value and the maximum limit. This option is visible only if you expand the dialog box using the [image] button.
 |  | Lower Specifies the difference between the nominal dimension value and the minimum limit. This option is visible only if you expand the dialog box using the [image] button.
 | Precision Specifies the number of decimals for the tolerance value.
 |  | Primary Specifies the number of decimals for the primary unit. This option is visible only if you expand the dialog box using the [image] button.
 |  | Alternate Specifies the number of decimals for the alternate unit. This option is visible only if you expand the dialog box using the [image] button. It is available only if you select Alternate units.
 | Preview Displays a preview of the fit or tolerance. Click the preview to change the tolerance or fit representation.
General tab
 | Dimension Symbol Displays a graphical representation of the current dimension text. Click the [image] button to the right of this box to select dimension text and special characters from predefined templates.
 |  | Displays dimension values in both inches and millimeters. The alternate units appear between square brackets.
 |  | Underlines the dimension value to indicate that the dimension is not to scale.
 |  | Draws a box around the dimension value to indicate that it is a theoretically exact dimension.
 |  | Draws a box around the dimension value to indicate that it is an inspection dimension.
 |  | Draws a parenthesis around the dimension value to indicate it is a reference dimension.
 | Text
 |  | Specifies that the dimension value must appear as part of the dimension text.
 |  | Displays a palette of special characters to add to dimension text.
 | Value
 |  | Exact Distance Displays the actual value for the current dimension.
 |  | Precision Specifies the number of decimals for the dimension value.
 | Properties
 |  | Apply to Applies the properties of the current dimension to other dimensions. The dialog box hides enabling you to select the dimensions to apply the properties to. Thereafter the Select Properties to Copy dialog box appears enabling you to specify which properties.
 |  | Copy from Imports the properties from another existing dimension. The dialog box hides enabling you to select the dimensions to copy the properties from. Thereafter the Select Properties to Copy dialog box appears enabling you to specify which properties.

Inspection tab
 | Shape Controls the shape of the frame drawn around the label, dimension value, and inspection rate of the inspection dimension.
 |  | Round Creates a frame with semi-circles on the ends. Vertical lines separate fields within the frame.
 |  | Angular Creates a frame with lines that form a 90-degree angle on the ends. Vertical lines separate fields within the frame.
 |  | None Draws no frame around the values. Does not separate fields with vertical lines
 |  | Graphic showing extension lines and arrowheads Controls the dimension text, arrowheads, extension lines, and force line inside options. Move the pointer over the graphic to display tooltips. Click arrowheads to display a pallet of options.
 | Label/Inspection Rate Controls the settings for the inspection dimension. Optionally shows a label and rate as part of the inspection dimension. You can control the label and rate fields individually, so it is not necessary to display both.
 |  | Label Toggles the display of the label field on/off in the inspection dimension.
 |  | Label Value Enables you to enter the label used to identify individual inspection dimensions. The label appears in the leftmost section of the inspection dimension when you select the Label check box.
 |  | Inspection Rate Toggles the display of the rate field on/off in the inspection dimension.
 |  | Inspection Rate Value Enables you to enter the rate used to indicate the frequency with which the part is inspected. The value is expressed as a percentage, and the valid range is 0 - 100. The inspection rate appears in the rightmost section of the inspection dimension when you select the Inspection Rate check box.

Geometry tab
 | Offset from Dim Line Sets the size of the gap between the text and the dimension line.
 | Center mark size Sets the size of the center mark. This option is visible only if you are setting options for a radius or diameter dimension. This option is not available by default. To make this option available, click the Center mark in the graphic showing the elements of a circle.
 | Graphic showing extension lines and arrowheads Controls the dimension text, arrowheads, extension lines, and force line inside options. Click the appropriate place in the graphic to customize that element. For example, click an arrowhead to display a palette of options. A tooltip shows the name of the element that can be controlled as you move the pointer over the elements of the graphic.

Units tab
 | Primary Sets options for primary units
 |  | Units Sets a unit type for dimensioning.
 |  | Linear Scale Sets a scale factor that multiplies the dimension value.
 |  | Round Off Sets a value for rounding off all dimensioning distances.
 | Primary Sets options for alternate units. These options are available only if you select Alternate units in the General tab.
 |  | Precision Sets the number of decimal places for alternate units


Create Linear Dimensions (Quick Reference)

Create Linear Dimensions
Create Linear Dimensions
Create Linear Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Placement Options dialog box

Use this dialog box to override the distance snap settings during this command session.

Use distance snap for placement

Forces power dimensions to use distance snaps regardless of the settings made in AMOPTIONS.

Snap value

Sets snap distance for the current command session. As you drag the dimension line, the dimension line “snaps” in place as you approach the snap distance. Selecting this option enables you to place the dimension at a precise distance from the origins of the extension lines.


Create Linear Dimensions (Quick Reference)

Create Linear Dimensions
Create Linear Dimensions
Create Linear Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dimension Overdrawn dialog box

Use this dialog box to change the placement of a dimension if you placed its dimension line on an existing dimension.

Replace

Deletes the existing dimension and replaces it with the one you insert.

Break up

Splits up the existing dimension into two dimensions, and arranges those dimensions into a chain dimension type.

Move away

Arranges the existing dimension and the newly inserted dimension into a baseline dimension type.


Create Linear Dimensions (Quick Reference)

Create Linear Dimensions
Create Linear Dimensions
Create Baseline and Chain Dimensions
Annotate drawings > Create dimensions >
Create Linear Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Power Dimension Options dialog box

Use this dialog box to pre-configure options for this command session.

Representation tab
 | Alternate units Displays dimension values in both inches and millimeters. The alternate units appear between square brackets.
 | Dimension not to scale Underlines the dimension value to indicate that the dimension is not to scale.
 | Theoretically exact Draws a box around the dimension value to indicate that it is a theoretical exact dimension.
 | Inspection Dimension Draws a box around the dimension value to indicate that it is an inspection dimension.
 | Reference dimension Draws a parenthesis around the dimension value to indicate it is a reference dimension.
 | Inspection values Sets options for inspection dimensions
 |  | Shape Controls the shape of the frame around label, dimension value, and inspection rate of the inspection dimension.
 |  |  | Round Creates a frame with semi-circles on the ends and separates the fields in the frame with vertical lines.
 |  |  | Angular Creates a frame with lines that form a 90-degree angle on the ends. Vertical lines separate fields in the frame.
 |  |  | None Draws no frame around the values and does not separate the fields with vertical lines.
 |  | Label/Inspection Rate Controls the settings for the inspection dimension. Optionally, shows a label and rate as part of the inspection dimension. You can control the label and rate fields individually, so it is not necessary to show both.
 |  |  | Label Toggles the display of the label field on/off in the inspection dimension.
 |  |  | Label Value Enables you to enter the label used to identify individual inspection dimensions. The label appears in the leftmost section of the inspection dimension when you select the Label check box.
 |  |  | Inspection Rate Toggles the display of the rate field on/off in the inspection dimension.
 |  |  | Inspection Rate Value Enables you to enter the rate used to indicate the frequency with which the part is inspected. The value is expressed as a percentage, the valid range being 0 - 100. The inspection rate appears in the rightmost section of the inspection dimension when you select the Inspection Rate check box.
Fits/Tolarences tab
 | Show fits/tolarences Enables the ability to specify fits or tolerances for the current dimensioning session.
 |  | Type
 |  |  | Fits
 |  |  |  | Symbol Specifies the fit symbol. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list.
 |  |  |  | Hole Specifies the symbol to use for the hole tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 |  |  |  | Shaft Specifies the symbol to use for the shaft tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 |  |  |  | Representation Displays the Fits Representation dialog box enabling you to select the fit representation.
 |  |  | Tolerances
 |  |  |  | Upper deviation Specifies the difference between the nominal dimension value and the maximum limit.
 |  |  |  | Lower deviation Specifies the difference between the nominal dimension value and the minimum limit.
 |  |  |  | Methods Displays a dialog box enabling you to select the tolerance method.
 |  | Precision
 |  |  |  | Primary precision Specifies the number of decimals for the primary unit.
 |  |  |  | Alternate precision Specifies the number of decimals for the alternate unit.


Create Baseline and Chain Dimensions (Concept)

Create Linear Dimensions
Create dimensions
Create Dimensions for Arcs and Circles
Annotate drawings > Create dimensions >
Create Baseline and Chain Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

After placing a linear or angular dimension using AMPOWERDIM, select the chain or baseline option to create chain and baseline dimensions within the same command session.

If you select the chain option, for each point you select, a chain dimension is created aligned to the previous (base) dimension.

Similarly, if you select the baseline option, for each point you select, a baseline dimension is created above or below the base dimension maintaining the correct dimension gap. Depending on the dimension you select as the base dimension, existing dimensions rearrange automatically. Each dimension line is offset from the previous one by the value in the DIMDLI system variable.

Instead of the AMPOWERDIM command, you can use the AMPOWERDIM_BAS command for baseline dimensions and the AMPOWERDIM_CHAIN command for chain dimensions. The AMPOWERDIM command uses command line options to select baseline and chain dimensions. The AMPOWERDIM_BAS and AMPOWERDIM_CHAIN commands skip the first selection step, but are identical to AMPOWERDIM in all other aspects.


Create Baseline and Chain Dimensions (Procedure)

Create Linear Dimensions
Up a level to ..
Create Baseline and Chain Dimensions
Annotate drawings > Create dimensions >
Create Baseline and Chain Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a baseline dimension

To create a chain dimension


Create Baseline and Chain Dimensions (Quick Reference)

Create Linear Dimensions
Create Baseline and Chain Dimensions
Create Baseline and Chain Dimensions
Annotate drawings > Create dimensions >
Create Baseline and Chain Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM

AMPOWERDIM_BAS

AMPOWERDIM_CHAIN

Power Dimensioning dialog box

Power Dimension Options dialog box


To create a baseline dimension (Procedure)

Create Baseline and Chain Dimensions
Up a level to ..
Create Baseline and Chain Dimensions
Annotate drawings > Create dimensions >
Create Baseline and Chain Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a baseline dimension

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMPOWERDIM.
  2. At the Command prompt, enter B to select baseline dimensions.
  3. Select a base dimension (1).
  4. In the drawing area, specify the origin of the next extension line (2).
  5. In the Power Dimensioning dialog box, edit the details of the dimension.
    NoteTo select from a list of pre-defined dimension text templates, click the [image] button beside the graphical representation of the current dimension text.
  6. In the drawing area, specify the origins of subsequent extension lines (3).
  7. Press ENTER to end dimensioning.


To create a chain dimension (Procedure)

Create Baseline and Chain Dimensions
Up a level to ..
Create Dimensions for Arcs and Circles
Annotate drawings > Create dimensions >
Create Baseline and Chain Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a chain dimension

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMPOWERDIM.
  2. At the command prompt, enter C to select Chain.
  3. Select a base dimension (1). Then specify the extension line origin at which to start the chain dimension (2).
  4. In the Power Dimensioning dialog box, edit the details of the dimension.
    NoteTo select from a list of pre-defined dimension text templates, click the [image] button beside the graphical representation of the current dimension text.
  5. Specify subsequent points on the object to dimension (3).
  6. Press ENTER twice to exit the dimensioning command.


Create Baseline and Chain Dimensions (Quick Reference)

Create Baseline and Chain Dimensions
Create Baseline and Chain Dimensions
Create Baseline and Chain Dimensions
Annotate drawings > Create dimensions >
Create Baseline and Chain Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM

Creates multiple types of dimensions within a single command session and provides the ability to specify tolerances or fits as appropriate.

Ribbon: Home tab [image] Dimension panel [image] Power Dimension. Does not exist on the ribbon.
Toolbar: Dimension [image] Desktop Annotation
Menu: Default Menu [image] Annotate [image] Power Dimension Does not exist in the menus.
Command entry: ampowerdim

COMMAND LINE OPTIONS

Specify first extension line origin or [Linear/Angular/Radial/Baseline/Chain/Options/Update] <select object>: Specify a point or press ENTER to select an object to dimension or select an option.

First Extension Line

Creates a linear dimension when you select two points.

Specify second extension line origin: Specify the second point that defines the linear dimension (2)
Specify dimension line location or [Horizontal/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. Depending on the direction you move the dimension, the dimension changes to a horizontal, vertical or aligned dimension.
 | Horizontal Sets the dimension type to horizontal linear dimensions.
 | Specify dimension line location or [Drag/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Vertical Sets the dimension type to vertical linear dimensions.
 | Specify dimension line location or [Drag/Horizontal/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Aligned Sets the dimension type to aligned linear dimensions.
 | Specify dimension line location or [Drag/Horizontal/Vertical/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Rotated Sets the dimension type to rotated linear dimensions.
 | Specify angle of dimension line <0>:Specify an angle or press ENTER
 | Specify dimension line location or [Drag/Horizontal/Vertical/Aligned/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Placement Options Provides options to override the default distance snap settings.
 | Select object to include for distance snap calculation or [Options] <eXit> Select an object to base the distance snap calculation on or enter O to display a dialog box, enabling you to override the snap distance or toggle distance snap temporarily.

Select Objects

Automatically selects an applicable dimension type for the objects you select.

Select arc, circle, line, or dimension: Select the object to dimension. The subsequent prompts depend on the type of object you select.
 | Arc selected Defaults the dimension type to radius dimensions.
 | Specify dimension line location or [Diameter/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 |  | Diameter Sets the dimension type to diameter dimensions.
 |  | Specify dimension line location or [Radius/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Radius Forces the dimension type back to radius dimensions.
 |  |  | Options Displays the Diameter Dimension Options dialog box enabling you to configure the appearance of the dimension.
 |  | Jogged Radius Sets the dimension type to jogged radius dimensions.
 |  | Specify center location override: Specify the point to use in place of the true center point of the arc or circle.
 |  | Specify dimension line location: Specify a point to indicate the angle of the dimension line. If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 |  | Specify jog location: Move the jog to the desired position and click to place the dimension. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Arc length Sets the dimension type to arc length dimensions.
 |  | Specify arc length dimension location or [Partial/Leader]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Partial Creates the arc length dimension for only a section of the arc.
 |  |  | Specify first point for arc length dimension: Specify a point for the origin of the first extension line of the arc length dimension.
 |  |  | Specify second point for arc length dimension: Specify a point for the origin of the second extension line of the arc length dimension.
 |  |  | Leader Draws a leader from the center of the dimension, pointing toward the center of the arc you are dimensioning. The leader appears only if the arc (or arc segment) is greater than 90 degrees.
 |  | Linear Forces the dimension type to linear dimensions. For an explanation of the subsequent prompts, refer to the prompts that appear when you select a line.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 | Circle selected Defaults the dimension type to diameter dimensions.
 | Specify dimension line location or [Radius/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Radius Sets the dimension type to radius dimensions.
 |  | Specify dimension line location or [Diameter/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Diameter Forces the dimension type back to diameter dimensions
 |  |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 |  | Jogged Radius Sets the dimension type to jogged radius dimensions.
 |  | Specify center location override: Specify the point to use in place of the true center point of the arc or circle.
 |  | Specify dimension line location: Specify a point to indicate the angle of the dimension line. If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 |  | Specify jog location: Move the jog to the desired position and click to place the dimension. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions. For an explanation of the subsequent prompts, refer to the prompts that appear when you select a line.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 | Line selected Defaults the dimension type to linear dimensions.
 |  | Specify dimension line location or [Horizontal/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. Depending on the direction you move the dimension, the dimension changes to a horizontal, vertical or aligned dimension.
 |  |  | Horizontal Sets the dimension type to horizontal linear dimensions.
 |  |  | Specify dimension line location or [ Drag/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Vertical Sets the dimension type to vertical linear dimensions.
 |  |  | Specify dimension line location or [Drag/Horizontal/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Aligned Sets the dimension type to aligned linear dimensions.
 |  |  | Specify dimension line location or [Drag/Horizontal/Vertical/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Rotated Sets the dimension type to rotated linear dimensions.
 |  |  | Specify angle of dimension line <0>:Specify an angle or press ENTER
 |  |  | Specify dimension line location or [Drag/Horizontal/Vertical/Aligned/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Placement Options Provides options to override the default distance snap settings.
 |  |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily.
 | Dimension selected Displays the Power Dimensioning dialog box enabling you to modify the dimension options.
 | Ellipse selected Defaults to options set for selecting a line.

Linear

Creates a linear dimension with a horizontal, vertical, or rotated dimension line.

Select option [Horizontal/Vertical/Aligned/Rotated/eXit]: Select an option or press ENTER to terminate the command.
 | Horizontal Sets the dimension type to horizontal linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the horizontal linear dimension (1)
 | Specify second extension line origin: Specify the second point that defines the horizontal linear dimension (2)
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click (3) to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.
 | Vertical Sets the dimension type to vertical linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the vertical linear dimension (1).
 | Specify second extension line origin: Specify the second point that defines the vertical linear dimension (2).
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click to place it (3). The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.
 | Aligned Sets the dimension type to aligned linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the aligned linear dimension (1).
 | Specify second extension line origin: Specify the second point that defines the aligned linear dimension (2).
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click to place it (3). The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily.
 | Rotated Sets the dimension type to rotated linear dimensions.
 | Specify angle of dimension line <0>:Specify an angle or press ENTER
 | Specify first extension line origin or <select object>: Select the object to dimension or specify the first point that defines the rotated linear dimension (1)
 |  | Specify First Extension Line Defines the dimension by letting you select the extension line origins and the dimension line location.
 | Specify second extension line origin: Specify the second point that defines the linear dimension (2)
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position (3) and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Select Object Defines the dimension by letting you select the object to dimension and the dimension line location.
 |  | Specify second extension line origin: Specify the second point that defines the linear dimension (2)
 |  | Select object to dimension: Specify an object to dimension. Applicable objects are highlighted in the drawing area as you move the crosshairs over them.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit> Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.

Angular

Creates an angular dimension showing the angle between three points by or the angle between two lines.

Select arc, circle, line or [Baseline/Chain/eXit] <specify vertex>: Select an object or press ENTER to define the angle by specifying three points.
 | Specify Vertex Creates a dimension based on three points you specify.
 | Specify angle vertex: Specify the point to use as the vertex of the angle. (1 in the illustration)
 | Specify first angle endpoint: Specify a point. (2)
 | Specify second angle endpoint: Specify a point. (3 in the illustration) The dimension line appears as an arc between the extension lines. The extension lines appear from the angle endpoints to the intersection of the dimension line.
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line (4) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to lock the dimension to.
 | Arc selected Uses the endpoints of the selected arc and its center as the defining points for a three-point angular dimension. The center of the arc is the vertex.
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line (2) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate to which quadrant the dimension is locked.
 | Circle selected Uses two points on a circle and the center of the circle as the defining points for a three-point angular dimension. The center of the circle is the vertex and the first selection point (1) is the origin of the first extension line.
 | Specify second angle endpoint: Specify the origin of the second extension line (2).
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line to the desired position (3) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to which the dimension is locked.
 | Line selected Creates a dimension for the angle between two lines. The line you selected (1) is the first line that defines the angle.
 | Specify second line: Select the second line (2).
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line to the desired position and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes. If the dimension line does not intersect the lines you are dimensioning, additional extension lines extend one or both lines. The dimension arc line is always less than 180 degrees.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to which the dimension is locked.

Radial

Creates dimensions for circles and arcs

Select option [Radius/Diameter/Jogged radius/Arc length/eXit]: Select the type of dimension to create or press ENTER to exit the command or enter X to go back to the previous prompt.
Radius Sets the dimension type to radius dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension or enter X to return to the previous prompt.
 | Specify dimension line location or [Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
Diameter Sets the dimension type to diameter dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension or enter X to return to the previous prompt.
 | Specify dimension line location or [Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions.
 |  | Options Displays the Diameter Dimension Options dialog box enabling you to configure the appearance of the dimension.
Jogged Radius Sets the dimension type to jogged radius dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension (1) or enter X to return to the previous prompt.
 | Specify center location override: Specify the point to use in place of the true center point of the arc or circle (2).
 | Specify dimension line location: Specify a point to indicate the angle of the dimension line (3). If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 | Specify jog location: Move the jog to the desired position and click to place the dimension (4). If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
Arc length Sets the dimension type to arc length dimensions.
 | Select arc or polyline arc segment [eXit]: Select an arc to dimension or enter X to return to the previous prompt.
 | Specify arc length dimension location or [Partial/Leader]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Partial Creates the arc length dimension for only a section of the arc.
 |  | Specify first point for arc length dimension: Specify a point for the origin of the first extension line of the arc length dimension.
 |  | Specify second point for arc length dimension: Specify a point for the origin of the second extension line of the arc length dimension.

Baseline

Creates a linear or angular dimension from the baseline of a selected dimension.

Select base dimension [eXit]: Select a linear or angular dimension to use as the base for the baseline dimension (1).
Specify next extension line origin or [Undo/Select/Chain] <Select>: Specify a point (2) or select an option.
 | Undo Undoes the last baseline dimension entered during this command session.
 | Select Prompts you to select a different dimension for use as the base for the baseline dimension.
 | Chain Switches to creating a chain dimension instead of a baseline dimension.

Chain

Creates a linear or angular dimension from the second extension line of a selected dimension.

Select base dimension [eXit]: Select a linear, angular, or arc length dimension to use as the base for the chain dimension (1).
Specify next extension line origin or [Undo/Select/Baseline] <Select>: Specify a point (2) or select an option.
 | Undo Undoes the last chain dimension entered during this command session.
 | Select Enables you to select a different dimension to use as the base for the chain dimension.
 | Baseline Enables you to switch to creation of baseline dimensions.

Options

Displays the Power Dimension Options dialog box enabling you to pre-configure options for this command session.

Update

Updates fits and tolerances of dimensions that you select, to reflect the most current settings configured for text height and color in AMOPTIONS. It also updates the upper and lower deviating values of a fit, sometimes necessary when you stretch a dimension.

Select dimension <All>: Select a dimension to update or press ENTER to select all.


Create Baseline and Chain Dimensions (Quick Reference)

Create Baseline and Chain Dimensions
Create Baseline and Chain Dimensions
Create Baseline and Chain Dimensions
Annotate drawings > Create dimensions >
Create Baseline and Chain Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM_BAS

Creates a linear or angular dimension from the first extension line of a selected dimension.

Ribbon: Annotate tab [image] Dimension panel [image] . Does not exist on the ribbon.
Toolbar: Dimension
Menu: Annotate [image] Dimension, Baseline Does not exist in the menus.
Command entry: ampowerdim_bas

This command is a shortcut to the Baseline option of the AMPOWERDIM command. It automatically stacks dimensions one on top of the other. Depending on which dimension you select as your base dimension, the command rearranges existing dimensions automatically. The DIMDLI system variable controls the gap between adjacent dimensions.

COMMAND LINE OPTIONS

Select base dimension [Options]: Select a linear or angular dimension to use as the base for the baseline dimension (1).

Base dimension selected

Creates a linear or angular dimension from the baseline of a selected dimension.

Specify next extension line origin or [Undo/Select] <Select>: Specify a point (2) or select an option,
 | Undo Undoes the last baseline dimension entered during this command session.
 | Select Prompts you to select a different dimension for use as the base for the baseline dimension.

Options

Displays the Power Dimension Options dialog box enabling you to pre-configure options for this command session.


Create Baseline and Chain Dimensions (Quick Reference)

Create Baseline and Chain Dimensions
Create Baseline and Chain Dimensions
Create Baseline and Chain Dimensions
Annotate drawings > Create dimensions >
Create Baseline and Chain Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM_CHAIN

Creates a linear, angular, or arc length dimension from the second extension line of a selected dimension.

Ribbon: Annotate tab [image] Dimension panel [image] . Does not exist on the ribbon.
Toolbar: Dimension
Menu: Annotate [image] Dimension, Chain Does not exist in the menus.
Command entry: ampowerdim_chain

This command is a shortcut to the Chain option of the AMPOWERDIM command. It automatically aligns the new dimension with the dimension you select as the baseline.

COMMAND LINE OPTIONS

Select base dimension [Options]: Select a linear, angular, or arc length dimension to use as the base for the chain dimension (1).

Base dimension selected

Creates a linear or angular dimension from the baseline of a selected dimension.

Specify next extension line origin or [Undo/Select/Baseline] <Select>: Specify a point (2) or select an option,
 | Undo Undoes the last chain dimension entered during this command session.
 | Select Enables you to select a different dimension to use as the base for the chain dimension.
 | Baseline Enables you to switch to creation of baseline dimensions.

Options

Displays the Power Dimension Options dialog box enabling you to pre-configure options for this command session.


Create Baseline and Chain Dimensions (Quick Reference)

Create Baseline and Chain Dimensions
Create Baseline and Chain Dimensions
Create Baseline and Chain Dimensions
Annotate drawings > Create dimensions >
Create Baseline and Chain Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Power Dimensioning dialog box

Use the Power Dimensioning dialog box to set dimension text, specify accuracy for dimension values, or add tolerances and fits to dimensions. This dialog box appears when you apply Power Edit to dimensions.

If the Power Dimensioning dialog box is not visible, enter CMDDIA on the command line and enter 1 to turn on the dialog box display.

Expands the dialog box so you can specify fit values. This button is not visible if the dimension is based on the ANSI standard.
Expands the dialog box so you can specify fit values. This button is visible only if the dimension is based on the ANSI standard.
 | Fit
 |  | Symbol Specifies the fit symbol. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. These options are visible only if you expand the dialog box using the [image] or [image] buttons.
 |  | Hole Specifies the symbol to use for the hole tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 |  | Shaft Specifies the symbol to use for the shaft tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 | Precision
 |  | Primary Specifies the number of decimals for the primary unit. This option is visible only if you expand the dialog box using the [image] or [image] buttons.
 |  | Alternate Specifies the number of decimals for the alternate unit. This option is visible only if you expand the dialog box using the [image] or [image] buttons. It is available only if you select Alternate units.
Expands the dialog box so you can specify settings for the tolerance.
 | Deviation Specifies the maximum and minimum tolerance value for the dimension.
 |  | Upper Specifies the difference between the nominal dimension value and the maximum limit. This option is visible only if you expand the dialog box using the [image] button.
 |  | Lower Specifies the difference between the nominal dimension value and the minimum limit. This option is visible only if you expand the dialog box using the [image] button.
 | Precision Specifies the number of decimals for the tolerance value.
 |  | Primary Specifies the number of decimals for the primary unit. This option is visible only if you expand the dialog box using the [image] button.
 |  | Alternate Specifies the number of decimals for the alternate unit. This option is visible only if you expand the dialog box using the [image] button. It is available only if you select Alternate units.
 | Preview Displays a preview of the fit or tolerance. Click the preview to change the tolerance or fit representation.
General tab
 | Dimension Symbol Displays a graphical representation of the current dimension text. Click the [image] button to the right of this box to select dimension text and special characters from predefined templates.
 |  | Displays dimension values in both inches and millimeters. The alternate units appear between square brackets.
 |  | Underlines the dimension value to indicate that the dimension is not to scale.
 |  | Draws a box around the dimension value to indicate that it is a theoretically exact dimension.
 |  | Draws a box around the dimension value to indicate that it is an inspection dimension.
 |  | Draws a parenthesis around the dimension value to indicate it is a reference dimension.
 | Text
 |  | Specifies that the dimension value must appear as part of the dimension text.
 |  | Displays a palette of special characters to add to dimension text.
 | Value
 |  | Exact Distance Displays the actual value for the current dimension.
 |  | Precision Specifies the number of decimals for the dimension value.
 | Properties
 |  | Apply to Applies the properties of the current dimension to other dimensions. The dialog box hides enabling you to select the dimensions to apply the properties to. Thereafter the Select Properties to Copy dialog box appears enabling you to specify which properties.
 |  | Copy from Imports the properties from another existing dimension. The dialog box hides enabling you to select the dimensions to copy the properties from. Thereafter the Select Properties to Copy dialog box appears enabling you to specify which properties.

Inspection tab
 | Shape Controls the shape of the frame drawn around the label, dimension value, and inspection rate of the inspection dimension.
 |  | Round Creates a frame with semi-circles on the ends. Vertical lines separate fields within the frame.
 |  | Angular Creates a frame with lines that form a 90-degree angle on the ends. Vertical lines separate fields within the frame.
 |  | None Draws no frame around the values. Does not separate fields with vertical lines
 |  | Graphic showing extension lines and arrowheads Controls the dimension text, arrowheads, extension lines, and force line inside options. Move the pointer over the graphic to display tooltips. Click arrowheads to display a pallet of options.
 | Label/Inspection Rate Controls the settings for the inspection dimension. Optionally shows a label and rate as part of the inspection dimension. You can control the label and rate fields individually, so it is not necessary to display both.
 |  | Label Toggles the display of the label field on/off in the inspection dimension.
 |  | Label Value Enables you to enter the label used to identify individual inspection dimensions. The label appears in the leftmost section of the inspection dimension when you select the Label check box.
 |  | Inspection Rate Toggles the display of the rate field on/off in the inspection dimension.
 |  | Inspection Rate Value Enables you to enter the rate used to indicate the frequency with which the part is inspected. The value is expressed as a percentage, and the valid range is 0 - 100. The inspection rate appears in the rightmost section of the inspection dimension when you select the Inspection Rate check box.

Geometry tab
 | Offset from Dim Line Sets the size of the gap between the text and the dimension line.
 | Center mark size Sets the size of the center mark. This option is visible only if you are setting options for a radius or diameter dimension. This option is not available by default. To make this option available, click the Center mark in the graphic showing the elements of a circle.
 | Graphic showing extension lines and arrowheads Controls the dimension text, arrowheads, extension lines, and force line inside options. Click the appropriate place in the graphic to customize that element. For example, click an arrowhead to display a palette of options. A tooltip shows the name of the element that can be controlled as you move the pointer over the elements of the graphic.

Units tab
 | Primary Sets options for primary units
 |  | Units Sets a unit type for dimensioning.
 |  | Linear Scale Sets a scale factor that multiplies the dimension value.
 |  | Round Off Sets a value for rounding off all dimensioning distances.
 | Primary Sets options for alternate units. These options are available only if you select Alternate units in the General tab.
 |  | Precision Sets the number of decimal places for alternate units


Create Baseline and Chain Dimensions (Quick Reference)

Create Baseline and Chain Dimensions
Create Baseline and Chain Dimensions
Create Dimensions for Arcs and Circles
Annotate drawings > Create dimensions >
Create Baseline and Chain Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Power Dimension Options dialog box

Use this dialog box to pre-configure options for this command session.

Representation tab
 | Alternate units Displays dimension values in both inches and millimeters. The alternate units appear between square brackets.
 | Dimension not to scale Underlines the dimension value to indicate that the dimension is not to scale.
 | Theoretically exact Draws a box around the dimension value to indicate that it is a theoretical exact dimension.
 | Inspection Dimension Draws a box around the dimension value to indicate that it is an inspection dimension.
 | Reference dimension Draws a parenthesis around the dimension value to indicate it is a reference dimension.
 | Inspection values Sets options for inspection dimensions
 |  | Shape Controls the shape of the frame around label, dimension value, and inspection rate of the inspection dimension.
 |  |  | Round Creates a frame with semi-circles on the ends and separates the fields in the frame with vertical lines.
 |  |  | Angular Creates a frame with lines that form a 90-degree angle on the ends. Vertical lines separate fields in the frame.
 |  |  | None Draws no frame around the values and does not separate the fields with vertical lines.
 |  | Label/Inspection Rate Controls the settings for the inspection dimension. Optionally, shows a label and rate as part of the inspection dimension. You can control the label and rate fields individually, so it is not necessary to show both.
 |  |  | Label Toggles the display of the label field on/off in the inspection dimension.
 |  |  | Label Value Enables you to enter the label used to identify individual inspection dimensions. The label appears in the leftmost section of the inspection dimension when you select the Label check box.
 |  |  | Inspection Rate Toggles the display of the rate field on/off in the inspection dimension.
 |  |  | Inspection Rate Value Enables you to enter the rate used to indicate the frequency with which the part is inspected. The value is expressed as a percentage, the valid range being 0 - 100. The inspection rate appears in the rightmost section of the inspection dimension when you select the Inspection Rate check box.
Fits/Tolarences tab
 | Show fits/tolarences Enables the ability to specify fits or tolerances for the current dimensioning session.
 |  | Type
 |  |  | Fits
 |  |  |  | Symbol Specifies the fit symbol. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list.
 |  |  |  | Hole Specifies the symbol to use for the hole tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 |  |  |  | Shaft Specifies the symbol to use for the shaft tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 |  |  |  | Representation Displays the Fits Representation dialog box enabling you to select the fit representation.
 |  |  | Tolerances
 |  |  |  | Upper deviation Specifies the difference between the nominal dimension value and the maximum limit.
 |  |  |  | Lower deviation Specifies the difference between the nominal dimension value and the minimum limit.
 |  |  |  | Methods Displays a dialog box enabling you to select the tolerance method.
 |  | Precision
 |  |  |  | Primary precision Specifies the number of decimals for the primary unit.
 |  |  |  | Alternate precision Specifies the number of decimals for the alternate unit.


Create Dimensions for Arcs and Circles (Concept)

Create Baseline and Chain Dimensions
Create dimensions
Create Angular Dimensions
Annotate drawings > Create dimensions >
Create Dimensions for Arcs and Circles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The AMPOWERDIM command enables you to create radial dimensions and diameter dimensions for arcs and circles, as well as arc length dimensions for arcs.

When you create a radius or diameter dimension for an arc, it is not necessary to position the dimension line along the arc directly. If you place the dimension off of an arc resulting in the dimension pointing outside the arc, the program draws an extension line that follows the path of the arc being dimensioned. To suppress the creation of extension lines, set the DIMSE1 system variable to ON.

As you place radius or diameter dimensions in the drawing area, you can select placement options, enabling you to specify the appearance of the dimension. For example, you can choose place diameter and radius dimensions inside or outside the circle or arc.

If the arc or circle is so large that it is not practical to draw a radius dimension from the center, create a jogged radius dimension. This dimension enables you to begin the dimension line at a location other than the center of the arc or circle you are dimensioning (1). Once a jogged radius dimension exists, you can modify the jog (2) and the center location override by grip editing the dimension.

In addition to the AMPOWERDIM command, you can use AMPOWERDIM_RAD for radius and arc length dimensions, AMPOWERDIM_DIA for diameter dimensions and AMPOWERDIM_JOG for jogged radius dimensions. With AMPOWERDIM, use command line options to select options for these dimension types. The other commands skip the first selection steps, but they are identical to AMPOWERDIM in all other aspects.


Create Dimensions for Arcs and Circles (Procedure)

Create Baseline and Chain Dimensions
Up a level to ..
Create Dimensions for Arcs and Circles
Annotate drawings > Create dimensions >
Create Dimensions for Arcs and Circles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a radius or diameter dimension

To create a jogged radius dimension

To create a linear diameter dimension

To create an arc length dimension

To draw center marks and/or centerlines for radius and diameter dimensions


Create Dimensions for Arcs and Circles (Quick Reference)

Create Baseline and Chain Dimensions
Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Annotate drawings > Create dimensions >
Create Dimensions for Arcs and Circles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM

AMPOWERDIM_RAD

AMPOWERDIM_DIA

AMPOWERDIM_JOG

AMPOWERDIM_ARCLEN

Power Dimensioning dialog box

Radius Dimension Options dialog box

Diameter Dimension Options dialog box

Power Dimension Options dialog box


To create a radius or diameter dimension (Procedure)

Create Dimensions for Arcs and Circles
Up a level to ..
Create Dimensions for Arcs and Circles
Annotate drawings > Create dimensions >
Create Dimensions for Arcs and Circles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a radius or diameter dimension

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMPOWERDIM.
  2. Press ENTER.
  3. In the drawing area, select an arc or a circle (1).
  4. Place the dimension line (2).
  5. In the Power Dimensioning dialog box, edit the details of the dimension.
    NoteTo select from a list of pre-defined dimension text templates, click the [image] button beside the graphical representation of the current dimension text.
  6. Click OK.


To create a jogged radius dimension (Procedure)

Create Dimensions for Arcs and Circles
Up a level to ..
Create Dimensions for Arcs and Circles
Annotate drawings > Create dimensions >
Create Dimensions for Arcs and Circles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a jogged radius dimension

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMPOWERDIM.
  2. Press ENTER.
  3. In the drawing area, select the arc (1).
  4. Enter J.
  5. Click to specify a point for the dimension origin (the center location override) (2).
  6. Click to specify a point for the dimension line angle (3).
  7. Click to specify the location of the dimension jog (4).
  8. In the Power Dimensioning dialog box, edit the details of the dimension.
    NoteTo select from a list of pre-defined dimension text templates, click the [image] button beside the graphical representation of the current dimension text.
  9. Click OK.


To create a linear diameter dimension (Procedure)

Create Dimensions for Arcs and Circles
Up a level to ..
Create Dimensions for Arcs and Circles
Annotate drawings > Create dimensions >
Create Dimensions for Arcs and Circles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a linear diameter dimension

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMPOWERDIM.
  2. Press ENTER.
  3. In the drawing area, select the circle (1).
  4. Enter L.
  5. Place the dimensions (2).
  6. In the Power Dimensioning dialog box, edit the details of the dimension.
    NoteTo select from a list of pre-defined dimension text templates, click the [image] button beside the graphical representation of the current dimension text.
  7. Click OK.


To create an arc length dimension (Procedure)

Create Dimensions for Arcs and Circles
Up a level to ..
Create Dimensions for Arcs and Circles
Annotate drawings > Create dimensions >
Create Dimensions for Arcs and Circles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an arc length dimension

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMPOWERDIM.
  2. Press ENTER.
  3. In the drawing area, select the arc (1).
  4. Enter A.
  5. Place the dimensions (2).
  6. In the Power Dimensioning dialog box, edit the details of the dimension.
    NoteTo select from a list of pre-defined dimension text templates, click the [image] button beside the graphical representation of the current dimension text.
  7. Click OK.


To draw center marks and/or centerlines for radius and diameter dimensions (Procedure)

Create Dimensions for Arcs and Circles
Up a level to ..
Create Angular Dimensions
Annotate drawings > Create dimensions >
Create Dimensions for Arcs and Circles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw center marks and/or centerlines for radius and diameter dimensions

  1. Select a radial or diameter dimension by double-clicking it. The Power Dimensioning dialog box is displayed.
  2. Select the Geometry tab.
  3. In the graphic showing the dimension, select the center marks. Click once for a center mark. Click twice for a centerline.
  4. Under Center mark size, enter the desired numerical value.
  5. Click OK.
NoteIf arrows or text are inside the arc, center marks do not appear as part of a dimension.


Create Dimensions for Arcs and Circles (Quick Reference)

Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Annotate drawings > Create dimensions >
Create Dimensions for Arcs and Circles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM

Creates multiple types of dimensions within a single command session and provides the ability to specify tolerances or fits as appropriate.

Ribbon: Home tab [image] Dimension panel [image] Power Dimension. Does not exist on the ribbon.
Toolbar: Dimension [image] Desktop Annotation
Menu: Default Menu [image] Annotate [image] Power Dimension Does not exist in the menus.
Command entry: ampowerdim

COMMAND LINE OPTIONS

Specify first extension line origin or [Linear/Angular/Radial/Baseline/Chain/Options/Update] <select object>: Specify a point or press ENTER to select an object to dimension or select an option.

First Extension Line

Creates a linear dimension when you select two points.

Specify second extension line origin: Specify the second point that defines the linear dimension (2)
Specify dimension line location or [Horizontal/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. Depending on the direction you move the dimension, the dimension changes to a horizontal, vertical or aligned dimension.
 | Horizontal Sets the dimension type to horizontal linear dimensions.
 | Specify dimension line location or [Drag/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Vertical Sets the dimension type to vertical linear dimensions.
 | Specify dimension line location or [Drag/Horizontal/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Aligned Sets the dimension type to aligned linear dimensions.
 | Specify dimension line location or [Drag/Horizontal/Vertical/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Rotated Sets the dimension type to rotated linear dimensions.
 | Specify angle of dimension line <0>:Specify an angle or press ENTER
 | Specify dimension line location or [Drag/Horizontal/Vertical/Aligned/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Placement Options Provides options to override the default distance snap settings.
 | Select object to include for distance snap calculation or [Options] <eXit> Select an object to base the distance snap calculation on or enter O to display a dialog box, enabling you to override the snap distance or toggle distance snap temporarily.

Select Objects

Automatically selects an applicable dimension type for the objects you select.

Select arc, circle, line, or dimension: Select the object to dimension. The subsequent prompts depend on the type of object you select.
 | Arc selected Defaults the dimension type to radius dimensions.
 | Specify dimension line location or [Diameter/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 |  | Diameter Sets the dimension type to diameter dimensions.
 |  | Specify dimension line location or [Radius/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Radius Forces the dimension type back to radius dimensions.
 |  |  | Options Displays the Diameter Dimension Options dialog box enabling you to configure the appearance of the dimension.
 |  | Jogged Radius Sets the dimension type to jogged radius dimensions.
 |  | Specify center location override: Specify the point to use in place of the true center point of the arc or circle.
 |  | Specify dimension line location: Specify a point to indicate the angle of the dimension line. If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 |  | Specify jog location: Move the jog to the desired position and click to place the dimension. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Arc length Sets the dimension type to arc length dimensions.
 |  | Specify arc length dimension location or [Partial/Leader]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Partial Creates the arc length dimension for only a section of the arc.
 |  |  | Specify first point for arc length dimension: Specify a point for the origin of the first extension line of the arc length dimension.
 |  |  | Specify second point for arc length dimension: Specify a point for the origin of the second extension line of the arc length dimension.
 |  |  | Leader Draws a leader from the center of the dimension, pointing toward the center of the arc you are dimensioning. The leader appears only if the arc (or arc segment) is greater than 90 degrees.
 |  | Linear Forces the dimension type to linear dimensions. For an explanation of the subsequent prompts, refer to the prompts that appear when you select a line.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 | Circle selected Defaults the dimension type to diameter dimensions.
 | Specify dimension line location or [Radius/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Radius Sets the dimension type to radius dimensions.
 |  | Specify dimension line location or [Diameter/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Diameter Forces the dimension type back to diameter dimensions
 |  |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 |  | Jogged Radius Sets the dimension type to jogged radius dimensions.
 |  | Specify center location override: Specify the point to use in place of the true center point of the arc or circle.
 |  | Specify dimension line location: Specify a point to indicate the angle of the dimension line. If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 |  | Specify jog location: Move the jog to the desired position and click to place the dimension. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions. For an explanation of the subsequent prompts, refer to the prompts that appear when you select a line.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 | Line selected Defaults the dimension type to linear dimensions.
 |  | Specify dimension line location or [Horizontal/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. Depending on the direction you move the dimension, the dimension changes to a horizontal, vertical or aligned dimension.
 |  |  | Horizontal Sets the dimension type to horizontal linear dimensions.
 |  |  | Specify dimension line location or [ Drag/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Vertical Sets the dimension type to vertical linear dimensions.
 |  |  | Specify dimension line location or [Drag/Horizontal/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Aligned Sets the dimension type to aligned linear dimensions.
 |  |  | Specify dimension line location or [Drag/Horizontal/Vertical/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Rotated Sets the dimension type to rotated linear dimensions.
 |  |  | Specify angle of dimension line <0>:Specify an angle or press ENTER
 |  |  | Specify dimension line location or [Drag/Horizontal/Vertical/Aligned/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Placement Options Provides options to override the default distance snap settings.
 |  |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily.
 | Dimension selected Displays the Power Dimensioning dialog box enabling you to modify the dimension options.
 | Ellipse selected Defaults to options set for selecting a line.

Linear

Creates a linear dimension with a horizontal, vertical, or rotated dimension line.

Select option [Horizontal/Vertical/Aligned/Rotated/eXit]: Select an option or press ENTER to terminate the command.
 | Horizontal Sets the dimension type to horizontal linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the horizontal linear dimension (1)
 | Specify second extension line origin: Specify the second point that defines the horizontal linear dimension (2)
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click (3) to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.
 | Vertical Sets the dimension type to vertical linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the vertical linear dimension (1).
 | Specify second extension line origin: Specify the second point that defines the vertical linear dimension (2).
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click to place it (3). The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.
 | Aligned Sets the dimension type to aligned linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the aligned linear dimension (1).
 | Specify second extension line origin: Specify the second point that defines the aligned linear dimension (2).
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click to place it (3). The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily.
 | Rotated Sets the dimension type to rotated linear dimensions.
 | Specify angle of dimension line <0>:Specify an angle or press ENTER
 | Specify first extension line origin or <select object>: Select the object to dimension or specify the first point that defines the rotated linear dimension (1)
 |  | Specify First Extension Line Defines the dimension by letting you select the extension line origins and the dimension line location.
 | Specify second extension line origin: Specify the second point that defines the linear dimension (2)
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position (3) and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Select Object Defines the dimension by letting you select the object to dimension and the dimension line location.
 |  | Specify second extension line origin: Specify the second point that defines the linear dimension (2)
 |  | Select object to dimension: Specify an object to dimension. Applicable objects are highlighted in the drawing area as you move the crosshairs over them.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit> Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.

Angular

Creates an angular dimension showing the angle between three points by or the angle between two lines.

Select arc, circle, line or [Baseline/Chain/eXit] <specify vertex>: Select an object or press ENTER to define the angle by specifying three points.
 | Specify Vertex Creates a dimension based on three points you specify.
 | Specify angle vertex: Specify the point to use as the vertex of the angle. (1 in the illustration)
 | Specify first angle endpoint: Specify a point. (2)
 | Specify second angle endpoint: Specify a point. (3 in the illustration) The dimension line appears as an arc between the extension lines. The extension lines appear from the angle endpoints to the intersection of the dimension line.
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line (4) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to lock the dimension to.
 | Arc selected Uses the endpoints of the selected arc and its center as the defining points for a three-point angular dimension. The center of the arc is the vertex.
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line (2) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate to which quadrant the dimension is locked.
 | Circle selected Uses two points on a circle and the center of the circle as the defining points for a three-point angular dimension. The center of the circle is the vertex and the first selection point (1) is the origin of the first extension line.
 | Specify second angle endpoint: Specify the origin of the second extension line (2).
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line to the desired position (3) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to which the dimension is locked.
 | Line selected Creates a dimension for the angle between two lines. The line you selected (1) is the first line that defines the angle.
 | Specify second line: Select the second line (2).
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line to the desired position and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes. If the dimension line does not intersect the lines you are dimensioning, additional extension lines extend one or both lines. The dimension arc line is always less than 180 degrees.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to which the dimension is locked.

Radial

Creates dimensions for circles and arcs

Select option [Radius/Diameter/Jogged radius/Arc length/eXit]: Select the type of dimension to create or press ENTER to exit the command or enter X to go back to the previous prompt.
Radius Sets the dimension type to radius dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension or enter X to return to the previous prompt.
 | Specify dimension line location or [Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
Diameter Sets the dimension type to diameter dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension or enter X to return to the previous prompt.
 | Specify dimension line location or [Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions.
 |  | Options Displays the Diameter Dimension Options dialog box enabling you to configure the appearance of the dimension.
Jogged Radius Sets the dimension type to jogged radius dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension (1) or enter X to return to the previous prompt.
 | Specify center location override: Specify the point to use in place of the true center point of the arc or circle (2).
 | Specify dimension line location: Specify a point to indicate the angle of the dimension line (3). If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 | Specify jog location: Move the jog to the desired position and click to place the dimension (4). If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
Arc length Sets the dimension type to arc length dimensions.
 | Select arc or polyline arc segment [eXit]: Select an arc to dimension or enter X to return to the previous prompt.
 | Specify arc length dimension location or [Partial/Leader]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Partial Creates the arc length dimension for only a section of the arc.
 |  | Specify first point for arc length dimension: Specify a point for the origin of the first extension line of the arc length dimension.
 |  | Specify second point for arc length dimension: Specify a point for the origin of the second extension line of the arc length dimension.

Baseline

Creates a linear or angular dimension from the baseline of a selected dimension.

Select base dimension [eXit]: Select a linear or angular dimension to use as the base for the baseline dimension (1).
Specify next extension line origin or [Undo/Select/Chain] <Select>: Specify a point (2) or select an option.
 | Undo Undoes the last baseline dimension entered during this command session.
 | Select Prompts you to select a different dimension for use as the base for the baseline dimension.
 | Chain Switches to creating a chain dimension instead of a baseline dimension.

Chain

Creates a linear or angular dimension from the second extension line of a selected dimension.

Select base dimension [eXit]: Select a linear, angular, or arc length dimension to use as the base for the chain dimension (1).
Specify next extension line origin or [Undo/Select/Baseline] <Select>: Specify a point (2) or select an option.
 | Undo Undoes the last chain dimension entered during this command session.
 | Select Enables you to select a different dimension to use as the base for the chain dimension.
 | Baseline Enables you to switch to creation of baseline dimensions.

Options

Displays the Power Dimension Options dialog box enabling you to pre-configure options for this command session.

Update

Updates fits and tolerances of dimensions that you select, to reflect the most current settings configured for text height and color in AMOPTIONS. It also updates the upper and lower deviating values of a fit, sometimes necessary when you stretch a dimension.

Select dimension <All>: Select a dimension to update or press ENTER to select all.


Create Dimensions for Arcs and Circles (Quick Reference)

Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Annotate drawings > Create dimensions >
Create Dimensions for Arcs and Circles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM_RAD

Creates radius dimensions for arcs and circles.

Ribbon: Home tab [image] Dimension panel [image] Dimension, Radius. Does not exist on the ribbon.
Toolbar: Dimension
Menu: Annotate [image] Dimension, Radius Does not exist in the menus.
Command entry: ampowerdim_rad

COMMAND LINE OPTIONS

Select arc or circle [Options]: Select an arc or circle to dimension or enter O to display the Power Dimension Options dialog box.

Select arc or circle

Forces the dimension type to linear dimensions.

Specify dimension line location or [Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 | Linear Forces dimension type to linear dimensions
 | Specify dimension line location or [Horizontal/Vertical/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. Depending on the direction you move the dimension, the dimension changes to a horizontal, vertical or aligned dimension.
 |  | Horizontal Sets the dimension type to horizontal linear dimensions.
 |  | Specify dimension line location or [Drag/Vertical/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Vertical Sets the dimension type to vertical linear dimensions.
 |  | Specify dimension line location or [Drag/Horizontal/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Rotated Sets the dimension type to rotated linear dimensions.
 |  | Specify angle of dimension line <0>:Specify an angle or press ENTER
 |  | Specify dimension line location or [Drag/Horizontal/Vertical/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily.

Options

Displays the Power Dimension Options dialog box enabling you to pre-configure options for this command session.


Create Dimensions for Arcs and Circles (Quick Reference)

Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Annotate drawings > Create dimensions >
Create Dimensions for Arcs and Circles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM_DIA

Creates diameter dimensions for arcs and circles.

Ribbon: Home tab [image] Dimension panel [image] Dimension, Diameter. Does not exist on the ribbon.
Toolbar: Dimension
Menu: Annotate [image] Dimension, Diameter Does not exist in the menus.
Command entry: ampowerdim_dia

This command is a shortcut to the Radial [image] Diameter option of the AMPOWERDIM command. It automatically adds a diameter symbol to the dimension text of the dimension it creates.

COMMAND LINE OPTIONS

Select arc or circle [Options]: Select an arc or circle to dimension or enter O to display the Power Dimension Options dialog box.

Arc or circle selected

Forces the dimension type to linear dimensions.

Specify dimension line location or [Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 | Linear Forces dimension type to linear dimensions
 | Specify dimension line location or [Horizontal/Vertical/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. Depending on the direction you move the dimension, the dimension changes to a horizontal, vertical or aligned dimension.
 |  | Horizontal Sets the dimension type to horizontal linear dimensions.
 |  | Specify dimension line location or [Drag/Vertical/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Vertical Sets the dimension type to vertical linear dimensions.
 |  | Specify dimension line location or [Drag/Horizontal/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Rotated Sets the dimension type to rotated linear dimensions.
 |  | Specify angle of dimension line <0>:Specify an angle or press ENTER
 |  | Specify dimension line location or [Drag/Horizontal/Vertical/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily.

Options

Displays the Power Dimension Options dialog box enabling you to pre-configure options for this command session.


Create Dimensions for Arcs and Circles (Quick Reference)

Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Annotate drawings > Create dimensions >
Create Dimensions for Arcs and Circles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM_JOG

Create a radius dimension with the origin of the dimension at any location you wish and a jog at a convenient location along the dimension line.

Ribbon: Home tab [image] Dimension panel [image] Dimension, Jogged. Does not exist on the ribbon.
Toolbar: Dimension
Menu: Annotate [image] Dimension, Jogged Does not exist in the menus.
Command entry: ampowerdim_jog

This command takes you directly to the Radial [image] Jogged Radius option of the AMPOWERDIM command, reducing the number of prompts you must respond to. A jogged radius dimension is typically used when it is not convenient to use the center of the arc as the origin of the dimension (for example, an arc with a large radius, whose center is located off the drawing border).

COMMAND LINE OPTIONS

Select arc or circle [Options]: Select an arc or circle to dimension (1).

Arc or circle selected

Creates a jogged radius dimension for the selected circle.

Specify center location override: Specify the point to use as the origin of the dimension, instead of the true center point of the arc or circle (2).

Specify dimension line location: Specify a point to indicate the angle of the dimension line (3). If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.

Specify jog location: Move the jog to the desired position and click to place the dimension (4). If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.

Options

Displays the Power Dimension Options dialog box enabling you to pre-configure options for this command session.


Create Dimensions for Arcs and Circles (Quick Reference)

Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Annotate drawings > Create dimensions >
Create Dimensions for Arcs and Circles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM_ARCLEN

Creates arc length dimensions for arcs and arc segments on a polyline.

Ribbon: Home tab [image] Dimension panel [image] . Does not exist on the ribbon.
Toolbar: Dimension
Menu: Annotate [image] Dimension, Arc Length Does not exist in the menus.
Command entry: ampowerdim_arclen

This command takes you directly to the Radial [image] Arc Length option of the AMPOWERDIM command, reducing the number of prompts you must respond to. The dimension this command creates measures the distance between 2 points along an arc.

COMMAND LINE OPTIONS

Select arc or polyline arc segment [Options]: Select an arc to dimension.

Arc or polyline arc segment selected

Creates an arc length dimension for the selected arc.

Specify arc length dimension location or [Partial]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
Partial Creates the arc length dimension for only a section of the arc.
 | Specify first point for arc length dimension: Specify a point for the origin of the first extension line of the arc length dimension.
 | Specify second point for arc length dimension: Specify a point for the origin of the second extension line of the arc length dimension.

Options

Displays the Power Dimension Options dialog box enabling you to pre-configure options for this command session.


Create Dimensions for Arcs and Circles (Quick Reference)

Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Annotate drawings > Create dimensions >
Create Dimensions for Arcs and Circles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Power Dimensioning dialog box

Use the Power Dimensioning dialog box to set dimension text, specify accuracy for dimension values, or add tolerances and fits to dimensions. This dialog box appears when you apply Power Edit to dimensions.

If the Power Dimensioning dialog box is not visible, enter CMDDIA on the command line and enter 1 to turn on the dialog box display.

Expands the dialog box so you can specify fit values. This button is not visible if the dimension is based on the ANSI standard.
Expands the dialog box so you can specify fit values. This button is visible only if the dimension is based on the ANSI standard.
 | Fit
 |  | Symbol Specifies the fit symbol. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. These options are visible only if you expand the dialog box using the [image] or [image] buttons.
 |  | Hole Specifies the symbol to use for the hole tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 |  | Shaft Specifies the symbol to use for the shaft tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 | Precision
 |  | Primary Specifies the number of decimals for the primary unit. This option is visible only if you expand the dialog box using the [image] or [image] buttons.
 |  | Alternate Specifies the number of decimals for the alternate unit. This option is visible only if you expand the dialog box using the [image] or [image] buttons. It is available only if you select Alternate units.
Expands the dialog box so you can specify settings for the tolerance.
 | Deviation Specifies the maximum and minimum tolerance value for the dimension.
 |  | Upper Specifies the difference between the nominal dimension value and the maximum limit. This option is visible only if you expand the dialog box using the [image] button.
 |  | Lower Specifies the difference between the nominal dimension value and the minimum limit. This option is visible only if you expand the dialog box using the [image] button.
 | Precision Specifies the number of decimals for the tolerance value.
 |  | Primary Specifies the number of decimals for the primary unit. This option is visible only if you expand the dialog box using the [image] button.
 |  | Alternate Specifies the number of decimals for the alternate unit. This option is visible only if you expand the dialog box using the [image] button. It is available only if you select Alternate units.
 | Preview Displays a preview of the fit or tolerance. Click the preview to change the tolerance or fit representation.
General tab
 | Dimension Symbol Displays a graphical representation of the current dimension text. Click the [image] button to the right of this box to select dimension text and special characters from predefined templates.
 |  | Displays dimension values in both inches and millimeters. The alternate units appear between square brackets.
 |  | Underlines the dimension value to indicate that the dimension is not to scale.
 |  | Draws a box around the dimension value to indicate that it is a theoretically exact dimension.
 |  | Draws a box around the dimension value to indicate that it is an inspection dimension.
 |  | Draws a parenthesis around the dimension value to indicate it is a reference dimension.
 | Text
 |  | Specifies that the dimension value must appear as part of the dimension text.
 |  | Displays a palette of special characters to add to dimension text.
 | Value
 |  | Exact Distance Displays the actual value for the current dimension.
 |  | Precision Specifies the number of decimals for the dimension value.
 | Properties
 |  | Apply to Applies the properties of the current dimension to other dimensions. The dialog box hides enabling you to select the dimensions to apply the properties to. Thereafter the Select Properties to Copy dialog box appears enabling you to specify which properties.
 |  | Copy from Imports the properties from another existing dimension. The dialog box hides enabling you to select the dimensions to copy the properties from. Thereafter the Select Properties to Copy dialog box appears enabling you to specify which properties.

Inspection tab
 | Shape Controls the shape of the frame drawn around the label, dimension value, and inspection rate of the inspection dimension.
 |  | Round Creates a frame with semi-circles on the ends. Vertical lines separate fields within the frame.
 |  | Angular Creates a frame with lines that form a 90-degree angle on the ends. Vertical lines separate fields within the frame.
 |  | None Draws no frame around the values. Does not separate fields with vertical lines
 |  | Graphic showing extension lines and arrowheads Controls the dimension text, arrowheads, extension lines, and force line inside options. Move the pointer over the graphic to display tooltips. Click arrowheads to display a pallet of options.
 | Label/Inspection Rate Controls the settings for the inspection dimension. Optionally shows a label and rate as part of the inspection dimension. You can control the label and rate fields individually, so it is not necessary to display both.
 |  | Label Toggles the display of the label field on/off in the inspection dimension.
 |  | Label Value Enables you to enter the label used to identify individual inspection dimensions. The label appears in the leftmost section of the inspection dimension when you select the Label check box.
 |  | Inspection Rate Toggles the display of the rate field on/off in the inspection dimension.
 |  | Inspection Rate Value Enables you to enter the rate used to indicate the frequency with which the part is inspected. The value is expressed as a percentage, and the valid range is 0 - 100. The inspection rate appears in the rightmost section of the inspection dimension when you select the Inspection Rate check box.

Geometry tab
 | Offset from Dim Line Sets the size of the gap between the text and the dimension line.
 | Center mark size Sets the size of the center mark. This option is visible only if you are setting options for a radius or diameter dimension. This option is not available by default. To make this option available, click the Center mark in the graphic showing the elements of a circle.
 | Graphic showing extension lines and arrowheads Controls the dimension text, arrowheads, extension lines, and force line inside options. Click the appropriate place in the graphic to customize that element. For example, click an arrowhead to display a palette of options. A tooltip shows the name of the element that can be controlled as you move the pointer over the elements of the graphic.

Units tab
 | Primary Sets options for primary units
 |  | Units Sets a unit type for dimensioning.
 |  | Linear Scale Sets a scale factor that multiplies the dimension value.
 |  | Round Off Sets a value for rounding off all dimensioning distances.
 | Primary Sets options for alternate units. These options are available only if you select Alternate units in the General tab.
 |  | Precision Sets the number of decimal places for alternate units


Create Dimensions for Arcs and Circles (Quick Reference)

Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Annotate drawings > Create dimensions >
Create Dimensions for Arcs and Circles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Radius Dimension Options dialog box

Use this dialog box to specify the format of a radius dimension.

When dimension text is outside, draw dimension line inside arc/circle

Draws a dimension line inside the circle or arc and places the text, arrowheads, and leader outside. This option is applicable only when the radius is small and the dimension text must be outside the arc or circle. The preview updates to reflect the selection.

Draw arrows inside

Places the arrow inside the circle or arc.

When dimension text is inside, hide dimension line inside arc/circle

Suppresses the dimension line inside the circle or arc. This option is applicable only when the dimension text is inside the arc or circle. The preview updates to reflect the selection.

Create landing line

Draws dimension text horizontally when dimension text is outside the circle. This option is not available for the ANSI drafting standard.

Draw center cross

Draws a center mark if you place the dimension line outside the circle or arc. This option is available only for the ANSI drafting standard.


Create Dimensions for Arcs and Circles (Quick Reference)

Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Annotate drawings > Create dimensions >
Create Dimensions for Arcs and Circles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Diameter Dimension Options dialog box

Use this dialog box to specify the format of a diameter dimension.

When dimension text is outside, draw dimension line inside arc/circle

Draws a dimension line inside the circle or arc and places the text, arrowheads, and leader outside. This option is applicable only when the diameter is small and the dimension text must be outside the arc or circle. The preview updates to reflect the selection.

Draw arrows

Places the arrow inside the circle or arc.

When dimension text is inside, hide dimension line inside arc/circle

Suppresses the dimension line inside the circle or arc. This option is applicable only when the dimension text is inside the arc or circle. The preview updates to reflect the selection.

Create landing line

Draws dimension text horizontally when dimension text is outside the circle. This option is not available for the ANSI drafting standard.

Draw center cross

Draws a center mark if you place the dimension line outside the circle or arc. This option is available only for the ANSI drafting standard.


Create Dimensions for Arcs and Circles (Quick Reference)

Create Dimensions for Arcs and Circles
Create Dimensions for Arcs and Circles
Create Angular Dimensions
Annotate drawings > Create dimensions >
Create Dimensions for Arcs and Circles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Power Dimension Options dialog box

Use this dialog box to pre-configure options for this command session.

Representation tab
 | Alternate units Displays dimension values in both inches and millimeters. The alternate units appear between square brackets.
 | Dimension not to scale Underlines the dimension value to indicate that the dimension is not to scale.
 | Theoretically exact Draws a box around the dimension value to indicate that it is a theoretical exact dimension.
 | Inspection Dimension Draws a box around the dimension value to indicate that it is an inspection dimension.
 | Reference dimension Draws a parenthesis around the dimension value to indicate it is a reference dimension.
 | Inspection values Sets options for inspection dimensions
 |  | Shape Controls the shape of the frame around label, dimension value, and inspection rate of the inspection dimension.
 |  |  | Round Creates a frame with semi-circles on the ends and separates the fields in the frame with vertical lines.
 |  |  | Angular Creates a frame with lines that form a 90-degree angle on the ends. Vertical lines separate fields in the frame.
 |  |  | None Draws no frame around the values and does not separate the fields with vertical lines.
 |  | Label/Inspection Rate Controls the settings for the inspection dimension. Optionally, shows a label and rate as part of the inspection dimension. You can control the label and rate fields individually, so it is not necessary to show both.
 |  |  | Label Toggles the display of the label field on/off in the inspection dimension.
 |  |  | Label Value Enables you to enter the label used to identify individual inspection dimensions. The label appears in the leftmost section of the inspection dimension when you select the Label check box.
 |  |  | Inspection Rate Toggles the display of the rate field on/off in the inspection dimension.
 |  |  | Inspection Rate Value Enables you to enter the rate used to indicate the frequency with which the part is inspected. The value is expressed as a percentage, the valid range being 0 - 100. The inspection rate appears in the rightmost section of the inspection dimension when you select the Inspection Rate check box.
Fits/Tolarences tab
 | Show fits/tolarences Enables the ability to specify fits or tolerances for the current dimensioning session.
 |  | Type
 |  |  | Fits
 |  |  |  | Symbol Specifies the fit symbol. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list.
 |  |  |  | Hole Specifies the symbol to use for the hole tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 |  |  |  | Shaft Specifies the symbol to use for the shaft tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 |  |  |  | Representation Displays the Fits Representation dialog box enabling you to select the fit representation.
 |  |  | Tolerances
 |  |  |  | Upper deviation Specifies the difference between the nominal dimension value and the maximum limit.
 |  |  |  | Lower deviation Specifies the difference between the nominal dimension value and the minimum limit.
 |  |  |  | Methods Displays a dialog box enabling you to select the tolerance method.
 |  | Precision
 |  |  |  | Primary precision Specifies the number of decimals for the primary unit.
 |  |  |  | Alternate precision Specifies the number of decimals for the alternate unit.


Create Angular Dimensions (Concept)

Create Dimensions for Arcs and Circles
Create dimensions
Create Multiple Dimension Simultaneously
Annotate drawings > Create dimensions >
Create Angular Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The AMPOWERDIM command enables you create angular dimensions that measure the angle between two lines or three points. This function also measures the angle that two points on a circle subtend on the center as well as the angle the end points of an arc subtend on the center.

As you create an angular dimension, depending on the quadrant, four possible angles can be measured. The AMPOWERDIM command automatically defaults to the most likely quadrant depending on the position of the crosshairs. Select the Quadrant option to override the default, ensuring that the angle is dimensioned. If the dimension text is outside of the extension lines of the dimension, the dimension line extends automatically.

After you create the first angular dimension, the AMPOWERDIM command lets you create baseline and chain angular dimensions relative to the existing angular dimensions, all within the same command session.

In addition to the AMPOWERDIM command, you can use the AMPOWERDIM_ANG command to create angular dimensions. AMPOWERDIM requires command line options to select angular dimensions. AMPOWERDIM_ANG skips the first selection step, but is identical to AMPOWERDIM in all other aspects.


Create Angular Dimensions (Procedure)

Create Dimensions for Arcs and Circles
Up a level to ..
Create Angular Dimensions
Annotate drawings > Create dimensions >
Create Angular Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a dimension that shows the angle between two lines

To create an angular dimension by specifying three points

To create a dimension that shows the angle an arc subtends on its center

To create a dimension that shows the angle two points on a circle subtend on its center


Create Angular Dimensions (Quick Reference)

Create Dimensions for Arcs and Circles
Create Angular Dimensions
Create Angular Dimensions
Annotate drawings > Create dimensions >
Create Angular Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM

AMPOWERDIM_ANG

Power Dimensioning dialog box

Power Dimension Options dialog box


To create a dimension that shows the angle between two lines (Procedure)

Create Angular Dimensions
Up a level to ..
Create Angular Dimensions
Annotate drawings > Create dimensions >
Create Angular Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a dimension that shows the angle between two lines

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMPOWERDIM.
  2. Select the first line (1).
  3. Select the second line(2).
  4. Specify the dimension location (3).
  5. In the Power Dimensioning dialog box, edit the details of the dimension.
    NoteTo select from a list of pre-defined dimension text templates, click the [image] button beside the graphical representation of the current dimension text.
  6. Click OK.


To create an angular dimension by specifying three points (Procedure)

Create Angular Dimensions
Up a level to ..
Create Angular Dimensions
Annotate drawings > Create dimensions >
Create Angular Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an angular dimension by specifying three points

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMPOWERDIM.
  2. At the “Specify first extension line...” prompt, press ENTER.
  3. Specify the vertex of the angle (1).
  4. Specify the angle end points (2 and 3).
  5. Specify the dimension location (4).
  6. In the Power Dimensioning dialog box, edit the details of the dimension.
    NoteTo select from a list of pre-defined dimension text templates, click the [image] button beside the graphical representation of the current dimension text.
  7. Click OK.


To create a dimension that shows the angle an arc subtends on its center (Procedure)

Create Angular Dimensions
Up a level to ..
Create Angular Dimensions
Annotate drawings > Create dimensions >
Create Angular Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a dimension that shows the angle an arc subtends on its center

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMPOWERDIM.
  2. Select the arc (1).
  3. Specify the dimension location (2).
  4. In the Power Dimensioning dialog box, edit the details of the dimension.
    NoteTo select from a list of pre-defined dimension text templates, click the [image] button beside the graphical representation of the current dimension text.
  5. Click OK.


To create a dimension that shows the angle two points on a circle subtend on its center (Procedure)

Create Angular Dimensions
Up a level to ..
Create Multiple Dimension Simultaneously
Annotate drawings > Create dimensions >
Create Angular Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a dimension that shows the angle two points on a circle subtend on its center

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMPOWERDIM.
  2. Select the points on the circle that define the angle (1 and 2).
  3. Specify the dimension location (2).
  4. In the Power Dimensioning dialog box, edit the details of the dimension.
    NoteTo select from a list of pre-defined dimension text templates, click the [image] button beside the graphical representation of the current dimension text.
  5. Click OK.


Create Angular Dimensions (Quick Reference)

Create Angular Dimensions
Create Angular Dimensions
Create Angular Dimensions
Annotate drawings > Create dimensions >
Create Angular Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM

Creates multiple types of dimensions within a single command session and provides the ability to specify tolerances or fits as appropriate.

Ribbon: Home tab [image] Dimension panel [image] Power Dimension. Does not exist on the ribbon.
Toolbar: Dimension [image] Desktop Annotation
Menu: Default Menu [image] Annotate [image] Power Dimension Does not exist in the menus.
Command entry: ampowerdim

COMMAND LINE OPTIONS

Specify first extension line origin or [Linear/Angular/Radial/Baseline/Chain/Options/Update] <select object>: Specify a point or press ENTER to select an object to dimension or select an option.

First Extension Line

Creates a linear dimension when you select two points.

Specify second extension line origin: Specify the second point that defines the linear dimension (2)
Specify dimension line location or [Horizontal/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. Depending on the direction you move the dimension, the dimension changes to a horizontal, vertical or aligned dimension.
 | Horizontal Sets the dimension type to horizontal linear dimensions.
 | Specify dimension line location or [Drag/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Vertical Sets the dimension type to vertical linear dimensions.
 | Specify dimension line location or [Drag/Horizontal/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Aligned Sets the dimension type to aligned linear dimensions.
 | Specify dimension line location or [Drag/Horizontal/Vertical/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Rotated Sets the dimension type to rotated linear dimensions.
 | Specify angle of dimension line <0>:Specify an angle or press ENTER
 | Specify dimension line location or [Drag/Horizontal/Vertical/Aligned/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Placement Options Provides options to override the default distance snap settings.
 | Select object to include for distance snap calculation or [Options] <eXit> Select an object to base the distance snap calculation on or enter O to display a dialog box, enabling you to override the snap distance or toggle distance snap temporarily.

Select Objects

Automatically selects an applicable dimension type for the objects you select.

Select arc, circle, line, or dimension: Select the object to dimension. The subsequent prompts depend on the type of object you select.
 | Arc selected Defaults the dimension type to radius dimensions.
 | Specify dimension line location or [Diameter/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 |  | Diameter Sets the dimension type to diameter dimensions.
 |  | Specify dimension line location or [Radius/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Radius Forces the dimension type back to radius dimensions.
 |  |  | Options Displays the Diameter Dimension Options dialog box enabling you to configure the appearance of the dimension.
 |  | Jogged Radius Sets the dimension type to jogged radius dimensions.
 |  | Specify center location override: Specify the point to use in place of the true center point of the arc or circle.
 |  | Specify dimension line location: Specify a point to indicate the angle of the dimension line. If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 |  | Specify jog location: Move the jog to the desired position and click to place the dimension. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Arc length Sets the dimension type to arc length dimensions.
 |  | Specify arc length dimension location or [Partial/Leader]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Partial Creates the arc length dimension for only a section of the arc.
 |  |  | Specify first point for arc length dimension: Specify a point for the origin of the first extension line of the arc length dimension.
 |  |  | Specify second point for arc length dimension: Specify a point for the origin of the second extension line of the arc length dimension.
 |  |  | Leader Draws a leader from the center of the dimension, pointing toward the center of the arc you are dimensioning. The leader appears only if the arc (or arc segment) is greater than 90 degrees.
 |  | Linear Forces the dimension type to linear dimensions. For an explanation of the subsequent prompts, refer to the prompts that appear when you select a line.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 | Circle selected Defaults the dimension type to diameter dimensions.
 | Specify dimension line location or [Radius/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Radius Sets the dimension type to radius dimensions.
 |  | Specify dimension line location or [Diameter/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Diameter Forces the dimension type back to diameter dimensions
 |  |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 |  | Jogged Radius Sets the dimension type to jogged radius dimensions.
 |  | Specify center location override: Specify the point to use in place of the true center point of the arc or circle.
 |  | Specify dimension line location: Specify a point to indicate the angle of the dimension line. If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 |  | Specify jog location: Move the jog to the desired position and click to place the dimension. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions. For an explanation of the subsequent prompts, refer to the prompts that appear when you select a line.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 | Line selected Defaults the dimension type to linear dimensions.
 |  | Specify dimension line location or [Horizontal/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. Depending on the direction you move the dimension, the dimension changes to a horizontal, vertical or aligned dimension.
 |  |  | Horizontal Sets the dimension type to horizontal linear dimensions.
 |  |  | Specify dimension line location or [ Drag/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Vertical Sets the dimension type to vertical linear dimensions.
 |  |  | Specify dimension line location or [Drag/Horizontal/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Aligned Sets the dimension type to aligned linear dimensions.
 |  |  | Specify dimension line location or [Drag/Horizontal/Vertical/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Rotated Sets the dimension type to rotated linear dimensions.
 |  |  | Specify angle of dimension line <0>:Specify an angle or press ENTER
 |  |  | Specify dimension line location or [Drag/Horizontal/Vertical/Aligned/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Placement Options Provides options to override the default distance snap settings.
 |  |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily.
 | Dimension selected Displays the Power Dimensioning dialog box enabling you to modify the dimension options.
 | Ellipse selected Defaults to options set for selecting a line.

Linear

Creates a linear dimension with a horizontal, vertical, or rotated dimension line.

Select option [Horizontal/Vertical/Aligned/Rotated/eXit]: Select an option or press ENTER to terminate the command.
 | Horizontal Sets the dimension type to horizontal linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the horizontal linear dimension (1)
 | Specify second extension line origin: Specify the second point that defines the horizontal linear dimension (2)
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click (3) to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.
 | Vertical Sets the dimension type to vertical linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the vertical linear dimension (1).
 | Specify second extension line origin: Specify the second point that defines the vertical linear dimension (2).
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click to place it (3). The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.
 | Aligned Sets the dimension type to aligned linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the aligned linear dimension (1).
 | Specify second extension line origin: Specify the second point that defines the aligned linear dimension (2).
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click to place it (3). The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily.
 | Rotated Sets the dimension type to rotated linear dimensions.
 | Specify angle of dimension line <0>:Specify an angle or press ENTER
 | Specify first extension line origin or <select object>: Select the object to dimension or specify the first point that defines the rotated linear dimension (1)
 |  | Specify First Extension Line Defines the dimension by letting you select the extension line origins and the dimension line location.
 | Specify second extension line origin: Specify the second point that defines the linear dimension (2)
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position (3) and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Select Object Defines the dimension by letting you select the object to dimension and the dimension line location.
 |  | Specify second extension line origin: Specify the second point that defines the linear dimension (2)
 |  | Select object to dimension: Specify an object to dimension. Applicable objects are highlighted in the drawing area as you move the crosshairs over them.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit> Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.

Angular

Creates an angular dimension showing the angle between three points by or the angle between two lines.

Select arc, circle, line or [Baseline/Chain/eXit] <specify vertex>: Select an object or press ENTER to define the angle by specifying three points.
 | Specify Vertex Creates a dimension based on three points you specify.
 | Specify angle vertex: Specify the point to use as the vertex of the angle. (1 in the illustration)
 | Specify first angle endpoint: Specify a point. (2)
 | Specify second angle endpoint: Specify a point. (3 in the illustration) The dimension line appears as an arc between the extension lines. The extension lines appear from the angle endpoints to the intersection of the dimension line.
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line (4) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to lock the dimension to.
 | Arc selected Uses the endpoints of the selected arc and its center as the defining points for a three-point angular dimension. The center of the arc is the vertex.
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line (2) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate to which quadrant the dimension is locked.
 | Circle selected Uses two points on a circle and the center of the circle as the defining points for a three-point angular dimension. The center of the circle is the vertex and the first selection point (1) is the origin of the first extension line.
 | Specify second angle endpoint: Specify the origin of the second extension line (2).
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line to the desired position (3) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to which the dimension is locked.
 | Line selected Creates a dimension for the angle between two lines. The line you selected (1) is the first line that defines the angle.
 | Specify second line: Select the second line (2).
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line to the desired position and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes. If the dimension line does not intersect the lines you are dimensioning, additional extension lines extend one or both lines. The dimension arc line is always less than 180 degrees.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to which the dimension is locked.

Radial

Creates dimensions for circles and arcs

Select option [Radius/Diameter/Jogged radius/Arc length/eXit]: Select the type of dimension to create or press ENTER to exit the command or enter X to go back to the previous prompt.
Radius Sets the dimension type to radius dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension or enter X to return to the previous prompt.
 | Specify dimension line location or [Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
Diameter Sets the dimension type to diameter dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension or enter X to return to the previous prompt.
 | Specify dimension line location or [Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions.
 |  | Options Displays the Diameter Dimension Options dialog box enabling you to configure the appearance of the dimension.
Jogged Radius Sets the dimension type to jogged radius dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension (1) or enter X to return to the previous prompt.
 | Specify center location override: Specify the point to use in place of the true center point of the arc or circle (2).
 | Specify dimension line location: Specify a point to indicate the angle of the dimension line (3). If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 | Specify jog location: Move the jog to the desired position and click to place the dimension (4). If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
Arc length Sets the dimension type to arc length dimensions.
 | Select arc or polyline arc segment [eXit]: Select an arc to dimension or enter X to return to the previous prompt.
 | Specify arc length dimension location or [Partial/Leader]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Partial Creates the arc length dimension for only a section of the arc.
 |  | Specify first point for arc length dimension: Specify a point for the origin of the first extension line of the arc length dimension.
 |  | Specify second point for arc length dimension: Specify a point for the origin of the second extension line of the arc length dimension.

Baseline

Creates a linear or angular dimension from the baseline of a selected dimension.

Select base dimension [eXit]: Select a linear or angular dimension to use as the base for the baseline dimension (1).
Specify next extension line origin or [Undo/Select/Chain] <Select>: Specify a point (2) or select an option.
 | Undo Undoes the last baseline dimension entered during this command session.
 | Select Prompts you to select a different dimension for use as the base for the baseline dimension.
 | Chain Switches to creating a chain dimension instead of a baseline dimension.

Chain

Creates a linear or angular dimension from the second extension line of a selected dimension.

Select base dimension [eXit]: Select a linear, angular, or arc length dimension to use as the base for the chain dimension (1).
Specify next extension line origin or [Undo/Select/Baseline] <Select>: Specify a point (2) or select an option.
 | Undo Undoes the last chain dimension entered during this command session.
 | Select Enables you to select a different dimension to use as the base for the chain dimension.
 | Baseline Enables you to switch to creation of baseline dimensions.

Options

Displays the Power Dimension Options dialog box enabling you to pre-configure options for this command session.

Update

Updates fits and tolerances of dimensions that you select, to reflect the most current settings configured for text height and color in AMOPTIONS. It also updates the upper and lower deviating values of a fit, sometimes necessary when you stretch a dimension.

Select dimension <All>: Select a dimension to update or press ENTER to select all.


Create Angular Dimensions (Quick Reference)

Create Angular Dimensions
Create Angular Dimensions
Create Angular Dimensions
Annotate drawings > Create dimensions >
Create Angular Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM_ANG

Creates angular dimensions.

Ribbon: Home tab [image] Dimension panel [image] . Does not exist on the ribbon.
Toolbar: Dimension
Menu: Annotate [image] Dimension, Angular
Command entry: ampowerdim_ang

COMMAND LINE OPTIONS

Select arc, circle, line or [Baseline/Chain/Options] <specify vertex>: Select an object or press ENTER to define the angle by specifying three points.

Specify Vertex

Creates a dimension based on three points you specify.

Specify angle vertex: Specify the point to use as the vertex of the angle (1 in the illustration)
Specify first angle endpoint: Specify a point (2)
Specify second angle endpoint: Specify a point (3 in the illustration) The dimension line is drawn as an arc between the extension lines. The extension lines extend from the angle endpoints to the intersection of the dimension line.
Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line to the desired position (4) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 | Specify quadrant: Click in the drawing area to indicate the quadrant to which the dimension is locked.

Arc Selected

Uses the endpoints of the selected arc its center as the defining points for a three-point angular dimension. The center of the arc is the vertex.

Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line to the desired position (2) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 | Specify quadrant: Click in the drawing area to indicate the quadrant to which the dimension is locked.

Circle Selected

Uses two points on a circle and the center of the circle as the defining points for a three-point angular dimension. The center of the circle is the vertex and the first selection point (1) is the origin of the first extension line.

Specify second angle endpoint: Specify the origin of the second extension line (2).
Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line to the desired position (3) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 | Specify quadrant: Click in the drawing area to indicate the quadrant to which the dimension is locked.

Line Selected

Creates a dimension for the angle between two lines. The line you selected (1) is the first line that defines the angle.

Specify second line: Select the second line (2).
Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line to the desired position and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes. If the dimension line does not intersect the lines you are dimensioning, additional extension lines extend one or both lines. The dimension arc line is always less than 180 degrees.
 | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 | Specify quadrant: Click in the drawing area to indicate the quadrant to which the dimension is locked.

Baseline

Creates an angular dimension from the baseline of a selected dimension.

Select base dimension [eXit]: Select the angular dimension to use as the base for the baseline dimension.
Specify next extension line origin or [Undo/Select/Chain] <Select>: Specify a point or select an option,
 | Undo Undoes the last baseline dimension entered during this command session.
 | Select Enables you to select a different dimension to use as the base for the baseline dimension.
 | Chain Enables you to switch to creation of chain dimensions.

Chain

Creates an angular dimension from the second extension line of a selected dimension.

Select base dimension [eXit]: Select the angular dimension to use as the base for the chain dimension.
Specify next extension line origin or [Undo/Select/Baseline] <Select>: Specify a point or select an option,
 | Undo Undoes the last chain dimension entered during this command session.
 | Select Enables you to select a different dimension to use as the base for the chain dimension.
 | Baseline Enables you to switch to creation of baseline dimensions.

Options

Displays the Power Dimension Options dialog box enabling you to pre-configure options for this command session.


Create Angular Dimensions (Quick Reference)

Create Angular Dimensions
Create Angular Dimensions
Create Angular Dimensions
Annotate drawings > Create dimensions >
Create Angular Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Power Dimensioning dialog box

Use the Power Dimensioning dialog box to set dimension text, specify accuracy for dimension values, or add tolerances and fits to dimensions. This dialog box appears when you apply Power Edit to dimensions.

If the Power Dimensioning dialog box is not visible, enter CMDDIA on the command line and enter 1 to turn on the dialog box display.

Expands the dialog box so you can specify fit values. This button is not visible if the dimension is based on the ANSI standard.
Expands the dialog box so you can specify fit values. This button is visible only if the dimension is based on the ANSI standard.
 | Fit
 |  | Symbol Specifies the fit symbol. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. These options are visible only if you expand the dialog box using the [image] or [image] buttons.
 |  | Hole Specifies the symbol to use for the hole tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 |  | Shaft Specifies the symbol to use for the shaft tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 | Precision
 |  | Primary Specifies the number of decimals for the primary unit. This option is visible only if you expand the dialog box using the [image] or [image] buttons.
 |  | Alternate Specifies the number of decimals for the alternate unit. This option is visible only if you expand the dialog box using the [image] or [image] buttons. It is available only if you select Alternate units.
Expands the dialog box so you can specify settings for the tolerance.
 | Deviation Specifies the maximum and minimum tolerance value for the dimension.
 |  | Upper Specifies the difference between the nominal dimension value and the maximum limit. This option is visible only if you expand the dialog box using the [image] button.
 |  | Lower Specifies the difference between the nominal dimension value and the minimum limit. This option is visible only if you expand the dialog box using the [image] button.
 | Precision Specifies the number of decimals for the tolerance value.
 |  | Primary Specifies the number of decimals for the primary unit. This option is visible only if you expand the dialog box using the [image] button.
 |  | Alternate Specifies the number of decimals for the alternate unit. This option is visible only if you expand the dialog box using the [image] button. It is available only if you select Alternate units.
 | Preview Displays a preview of the fit or tolerance. Click the preview to change the tolerance or fit representation.
General tab
 | Dimension Symbol Displays a graphical representation of the current dimension text. Click the [image] button to the right of this box to select dimension text and special characters from predefined templates.
 |  | Displays dimension values in both inches and millimeters. The alternate units appear between square brackets.
 |  | Underlines the dimension value to indicate that the dimension is not to scale.
 |  | Draws a box around the dimension value to indicate that it is a theoretically exact dimension.
 |  | Draws a box around the dimension value to indicate that it is an inspection dimension.
 |  | Draws a parenthesis around the dimension value to indicate it is a reference dimension.
 | Text
 |  | Specifies that the dimension value must appear as part of the dimension text.
 |  | Displays a palette of special characters to add to dimension text.
 | Value
 |  | Exact Distance Displays the actual value for the current dimension.
 |  | Precision Specifies the number of decimals for the dimension value.
 | Properties
 |  | Apply to Applies the properties of the current dimension to other dimensions. The dialog box hides enabling you to select the dimensions to apply the properties to. Thereafter the Select Properties to Copy dialog box appears enabling you to specify which properties.
 |  | Copy from Imports the properties from another existing dimension. The dialog box hides enabling you to select the dimensions to copy the properties from. Thereafter the Select Properties to Copy dialog box appears enabling you to specify which properties.

Inspection tab
 | Shape Controls the shape of the frame drawn around the label, dimension value, and inspection rate of the inspection dimension.
 |  | Round Creates a frame with semi-circles on the ends. Vertical lines separate fields within the frame.
 |  | Angular Creates a frame with lines that form a 90-degree angle on the ends. Vertical lines separate fields within the frame.
 |  | None Draws no frame around the values. Does not separate fields with vertical lines
 |  | Graphic showing extension lines and arrowheads Controls the dimension text, arrowheads, extension lines, and force line inside options. Move the pointer over the graphic to display tooltips. Click arrowheads to display a pallet of options.
 | Label/Inspection Rate Controls the settings for the inspection dimension. Optionally shows a label and rate as part of the inspection dimension. You can control the label and rate fields individually, so it is not necessary to display both.
 |  | Label Toggles the display of the label field on/off in the inspection dimension.
 |  | Label Value Enables you to enter the label used to identify individual inspection dimensions. The label appears in the leftmost section of the inspection dimension when you select the Label check box.
 |  | Inspection Rate Toggles the display of the rate field on/off in the inspection dimension.
 |  | Inspection Rate Value Enables you to enter the rate used to indicate the frequency with which the part is inspected. The value is expressed as a percentage, and the valid range is 0 - 100. The inspection rate appears in the rightmost section of the inspection dimension when you select the Inspection Rate check box.

Geometry tab
 | Offset from Dim Line Sets the size of the gap between the text and the dimension line.
 | Center mark size Sets the size of the center mark. This option is visible only if you are setting options for a radius or diameter dimension. This option is not available by default. To make this option available, click the Center mark in the graphic showing the elements of a circle.
 | Graphic showing extension lines and arrowheads Controls the dimension text, arrowheads, extension lines, and force line inside options. Click the appropriate place in the graphic to customize that element. For example, click an arrowhead to display a palette of options. A tooltip shows the name of the element that can be controlled as you move the pointer over the elements of the graphic.

Units tab
 | Primary Sets options for primary units
 |  | Units Sets a unit type for dimensioning.
 |  | Linear Scale Sets a scale factor that multiplies the dimension value.
 |  | Round Off Sets a value for rounding off all dimensioning distances.
 | Primary Sets options for alternate units. These options are available only if you select Alternate units in the General tab.
 |  | Precision Sets the number of decimal places for alternate units


Create Angular Dimensions (Quick Reference)

Create Angular Dimensions
Create Angular Dimensions
Create Multiple Dimension Simultaneously
Annotate drawings > Create dimensions >
Create Angular Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Power Dimension Options dialog box

Use this dialog box to pre-configure options for this command session.

Representation tab
 | Alternate units Displays dimension values in both inches and millimeters. The alternate units appear between square brackets.
 | Dimension not to scale Underlines the dimension value to indicate that the dimension is not to scale.
 | Theoretically exact Draws a box around the dimension value to indicate that it is a theoretical exact dimension.
 | Inspection Dimension Draws a box around the dimension value to indicate that it is an inspection dimension.
 | Reference dimension Draws a parenthesis around the dimension value to indicate it is a reference dimension.
 | Inspection values Sets options for inspection dimensions
 |  | Shape Controls the shape of the frame around label, dimension value, and inspection rate of the inspection dimension.
 |  |  | Round Creates a frame with semi-circles on the ends and separates the fields in the frame with vertical lines.
 |  |  | Angular Creates a frame with lines that form a 90-degree angle on the ends. Vertical lines separate fields in the frame.
 |  |  | None Draws no frame around the values and does not separate the fields with vertical lines.
 |  | Label/Inspection Rate Controls the settings for the inspection dimension. Optionally, shows a label and rate as part of the inspection dimension. You can control the label and rate fields individually, so it is not necessary to show both.
 |  |  | Label Toggles the display of the label field on/off in the inspection dimension.
 |  |  | Label Value Enables you to enter the label used to identify individual inspection dimensions. The label appears in the leftmost section of the inspection dimension when you select the Label check box.
 |  |  | Inspection Rate Toggles the display of the rate field on/off in the inspection dimension.
 |  |  | Inspection Rate Value Enables you to enter the rate used to indicate the frequency with which the part is inspected. The value is expressed as a percentage, the valid range being 0 - 100. The inspection rate appears in the rightmost section of the inspection dimension when you select the Inspection Rate check box.
Fits/Tolarences tab
 | Show fits/tolarences Enables the ability to specify fits or tolerances for the current dimensioning session.
 |  | Type
 |  |  | Fits
 |  |  |  | Symbol Specifies the fit symbol. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list.
 |  |  |  | Hole Specifies the symbol to use for the hole tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 |  |  |  | Shaft Specifies the symbol to use for the shaft tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 |  |  |  | Representation Displays the Fits Representation dialog box enabling you to select the fit representation.
 |  |  | Tolerances
 |  |  |  | Upper deviation Specifies the difference between the nominal dimension value and the maximum limit.
 |  |  |  | Lower deviation Specifies the difference between the nominal dimension value and the minimum limit.
 |  |  |  | Methods Displays a dialog box enabling you to select the tolerance method.
 |  | Precision
 |  |  |  | Primary precision Specifies the number of decimals for the primary unit.
 |  |  |  | Alternate precision Specifies the number of decimals for the alternate unit.


Create Multiple Dimension Simultaneously (Concept)

Create Angular Dimensions
Create dimensions
Create Dimensions for Chamfers
Annotate drawings > Create dimensions >
Create Multiple Dimension Simultaneously
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The AMAUTODIM command enables you to create several dimensions in one go. You can dimension separate objects, as well as objects within blocks. Select the object to dimension and then specify a point marking the origin of the first extension line. The command then creates dimensions from the origin to all vertices on the contour of the selected object.

The AMAUTODIM command can create baseline, chain, and symmetric dimensions. You can also convert one type of dimension to the other, provided you originally created with the AMAUTODIM command. Distance snaps assist you to place the dimension at the appropriate distance from the object you are dimensioning. The DIMDLI system variable controls the spacing between dimensions. You can create dimensions for both axes in the same command session.


Create Multiple Dimension Simultaneously (Procedure)

Create Angular Dimensions
Up a level to ..
Create Multiple Dimension Simultaneously
Annotate drawings > Create dimensions >
Create Multiple Dimension Simultaneously
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create 1-axis chain dimensions

To create 2-axis chain dimensions

To create 1-axis baseline dimensions

To create 2-axis baseline dimensions

To create 1-axis ordinate dimensions

To create 2-axis ordinate dimensions

To dimension a shaft in front view

To dimension a shaft in the side view

To create a symmetric dimension

To convert between chain dimensions, baseline dimensions and ordinate dimensions


Create Multiple Dimension Simultaneously (Quick Reference)

Create Angular Dimensions
Create Multiple Dimension Simultaneously
Create Multiple Dimension Simultaneously
Annotate drawings > Create dimensions >
Create Multiple Dimension Simultaneously
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMAUTODIM

Automatic Dimensioning dialog box


To create 1-axis chain dimensions (Procedure)

Create Multiple Dimension Simultaneously
Up a level to ..
Create Multiple Dimension Simultaneously
Annotate drawings > Create dimensions >
Create Multiple Dimension Simultaneously
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create 1-axis chain dimensions

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMAUTODIM.
  2. In the Automatic Dimensioning dialog box, Parallel tab, from the Type list select Chain.
  3. Verify that the Display Power Dimensioning Dialog check box and Both Axes check box are cleared.
  4. Click OK.
  5. Select the objects to dimension, and press ENTER.
  6. Specify the first extension line origin (1).
  7. Place the dimensions horizontally or vertically (2).
  8. Press ENTER.


To create 2-axis chain dimensions (Procedure)

Create Multiple Dimension Simultaneously
Up a level to ..
Create Multiple Dimension Simultaneously
Annotate drawings > Create dimensions >
Create Multiple Dimension Simultaneously
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create 2-axis chain dimensions

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMAUTODIM.
  2. In the Automatic Dimensioning dialog box, Parallel tab, from the Type list select Chain.
  3. Select the Both Axes check box.
  4. Verify that the Display Power Dimensioning Dialog check box is cleared.
  5. Select the objects to dimension, and press ENTER.
  6. Specify the extension line origin (1) for the first axis.
  7. Specify the extension line origin for the second axis.
  8. Specify the dimension line location for the first axis (2).
  9. Press ENTER to finish dimensioning the first axis.
  10. Specify the dimension line location for the second axis (3).
  11. Press ENTER to finish dimensioning.


To create 1-axis baseline dimensions (Procedure)

Create Multiple Dimension Simultaneously
Up a level to ..
Create Multiple Dimension Simultaneously
Annotate drawings > Create dimensions >
Create Multiple Dimension Simultaneously
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create 1-axis baseline dimensions

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMAUTODIM.
  2. In the Automatic Dimensioning dialog box, Parallel tab, from the Type list select Baseline.
  3. Verify that the Display Power Dimensioning Dialog check box and Both Axes check box are cleared.
  4. Click OK.
  5. Select the objects to dimension, and press ENTER.
  6. Specify the first extension line origin (1).
  7. Place the dimensions (2).
  8. Press ENTER to end dimensioning.


To create 2-axis baseline dimensions (Procedure)

Create Multiple Dimension Simultaneously
Up a level to ..
Create Multiple Dimension Simultaneously
Annotate drawings > Create dimensions >
Create Multiple Dimension Simultaneously
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create 2-axis baseline dimensions

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMAUTODIM.
  2. In the Automatic Dimensioning dialog box, Parallel tab, from the Type list select Baseline.
  3. Select the Both Axes check box.
  4. Verify that the Display Power Dimensioning Dialog check box is cleared.
  5. Select the objects to dimension, and press ENTER.
  6. Specify the extension line origin (1) for the first axis.
  7. Specify the extension line origin for the second axis.
  8. Specify the dimension line location for the first axis (2).
  9. Press ENTER to finish dimensioning the first axis.
  10. Specify the dimension line location for the second axis (3).
  11. Press ENTER to finish dimensioning.


To create 1-axis ordinate dimensions (Procedure)

Create Multiple Dimension Simultaneously
Up a level to ..
Create Multiple Dimension Simultaneously
Annotate drawings > Create dimensions >
Create Multiple Dimension Simultaneously
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create 1-axis ordinate dimensions

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMAUTODIM.
  2. In the Automatic Dimensioning dialog box, Ordinate tab, verify that the Display Power Dimensioning Dialog check box and Both Axes check box are cleared.
  3. Click OK.
  4. Select the objects to dimension, and press ENTER.
  5. Specify the first extension line origin (1).
  6. Place the dimensions horizontally or vertically (2).
  7. Press ENTER.


To create 2-axis ordinate dimensions (Procedure)

Create Multiple Dimension Simultaneously
Up a level to ..
Create Multiple Dimension Simultaneously
Annotate drawings > Create dimensions >
Create Multiple Dimension Simultaneously
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create 2-axis ordinate dimensions

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMAUTODIM.
  2. In the Automatic Dimensioning dialog box, Ordinate tab, select the Both Axes check box.
  3. Verify that the Display Power Dimensioning Dialog check box is cleared.
  4. Select the objects to dimension, and press ENTER.
  5. Specify the extension line origin for the first axis.
  6. Specify the extension line origin for the second axis.
  7. Specify the dimension line location for the first axis.
  8. Press ENTER to finish dimensioning the first axis.
  9. Specify the dimension line location for the second axis.
  10. Press ENTER to finish dimensioning.


To dimension a shaft in front view (Procedure)

Create Multiple Dimension Simultaneously
Up a level to ..
Create Multiple Dimension Simultaneously
Annotate drawings > Create dimensions >
Create Multiple Dimension Simultaneously
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To dimension a shaft in front view

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMAUTODIM.
  2. In the Automatic Dimensioning dialog box, Shaft/Symmetric tab, from the Type list select Shaft (Front view).
  3. Verify that the Display Power Dimensioning Dialog check box is cleared.
  4. Click OK.
  5. Select the objects to dimension, and press ENTER.
  6. Select the centerline (1).
  7. Specify the dimension line location (2).
  8. Press ENTER.


To dimension a shaft in the side view (Procedure)

Create Multiple Dimension Simultaneously
Up a level to ..
Create Multiple Dimension Simultaneously
Annotate drawings > Create dimensions >
Create Multiple Dimension Simultaneously
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To dimension a shaft in the side view

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMAUTODIM.
  2. In the Automatic Dimensioning dialog box, Shaft/Symmetric tab, from the Type list select Shaft (Side view).
  3. Verify that the Display Power Dimensioning Dialog check box is cleared.
  4. Click OK.
  5. Select the objects to dimension, and press ENTER.
  6. Specify the dimension line location (1).
  7. Press ENTER.


To create a symmetric dimension (Procedure)

Create Multiple Dimension Simultaneously
Up a level to ..
Create Multiple Dimension Simultaneously
Annotate drawings > Create dimensions >
Create Multiple Dimension Simultaneously
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a symmetric dimension

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMAUTODIM.
  2. In the Automatic Dimensioning dialog box, Shaft/Symmetric tab, from the Type list select Symmetric.
  3. Verify that the Display Power Dimensioning Dialog check box is cleared.
  4. Click OK.
  5. Select the objects to dimension, and press ENTER.
  6. Select the centerline (1).
  7. Press ENTER.


To convert between chain dimensions, baseline dimensions and ordinate dimensions (Procedure)

Create Multiple Dimension Simultaneously
Up a level to ..
Create Dimensions for Chamfers
Annotate drawings > Create dimensions >
Create Multiple Dimension Simultaneously
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To convert between chain dimensions, baseline dimensions and ordinate dimensions

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMAUTODIM.
  2. In the Automatic Dimensioning dialog box, select the tab corresponding to the dimension type to convert to.
  3. Select the Rearrange into a New Style check box.
  4. Click OK.
  5. Select the dimensions to convert (1).
  6. Press ENTER.
  7. Depending on the chosen dimension type, specify the first dimension origin point (2).
  8. Specify the dimension line location (3).
  9. Press ENTER to finish the command.


Create Multiple Dimension Simultaneously (Quick Reference)

Create Multiple Dimension Simultaneously
Create Multiple Dimension Simultaneously
Create Multiple Dimension Simultaneously
Annotate drawings > Create dimensions >
Create Multiple Dimension Simultaneously
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMAUTODIM

Creates several dimensions at the same time, from a selected point, to all the vertexes on the contour of the objects you select.

Ribbon: Home tab [image] Dimension panel [image] Multiple Dimension. Does not exist on the ribbon.
Toolbar: Dimension [image] Desktop Annotation
Menu: Annotate [image] Multiple Dimension Does not exist in the menus.
Command entry: amautodim

Once you place the dimensions in the drawing area, the command displays the Automatic Dimensioning dialog box.


Create Multiple Dimension Simultaneously (Quick Reference)

Create Multiple Dimension Simultaneously
Create Multiple Dimension Simultaneously
Create Dimensions for Chamfers
Annotate drawings > Create dimensions >
Create Multiple Dimension Simultaneously
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Automatic Dimensioning dialog box

Use this dialog box to set options for the current command session of the AMAUTODIM command.

Parallel tab
 | Type Sets the type of parallel dimension to Baseline or Chain.
 | Alignment Aligns dimensions from either side of the baseline, such that they are on the same line.
 |  | Inside Out Aligns dimensions, beginning from the points closest to the baseline to the furthest.
 |  | Outside In Aligns dimensions, beginning from the points furthest to the baseline to the closest.
 | Both axes Draws dimensions for both axes. Clear this option to draw a 1-axis dimension. A graphical representation of the dimension type selected appears in the preview section of this tab.
 | Center text Aligns the dimension text such that it is centered about the center cross.
 | Display Power Dimensioning Dialog Displays the Power Dimensioning dialog box each time you place a dimension.
 | Rearrange into a New Style Changes the style of existing dimensions to Parallel style, for example, from chain to baseline dimension.
 | Select Additional Contour Dimensions additional contour and rearranges existing dimensions into any type of Parallel style.
Ordinate tab
 | Type Sets the type of ordinate dimension to Current Standard (for example, ISO), to Equal Leader Length, or to Center Cross on Edge.
 | Both axes Draws dimensions for both axes. Clear this option to draw a 1-axis dimension. A graphical representation of the dimension type selected appears in the preview section of this tab.
 | Center text Aligns the dimension text such that it is centered about the center cross. This option is visible only if the type of ordinate dimension is set to Center Cross on Edge.
 | Rotate text Rotates dimension text.
 | Short dimension lines Shows only a small segment of the dimension line adjacent to the arrowhead. This option is visible only if the type of ordinate dimension is set to the current standard. NoteThis option is not available for the ANSI standard.
 | Display Power Dimensioning Dialog Displays the Power Dimensioning dialog box each time you place a dimension.
 | Rearrange into a New Style Changes the style of existing dimensions to Ordinate style (for example, from 1-axis chain dimension to 2-axes ordinate dimension).
 | Select Additional Contour Dimensions additional contour and rearranges existing dimensions into any type of Ordinate style.
Shaft/Symmetric tab
 | Type Sets the type of dimension to Shaft (Front View), Shaft (Side View), or Symmetric. A graphical representation of the dimension type selected appears in the preview section of this tab. Half Shaft Draws one extension line only for every dimension.
 | Place Dimension Inside Contour Draws dimensions inside contours. Clear this option to draw dimensions outside contours.
 | Display Power Dimensioning Dialog Displays the Power Dimensioning dialog box each time you place a dimension.
 | Rearrange into a New Style Changes the style of existing dimensions into Shaft/Symm style.
 | Select Additional Contour Dimensions additional contour and rearranges existing dimensions into any type of Shaft/Symm style.


Create Dimensions for Chamfers (Concept)

Create Multiple Dimension Simultaneously
Create dimensions
Add Fits and Tolerances to a Dimension
Annotate drawings > Create dimensions >
Create Dimensions for Chamfers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create dimensions for a chamfer, use the AMCHAM2D command and select the dimension option. The chamfer is dimensioned using the representation currently in force. Use the setup option of the AMCHAM2D command to change the chamfer representation. Chamfers dimensioned during this command session follow this setting and thereafter reset to the default chamfer dimension representation. Change the default chamfer dimension representation from the Dimension Settings dialog box.

Alternatively, use the AMCHAM2D_DIM command, which opens the dimension option of the AMCHAM2D command.


Create Dimensions for Chamfers (Procedure)

Create Multiple Dimension Simultaneously
Up a level to ..
Create Dimensions for Chamfers
Annotate drawings > Create dimensions >
Create Dimensions for Chamfers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a chamfer dimension

To Set the Default Representation for Chamfer Dimensions


Create Dimensions for Chamfers (Quick Reference)

Create Multiple Dimension Simultaneously
Create Dimensions for Chamfers
Create Dimensions for Chamfers
Annotate drawings > Create dimensions >
Create Dimensions for Chamfers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCHAM2D

AMCHAM2D_DIM


To create a chamfer dimension (Procedure)

Create Dimensions for Chamfers
Up a level to ..
Create Dimensions for Chamfers
Annotate drawings > Create dimensions >
Create Dimensions for Chamfers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a chamfer dimension

  1. Click None [image] None [image] . At the Command prompt, enter AMCHAM2D.
  2. At the command prompt, enter D for Dimension.
  3. Select the chamfer line you wish to dimension, followed by the first and second extension lines. The chamfer dimension appears.
  4. Press ENTER.


To Set the Default Representation for Chamfer Dimensions (Procedure)

Create Dimensions for Chamfers
Up a level to ..
Add Fits and Tolerances to a Dimension
Annotate drawings > Create dimensions >
Create Dimensions for Chamfers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Default Representation for Chamfer Dimensions

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Chamfer. The Chamfer Representation dialog box appears.
  5. From the drop-down list, select the default representation for chamfer dimensions.
  6. Click OK until all dialog boxes close.


Create Dimensions for Chamfers (Quick Reference)

Create Dimensions for Chamfers
Create Dimensions for Chamfers
Create Dimensions for Chamfers
Annotate drawings > Create dimensions >
Create Dimensions for Chamfers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCHAM2D

Connects two non-parallel objects by extending or trimming them to intersect or to join with a beveled line

Ribbon: Home tab [image] Modify panel [image] . Does not exist on the ribbon.
Toolbar: Modify
Menu: Modify [image] Chamfer Does not exist in the menus.
Command entry: amcham2d

You can select chamfer length values from lists, enter them manually, or specify them graphically. You can also set the AMCHAM2D command to assign dimensions to the beveled edge.

COMMAND LINE OPTIONS

Select first object or [Polyline/Setup/Dimension] <Setup>: Select an object type or select the first of two lines required to define a chamfer or press ENTER to change chamfer settings.

First Object

Enables you to define a chamfer by selecting the two lines to connect with the beveled line.

Select second object or <Return for polyline>: Select the second line or press ENTER to return to the previous prompt and select a polyline.

Select object to create original length: Press ENTER to return to the first prompt or select a line to undo any trimming or extending of lines performed by this command.

Polyline

Chamfers all vertexes of a polyline.

Select polyline: Select a polyline and press ENTER to chamfer all polyline vertexes.

Setup

Shows the Chamfer dialog box, enabling you to specify the chamfer lengths and chamfer dimension representations.

Dimension

Creates dimensions for a chamfer.

Select chamfer line: Select the chamfer line of the chamfer to create a dimension for.

Select first object: Select one of the lines connected by the chamfer.

Select second object: Select the other line connected by the chamfer.


Create Dimensions for Chamfers (Quick Reference)

Create Dimensions for Chamfers
Create Dimensions for Chamfers
Create Dimensions for Chamfers
Annotate drawings > Create dimensions >
Create Dimensions for Chamfers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCHAM2D_DIM

Creates dimensions for chamfers.

Ribbon: Annotate tab [image] Dimension panel [image] Dimension, Chamfer. Does not exist on the ribbon.
Toolbar: Dimension [image] Modify
Menu: Annotate [image] Dimension, Chamfer Does not exist in the menus.
Command entry: amcham2d_dim

This command takes you directly to the Add Dimension option of the AMCHAM2D command. When you select the chamfer, it creates a chamfer dimension using the style specified in AMOPTIONS.

COMMAND LINE OPTIONS

Select chamfer line: Select the chamfer line of the chamfer you want to create a dimension for.

Select first object: Select one of the lines connected by the chamfer.

Select second object: Select the other line connected by the chamfer.


Create Dimensions for Chamfers (Quick Reference)

Create Dimensions for Chamfers
Create Dimensions for Chamfers
Add Fits and Tolerances to a Dimension
Annotate drawings > Create dimensions >
Create Dimensions for Chamfers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference


Add Fits and Tolerances to a Dimension (Concept)

Create Dimensions for Chamfers
Create dimensions
Edit Dimensions
Annotate drawings > Create dimensions >
Add Fits and Tolerances to a Dimension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The AMPOWERDIM family of commands enable you to expand the Power Dimensioning dialog box by clicking the [image] or , [image] button to expand the dialog box, and specify fit information or the [image] button to specify tolerance information.

For tolerances, the dialog box enables you to specify the deviations that correspond to the tolerance representation you select. The drafting standard controls text sizes for the deviation automatically, eliminating the need for additional dimension styles. Click the preview at the bottom of the expanded area to select a different tolerance method from a list that shows the available tolerance representations.

For fits, use the expanded dialog box area to enter or calculate the appropriate fit notation and to change its display style. Click the preview at the bottom of the expanded area to select different representations from a list that shows the available fit representations.

The expanded area for fits enables you to open another dialog box to select the fit notation. This dialog box contains a graphical display, enabling you to compare shaft and hole fits and choose a notation. The program calculates deviations based on the Engineer’s Handbook.

Use the AMFITSLIST command to generate a fits list from the dimensions in a drawing. If you place a fits list within a drawing border, the program considers only the dimensions within the drawing border for the fits list. It ignores all other dimensions. If you place the fits list elsewhere, the program considers all dimensions in the drawing.

See Also
    • Change the representation of fits and tolerances


Add Fits and Tolerances to a Dimension (Procedure)

Create Dimensions for Chamfers
Up a level to ..
Add Fits and Tolerances to a Dimension
Annotate drawings > Create dimensions >
Add Fits and Tolerances to a Dimension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a tolerance to dimensions

To add fits to dimensions

To create a fits list


Add Fits and Tolerances to a Dimension (Quick Reference)

Create Dimensions for Chamfers
Add Fits and Tolerances to a Dimension
Add Fits and Tolerances to a Dimension
Annotate drawings > Create dimensions >
Add Fits and Tolerances to a Dimension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMFITSLIST

Power Dimensioning dialog box

Tolerance Method dialog box

Fit Representation dialog box

Fits dialog box


To add a tolerance to dimensions (Procedure)

Add Fits and Tolerances to a Dimension
Up a level to ..
Add Fits and Tolerances to a Dimension
Annotate drawings > Create dimensions >
Add Fits and Tolerances to a Dimension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a tolerance to dimensions

  1. Double-click the dimension to select it. The Power Dimensioning dialog box is displayed.
  2. Click [image] The dialog box expands, showing tolerance-related information.
  3. Enter a value for the upper and lower deviations.
  4. Enter a value for precision.

    A preview of the tolerance appears at the bottom right of the dialog box. To change the tolerance preview:

    1. Click the preview of the tolerance. The Tolerance Method dialog box is displayed.
    2. In the graphical list of tolerance method, click the image corresponding to the representation you prefer.
    3. Click OK. The preview closes.
  5. Click OK in the Power Dimensioning dialog box.


To add fits to dimensions (Procedure)

Add Fits and Tolerances to a Dimension
Up a level to ..
Add Fits and Tolerances to a Dimension
Annotate drawings > Create dimensions >
Add Fits and Tolerances to a Dimension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add fits to dimensions

  1. To add fits to a dimension, double-click the dimension. The Power Dimensioning dialog box is displayed.
  2. Click [image] or [image] The dialog box expands and shows fit-related information.
  3. Enter a symbol for fit or click [image] to choose a hole or shaft fit.

    A preview of the fit appears at the bottom right of the dialog box. To choose another fit representation:

    1. Click the preview of the fit. Fit Representation dialog box is displayed.
    2. From the Fit Representations graphical list, select a representation.
    3. Click OK. The program returns to the Power Dimensioning dialog box.
  4. Click OK.
NoteThe Power Dimensioning dialog box is displayed:
  • when you launch Power Dimensioning
  • when you select the Display Power Dimensioning Dialog option when using Automatic Dimensioning
  • when you double-click a dimension (AMPOWEREDIT)


To create a fits list (Procedure)

Add Fits and Tolerances to a Dimension
Up a level to ..
Edit Dimensions
Annotate drawings > Create dimensions >
Add Fits and Tolerances to a Dimension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a fits list

  1. Click the Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMFITSLIST.
  2. Press ENTER to accept the default option. This action creates a fits list.
  3. In the drawing area, specify an insertion point for the fits list.


Add Fits and Tolerances to a Dimension (Quick Reference)

Add Fits and Tolerances to a Dimension
Add Fits and Tolerances to a Dimension
Add Fits and Tolerances to a Dimension
Annotate drawings > Create dimensions >
Add Fits and Tolerances to a Dimension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMFITSLIST

Generates a fits list from the dimensions in the drawing area and enables you to place it at a location of your choice.

Ribbon: Annotate tab [image] Table panel [image] Fits List. Does not exist on the ribbon.
Toolbar: Dimension
Menu: Annotate [image] Fits List Does not exist in the menus.
Command entry: amfitslist

If you place a fits list within a drawing border created with the AMTITLE command, it shows only the fits within that drawing border.

COMMAND LINE OPTIONS

Fits list [Update all/Order/New] <New>: Press ENTER to create a fits list, enter O to order the fits lists by size, or enter U to update existing fits lists in the drawing.

Update

Select this option when you have changed or added fits.

NoteThe Dimension Settings dialog box, accessed through the AM:Standards tab of the Options dialog box, contains settings to update fits lists automatically.

Order

You can order fits list by values or fits.

New

Inserts a new fits list.

Insertion point: Select a point to insert the fits list.


Add Fits and Tolerances to a Dimension (Quick Reference)

Add Fits and Tolerances to a Dimension
Add Fits and Tolerances to a Dimension
Add Fits and Tolerances to a Dimension
Annotate drawings > Create dimensions >
Add Fits and Tolerances to a Dimension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Power Dimensioning dialog box

Use the Power Dimensioning dialog box to set dimension text, specify accuracy for dimension values, or add tolerances and fits to dimensions. This dialog box appears when you apply Power Edit to dimensions.

If the Power Dimensioning dialog box is not visible, enter CMDDIA on the command line and enter 1 to turn on the dialog box display.

Expands the dialog box so you can specify fit values. This button is not visible if the dimension is based on the ANSI standard.
Expands the dialog box so you can specify fit values. This button is visible only if the dimension is based on the ANSI standard.
 | Fit
 |  | Symbol Specifies the fit symbol. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. These options are visible only if you expand the dialog box using the [image] or [image] buttons.
 |  | Hole Specifies the symbol to use for the hole tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 |  | Shaft Specifies the symbol to use for the shaft tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 | Precision
 |  | Primary Specifies the number of decimals for the primary unit. This option is visible only if you expand the dialog box using the [image] or [image] buttons.
 |  | Alternate Specifies the number of decimals for the alternate unit. This option is visible only if you expand the dialog box using the [image] or [image] buttons. It is available only if you select Alternate units.
Expands the dialog box so you can specify settings for the tolerance.
 | Deviation Specifies the maximum and minimum tolerance value for the dimension.
 |  | Upper Specifies the difference between the nominal dimension value and the maximum limit. This option is visible only if you expand the dialog box using the [image] button.
 |  | Lower Specifies the difference between the nominal dimension value and the minimum limit. This option is visible only if you expand the dialog box using the [image] button.
 | Precision Specifies the number of decimals for the tolerance value.
 |  | Primary Specifies the number of decimals for the primary unit. This option is visible only if you expand the dialog box using the [image] button.
 |  | Alternate Specifies the number of decimals for the alternate unit. This option is visible only if you expand the dialog box using the [image] button. It is available only if you select Alternate units.
 | Preview Displays a preview of the fit or tolerance. Click the preview to change the tolerance or fit representation.
General tab
 | Dimension Symbol Displays a graphical representation of the current dimension text. Click the [image] button to the right of this box to select dimension text and special characters from predefined templates.
 |  | Displays dimension values in both inches and millimeters. The alternate units appear between square brackets.
 |  | Underlines the dimension value to indicate that the dimension is not to scale.
 |  | Draws a box around the dimension value to indicate that it is a theoretically exact dimension.
 |  | Draws a box around the dimension value to indicate that it is an inspection dimension.
 |  | Draws a parenthesis around the dimension value to indicate it is a reference dimension.
 | Text
 |  | Specifies that the dimension value must appear as part of the dimension text.
 |  | Displays a palette of special characters to add to dimension text.
 | Value
 |  | Exact Distance Displays the actual value for the current dimension.
 |  | Precision Specifies the number of decimals for the dimension value.
 | Properties
 |  | Apply to Applies the properties of the current dimension to other dimensions. The dialog box hides enabling you to select the dimensions to apply the properties to. Thereafter the Select Properties to Copy dialog box appears enabling you to specify which properties.
 |  | Copy from Imports the properties from another existing dimension. The dialog box hides enabling you to select the dimensions to copy the properties from. Thereafter the Select Properties to Copy dialog box appears enabling you to specify which properties.

Inspection tab
 | Shape Controls the shape of the frame drawn around the label, dimension value, and inspection rate of the inspection dimension.
 |  | Round Creates a frame with semi-circles on the ends. Vertical lines separate fields within the frame.
 |  | Angular Creates a frame with lines that form a 90-degree angle on the ends. Vertical lines separate fields within the frame.
 |  | None Draws no frame around the values. Does not separate fields with vertical lines
 |  | Graphic showing extension lines and arrowheads Controls the dimension text, arrowheads, extension lines, and force line inside options. Move the pointer over the graphic to display tooltips. Click arrowheads to display a pallet of options.
 | Label/Inspection Rate Controls the settings for the inspection dimension. Optionally shows a label and rate as part of the inspection dimension. You can control the label and rate fields individually, so it is not necessary to display both.
 |  | Label Toggles the display of the label field on/off in the inspection dimension.
 |  | Label Value Enables you to enter the label used to identify individual inspection dimensions. The label appears in the leftmost section of the inspection dimension when you select the Label check box.
 |  | Inspection Rate Toggles the display of the rate field on/off in the inspection dimension.
 |  | Inspection Rate Value Enables you to enter the rate used to indicate the frequency with which the part is inspected. The value is expressed as a percentage, and the valid range is 0 - 100. The inspection rate appears in the rightmost section of the inspection dimension when you select the Inspection Rate check box.

Geometry tab
 | Offset from Dim Line Sets the size of the gap between the text and the dimension line.
 | Center mark size Sets the size of the center mark. This option is visible only if you are setting options for a radius or diameter dimension. This option is not available by default. To make this option available, click the Center mark in the graphic showing the elements of a circle.
 | Graphic showing extension lines and arrowheads Controls the dimension text, arrowheads, extension lines, and force line inside options. Click the appropriate place in the graphic to customize that element. For example, click an arrowhead to display a palette of options. A tooltip shows the name of the element that can be controlled as you move the pointer over the elements of the graphic.

Units tab
 | Primary Sets options for primary units
 |  | Units Sets a unit type for dimensioning.
 |  | Linear Scale Sets a scale factor that multiplies the dimension value.
 |  | Round Off Sets a value for rounding off all dimensioning distances.
 | Primary Sets options for alternate units. These options are available only if you select Alternate units in the General tab.
 |  | Precision Sets the number of decimal places for alternate units


Add Fits and Tolerances to a Dimension (Quick Reference)

Add Fits and Tolerances to a Dimension
Add Fits and Tolerances to a Dimension
Add Fits and Tolerances to a Dimension
Annotate drawings > Create dimensions >
Add Fits and Tolerances to a Dimension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Tolerance Method dialog box

Use the Select Tolerance Type dialog box to select a tolerance representation.

Choose a tolerance method

Graphically shows the current tolerance method. Click the drop-down arrow next to the image to display a list of tolerance methods and click the method to use.


Add Fits and Tolerances to a Dimension (Quick Reference)

Add Fits and Tolerances to a Dimension
Add Fits and Tolerances to a Dimension
Add Fits and Tolerances to a Dimension
Annotate drawings > Create dimensions >
Add Fits and Tolerances to a Dimension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Fit Representation dialog box

Use this dialog box to select a fit representation for the selected dimension.

Choose a fit representation

Graphically shows the current fit representation. Click the drop-down arrow next to the image to display a list of representations and click the representation to use.


Add Fits and Tolerances to a Dimension (Quick Reference)

Add Fits and Tolerances to a Dimension
Add Fits and Tolerances to a Dimension
Edit Dimensions
Annotate drawings > Create dimensions >
Add Fits and Tolerances to a Dimension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Fits dialog box

Hole tab

Specifies a fit for the current dimension value of the hole. Information about the fit appears in this tab.

Shaft tab

Specifies a fit for the current dimension value of the shaft. Information about the fit appears in this tab.

Graphical representation

Displays a graphical representation of the fit’s deviation from the nominal size.

Mating

Expands the Fits dialog box to display both the Hole and Shaft tabs. A graphical combination of both fits appears. Besides the tab and shaft information section, a mating information section appears.


Edit Dimensions (Concept)

Add Fits and Tolerances to a Dimension
Create dimensions
Arrange Dimensions
Annotate drawings > Create dimensions >
Edit Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you double-click the dimension text of a dimension created with the AMAUTODIM command, the Power Dimensioning dialog box appears. If you double-click an extension line, the Automatic Dimensioning dialog box appears. For dimensions created with the AMPOWERDIM command or any of its variants, double-clicking anywhere on the dimension displays the Power Dimensioning dialog box.

The Power Dimensioning dialog box allows you to perform editing operations such as setting dimension text, specifying precision or adding fits, tolerances and symbols. When used in conjunction with the AMDIMEDIT command, this dialog box allows you to edit multiple dimensions simultaneously.


Edit Dimensions (Procedure)

Add Fits and Tolerances to a Dimension
Up a level to ..
Edit Dimensions
Annotate drawings > Create dimensions >
Edit Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit multiple dimension text

To change the dimension unit type

To set an alternate dimension unit type

To round off dimension distances

To multiply dimension values

To adjust the distance between the text and dimension lines

To change the arrowhead on a dimension

To control dimension line visibility

To control extension line visibility

To draw center marks and/or centerlines for radius and diameter dimensions

To add a prefix or a suffix to dimension text


Edit Dimensions (Quick Reference)

Add Fits and Tolerances to a Dimension
Edit Dimensions
Edit Dimensions
Annotate drawings > Create dimensions >
Edit Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDIMMEDIT

Power Dimensioning dialog box


To edit multiple dimension text (Procedure)

Edit Dimensions
Up a level to ..
Edit Dimensions
Annotate drawings > Create dimensions >
Edit Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit multiple dimension text

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMDIMMEDIT.
  2. Select all dimensions to edit (1, 2).
  3. In the Power Dimensioning dialog box set dimension text, specify accuracy for dimension values, or add tolerances and fits or symbols to the dimensions.
  4. Click OK.


To change the dimension unit type (Procedure)

Edit Dimensions
Up a level to ..
Edit Dimensions
Annotate drawings > Create dimensions >
Edit Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the dimension unit type

  1. Double-click the dimension.
  2. Select the Units tab.
  3. Under Primary, select a primary unit type from Units.
  4. Click OK.


To set an alternate dimension unit type (Procedure)

Edit Dimensions
Up a level to ..
Edit Dimensions
Annotate drawings > Create dimensions >
Edit Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set an alternate dimension unit type

  1. Double-click the dimension to edit.
  2. Select the Text Edit tab.
  3. Select the Alternate Unit button.
  4. Click OK.


To round off dimension distances (Procedure)

Edit Dimensions
Up a level to ..
Edit Dimensions
Annotate drawings > Create dimensions >
Edit Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To round off dimension distances

  1. Double-click the dimension.
  2. Select the Units tab.
  3. Under Primary, enter a value in the Round Off box.
  4. Click OK.


To multiply dimension values (Procedure)

Edit Dimensions
Up a level to ..
Edit Dimensions
Annotate drawings > Create dimensions >
Edit Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To multiply dimension values

  1. Double-click the dimension to edit. The Power Dimensioning dialog box is displayed.
  2. Select the Units tab.
  3. Under Primary, enter a value in the Linear Scale box.
  4. Click OK.


To adjust the distance between the text and dimension lines (Procedure)

Edit Dimensions
Up a level to ..
Edit Dimensions
Annotate drawings > Create dimensions >
Edit Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To adjust the distance between the text and dimension lines

  1. Select a dimension by double-clicking it. The Power Dimensioning dialog box is displayed.
  2. In the Geometry tab, enter a numerical value in the Text offset from dimension line box.
  3. Click OK.


To change the arrowhead on a dimension (Procedure)

Edit Dimensions
Up a level to ..
Edit Dimensions
Annotate drawings > Create dimensions >
Edit Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the arrowhead on a dimension

  1. Select a dimension by double-clicking it. The Power Dimensioning dialog box is displayed.
  2. Select the Geometry tab.
  3. In the graphic showing the dimension, click the arrowhead.
  4. From the arrowhead drop-down menu, select an arrowhead. The drawing area updates to reflect your selection.
  5. Click OK.


To control dimension line visibility (Procedure)

Edit Dimensions
Up a level to ..
Edit Dimensions
Annotate drawings > Create dimensions >
Edit Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To control dimension line visibility

  1. Select a dimension by double-clicking it. The Power Dimensioning dialog box is displayed.
  2. Select the Geometry tab.
  3. In the graphic showing the dimension, click the first dimension line and second dimension line so that both arrowheads are shaded.
    NoteTo locate the fist dimension line and second dimension line, move the pointer over the graphic and observe the tooltip.
  4. Click OK.


To control extension line visibility (Procedure)

Edit Dimensions
Up a level to ..
Edit Dimensions
Annotate drawings > Create dimensions >
Edit Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To control extension line visibility

  1. Select a dimension by double-clicking it. The Power Dimensioning dialog box is displayed.
  2. Select the Geometry tab.
  3. In the graphic showing the dimension, select the first and/or second extension line to toggle visibility.
  4. Click OK.


To draw center marks and/or centerlines for radius and diameter dimensions (Procedure)

Edit Dimensions
Up a level to ..
Edit Dimensions
Annotate drawings > Create dimensions >
Edit Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw center marks and/or centerlines for radius and diameter dimensions

  1. Select a radial or diameter dimension by double-clicking it. The Power Dimensioning dialog box is displayed.
  2. Select the Geometry tab.
  3. In the graphic showing the dimension, select the center marks. Click once for a center mark. Click twice for a centerline.
  4. Under Center mark size, enter the desired numerical value.
  5. Click OK.
NoteIf arrows or text are inside the arc, center marks do not appear as part of a dimension.


To add a prefix or a suffix to dimension text (Procedure)

Edit Dimensions
Up a level to ..
Arrange Dimensions
Annotate drawings > Create dimensions >
Edit Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a prefix or a suffix to dimension text

  1. Double-click the dimension to edit.
  2. Select the Text Edit tab.
  3. In the text editor, enter the prefix or suffix inside the blue and red brackets.
  4. Click OK.


Edit Dimensions (Quick Reference)

Edit Dimensions
Edit Dimensions
Edit Dimensions
Annotate drawings > Create dimensions >
Edit Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDIMMEDIT

Edits multiple dimensions simultaneously.

Ribbon: Annotate tab [image] Dimension panel [image] . Does not exist on the ribbon.
Toolbar: Dimension Edit
Menu: Annotate [image] Edit Dimensions [image] Dimension Edit, Multi Edit Does not exist in the menus.
Command entry: amdimmedit

The command displays the Power Dimension dialog box. If you change a setting, the dialog box applies it to all selected dimensions.

COMMAND LINE OPTIONS

Select objects: Select all the dimensions you want to edit.

Press ENTER to display the Power Dimensioning dialog box.


Edit Dimensions (Quick Reference)

Edit Dimensions
Edit Dimensions
Arrange Dimensions
Annotate drawings > Create dimensions >
Edit Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Power Dimensioning dialog box

Use the Power Dimensioning dialog box to set dimension text, specify accuracy for dimension values, or add tolerances and fits to dimensions. This dialog box appears when you apply Power Edit to dimensions.

If the Power Dimensioning dialog box is not visible, enter CMDDIA on the command line and enter 1 to turn on the dialog box display.

Expands the dialog box so you can specify fit values. This button is not visible if the dimension is based on the ANSI standard.
Expands the dialog box so you can specify fit values. This button is visible only if the dimension is based on the ANSI standard.
 | Fit
 |  | Symbol Specifies the fit symbol. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. These options are visible only if you expand the dialog box using the [image] or [image] buttons.
 |  | Hole Specifies the symbol to use for the hole tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 |  | Shaft Specifies the symbol to use for the shaft tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 | Precision
 |  | Primary Specifies the number of decimals for the primary unit. This option is visible only if you expand the dialog box using the [image] or [image] buttons.
 |  | Alternate Specifies the number of decimals for the alternate unit. This option is visible only if you expand the dialog box using the [image] or [image] buttons. It is available only if you select Alternate units.
Expands the dialog box so you can specify settings for the tolerance.
 | Deviation Specifies the maximum and minimum tolerance value for the dimension.
 |  | Upper Specifies the difference between the nominal dimension value and the maximum limit. This option is visible only if you expand the dialog box using the [image] button.
 |  | Lower Specifies the difference between the nominal dimension value and the minimum limit. This option is visible only if you expand the dialog box using the [image] button.
 | Precision Specifies the number of decimals for the tolerance value.
 |  | Primary Specifies the number of decimals for the primary unit. This option is visible only if you expand the dialog box using the [image] button.
 |  | Alternate Specifies the number of decimals for the alternate unit. This option is visible only if you expand the dialog box using the [image] button. It is available only if you select Alternate units.
 | Preview Displays a preview of the fit or tolerance. Click the preview to change the tolerance or fit representation.
General tab
 | Dimension Symbol Displays a graphical representation of the current dimension text. Click the [image] button to the right of this box to select dimension text and special characters from predefined templates.
 |  | Displays dimension values in both inches and millimeters. The alternate units appear between square brackets.
 |  | Underlines the dimension value to indicate that the dimension is not to scale.
 |  | Draws a box around the dimension value to indicate that it is a theoretically exact dimension.
 |  | Draws a box around the dimension value to indicate that it is an inspection dimension.
 |  | Draws a parenthesis around the dimension value to indicate it is a reference dimension.
 | Text
 |  | Specifies that the dimension value must appear as part of the dimension text.
 |  | Displays a palette of special characters to add to dimension text.
 | Value
 |  | Exact Distance Displays the actual value for the current dimension.
 |  | Precision Specifies the number of decimals for the dimension value.
 | Properties
 |  | Apply to Applies the properties of the current dimension to other dimensions. The dialog box hides enabling you to select the dimensions to apply the properties to. Thereafter the Select Properties to Copy dialog box appears enabling you to specify which properties.
 |  | Copy from Imports the properties from another existing dimension. The dialog box hides enabling you to select the dimensions to copy the properties from. Thereafter the Select Properties to Copy dialog box appears enabling you to specify which properties.

Inspection tab
 | Shape Controls the shape of the frame drawn around the label, dimension value, and inspection rate of the inspection dimension.
 |  | Round Creates a frame with semi-circles on the ends. Vertical lines separate fields within the frame.
 |  | Angular Creates a frame with lines that form a 90-degree angle on the ends. Vertical lines separate fields within the frame.
 |  | None Draws no frame around the values. Does not separate fields with vertical lines
 |  | Graphic showing extension lines and arrowheads Controls the dimension text, arrowheads, extension lines, and force line inside options. Move the pointer over the graphic to display tooltips. Click arrowheads to display a pallet of options.
 | Label/Inspection Rate Controls the settings for the inspection dimension. Optionally shows a label and rate as part of the inspection dimension. You can control the label and rate fields individually, so it is not necessary to display both.
 |  | Label Toggles the display of the label field on/off in the inspection dimension.
 |  | Label Value Enables you to enter the label used to identify individual inspection dimensions. The label appears in the leftmost section of the inspection dimension when you select the Label check box.
 |  | Inspection Rate Toggles the display of the rate field on/off in the inspection dimension.
 |  | Inspection Rate Value Enables you to enter the rate used to indicate the frequency with which the part is inspected. The value is expressed as a percentage, and the valid range is 0 - 100. The inspection rate appears in the rightmost section of the inspection dimension when you select the Inspection Rate check box.

Geometry tab
 | Offset from Dim Line Sets the size of the gap between the text and the dimension line.
 | Center mark size Sets the size of the center mark. This option is visible only if you are setting options for a radius or diameter dimension. This option is not available by default. To make this option available, click the Center mark in the graphic showing the elements of a circle.
 | Graphic showing extension lines and arrowheads Controls the dimension text, arrowheads, extension lines, and force line inside options. Click the appropriate place in the graphic to customize that element. For example, click an arrowhead to display a palette of options. A tooltip shows the name of the element that can be controlled as you move the pointer over the elements of the graphic.

Units tab
 | Primary Sets options for primary units
 |  | Units Sets a unit type for dimensioning.
 |  | Linear Scale Sets a scale factor that multiplies the dimension value.
 |  | Round Off Sets a value for rounding off all dimensioning distances.
 | Primary Sets options for alternate units. These options are available only if you select Alternate units in the General tab.
 |  | Precision Sets the number of decimal places for alternate units


Arrange Dimensions (Concept)

Edit Dimensions
Create dimensions
If the Gap Between Extension Lines is Small
Annotate drawings > Create dimensions >
Arrange Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical provides many commands to rearrange dimensions.

Use the AMDIMARRANGE command to arrange dimensions in relation to an edge of a contour, using the distance snap settings. The previous illustration shows how to move a dimension (1) to the taller edge (2). AMDIMARRANGE works with linear dimensions, ordinate dimensions, and angular dimensions used as baseline dimensions.

Use the AMDIMALIGN command to align one dimension to another, like chain dimensions. The previous illustration shows how one dimension is selected as the base (1) and the other (2) aligns to it. You can align angular and linear dimensions.

Use the AMDIMJOIN command to merge two adjacent dimensions as a single dimension. The previous illustration shows how one dimension is selected as the base (1) and the other (2) joins to it.

Use the AMDIMINSERT command to split a dimension. The previous illustration shows how a dimension is selected (1) and the origin of the extension line to be inserted (2) is specified to split the dimension.

If a dimension (1) crosses other dimensions or objects, use the AMDIMBREAK command to place a break at the crossing points. The break is intelligent. If you move the crossing dimension, the break moves with the dimension; if you delete the dimension, the break disappears.


Arrange Dimensions (Procedure)

Edit Dimensions
Up a level to ..
Arrange Dimensions
Annotate drawings > Create dimensions >
Arrange Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To base dimension placement on a contour

To align dimensions

To join dimensions

To split dimensions

To break dimension lines


Arrange Dimensions (Quick Reference)

Edit Dimensions
Arrange Dimensions
Arrange Dimensions
Annotate drawings > Create dimensions >
Arrange Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDIMBREAK

AMDIMJOIN

AMDIMALIGN

AMDIMARRANGE

AMDIMINSERT


To base dimension placement on a contour (Procedure)

Arrange Dimensions
Up a level to ..
Arrange Dimensions
Annotate drawings > Create dimensions >
Arrange Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To base dimension placement on a contour

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMDIMARRANGE.
  2. Select the dimensions to rearrange (1).
  3. Press ENTER.
  4. Select the contour on which to base these dimensions (2).
  5. Press ENTER.


To align dimensions (Procedure)

Arrange Dimensions
Up a level to ..
Arrange Dimensions
Annotate drawings > Create dimensions >
Arrange Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To align dimensions

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMDIMALIGN.
  2. Select the base dimension (1).
  3. Select the dimension(s) to align to the base dimension (2).
  4. Press ENTER.


To join dimensions (Procedure)

Arrange Dimensions
Up a level to ..
Arrange Dimensions
Annotate drawings > Create dimensions >
Arrange Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To join dimensions

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMDIMJOIN.
  2. Select the base dimension (1).
  3. Select the dimensions to join to the base dimension (2).
  4. Press ENTER.


To split dimensions (Procedure)

Arrange Dimensions
Up a level to ..
Arrange Dimensions
Annotate drawings > Create dimensions >
Arrange Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To split dimensions

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMDIMINSERT.
  2. Select a base dimension (1).
  3. Specify a point, or snap to an object (2).


To break dimension lines (Procedure)

Arrange Dimensions
Up a level to ..
If the Gap Between Extension Lines is Small
Annotate drawings > Create dimensions >
Arrange Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To break dimension lines

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMDIMBREAK.
  2. Select the dimension line or extension line to break (1).
  3. Press ENTER.

Note: The break is associative. When you move the geometry or a dimension, the gap moves. When you delete the geometry or a dimension the program deletes the gap.


Arrange Dimensions (Quick Reference)

Arrange Dimensions
Arrange Dimensions
Arrange Dimensions
Annotate drawings > Create dimensions >
Arrange Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDIMBREAK

Creates breaks in dimensions at specific points or at points where the dimensions cross other objects.

Ribbon: Annotate tab [image] Dimension panel [image] Dimension Edit, Break Dimension. Does not exist on the ribbon.
Toolbar: Dimension Edit
Menu: Annotate [image] Edit Dimensions [image] Dimension Edit, Break Dimension Does not exist in the menus.
Command entry: amdimbreak

The break is associative. If the crossing object moves, the break moves with the object. This command enables you to increase the readability of a drawing without having to explode a dimension.

COMMAND LINE OPTIONS

Select dimension or extension line to break [Multiple] <Multiple>: Select start point of the break or press ENTER to select more than one dimension.

Select dimension

Breaks the dimension at a point you select.

Second point or [First point/Objects/Restore] <Automatic>: Specify the endpoint of the break at or select an option.
 | First Point Reselects the start point of the break.
 | First Point: Select start point of the break.
 | Second Point: Select endpoint of the break.
 | Objects Enables you to select objects that cross the dimension.
 | Select Objects: Select the objects that cross the dimension and press ENTER.
 | Restore Removes the break from the selected dimension.
 | Automatic Automatically breaks the selected dimension on all intersecting points with other dimensions, and objects.

Multiple

Creates breaks in more than one dimension at the same time.

Select dimensions: Select the dimensions you want to break and press ENTER.
Select Objects [Restore] <Automatic>: Select the objects that cross the dimensions and press ENTER or select an option.
 | Restore Removes the break from the selected dimensions.
 | Automatic Automatically breaks the selected dimension on all intersecting points with other dimensions, and objects.


Arrange Dimensions (Quick Reference)

Arrange Dimensions
Arrange Dimensions
Arrange Dimensions
Annotate drawings > Create dimensions >
Arrange Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDIMJOIN

Combines two individual dimensions (of the same type) into a single dimension.

Ribbon: Annotate tab [image] Dimension panel [image] Dimension Edit, Join Dimensions. Does not exist on the ribbon.
Toolbar: Dimension Edit
Menu: Annotate [image] Edit Dimensions [image] Dimension Edit, Join Dimensions Does not exist in the menus.
Command entry: amdimjoin

This command applies only to linear and angular (3- point or 2 - line) dimensions.

COMMAND LINE OPTIONS

Select base dimension: Select a linear or angular base dimension.

Select linear dimensions to join: Select a dimension that matches the base type.

Select linear dimensions to join: Select another dimension or press ENTER.


Arrange Dimensions (Quick Reference)

Arrange Dimensions
Arrange Dimensions
Arrange Dimensions
Annotate drawings > Create dimensions >
Arrange Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDIMALIGN

Lines up linear, ordinate or angular dimensions, with a dimension you select as the baseline.

Ribbon: Annotate tab [image] Dimension panel [image] Dimension Edit, Align Dimensions. Does not exist on the ribbon.
Toolbar: Dimension Edit
Menu: Annotate [image] Edit Dimensions [image] Dimension Edit, Align Dimensions Does not exist in the menus.
Command entry: amdimalign

The dimensions you select for aligning must be of the same type.

COMMAND LINE OPTIONS

Select base dimension: Select a linear, ordinate, or angular base dimension. Subsequent prompts depend on the type of dimension you select.

Linear dimension selected

Select linear dimensions to align: Select a set of dimensions that are parallel to the base dimension.

Angular dimension selected

Select angular dimensions to align: Select a set of dimensions that measure angles about the same vertex as the base demission.

Ordinate dimension selected

Select ordinate dimensions to align: Select a set of ordinate dimensions whose extension lines are parallel to the base dimension.

Note
  • If you select a set of dimensions that have dimension lines inside and outside the extension lines, and the dimension lines and arrowheads overlap, do not use AMDIMALIGN. Use UNDO or adjust the dimensions individually.
  • AMDIMALIGN does not recognize extension line suppression.


Arrange Dimensions (Quick Reference)

Arrange Dimensions
Arrange Dimensions
Arrange Dimensions
Annotate drawings > Create dimensions >
Arrange Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDIMARRANGE

Rearranges linear and ordinated dimensions, placing them at an appropriate distance from the outer contour of an object you select.

Ribbon: Annotate tab [image] Dimension panel [image] Dimension Edit, Arrange. Does not exist on the ribbon.
Toolbar: Dimension Edit
Menu: Annotate [image] Edit Dimensions [image] Dimension Edit, Arrange Does not exist in the menus.
Command entry: amdimarrange

The dimensions are arranged around the outer contour, based on the distance snap settings in AMOPTIONS and the DIMDLI system variable. If you select dimensions on both axes, you need not select the contour. The command uses the endpoints of the extension lines to determine the contour automatically.

COMMAND LINE OPTIONS

Select dimensions and contour entities: Select a linear dimension or a point on the contour in relation to which you want to space the dimensions. Press ENTER to finalize your selection.

Select point on contour (RETURN for automatic): This prompt appears only if you do not select a contour. Select a point on the edge relative to which you want to position the dimensions or press ENTER to let AutoCAD Mechanical determine the contour automatically.

NoteWith AMDIMARRANGE, the dimension is not replaced; only its position changes.


Arrange Dimensions (Quick Reference)

Arrange Dimensions
Arrange Dimensions
If the Gap Between Extension Lines is Small
Annotate drawings > Create dimensions >
Arrange Dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDIMINSERT

Splits a linear or angular dimension into two individual dimensions.

Ribbon: Annotate tab [image] Dimension panel [image] Dimension Edit, Insert Dimension. Does not exist on the ribbon.
Toolbar: Dimension Edit
Menu: Annotate [image] Edit Dimensions [image] Dimension Edit, Insert Dimension Does not exist in the menus.
Command entry: amdiminsert

The command truncates the selected dimension at a point you choose and inserts a new dimension from the second extension line of the selected dimension. The new dimension is identical to a dimension you create using the AMPOWERDIM command.

COMMAND LINE OPTIONS

Select base dimension: Select a linear or angular dimension to split.

Locate extension line origin: Specify the point where to place the origin of the new extension line.

NoteAMDIMINSERT changes a 2-line dimension to a 3-point dimension and an aligned dimension to a rotated dimension.


If the Gap Between Extension Lines is Small (Concept)

Arrange Dimensions
Create dimensions
Copy Formatting From One Dimension to Another
Annotate drawings > Create dimensions >
If the Gap Between Extension Lines is Small
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When the space between the extension lines is too small to contain the arrows and dimension text, use the AMDIMFORMAT command to tell AutoCAD Mechanical where to place dimension text and arrows.

When you invoke the AMDIMFORMAT command, AutoCAD Mechanical opens the Dimension Formatter dialog box. The Format tab contains several buttons, each corresponding to a placement option. The options are context sensitive and depend on the dimension type you are editing. The button face graphically depicts the placement of text and arrowheads, enabling you to select the most suitable placement.

Apart from the Format tab, the other tabs are replaced by the AMPOWERDIM command and remain in the product only for backward compatibility.


If the Gap Between Extension Lines is Small (Procedure)

Arrange Dimensions
Up a level to ..
If the Gap Between Extension Lines is Small
Annotate drawings > Create dimensions >
If the Gap Between Extension Lines is Small
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To force the drawing of a dimension line between extension lines

To format the dimension when the gap between extension lines is small


If the Gap Between Extension Lines is Small (Quick Reference)

Arrange Dimensions
If the Gap Between Extension Lines is Small
If the Gap Between Extension Lines is Small
Annotate drawings > Create dimensions >
If the Gap Between Extension Lines is Small
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDIMFORMAT

AMPOWERDIM

Power Dimensioning dialog box


To force the drawing of a dimension line between extension lines (Procedure)

If the Gap Between Extension Lines is Small
Up a level to ..
If the Gap Between Extension Lines is Small
Annotate drawings > Create dimensions >
If the Gap Between Extension Lines is Small
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To force the drawing of a dimension line between extension lines

  1. Select a dimension by double-clicking it. The Power Dimensioning dialog box is displayed.
  2. Select the Geometry tab.
  3. In the graphic showing the dimension, select the Force line inside option to toggle visibility.
    TipTo locate the Force line inside option, move the pointer over the graphic showing the dimension and observe the tooltip.
  4. Click OK.


To format the dimension when the gap between extension lines is small (Procedure)

If the Gap Between Extension Lines is Small
Up a level to ..
Copy Formatting From One Dimension to Another
Annotate drawings > Create dimensions >
If the Gap Between Extension Lines is Small
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To format the dimension when the gap between extension lines is small

  1. Click None [image] None [image] At the Command prompt, enter AMDIMFORMAT.
  2. Select a dimension. The Dimension Formatter dialog box is displayed.
  3. In the Format tab, select the desired formatting.
  4. Click OK.


If the Gap Between Extension Lines is Small (Quick Reference)

If the Gap Between Extension Lines is Small
If the Gap Between Extension Lines is Small
If the Gap Between Extension Lines is Small
Annotate drawings > Create dimensions >
If the Gap Between Extension Lines is Small
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDIMFORMAT

Use AMDIMFORMAT to modify dimensions in Drawing mode. Changes made in the Dimension Formatter dialog box change on screen, so you can see the results before accepting them.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amdimformat
NoteThis command is available only on the command line.

COMMAND LINE OPTIONS

Select a dimension entity: Select a dimension.

AMDIMFORMAT recognizes the selected dimension type and opens the Dimension Formatter dialog box with options that apply to the selected dimension type.

DIALOG BOX DEFINITIONS

Dimension Formatter dialog box

The Dimension Formatter dialog box contains five tabs, whose options change depending on the type of dimension selected.

Geometry Tab

The options in this tab have been superseded by the Power Dimensioning dialog box. Double-click the dimension text and make changes in the Power Dimensioning dialog box.

Format Tab

The Format tab controls orientation, placement, and fit of text for dimensions where the gap between the extension lines is not large enough for the arrowhead.

Units Tab

The options in this tab have been superseded by the Power Dimensioning dialog box. Double-click the dimension text and make changes in the Power Dimensioning dialog box.

Tolerance Tab

The options in this tab have been superseded by the Power Dimensioning dialog box. double-click the dimension text and make changes in the Power Dimensioning dialog box.

Text Edit Tab

The options in this tab have been superseded by the Power Dimensioning dialog box. Double-click the dimension text and make changes in the Power Dimensioning dialog box.

NoteAMDIMFORMAT does not format ordinate dimensions.


If the Gap Between Extension Lines is Small (Quick Reference)

If the Gap Between Extension Lines is Small
If the Gap Between Extension Lines is Small
If the Gap Between Extension Lines is Small
Annotate drawings > Create dimensions >
If the Gap Between Extension Lines is Small
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM

Creates multiple types of dimensions within a single command session and provides the ability to specify tolerances or fits as appropriate.

Ribbon: Home tab [image] Dimension panel [image] Power Dimension. Does not exist on the ribbon.
Toolbar: Dimension [image] Desktop Annotation
Menu: Default Menu [image] Annotate [image] Power Dimension Does not exist in the menus.
Command entry: ampowerdim

COMMAND LINE OPTIONS

Specify first extension line origin or [Linear/Angular/Radial/Baseline/Chain/Options/Update] <select object>: Specify a point or press ENTER to select an object to dimension or select an option.

First Extension Line

Creates a linear dimension when you select two points.

Specify second extension line origin: Specify the second point that defines the linear dimension (2)
Specify dimension line location or [Horizontal/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. Depending on the direction you move the dimension, the dimension changes to a horizontal, vertical or aligned dimension.
 | Horizontal Sets the dimension type to horizontal linear dimensions.
 | Specify dimension line location or [Drag/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Vertical Sets the dimension type to vertical linear dimensions.
 | Specify dimension line location or [Drag/Horizontal/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Aligned Sets the dimension type to aligned linear dimensions.
 | Specify dimension line location or [Drag/Horizontal/Vertical/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Rotated Sets the dimension type to rotated linear dimensions.
 | Specify angle of dimension line <0>:Specify an angle or press ENTER
 | Specify dimension line location or [Drag/Horizontal/Vertical/Aligned/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Placement Options Provides options to override the default distance snap settings.
 | Select object to include for distance snap calculation or [Options] <eXit> Select an object to base the distance snap calculation on or enter O to display a dialog box, enabling you to override the snap distance or toggle distance snap temporarily.

Select Objects

Automatically selects an applicable dimension type for the objects you select.

Select arc, circle, line, or dimension: Select the object to dimension. The subsequent prompts depend on the type of object you select.
 | Arc selected Defaults the dimension type to radius dimensions.
 | Specify dimension line location or [Diameter/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 |  | Diameter Sets the dimension type to diameter dimensions.
 |  | Specify dimension line location or [Radius/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Radius Forces the dimension type back to radius dimensions.
 |  |  | Options Displays the Diameter Dimension Options dialog box enabling you to configure the appearance of the dimension.
 |  | Jogged Radius Sets the dimension type to jogged radius dimensions.
 |  | Specify center location override: Specify the point to use in place of the true center point of the arc or circle.
 |  | Specify dimension line location: Specify a point to indicate the angle of the dimension line. If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 |  | Specify jog location: Move the jog to the desired position and click to place the dimension. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Arc length Sets the dimension type to arc length dimensions.
 |  | Specify arc length dimension location or [Partial/Leader]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Partial Creates the arc length dimension for only a section of the arc.
 |  |  | Specify first point for arc length dimension: Specify a point for the origin of the first extension line of the arc length dimension.
 |  |  | Specify second point for arc length dimension: Specify a point for the origin of the second extension line of the arc length dimension.
 |  |  | Leader Draws a leader from the center of the dimension, pointing toward the center of the arc you are dimensioning. The leader appears only if the arc (or arc segment) is greater than 90 degrees.
 |  | Linear Forces the dimension type to linear dimensions. For an explanation of the subsequent prompts, refer to the prompts that appear when you select a line.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 | Circle selected Defaults the dimension type to diameter dimensions.
 | Specify dimension line location or [Radius/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Radius Sets the dimension type to radius dimensions.
 |  | Specify dimension line location or [Diameter/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Diameter Forces the dimension type back to diameter dimensions
 |  |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 |  | Jogged Radius Sets the dimension type to jogged radius dimensions.
 |  | Specify center location override: Specify the point to use in place of the true center point of the arc or circle.
 |  | Specify dimension line location: Specify a point to indicate the angle of the dimension line. If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 |  | Specify jog location: Move the jog to the desired position and click to place the dimension. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions. For an explanation of the subsequent prompts, refer to the prompts that appear when you select a line.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 | Line selected Defaults the dimension type to linear dimensions.
 |  | Specify dimension line location or [Horizontal/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. Depending on the direction you move the dimension, the dimension changes to a horizontal, vertical or aligned dimension.
 |  |  | Horizontal Sets the dimension type to horizontal linear dimensions.
 |  |  | Specify dimension line location or [ Drag/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Vertical Sets the dimension type to vertical linear dimensions.
 |  |  | Specify dimension line location or [Drag/Horizontal/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Aligned Sets the dimension type to aligned linear dimensions.
 |  |  | Specify dimension line location or [Drag/Horizontal/Vertical/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Rotated Sets the dimension type to rotated linear dimensions.
 |  |  | Specify angle of dimension line <0>:Specify an angle or press ENTER
 |  |  | Specify dimension line location or [Drag/Horizontal/Vertical/Aligned/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Placement Options Provides options to override the default distance snap settings.
 |  |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily.
 | Dimension selected Displays the Power Dimensioning dialog box enabling you to modify the dimension options.
 | Ellipse selected Defaults to options set for selecting a line.

Linear

Creates a linear dimension with a horizontal, vertical, or rotated dimension line.

Select option [Horizontal/Vertical/Aligned/Rotated/eXit]: Select an option or press ENTER to terminate the command.
 | Horizontal Sets the dimension type to horizontal linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the horizontal linear dimension (1)
 | Specify second extension line origin: Specify the second point that defines the horizontal linear dimension (2)
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click (3) to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.
 | Vertical Sets the dimension type to vertical linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the vertical linear dimension (1).
 | Specify second extension line origin: Specify the second point that defines the vertical linear dimension (2).
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click to place it (3). The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.
 | Aligned Sets the dimension type to aligned linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the aligned linear dimension (1).
 | Specify second extension line origin: Specify the second point that defines the aligned linear dimension (2).
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click to place it (3). The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily.
 | Rotated Sets the dimension type to rotated linear dimensions.
 | Specify angle of dimension line <0>:Specify an angle or press ENTER
 | Specify first extension line origin or <select object>: Select the object to dimension or specify the first point that defines the rotated linear dimension (1)
 |  | Specify First Extension Line Defines the dimension by letting you select the extension line origins and the dimension line location.
 | Specify second extension line origin: Specify the second point that defines the linear dimension (2)
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position (3) and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Select Object Defines the dimension by letting you select the object to dimension and the dimension line location.
 |  | Specify second extension line origin: Specify the second point that defines the linear dimension (2)
 |  | Select object to dimension: Specify an object to dimension. Applicable objects are highlighted in the drawing area as you move the crosshairs over them.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit> Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.

Angular

Creates an angular dimension showing the angle between three points by or the angle between two lines.

Select arc, circle, line or [Baseline/Chain/eXit] <specify vertex>: Select an object or press ENTER to define the angle by specifying three points.
 | Specify Vertex Creates a dimension based on three points you specify.
 | Specify angle vertex: Specify the point to use as the vertex of the angle. (1 in the illustration)
 | Specify first angle endpoint: Specify a point. (2)
 | Specify second angle endpoint: Specify a point. (3 in the illustration) The dimension line appears as an arc between the extension lines. The extension lines appear from the angle endpoints to the intersection of the dimension line.
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line (4) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to lock the dimension to.
 | Arc selected Uses the endpoints of the selected arc and its center as the defining points for a three-point angular dimension. The center of the arc is the vertex.
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line (2) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate to which quadrant the dimension is locked.
 | Circle selected Uses two points on a circle and the center of the circle as the defining points for a three-point angular dimension. The center of the circle is the vertex and the first selection point (1) is the origin of the first extension line.
 | Specify second angle endpoint: Specify the origin of the second extension line (2).
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line to the desired position (3) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to which the dimension is locked.
 | Line selected Creates a dimension for the angle between two lines. The line you selected (1) is the first line that defines the angle.
 | Specify second line: Select the second line (2).
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line to the desired position and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes. If the dimension line does not intersect the lines you are dimensioning, additional extension lines extend one or both lines. The dimension arc line is always less than 180 degrees.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to which the dimension is locked.

Radial

Creates dimensions for circles and arcs

Select option [Radius/Diameter/Jogged radius/Arc length/eXit]: Select the type of dimension to create or press ENTER to exit the command or enter X to go back to the previous prompt.
Radius Sets the dimension type to radius dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension or enter X to return to the previous prompt.
 | Specify dimension line location or [Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
Diameter Sets the dimension type to diameter dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension or enter X to return to the previous prompt.
 | Specify dimension line location or [Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions.
 |  | Options Displays the Diameter Dimension Options dialog box enabling you to configure the appearance of the dimension.
Jogged Radius Sets the dimension type to jogged radius dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension (1) or enter X to return to the previous prompt.
 | Specify center location override: Specify the point to use in place of the true center point of the arc or circle (2).
 | Specify dimension line location: Specify a point to indicate the angle of the dimension line (3). If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 | Specify jog location: Move the jog to the desired position and click to place the dimension (4). If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
Arc length Sets the dimension type to arc length dimensions.
 | Select arc or polyline arc segment [eXit]: Select an arc to dimension or enter X to return to the previous prompt.
 | Specify arc length dimension location or [Partial/Leader]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Partial Creates the arc length dimension for only a section of the arc.
 |  | Specify first point for arc length dimension: Specify a point for the origin of the first extension line of the arc length dimension.
 |  | Specify second point for arc length dimension: Specify a point for the origin of the second extension line of the arc length dimension.

Baseline

Creates a linear or angular dimension from the baseline of a selected dimension.

Select base dimension [eXit]: Select a linear or angular dimension to use as the base for the baseline dimension (1).
Specify next extension line origin or [Undo/Select/Chain] <Select>: Specify a point (2) or select an option.
 | Undo Undoes the last baseline dimension entered during this command session.
 | Select Prompts you to select a different dimension for use as the base for the baseline dimension.
 | Chain Switches to creating a chain dimension instead of a baseline dimension.

Chain

Creates a linear or angular dimension from the second extension line of a selected dimension.

Select base dimension [eXit]: Select a linear, angular, or arc length dimension to use as the base for the chain dimension (1).
Specify next extension line origin or [Undo/Select/Baseline] <Select>: Specify a point (2) or select an option.
 | Undo Undoes the last chain dimension entered during this command session.
 | Select Enables you to select a different dimension to use as the base for the chain dimension.
 | Baseline Enables you to switch to creation of baseline dimensions.

Options

Displays the Power Dimension Options dialog box enabling you to pre-configure options for this command session.

Update

Updates fits and tolerances of dimensions that you select, to reflect the most current settings configured for text height and color in AMOPTIONS. It also updates the upper and lower deviating values of a fit, sometimes necessary when you stretch a dimension.

Select dimension <All>: Select a dimension to update or press ENTER to select all.


If the Gap Between Extension Lines is Small (Quick Reference)

If the Gap Between Extension Lines is Small
If the Gap Between Extension Lines is Small
Copy Formatting From One Dimension to Another
Annotate drawings > Create dimensions >
If the Gap Between Extension Lines is Small
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Power Dimensioning dialog box

Use the Power Dimensioning dialog box to set dimension text, specify accuracy for dimension values, or add tolerances and fits to dimensions. This dialog box appears when you apply Power Edit to dimensions.

If the Power Dimensioning dialog box is not visible, enter CMDDIA on the command line and enter 1 to turn on the dialog box display.

Expands the dialog box so you can specify fit values. This button is not visible if the dimension is based on the ANSI standard.
Expands the dialog box so you can specify fit values. This button is visible only if the dimension is based on the ANSI standard.
 | Fit
 |  | Symbol Specifies the fit symbol. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. These options are visible only if you expand the dialog box using the [image] or [image] buttons.
 |  | Hole Specifies the symbol to use for the hole tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 |  | Shaft Specifies the symbol to use for the shaft tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 | Precision
 |  | Primary Specifies the number of decimals for the primary unit. This option is visible only if you expand the dialog box using the [image] or [image] buttons.
 |  | Alternate Specifies the number of decimals for the alternate unit. This option is visible only if you expand the dialog box using the [image] or [image] buttons. It is available only if you select Alternate units.
Expands the dialog box so you can specify settings for the tolerance.
 | Deviation Specifies the maximum and minimum tolerance value for the dimension.
 |  | Upper Specifies the difference between the nominal dimension value and the maximum limit. This option is visible only if you expand the dialog box using the [image] button.
 |  | Lower Specifies the difference between the nominal dimension value and the minimum limit. This option is visible only if you expand the dialog box using the [image] button.
 | Precision Specifies the number of decimals for the tolerance value.
 |  | Primary Specifies the number of decimals for the primary unit. This option is visible only if you expand the dialog box using the [image] button.
 |  | Alternate Specifies the number of decimals for the alternate unit. This option is visible only if you expand the dialog box using the [image] button. It is available only if you select Alternate units.
 | Preview Displays a preview of the fit or tolerance. Click the preview to change the tolerance or fit representation.
General tab
 | Dimension Symbol Displays a graphical representation of the current dimension text. Click the [image] button to the right of this box to select dimension text and special characters from predefined templates.
 |  | Displays dimension values in both inches and millimeters. The alternate units appear between square brackets.
 |  | Underlines the dimension value to indicate that the dimension is not to scale.
 |  | Draws a box around the dimension value to indicate that it is a theoretically exact dimension.
 |  | Draws a box around the dimension value to indicate that it is an inspection dimension.
 |  | Draws a parenthesis around the dimension value to indicate it is a reference dimension.
 | Text
 |  | Specifies that the dimension value must appear as part of the dimension text.
 |  | Displays a palette of special characters to add to dimension text.
 | Value
 |  | Exact Distance Displays the actual value for the current dimension.
 |  | Precision Specifies the number of decimals for the dimension value.
 | Properties
 |  | Apply to Applies the properties of the current dimension to other dimensions. The dialog box hides enabling you to select the dimensions to apply the properties to. Thereafter the Select Properties to Copy dialog box appears enabling you to specify which properties.
 |  | Copy from Imports the properties from another existing dimension. The dialog box hides enabling you to select the dimensions to copy the properties from. Thereafter the Select Properties to Copy dialog box appears enabling you to specify which properties.

Inspection tab
 | Shape Controls the shape of the frame drawn around the label, dimension value, and inspection rate of the inspection dimension.
 |  | Round Creates a frame with semi-circles on the ends. Vertical lines separate fields within the frame.
 |  | Angular Creates a frame with lines that form a 90-degree angle on the ends. Vertical lines separate fields within the frame.
 |  | None Draws no frame around the values. Does not separate fields with vertical lines
 |  | Graphic showing extension lines and arrowheads Controls the dimension text, arrowheads, extension lines, and force line inside options. Move the pointer over the graphic to display tooltips. Click arrowheads to display a pallet of options.
 | Label/Inspection Rate Controls the settings for the inspection dimension. Optionally shows a label and rate as part of the inspection dimension. You can control the label and rate fields individually, so it is not necessary to display both.
 |  | Label Toggles the display of the label field on/off in the inspection dimension.
 |  | Label Value Enables you to enter the label used to identify individual inspection dimensions. The label appears in the leftmost section of the inspection dimension when you select the Label check box.
 |  | Inspection Rate Toggles the display of the rate field on/off in the inspection dimension.
 |  | Inspection Rate Value Enables you to enter the rate used to indicate the frequency with which the part is inspected. The value is expressed as a percentage, and the valid range is 0 - 100. The inspection rate appears in the rightmost section of the inspection dimension when you select the Inspection Rate check box.

Geometry tab
 | Offset from Dim Line Sets the size of the gap between the text and the dimension line.
 | Center mark size Sets the size of the center mark. This option is visible only if you are setting options for a radius or diameter dimension. This option is not available by default. To make this option available, click the Center mark in the graphic showing the elements of a circle.
 | Graphic showing extension lines and arrowheads Controls the dimension text, arrowheads, extension lines, and force line inside options. Click the appropriate place in the graphic to customize that element. For example, click an arrowhead to display a palette of options. A tooltip shows the name of the element that can be controlled as you move the pointer over the elements of the graphic.

Units tab
 | Primary Sets options for primary units
 |  | Units Sets a unit type for dimensioning.
 |  | Linear Scale Sets a scale factor that multiplies the dimension value.
 |  | Round Off Sets a value for rounding off all dimensioning distances.
 | Primary Sets options for alternate units. These options are available only if you select Alternate units in the General tab.
 |  | Precision Sets the number of decimal places for alternate units


Copy Formatting From One Dimension to Another (Concept)

If the Gap Between Extension Lines is Small
Create dimensions
Locate Dimensions with Overridden Text
Annotate drawings > Create dimensions >
Copy Formatting From One Dimension to Another
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can copy properties such as precision, dimension text attributes (underlined, boxed in), tolerances and fits, dimension style, and layers from one dimension to another. You use the Copy From button in the Power Dimension dialog box to import formatting from another dimension, while you use the Apply To button to export formatting to another dimension.


Copy Formatting From One Dimension to Another (Procedure)

If the Gap Between Extension Lines is Small
Up a level to ..
Copy Formatting From One Dimension to Another
Annotate drawings > Create dimensions >
Copy Formatting From One Dimension to Another
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To export the properties from one dimension to another dimension

To import properties from another dimension


Copy Formatting From One Dimension to Another (Quick Reference)

If the Gap Between Extension Lines is Small
Copy Formatting From One Dimension to Another
Copy Formatting From One Dimension to Another
Annotate drawings > Create dimensions >
Copy Formatting From One Dimension to Another
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Power Dimensioning dialog box

Properties dialog box


To export the properties from one dimension to another dimension (Procedure)

Copy Formatting From One Dimension to Another
Up a level to ..
Copy Formatting From One Dimension to Another
Annotate drawings > Create dimensions >
Copy Formatting From One Dimension to Another
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To export the properties from one dimension to another dimension

  1. Double-click the dimension to export from.
  2. In the Power Dimensioning dialog box, and click Apply to.
  3. Select the dimensions to export to and press ENTER.
  4. In the Properties dialog box, set the parameters to export.
  5. Click OK until all dialog boxes close.


To import properties from another dimension (Procedure)

Copy Formatting From One Dimension to Another
Up a level to ..
Locate Dimensions with Overridden Text
Annotate drawings > Create dimensions >
Copy Formatting From One Dimension to Another
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import properties from another dimension

  1. Double-click the dimension to edit (2).
  2. In the Power Dimensioning dialog box, choose Copy from
  3. Select the dimension from which to import parameters (3).
  4. In the Select Parameters for Copying dialog box, set the parameters to use.
  5. Click OK.
  6. Click OK again.


Copy Formatting From One Dimension to Another (Quick Reference)

Copy Formatting From One Dimension to Another
Copy Formatting From One Dimension to Another
Copy Formatting From One Dimension to Another
Annotate drawings > Create dimensions >
Copy Formatting From One Dimension to Another
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Power Dimensioning dialog box

Use the Power Dimensioning dialog box to set dimension text, specify accuracy for dimension values, or add tolerances and fits to dimensions. This dialog box appears when you apply Power Edit to dimensions.

If the Power Dimensioning dialog box is not visible, enter CMDDIA on the command line and enter 1 to turn on the dialog box display.

Expands the dialog box so you can specify fit values. This button is not visible if the dimension is based on the ANSI standard.
Expands the dialog box so you can specify fit values. This button is visible only if the dimension is based on the ANSI standard.
 | Fit
 |  | Symbol Specifies the fit symbol. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. These options are visible only if you expand the dialog box using the [image] or [image] buttons.
 |  | Hole Specifies the symbol to use for the hole tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 |  | Shaft Specifies the symbol to use for the shaft tolerance, in a stacked fit representation. Click the [image] button to display the Fits dialog box, enabling you to pick the symbol and the deviation from a list. This option is visible only for stacked fit representations.
 | Precision
 |  | Primary Specifies the number of decimals for the primary unit. This option is visible only if you expand the dialog box using the [image] or [image] buttons.
 |  | Alternate Specifies the number of decimals for the alternate unit. This option is visible only if you expand the dialog box using the [image] or [image] buttons. It is available only if you select Alternate units.
Expands the dialog box so you can specify settings for the tolerance.
 | Deviation Specifies the maximum and minimum tolerance value for the dimension.
 |  | Upper Specifies the difference between the nominal dimension value and the maximum limit. This option is visible only if you expand the dialog box using the [image] button.
 |  | Lower Specifies the difference between the nominal dimension value and the minimum limit. This option is visible only if you expand the dialog box using the [image] button.
 | Precision Specifies the number of decimals for the tolerance value.
 |  | Primary Specifies the number of decimals for the primary unit. This option is visible only if you expand the dialog box using the [image] button.
 |  | Alternate Specifies the number of decimals for the alternate unit. This option is visible only if you expand the dialog box using the [image] button. It is available only if you select Alternate units.
 | Preview Displays a preview of the fit or tolerance. Click the preview to change the tolerance or fit representation.
General tab
 | Dimension Symbol Displays a graphical representation of the current dimension text. Click the [image] button to the right of this box to select dimension text and special characters from predefined templates.
 |  | Displays dimension values in both inches and millimeters. The alternate units appear between square brackets.
 |  | Underlines the dimension value to indicate that the dimension is not to scale.
 |  | Draws a box around the dimension value to indicate that it is a theoretically exact dimension.
 |  | Draws a box around the dimension value to indicate that it is an inspection dimension.
 |  | Draws a parenthesis around the dimension value to indicate it is a reference dimension.
 | Text
 |  | Specifies that the dimension value must appear as part of the dimension text.
 |  | Displays a palette of special characters to add to dimension text.
 | Value
 |  | Exact Distance Displays the actual value for the current dimension.
 |  | Precision Specifies the number of decimals for the dimension value.
 | Properties
 |  | Apply to Applies the properties of the current dimension to other dimensions. The dialog box hides enabling you to select the dimensions to apply the properties to. Thereafter the Select Properties to Copy dialog box appears enabling you to specify which properties.
 |  | Copy from Imports the properties from another existing dimension. The dialog box hides enabling you to select the dimensions to copy the properties from. Thereafter the Select Properties to Copy dialog box appears enabling you to specify which properties.

Inspection tab
 | Shape Controls the shape of the frame drawn around the label, dimension value, and inspection rate of the inspection dimension.
 |  | Round Creates a frame with semi-circles on the ends. Vertical lines separate fields within the frame.
 |  | Angular Creates a frame with lines that form a 90-degree angle on the ends. Vertical lines separate fields within the frame.
 |  | None Draws no frame around the values. Does not separate fields with vertical lines
 |  | Graphic showing extension lines and arrowheads Controls the dimension text, arrowheads, extension lines, and force line inside options. Move the pointer over the graphic to display tooltips. Click arrowheads to display a pallet of options.
 | Label/Inspection Rate Controls the settings for the inspection dimension. Optionally shows a label and rate as part of the inspection dimension. You can control the label and rate fields individually, so it is not necessary to display both.
 |  | Label Toggles the display of the label field on/off in the inspection dimension.
 |  | Label Value Enables you to enter the label used to identify individual inspection dimensions. The label appears in the leftmost section of the inspection dimension when you select the Label check box.
 |  | Inspection Rate Toggles the display of the rate field on/off in the inspection dimension.
 |  | Inspection Rate Value Enables you to enter the rate used to indicate the frequency with which the part is inspected. The value is expressed as a percentage, and the valid range is 0 - 100. The inspection rate appears in the rightmost section of the inspection dimension when you select the Inspection Rate check box.

Geometry tab
 | Offset from Dim Line Sets the size of the gap between the text and the dimension line.
 | Center mark size Sets the size of the center mark. This option is visible only if you are setting options for a radius or diameter dimension. This option is not available by default. To make this option available, click the Center mark in the graphic showing the elements of a circle.
 | Graphic showing extension lines and arrowheads Controls the dimension text, arrowheads, extension lines, and force line inside options. Click the appropriate place in the graphic to customize that element. For example, click an arrowhead to display a palette of options. A tooltip shows the name of the element that can be controlled as you move the pointer over the elements of the graphic.

Units tab
 | Primary Sets options for primary units
 |  | Units Sets a unit type for dimensioning.
 |  | Linear Scale Sets a scale factor that multiplies the dimension value.
 |  | Round Off Sets a value for rounding off all dimensioning distances.
 | Primary Sets options for alternate units. These options are available only if you select Alternate units in the General tab.
 |  | Precision Sets the number of decimal places for alternate units


Copy Formatting From One Dimension to Another (Quick Reference)

Copy Formatting From One Dimension to Another
Copy Formatting From One Dimension to Another
Locate Dimensions with Overridden Text
Annotate drawings > Create dimensions >
Copy Formatting From One Dimension to Another
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Properties dialog box

Use the Properties dialog box to select the dimension properties to apply from one dimension to the other.

Dimension precision

Applies the precision settings of one dimension to another.

Tolerance/Fit

Applies the tolerance and fit settings of one dimension to another.

Dimension text

Applies the dimension text formatting settings found in the text editor of the Power Dimensioning dialog box.

Dimension style

Applies the dimension style of one dimension to another dimension of the same type.

Dimension representation

Applies the dimension text formatting settings found in the Representation section of the Power Dimensioning dialog box

Layer

Applies the layer settings of one dimension to another, thereby moving the dimension to the layer that the other dimension is on.

Expression

Copies the parameters and variable settings from one dimension, to another.


Locate Dimensions with Overridden Text (Concept)

Copy Formatting From One Dimension to Another
Create dimensions
Notes on Using DIMLFAC with AutoCAD Mechanical
Annotate drawings > Create dimensions >
Locate Dimensions with Overridden Text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCHECKDIM searches a drawing for dimensions where the dimension text value (DIMTXT) does not contain the default (“*<>*”, or “”) value. If the program finds dimensions with overridden text, it highlights them and shows the number of dimensions found at the command line.

As the program highlights the dimensions, it creates a selection set of all highlighted dimensions. If you end the command with ENTER or “Highlight,” you can access the selection set with the PREVIOUS keyword.

You can use the following options:

  • Highlight - leaves the dimensions highlighted; ends the command without redrawing the dimensions.
  • Edit - steps through each highlighted dimension and enables you to edit the dimension.
  • ENTER - ends the command, and redraws the highlighted dimensions. Creates a selection set.


To check for dimensions with overridden text (Procedure)

Copy Formatting From One Dimension to Another
Up a level to ..
Create Symbols
Annotate drawings > Create dimensions >
Locate Dimensions with Overridden Text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To check for dimensions with overridden text

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMCHECKDIM.
  2. Select an option:
    • Enter H to end the command and leave the overridden dimensions highlighted.
    • Press ENTER to end the command.

      This action creates a selection set that contains the overridden dimensions.

    • Enter E to step through the overridden dimensions and edit them.

      If you choose the Edit option, the Power Dimensioning dialog box for the first overridden dimension from the selection set appears. In the Power Dimensioning dialog box, edit the dimension text and then click OK. The Power Dimensioning dialog box for the next overridden dimension appears. After you edit all the dimensions in the selection set, the command ends.


Locate Dimensions with Overridden Text (Quick Reference)

Copy Formatting From One Dimension to Another
Locate Dimensions with Overridden Text
Notes on Using DIMLFAC with AutoCAD Mechanical
Annotate drawings > Create dimensions >
Locate Dimensions with Overridden Text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCHECKDIM

Highlights or edits dimensions with dimension text overrides.

Ribbon: Annotate tab [image] Dimension panel [image] Dimension Edit, Check Dimensions. Does not exist on the ribbon.
Toolbar: Dimension Edit
Menu: Annotate [image] Edit Dimensions [image] Dimension Edit, Check Dimensions Does not exist in the menus.
Command entry: amcheckdim

COMMAND LINE OPTIONS

Enter an option [Highlight/Edit]:Enter h to highlight the overridden dimensions, enter e to edit the overridden dimensions, or click ENTER to end the command.

Highlight

Leaves the dimensions highlighted, and ends the command. Use REGEN to remove highlight.

Edit

Steps through each highlighted dimension and enables you to edit the dimension.


Notes on Using DIMLFAC with AutoCAD Mechanical (Concept)

Locate Dimensions with Overridden Text
Create dimensions
Create Symbols
Annotate drawings > Create dimensions >
Notes on Using DIMLFAC with AutoCAD Mechanical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Starting with AutoCAD Mechanical 2009 Power Dimensioning honors the DIMLFAC system variable. This capability is not available by default and you must explicitly enable it from the Dimension Settings dialog box.

Even though Power Dimensioning honors DIMLFAC, we do not recommend its use. This is because AutoCAD Mechanical uses several scaling mechanisms that are not available in AutoCAD, which may not work well, especially if you use different values of DIMLFAC in different places in the drawing.

For example, scale areas, detail views, and annotation views allow model space to be divided into areas having different scales. Power Dimensioning recognizes the different scales and compensates for them (regular AutoCAD dimensions do not recognize scale areas) by automatically manipulating the DIMLFAC system variable. If you change the DIMLFAC variable manually, especially if you assign different values for this system variable at different places in the same drawing, AutoCAD Mechanical has problems measuring and displaying the correct dimension value. To ensure that AutoCAD Mechanical retains the ability to divide model space into areas having different scale values, we recommend that you do not manually change the DIMLFAC system variable.

NoteThe DIMLFAC system variable has no influence on the scale monitor (AMSCMONITOR command).

If you save a drawing to a pre AutoCAD Mechanical 2009 version, the drawing loses its capability to honor DIMLFAC. When you open such a drawing in AutoCAD Mechanical 2010, you must use the Dimension Setting dialog box to enable the ability to honor DIMLFAC, again.


Notes on Using DIMLFAC with AutoCAD Mechanical (Quick Reference)

Locate Dimensions with Overridden Text
Notes on Using DIMLFAC with AutoCAD Mechanical
Overview of Symbols
Annotate drawings > Create dimensions >
Notes on Using DIMLFAC with AutoCAD Mechanical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Dimension Settings dialog box

Use this dialog box to set preferences for Power Dimension commands for the current standard

Dimension style

Base dimension style

Sets the dimension style to be used as the base dimension style. All the dimension types are based on the dimension style or a variation (a sub-style).

Edit

Displays the Dimension Styles dialog box, enabling you to create, modify, and assign dimension styles.

Force power dimensions to use this dimension style

Prevents the dimension style from being overridden (via the DIMSTYLE command) during a drawing session.

Default representations

Chamfer

Displays the Chamfer Representation dialog box, enabling you to select the default chamfer dimension representation from a predefined list of representations.

Radius

Displays the Radius Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for radius.

Diameter

Displays the Diameter Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for diameter.

Dimension Text

Ignore AutoCAD scale factor for linear dimension measurements

Makes Power Dimensioning ignore the DIMLFAC system variable and other settings that control the linear scale.

AutoCAD Mechanical uses several scaling mechanisms such as scale areas, detail views, and annotation views, that are not available in AutoCAD. Power dimensioning recognizes the scales and automatically compensates for them. If you choose to honor AutoCAD scale factors and use different scales in different places in a drawing, AutoCAD Mechanical's scaling mechanisms may not reflect the correct dimension value.

NoteThis setting is not available for Inventor linked drawings.

Predefined Text

Displays the Predefined Text dialog box, which enables you to create predefined dimension text templates for Power DImensioning commands at draw time.

Fits and Tolerances

Fits

Displays the Fits Representation dialog box, which enables you to set the default fit representation. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing fit representations as well as create new ones.

Tolerances

Displays the Tolerance Representation dialog box, which enables you to set the default tolerance method. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing tolerance methods as well as create new ones.

When a fits list requires updates

Configures how fits lists rebuild. You can choose to update fits lists schematically, have the system prompt you, or update fits lists on demand by selecting the manual option.

Placement Options

Display visual aids when creating dimensions

Displays an icon on the crosshairs when a dimension is created, indicating the type of dimension being created.

In chain dimensions, replace arrows with points for lengths less than

Defines the distance at which arrowheads are replaced with points in chain dimensions.

Use distance snaps for placement

Turns on distance snaps, which cause dimensions to snap into place as you move the dimension line in the drawing area.

Snaps value

Sets the distance from the snap position to the object being dimensioned.

Display power dimension dialog

Sets how often the Power Dimension dialog box appears during one command session.

Show text override prompt

Enables the display of the text override prompt enabling you to modify the dimension text on the command line during the dimensioning process. By default, this check box is cleared.

Restore defaults

Resets all settings to the factory settings for the current standard. If the current standard is a custom standard, the settings default to the factory settings of the standard it is derived from.


Create Symbols

Notes on Using DIMLFAC with AutoCAD Mechanical
Annotate drawings
Overview of Symbols
Annotate drawings >
Create Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview of Symbols
  • Taper and Slope symbols
  • Datum Identifier Symbols
  • Datum Target Symbols
  • Edge Symbols
  • Feature Control Frame Symbols
  • Feature Identifier Symbols
  • Marking/Stamping Symbols
  • Dead Joint Symbols
  • Leader Note Symbols
  • Surface Texture Symbols
  • Welding Symbols


Create Symbols (Procedure)

Locate Dimensions with Overridden Text
Create Symbols
Overview of Symbols
Annotate drawings >
Create Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Select the Appropriate Revision

To Configure Symbol Properties

To create a taper/slope symbol, automatically calculating the slope

To create a taper/slope symbol, manually specifying the slope

To change the symbol type or symbol orientation

To change the slope/taper rate

To align the reference line to the baseline manually

To add leaders or leader segments

To attach a symbol to an object

To remove leader segments

To detach a symbol from an object

To detach a symbol to an object

To create a datum identifier symbol

To change the arrowhead of a symbol

To attach a symbol to an object

To detach a symbol to an object

To edit a datum target symbol

To create a datum target symbol

To Configure the Master Settings for Leaders

To Link Text and Leader Master Settings to Dimension Styles

To detach a symbol to an object

To create a feature identifier symbol

To change the arrowhead of a symbol

To attach a symbol to an object

To detach a symbol to an object

To create a marking symbol

To create a stamping symbol

To edit a marking or stamping symbol

To change the arrowhead of a symbol

To attach a symbol to an object

To detach a symbol from an object


Overview of Symbols (Concept)

Create Symbols
Create Symbols
Taper and Slope symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical provides 11 types of symbols to insert into a drawing. They are:

  • Datum Identifier symbols
  • Datum target symbols
  • Edge symbols
  • Feature control frame symbol
  • Feature identifier symbols
  • Leader note symbols
  • Taper and slope symbols
  • Surface texture symbols
  • Welding symbol
  • Marking/Stamping symbol
  • Dead joint symbol

Symbols and the drafting standard

The drafting standard defines symbol characteristics. To change the characteristics, edit the elements of the standard.

Access properties for all symbols from the AM:Standards tab in the Options dialog box. Set common properties in the Standard Settings dialog box. Use the special symbol properties in the respective Settings dialog boxes that appear when you double-click the corresponding entry in the Standard Elements list in the AM:Standards tab of the Options dialog box.

Editing Symbols

To edit a symbol, double-click it in the drawing. Double-clicking the leader displays the Leader tab of the symbol’s settings dialog box.


Overview of Symbols (Procedure)

Create Symbols
Up a level to ..
Overview of Symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Select the Appropriate Revision

To Configure Symbol Properties


Overview of Symbols (Quick Reference)

Notes on Using DIMLFAC with AutoCAD Mechanical
Overview of Symbols
Overview of Symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMATTACHSYM

AMDATUMID

AMDATUMTGT

AMEDGESYM

AMEDIT

AMFCFRAME

AMFEATID

AMNOTE

AMSIMPLEWELD

AMSURFSYM

AMSYMLEADER

AMWELDSYM

AMMARKSTAMP

AMDEADJOINT

AM:Standards tab of the Options dialog box


To Select the Appropriate Revision (Procedure)

Overview of Symbols
Up a level to ..
Overview of Symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Select the Appropriate Revision

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, expand the symbol node on the tree.
    NoteYou can expand the symbol node only if more than one revision exists for that symbol.
  4. Right-click the revision to select.
  5. In the context menu, click Set Current.

    If Set Current is unavailable, click Insert Standard.

  6. Click OK until all dialog boxes close.


To Configure Symbol Properties (Procedure)

Overview of Symbols
Up a level to ..
Taper and Slope symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Symbol Properties

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the symbol. The Settings dialog box of the symbol appears.
  4. Change properties as required.
  5. Click OK until all dialog boxes close.


Overview of Symbols (Quick Reference)

Overview of Symbols
Overview of Symbols
Overview of Symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMATTACHSYM

Highlights and enables you to attach non-attached symbols to objects.

Ribbon: None Does not exist on the ribbon.
Menu: None Does not exist in the menus.
Command entry: amattachsym

COMMAND LINE OPTIONS

Attach symbols or display not attached symbols [Attach/Display] <Attach>: Enter d to select the Display option, or press ENTER to select the Attach option.

Display option

Not attached Symbols found and highlighted: Displays the number of non-attached symbols.

Symbols attached: Displays the number of attached symbols.

Attach option

Select symbols to be attached [Select/All] <All>: Enter s to select the Select option, or press ENTER to select all symbols. Selected symbols are attached to adjacent objects.

COMMAND LINE DEFINITIONS

Attach

Attaches selected symbols to objects which are adjacent to the leader start point.

Display

Displays the number of attached and non-attached symbols, and highlights the non-attached symbols in the drawing.

Select

Enables you to select symbols to attach.

All

Selects all non-attached symbols in the drawing.


Overview of Symbols (Quick Reference)

Overview of Symbols
Overview of Symbols
Overview of Symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDATUMID

Creates a datum identification symbol and optionally, attaches it to an object in the drawing area.

Ribbon: Annotate tab [image] Symbol panel [image] Datum Identifier. Does not exist on the ribbon.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Datum Identifier Does not exist in the menus.
Command entry: amdatumid

You can specify up to 2 characters to identify datum features and also select the type of datum feature triangle to use at the end of the leader line.

COMMAND LINE OPTIONS

Select object to attach: Select an object in the drawing to attach the symbol. If you do not want to attach the symbol, select a start point of the leader or the point to place the datum identifier symbol without leader.

In this case the following prompt does not appear.

Start Point: Specify the start point of the leader or the point to place the datum identifier symbol without leader.

Next Point <Symbol>: Specify the next point of the leader or press ENTER to place the symbol.

COMMAND LINE DEFINITIONS

Symbol

Places the symbol in the drawing.


Overview of Symbols (Quick Reference)

Overview of Symbols
Overview of Symbols
Overview of Symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDATUMTGT

Creates a datum target symbol and optionally, attaches it to an object in the drawing area.

Ribbon: Annotate tab [image] Symbol panel [image] Datum Target. Does not exist on the ribbon.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Datum Target Does not exist in the menus.
Command entry: amdatumtgt

You can specify the type of termination to use for the target point and assign up to 4 characters to identify the datum feature.

COMMAND LINE OPTIONS

Termination type: In the Termination Type dialog box select a termination for the datum target. Follow the command prompts to create the selected datum target termination.

Select object to attach: Select an object in the drawing to attach the symbol. If you do not want to attach the symbol, select a start point of the leader.

In this case the following prompt does not appear.

Start Point: Specify the start point of the leader.

Next Point <Symbol>: Specify the next point of the leader or press ENTER to place the symbol.

COMMAND LINE DEFINITIONS

Symbol

Places the symbol in the drawing

DIALOG BOX DEFINITIONS

Termination Type dialog box

Select a termination type for the datum target symbol.

The termination types are:

  • None: Datum target without any termination.
  • Point: Datum target with a point termination.
  • Line: Datum target with a line termination.
  • Circle: Datum target with a circular termination.
  • Rectangle: Datum target with a rectangular termination.
  • Attached: Datum target attached to another datum target.


Overview of Symbols (Quick Reference)

Overview of Symbols
Overview of Symbols
Overview of Symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMEDGESYM

Creates an edge symbol and, optionally, attaches it to an object in the drawing area.

Ribbon: Annotate tab [image] Symbol panel [image] Edge Symbol.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Edge Symbol Does not exist in the menus.
Command entry: amedgesym

You can specify requirements for each symbol you place, or flag the symbol as a majority symbol, which makes it a collective indication of the edge symbols elsewhere in the drawing. You can also save frequently used symbols to the symbol library and pick fully configured symbols directly from the ribbon.

COMMAND LINE OPTIONS

Select object to attach: Select an object in the drawing to attach the symbol. If you do not want to attach the symbol, select a start point for the leader.

In this case the following prompt does not appear.

Start Point: Specify the start point of the leader.

Next Point: Specify the next vertex of the leader.

Select object to attachor [Library]: Press L to pick a symbol from the symbol library or select an object in the drawing to attach the symbol to. To place the symbol without attaching it to anything, click the position you want to place the arrowhead of the leader. If you want to place the symbol without a leader, click the position you want to place the symbol.

Object to attach

Attaches the symbol to an object.

Specify start point: Specify the start point of the leader.

Specify next point or <Symbol>: Specify the next point of the leader or press ENTER to place the symbol. AutoCAD Mechanical displays the Edge Symbol dialog box when you press ENTER.

Library

Enables you to pick a fully configured symbol from the symbol library and place it in the drawing area.

Enter symbol name or [?] <Default symbol name>: Enter the name of the symbol library item or enter ? to list the names of all edge symbols in the symbol library for the current standard/revision. Press ENTER to accept the default symbol. If no default exists, pressing ENTER lists the names of all edge symbols in the symbol library.

Select object to attach or [Library]: Select an object in the drawing to attach the symbol to. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case the prompt requesting you to specify the start point does not appear.

Specify start point: Select a start point for the leader or specify the point to place the edge symbol without a leader.

Specify next point or <Symbol>: Specify the next point of the leader or press ENTER to place the selected symbol in the drawing area.

Place the symbol without attaching

Places the symbol in the drawing area without attaching it to anything.

Specify next point or <Symbol>: Specify the next point of the leader or press ENTER to place the selected symbol in the drawing area. AutoCAD Mechanical displays the Edge Symbol dialog box when you press ENTER.


Overview of Symbols (Quick Reference)

Overview of Symbols
Overview of Symbols
Overview of Symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMEDIT

Edits balloons, parts lists, and symbols.

Ribbon: None Does not exist on the ribbon.
Menu: None Does not exist in the menus.
Command entry: amedit

COMMAND LINE OPTIONS

Select object: Select the object you want to edit.

After you have selected an object, a corresponding dialog box appears. Make changes in the dialog box, and choose OK.

TipYou can run the AMEDIT command using an alternate method: Select the object you want to edit. Right-click in the drawing, and choose Edit from the shortcut menu.
NoteUse AMPARTREFEDIT to edit a part reference and AMBOM to edit a BOM database.


Overview of Symbols (Quick Reference)

Overview of Symbols
Overview of Symbols
Overview of Symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMFCFRAME

Creates a feature control frame symbol and optionally, attaches it to an object in the drawing.

Ribbon: Annotate tab [image] Symbols panel
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Feature Control Frame Does not exist in the menus.
Command entry: amfcframe

You can select from a wide range of GD&T symbols to specify geometric tolerances with feature control frames. You can also create a secondary leader to act as a datum identification. You can also save frequently used symbols to the symbol library and pick them directly from the ribbon.

COMMAND LINE OPTIONS

Select object to attach or [Library]: Press L to pick a symbol from the symbol library or select an object in the drawing to attach the symbol to. To place the symbol without attaching it to anything, click the position you want to place the arrowhead of the leader. If you want to place the symbol without a leader, click the position you want to place the symbol.

Object to attach

Attaches the symbol to an object.

Specify start point: Specify the start point of the leader.

Specify next point or <Symbol>: Specify the next point of the leader or press ENTER to place the symbol. AutoCAD Mechanical displays the Feature Control Frame dialog box when you press ENTER.

Library

Enables you to pick a fully configured symbol from the symbol library and place it in the drawing area.

Enter symbol name or [?] <Default symbol name>: Enter the name of the symbol library item or enter ? to list the names of all feature control frame symbols in the symbol library for the current standard. Press ENTER to accept the default symbol. If no default exists, pressing ENTER lists the names of all the welding symbols in the symbol library.

Select object to attach or [Library]: Select an object in the drawing to attach the symbol to. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case the prompt requesting you to specify the start point does not appear.

Specify start point: Select a start point for the leader or specify the point to place the feature control frame symbol without a leader.

Specify next point or <Symbol>: Specify the next point of the leader or press ENTER to place the selected symbol in the drawing area.

Place the symbol without attaching

Places the symbol in the drawing area without attaching it to anything.

Specify next point or <Symbol>: Specify the next point of the leader or press ENTER to place the selected symbol in the drawing area. AutoCAD Mechanical displays the Feature Control Frame dialog box when you press ENTER.


Overview of Symbols (Quick Reference)

Overview of Symbols
Overview of Symbols
Overview of Symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMFEATID

Creates a feature identification symbol and optionally attaches it to an object in the drawing area

Ribbon: Annotate tab [image] Symbol panel [image] Feature Identifier. Does not exist on the ribbon.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Feature Identifier Does not exist in the menus.
Command entry: amfeatid

You can specify up to two characters to identify a feature and also select the type of arrowhead to use at the end of the leader line.

COMMAND LINE OPTIONS

Select object to attach: Select an object in the drawing to attach the symbol. If you do not want to attach the symbol, select a start point of the leader.

In this case the following prompt does not appear.

Start Point: Specify the start point of the leader.

Next Point <Symbol>: Specify the next point of the leader or press ENTER to place the symbol.

COMMAND LINE DEFINITIONS

Symbol

Places the symbol in the drawing.


Overview of Symbols (Quick Reference)

Overview of Symbols
Overview of Symbols
Overview of Symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMNOTE

Creates a leader note and optionally, attaches it to an object in the drawing area.

Ribbon: Annotate tab [image] Text panel [image] Leader Note. Does not exist on the ribbon.
Toolbar: Symbols
Menu: Annotate [image] Leader Note Does not exist in the menus.
Command entry: amnote

Notes can contain plain text or formulas . A predefined set of templates containing formulas are available in the symbol library. An appropriate template is automatically applied when you attach a note to an object. Hence, notes automatically display meaningful context sensitive information immediately upon creation.

COMMAND LINE OPTIONS

Select Object to attach [rEorganize/Library]: Select an object in the drawing to attach the symbol. If you do not want to attach the symbol, select a start point of the leader. In this case the following prompt does not appear. Select the Reorganize option to align the note symbols in the drawing. See the instructions for the Reorganize Option.

Object to attach

Attaches the symbol to an object.

Specify next point or [Symbol/startPoint] <Symbol> Press ENTER to place note at the attach point. or enter P to redefine the attach point or click in the drawing area to.specify the next vertex of the leader.

Specify next point <Symbol>: Specify the next point of the leader or press ENTER to place the symbol. The Note Symbol dialog box appears when you press ENTER.

rEorganize

Aligns two or more leader to one another.

Select note: Select all note symbols you want to align.

Align [Horizontal/Vertical] <Vertical>: Press ENTER to select vertical alignment, or enter H to select horizontal alignment and then click in the drawing area to specify where to place the symbols.

Library

Specifies that the symbol text comes from the symbol library.

Enter category name or [?]: Enter the name of the category of the template you want to apply or enter ? to list the names of categories.

Enter symbol name or [?] <Default template name>: Enter the name of the template or enter ? to list the names of all templates for the selected category. Press ENTER to accept the default symbol. Press ENTER to list the names of all templates for the selected category.

Select object to attach [rEorganize/Library]: Although you return to the first prompt of the loop, the Note Symbol dialog box does not appear when you place the symbol in the drawing area.


Overview of Symbols (Quick Reference)

Overview of Symbols
Overview of Symbols
Overview of Symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSIMPLEWELD

Draws seam and fillet welds on ellipses, circles, arcs, lines and polylines.

Ribbon: Annotate tab [image] Symbol panel [image] Weld Representation. Does not exist on the ribbon.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Weld Representation Does not exist in the menus.
Command entry: amsimpleweld

You can draw fillet welds and single-V butt welds in front view and in side view. You can enter the weld seam width, or define it using the pointing device.

COMMAND LINE OPTIONS

Weld in front view

Leg width <3>: Enter a value for the width of the seam or define the width using the pointing device.

Select line, arc, circle, or ellipse: Select the part for welding.

Return=All/Starting point for

line: Specify the starting and the endpoint of the seam.

If you insert a fillet weld, follow the prompts to place the symbols on the correct side of the object.

Weld in side view

Leg width <3>: Enter a value for the width of the weld or define the width using the pointing device.

Insertion point for weld seam: Determine the insertion point for the weld.

Angle: Enter the angle of the weld or determine the direction using the pointing device.

DIALOG BOX DEFINITIONS

Select

Use the Select Weld Symbol dialog box to create a weld in front view and in side view.

The icons from left to right are:

  • Single-V butt weld in front view.
  • Fillet weld in front view.
  • Single-V butt weld in side view.
  • Fillet weld in side view.

Depending on the selected symbol, different options appear on the command line.


Overview of Symbols (Quick Reference)

Overview of Symbols
Overview of Symbols
Overview of Symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSURFSYM

Creates a surface texture symbol and optionally attaches it to an object in the drawing area.

Ribbon: Annotates tab [image] Symbol panel [image] Surface Texture.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Surface Texture Does not exist in the menus.
Command entry: amsurfsym

You can specify surface texture requirements by selecting from drop-down lists. You can also save fully configured surface texture symbols to the symbol library and reuse them directly off the ribbon.

COMMAND LINE OPTIONS

Select Object to attach or [Library]: Select an object in the drawing to which to attach the symbol. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case the prompt requesting you to specify the start point does not appear. To insert a surface texture symbol directly from the symbol library, enter L.

Object to attach

Attaches the symbol to an object.

Specify start point: Specify the start point of the leader.

Specify next point: Specify the next vertex of the leader.

Specify next point <Symbol>: Specify the next point of the leader or press ENTER to place the symbol. The Surface Texture Symbol dialog box appears when you press ENTER.

Library

Specifies that the symbol text to obtain from the symbol library

Enter symbol name or [?] <Default symbol name>: Enter the name of the symbol library item or enter ? to list the names of all the surface texture symbols in the symbol library. Press ENTER to accept the default symbol. If no default exists, pressing ENTER lists the names of all the surface texture symbols in the symbol library.

Select object to attach or [Library]: Select an object in the drawing to which to attach the symbol. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. The prompt for specifying the start point does not appear.

Specify start point: Specify the start point of the leader.

Specify next point: Specify the next vertex of the leader.

Next Point <Symbol>: Specify the next point of the leader or press ENTER to place the selected symbol in the drawing area.

Select object to attach: Select an object in the drawing to attach the symbol. If you do not want to attach the symbol, select a start point of the leader or the point to place the surface texture symbol without a leader. In this case the following prompt does not appear.

Start Point: Specify the start point of the leader or the point to place the surface texture symbol without leader.

Next Point <Symbol>: Specify the next point of the leader or press ENTER to place the symbol.


Overview of Symbols (Quick Reference)

Overview of Symbols
Overview of Symbols
Overview of Symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSYMLEADER

Adds or removes leaders and leader segments to/from a symbol.

Ribbon: Annotate tab [image] Symbol panel [image] Append Leader. Does not exist on the ribbon.
Toolbar: Symbols
Menu: None Does not exist in the menus.
Command entry: amsymleader

This command does not work on symbols such as the GOST dead joint symbol, where the drafting standard prohibits the addition or removal of leaders and leader segments.

COMMAND LINE OPTIONS

Enter an option [Add / Remove] <Add>: Choose R to select the Remove option or click Enter to choose the Add option.

Add Option:

Select the symbol to add leader: In the drawing, select the symbol.

Select object to attach: Select an object in the drawing to which to attach the leader. If you do not want to attach the symbol, select a start point of the leader or the point to place the datum identifier symbol without leader. In this case the following prompt does not appear.

Start Point: Pick a point in the drawing for the start point of the new leader segment. If the selected point is on the original leader, a new leader node in the selected point is added and the selection is complete.

Next Point: Pick points in the drawing for the next points of the new leader segments. If the selected point is equal to the start point of the original leader or is on the original leader, the selection is complete.

Remove:

Select leader node or leader segment: Select a node or a leader segment to remove. If you select an internal leader segment, all the following leader segments are deleted as well. If you select a node, at least two neighboring leader segments are deleted.

COMMAND LINE DEFINITIONS

Add

Adds a leader node, or leader segment.

Remove

Removes leader segment, or leader.


Overview of Symbols (Quick Reference)

Overview of Symbols
Overview of Symbols
Overview of Symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMWELDSYM

Creates a welding symbol and optionally attaches it to an object in the drawing area.

Ribbon: Annotate tab [image] Symbol panel [image] Welding Symbol.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Welding Symbol Does not exist in the menus.
Command entry: amweldsym

You can select graphical symbols for a wide range of welds. The Weld Symbol dialog box changes dynamically to show only the requirements corresponding to the weld type you select.

COMMAND LINE OPTIONS

Select Object to attach or [Library]: Select an object in the drawing to which to attach the symbol. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case the prompt requesting you to specify the start point does not appear. To insert a welding symbol directly from the symbol library enter L.

Object to attach

Attaches the symbol to an object.

Specify start point: Specify the start point of the leader.

Specify next point: Specify the next vertex of the leader.

Next Point <Symbol>: Specify the next point of the leader or press ENTER to place the symbol. The Welding Symbol dialog box appears when you press ENTER.

Library

Specifies that the symbol text is to be obtained from the symbol library

Enter symbol name or [?] <Default symbol name>: Enter the name of the symbol library item or enter ? to list the names of all the welding symbols in the symbol library. Press ENTER to accept the default symbol. If no default exists, pressing ENTER lists the names of all the welding symbols in the symbol library.

Select object to attach or [Library]: Select an object in the drawing to which to attach the symbol. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case the prompt requesting you to specify the start point does not appear.

Specify start point: Specify the start point of the leader.

Specify next point: Specify the next vertex of the leader.

Specify next point <Symbol>: Specify the next point of the leader or press ENTER to place the selected symbol in the drawing area.


Overview of Symbols (Quick Reference)

Overview of Symbols
Overview of Symbols
Overview of Symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMMARKSTAMP

Creates a marking symbol and optionally attaches it to an object in the drawing area.

Ribbon: Annotate tab [image] Symbol panel [image] GOST Marking & Stamping. Does not exist on the ribbon.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Marking/Stamping Does not exist in the menus.
Command entry: ammarkstamp

This symbol is available only if the current drafting standard is based on GOST .

COMMAND LINE OPTIONS

Select object to attach: Select an object in the drawing to which to attach the symbol. If you do not want to attach the symbol, pick an empty area in model space.

Start Point: Specify the start point of the leader or the point to place the symbol without a leader.

Next Point: Specify the next point of the leader or press ENTER to place the symbol.


Overview of Symbols (Quick Reference)

Overview of Symbols
Overview of Symbols
Overview of Symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDEADJOINT

Creates a dead joint symbol.

Ribbon: Annotate tab [image] Symbols panel [image] Dead Joint. Does not exist on the ribbon.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Dead Joint Does not exist in the menus.
Command entry: amdeadjoint

You can use this symbol to specify the requirements for dead joint seams created by soldering, gluing, stitching, and stitching with staples. This symbol is available only with the GOST standard.

Select Object to attach or [Library]: Select an object in the drawing to attach the symbol to. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case the prompt requesting you to specify the start point does not appear. To insert a dead joint symbol directly from the symbol library enter L.

Object to attach

Attaches the symbol to an object.

Specify start point: Specify the start point of the leader (usually the joint).

Specify next point: Specify the next vertex of the leader. The Dead Joint dialog box appears as soon as you specify the next vertex of the leader.

Library

Specifies that the symbol text is to be obtained from the symbol library

Enter symbol name or [?] <Default symbol name>: Enter the name of the symbol library item or enter ? to list the names of all the dead joint symbols in the symbol library. Press ENTER to accept the default symbol. If no default exists, pressing ENTER lists the names of all the dead joint symbols in the symbol library.

Select object to attach or [Library]: Select an object in the drawing to which to attach the symbol. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case, the prompt requesting you to specify the start point does not appear.

Specify start point: Specify the start point of the leader (usually the joint).

Specify next point: Specify the next vertex of the leader. The Dead Joint dialog box appears as soon as you specify the next vertex of the leader.


Overview of Symbols (Quick Reference)

Overview of Symbols
Overview of Symbols
Taper and Slope symbols
Annotate drawings > Create Symbols >
Overview of Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AM:Standards tab of the Options dialog box

Use this dialog box to set preferences that are typically governed by a drafting standard.

Standard

Standard

Specifies the drafting standard to be used in the drawing.

If you switch the standard, settings for all elements of the standard change accordingly. However, none of the existing drawing objects are affected. Only the new objects you draw follow the new standard.

To create a custom standard (user-defined standard), type a name for the standard in this box and press ENTER.

Apply new settings to layers when standard is created or changed

Controls if Layer and Object settings change (along with the settings for other elements of the standard) if the standard is switched.

Measurement

Sets the units of measurement to be used in the current drawing.

If you change the units, you are prompted to confirm if the system should perform text scaling. No length scaling is performed.

Model Scale

Sets the scale to be used for text and symbols for the drawing in model space.

Use 1:1 Scale in Layout

Specifies that a 1:1 scale is used in layout, irrespective of the scale selected for model space.

.

Use Selected Scale in Layout

Specifies that the model space scale is used in layout as well.

Default standards template

Specifies the template the system picks the standard settings from, in case you open an AutoCAD Drawing (as opposed to an AutoCAD Mechanical drawing) or if you choose to create a drawing without using a template.

Note
  1. Only standard dependent settings come from the default template.
  2. If there is a unit mismatch between the default template and the AutoCAD drawing you are opening, the default template setting is ignored and the system behaves as though no default template is specified.
  3. If you are creating a drawing without a template and the units you selected do not match the default template units, the default template setting is ignored and the system behaves as though no default template is specified.
  4. If no default template is specified, the system automatically selects the most appropriate standard based on the type of units in the drawing you are opening.

Standard Elements

Displays a list of elements of the standard in the form of a tree.

They root of the tree shows the current drafting standard. Double-click the root to display a dialog box containing the master settings for the standard. Double-click an element to display its properties dialog box. From this dialog box, you can override the default settings as well as the settings inherited from the master settings.

Overrides are applied only to the objects created under the current drafting standard. For example, if you created a note while the standard was set to ISO, and then switched the standard to DIN, and you then override the text color settings for notes, only the notes created after you switched to DIN are affected. The note you created under ISO does not change color.

TipTo find out what standard an object was created under, display the properties of that object.

For some items such as Feature Control Frames, more than one revision of a standard is available. Right click the revision you want to make active and select Set Current. If Set Current is not available, select Insert Standard

Setup Drawing

Starts a wizard that enables you to import the settings for the elements of the standard, from an AutoCAD Mechanical drawing or drawing template.

Right-click menu items

Remove

Makes the selected item unavailable for implementation. For example, if you remove notes, and later on if you invoke the AMNOTE command, a message appears to inform you that the feature is unavailable for the selected standard.

Properties

Displays a dialog box containing the properties for the selected item. This dialog box is used to override the default settings for this item.

Default

Removes all overrides for the selected item and resets its properties to the default settings.

Insert standard

Inserts an item that was removed previously. If the item contained overrides before removal, they are not available when you reinsert the item.


Taper and Slope symbols (Concept)

Overview of Symbols
Create Symbols
Datum Identifier Symbols
Annotate drawings > Create Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Taper and slope symbols display taper rates and slopes as ratios, percentage values, or codes such as Morse numbers, which you specify manually. The [image] symbol indicates tapers while the [image] symbol indicates slopes.

Symbol Description

Symbol Legend

  1. Reference Line
  2. Baseline

AutoCAD Mechanical is able to determine if the object you are annotating is a taper or slope, and calculate the slope/taper rate automatically . To enable AutoCAD Mechanical to do this, pick a baseline and attach the symbol to the slope/taper object, when AutoCAD Mechanical prompts you to. If you do not pick a baseline, AutoCAD Mechanical assumes that you want to specify the slope manually.

Once you pick the taper/slope object to attach to, the drawing area shows a preview of the symbol. The orientation of the symbol changes automatically as you move the pointer. You can place the symbol with a leader (typical for a taper symbol) or place it without a leader, along the slope (typical for a slope symbol).

If you select a valid baseline when AutoCAD Mechanical prompts you to, AutoCAD Mechanical automatically aligns the reference line of taper symbols to the baseline, so that they are parallel to each other. If you did not pick a baseline, you can align the reference line manually, and pick the appropriate symbol from a list, after you place the symbol in the drawing area.

AutoCAD Mechanical allows you to pick special characters from a drop-down list (the degree symbol, for example) and insert it as part of the dimension text. You can optionally show the dimension text as a theoretically exact value.

Automatic slope calculation is available only at the time you create a symbol. AutoCAD Mechanical displays the calculated value by default but you can overwrite it. Even though you overwrite the calculated value, it continues to be available through a drop-down list. This feature enables you to revert to the calculated value, if necessary. The drop-down list is not available when you edit a symbol that was placed in the drawing area during another command session.

Symbol Standard

International Drafting Standards implemented for taper/slope symbols
  • ASME Y14.5M (1994)
  • BSI ISO 3040 (1990)
  • CSN ISO 3040 (1994)
  • DIN 406 Part 11 (December 1992)
  • GB 4458.4 (2003)
  • GB/T 15754 (1995)
  • ISO 3040:1990(E)
  • JIS B 0001 (2000)


Taper and Slope symbols (Procedure)

Overview of Symbols
Up a level to ..
Taper and Slope symbols
Annotate drawings > Create Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a taper/slope symbol, automatically calculating the slope

To create a taper/slope symbol, manually specifying the slope

To change the symbol type or symbol orientation

To change the slope/taper rate

To align the reference line to the baseline manually

To add leaders or leader segments

To attach a symbol to an object

To remove leader segments

To detach a symbol from an object

To detach a symbol to an object


Taper and Slope symbols (Quick Reference)

Overview of Symbols
Taper and Slope symbols
Taper and Slope symbols
Annotate drawings > Create Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTAPERSYM

Taper and Slope Symbol dialog box

Taper and Slope Settings dialog box


To create a taper/slope symbol, automatically calculating the slope (Procedure)

Taper and Slope symbols
Up a level to ..
Taper and Slope symbols
Annotate drawings > Create Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a taper/slope symbol, automatically calculating the slope

  1. Click the Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMTAPERSYM.
  2. In the drawing area, select the baseline the slope must be measured from.
  3. In the drawing area, select the object that the symbol must attach to.
  4. In the drawing area select a point on the slope/taper.

    AutoCAD Mechanical uses this point to calculate the slope. It also uses this point as the start point of the leader. If you want to place the symbol without a leader, the point must be the position you want to place the symbol.

  5. In the drawing area, click to specify the vertices of the leader and press ENTER.

    To place the symbol without a leader, press ENTER first and then click in the drawing area to specify the orientation of the symbol.

  6. If the calculated slope is not in the correct format, select the appropriate format from the Dimension list.
    NoteThe Dimension box is named only in tooltips.
  7. Click OK.


To create a taper/slope symbol, manually specifying the slope (Procedure)

Taper and Slope symbols
Up a level to ..
Taper and Slope symbols
Annotate drawings > Create Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a taper/slope symbol, manually specifying the slope

  1. Click Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMTAPERSYM.
  2. Press ENTER.
  3. In the drawing area, select the object that the symbol must attach to. If you do not want to attach the symbol to an object, click in a vacant space in the drawing area.
    NoteIf you click in a vacant space, AutoCAD Mechanical uses that position as the start point of the leader.
  4. In the drawing area, click to specify the vertices of the leader and press ENTER.

    To place the symbol without a leader, press ENTER first and then click in the drawing area to specify the orientation of the symbol.

  5. In the Dimension box, specify the slope/taper rate.
    Tip
    • To locate the Dimension text box, move the pointer over the boxes in the dialog box and inspect the tooltips.
    • To insert a special character in the dimension text, place the cursor at the position you want to insert the character. From the Insert symbol list, click the character.
  6. Click OK.


To change the symbol type or symbol orientation (Procedure)

Taper and Slope symbols
Up a level to ..
Taper and Slope symbols
Annotate drawings > Create Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the symbol type or symbol orientation

  1. In the drawing area, double-click the taper/slope symbol to edit.
  2. In the Taper and Slope Symbol dialog box, click the Symbol Type button.
    TipTo locate the Symbol Type button, move the pointer over the buttons in the dialog box and inspect the tooltips.
  3. Select the appropriate symbol type of the desired orientation.
  4. Click OK.


To change the slope/taper rate (Procedure)

Taper and Slope symbols
Up a level to ..
Taper and Slope symbols
Annotate drawings > Create Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the slope/taper rate

  1. In the drawing area, double-click the taper/slope symbol to edit.
  2. In the Dimension text box, type the taper rate/slope value.
    Tip
    • To locate the Dimension text box, move the pointer over the boxes in the dialog box and inspect the tooltips.
    • To insert a special character in the dimension text, place the cursor at the position you want to insert the character and from the Insert symbol list, and then click the character.
  3. Click OK.


To align the reference line to the baseline manually (Procedure)

Taper and Slope symbols
Up a level to ..
Taper and Slope symbols
Annotate drawings > Create Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To align the reference line to the baseline manually

  1. In the drawing area, double-click the symbol to edit.
  2. Click the Leader and Text tab.
  3. Click the Adjust button. The dialog box hides.
  4. Shift+Right-click the drawing area. AutoCAD Mechanical displays a menu.
  5. Click Parallel.
  6. Move the pointer over the baseline until you see the parallel icon.
  7. Move the pointer to the approximate position you intend to place the symbol. AutoCAD Mechanical displays a dotted guide line that is parallel to the baseline.
  8. Click the guide line. AutoCAD Mechanical displays the dialog box again.
  9. Click OK.


To add leaders or leader segments (Procedure)

Taper and Slope symbols
Up a level to ..
Taper and Slope symbols
Annotate drawings > Create Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add leaders or leader segments

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Add.
  4. Select an object in the drawing to attach the new leader, or select the first point.
    • the first point of the original leader to add the leader segments to or
    • a point of the original leader to add a new leader branch
  5. Click OK.
Tip
  • To add a new leader node select only one point at the original leader.
  • Use the grip points to move the leader nodes.


To attach a symbol to an object (Procedure)

Taper and Slope symbols
Up a level to ..
Taper and Slope symbols
Annotate drawings > Create Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To attach a symbol to an object

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Attach. The dialog box hides.
  4. Select an object in the drawing to attach the symbol to. The dialog box is displayed again.
  5. Click OK.


To remove leader segments (Procedure)

Taper and Slope symbols
Up a level to ..
Taper and Slope symbols
Annotate drawings > Create Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove leader segments

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Remove.
    NoteThe Remove button is available only if the leader contains removable segments.
  4. Select a leader segment or leader node. The program bases deletion on your selection and on the following rules:
    • A part of the leader, if you select an internal node or segment, or
    • A leader branch, if you select the last segment of the leader branch.
    • The whole leader, if you select the last leader segment or the last leader node.
  5. Click OK.
NoteFor visual control, the program highlights the part of the leader to remove.


To detach a symbol from an object (Procedure)

Taper and Slope symbols
Up a level to ..
Taper and Slope symbols
Annotate drawings > Create Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To detach a symbol from an object

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Detach.
  4. Click OK.


To detach a symbol to an object (Procedure)

Taper and Slope symbols
Up a level to ..
Datum Identifier Symbols
Annotate drawings > Create Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To detach a symbol to an object

  1. In the drawing area, double-click the symbol to edit.
  2. Click Detach.
    NoteThe Detach button is available only if the symbol is attached to an object.
  3. Click OK.


Taper and Slope symbols (Quick Reference)

Taper and Slope symbols
Taper and Slope symbols
Taper and Slope symbols
Annotate drawings > Create Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTAPERSYM

Creates a taper or slope symbol and attaches it to the taper/slope object.

Ribbon: Annotate tab [image] Symbol panel [image] Taper and Slope Symbol. Does not exist on the ribbon.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Taper and Slope Symbol Does not exist in the menus.
Command entry: amtapersym

If you select a baseline in addition to selecting the taper/slope object, AutoCAD Mechanical measures the slope/taper rate and uses that value as the default dimension text. Additionally, it determines if the attached object is a taper or a slope, adjusts the orientation of the symbol automatically, and aligns the reference line of the symbol to the baseline, as you place it in the drawing area.

COMMAND LINE OPTIONS

Select calculation baseline object or <No calculation>: Select the baseline from which the slope/taper rate is to be measured. Press ENTER if you intend to enter the slope/taper rate manually.

Select taper or slope object to attach: Select the taper or slope to attach the symbol to. AutoCAD Mechanical uses the point you select to calculate the slope/taper rate. If you do not select an object, AutoCAD Mechanical cannot measure the slope/taper rate. If you do not want to attach the symbol, pick a vacant space in the drawing area.

Specify start point: Specify the start point of the leader or the point to place the symbol without a leader.

Specify next point or <Symbol>: Specify the next point of the leader or press ENTER to place the symbol.

Select side: AutoCAD Mechanical displays this prompt only if you place the symbol without a leader. Move the pointer until the orientation of the symbol is correct, and click.


Taper and Slope symbols (Quick Reference)

Taper and Slope symbols
Taper and Slope symbols
Taper and Slope symbols
Annotate drawings > Create Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Taper and Slope Symbol dialog box

Use the Taper and Slope Symbol dialog box to set up the requirements of the symbol you are inserting.

NoteSome buttons on this dialog box are named only in tooltips. Move the pointer over such buttons to obtain their names.

Revision

Displays the name and revision of the drafting standard the symbol is based on.

Symbol tab

Contains options to set up the graphical representation of the symbol, orientation, and textual content.

Options

Theoretically exact value

Draws a box around the dimension value to indicate that it is theoretically exact dimension. The preview to the left of the check box changes depending on your selection.

Requirements

Insert symbol

Displays a palette to enable you to insert a special character (for example, the degree symbol) at the current cursor position.

Symbol type

Displays a palette containing various taper and slope symbol representations, which enables you to change the symbol representation and its orientation.

Dimension

Provides a space to specify the slope/taper rate manually. In the drawing area, this text appears next to the symbol. The drop-down arrow displays a list that contains the calculated value for the slope/taper rate expressed in different formats.

Calculated values are available only while creating a symbol and if you selected the calculation option at the command prompt. Calculated values are not available when editing an existing symbol.

Clear

Resets all values within the Options and Requirements section to their default values.

Leader and Text Tab

Sets the leader line options of the symbol.

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to By Standard, it acquires the arrowhead from the current drafting standard. Thereafter, if you change the arrowhead selected for the current drafting standard (in the Standard Settings dialog box.or Taper and Slope Settings dialog box.) the arrowhead for this symbol updates automatically.

Edit object attachment

Attach

Temporarily hides the dialog box enabling you to select an object to attach the symbol to. This button is visible only if the symbol is not attached to an object.

Detach

Detaches the symbol and makes it a free-standing object. This button is visible only if the symbol is attached to an object.

Reference line angle

Adjust

Temporarily hides the dialog box so you can change the alignment of the reference line.

Settings

Displays the Taper and Slope Symbol Settings dialog box enabling you to configure the defaults for Taper and Slope symbols.


Taper and Slope symbols (Quick Reference)

Taper and Slope symbols
Taper and Slope symbols
Datum Identifier Symbols
Annotate drawings > Create Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Taper and Slope Settings dialog box

Use the Taper and Slope Settings dialog box to configure the default settings of taper and slope symbols for the active standard.

Revision

Displays the name and revision of the drafting standard on which the symbol is based.

Preferred dimension type

Defines whether the calculated slope/taper rates are expressed as a percentage or a ratio, by default.

Format

Defines the format in which ratios are expressed.

Separator

Defines the ratio separator to use in the ratio format. You can use alphanumeric characters, including spaces. If you do not specify a separator, the AMTAPERSYM command uses the colon character (:) as the separator.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all taper/slope symbols which are set to ByNameOfCurrentDraftingStandard change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow sizes for all taper/slope symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all taper/slope symbols based on the current drafting standard changes automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all taper/slope symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all taper/slope symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Datum Identifier Symbols (Concept)

Taper and Slope symbols
Create Symbols
Datum Target Symbols
Annotate drawings > Create Symbols >
Datum Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

A datum identifier symbol identifies a feature for a feature control frame symbol.

Symbol Description

The symbol is a rectangle containing datum identifying letters. You can position the symbol by itself or attached to a leader. Enter a coordinate value, or use any object snap to specify the symbol location. You can attach a datum identifier to an object in the drawing.

Symbol Standard

Before you create a datum identifier symbol, set up the standard for the datum identifier symbol. The datum identifier symbol respects the common standard setting in the Standard Settings dialog box. To access this dialog box use the AMOPTIONS command. Select the AM:Standards tab, and then double-click Datum Identifier in the Standard Elements list.

International Drafting Standards implemented for datum identifier symbols
  • ASME Y14.5M (1994)
  • ASME Y14.5M (1982-R1988)
  • BS 308 Part 3 (1990)
  • CSN 01 3138 (1994)
  • DIN EN22553 (1994)
  • DIN ISO 1101 (1983)
  • GB/T 1182 (1996)
  • ISO 1101 (1983)
  • ISO 7083 (1993)
  • JIS B 0021 (1984)
  • GOST 2.308-79


Datum Identifier Symbols (Procedure)

Taper and Slope symbols
Up a level to ..
Datum Identifier Symbols
Annotate drawings > Create Symbols >
Datum Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a datum identifier symbol

To change the arrowhead of a symbol

To attach a symbol to an object

To detach a symbol to an object


Datum Identifier Symbols (Quick Reference)

Taper and Slope symbols
Datum Identifier Symbols
Datum Identifier Symbols
Annotate drawings > Create Symbols >
Datum Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDATUMID

Datum Identifier dialog box

Datum and Feature Identifier Settings dialog box


To create a datum identifier symbol (Procedure)

Datum Identifier Symbols
Up a level to ..
Datum Identifier Symbols
Annotate drawings > Create Symbols >
Datum Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a datum identifier symbol
  1. Click Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMDATUMID.
  2. In the drawing area, select an object to attach the datum identifier to.
  3. Specify the start point for the leader.
  4. Specify one or more points to define the vertices of the leader. Press ENTER to end the selection.
  5. In the Datum Identifier dialog box, enter the identifying letters.
  6. Click OK.
TipTo create the datum identifier symbol without leader, specify only one leader point and press ENTER.


To change the arrowhead of a symbol (Procedure)

Datum Identifier Symbols
Up a level to ..
Datum Identifier Symbols
Annotate drawings > Create Symbols >
Datum Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the arrowhead of a symbol

  1. In the drawing area, double-click the symbol to edit.
  2. From the Arrowhead drop-down list, select an arrowhead.
  3. Click OK.


To attach a symbol to an object (Procedure)

Datum Identifier Symbols
Up a level to ..
Datum Identifier Symbols
Annotate drawings > Create Symbols >
Datum Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To attach a symbol to an object

  1. In the drawing area, double-click the symbol to edit.
  2. Click Attach. The dialog box hides.
    NoteThe Attach button is available only if the symbol is not attached to an object.
  3. Select an object in the drawing to attach the symbol to. The dialog box is displayed again.
  4. Click OK.


To detach a symbol to an object (Procedure)

Datum Identifier Symbols
Up a level to ..
Datum Target Symbols
Annotate drawings > Create Symbols >
Datum Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To detach a symbol to an object

  1. In the drawing area, double-click the symbol to edit.
  2. Click Detach.
    NoteThe Detach button is available only if the symbol is attached to an object.
  3. Click OK.


Datum Identifier Symbols (Quick Reference)

Datum Identifier Symbols
Datum Identifier Symbols
Datum Identifier Symbols
Annotate drawings > Create Symbols >
Datum Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDATUMID

Creates a datum identification symbol and optionally, attaches it to an object in the drawing area.

Ribbon: Annotate tab [image] Symbol panel [image] Datum Identifier. Does not exist on the ribbon.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Datum Identifier Does not exist in the menus.
Command entry: amdatumid

You can specify up to 2 characters to identify datum features and also select the type of datum feature triangle to use at the end of the leader line.

COMMAND LINE OPTIONS

Select object to attach: Select an object in the drawing to attach the symbol. If you do not want to attach the symbol, select a start point of the leader or the point to place the datum identifier symbol without leader.

In this case the following prompt does not appear.

Start Point: Specify the start point of the leader or the point to place the datum identifier symbol without leader.

Next Point <Symbol>: Specify the next point of the leader or press ENTER to place the symbol.

COMMAND LINE DEFINITIONS

Symbol

Places the symbol in the drawing.


Datum Identifier Symbols (Quick Reference)

Datum Identifier Symbols
Datum Identifier Symbols
Datum Identifier Symbols
Annotate drawings > Create Symbols >
Datum Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum Identifier dialog box

Datum Identifier Specifies a label for the datum identifier. You can specify a maximum of two characters for the label.
Arrowhead Specifies the type of datum feature triangle to use at the end of the leader line. Select an arrowhead from the drop-down menu. The list of arrowheads conforms to the current drafting standard. The default arrowhead is the standard arrowhead for symbols. Set it in the Options dialog box.
Edit object attachment
 | Attach Attaches the symbol to a geometry in the drawing.
 | Detach Detaches the symbol. The symbol becomes a free-standing object.
Settings Opens the Datum and Feature Identifier Settings dialog box and enables you to edit the default settings for the current drafting standard.


Datum Identifier Symbols (Quick Reference)

Datum Identifier Symbols
Datum Identifier Symbols
Datum Target Symbols
Annotate drawings > Create Symbols >
Datum Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum and Feature Identifier Settings dialog box

Use the Datum and Feature Identifier Settings dialog box to specify the defaults settings of datum and feature identification symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all datum and feature identifier symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all datum and feature identifier symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all datum and feature identifier symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all datum and feature identifier symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all datum and feature identifier symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Datum Target Symbols (Concept)

Datum Identifier Symbols
Create Symbols
Edge Symbols
Annotate drawings > Create Symbols >
Datum Target Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

It can be impractical to use a datum to control the tolerance of an entire surface, as the datum establishes a theoretically exact plane, line, or profile. In order to specify practical data, relevant locations called datum targets can be selected and indicated on a drawing.

Symbol Description

Datum targets are circular frames divided in two parts by a horizontal line. The lower half is for a letter and a digit. The letter represents the datum feature, and the digit represents the datum target number. The upper half is for additional information, such as dimensions of the datum target area.

Types of the Symbol

You can attach datum targets to:

  • a point indicated by a cross
  • a line indicated by two crosses
  • an area indicated by a hatched area

The program implements six types of datum target symbols. Select the type of the datum target in the Termination Type dialog box. The termination types are:

None

Datum target without any termination.

Point

Datum target with a point termination.

Line

Datum target with a line termination.

Circle

Datum target with a circular termination.

Rectangle

Datum target with a rectangular termination.

Attached

Datum target attached to another datum target.

Symbol Standard

You use the Datum Target Settings dialog box to set the appearance of the symbol. Available options conform to the current International Drafting Standard.

When saving into AutoCAD R12 format, the program does not save the hatch pattern in the circle or rectangle datum target. To work around this functionality, explode the symbol before saving as R12.

International Drafting Standards implemented for datum target symbols
  • ASME Y14.5M (1994)
  • BS 308 Part 3 (1990)
  • CSN 01 3138 (1994)
  • GB/T 1182 (1996)
  • ISO 1101 (1983)
  • ISO 7083 (1993)
  • JIS B 0021 (1984)


Datum Target Symbols (Procedure)

Datum Identifier Symbols
Up a level to ..
Datum Target Symbols
Annotate drawings > Create Symbols >
Datum Target Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit a datum target symbol

To create a datum target symbol

To Configure the Master Settings for Leaders

To Link Text and Leader Master Settings to Dimension Styles

To detach a symbol to an object


Datum Target Symbols (Quick Reference)

Datum Identifier Symbols
Datum Target Symbols
Datum Target Symbols
Annotate drawings > Create Symbols >
Datum Target Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDATUMTGT

Datum Target dialog box

Datum Target Settings dialog box


To edit a datum target symbol (Procedure)

Datum Target Symbols
Up a level to ..
Datum Target Symbols
Annotate drawings > Create Symbols >
Datum Target Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit a datum target symbol

  1. In the drawing area, double-click the datum target symbol to edit.
  2. In the Datum Target dialog box, perform the changes.
  3. Click OK.
Tip
  • Dimension parameter: The real radius of the target circle, or the real dimensions of the target rectangle can be used as the Dimension parameter of the datum target symbol. Under Dimension, enter the string “<>”. When you use grip points to change the dimensions of the target area, the program refreshes the Dimension value automatically.
  • Target areas: You can change the boundary line type and the hatching pattern for the target areas in the Datum Target Properties dialog box.
To change the leader line and the arrowhead
  1. In the drawing area, double-click the datum target symbol to edit.
  2. In the Datum Target dialog box, select the Leader and Text tab.
  3. Under Linetype, select the leader line type.
  4. From the Arrowhead drop-down list, select an arrowhead.
  5. In the Datum Target dialog box, click OK.
Note
  • The list of arrowheads corresponds to the current standard.
  • You can set the default arrowhead for symbols in the Standard Properties dialog box.
To attach and detach a datum target symbol

The symbol can exist as a free-standing object or you can attach it to an object in the drawing. Every symbol leader can attach to only one object in the drawing. The attached symbol keeps the offset with the object when you move it. If a symbol leader is attached to an object and you want to attach it to another object, detach it first.

  1. In the drawing area, double-click the datum target symbol to edit.
  2. In the Datum Target dialog box, choose Attach.
  3. Select an object in the drawing to attach the datum target.
  4. In the Datum Target dialog box, click OK.
Tip
  • To detach the symbol, in the Datum Target dialog box choose Detach.
  • The program can attach the datum target symbol when you create it.
To set the standard properties for datum target symbols

You can access the Datum Target Properties dialog box from the Datum Target dialog box.

  1. Choose the Properties button to display the Datum Target Properties dialog box.
  2. Use the dialog box options to control the properties for the datum target symbols.
  3. Click OK to close the Datum Target Properties dialog box.


To create a datum target symbol (Procedure)

Datum Target Symbols
Up a level to ..
Datum Target Symbols
Annotate drawings > Create Symbols >
Datum Target Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a datum target symbol

The program can create six types of datum target symbols in the drawing.

To create the basic type - the datum target symbol with no termination use the following method:

  1. Click Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMDATUMTGT.
  2. In the Termination Type dialog box, select None.
  3. Select an object to attach the datum target to.
  4. In the drawing area, specify the start point of the leader.
  5. Specify one or more points for the leader vertices, and press ENTER.
  6. In the Datum Target dialog box, enter the data for the datum target.
  7. Click OK.
Datum target with a point termination

This type of datum target symbol terminates with a cross indicating the target point.

  1. From the Annotate menu, choose Symbols [image] Datum Target.
  2. In the Termination Type dialog box, select Point.
  3. Select an object to attach the datum target to.
  4. In the drawing area, specify a point for the point termination.
  5. Specify one or more points for the leader vertices, and press ENTER.
  6. In the Datum Target dialog box, enter the data for the datum target.
  7. Click OK.
Datum target with a line termination

This type of datum target symbol terminates with a line indicating the target line. A cross shows the start and the endpoint.

  1. From the Annotate menu, choose Symbols [image] Datum Target.
  2. In the Termination Type dialog box, select Line.
  3. Select an object to attach the datum target to.
  4. In the drawing area, specify a point for the start point of the line termination.
  5. In the drawing area, specify a point for the endpoint of the line termination. The program draws a line to indicate that the target region lies along an edge between the two Xs. The leader start point is at the midpoint of the target line.
  6. Specify one or more points for the leader vertices, and press ENTER.
  7. In the Datum Target dialog box, enter the data for the datum target.
  8. Click OK.
Datum target with a circular termination

This type of datum target symbol ends in a target circle.

  1. From the Annotate menu, choose Symbols [image] Datum Target.
  2. In the Termination Type dialog box, select Circle.
  3. Select an object to attach the datum target to.
  4. In the drawing area, specify a point for the center of the circle termination.
  5. Specify the radius of the circular termination by entering a value or by dragging the circle to the correct size. You can also enter d for the Diameter option, and enter a value, or select the diameter on the screen.
  6. Specify one or more points for the leader vertices, and press ENTER.
  7. In the Datum Target dialog box, enter the data for the datum target.
  8. Click OK.
Note
  • The real radius of the target circle can be used as the Dimension parameter of the datum target symbol. Under Dimension enter the string “<>”. When you use grip points to change the radius of the target circle, the program refreshes the Dimension value automatically.
  • You can change the type of the boundary line and the hatching pattern in the Datum Target Properties dialog box.
Datum target with a rectangular termination

This type of datum target symbol end in a target rectangle.

  1. From the Annotate menu, choose Symbols [image] Datum Target.
  2. In the Termination Type dialog box, select Rectangle.
  3. Select an object to attach the datum target to.
  4. In the drawing area, specify a point for the center of the rectangle termination.
  5. Specify the corner or edge of the rectangle.
  6. Specify one or more points for the leader vertices, and press ENTER. The leader start point is at one of the corners. As you move the pointer, the leader start point moves from one corner to the next. When you are pointing to the corner that you want, select the second point.
  7. In the Datum Target dialog box, enter the data for the datum target.
  8. Click OK.
Note
  • The real dimensions of the target rectangle can be used as the Dimension parameter of the datum target symbol. Under Dimension enter the string “<>”. When you use grip points to change the shape of the target rectangle, the program refreshes the Dimension value automatically.
  • You can change the type of the boundary line and the hatching pattern in the Datum Target Properties dialog box.
Datum target attached to another datum target

Using the following method you create two or more datum targets attached to one leader.

  1. From the Annotate menu, choose Symbols [image] Datum Target.
  2. In the Termination Type dialog box, select Attached to Another.
  3. In the drawing area, select a datum target symbol to attach the new symbol to. The pick point controls the position where the program connects the datum target.
  4. In the Datum Target dialog box, enter the data for the datum target.
  5. Click OK.


To Configure the Master Settings for Leaders (Procedure)

Datum Target Symbols
Up a level to ..
Datum Target Symbols
Annotate drawings > Create Symbols >
Datum Target Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


To Link Text and Leader Master Settings to Dimension Styles (Procedure)

Datum Target Symbols
Up a level to ..
Datum Target Symbols
Annotate drawings > Create Symbols >
Datum Target Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Link Text and Leader Master Settings to Dimension Styles

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Select the Link to dimension style check box.
  5. To link to the Leader substyle only, select the Link to leader dimension style only check box.
    NoteIf you clear the Link to leader dimension style only check box, the leader and text settings link to the base dimension style. If you modify text or leader settings, all dimension substyles update unless the substyle overrides the setting.
  6. In the Style list, select the dimension style to link to.
  7. Click OK until all dialog boxes close.


To detach a symbol to an object (Procedure)

Datum Target Symbols
Up a level to ..
Edge Symbols
Annotate drawings > Create Symbols >
Datum Target Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To detach a symbol to an object

  1. In the drawing area, double-click the symbol to edit.
  2. Click Detach.
    NoteThe Detach button is available only if the symbol is attached to an object.
  3. Click OK.


Datum Target Symbols (Quick Reference)

Datum Target Symbols
Datum Target Symbols
Datum Target Symbols
Annotate drawings > Create Symbols >
Datum Target Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDATUMTGT

Creates a datum target symbol and optionally, attaches it to an object in the drawing area.

Ribbon: Annotate tab [image] Symbol panel [image] Datum Target. Does not exist on the ribbon.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Datum Target Does not exist in the menus.
Command entry: amdatumtgt

You can specify the type of termination to use for the target point and assign up to 4 characters to identify the datum feature.

COMMAND LINE OPTIONS

Termination type: In the Termination Type dialog box select a termination for the datum target. Follow the command prompts to create the selected datum target termination.

Select object to attach: Select an object in the drawing to attach the symbol. If you do not want to attach the symbol, select a start point of the leader.

In this case the following prompt does not appear.

Start Point: Specify the start point of the leader.

Next Point <Symbol>: Specify the next point of the leader or press ENTER to place the symbol.

COMMAND LINE DEFINITIONS

Symbol

Places the symbol in the drawing

DIALOG BOX DEFINITIONS

Termination Type dialog box

Select a termination type for the datum target symbol.

The termination types are:

  • None: Datum target without any termination.
  • Point: Datum target with a point termination.
  • Line: Datum target with a line termination.
  • Circle: Datum target with a circular termination.
  • Rectangle: Datum target with a rectangular termination.
  • Attached: Datum target attached to another datum target.


Datum Target Symbols (Quick Reference)

Datum Target Symbols
Datum Target Symbols
Datum Target Symbols
Annotate drawings > Create Symbols >
Datum Target Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum Target dialog box

Symbol tab
 | Options
 |  | Datum area on far side Changes the leader linetype to dashed, indicating that the datum target is on the far side.
 | Requirements
 |  | Dimension Specifies the size of the datum area.
 |  | Datum Specifies a label to identify the datum. You can specify a datum reference letter and a target number of up to 3 digits.
Leader and Text tab
 | Arrowhead Specifies the type of the leader arrowhead. The setting By Standard acquires the arrowhead from the current drafting standard. If you change the arrowhead selected for the current drafting standard (in the Standard Settings dialog box.or Datum Target Settings dialog box.) the arrowhead for this symbol updates automatically.
 | Edit object attachment
 |  | Attach Attaches the symbol to a geometry in the drawing.
 |  | Detach Detaches the symbol. The symbol becomes a free-standing object.
Settings Opens the Datum Target Settings dialog box and enables you to edit the default settings for the current drafting standard.


Datum Target Symbols (Quick Reference)

Datum Target Symbols
Datum Target Symbols
Create and Modify Edge Symbols
Annotate drawings > Create Symbols >
Datum Target Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum Target Settings dialog box

Use the Datum Target Settings dialog box to configure the default settings of datum target symbols for the current standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Style

Target point size

Sets the size of the target point for datum targets with point terminations. The value you set refers to half the width of the “X” the target point.

Area hatch distance

Sets the distance between hatch lines for datum targets with rectangular and circular terminations.

Hatch angle

Sets the hatch angle for datum targets with rectangular and circular terminations.

Boundary linetype

Specifies the linetype to use for the datum target boundary for datum targets with rectangular and circular terminations.

Leader

Hidden linetype

Specifies the linetype to use for the leader of datum target symbols that indicate that the datum target target is on the far side.

Draw arrowhead for point termination

Specifies whether arrowheads are drawn for datum targets with point terminations. This setting has no affect on datum target symbols that already exist in a drawing. It only affects new symbols you create.

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all datum target symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all datum target symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all datum target symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all datum target symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all datum target symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Edge Symbols

Datum Target Symbols
Create Symbols
Create and Modify Edge Symbols
Annotate drawings > Create Symbols >
Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Create and Modify Edge Symbols
  • Reuse Edge Symbols with the Symbol Library


Edge Symbols (Procedure)

Datum Target Symbols
Up a level to ..
Create and Modify Edge Symbols
Annotate drawings > Create Symbols >
Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create an edge symbol

To create an edge symbol, using the symbol library

To edit an edge symbol

To attach a symbol to an object

To detach a symbol from an object

To add leaders or leader segments

To remove leader segments

To create an edge symbol, using the symbol library

To add an edge symbol to the library

To delete an edge symbol from the library

To rename an edge symbol in the library

To modify an edge symbol in the library

To set an edge symbol in the library as a default

To import the library from another drawing


Create and Modify Edge Symbols (Concept)

Edge Symbols
Edge Symbols
Reuse Edge Symbols with the Symbol Library
Annotate drawings > Create Symbols > Edge Symbols >
Create and Modify Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical gives you the ability to create edge symbols that comply with the active drafting standard. The list at the bottom of the page provides a complete list of standards that are supported.

The symbol can exist as a free-standing object or can be attached to an object in the drawing. When a symbol is attached, the symbol moves with the object whenever the object is moved. If a symbol is attached to an object and you want to attach it to another object, you must detach it first.

You can set the symbol as a majority symbol, which makes it the collective indication of the state of all unspecified edges in the drawing. If the majority symbol is configured to display the full list, the majority symbol reports the state of all other edge symbols. If you place the majority symbol inside a title block that you created with AMTITLE command, the majority symbol reports the state of all the edge symbols within that title block. If you place the majority symbol outside the tile block, it reports the state of all majority symbols in the drawing. If the majority symbol is configured to display a simplified list, it will only show the basic symbol without reporting the state of any other edge symbol.

The following is supported:

  • Ability to provide edge details, such as broken, passing, burr, sharp-edged, undercut, or recessed edges.
  • Ability to provide edge types with undefined size.
  • Ability to show standard revision label.
  • Ability to define the symbol location precisely using object snaps or entering coordinate values.
  • Ability to display the all around symbol on the leader.
International Drafting Standards implemented for edge symbols
  • DIN ISO 13715 (2000)
  • DIN 6784 (1982)
  • GB/T 19096 (2003)
  • JIS B 0051 (2004)
  • ISO 13715 (2000)
  • ISO/DIS 13715 (1984)
See Also
    • Configure the Appearance of Edge Symbols
    • Configure the Majority Symbol Representation of Edge Symbols


Create and Modify Edge Symbols (Procedure)

Edge Symbols
Up a level to ..
Create and Modify Edge Symbols
Annotate drawings > Create Symbols > Edge Symbols >
Create and Modify Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an edge symbol

To create an edge symbol, using the symbol library

To edit an edge symbol

To attach a symbol to an object

To detach a symbol from an object

To add leaders or leader segments

To remove leader segments


Create and Modify Edge Symbols (Quick Reference)

Datum Target Symbols
Create and Modify Edge Symbols
Create and Modify Edge Symbols
Annotate drawings > Create Symbols > Edge Symbols >
Create and Modify Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMEDGESYM

Edge Symbol dialog box

Edge Settings dialog box


To create an edge symbol (Procedure)

Create and Modify Edge Symbols
Up a level to ..
Create and Modify Edge Symbols
Annotate drawings > Create Symbols > Edge Symbols >
Create and Modify Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an edge symbol

  1. Click the Annotate tab [image] Symbols panel [image] . At the Command prompt, enter AMEDGESYM.
    NoteOnly the DIN, GB, JIS, and ISO standards support edge symbols.
  2. In the drawing area, specify the start point for the leader.
  3. Specify the second point of the edge symbol leader and press ENTER.
  4. In the Edge Symbol dialog box, specify the edge symbol requirements.
    • To set the symbol as a collective indication of all other edge symbols in the drawing, select Place as majority symbol.
    • To insert an edge symbol without specific data, select Allow undefined size and click Burr or passing permitted, or Undercut required. To define the direction, select from the drop-down list.
    • To set the edge symbol data, enter the Edge symbol value in the upper or lower box in the parameters area or select the value from the drop-down list.
    • To display the standard revision next to the symbol, select Show Standard Label.
    • To add the all-round designation, click the All-round button.
  5. Click OK.


To create an edge symbol, using the symbol library (Procedure)

Create and Modify Edge Symbols
Up a level to ..
Create and Modify Edge Symbols
Annotate drawings > Create Symbols > Edge Symbols >
Create and Modify Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an edge symbol, using the symbol library

  1. Click the Annotate tab [image] Symbols panel [image] Edge Symbol drop-down.

    AutoCAD Mechanical displays the edge symbols saved in the symbol library.

  2. Click the symbol to insert.
  3. Select an object to attach the edge symbol to.
  4. In the drawing area, specify the start point for the leader.
  5. Specify one or more points to define the vertices of the leader, and then press ENTER.


To edit an edge symbol (Procedure)

Create and Modify Edge Symbols
Up a level to ..
Create and Modify Edge Symbols
Annotate drawings > Create Symbols > Edge Symbols >
Create and Modify Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit an edge symbol

  1. In the drawing area, double-click the edge symbol to edit.
  2. In the Edge Symbol dialog box, make the changes as required.
    • To set the symbol as a collective indication of all other edge symbols in the drawing, select Place as majority symbol.
    • To insert an edge symbol without specific data, select Allow undefined size and click Burr or passing permitted, or Undercut required. To define the direction, select from the drop-down list.
    • To set the edge symbol data, enter the Edge symbol value in the upper or lower box in the parameters area or select the value from the drop-down list.
    • To display the standard revision next to the symbol, select Show Standard Label.
    • To add the all-around designation, click the All Around button

  3. Click OK.


To attach a symbol to an object (Procedure)

Create and Modify Edge Symbols
Up a level to ..
Create and Modify Edge Symbols
Annotate drawings > Create Symbols > Edge Symbols >
Create and Modify Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To attach a symbol to an object

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader tab.
  3. Click Attach. The dialog box hides.
  4. Select an object in the drawing to attach the symbol to. The dialog box is displayed again.
  5. Click OK.


To detach a symbol from an object (Procedure)

Create and Modify Edge Symbols
Up a level to ..
Create and Modify Edge Symbols
Annotate drawings > Create Symbols > Edge Symbols >
Create and Modify Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To detach a symbol from an object

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader tab.
  3. Click Detach.
  4. Click OK.


To add leaders or leader segments (Procedure)

Create and Modify Edge Symbols
Up a level to ..
Create and Modify Edge Symbols
Annotate drawings > Create Symbols > Edge Symbols >
Create and Modify Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add leaders or leader segments

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader tab.
  3. Click Add.
  4. Select an object in the drawing to attach the new leader, or select the first point. Then select one of the following:
    • The first point on the original leader to add new leader segments.
    • A point on the original leader to add a new leader branch.
  5. Click OK.
Tip
  • To add a new leader node, select only one point on the original leader.
  • Use the grip points to move the leader nodes.


To remove leader segments (Procedure)

Create and Modify Edge Symbols
Up a level to ..
Reuse Edge Symbols with the Symbol Library
Annotate drawings > Create Symbols > Edge Symbols >
Create and Modify Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove leader segments

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader tab.
  3. Click Remove.
    NoteThe Remove button is available only if the leader contains removable segments.
  4. Select a leader segment or leader node. The selected segment or node is removed depending on the selection and is based on the following rules:
    • A part of the leader, if you select an internal node or segment.
    • A leader branch, if you select the last segment of the leader branch.
    • The whole leader, if you select the last leader segment or the last leader node.
  5. Click OK.
NoteThe part of the leader to be removed is highlighted for visual control.


Create and Modify Edge Symbols (Quick Reference)

Create and Modify Edge Symbols
Create and Modify Edge Symbols
Create and Modify Edge Symbols
Annotate drawings > Create Symbols > Edge Symbols >
Create and Modify Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMEDGESYM

Creates an edge symbol and, optionally, attaches it to an object in the drawing area.

Ribbon: Annotate tab [image] Symbol panel [image] Edge Symbol.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Edge Symbol Does not exist in the menus.
Command entry: amedgesym

You can specify requirements for each symbol you place, or flag the symbol as a majority symbol, which makes it a collective indication of the edge symbols elsewhere in the drawing. You can also save frequently used symbols to the symbol library and pick fully configured symbols directly from the ribbon.

COMMAND LINE OPTIONS

Select object to attach: Select an object in the drawing to attach the symbol. If you do not want to attach the symbol, select a start point for the leader.

In this case the following prompt does not appear.

Start Point: Specify the start point of the leader.

Next Point: Specify the next vertex of the leader.

Select object to attachor [Library]: Press L to pick a symbol from the symbol library or select an object in the drawing to attach the symbol to. To place the symbol without attaching it to anything, click the position you want to place the arrowhead of the leader. If you want to place the symbol without a leader, click the position you want to place the symbol.

Object to attach

Attaches the symbol to an object.

Specify start point: Specify the start point of the leader.

Specify next point or <Symbol>: Specify the next point of the leader or press ENTER to place the symbol. AutoCAD Mechanical displays the Edge Symbol dialog box when you press ENTER.

Library

Enables you to pick a fully configured symbol from the symbol library and place it in the drawing area.

Enter symbol name or [?] <Default symbol name>: Enter the name of the symbol library item or enter ? to list the names of all edge symbols in the symbol library for the current standard/revision. Press ENTER to accept the default symbol. If no default exists, pressing ENTER lists the names of all edge symbols in the symbol library.

Select object to attach or [Library]: Select an object in the drawing to attach the symbol to. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case the prompt requesting you to specify the start point does not appear.

Specify start point: Select a start point for the leader or specify the point to place the edge symbol without a leader.

Specify next point or <Symbol>: Specify the next point of the leader or press ENTER to place the selected symbol in the drawing area.

Place the symbol without attaching

Places the symbol in the drawing area without attaching it to anything.

Specify next point or <Symbol>: Specify the next point of the leader or press ENTER to place the selected symbol in the drawing area. AutoCAD Mechanical displays the Edge Symbol dialog box when you press ENTER.


Create and Modify Edge Symbols (Quick Reference)

Create and Modify Edge Symbols
Create and Modify Edge Symbols
Create and Modify Edge Symbols
Annotate drawings > Create Symbols > Edge Symbols >
Create and Modify Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edge Symbol dialog box

Use the Edge Symbol dialog box to set the parameters of the symbol you are inserting.

Note
  • The visibility of the elements in this dialog box depends on the current drafting standard and the options you select. Therefore some elements described in this page are not visible in the dialog box.
  • Some button names are available only in the tooltips. Move the cursor over the buttons to view the names.

Revision

Displays the standard revision that controls the appearance of the symbol and determines what parameters are visible in the dialog box.

Symbol tab

Options

Place as majority symbol

Sets the symbol as a collective indication representing all other edge symbols in the drawing.

Requirements

Sets the options used to specify edge symbol requirements.

Define direction

Turns on the direction of the symbol data or undefined size. When selected, the value entered in the upper box appears at the top of the edge symbol or the value in the lower box appears beside the edge symbol. However, if you enter different values in both boxes, they appear in the middle of the symbol. You can also set the undefined size at top or side of the symbol.

Allow undefined size

Inserts an edge symbol without a specific size. The edge can be burred, passing, or undercut. Use only if you do not specify the exact edge number definition.

Undefined size direction

Specifies whether to insert the undefined size at the top or beside the edge symbol. It is enabled only when both Define direction and Allow undefined size options are selected.

Burr or passing permitted

Sets the edge type as burr or passing.

Undercut required

Sets the edge type as undercut.

Show Standard Label

Displays the current standard revision next to the symbol.

Edge symbol parameters

Sets edge symbol data. Select a recommended value from the drop-down list or enter a value in the box. If the upper boundary is lower than the lower boundary, a warning appears. Click Close to close the warning. The upper boundary and lower boundary are swapped.

All Around

Adds the all around indication to the symbol. This button is available only if the symbol representation is not a majority symbol.

This button is visible only if the symbol is based on ISO 13715 - 2000. The Revision box shows what standard the symbol is based on.

Library

Lists all edge symbols in the symbol library, for the current drafting standard.

Menu Options

Load

Loads the settings of the selected symbol to the Edge Symbol dialog box. This operation overwrites the current settings of the Edge Symbol dialog box.

Update

Overwrites the selected symbol in the library, with the current settings of the Edge Symbol dialog box. The preview updates to reflect the new settings. The name of the symbol and default status do not change.

Delete

Removes the selected symbol from the library.

Rename

Makes the symbol name editable. AutoCAD Mechanical validates the name to ensure that the symbol names are unique.

Set default

Makes the selected symbol the default symbol of the library. A blue check mark appears next to the symbol to indicate that it is the default symbol. The next time you create an edge symbol symbol, the default symbol loads automatically.

Remove default

Removes the default status of the selected symbol. This menu option is available only on the default symbol. When there is no default symbol selected, the settings default to the settings of the edge symbol symbol you created or edited most recently.

Add

Saves current settings to the symbol library as a new item in the library. A prompt enables you to name the new item.

Import

Imports the edge symbol symbols from the symbol library of another drawing. You can only import symbols of the same standard and revision as the edge symbol symbol you are editing.

Leader tab

Arrowhead

Specifies the leader arrowhead type. When the arrowhead is set to By Standard, the arrowhead is acquired from the current drafting standard. From then on, if you change the arrowhead selected for the current drafting standard (in the Standard Settings dialog box or Edge Settings dialog box), the arrowhead for this symbol is automatically updated.

Edit leader segments

Add

Adds a leader, leader segment, or leader node.

Remove

Deletes a leader or leader segment.

Edit object attachment

Attach

Attaches the symbol to an object in the drawing. When attached, if you move the object the symbol moves with it.

Detach

Detaches the symbol. The symbol becomes a free-standing object.

Settings

Opens the Edge Symbol Settings dialog box and enables you to edit the default settings for edge symbols for the current drafting standard.


Create and Modify Edge Symbols (Quick Reference)

Create and Modify Edge Symbols
Create and Modify Edge Symbols
Reuse Edge Symbols with the Symbol Library
Annotate drawings > Create Symbols > Edge Symbols >
Create and Modify Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edge Settings dialog box

Use the Edge Settings dialog box to specify the defaults settings of edge symbols, for the current drafting standard.

Revision

Displays the current standard.

Majority Symbol

Sets options for the majority symbol, which indicates the state common to all edges, using a single collective symbol.

Simplified

Sets the majority symbol to its simplified representation. Accordingly, only the basic symbol appears in parenthesis, at the right of the collective indication.

Full list

Sets the majority symbol to its full representation. Accordingly, if edge symbols are present elsewhere in the drawing, their state is fully indicated in parenthesis at the right of the collective indication.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all edge symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all edge symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all edge symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all edge symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all edge symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Reuse Edge Symbols with the Symbol Library (Concept)

Create and Modify Edge Symbols
Edge Symbols
Feature Control Frame Symbols
Annotate drawings > Create Symbols > Edge Symbols >
Reuse Edge Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can add frequently used edge symbols to the symbol library and use them directly from the ribbon. Since the symbols in the library are fully configured, AutoCAD Mechanical does not display a dialog box when you place them in the drawing. This can lead to significant time savings when compared with inserting the raw symbol and then specifying the geometric tolerances.

When you add an edge to the library, you must provide a unique name for it. If the name you provide is longer than the available space, in the library the name appears truncated. However, when you move the pointer over the name, the entire name appears in a tooltip. Additionally, the tooltip shows a summary of the settings for that item.

In addition to being able to delete, rename, or modify a symbol in the symbol library, you can set one as the default. When you use the AMEDGESYM command, the initial settings for the Edge Symbol Dialog box come from the default symbol. You can opt not to have a default, in which case the settings default to the most recently used edge symbol.

AutoCAD Mechanical enables you to import a symbol library from another drawing. However, the drafting standard and revision of the edge symbols in both drawings must be the same.

During the import process, you can choose to replace the entire library, append symbols, or overwrite symbols. If you choose the replace option AutoCAD Mechanical deletes the current library and replaces it with the imported library. If you choose the append option, AutoCAD Mechanical renames the imported symbols by affixing a number to each symbol’s name when it detects that you already have symbols with the same name. If you choose the overwrite option, AutoCAD Mechanical overwrites existing symbols with imported symbols when it detects that you already have symbols with the same name.


Reuse Edge Symbols with the Symbol Library (Procedure)

Create and Modify Edge Symbols
Up a level to ..
Reuse Edge Symbols with the Symbol Library
Annotate drawings > Create Symbols > Edge Symbols >
Reuse Edge Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an edge symbol, using the symbol library

To add an edge symbol to the library

To delete an edge symbol from the library

To rename an edge symbol in the library

To modify an edge symbol in the library

To set an edge symbol in the library as a default

To import the library from another drawing


To create an edge symbol, using the symbol library (Procedure)

Reuse Edge Symbols with the Symbol Library
Up a level to ..
Reuse Edge Symbols with the Symbol Library
Annotate drawings > Create Symbols > Edge Symbols >
Reuse Edge Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an edge symbol, using the symbol library

  1. Click the Annotate tab [image] Symbols panel [image] Edge Symbol drop-down.

    AutoCAD Mechanical displays the edge symbols saved in the symbol library.

  2. Click the symbol to insert.
  3. Select an object to attach the edge symbol to.
  4. In the drawing area, specify the start point for the leader.
  5. Specify one or more points to define the vertices of the leader, and then press ENTER.


To add an edge symbol to the library (Procedure)

Reuse Edge Symbols with the Symbol Library
Up a level to ..
Reuse Edge Symbols with the Symbol Library
Annotate drawings > Create Symbols > Edge Symbols >
Reuse Edge Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add an edge symbol to the library

  1. In the drawing area, double-click the edge symbol to add to the library.
  2. If necessary, further customize the symbol.
  3. Click Add.
  4. Enter a name for the symbol.
  5. Click OK.


To delete an edge symbol from the library (Procedure)

Reuse Edge Symbols with the Symbol Library
Up a level to ..
Reuse Edge Symbols with the Symbol Library
Annotate drawings > Create Symbols > Edge Symbols >
Reuse Edge Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete an edge symbol from the library

  1. In the drawing area, double-click any edge symbol.
  2. In the library, select the edge symbol to remove.
  3. In the drop-down menu on the right, select Delete.
  4. Click OK.


To rename an edge symbol in the library (Procedure)

Reuse Edge Symbols with the Symbol Library
Up a level to ..
Reuse Edge Symbols with the Symbol Library
Annotate drawings > Create Symbols > Edge Symbols >
Reuse Edge Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To rename an edge symbol in the library

  1. In the drawing area, double-click any edge symbol.
  2. In the library, click the edge symbol to rename.
  3. From the drop-down menu on the right, select Rename.
  4. Enter the new name for the edge symbol.
  5. Click OK.


To modify an edge symbol in the library (Procedure)

Reuse Edge Symbols with the Symbol Library
Up a level to ..
Reuse Edge Symbols with the Symbol Library
Annotate drawings > Create Symbols > Edge Symbols >
Reuse Edge Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To modify an edge symbol in the library

  1. In the drawing area, double-click any edge symbol.
  2. Click Add.To save a symbol temporarily,
    Noteadd the symbol to the library. Delete it after you modify the library item.
  3. Enter TEMP as the name of the symbol.
  4. In the library, click the edge symbol to edit.
  5. From the drop-down menu on the right, select Load. The selected configuration replaces the information in the dialog box.
  6. Modify the edge symbol.
  7. From the drop-down menu on the right, select Update. The program updates the selected configuration with the information in the dialog box.
  8. In the library click TEMP.
  9. From the drop-down menu on the right, select Load. The selected configuration replaces the information in the dialog box.
  10. From the drop-down menu on the right, select Delete. The temporary symbol is deleted.
  11. Click OK.


To set an edge symbol in the library as a default (Procedure)

Reuse Edge Symbols with the Symbol Library
Up a level to ..
Reuse Edge Symbols with the Symbol Library
Annotate drawings > Create Symbols > Edge Symbols >
Reuse Edge Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set an edge symbol in the library as a default

  1. In the drawing area, double-click any edge symbol.
  2. In the library, click the edge symbol to set as a default.
  3. From the drop-down menu on the right, select Set default. A blue tick indicates the default status.
  4. Click OK.


To import the library from another drawing (Procedure)

Reuse Edge Symbols with the Symbol Library
Up a level to ..
Feature Control Frame Symbols
Annotate drawings > Create Symbols > Edge Symbols >
Reuse Edge Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import the library from another drawing

  1. Click Home tab [image] Modify panel [image] . . At the command prompt enter AMPOWERCOPY.
  2. In the drawing area, select any edge, and copy it to an empty area.
  3. In the drawing area, double-click the symbol you created in step 2.
  4. Click Import. The Select File dialog box is displayed.
  5. Choose the .dwg or .dwt file that contains the desired Library.
    NoteYou can only import a library that is based on the same standard and revision as the edge symbol you are editing.
  6. Select the method of import;
    • To remove the existing library and replace it with the imported library, select Replace.
    • To append the imported library to the existing library while overwriting symbols with the same names, select Overwrite.
    • To append the imported library to the existing library while renaming symbols with the same name, select Append.
  7. Click OK. The program adds the imported edge symbols to the library.
  8. Click OK.
  9. Delete the symbol you created in step 2.


Reuse Edge Symbols with the Symbol Library (Quick Reference)

Create and Modify Edge Symbols
Reuse Edge Symbols with the Symbol Library
Create and Modify Feature Control Frame Symbols
Annotate drawings > Create Symbols > Edge Symbols >
Reuse Edge Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edge Symbol dialog box

Use the Edge Symbol dialog box to set the parameters of the symbol you are inserting.

Note
  • The visibility of the elements in this dialog box depends on the current drafting standard and the options you select. Therefore some elements described in this page are not visible in the dialog box.
  • Some button names are available only in the tooltips. Move the cursor over the buttons to view the names.

Revision

Displays the standard revision that controls the appearance of the symbol and determines what parameters are visible in the dialog box.

Symbol tab

Options

Place as majority symbol

Sets the symbol as a collective indication representing all other edge symbols in the drawing.

Requirements

Sets the options used to specify edge symbol requirements.

Define direction

Turns on the direction of the symbol data or undefined size. When selected, the value entered in the upper box appears at the top of the edge symbol or the value in the lower box appears beside the edge symbol. However, if you enter different values in both boxes, they appear in the middle of the symbol. You can also set the undefined size at top or side of the symbol.

Allow undefined size

Inserts an edge symbol without a specific size. The edge can be burred, passing, or undercut. Use only if you do not specify the exact edge number definition.

Undefined size direction

Specifies whether to insert the undefined size at the top or beside the edge symbol. It is enabled only when both Define direction and Allow undefined size options are selected.

Burr or passing permitted

Sets the edge type as burr or passing.

Undercut required

Sets the edge type as undercut.

Show Standard Label

Displays the current standard revision next to the symbol.

Edge symbol parameters

Sets edge symbol data. Select a recommended value from the drop-down list or enter a value in the box. If the upper boundary is lower than the lower boundary, a warning appears. Click Close to close the warning. The upper boundary and lower boundary are swapped.

All Around

Adds the all around indication to the symbol. This button is available only if the symbol representation is not a majority symbol.

This button is visible only if the symbol is based on ISO 13715 - 2000. The Revision box shows what standard the symbol is based on.

Library

Lists all edge symbols in the symbol library, for the current drafting standard.

Menu Options

Load

Loads the settings of the selected symbol to the Edge Symbol dialog box. This operation overwrites the current settings of the Edge Symbol dialog box.

Update

Overwrites the selected symbol in the library, with the current settings of the Edge Symbol dialog box. The preview updates to reflect the new settings. The name of the symbol and default status do not change.

Delete

Removes the selected symbol from the library.

Rename

Makes the symbol name editable. AutoCAD Mechanical validates the name to ensure that the symbol names are unique.

Set default

Makes the selected symbol the default symbol of the library. A blue check mark appears next to the symbol to indicate that it is the default symbol. The next time you create an edge symbol symbol, the default symbol loads automatically.

Remove default

Removes the default status of the selected symbol. This menu option is available only on the default symbol. When there is no default symbol selected, the settings default to the settings of the edge symbol symbol you created or edited most recently.

Add

Saves current settings to the symbol library as a new item in the library. A prompt enables you to name the new item.

Import

Imports the edge symbol symbols from the symbol library of another drawing. You can only import symbols of the same standard and revision as the edge symbol symbol you are editing.

Leader tab

Arrowhead

Specifies the leader arrowhead type. When the arrowhead is set to By Standard, the arrowhead is acquired from the current drafting standard. From then on, if you change the arrowhead selected for the current drafting standard (in the Standard Settings dialog box or Edge Settings dialog box), the arrowhead for this symbol is automatically updated.

Edit leader segments

Add

Adds a leader, leader segment, or leader node.

Remove

Deletes a leader or leader segment.

Edit object attachment

Attach

Attaches the symbol to an object in the drawing. When attached, if you move the object the symbol moves with it.

Detach

Detaches the symbol. The symbol becomes a free-standing object.

Settings

Opens the Edge Symbol Settings dialog box and enables you to edit the default settings for edge symbols for the current drafting standard.


Feature Control Frame Symbols

Reuse Edge Symbols with the Symbol Library
Create Symbols
Create and Modify Feature Control Frame Symbols
Annotate drawings > Create Symbols >
Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Create and Modify Feature Control Frame Symbols
  • Reuse Feature Control Frame Symbols with the Symbol Library


Feature Control Frame Symbols (Procedure)

Reuse Edge Symbols with the Symbol Library
Up a level to ..
Create and Modify Feature Control Frame Symbols
Annotate drawings > Create Symbols >
Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a feature control frame symbol

To create a feature control frame symbol, using the symbol library

To edit a feature control frame symbol

To add a secondary leader to a feature control frame symbol

To add the all around symbol to the leader

To change the arrowhead on the symbol leader

To add leaders or leader segments

To remove leader segments

To attach a symbol to an object

To detach a symbol from an object

To create a feature control frame symbol, using the symbol library

To add a feature control frame symbol to the library

To delete a feature control frame symbol from the library

To rename a feature control frame symbol in the library

To modify a feature control frame symbol in the library

To set a feature control frame symbol in the library as a default

To import the library from another drawing


Create and Modify Feature Control Frame Symbols (Concept)

Feature Control Frame Symbols
Feature Control Frame Symbols
Reuse Feature Control Frame Symbols with the Symbol Library
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Create and Modify Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Feature control frames display geometric tolerances that show deviations of form, profile, orientation, location, and runout of a feature. All tolerance information for a single dimension is contained in the feature control frame. There are four variations of feature control frames:

  • Simple
  • With leader
  • Multiple
  • Merged

Symbol Description

The feature control frame is the rectangular frame that is divided into two or more sections. The sections contain the symbol for the characteristics to be toleranced, the tolerance value in the unit used for linear dimensions, and, if appropriate, the letter or letters identifying the datum feature or features. The tolerance frame connects to the toleranced feature by a leader line terminating with an arrow.

A geometrical tolerance applied to a feature defines the tolerance zone within which the feature is to be contained. You can supplement the feature control frame symbols with notes. If necessary to specify more than one tolerance characteristics for a feature, the tolerance specifications appear in tolerance frames one under the other.

You can position the symbol in the drawing by itself or attached to a leader. Enter a coordinate value, or use any object snap, to specify the location of a symbol.

Note
  • You can attach feature control frames to objects in the drawing.
  • You can use a secondary leader to identify the datum, relative to which the tolerance is specified.
  • Feature control frames have eight snap points: left center, left top, left bottom, top center, bottom center, right center, right top, and right bottom of the outer rectangle. The grips are on the left center and right center of the outer rectangle.
  • Feature control frames move, copy, mirror, or rotate as a single object.
  • If you explode a feature control frame, the symbol and the leader become independent objects. You can no longer edit them using the Feature Control Frame dialog box.
International Drafting Standards implemented for feature control frame symbols
  • ASME Y14.5M (1994)
  • ASME Y14.5M (1982-R1988)
  • BS 308 Part 3 (1990)
  • CSN 01 3138 (1994)
  • DIN ISO 1101 (1983)
  • GB/T 1182 (1996)
  • ISO 1101 (1983)
  • JIS B 0021 (1998)
  • GOST 2.308-79
See Also
    • Configure the Appearance of Feature Control Frames


Create and Modify Feature Control Frame Symbols (Procedure)

Feature Control Frame Symbols
Up a level to ..
Create and Modify Feature Control Frame Symbols
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Create and Modify Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a feature control frame symbol

To create a feature control frame symbol, using the symbol library

To edit a feature control frame symbol

To add a secondary leader to a feature control frame symbol

To add the all around symbol to the leader

To change the arrowhead on the symbol leader

To add leaders or leader segments

To remove leader segments

To attach a symbol to an object

To detach a symbol from an object


Create and Modify Feature Control Frame Symbols (Quick Reference)

Reuse Edge Symbols with the Symbol Library
Create and Modify Feature Control Frame Symbols
Create and Modify Feature Control Frame Symbols
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Create and Modify Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMFCFRAME

Feature Control Frame dialog box

Feature Control Frame Settings dialog box


To create a feature control frame symbol (Procedure)

Create and Modify Feature Control Frame Symbols
Up a level to ..
Create and Modify Feature Control Frame Symbols
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Create and Modify Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a feature control frame symbol

  1. Click Annotate tab [image] Symbols panel [image] . At the Command prompt, enter AMFCFRAME.
  2. Select an object to attach the feature control frame to.
  3. In the drawing area, specify the start point for the leader.
  4. Specify one or more points to define the vertices of the leader, and then press ENTER.
  5. In the Feature Control Frame dialog box, enter the data.
  6. Click OK.
NoteTo create the symbol without a leader, specify only the start point and press ENTER.


To create a feature control frame symbol, using the symbol library (Procedure)

Create and Modify Feature Control Frame Symbols
Up a level to ..
Create and Modify Feature Control Frame Symbols
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Create and Modify Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a feature control frame symbol, using the symbol library

  1. Click the Annotate tab [image] Symbols panel [image] Feature Control Frame Symbol drop-down.

    AutoCAD Mechanical displays the Feature Control Frame symbols saved in the symbol library.

  2. Click the symbol to insert.
  3. Select an object to attach the feature control frame to.
  4. In the drawing area, specify the starting point for the leader.
  5. Specify one or more points to define the vertices of the leader, and then press ENTER.
NoteTo create the symbol without a leader, specify only the start point and press ENTER.


To edit a feature control frame symbol (Procedure)

Create and Modify Feature Control Frame Symbols
Up a level to ..
Create and Modify Feature Control Frame Symbols
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Create and Modify Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit a feature control frame symbol

  1. In the drawing area, double-click the feature control frame symbol to edit.
  2. In the Feature Control Frame dialog box, perform the changes.
  3. Click OK.


To add a secondary leader to a feature control frame symbol (Procedure)

Create and Modify Feature Control Frame Symbols
Up a level to ..
Create and Modify Feature Control Frame Symbols
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Create and Modify Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a secondary leader to a feature control frame symbol

  1. In the drawing area, double-click the feature control frame symbol to edit.
  2. Click the Leader and Text tab.
  3. Click Add.
  4. In the drawing area, specify the starting point of the leader.
  5. Specify one or more points to define the vertices of the leader, and then click the Feature Control Frame symbol.
  6. Click OK.


To add the all around symbol to the leader (Procedure)

Create and Modify Feature Control Frame Symbols
Up a level to ..
Create and Modify Feature Control Frame Symbols
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Create and Modify Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add the all around symbol to the leader

  1. In the drawing area, double-click the symbol to edit.
  2. In the Symbol tab, click [image] ..
  3. Click OK.


To change the arrowhead on the symbol leader (Procedure)

Create and Modify Feature Control Frame Symbols
Up a level to ..
Create and Modify Feature Control Frame Symbols
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Create and Modify Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the arrowhead on the symbol leader

  1. In the drawing area, double-click the feature control frame symbol to edit.
  2. Click the Leader and Text tab.
  3. Select the arrowhead for the primary leader from the Primary Arrowhead list.
  4. Select the arrowhead for the secondary leader from the Primary Arrowhead list.
  5. Click OK.


To add leaders or leader segments (Procedure)

Create and Modify Feature Control Frame Symbols
Up a level to ..
Create and Modify Feature Control Frame Symbols
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Create and Modify Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add leaders or leader segments

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Add.
  4. Select an object in the drawing to attach the new leader, or select the first point.
    • the first point of the original leader to add the leader segments to or
    • a point of the original leader to add a new leader branch
  5. Click OK.
Tip
  • To add a new leader node select only one point at the original leader.
  • Use the grip points to move the leader nodes.


To remove leader segments (Procedure)

Create and Modify Feature Control Frame Symbols
Up a level to ..
Create and Modify Feature Control Frame Symbols
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Create and Modify Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove leader segments

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Remove.
    NoteThe Remove button is available only if the leader contains removable segments.
  4. Select a leader segment or leader node. The program bases deletion on your selection and on the following rules:
    • A part of the leader, if you select an internal node or segment, or
    • A leader branch, if you select the last segment of the leader branch.
    • The whole leader, if you select the last leader segment or the last leader node.
  5. Click OK.
NoteFor visual control, the program highlights the part of the leader to remove.


To attach a symbol to an object (Procedure)

Create and Modify Feature Control Frame Symbols
Up a level to ..
Create and Modify Feature Control Frame Symbols
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Create and Modify Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To attach a symbol to an object

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Attach. The dialog box hides.
  4. Select an object in the drawing to attach the symbol to. The dialog box is displayed again.
  5. Click OK.


To detach a symbol from an object (Procedure)

Create and Modify Feature Control Frame Symbols
Up a level to ..
Reuse Feature Control Frame Symbols with the Symbol Library
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Create and Modify Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To detach a symbol from an object

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Detach.
  4. Click OK.


Create and Modify Feature Control Frame Symbols (Quick Reference)

Create and Modify Feature Control Frame Symbols
Create and Modify Feature Control Frame Symbols
Create and Modify Feature Control Frame Symbols
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Create and Modify Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMFCFRAME

Creates a feature control frame symbol and optionally, attaches it to an object in the drawing.

Ribbon: Annotate tab [image] Symbols panel
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Feature Control Frame Does not exist in the menus.
Command entry: amfcframe

You can select from a wide range of GD&T symbols to specify geometric tolerances with feature control frames. You can also create a secondary leader to act as a datum identification. You can also save frequently used symbols to the symbol library and pick them directly from the ribbon.

COMMAND LINE OPTIONS

Select object to attach or [Library]: Press L to pick a symbol from the symbol library or select an object in the drawing to attach the symbol to. To place the symbol without attaching it to anything, click the position you want to place the arrowhead of the leader. If you want to place the symbol without a leader, click the position you want to place the symbol.

Object to attach

Attaches the symbol to an object.

Specify start point: Specify the start point of the leader.

Specify next point or <Symbol>: Specify the next point of the leader or press ENTER to place the symbol. AutoCAD Mechanical displays the Feature Control Frame dialog box when you press ENTER.

Library

Enables you to pick a fully configured symbol from the symbol library and place it in the drawing area.

Enter symbol name or [?] <Default symbol name>: Enter the name of the symbol library item or enter ? to list the names of all feature control frame symbols in the symbol library for the current standard. Press ENTER to accept the default symbol. If no default exists, pressing ENTER lists the names of all the welding symbols in the symbol library.

Select object to attach or [Library]: Select an object in the drawing to attach the symbol to. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case the prompt requesting you to specify the start point does not appear.

Specify start point: Select a start point for the leader or specify the point to place the feature control frame symbol without a leader.

Specify next point or <Symbol>: Specify the next point of the leader or press ENTER to place the selected symbol in the drawing area.

Place the symbol without attaching

Places the symbol in the drawing area without attaching it to anything.

Specify next point or <Symbol>: Specify the next point of the leader or press ENTER to place the selected symbol in the drawing area. AutoCAD Mechanical displays the Feature Control Frame dialog box when you press ENTER.


Create and Modify Feature Control Frame Symbols (Quick Reference)

Create and Modify Feature Control Frame Symbols
Create and Modify Feature Control Frame Symbols
Create and Modify Feature Control Frame Symbols
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Create and Modify Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Feature Control Frame dialog box

Use this dialog box to describe the allowable variation from nominal geometry.

Symbol tab |  |  |
 | Requirements Contains buttons and edit boxes to specify the variations. These buttons are named only in tooltips. Move the pointer over the buttons to identify them.
 |  | Insert symbol Displays a palette enabling you to insert a special character at the current cursor position. The preview in the drawing area shows the special character while the dialog box shows the corresponding control key sequence.
 |  | Top Notes Specifies text that must display above the feature control frame. In the drawing area the notes and the feature control frame move together as a single entity.
 |  | Geometric symbol Displays a list of symbols to enable you to specify the geometric characteristic for which you are defining the tolerance. The symbols on this list depend on the current standard.
 |  | Tolerance 1 Specifies primary tolerance data. Use the Insert symbol list to insert special characters such as the diameter symbol or the maximum material condition symbol.
 |  | Tolerance 2 Specifies secondary tolerance data. This option is available only for the ANSI standard.
 |  | Datum 1 Specifies the primary datum from which the tolerance is measured.
 |  | Datum 2 Specifies the secondary datum from which the tolerance is measured.
 |  | Datum 3 Specifies the tertiary datum from which the tolerance is measured.
 |  | Bottom Notes Specifies text that must display below the feature control frame. In the drawing area the notes and the feature control frame move together as a single entity.
 |  | All Around Adds the all around indication to the symbol. This option is unavailable for the GOST standard.
 | Library Lists all feature control frame symbols in the symbol library, for the current drafting standard.
 |  | Menu Options
 |  |  | Load Loads the settings of the selected symbol to the Feature Control Frame dialog box. This operation overwrites the current settings of the Feature Control Frame dialog box.
 |  |  | Update Overwrites the selected symbol in the library, with the current settings of the Feature Control Frame dialog box. The preview updates to reflect the new settings. The name of the symbol and default status do not change.
 |  |  | Delete Removes the selected symbol from the library.
 |  |  | Rename Makes the symbol name editable. AutoCAD Mechanical validates the name to ensure that the symbol names are unique.
 |  |  | Set default Makes the selected symbol the default symbol of the library. A blue check mark appears next to the symbol to indicate that it is the default symbol. The next time you create a feature control frame symbol, the default symbol loads automatically.
 |  |  | Remove default Removes the default status of the selected symbol. This menu option is available only on the default symbol. When there is no default symbol selected, the settings default to the settings of the feature control frame symbol you created or edited most recently.
 |  | Add Saves current settings to the symbol library as a new item in the library. A prompt enables you to name the new item.
 |  | Import Imports the feature control frame symbols from the symbol library of another drawing. You can only import symbols of the same standard and revision as the feature control frame symbol you are editing.
 | Clear Clears all the data and returns the dialog box options to the default values.
Leader and Text tab
 | Arrowhead Specifies the type of the leader arrowhead. When the arrowhead is set to By Standard, it acquires the arrowhead from the current drafting standard. Thereafter, if you change the arrowhead selected for the current drafting standard (in the Standard Settings dialog box or Feature Control Frame Settings dialog box) the arrowhead for this symbol updates automatically.
 | Edit leader/segments
 |  | Add Adds a leader, leader segment(s), or leader node(s).
 |  | Remove Deletes a leader, or leader segment(s).
 | Edit object attachment
 |  | Attach Attaches the symbol to a geometry in the drawing.
 |  | Detach Detaches the symbol. The symbol becomes a free-standing object.
Settings Opens the Feature Control Frame Settings dialog box, enabling you to edit the default settings for the current drafting standard.


Create and Modify Feature Control Frame Symbols (Quick Reference)

Create and Modify Feature Control Frame Symbols
Create and Modify Feature Control Frame Symbols
Reuse Feature Control Frame Symbols with the Symbol Library
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Create and Modify Feature Control Frame Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Feature Control Frame Settings dialog box

Use the Feature Control Frame Settings dialog box to configure the default settings of Feature Control Frames for the current standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Merge Styles

Provides options to merge cells by removing duplication of tolerance types, tolerance zones, and datum references.

Merge symbol

Merges symbol cells, if the cells contain the same symbol.

Merge tolerance

Merges vertically adjacent tolerance cells, if the tolerance values are identical.

Merge datums

Merges vertically adjacent datum cells, if the tolerances are identical.

Adjust cells to vertically align

Pads cell contents with spaces so that cells of similar zones are of the same width.

Geometric Dimensioning and Tolerancing

Provides options to select which geometric dimensioning and tolerancing symbols will be available for insertion in Feature Control Frames.

Show symbols for

Selects a symbols category to display in the list of symbols.

Symbols list

Displays a list of for the selected category. Select the check box in front of a symbol to make it available for insertion via the AMFCFRAME command.

Symbol text style

Sets a text style for the geometric symbols used in feature control frames. This option is available only for custom standards.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all feature control frame symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all feature control frame symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all feature control frame symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all feature control frame symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all feature control frame symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Reuse Feature Control Frame Symbols with the Symbol Library (Concept)

Create and Modify Feature Control Frame Symbols
Feature Control Frame Symbols
Feature Identifier Symbols
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Reuse Feature Control Frame Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can add frequently used feature control frame symbols to the symbol library and use them directly from the ribbon. Since the symbols in the library are fully configured, AutoCAD Mechanical does not display a dialog box when you place them in the drawing. This can lead to significant time savings when compared with inserting the raw symbol and then specifying the geometric tolerances.

When you add a feature control frame to the library, you must provide a unique name for it. If the name you provide is longer than the available space, in the library the name appears truncated. However, when you move the pointer over the name, the entire name appears in a tooltip. Additionally, the tooltip shows a summary of the settings for that item.

In addition to being able to delete, rename, or modify a symbol in the symbol library, you can set one as the default. When you use the AMFCFRAME command, the initial settings for the Feature Control Frame Dialog box come from the default symbol. You can opt not to have a default, in which case the settings default to the most recently used feature control frame symbol.

AutoCAD Mechanical enables you to import a symbol library from another drawing. However, the drafting standard and revision of the feature control frame symbols in both drawings must be the same.

During the import process, you can choose to replace the entire library, append symbols, or overwrite symbols. If you choose the replace option AutoCAD Mechanical deletes the current library and replaces it with the imported library. If you choose the append option, AutoCAD Mechanical renames the imported symbols by affixing numbers to each symbol’s name when it detects that you already have symbols with the same names. If you choose the overwrite option, AutoCAD Mechanical overwrites existing symbols with imported symbols when it detects that you already have symbols with the same names.


Reuse Feature Control Frame Symbols with the Symbol Library (Procedure)

Create and Modify Feature Control Frame Symbols
Up a level to ..
Reuse Feature Control Frame Symbols with the Symbol Library
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Reuse Feature Control Frame Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a feature control frame symbol, using the symbol library

To add a feature control frame symbol to the library

To delete a feature control frame symbol from the library

To rename a feature control frame symbol in the library

To modify a feature control frame symbol in the library

To set a feature control frame symbol in the library as a default

To import the library from another drawing


To create a feature control frame symbol, using the symbol library (Procedure)

Reuse Feature Control Frame Symbols with the Symbol Library
Up a level to ..
Reuse Feature Control Frame Symbols with the Symbol Library
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Reuse Feature Control Frame Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a feature control frame symbol, using the symbol library

  1. Click the Annotate tab [image] Symbols panel [image] Feature Control Frame Symbol drop-down.

    AutoCAD Mechanical displays the Feature Control Frame symbols saved in the symbol library.

  2. Click the symbol to insert.
  3. Select an object to attach the feature control frame to.
  4. In the drawing area, specify the starting point for the leader.
  5. Specify one or more points to define the vertices of the leader, and then press ENTER.
NoteTo create the symbol without a leader, specify only the start point and press ENTER.


To add a feature control frame symbol to the library (Procedure)

Reuse Feature Control Frame Symbols with the Symbol Library
Up a level to ..
Reuse Feature Control Frame Symbols with the Symbol Library
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Reuse Feature Control Frame Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a feature control frame symbol to the library

  1. In the drawing area, double-click the feature control frame symbol to add to the library.
  2. If necessary, further customize the symbol.
  3. Click Add.
  4. Enter a name for the symbol.
  5. Click OK.


To delete a feature control frame symbol from the library (Procedure)

Reuse Feature Control Frame Symbols with the Symbol Library
Up a level to ..
Reuse Feature Control Frame Symbols with the Symbol Library
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Reuse Feature Control Frame Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete a feature control frame symbol from the library

  1. In the drawing area, double-click any feature control frame symbol.
  2. In the library, select the feature control frame symbol to remove.
  3. In the drop-down menu on the right, select Delete.
  4. Click OK.


To rename a feature control frame symbol in the library (Procedure)

Reuse Feature Control Frame Symbols with the Symbol Library
Up a level to ..
Reuse Feature Control Frame Symbols with the Symbol Library
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Reuse Feature Control Frame Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To rename a feature control frame symbol in the library

  1. In the drawing area, double-click any feature control frame symbol.
  2. In the library, click the feature control frame symbol to rename.
  3. From the drop-down menu on the right, select Rename.
  4. Enter the new name for the feature control frame symbol.
  5. Click OK.


To modify a feature control frame symbol in the library (Procedure)

Reuse Feature Control Frame Symbols with the Symbol Library
Up a level to ..
Reuse Feature Control Frame Symbols with the Symbol Library
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Reuse Feature Control Frame Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To modify a feature control frame symbol in the library

  1. In the drawing area, double-click any feature control frame symbol.
  2. Click Add.
    NoteTo save a symbol temporarily, add the symbol to the library. Delete it after you modify the library item.
  3. Enter TEMP as the name of the symbol.
  4. In the library, click the feature control frame symbol to edit.
  5. From the drop-down menu on the right, select Load. The selected configuration replaces the information in the dialog box.
  6. Modify the feature control frame symbol.
  7. From the drop-down menu on the right, select Update. The program updates the selected configuration with the information in the dialog box.
  8. In the library, click TEMP.
  9. From the drop-down menu on the right, select Load. The selected configuration replaces the information in the dialog box.
  10. From the drop-down menu on the right, select Delete. The temporary symbol is deleted.
  11. Click OK.


To set a feature control frame symbol in the library as a default (Procedure)

Reuse Feature Control Frame Symbols with the Symbol Library
Up a level to ..
Reuse Feature Control Frame Symbols with the Symbol Library
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Reuse Feature Control Frame Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set a feature control frame symbol in the library as a default

  1. In the drawing area, double-click any feature control frame symbol.
  2. In the library, click the feature control frame symbol to set as a default.
  3. From the drop-down menu on the right, select Set default. A blue tick indicates the default status.
  4. Click OK.


To import the library from another drawing (Procedure)

Reuse Feature Control Frame Symbols with the Symbol Library
Up a level to ..
Feature Identifier Symbols
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Reuse Feature Control Frame Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import the library from another drawing

  1. Click Home tab [image] Modify panel [image] . . At the command prompt enter AMPOWERCOPY.
  2. In the drawing area, select any feature control frame, and copy it to an empty area.
  3. In the drawing area, double-click the symbol you created in step 2.
  4. Click Import. The Select File dialog box is displayed.
  5. Choose the .dwg or .dwt file that contains the desired Library.
    NoteYou can only import a library that is based on the same standard and revision as the feature control frame symbol you are editing.
  6. Select the method of import;
    • To remove the existing library and replace it with the imported library, select Replace.
    • To append the imported library to the existing library while overwriting symbols with the same names, select Overwrite.
    • To append the imported library to the existing library while renaming symbols with the same name, select Append.
  7. Click OK. The program adds the imported feature control frame symbols to the library.
  8. Click OK.
  9. Delete the symbol you created in step 2.


Reuse Feature Control Frame Symbols with the Symbol Library (Quick Reference)

Create and Modify Feature Control Frame Symbols
Reuse Feature Control Frame Symbols with the Symbol Library
Feature Identifier Symbols
Annotate drawings > Create Symbols > Feature Control Frame Symbols >
Reuse Feature Control Frame Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Feature Control Frame dialog box

Use this dialog box to describe the allowable variation from nominal geometry.

Symbol tab |  |  |
 | Requirements Contains buttons and edit boxes to specify the variations. These buttons are named only in tooltips. Move the pointer over the buttons to identify them.
 |  | Insert symbol Displays a palette enabling you to insert a special character at the current cursor position. The preview in the drawing area shows the special character while the dialog box shows the corresponding control key sequence.
 |  | Top Notes Specifies text that must display above the feature control frame. In the drawing area the notes and the feature control frame move together as a single entity.
 |  | Geometric symbol Displays a list of symbols to enable you to specify the geometric characteristic for which you are defining the tolerance. The symbols on this list depend on the current standard.
 |  | Tolerance 1 Specifies primary tolerance data. Use the Insert symbol list to insert special characters such as the diameter symbol or the maximum material condition symbol.
 |  | Tolerance 2 Specifies secondary tolerance data. This option is available only for the ANSI standard.
 |  | Datum 1 Specifies the primary datum from which the tolerance is measured.
 |  | Datum 2 Specifies the secondary datum from which the tolerance is measured.
 |  | Datum 3 Specifies the tertiary datum from which the tolerance is measured.
 |  | Bottom Notes Specifies text that must display below the feature control frame. In the drawing area the notes and the feature control frame move together as a single entity.
 |  | All Around Adds the all around indication to the symbol. This option is unavailable for the GOST standard.
 | Library Lists all feature control frame symbols in the symbol library, for the current drafting standard.
 |  | Menu Options
 |  |  | Load Loads the settings of the selected symbol to the Feature Control Frame dialog box. This operation overwrites the current settings of the Feature Control Frame dialog box.
 |  |  | Update Overwrites the selected symbol in the library, with the current settings of the Feature Control Frame dialog box. The preview updates to reflect the new settings. The name of the symbol and default status do not change.
 |  |  | Delete Removes the selected symbol from the library.
 |  |  | Rename Makes the symbol name editable. AutoCAD Mechanical validates the name to ensure that the symbol names are unique.
 |  |  | Set default Makes the selected symbol the default symbol of the library. A blue check mark appears next to the symbol to indicate that it is the default symbol. The next time you create a feature control frame symbol, the default symbol loads automatically.
 |  |  | Remove default Removes the default status of the selected symbol. This menu option is available only on the default symbol. When there is no default symbol selected, the settings default to the settings of the feature control frame symbol you created or edited most recently.
 |  | Add Saves current settings to the symbol library as a new item in the library. A prompt enables you to name the new item.
 |  | Import Imports the feature control frame symbols from the symbol library of another drawing. You can only import symbols of the same standard and revision as the feature control frame symbol you are editing.
 | Clear Clears all the data and returns the dialog box options to the default values.
Leader and Text tab
 | Arrowhead Specifies the type of the leader arrowhead. When the arrowhead is set to By Standard, it acquires the arrowhead from the current drafting standard. Thereafter, if you change the arrowhead selected for the current drafting standard (in the Standard Settings dialog box or Feature Control Frame Settings dialog box) the arrowhead for this symbol updates automatically.
 | Edit leader/segments
 |  | Add Adds a leader, leader segment(s), or leader node(s).
 |  | Remove Deletes a leader, or leader segment(s).
 | Edit object attachment
 |  | Attach Attaches the symbol to a geometry in the drawing.
 |  | Detach Detaches the symbol. The symbol becomes a free-standing object.
Settings Opens the Feature Control Frame Settings dialog box, enabling you to edit the default settings for the current drafting standard.


Feature Identifier Symbols (Concept)

Reuse Feature Control Frame Symbols with the Symbol Library
Create Symbols
Marking/Stamping Symbols
Annotate drawings > Create Symbols >
Feature Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

A feature identifier symbol specifies an individual feature for tolerancing. You enter a coordinate value, or use any object snap to specify the location of a symbol.

Symbol Standard

Before you create a feature identifier symbol, set up the feature identifier symbol standard. The feature identifier symbol respects the common standard setting in the Standard Settings dialog box. This dialog box you access by using the AMOPTIONS command, and double-clicking the name of the standard in the left table.

International Drafting Standards implemented for feature identifier symbols are:

  • ASME Y14.5M (1994)
  • ASME Y14.5M (1982-R1988)
  • BS 308 Part 3 (1990)
  • CSN 01 3138 (1994)
  • DIN EN22553 (1994)
  • DIN ISO 1101 (1983)
  • GB/T 1182 (1996)
  • ISO 1101 (1983)
  • ISO 7083 (1993)
  • JIS B 0021 (1984)
  • GOST 2.308-79


Feature Identifier Symbols (Procedure)

Reuse Feature Control Frame Symbols with the Symbol Library
Up a level to ..
Feature Identifier Symbols
Annotate drawings > Create Symbols >
Feature Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a feature identifier symbol

To change the arrowhead of a symbol

To attach a symbol to an object

To detach a symbol to an object


Feature Identifier Symbols (Quick Reference)

Reuse Feature Control Frame Symbols with the Symbol Library
Feature Identifier Symbols
Feature Identifier Symbols
Annotate drawings > Create Symbols >
Feature Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMFEATID

Feature Identifier dialog box


To create a feature identifier symbol (Procedure)

Feature Identifier Symbols
Up a level to ..
Feature Identifier Symbols
Annotate drawings > Create Symbols >
Feature Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a feature identifier symbol

We recommend that you set up standard for the datum and feature identifier symbols before you create a feature identifier symbol in the drawing.

  1. Click Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMFEATID.
  2. Select an object to attach the feature identifier to.
  3. In the drawing area, specify the start point for the leader.
  4. Specify one or more points to define the vertices of the leader, and then press ENTER.
  5. In the Feature Identifier dialog box, enter the identifying letters.
  6. Click OK.
NoteThe ANSI standard does not support the feature identifier symbol.


To change the arrowhead of a symbol (Procedure)

Feature Identifier Symbols
Up a level to ..
Feature Identifier Symbols
Annotate drawings > Create Symbols >
Feature Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the arrowhead of a symbol

  1. In the drawing area, double-click the symbol to edit.
  2. From the Arrowhead drop-down list, select an arrowhead.
  3. Click OK.


To attach a symbol to an object (Procedure)

Feature Identifier Symbols
Up a level to ..
Feature Identifier Symbols
Annotate drawings > Create Symbols >
Feature Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To attach a symbol to an object

  1. In the drawing area, double-click the symbol to edit.
  2. Click Attach. The dialog box hides.
    NoteThe Attach button is available only if the symbol is not attached to an object.
  3. Select an object in the drawing to attach the symbol to. The dialog box is displayed again.
  4. Click OK.


To detach a symbol to an object (Procedure)

Feature Identifier Symbols
Up a level to ..
Marking/Stamping Symbols
Annotate drawings > Create Symbols >
Feature Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To detach a symbol to an object

  1. In the drawing area, double-click the symbol to edit.
  2. Click Detach.
    NoteThe Detach button is available only if the symbol is attached to an object.
  3. Click OK.


Feature Identifier Symbols (Quick Reference)

Feature Identifier Symbols
Feature Identifier Symbols
Feature Identifier Symbols
Annotate drawings > Create Symbols >
Feature Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMFEATID

Creates a feature identification symbol and optionally attaches it to an object in the drawing area

Ribbon: Annotate tab [image] Symbol panel [image] Feature Identifier. Does not exist on the ribbon.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Feature Identifier Does not exist in the menus.
Command entry: amfeatid

You can specify up to two characters to identify a feature and also select the type of arrowhead to use at the end of the leader line.

COMMAND LINE OPTIONS

Select object to attach: Select an object in the drawing to attach the symbol. If you do not want to attach the symbol, select a start point of the leader.

In this case the following prompt does not appear.

Start Point: Specify the start point of the leader.

Next Point <Symbol>: Specify the next point of the leader or press ENTER to place the symbol.

COMMAND LINE DEFINITIONS

Symbol

Places the symbol in the drawing.


Feature Identifier Symbols (Quick Reference)

Feature Identifier Symbols
Feature Identifier Symbols
Marking/Stamping Symbols
Annotate drawings > Create Symbols >
Feature Identifier Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Feature Identifier dialog box

Feature identifier Specifies a label for the feature identifier. You can specify a maximum of two characters for the label.
Arrowhead Specifies the type of the leader arrowhead. Select an arrowhead from the drop-down menu. The list of arrowheads conforms to the current drafting standard. The default arrowhead is the standard arrowhead for symbols. Set it in the Options dialog box.
Edit object attachment
 | Attach Attaches the symbol to a geometry in the drawing.
 | Detach Detaches the symbol. The symbol becomes a free-standing object.
Settings Opens the Datum and Feature Identifier Settings dialog box, enabling you to edit the default settings for the current drafting standard.


Marking/Stamping Symbols (Concept)

Feature Identifier Symbols
Create Symbols
Dead Joint Symbols
Annotate drawings > Create Symbols >
Marking/Stamping Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you choose to insert a marking or stamping symbol, the Marking/Stamping Symbol dialog box provides you with the ability to select either the marking symbol or the stamping symbol but not both. You cannot change the symbol type by editing the symbol after you create it. Instead, delete the symbol, then add a new symbol with the correct symbol type.

  • The marking symbol is a circle with a leader.
  • The stamping symbol is a triangle with a leader.


Marking/Stamping Symbols (Procedure)

Feature Identifier Symbols
Up a level to ..
Marking/Stamping Symbols
Annotate drawings > Create Symbols >
Marking/Stamping Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a marking symbol

To create a stamping symbol

To edit a marking or stamping symbol

To change the arrowhead of a symbol

To attach a symbol to an object

To detach a symbol from an object


Marking/Stamping Symbols (Quick Reference)

Feature Identifier Symbols
Marking/Stamping Symbols
Marking/Stamping Symbols
Annotate drawings > Create Symbols >
Marking/Stamping Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMMARKSTAMP

Marking/Stamping Symbol dialog box

Marking/Stamping Settings dialog box


To create a marking symbol (Procedure)

Marking/Stamping Symbols
Up a level to ..
Marking/Stamping Symbols
Annotate drawings > Create Symbols >
Marking/Stamping Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a marking symbol

The GOST marking symbol usually has only one leader segment. However, you can add more segments as needed.

  1. Click Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMMARKSTAMP.
  2. Select the object to which you want to attach the marking symbol.
  3. In the drawing area, specify the start point for the leader.
  4. Specify one or more points to define the vertices of the leader, and then press ENTER.
  5. In the Marking/Stamp Symbol dialog box, select the marking symbol.
  6. Select the contents, select the technique, and define the technical requirements.
  7. Click OK.
NoteTo remove information from the contents, methods, and technical requirements fields, click the Clear button.


To create a stamping symbol (Procedure)

Marking/Stamping Symbols
Up a level to ..
Marking/Stamping Symbols
Annotate drawings > Create Symbols >
Marking/Stamping Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a stamping symbol

The GOST stamping symbol usually has only one leader segment. However, you can add more segments as needed.

  1. Click Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMMARKSTAMP.
  2. Select the object to which you want to attach the stamping symbol.
  3. In the drawing area, specify the start point for the leader.
  4. Specify one or more points to define the vertices of the leader, then press ENTER.
  5. In the Marking/Stamping Symbol dialog box, select the stamping symbol.
  6. Select the contents, select the technique, and define the technical requirements.
  7. Click OK.
NoteTo remove information from the contents, technique, and technical requirements fields, click the Clear button.


To edit a marking or stamping symbol (Procedure)

Marking/Stamping Symbols
Up a level to ..
Marking/Stamping Symbols
Annotate drawings > Create Symbols >
Marking/Stamping Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit a marking or stamping symbol

NoteWhen you edit a marking or stamping symbol, you cannot change the symbol type. You can only edit the symbol content.
  1. In the drawing area, double-click the marking symbol or stamping symbol.
  2. In the Marking/Stamping Symbol - GOST dialog box, make your changes.
  3. Click OK.
NoteTo remove information from the contents, methods, and technical requirements fields, click the Clear button.


To change the arrowhead of a symbol (Procedure)

Marking/Stamping Symbols
Up a level to ..
Marking/Stamping Symbols
Annotate drawings > Create Symbols >
Marking/Stamping Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the arrowhead of a symbol

  1. In the drawing area, double-click the symbol to edit.
  2. From the Arrowhead drop-down list, select an arrowhead.
  3. Click OK.


To attach a symbol to an object (Procedure)

Marking/Stamping Symbols
Up a level to ..
Marking/Stamping Symbols
Annotate drawings > Create Symbols >
Marking/Stamping Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To attach a symbol to an object

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Attach. The dialog box hides.
  4. Select an object in the drawing to attach the symbol to. The dialog box is displayed again.
  5. Click OK.


To detach a symbol from an object (Procedure)

Marking/Stamping Symbols
Up a level to ..
Dead Joint Symbols
Annotate drawings > Create Symbols >
Marking/Stamping Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To detach a symbol from an object

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Detach.
  4. Click OK.


Marking/Stamping Symbols (Quick Reference)

Marking/Stamping Symbols
Marking/Stamping Symbols
Marking/Stamping Symbols
Annotate drawings > Create Symbols >
Marking/Stamping Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMMARKSTAMP

Creates a marking symbol and optionally attaches it to an object in the drawing area.

Ribbon: Annotate tab [image] Symbol panel [image] GOST Marking & Stamping. Does not exist on the ribbon.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Marking/Stamping Does not exist in the menus.
Command entry: ammarkstamp

This symbol is available only if the current drafting standard is based on GOST .

COMMAND LINE OPTIONS

Select object to attach: Select an object in the drawing to which to attach the symbol. If you do not want to attach the symbol, pick an empty area in model space.

Start Point: Specify the start point of the leader or the point to place the symbol without a leader.

Next Point: Specify the next point of the leader or press ENTER to place the symbol.


Marking/Stamping Symbols (Quick Reference)

Marking/Stamping Symbols
Marking/Stamping Symbols
Marking/Stamping Symbols
Annotate drawings > Create Symbols >
Marking/Stamping Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Marking/Stamping Symbol dialog box

Use the Marking/Stamping Symbol dialog box to select a marking or stamping symbol and define the symbol.

Symbol Tab
 | Options Select the appropriate symbol. NoteYou cannot change the symbol type during an edit operation.
 |  | Marking Sets the marking symbol as the active symbol.
 |  | Stamping Sets the stamping symbol as the active symbol.
 | Requirements Select options to define the marking or stamping symbol.
 |  | Contents List of content symbols for the marking symbol or stamping symbol. The content changes based on the symbol selected.
 |  | Technique List of methods for the marking symbol or the stamping symbol. The content changes based on the symbol selected.
 |  | Technical Requirements Specifies a reference to technical requirements.
 | Clear Button Remove information from the contents, methods, and technical requirement fields.
Leader and Text tab
 | Arrowhead Specifies the type of the leader arrowhead. When the arrowhead is set to By Standard, it acquires the arrowhead from the current drafting standard. Thereafter, if you change the arrowhead selected for the current drafting standard (in the Standard Settings dialog box.or Marking/Stamping Settings dialog box.) the arrowhead for this symbol updates automatically.
 | Edit object attachment
 |  | Attach Attaches the symbol to an object in the drawing. When attached, if you move the object the symbol moves with it.
 |  | Detach Detaches the symbol. The symbol becomes a free-standing object.
Settings Opens the Marking/Stamping Settings dialog box and enables you to edit the default settings for the symbols for the current drafting standard.


Marking/Stamping Symbols (Quick Reference)

Marking/Stamping Symbols
Marking/Stamping Symbols
Create and Modify Dead Joint Symbols
Annotate drawings > Create Symbols >
Marking/Stamping Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Marking/Stamping Settings dialog box

Use the Marking/Stamping Settings dialog box to specify the default settings for the marking symbol and stamping symbol.

Revision

Displays most recent revision of the standard with which this symbol complies.

Preset Lists

Select the items to appear in the marking or stamping method and content drop-down lists.

Show requirements for

Displays the items that can appear in each list. A check mark indicates that the item is included in the list.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to By NameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all marking/stamping symbols that are set to ByNameOfCurrentDraftingStandard changes automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all marking/stamping symbols based on the current drafting standard changes automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all marking/stamping symbols based on the current drafting standard changes automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to By NameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all marking/stamping symbols based on the current drafting standard changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to By NameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all marking/stamping symbols based on the current drafting standard changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Dead Joint Symbols

Marking/Stamping Symbols
Create Symbols
Create and Modify Dead Joint Symbols
Annotate drawings > Create Symbols >
Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Create and Modify Dead Joint Symbols
  • Reuse Dead Joint Symbols with the Symbol Library


Dead Joint Symbols (Procedure)

Marking/Stamping Symbols
Up a level to ..
Create and Modify Dead Joint Symbols
Annotate drawings > Create Symbols >
Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a dead joint symbol for a soldered joint

To create a dead joint symbol for a glued joint

To create a dead joint symbol for a stitched joint with stapling (overlapping)

To create a dead joint symbol for a stitched joint with stapling (contour joint)

To create a dead joint symbol using the symbol library

To edit a dead joint symbol

To add a dead joint symbol to the symbol library

To delete a dead joint from the symbol library

To rename a dead joint in the symbol library

To edit a dead joint in the symbol library

To set a dead joint in the symbol library as the default


Create and Modify Dead Joint Symbols (Concept)

Dead Joint Symbols
Dead Joint Symbols
Reuse Dead Joint Symbols with the Symbol Library
Annotate drawings > Create Symbols > Dead Joint Symbols >
Create and Modify Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dead joint symbols enable you to specify requirements for dead joint seams fabricated using:

  • Soldering
  • Gluing
  • Stitching
  • Stitching with staples - overlapping joints
  • Stitching with staples - contour joints

If you specify joint annotation text, AutoCAD Mechanical aligns the text to a horizontal reference line at the end of the leader line. If you do not specify any joint annotation text, AutoCAD Mechanical does not draw a reference line.

You can save the settings of a symbol to the symbol library and reuse the symbol from there. This eliminates the need to re-specify requirements every time you create a symbol. This can be useful, especially in the light of the many types of joints the dead joint symbol supports.

Drafting standards prohibit the use of multiple leaders on dead joint symbols, so AutoCAD Mechanical does not allow you to use the AMSYMLEADER command on dead joint symbols. Furthermore, because the joint type is specified on the leader itself, AutoCAD Mechanical does not allow you to create symbols without a leader as well. On the leader line, you can drag the grip point adjacent to the leader symbol to change its position along the leader. AutoCAD Mechanical ensures that neither the leader arrow nor the all around designation (if one exists) are overlapped.

International drafting standards implemented for dead joint symbols are:

  • GOST 2.313-82 (1982)


Create and Modify Dead Joint Symbols (Procedure)

Dead Joint Symbols
Up a level to ..
Create and Modify Dead Joint Symbols
Annotate drawings > Create Symbols > Dead Joint Symbols >
Create and Modify Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a dead joint symbol for a soldered joint

To create a dead joint symbol for a glued joint

To create a dead joint symbol for a stitched joint with stapling (overlapping)

To create a dead joint symbol for a stitched joint with stapling (contour joint)

To create a dead joint symbol using the symbol library

To edit a dead joint symbol


Create and Modify Dead Joint Symbols (Quick Reference)

Marking/Stamping Symbols
Create and Modify Dead Joint Symbols
Create and Modify Dead Joint Symbols
Annotate drawings > Create Symbols > Dead Joint Symbols >
Create and Modify Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDEADJOINT

Dead Joint dialog box

Dead Joint Settings dialog box


To create a dead joint symbol for a soldered joint (Procedure)

Create and Modify Dead Joint Symbols
Up a level to ..
Create and Modify Dead Joint Symbols
Annotate drawings > Create Symbols > Dead Joint Symbols >
Create and Modify Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a dead joint symbol for a soldered joint

  1. Click the Annotate tab [image] Symbols panel [image] . At the command prompt enter AMDEADJOINT.
  2. Select an object to attach the symbol to.
  3. In the drawing area, click the joint (start point for the arrow).
  4. Click the end point of the leader. The Dead Joint dialog box is displayed.
  5. In the Joint Annotation Text box, specify the reference to the technical requirement.
    NoteThe Joint Annotation Text is named only in a tooltip.
  6. Click OK.


To create a dead joint symbol for a glued joint (Procedure)

Create and Modify Dead Joint Symbols
Up a level to ..
Create and Modify Dead Joint Symbols
Annotate drawings > Create Symbols > Dead Joint Symbols >
Create and Modify Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a dead joint symbol for a glued joint

  1. Click the Annotate tab [image] Symbols panel [image] . At the command prompt enter AMDEADJOINT.
  2. Select an object to attach the symbol to.
  3. In the drawing area, click the joint (start point for the arrow).
  4. Click the end point of the leader. The Dead Joint dialog box is displayed.
  5. In the Joint Annotation Text box, specify the reference to the technical requirement.
    NoteThe Joint Annotation Text is named only in a tooltip.
  6. Click the Leader Symbol button on the leader. A palette is displayed.
  7. Click
  8. Click OK.


To create a dead joint symbol for a stitched joint with stapling (overlapping) (Procedure)

Create and Modify Dead Joint Symbols
Up a level to ..
Create and Modify Dead Joint Symbols
Annotate drawings > Create Symbols > Dead Joint Symbols >
Create and Modify Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a dead joint symbol for a stitched joint with stapling (overlapping)

  1. Click the Annotate tab [image] Symbols panel [image] . At the command prompt enter AMDEADJOINT.
  2. Select an object to attach the symbol to.
  3. In the drawing area, click the joint (start point for the arrow).
  4. Click the end point of the leader. The Dead Joint dialog box is displayed.
  5. In the Joint Annotation Text box, specify the reference to the technical requirement.
    NoteThe Joint Annotation Text is named only in a tooltip.
  6. Click the Leader Symbol button on the leader. A palette is displayed.
  7. Click
  8. Click OK.


To create a dead joint symbol for a stitched joint with stapling (contour joint) (Procedure)

Create and Modify Dead Joint Symbols
Up a level to ..
Create and Modify Dead Joint Symbols
Annotate drawings > Create Symbols > Dead Joint Symbols >
Create and Modify Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a dead joint symbol for a stitched joint with stapling (contour joint)

  1. Click the Annotate tab [image] Symbols panel [image] . At the command prompt enter AMDEADJOINT.
  2. Select an object to attach the symbol to.
  3. In the drawing area, click the joint (start point for the arrow).
  4. Click the end point of the leader. The Dead Joint dialog box is displayed.
  5. In the Joint Annotation Text box, specify the reference to the technical requirement.
    NoteThe Joint Annotation Text is named only in a tooltip.
  6. Click the Leader Symbol button on the leader. A palette is displayed.
  7. Click
  8. Click OK.


To create a dead joint symbol using the symbol library (Procedure)

Create and Modify Dead Joint Symbols
Up a level to ..
Create and Modify Dead Joint Symbols
Annotate drawings > Create Symbols > Dead Joint Symbols >
Create and Modify Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a dead joint symbol using the symbol library

  1. Click the Annotate tab [image] Symbols panel [image] . At the command prompt enter AMDEADJOINT.
  2. In the drawing area, click the joint (start point for the arrow).
  3. Click the end point of the leader. The Dead Joint dialog box is displayed.
  4. In the library, double-click the desired dead joint symbol.
  5. Click OK.


To edit a dead joint symbol (Procedure)

Create and Modify Dead Joint Symbols
Up a level to ..
Reuse Dead Joint Symbols with the Symbol Library
Annotate drawings > Create Symbols > Dead Joint Symbols >
Create and Modify Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit a dead joint symbol

  1. In the drawing area, double-click the symbol.
  2. In the Dead Joint dialog box, make changes.
  3. Click OK.


Create and Modify Dead Joint Symbols (Quick Reference)

Create and Modify Dead Joint Symbols
Create and Modify Dead Joint Symbols
Create and Modify Dead Joint Symbols
Annotate drawings > Create Symbols > Dead Joint Symbols >
Create and Modify Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDEADJOINT

Creates a dead joint symbol.

Ribbon: Annotate tab [image] Symbols panel [image] Dead Joint. Does not exist on the ribbon.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Dead Joint Does not exist in the menus.
Command entry: amdeadjoint

You can use this symbol to specify the requirements for dead joint seams created by soldering, gluing, stitching, and stitching with staples. This symbol is available only with the GOST standard.

Select Object to attach or [Library]: Select an object in the drawing to attach the symbol to. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case the prompt requesting you to specify the start point does not appear. To insert a dead joint symbol directly from the symbol library enter L.

Object to attach

Attaches the symbol to an object.

Specify start point: Specify the start point of the leader (usually the joint).

Specify next point: Specify the next vertex of the leader. The Dead Joint dialog box appears as soon as you specify the next vertex of the leader.

Library

Specifies that the symbol text is to be obtained from the symbol library

Enter symbol name or [?] <Default symbol name>: Enter the name of the symbol library item or enter ? to list the names of all the dead joint symbols in the symbol library. Press ENTER to accept the default symbol. If no default exists, pressing ENTER lists the names of all the dead joint symbols in the symbol library.

Select object to attach or [Library]: Select an object in the drawing to which to attach the symbol. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case, the prompt requesting you to specify the start point does not appear.

Specify start point: Specify the start point of the leader (usually the joint).

Specify next point: Specify the next vertex of the leader. The Dead Joint dialog box appears as soon as you specify the next vertex of the leader.


Create and Modify Dead Joint Symbols (Quick Reference)

Create and Modify Dead Joint Symbols
Create and Modify Dead Joint Symbols
Create and Modify Dead Joint Symbols
Annotate drawings > Create Symbols > Dead Joint Symbols >
Create and Modify Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dead Joint dialog box

Use this dialog box to specify the requirements displayed in the dead joint symbol.

NoteSome options in this dialog box are named only in tooltips.

Symbol Tab

Options

Flip sides

Flips the position of the joint annotation text, such that it is placed below the reference line. The icon to the left of the check box shows the result of your selection. This option is not available if the joint type is set to stitching.

Flip symbol

Flips the symbol so that the joint annotation text appears to the left of the arrow. The icon to the left of the check box shows the result of your selection.

Library

Lists all the dead joint symbols for the active drafting standard/revision in the symbol library. When you move the pointer over an item, all settings for that item appear in a tooltip. Each item in the library is associated with a context-sensitive menu.

Menu options

Load

Loads the selected symbol from the library. The current settings in the Dead Joint dialog box are overwritten. Load operations ignore the Flip symbol check box.

Update

Overwrites the selected symbol in the library with the current settings of the Dead Joint dialog box. The preview updates to reflect the new settings. The name of the symbol and default status do not change.

Delete

Removes the selected symbol from the library.

Rename

Makes the symbol name editable. AutoCAD Mechanical validates the name to ensure that the symbol names are unique.

Set default

Makes the selected symbol the default symbol of the library. A blue check mark appears next to the symbol to indicate that it is the default symbol. The next time you create a dead joint symbol, the default symbol loads automatically.

Remove default

Removes the default status of the selected symbol. This menu option is available only on the default symbol. When there is no default symbol selected, the Dead Joint dialog box defaults to the settings of the dead joint symbol you created or edited most recently.

Add

Saves current settings to the symbol library as a new item in the library. A prompt enables you to name the new item.

Import

Imports the dead joint symbols from the symbol library of another drawing. You can only import symbols of the same standard and revision as the dead joint symbol you are editing.

Requirements

Insert symbol

Displays a palette to enable you to insert a special character (for example, the degree symbol) in the joint annotation box, at the current cursor position.

Joint annotation

Provides a space to specify the joint annotation text. Typically, this box contains a reference to the technical requirements of the joint.

Second joint annotation

Provides a space to specify additional joint annotation text. This box is visible only if the joint type is set to stitching. Typically, this box specifies the number of stitches and the distance between them.

All-around

Inserts the all around indication to the symbol.

Leader symbol

Displays a palette of permanent joint symbols to enable you to specify the joint type. A tooltip describes what each symbol in the palette represents. The following joint types are supported:

  • Soldering
  • Gluing
  • Stitching
  • Stitching with staples (overlapping)
  • Stitching with staples (contour joint)

Clear

Clears all data and returns the dialog box options to its default settings.

Leader and Text tab

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to By Standard, it acquires the arrowhead from the current drafting standard. Thereafter, if you change the settings for the drafting standard, the arrowhead for this symbol updates automatically.

Edit object attachment

Attach

Attaches the symbol to an object in the drawing. When attached, if you move the object the symbol moves with it.

Detach

Detaches the symbol. The symbol becomes a free-standing object.

Settings

Opens the Dead Joint Settings dialog box and enables you to edit the default settings for dead joint symbols for the current drafting standard.


Create and Modify Dead Joint Symbols (Quick Reference)

Create and Modify Dead Joint Symbols
Create and Modify Dead Joint Symbols
Reuse Dead Joint Symbols with the Symbol Library
Annotate drawings > Create Symbols > Dead Joint Symbols >
Create and Modify Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dead Joint Settings dialog box

Use this dialog box to specify the defaults settings of dead joint symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard with which this symbol complies.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all dead joint symbols that are set to ByNameOfCurrentDraftingStandard change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all dead joint symbols based on the current drafting standard changes automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all dead joint symbols based on the current drafting standard changes automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all dead joint symbols based on the current drafting standard changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all dead joint symbols based on the current drafting standard changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Reuse Dead Joint Symbols with the Symbol Library (Concept)

Create and Modify Dead Joint Symbols
Dead Joint Symbols
Leader Note Symbols
Annotate drawings > Create Symbols > Dead Joint Symbols >
Reuse Dead Joint Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can save the settings of a symbol to the symbol library and reuse the symbol from there. This eliminates the need to re-specify requirements every time you create a symbol. This can be useful, especially in the light of the many types of joints the dead joint symbol supports.

When you add a dead joint to the library, you must provide a unique name for it. If the name you provide is longer than the available space, in the library the name appears truncated. However, when you move the pointer over the name, the entire name appears in a tooltip. Additionally, the tooltip shows a summary of the settings for that item.

In addition to being able to delete, rename, or modify a symbol in the symbol library, you can set one as the default. When you use the AMDEADJOINT command, the initial settings for the Dead Joint dialog box come from the default symbol. You can opt not to have a default, in which case the settings default to the most recently used dead joint symbol.

AutoCAD Mechanical enables you to import a symbol library from another drawing. However, the drafting standard and revision of the dead joint symbols in both drawings should be the same.

During the import process, you can choose to replace the entire library, append symbols, or overwrite symbols. If you choose the replace option, AutoCAD Mechanical deletes the current library and replaces it with the imported library. If you choose the append option, AutoCAD Mechanical renames the imported symbols by affixing numbers to each symbol’s name when it detects that you already have symbols with the same names. If you choose the overwrite option, AutoCAD Mechanical overwrites existing symbols with imported symbols when it detects that you already have symbols with the same name.


Reuse Dead Joint Symbols with the Symbol Library (Procedure)

Create and Modify Dead Joint Symbols
Up a level to ..
Reuse Dead Joint Symbols with the Symbol Library
Annotate drawings > Create Symbols > Dead Joint Symbols >
Reuse Dead Joint Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a dead joint symbol to the symbol library

To delete a dead joint from the symbol library

To rename a dead joint in the symbol library

To edit a dead joint in the symbol library

To set a dead joint in the symbol library as the default


Reuse Dead Joint Symbols with the Symbol Library (Quick Reference)

Create and Modify Dead Joint Symbols
Reuse Dead Joint Symbols with the Symbol Library
Reuse Dead Joint Symbols with the Symbol Library
Annotate drawings > Create Symbols > Dead Joint Symbols >
Reuse Dead Joint Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDEADJOINT

Dead Joint dialog box


To add a dead joint symbol to the symbol library (Procedure)

Reuse Dead Joint Symbols with the Symbol Library
Up a level to ..
Reuse Dead Joint Symbols with the Symbol Library
Annotate drawings > Create Symbols > Dead Joint Symbols >
Reuse Dead Joint Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a dead joint symbol to the symbol library

  1. In the drawing area, double-click the dead joint to add to the library.
  2. If necessary, further customize the symbol.
  3. Click Add.
  4. Enter a name for the symbol.
  5. Click OK.


To delete a dead joint from the symbol library (Procedure)

Reuse Dead Joint Symbols with the Symbol Library
Up a level to ..
Reuse Dead Joint Symbols with the Symbol Library
Annotate drawings > Create Symbols > Dead Joint Symbols >
Reuse Dead Joint Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete a dead joint from the symbol library

  1. In the drawing area, double-click any dead joint.
  2. In the library, select the dead joint to remove.
  3. In the drop-down menu on the right, select Delete.
  4. Click OK.


To rename a dead joint in the symbol library (Procedure)

Reuse Dead Joint Symbols with the Symbol Library
Up a level to ..
Reuse Dead Joint Symbols with the Symbol Library
Annotate drawings > Create Symbols > Dead Joint Symbols >
Reuse Dead Joint Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To rename a dead joint in the symbol library

  1. In the drawing area, double-click any dead joint.
  2. In the library, click the dead joint to rename.
  3. From the drop-down menu on the right, select Rename.
  4. Enter the new name for the dead joint.
  5. Click OK.


To edit a dead joint in the symbol library (Procedure)

Reuse Dead Joint Symbols with the Symbol Library
Up a level to ..
Reuse Dead Joint Symbols with the Symbol Library
Annotate drawings > Create Symbols > Dead Joint Symbols >
Reuse Dead Joint Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit a dead joint in the symbol library

  1. In the drawing area, double-click any dead joint.
  2. In the library, click the dead joint to edit.
  3. From the drop-down menu on the right, select Load. The selected configuration replaces the information in the dialog box.
  4. Make any changes to the requirements.
  5. From the drop-down menu on the right, select Update. The program updates the selected configuration with the information in the dialog box.
  6. Click Cancel to ensure that the changes made to the library symbol are not saved to the symbol you double-clicked in Step 1.


To set a dead joint in the symbol library as the default (Procedure)

Reuse Dead Joint Symbols with the Symbol Library
Up a level to ..
Leader Note Symbols
Annotate drawings > Create Symbols > Dead Joint Symbols >
Reuse Dead Joint Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set a dead joint in the symbol library as the default

  1. In the drawing area, double-click any dead joint.
  2. In the library, click the dead joint to set as a default.
  3. From the drop-down menu on the right, select Set default. A blue checkmark indicates the default status.
  4. Click OK.


Reuse Dead Joint Symbols with the Symbol Library (Quick Reference)

Reuse Dead Joint Symbols with the Symbol Library
Reuse Dead Joint Symbols with the Symbol Library
Reuse Dead Joint Symbols with the Symbol Library
Annotate drawings > Create Symbols > Dead Joint Symbols >
Reuse Dead Joint Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDEADJOINT

Creates a dead joint symbol.

Ribbon: Annotate tab [image] Symbols panel [image] Dead Joint. Does not exist on the ribbon.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Dead Joint Does not exist in the menus.
Command entry: amdeadjoint

You can use this symbol to specify the requirements for dead joint seams created by soldering, gluing, stitching, and stitching with staples. This symbol is available only with the GOST standard.

Select Object to attach or [Library]: Select an object in the drawing to attach the symbol to. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case the prompt requesting you to specify the start point does not appear. To insert a dead joint symbol directly from the symbol library enter L.

Object to attach

Attaches the symbol to an object.

Specify start point: Specify the start point of the leader (usually the joint).

Specify next point: Specify the next vertex of the leader. The Dead Joint dialog box appears as soon as you specify the next vertex of the leader.

Library

Specifies that the symbol text is to be obtained from the symbol library

Enter symbol name or [?] <Default symbol name>: Enter the name of the symbol library item or enter ? to list the names of all the dead joint symbols in the symbol library. Press ENTER to accept the default symbol. If no default exists, pressing ENTER lists the names of all the dead joint symbols in the symbol library.

Select object to attach or [Library]: Select an object in the drawing to which to attach the symbol. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case, the prompt requesting you to specify the start point does not appear.

Specify start point: Specify the start point of the leader (usually the joint).

Specify next point: Specify the next vertex of the leader. The Dead Joint dialog box appears as soon as you specify the next vertex of the leader.


Reuse Dead Joint Symbols with the Symbol Library (Quick Reference)

Reuse Dead Joint Symbols with the Symbol Library
Reuse Dead Joint Symbols with the Symbol Library
Create and modify leader notes
Annotate drawings > Create Symbols > Dead Joint Symbols >
Reuse Dead Joint Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dead Joint dialog box

Use this dialog box to specify the requirements displayed in the dead joint symbol.

NoteSome options in this dialog box are named only in tooltips.

Symbol Tab

Options

Flip sides

Flips the position of the joint annotation text, such that it is placed below the reference line. The icon to the left of the check box shows the result of your selection. This option is not available if the joint type is set to stitching.

Flip symbol

Flips the symbol so that the joint annotation text appears to the left of the arrow. The icon to the left of the check box shows the result of your selection.

Library

Lists all the dead joint symbols for the active drafting standard/revision in the symbol library. When you move the pointer over an item, all settings for that item appear in a tooltip. Each item in the library is associated with a context-sensitive menu.

Menu options

Load

Loads the selected symbol from the library. The current settings in the Dead Joint dialog box are overwritten. Load operations ignore the Flip symbol check box.

Update

Overwrites the selected symbol in the library with the current settings of the Dead Joint dialog box. The preview updates to reflect the new settings. The name of the symbol and default status do not change.

Delete

Removes the selected symbol from the library.

Rename

Makes the symbol name editable. AutoCAD Mechanical validates the name to ensure that the symbol names are unique.

Set default

Makes the selected symbol the default symbol of the library. A blue check mark appears next to the symbol to indicate that it is the default symbol. The next time you create a dead joint symbol, the default symbol loads automatically.

Remove default

Removes the default status of the selected symbol. This menu option is available only on the default symbol. When there is no default symbol selected, the Dead Joint dialog box defaults to the settings of the dead joint symbol you created or edited most recently.

Add

Saves current settings to the symbol library as a new item in the library. A prompt enables you to name the new item.

Import

Imports the dead joint symbols from the symbol library of another drawing. You can only import symbols of the same standard and revision as the dead joint symbol you are editing.

Requirements

Insert symbol

Displays a palette to enable you to insert a special character (for example, the degree symbol) in the joint annotation box, at the current cursor position.

Joint annotation

Provides a space to specify the joint annotation text. Typically, this box contains a reference to the technical requirements of the joint.

Second joint annotation

Provides a space to specify additional joint annotation text. This box is visible only if the joint type is set to stitching. Typically, this box specifies the number of stitches and the distance between them.

All-around

Inserts the all around indication to the symbol.

Leader symbol

Displays a palette of permanent joint symbols to enable you to specify the joint type. A tooltip describes what each symbol in the palette represents. The following joint types are supported:

  • Soldering
  • Gluing
  • Stitching
  • Stitching with staples (overlapping)
  • Stitching with staples (contour joint)

Clear

Clears all data and returns the dialog box options to its default settings.

Leader and Text tab

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to By Standard, it acquires the arrowhead from the current drafting standard. Thereafter, if you change the settings for the drafting standard, the arrowhead for this symbol updates automatically.

Edit object attachment

Attach

Attaches the symbol to an object in the drawing. When attached, if you move the object the symbol moves with it.

Detach

Detaches the symbol. The symbol becomes a free-standing object.

Settings

Opens the Dead Joint Settings dialog box and enables you to edit the default settings for dead joint symbols for the current drafting standard.


Leader Note Symbols

Reuse Dead Joint Symbols with the Symbol Library
Create Symbols
Create and modify leader notes
Annotate drawings > Create Symbols >
Leader Note Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Create and modify leader notes
  • Create formulas and reuse them with the symbol library


Leader Note Symbols (Procedure)

Reuse Dead Joint Symbols with the Symbol Library
Up a level to ..
Create and modify leader notes
Annotate drawings > Create Symbols >
Leader Note Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a leader note

To create a leader note with multiple reference lines

To enter a formula in a leader note

To edit the note text of a leader note with multiple reference lines

To format text in a leader note

To set the precision for a numerical expression in a leader note

To set a dimension style for a numerical expression in a leader note

To change the direction of the reference line

To add leaders or leader segments

To remove leader segments

To attach a symbol to an object

To detach a symbol from an object

To override the leader arrowhead

To position a note text relative to the reference line

To align leader notes to each other

To enter a formula in a leader note

To add a leader note as a template to the symbol library

To import leader note templates from another drawing

To rename a leader note template

To set a default template for an object type


Create and modify leader notes (Concept)

Leader Note Symbols
Leader Note Symbols
Create formulas and reuse them with the symbol library
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical lets you use the note symbol to add a text to an object in the drawing. The symbol consists of a leader and a text. The text you add can be plain text or a formula. AutoCAD Mechanical includes a set of predefined formulas, known as templates, which are in the symbol library. When you attach a leader note to an object, AutoCAD Mechanical intelligently filters out all the irrelevant templates and shows only the templates that apply to that object.

AutoCAD Mechanical supports the following:

  • Ability to specify plain text or a formula for leader note text
  • Automatically apply a template depending on the object the leader note is attached to
  • Ability to format leader note text
    • Add formatting options such as change color, underline, setting vertical alignment
    • Create simple fractions or architectural fractions
    • Format numerical expressions with a dimension style
    • Align individual leader notes to one another
  • Specify text position in relation to the leader
  • Ability to use object snaps to conclusively define attach points
  • Ability to have multiple leaders giving you the ability to point a single leader note to more than one location
  • Ability to have no leader at all

When a leader note is attached to a part or a feature, you can delete the leader or insert additional leaders without hurting the association with the attached object. If you move the object, the leader note moves with object. If you want to attach the leader note to a different object, you must detach it first.


Create and modify leader notes (Procedure)

Leader Note Symbols
Up a level to ..
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a leader note

To create a leader note with multiple reference lines

To enter a formula in a leader note

To edit the note text of a leader note with multiple reference lines

To format text in a leader note

To set the precision for a numerical expression in a leader note

To set a dimension style for a numerical expression in a leader note

To change the direction of the reference line

To add leaders or leader segments

To remove leader segments

To attach a symbol to an object

To detach a symbol from an object

To override the leader arrowhead

To position a note text relative to the reference line

To align leader notes to each other


Create and modify leader notes (Quick Reference)

Reuse Dead Joint Symbols with the Symbol Library
Create and modify leader notes
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMNOTE

Note Symbol dialog box

Text Height dialog box

Text Width dialog box

Tracking Factor dialog box

Note Settings dialog box


To create a leader note (Procedure)

Create and modify leader notes
Up a level to ..
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a leader note

  1. Click Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMNOTE.
  2. Select an object to attach the leader note to.
  3. Specify one or more points to define the vertices of the leader, and then press ENTER.
  4. In the Symbol tab, specify the general appearance of the symbol.
  5. Enter the note text in the multi-line text editor.
    NoteIn Preview display mode, select Rendered text colored to view how the leader note appears in the drawing area.
  6. Click OK.


To create a leader note with multiple reference lines (Procedure)

Create and modify leader notes
Up a level to ..
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a leader note with multiple reference lines

NoteThis operation is possible only with the GOST standard.
  1. Click Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMNOTE.
  2. Select an object to attach the leader note to.
  3. Specify one or more points to define the vertices of the leader, and then press ENTER.
  4. In the Symbol tab, specify the general appearance of the reference line.
  5. Enter the note text in the multi-line text editor.
    NoteIn Preview display mode, select Rendered text colored to view how the leader note appears in the drawing area.
  6. Click [image] .
  7. Repeat the procedure to specify the appearance of subsequent reference lines.
  8. Click OK.


To enter a formula in a leader note (Procedure)

Create and modify leader notes
Up a level to ..
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enter a formula in a leader note

NoteSee this example. The formula to be created is, =<if(equal(Hole:tapped,"0"),"%%c" Hole:dia,Hole:nominal)>; a formula to show the nominal diameter of a tapped hole, and if the hole is not tapped, to display the diameter of the hole.

  1. Click Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMNOTE.
  2. Select the hole to attach the note to and click in the drawing area to place the note.
  3. From the Preview display mode list, select Plain text.
  4. In the multi-line text editor, delete any text that appears by default and type “=” as the first character of the note text.
  5. In the text editor, enter the required formula:
    1. In the Variables list, select Functions [image] IF. The text editor shows =<IF(,,)>.
    2. In the multi-line text editor, place the cursor after the open bracket.
    3. In the Variables list, select Functions [image] EQUAL.The text editor shows =<IF(<EQUAL(,)>,,)>.
    4. In the multi-line text editor, place the cursor after the second open bracket.
    5. In the Variables list, select Hole [image] TAPPED. The text editor shows =<IF(<EQUAL(<HOLE:TAPPED>,)>,,)>
    6. Continue until the text editor reads =<IF(EQUAL(HOLE:TAPPED,"0"),, )>
    7. Place the cursor between the two commas, click symbols and select the diameter symbol. The text editor shows <IF(EQUAL(HOLE:TAPPED,"0"),"%%c",)>
    8. Place the cursor after "%%c" and in the Variables list, select Hole [image] DIA. The text editor shows =<IF(EQUAL(HOLE:TAPPED,"0"),"%%c" HOLE:DIA,)>
    9. Place the cursor between HOLE:DIA, and in the Variables list, select Hole [image] NOMINAL. The text editor reads =<IF(EQUAL(HOLE:TAPPED,"0"),"%%c" HOLE:DIA,HOLE:NOMINAL)>
    10. Continue until the text editor reads =<IF(EQUAL(HOLE:TAPPED,"0"),"%%c" HOLE:DIA,HOLE:NOMINAL)>
  6. From the Preview display mode list, select Rendered text colored and verify that the formula renders correctly.
  7. Click OK.
See Also
    • About formulas
    • Examples of commonly used formulas


To edit the note text of a leader note with multiple reference lines (Procedure)

Create and modify leader notes
Up a level to ..
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit the note text of a leader note with multiple reference lines

NoteThis procedure is only possible if the current drafting standard is GOST.
  1. In the drawing area, double-click the leader note to edit.
  2. In the Symbol tab, click [image] or [image] until the program highlights the reference line to edit in the drawing area.
  3. Modify the note text as appropriate.
  4. Click OK.


To format text in a leader note (Procedure)

Create and modify leader notes
Up a level to ..
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To format text in a leader note

  1. In the drawing area, double-click the leader note to edit.
  2. In the Note Symbol dialog box, in the multi-line text editor, select the desired text.

    To select the whole note text, right-click and click Select All.

  3. Right-click the selection to display the menu.
  4. To:
    • Underline text: Select Format [image] Underline.
    • Overline text: Select Format [image] Overline.
    • Override text color: Select Format [image] Text Color.
    • Override text height: Select Format [image] Text Height.
    • Change spacing between characters: Select Format [image] Tracking Factor.
    • Change the font: Select Format [image] Text Font.
    • Change character width:: Select Format [image] Text Width
    • Stack two segments of text separated by the “/” character: Select Format [image] Stacked [image] Stacking Option
    • Align text within a line, when the line height is greater than one character (as with a line containing a stacked fraction): Select Format [image] Alignment [image] Position
  5. Click OK.


To set the precision for a numerical expression in a leader note (Procedure)

Create and modify leader notes
Up a level to ..
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set the precision for a numerical expression in a leader note

  1. In the drawing area, double-click the leader note to edit.
  2. In the Note Symbol dialog box, set the Preview display mode to Plain text.
  3. In the multi-line text editor, select a numerical expression (including the angle brackets) and right-click.
  4. Select Precision, and then select Decimal or Fractional. From the submenu, select the precision.
  5. Click OK.


To set a dimension style for a numerical expression in a leader note (Procedure)

Create and modify leader notes
Up a level to ..
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set a dimension style for a numerical expression in a leader note

  1. In the drawing area, double-click the leader note to edit.
  2. In the Note Symbol dialog box, set Preview display mode to Plain text.
  3. In the multi-line text editor, select a numerical expression (including the angle brackets) and right-click.
  4. From the right-click menu select Dim Style [image] Apply Dim Style to apply the style displayed at the second row, or select Dim Style [image] Other to apply a different dimension style.
  5. Click OK until all dialog boxes close.


To change the direction of the reference line (Procedure)

Create and modify leader notes
Up a level to ..
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the direction of the reference line

  1. In the drawing area, double-click the leader note to edit.
  2. Select the Leader and Text tab.
  3. Under Reference Line Angle, click Adjust.
  4. In the drawing area, move the leader note to the desired direction and click.
  5. Select the Symbol tab.
  6. Click OK.


To add leaders or leader segments (Procedure)

Create and modify leader notes
Up a level to ..
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add leaders or leader segments

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Add.
  4. Select an object in the drawing to attach the new leader, or select the first point.
    • the first point of the original leader to add the leader segments to or
    • a point of the original leader to add a new leader branch
  5. Click OK.
Tip
  • To add a new leader node select only one point at the original leader.
  • Use the grip points to move the leader nodes.


To remove leader segments (Procedure)

Create and modify leader notes
Up a level to ..
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove leader segments

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Remove.
    NoteThe Remove button is available only if the leader contains removable segments.
  4. Select a leader segment or leader node. The program bases deletion on your selection and on the following rules:
    • A part of the leader, if you select an internal node or segment, or
    • A leader branch, if you select the last segment of the leader branch.
    • The whole leader, if you select the last leader segment or the last leader node.
  5. Click OK.
NoteFor visual control, the program highlights the part of the leader to remove.


To attach a symbol to an object (Procedure)

Create and modify leader notes
Up a level to ..
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To attach a symbol to an object

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Attach. The dialog box hides.
  4. Select an object in the drawing to attach the symbol to. The dialog box is displayed again.
  5. Click OK.


To detach a symbol from an object (Procedure)

Create and modify leader notes
Up a level to ..
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To detach a symbol from an object

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Detach.
  4. Click OK.


To override the leader arrowhead (Procedure)

Create and modify leader notes
Up a level to ..
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To override the leader arrowhead

  1. In the drawing area, double-click the symbol to edit.
  2. Click the Leader and Text tab.
  3. In the Arrowhead list, select the arrowhead to use.
    NoteTo reset the arrowhead to be controlled by the drafting standard, select By Standard.
  4. Click OK.


To position a note text relative to the reference line (Procedure)

Create and modify leader notes
Up a level to ..
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To position a note text relative to the reference line

  1. In the drawing area, double-click the leader note to edit.
  2. Click the Leader and Text tab.
  3. In the Leader justification list, select the text position relative to the reference line.
  4. In the Text justification list, select how to justify the text.
  5. Click OK.


To align leader notes to each other (Procedure)

Create and modify leader notes
Up a level to ..
Create formulas and reuse them with the symbol library
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To align leader notes to each other

  1. Click Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMNOTE.
  2. At the Command prompt, enter E to select the reorganize option.
  3. In the drawing area, click the leader notes to align and press Enter.
  4. At the Command prompt, enter H to align reference lines horizontally. To align reference lines vertically, enter V.
  5. In the drawing area, move the leader notes to the desired location and click.


Create and modify leader notes (Quick Reference)

Create and modify leader notes
Create and modify leader notes
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMNOTE

Creates a leader note and optionally, attaches it to an object in the drawing area.

Ribbon: Annotate tab [image] Text panel [image] Leader Note. Does not exist on the ribbon.
Toolbar: Symbols
Menu: Annotate [image] Leader Note Does not exist in the menus.
Command entry: amnote

Notes can contain plain text or formulas . A predefined set of templates containing formulas are available in the symbol library. An appropriate template is automatically applied when you attach a note to an object. Hence, notes automatically display meaningful context sensitive information immediately upon creation.

COMMAND LINE OPTIONS

Select Object to attach [rEorganize/Library]: Select an object in the drawing to attach the symbol. If you do not want to attach the symbol, select a start point of the leader. In this case the following prompt does not appear. Select the Reorganize option to align the note symbols in the drawing. See the instructions for the Reorganize Option.

Object to attach

Attaches the symbol to an object.

Specify next point or [Symbol/startPoint] <Symbol> Press ENTER to place note at the attach point. or enter P to redefine the attach point or click in the drawing area to.specify the next vertex of the leader.

Specify next point <Symbol>: Specify the next point of the leader or press ENTER to place the symbol. The Note Symbol dialog box appears when you press ENTER.

rEorganize

Aligns two or more leader to one another.

Select note: Select all note symbols you want to align.

Align [Horizontal/Vertical] <Vertical>: Press ENTER to select vertical alignment, or enter H to select horizontal alignment and then click in the drawing area to specify where to place the symbols.

Library

Specifies that the symbol text comes from the symbol library.

Enter category name or [?]: Enter the name of the category of the template you want to apply or enter ? to list the names of categories.

Enter symbol name or [?] <Default template name>: Enter the name of the template or enter ? to list the names of all templates for the selected category. Press ENTER to accept the default symbol. Press ENTER to list the names of all templates for the selected category.

Select object to attach [rEorganize/Library]: Although you return to the first prompt of the loop, the Note Symbol dialog box does not appear when you place the symbol in the drawing area.


Create and modify leader notes (Quick Reference)

Create and modify leader notes
Create and modify leader notes
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Note Symbol dialog box

Use this dialog box to specify the parameters of the leader note you are creating or editing.

Symbol tab

Options

Show reference line

Adds a reference line from the leader to the note text. The icon to the left of the check box shows the result of your selection. This option is checked but disabled for the GOST standard.

Flip symbol

Flips the symbol so that note text is placed to the left of the leader. The icon to the left of the check box shows the result of your selection.

Adds an additional reference line above the currently selected reference line. Note text you add thereafter is inserted on the new reference line.

This button is visible only for the GOST standard.

Deletes the current reference line. The current reference line is highlighted in the drawing.

This button is visible only for the GOST standard.

Selects the next reference line away from the leader arrowhead, and displays its settings in the dialog box.

This button is visible only for the GOST standard.

Selects the next reference line toward the leader arrowhead and displays its settings in the dialog box.

This button is visible only for the GOST standard.

Requirements

Variables

Displays a list of functions and references to the properties of the object the note is attached to. Select an item from the list to insert it to the multi-line text editor, at the current cursor position.

Insert symbol

Displays a palette to enable you to insert a special character at the current cursor position in the multi-line text editor. In the rendered text mode, the editor shows the special character while in the plain text mode the editor shows the corresponding control key sequence.

Multi-line text editor

Edits note text. You use this editor to edit text, formulas, and special characters to show as note text. Use the right-click menu to access special editing tools.

Right-click menu options

Enables you to specify the formatting for the segment of text selected in the multi-line text editor. The formatting options are:

  • Underline - Turns underlining on or off for the selected text
  • Overline - Turns overlining on or off for the selected text
  • Alignment - Specifies how the selected text aligns to a stacked text on the same line
  • Stacked- Stacks two segments of text, separated by a “/” character, one on top of the other.
  • Text Color - Specifies the color of the selected text
  • Text Height - Applies a scale factor for the selected text
  • Text Font - Specifies a font for the selected text
  • Text Width - Applies a scale factor for the width of the selected text
  • Tracking Factor - Specifies the spacing between characters of the selected text
  • Dim Style - Applies a dimension style for a numerical expression This option is available only if a numerical expression is selected.
  • Precision - Enables you to specify a precision for a numerical expression This option is available only if a numerical expression is selected.

Preview display mode

Selects how note text should appear in the multi-line text editor.

  • Plain Text - Displays formulas and formatting signs that define the note text.
  • Rendered Text Colored - Renders all formulas and formatting signs to show a true preview of how the note text appears.
  • Rendered Text Mono - Displays monochromatically the same text as the Rendered Text Colored mode.
TipUse the Plain Text mode to define formulas, especially if you are inserting functions. It also gives you more control over where references are placed. Use a rendered mode to check the formula.

Library

Lists all the note templates for the active drafting standard/revision in the symbol library. When you move the pointer over an item, all settings for that item appear in a tooltip. Each item in the library is associated with a context-sensitive menu.

Category

Displays a list of template categories that are applicable to the object the note is attached to. If the note is not attached to anything, only the category “Other” is available. The category acts as a filter for the list of templates.

Templates

Displays the list of available templates for the selected category.

Menu options

Add

Saves the text in the multi-line text editor as a new note template. The new template is added to the symbol library.

Delete

Deletes the selected note template from the symbol library. Only templates that have not been used in the drawing can be deleted.

Rename

Makes the template name editable. AutoCAD Mechanical validates the name you provide to ensure that the names of templates for a given category are unique.

Set default

Makes the selected template the default template for the selected category. A blue check mark appears next to the template name to indicate that it is the default template. The next time you attach a note to an object described by the selected category, the default template loads automatically and the multi-line text editor displays its content.

Remove default

Removes the default status of the selected template. This menu option is available only on the default template. When there is no default template selected, no note text is pre assigned to the multi-line text editor.

Add

Saves current content of the multi-line text editor as a new template. Name the new template once it is created.

Import

Imports templates from the symbol library of another drawing. You can only import symbols of the same standard and revision as the note symbol you are editing.

Leader and Text tab

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to By Standard, it acquires the arrowhead from the current drafting standard. Thereafter, if you change the arrowhead selected for the current drafting standard (in the Standard Settings dialog box or Note Settings dialog box) the arrowhead for this symbol is updated automatically.

Edit leader segments

Add

Adds a leader, leader segment, or leader node.

Remove

Deletes a leader, or leader segment.

Edit object attachment

Attach

Attaches the symbol to an object in the drawing. When attached, if you move the object the symbol moves with it.

Detach

Detaches the symbol. The symbol becomes a free-standing object.

Reference line angle

Adjust

Hides the dialog box so that you can set the direction of the reference line. This button is not available in the GOST standard.

Text

Text justification

Sets the justification of text.

NoteThis setting reverts to its default value if you flip the symbol.

Leader justification

Sets the position of the note text relative to the reference line.

NoteThis option is disabled for the GOST standard. However, it is available for custom standards based on the GOST standard.

Settings

Opens the Note Settings dialog box and enables you to edit the default settings for leader notes for the current drafting standard.


Create and modify leader notes (Quick Reference)

Create and modify leader notes
Create and modify leader notes
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Text Height dialog box

Use this dialog box to set the height of the text selected in the Note Text area.

scaled

Sets the value you type as a scale factor.


Create and modify leader notes (Quick Reference)

Create and modify leader notes
Create and modify leader notes
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Text Width dialog box

Use this dialog box to set the character width. A value greater than 1 expands the text and a value less than 1 condenses the text.


Create and modify leader notes (Quick Reference)

Create and modify leader notes
Create and modify leader notes
Create and modify leader notes
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Tracking Factor dialog box

Use this dialog box to set the spacing between characters of the text selected in the Note Text area. The value must be greater than .75 and less than 4.


Create and modify leader notes (Quick Reference)

Create and modify leader notes
Create and modify leader notes
Create formulas and reuse them with the symbol library
Annotate drawings > Create Symbols > Leader Note Symbols >
Create and modify leader notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Note Settings dialog box

Use the Note Settings dialog box to customize the default settings of leader notes for the current drafting standard.

Symbol tab

Options

Show reference line

Adds a reference line from the leader to the note text. The icon to the left of the check box shows the result.

Requirements

Variables

Displays a list of functions and references to the properties of the object note can be attached to. Select an item from the list to insert it into the multiline text editor. The item appears at the cursor position.

Insert symbol

Displays a palette to enable you to insert a special character at the current cursor position in the multi-line text editor. In the rendered text mode, the editor shows the special character while in the plain text mode the editor shows the corresponding control key sequence.

Multi-line text editor

Edits note text. Use this editor to edit text, formulas, and special symbols to be displayed as note text. Use the right-click menu to access special editing tools.

Right-click menu options

Enables you to specify the formatting for the segment of text selected in the multi-line text editor. The formatting options are:

  • Underline - Toggles underlining for the selected text
  • Overline - Toggles overlining for the selected text
  • Align - Specifies how the selected text aligns with stacked text on the same line
  • Stack- Stacks two segments of text, separated by a “/” character.
  • Text Color - Specifies a color for the selected text
  • Text Height - Applies a scale factor for the selected text
  • Text Font - Specifies a font for the selected text
  • Text Width - Applies a scale factor for the width of the selected text
  • Tracking Factor - Specifies the spacing between characters of the selected text
  • Dim Style - Applies a dimension style for a numerical expression. This option is available only when a numerical expression is selected.
  • Precision - Enables you to specify a precision for a numerical expression. This option is available only if a numerical expression is selected.

Preview display mode

Specifies how note text appears in the multi-line text editor.

  • Plain Text - Displays formulas and formatting signs that define the note text.
  • Rendered Text Colored - Renders all formulas and formatting signs to preview the note.
  • Rendered Text Mono - Displays monochromatically the same text as the Rendered Text Colored mode.
TipUse the Plain Text mode to define formulas, especially if you are inserting functions. It also gives you more control over where to place references. Use a rendered mode to check the formula.

Library

Category

Displays a list of object categories for which you can create note templates.

Templates

Displays the list of available templates for the selected category.

Menu options

Add

Saves the text in the multi-line text editor as a new note template. The new template is added to the symbol library.

Delete

Deletes the selected note template from the symbol library.

Rename

Makes the template name editable. AutoCAD Mechanical validates the name you provide to ensure that the names of templates for a given category are unique.

Set default

Makes the selected template the default template for the selected category. A blue tick mark appears next to the default template name. When you attach a note to an object described by the selected category, the default template loads automatically.

Remove default

Removes the default status of the selected template. This menu option is available only on the default template. When no default template is selected, no note text appears in the multi-line text editor.

Add

Saves the content of the multi-line text editor as a new template. Prompts to name the new item.

Import

Imports templates from the symbol library of another drawing. You can only import symbols of the same standard and revision as the one you are editing.

Leader and Text tab

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads of all notes that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all notes based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all notes based on the current drafting standard change automatically.

Text

Height

Specifies the text height for note text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all notes based on the current drafting standard change automatically.

Color

Specifies the color of note text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all notes based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader justification

Sets the position of the note text in relation to the leader end point.

NoteThis options is disabled for the GOST standard. However, it is available for custom standards based on the GOST standard.

Restore Defaults

Restores all settings of this dialog box to the preset default values for the current standard.


Create formulas and reuse them with the symbol library (Concept)

Create and modify leader notes
Leader Note Symbols
Surface Texture Symbols
Annotate drawings > Create Symbols > Leader Note Symbols >
Create formulas and reuse them with the symbol library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical gives you the ability to attach leader notes to objects. Such leader notes are able to extract information intelligently from the attached object and display context-sensitive information. For example, if you attach a leader note to a hole, by default the leader note displays the diameter of the hole. If you change the diameter of the hole, the leader note updates automatically.

The ability for leader notes to display context-sensitive information derives from the ability to specify a formula as the leader note text. The formula can refer to properties of the attached objects. When you change the object properties, the leader note automatically updates.

The dialog box that appears when you create a leader note (The Note Symbol dialog box) enables you to select references to the attached object from a drop-down list. Additionally, you can select references to drawing properties such as TITLE and AUTHOR. The Note Symbol dialog box supports three display modes, which allow you to edit the formula directly or see a rendered view of the formula.

AutoCAD Mechanical includes a predefined set of formulas for different types of objects. They appear as templates in a Symbol Library. When you attach a leader note to an object, AutoCAD Mechanical applies a filter and the symbol library shows only those templates that apply to that object. You can create your own formulas and add them as a template to the symbol library. If you modify a template, notes based on this template (that you have already added to the drawing) automatically reflect the change.

AutoCAD Mechanical gives you the ability to import a symbol library from another drawing. However, the drafting standard and revision of the leader notes in both drawings should be the same.

NoteWhen the implementation of a symbol complies with more than one revision of a standard, AutoCAD Mechanical labels the symbol with the newest revision it complies with. For example, the JIS B 0001 - 1999 Note Symbol in AutoCAD Mechanical 2009 is labeled JIS B 0001 - 2000 in AutoCAD Mechanical 2010. Hence, you can import JIS B 0001 - 1999 symbol libraries to JIS B 0001 - 2000 and vice versa.

During the import process you get to choose to replace the entire library, or append symbols, or overwrite symbols. If you choose the replace option AutoCAD Mechanical deletes the current library and replaces it with the imported library. If you choose the append option, AutoCAD Mechanical renames the imported symbols, by affixing a number to its name, when it detects that you already have symbols with the same name. If you choose the overwrite option, AutoCAD Mechanical overwrites existing symbols, with imported symbols, when it detects that you already have symbols with the same name.


Create formulas and reuse them with the symbol library (Procedure)

Create and modify leader notes
Up a level to ..
Create formulas and reuse them with the symbol library
Annotate drawings > Create Symbols > Leader Note Symbols >
Create formulas and reuse them with the symbol library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enter a formula in a leader note

To add a leader note as a template to the symbol library

To import leader note templates from another drawing

To rename a leader note template

To set a default template for an object type


Create formulas and reuse them with the symbol library (Quick Reference)

Create and modify leader notes
Create formulas and reuse them with the symbol library
Create formulas and reuse them with the symbol library
Annotate drawings > Create Symbols > Leader Note Symbols >
Create formulas and reuse them with the symbol library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMNOTE

Note Symbol dialog box

Note Settings dialog box


To enter a formula in a leader note (Procedure)

Create formulas and reuse them with the symbol library
Up a level to ..
Create formulas and reuse them with the symbol library
Annotate drawings > Create Symbols > Leader Note Symbols >
Create formulas and reuse them with the symbol library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enter a formula in a leader note

NoteSee this example. The formula to be created is, =<if(equal(Hole:tapped,"0"),"%%c" Hole:dia,Hole:nominal)>; a formula to show the nominal diameter of a tapped hole, and if the hole is not tapped, to display the diameter of the hole.

  1. Click Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMNOTE.
  2. Select the hole to attach the note to and click in the drawing area to place the note.
  3. From the Preview display mode list, select Plain text.
  4. In the multi-line text editor, delete any text that appears by default and type “=” as the first character of the note text.
  5. In the text editor, enter the required formula:
    1. In the Variables list, select Functions [image] IF. The text editor shows =<IF(,,)>.
    2. In the multi-line text editor, place the cursor after the open bracket.
    3. In the Variables list, select Functions [image] EQUAL.The text editor shows =<IF(<EQUAL(,)>,,)>.
    4. In the multi-line text editor, place the cursor after the second open bracket.
    5. In the Variables list, select Hole [image] TAPPED. The text editor shows =<IF(<EQUAL(<HOLE:TAPPED>,)>,,)>
    6. Continue until the text editor reads =<IF(EQUAL(HOLE:TAPPED,"0"),, )>
    7. Place the cursor between the two commas, click symbols and select the diameter symbol. The text editor shows <IF(EQUAL(HOLE:TAPPED,"0"),"%%c",)>
    8. Place the cursor after "%%c" and in the Variables list, select Hole [image] DIA. The text editor shows =<IF(EQUAL(HOLE:TAPPED,"0"),"%%c" HOLE:DIA,)>
    9. Place the cursor between HOLE:DIA, and in the Variables list, select Hole [image] NOMINAL. The text editor reads =<IF(EQUAL(HOLE:TAPPED,"0"),"%%c" HOLE:DIA,HOLE:NOMINAL)>
    10. Continue until the text editor reads =<IF(EQUAL(HOLE:TAPPED,"0"),"%%c" HOLE:DIA,HOLE:NOMINAL)>
  6. From the Preview display mode list, select Rendered text colored and verify that the formula renders correctly.
  7. Click OK.
See Also
    • About formulas
    • Examples of commonly used formulas


To add a leader note as a template to the symbol library (Procedure)

Create formulas and reuse them with the symbol library
Up a level to ..
Create formulas and reuse them with the symbol library
Annotate drawings > Create Symbols > Leader Note Symbols >
Create formulas and reuse them with the symbol library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a leader note as a template to the symbol library

  1. In the drawing area, double-click the note to add to the symbol library. The Note Symbol dialog box is displayed.
  2. Click Add.
  3. Enter a name for the template.
  4. Click OK.


To import leader note templates from another drawing (Procedure)

Create formulas and reuse them with the symbol library
Up a level to ..
Create formulas and reuse them with the symbol library
Annotate drawings > Create Symbols > Leader Note Symbols >
Create formulas and reuse them with the symbol library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import leader note templates from another drawing

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click Note. The Note Settings dialog box is displayed.
  4. Click Import. The Select File dialog box is displayed.
  5. Choose the .dwg or .dwt file that contains the desired library.
  6. Click OK. The program adds the imported leader note templates to the library.
  7. Click OK.


To rename a leader note template (Procedure)

Create formulas and reuse them with the symbol library
Up a level to ..
Create formulas and reuse them with the symbol library
Annotate drawings > Create Symbols > Leader Note Symbols >
Create formulas and reuse them with the symbol library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To rename a leader note template

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click note. The Note Settings dialog box is displayed.
  4. In the category list, select the category of the template to rename.
  5. In the list of templates, click the template to rename.
  6. From the drop-down menu on the right, select Rename.
  7. Enter the new name for the leader note.
  8. Click OK.


To set a default template for an object type (Procedure)

Create formulas and reuse them with the symbol library
Up a level to ..
Surface Texture Symbols
Annotate drawings > Create Symbols > Leader Note Symbols >
Create formulas and reuse them with the symbol library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set a default template for an object type

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click Note. The Note Settings dialog box is displayed.
  4. In the category list, select the object type to assign to a default template.
  5. In the list of templates, click the template to set as default.
  6. From the drop-down menu on the right, select Set default. A blue tick indicates the default status.
  7. Click OK.


Create formulas and reuse them with the symbol library (Quick Reference)

Create formulas and reuse them with the symbol library
Create formulas and reuse them with the symbol library
Create formulas and reuse them with the symbol library
Annotate drawings > Create Symbols > Leader Note Symbols >
Create formulas and reuse them with the symbol library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMNOTE

Creates a leader note and optionally, attaches it to an object in the drawing area.

Ribbon: Annotate tab [image] Text panel [image] Leader Note. Does not exist on the ribbon.
Toolbar: Symbols
Menu: Annotate [image] Leader Note Does not exist in the menus.
Command entry: amnote

Notes can contain plain text or formulas . A predefined set of templates containing formulas are available in the symbol library. An appropriate template is automatically applied when you attach a note to an object. Hence, notes automatically display meaningful context sensitive information immediately upon creation.

COMMAND LINE OPTIONS

Select Object to attach [rEorganize/Library]: Select an object in the drawing to attach the symbol. If you do not want to attach the symbol, select a start point of the leader. In this case the following prompt does not appear. Select the Reorganize option to align the note symbols in the drawing. See the instructions for the Reorganize Option.

Object to attach

Attaches the symbol to an object.

Specify next point or [Symbol/startPoint] <Symbol> Press ENTER to place note at the attach point. or enter P to redefine the attach point or click in the drawing area to.specify the next vertex of the leader.

Specify next point <Symbol>: Specify the next point of the leader or press ENTER to place the symbol. The Note Symbol dialog box appears when you press ENTER.

rEorganize

Aligns two or more leader to one another.

Select note: Select all note symbols you want to align.

Align [Horizontal/Vertical] <Vertical>: Press ENTER to select vertical alignment, or enter H to select horizontal alignment and then click in the drawing area to specify where to place the symbols.

Library

Specifies that the symbol text comes from the symbol library.

Enter category name or [?]: Enter the name of the category of the template you want to apply or enter ? to list the names of categories.

Enter symbol name or [?] <Default template name>: Enter the name of the template or enter ? to list the names of all templates for the selected category. Press ENTER to accept the default symbol. Press ENTER to list the names of all templates for the selected category.

Select object to attach [rEorganize/Library]: Although you return to the first prompt of the loop, the Note Symbol dialog box does not appear when you place the symbol in the drawing area.


Create formulas and reuse them with the symbol library (Quick Reference)

Create formulas and reuse them with the symbol library
Create formulas and reuse them with the symbol library
Create formulas and reuse them with the symbol library
Annotate drawings > Create Symbols > Leader Note Symbols >
Create formulas and reuse them with the symbol library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Note Symbol dialog box

Use this dialog box to specify the parameters of the leader note you are creating or editing.

Symbol tab

Options

Show reference line

Adds a reference line from the leader to the note text. The icon to the left of the check box shows the result of your selection. This option is checked but disabled for the GOST standard.

Flip symbol

Flips the symbol so that note text is placed to the left of the leader. The icon to the left of the check box shows the result of your selection.

Adds an additional reference line above the currently selected reference line. Note text you add thereafter is inserted on the new reference line.

This button is visible only for the GOST standard.

Deletes the current reference line. The current reference line is highlighted in the drawing.

This button is visible only for the GOST standard.

Selects the next reference line away from the leader arrowhead, and displays its settings in the dialog box.

This button is visible only for the GOST standard.

Selects the next reference line toward the leader arrowhead and displays its settings in the dialog box.

This button is visible only for the GOST standard.

Requirements

Variables

Displays a list of functions and references to the properties of the object the note is attached to. Select an item from the list to insert it to the multi-line text editor, at the current cursor position.

Insert symbol

Displays a palette to enable you to insert a special character at the current cursor position in the multi-line text editor. In the rendered text mode, the editor shows the special character while in the plain text mode the editor shows the corresponding control key sequence.

Multi-line text editor

Edits note text. You use this editor to edit text, formulas, and special characters to show as note text. Use the right-click menu to access special editing tools.

Right-click menu options

Enables you to specify the formatting for the segment of text selected in the multi-line text editor. The formatting options are:

  • Underline - Turns underlining on or off for the selected text
  • Overline - Turns overlining on or off for the selected text
  • Alignment - Specifies how the selected text aligns to a stacked text on the same line
  • Stacked- Stacks two segments of text, separated by a “/” character, one on top of the other.
  • Text Color - Specifies the color of the selected text
  • Text Height - Applies a scale factor for the selected text
  • Text Font - Specifies a font for the selected text
  • Text Width - Applies a scale factor for the width of the selected text
  • Tracking Factor - Specifies the spacing between characters of the selected text
  • Dim Style - Applies a dimension style for a numerical expression This option is available only if a numerical expression is selected.
  • Precision - Enables you to specify a precision for a numerical expression This option is available only if a numerical expression is selected.

Preview display mode

Selects how note text should appear in the multi-line text editor.

  • Plain Text - Displays formulas and formatting signs that define the note text.
  • Rendered Text Colored - Renders all formulas and formatting signs to show a true preview of how the note text appears.
  • Rendered Text Mono - Displays monochromatically the same text as the Rendered Text Colored mode.
TipUse the Plain Text mode to define formulas, especially if you are inserting functions. It also gives you more control over where references are placed. Use a rendered mode to check the formula.

Library

Lists all the note templates for the active drafting standard/revision in the symbol library. When you move the pointer over an item, all settings for that item appear in a tooltip. Each item in the library is associated with a context-sensitive menu.

Category

Displays a list of template categories that are applicable to the object the note is attached to. If the note is not attached to anything, only the category “Other” is available. The category acts as a filter for the list of templates.

Templates

Displays the list of available templates for the selected category.

Menu options

Add

Saves the text in the multi-line text editor as a new note template. The new template is added to the symbol library.

Delete

Deletes the selected note template from the symbol library. Only templates that have not been used in the drawing can be deleted.

Rename

Makes the template name editable. AutoCAD Mechanical validates the name you provide to ensure that the names of templates for a given category are unique.

Set default

Makes the selected template the default template for the selected category. A blue check mark appears next to the template name to indicate that it is the default template. The next time you attach a note to an object described by the selected category, the default template loads automatically and the multi-line text editor displays its content.

Remove default

Removes the default status of the selected template. This menu option is available only on the default template. When there is no default template selected, no note text is pre assigned to the multi-line text editor.

Add

Saves current content of the multi-line text editor as a new template. Name the new template once it is created.

Import

Imports templates from the symbol library of another drawing. You can only import symbols of the same standard and revision as the note symbol you are editing.

Leader and Text tab

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to By Standard, it acquires the arrowhead from the current drafting standard. Thereafter, if you change the arrowhead selected for the current drafting standard (in the Standard Settings dialog box or Note Settings dialog box) the arrowhead for this symbol is updated automatically.

Edit leader segments

Add

Adds a leader, leader segment, or leader node.

Remove

Deletes a leader, or leader segment.

Edit object attachment

Attach

Attaches the symbol to an object in the drawing. When attached, if you move the object the symbol moves with it.

Detach

Detaches the symbol. The symbol becomes a free-standing object.

Reference line angle

Adjust

Hides the dialog box so that you can set the direction of the reference line. This button is not available in the GOST standard.

Text

Text justification

Sets the justification of text.

NoteThis setting reverts to its default value if you flip the symbol.

Leader justification

Sets the position of the note text relative to the reference line.

NoteThis option is disabled for the GOST standard. However, it is available for custom standards based on the GOST standard.

Settings

Opens the Note Settings dialog box and enables you to edit the default settings for leader notes for the current drafting standard.


Create formulas and reuse them with the symbol library (Quick Reference)

Create formulas and reuse them with the symbol library
Create formulas and reuse them with the symbol library
Create and modify surface texture symbols
Annotate drawings > Create Symbols > Leader Note Symbols >
Create formulas and reuse them with the symbol library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Note Settings dialog box

Use the Note Settings dialog box to customize the default settings of leader notes for the current drafting standard.

Symbol tab

Options

Show reference line

Adds a reference line from the leader to the note text. The icon to the left of the check box shows the result.

Requirements

Variables

Displays a list of functions and references to the properties of the object note can be attached to. Select an item from the list to insert it into the multiline text editor. The item appears at the cursor position.

Insert symbol

Displays a palette to enable you to insert a special character at the current cursor position in the multi-line text editor. In the rendered text mode, the editor shows the special character while in the plain text mode the editor shows the corresponding control key sequence.

Multi-line text editor

Edits note text. Use this editor to edit text, formulas, and special symbols to be displayed as note text. Use the right-click menu to access special editing tools.

Right-click menu options

Enables you to specify the formatting for the segment of text selected in the multi-line text editor. The formatting options are:

  • Underline - Toggles underlining for the selected text
  • Overline - Toggles overlining for the selected text
  • Align - Specifies how the selected text aligns with stacked text on the same line
  • Stack- Stacks two segments of text, separated by a “/” character.
  • Text Color - Specifies a color for the selected text
  • Text Height - Applies a scale factor for the selected text
  • Text Font - Specifies a font for the selected text
  • Text Width - Applies a scale factor for the width of the selected text
  • Tracking Factor - Specifies the spacing between characters of the selected text
  • Dim Style - Applies a dimension style for a numerical expression. This option is available only when a numerical expression is selected.
  • Precision - Enables you to specify a precision for a numerical expression. This option is available only if a numerical expression is selected.

Preview display mode

Specifies how note text appears in the multi-line text editor.

  • Plain Text - Displays formulas and formatting signs that define the note text.
  • Rendered Text Colored - Renders all formulas and formatting signs to preview the note.
  • Rendered Text Mono - Displays monochromatically the same text as the Rendered Text Colored mode.
TipUse the Plain Text mode to define formulas, especially if you are inserting functions. It also gives you more control over where to place references. Use a rendered mode to check the formula.

Library

Category

Displays a list of object categories for which you can create note templates.

Templates

Displays the list of available templates for the selected category.

Menu options

Add

Saves the text in the multi-line text editor as a new note template. The new template is added to the symbol library.

Delete

Deletes the selected note template from the symbol library.

Rename

Makes the template name editable. AutoCAD Mechanical validates the name you provide to ensure that the names of templates for a given category are unique.

Set default

Makes the selected template the default template for the selected category. A blue tick mark appears next to the default template name. When you attach a note to an object described by the selected category, the default template loads automatically.

Remove default

Removes the default status of the selected template. This menu option is available only on the default template. When no default template is selected, no note text appears in the multi-line text editor.

Add

Saves the content of the multi-line text editor as a new template. Prompts to name the new item.

Import

Imports templates from the symbol library of another drawing. You can only import symbols of the same standard and revision as the one you are editing.

Leader and Text tab

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads of all notes that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all notes based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all notes based on the current drafting standard change automatically.

Text

Height

Specifies the text height for note text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all notes based on the current drafting standard change automatically.

Color

Specifies the color of note text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all notes based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader justification

Sets the position of the note text in relation to the leader end point.

NoteThis options is disabled for the GOST standard. However, it is available for custom standards based on the GOST standard.

Restore Defaults

Restores all settings of this dialog box to the preset default values for the current standard.


Surface Texture Symbols

Create formulas and reuse them with the symbol library
Create Symbols
Create and modify surface texture symbols
Annotate drawings > Create Symbols >
Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Create and modify surface texture symbols
  • Reuse Surface Texture Symbols with the Symbol Library


Surface Texture Symbols (Procedure)

Create formulas and reuse them with the symbol library
Up a level to ..
Create and modify surface texture symbols
Annotate drawings > Create Symbols >
Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a surface texture symbol

To create a surface texture symbol, using the symbol library

To edit the surface texture requirements

To add the all around symbol to the leader

To change the arrowhead on the symbol leader

To add leaders or leader segments

To remove leader segments

To attach a symbol to an object

To detach a symbol from an object

To create a surface texture symbol, using the symbol library

To add a surface texture symbol to the library

To delete a surface texture symbol from the library

To rename a surface texture symbol in the library

To import the library from another drawing


Create and modify surface texture symbols (Concept)

Surface Texture Symbols
Surface Texture Symbols
Reuse Surface Texture Symbols with the Symbol Library
Annotate drawings > Create Symbols > Surface Texture Symbols >
Create and modify surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical gives you the ability to create surface texture symbols that comply with the active drafting standard. The complete list of supported standards appears at the bottom of this page.

Inserting a symbol in a drawing

You can place a surface texture symbol in the drawing by entering coordinate values, or using an object snap. You can position the symbol by itself or attached to a leader. The symbol can exist as a free-standing object or it can attach to an object in the drawing. When you attach a symbol, the symbol moves with the object whenever you move the object. If a symbol leader is attached to an object in the drawing and you want to attach it to another object, you must detach it first.

Specifying surface texture requirements

When the required surface texture must be produced by a particular method, indicate the method, in words, on a line added to the longer arm of the surface symbol. To include special characters such as the notation for the wave filter (λ), enter the corresponding Unicode character string (\U+03BB in this case) while entering text.

In some cases, drop-down lists enable you to pick surface texture requirements. You can customize these lists during configuration to eliminate surface texture requirements that you rarely use (and thereby reduce clutter) or add/edit entries that are unique to your drafting requirements.

Reuse surface texture symbols from the symbol library

You can add any surface texture symbol you create to a Symbol Library. Thereafter you can insert surface texture symbols directly from the library, which can save you a considerable amount of time. The symbol library is stored in the drawing file, against the drafting standard.

Using a surface texture symbol as a majority symbol

It is possible to set a surface texture symbol as a majority symbol. The symbol automatically indicates the state of surface texture symbols elsewhere in the drawing using a single collective indication. The majority symbol does not distinguish between different layouts. If you delete a block that contains a surface texture symbol that is counted in a majority symbol, the majority symbol does not update until you purge the block.

International Drafting Standards implemented for surface texture symbols

  • ASME Y14.36M (1996)
  • BS EN ISO 1302 (2002)
  • BS 308 (1990)
  • CSN 01 3144 (1981)
  • DIN EN ISO 1302 (2002)
  • DIN ISO 1302 (1992)
  • GB/T 131 (1993)
  • ISO 1302 (1978)
  • ISO 1302 (2002(E))
  • JIS B 0031 (2003)
  • JIS B 0031 (1994)
  • GOST 2.309-73 (Rev 3)
  • GOST 2.309-73
See Also
    • Configure the appearance of surface texture symbols


Create and modify surface texture symbols (Procedure)

Surface Texture Symbols
Up a level to ..
Create and modify surface texture symbols
Annotate drawings > Create Symbols > Surface Texture Symbols >
Create and modify surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a surface texture symbol

To create a surface texture symbol, using the symbol library

To edit the surface texture requirements

To add the all around symbol to the leader

To change the arrowhead on the symbol leader

To add leaders or leader segments

To remove leader segments

To attach a symbol to an object

To detach a symbol from an object


Create and modify surface texture symbols (Quick Reference)

Create formulas and reuse them with the symbol library
Create and modify surface texture symbols
Create and modify surface texture symbols
Annotate drawings > Create Symbols > Surface Texture Symbols >
Create and modify surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSURFSYM

Surface Texture dialog box

Surface Texture Settings dialog box


To create a surface texture symbol (Procedure)

Create and modify surface texture symbols
Up a level to ..
Create and modify surface texture symbols
Annotate drawings > Create Symbols > Surface Texture Symbols >
Create and modify surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a surface texture symbol

  1. Click Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMSURFSYM.
  2. Select an object to attach the surface texture symbol to.
  3. In the drawing area, specify the start point for the leader.
  4. Specify one or more points to define the vertices of the leader, and then press ENTER.
  5. In the Symbol tab, specify the surface texture requirements as required.
    • To set the symbol type, select either Basic symbol, Material removal required, or Material removal prohibited.
    • To add a tail to the surface texture symbol, select Force tail.
    • To set the symbol to be a collective indication of all other surface texture symbols in the drawing. select Majority symbol.
      NoteClick Properties to choose between the simplified and full list representation of the majority symbol. In the simplified representation, only the basic symbol appears in parentheses to the right of the collective indication. In the full list representation, the state of surface texture symbols present elsewhere in the drawing appears in parentheses to the right of the collective indication.
    • To add the all-around designation, click the All-Around button.
    NoteTo enter special characters such as the wave filter notation (λ), enter the corresponding Unicode character string (\U+03BB in this case).
  6. Click OK.
NoteSome of these steps may not be valid for the GOST standard.


To create a surface texture symbol, using the symbol library (Procedure)

Create and modify surface texture symbols
Up a level to ..
Create and modify surface texture symbols
Annotate drawings > Create Symbols > Surface Texture Symbols >
Create and modify surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a surface texture symbol, using the symbol library

  1. Click the Annotate tab [image] Symbols panel [image] Surface Texture Symbol drop-down list.

    AutoCAD Mechanical displays the surface texture symbols saved in the symbol library.

  2. Click the symbol to insert.
  3. Select an object to attach the surface texture symbol to.
  4. In the drawing area, specify the start point for the leader.
  5. Specify one or more points to define the vertices of the leader and press ENTER.


To edit the surface texture requirements (Procedure)

Create and modify surface texture symbols
Up a level to ..
Create and modify surface texture symbols
Annotate drawings > Create Symbols > Surface Texture Symbols >
Create and modify surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit the surface texture requirements

  1. In the drawing area, double-click the symbol to edit.
  2. In the Symbol tab, specify the surface texture requirements as required.
    • To set the symbol type, select either Basic symbol, Material removal required, or Material removal prohibited.
    • To add a tail to the surface texture symbol, select Force tail.
    • To set the symbol to be a collective indication of all other surface texture symbols in the drawing. select Majority symbol.
      NoteClick Properties to choose between the simplified and full list representation of the majority symbol. In the simplified representation, only the basic symbol appears in parentheses to the right of the collective indication. In the full list representation, the state of surface texture symbols present elsewhere in the drawing appears in parentheses to the right of the collective indication.
    • To add the all-around designation, click the All-Around button.
    NoteTo enter special characters such as the wave filter notation (λ), enter the corresponding Unicode character string (\U+03BB in this case).
  3. Click OK.
NoteSome of these steps may not be valid for the GOST standard.


To add the all around symbol to the leader (Procedure)

Create and modify surface texture symbols
Up a level to ..
Create and modify surface texture symbols
Annotate drawings > Create Symbols > Surface Texture Symbols >
Create and modify surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add the all around symbol to the leader

  1. In the drawing area, double-click the symbol to edit.
  2. In the Symbol tab, click [image] ..
  3. Click OK.


To change the arrowhead on the symbol leader (Procedure)

Create and modify surface texture symbols
Up a level to ..
Create and modify surface texture symbols
Annotate drawings > Create Symbols > Surface Texture Symbols >
Create and modify surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the arrowhead on the symbol leader

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. From the Arrowhead drop-down list, select an arrowhead.
  4. Click OK.


To add leaders or leader segments (Procedure)

Create and modify surface texture symbols
Up a level to ..
Create and modify surface texture symbols
Annotate drawings > Create Symbols > Surface Texture Symbols >
Create and modify surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add leaders or leader segments

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Add.
  4. Select an object in the drawing to attach the new leader, or select the first point.
    • the first point of the original leader to add the leader segments to or
    • a point of the original leader to add a new leader branch
  5. Click OK.
Tip
  • To add a new leader node select only one point at the original leader.
  • Use the grip points to move the leader nodes.


To remove leader segments (Procedure)

Create and modify surface texture symbols
Up a level to ..
Create and modify surface texture symbols
Annotate drawings > Create Symbols > Surface Texture Symbols >
Create and modify surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove leader segments

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Remove.
    NoteThe Remove button is available only if the leader contains removable segments.
  4. Select a leader segment or leader node. The program bases deletion on your selection and on the following rules:
    • A part of the leader, if you select an internal node or segment, or
    • A leader branch, if you select the last segment of the leader branch.
    • The whole leader, if you select the last leader segment or the last leader node.
  5. Click OK.
NoteFor visual control, the program highlights the part of the leader to remove.


To attach a symbol to an object (Procedure)

Create and modify surface texture symbols
Up a level to ..
Create and modify surface texture symbols
Annotate drawings > Create Symbols > Surface Texture Symbols >
Create and modify surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To attach a symbol to an object

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Attach. The dialog box hides.
  4. Select an object in the drawing to attach the symbol to. The dialog box is displayed again.
  5. Click OK.


To detach a symbol from an object (Procedure)

Create and modify surface texture symbols
Up a level to ..
Reuse Surface Texture Symbols with the Symbol Library
Annotate drawings > Create Symbols > Surface Texture Symbols >
Create and modify surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To detach a symbol from an object

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Detach.
  4. Click OK.


Create and modify surface texture symbols (Quick Reference)

Create and modify surface texture symbols
Create and modify surface texture symbols
Create and modify surface texture symbols
Annotate drawings > Create Symbols > Surface Texture Symbols >
Create and modify surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSURFSYM

Creates a surface texture symbol and optionally attaches it to an object in the drawing area.

Ribbon: Annotates tab [image] Symbol panel [image] Surface Texture.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Surface Texture Does not exist in the menus.
Command entry: amsurfsym

You can specify surface texture requirements by selecting from drop-down lists. You can also save fully configured surface texture symbols to the symbol library and reuse them directly off the ribbon.

COMMAND LINE OPTIONS

Select Object to attach or [Library]: Select an object in the drawing to which to attach the symbol. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case the prompt requesting you to specify the start point does not appear. To insert a surface texture symbol directly from the symbol library, enter L.

Object to attach

Attaches the symbol to an object.

Specify start point: Specify the start point of the leader.

Specify next point: Specify the next vertex of the leader.

Specify next point <Symbol>: Specify the next point of the leader or press ENTER to place the symbol. The Surface Texture Symbol dialog box appears when you press ENTER.

Library

Specifies that the symbol text to obtain from the symbol library

Enter symbol name or [?] <Default symbol name>: Enter the name of the symbol library item or enter ? to list the names of all the surface texture symbols in the symbol library. Press ENTER to accept the default symbol. If no default exists, pressing ENTER lists the names of all the surface texture symbols in the symbol library.

Select object to attach or [Library]: Select an object in the drawing to which to attach the symbol. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. The prompt for specifying the start point does not appear.

Specify start point: Specify the start point of the leader.

Specify next point: Specify the next vertex of the leader.

Next Point <Symbol>: Specify the next point of the leader or press ENTER to place the selected symbol in the drawing area.

Select object to attach: Select an object in the drawing to attach the symbol. If you do not want to attach the symbol, select a start point of the leader or the point to place the surface texture symbol without a leader. In this case the following prompt does not appear.

Start Point: Specify the start point of the leader or the point to place the surface texture symbol without leader.

Next Point <Symbol>: Specify the next point of the leader or press ENTER to place the symbol.


Create and modify surface texture symbols (Quick Reference)

Create and modify surface texture symbols
Create and modify surface texture symbols
Create and modify surface texture symbols
Annotate drawings > Create Symbols > Surface Texture Symbols >
Create and modify surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surface Texture dialog box

Use the Surface Texture dialog box to specify the surface texture requirements for a surface.

Note
  • The elements in this dialog box depend on the current drafting standard and options you select. Some of the elements described in this page may not appear.
  • Some buttons on this dialog box are only named in tooltips. Move the pointer over the buttons to see their names.

Symbol tab

Options

Sets the options for the graphical display of the symbol. The availability of each option depends on the drafting standard and whether buttons are configured to appear or hide. The options are:

Symbol Type

Basic symbol

Draws the basic symbol only.

Material removal required

Inserts the “machining required” designation on the symbol.

Material removal prohibited

Inserts the “machining prohibited” designation on the symbol.

Force tail

Controls the availability of a tail for a symbol without text.

Use majority symbol

Sets the symbol to be a collective indication of all other surface texture symbols in the drawing. This option is available only if you created the symbol without a leader.

NoteClick Properties to select between the simplified and full-list representations. In the simplified representation, only the basic symbol appears in parentheses to the right of the collective indication. In the full list representation, the state of any surface texture symbol present elsewhere in the drawing is fully indicated in parentheses to the right of the collective indication. Full list is not an option for the GOST standard. Simplified is the default selection.

Library

Lists all the surface texture symbols for the active drafting standard/revision in the symbol library. When you move the pointer over an item, all settings for that item appear in a tooltip. Each item in the library is associated with a context-sensitive menu.

Menu options

Load

Loads the selected symbol from the library. The current settings in the Surface Texture Symbol dialog box are overwritten.

Update

Overwrites the selected symbol in the library with the current settings of the Surface Texture Symbol dialog box. The preview updates to reflect the new settings. The name of the symbol and default status do not change with this operation.

Delete

Removes the selected symbol from the library.

Rename

Makes the symbol name editable. AutoCAD Mechanical validates the name you provide to ensure that the names of the symbols in the library are unique.

Set default

Makes the selected symbol the default symbol of the library. A blue check mark appears next to the symbol to indicate that it is the default symbol. The next time you create a surface texture symbol, the default symbol loads automatically.

Remove default

Removes the default status of the selected symbol. This menu option is available only on the default symbol. When no default symbol is selected, the surface texture symbol dialog box defaults to the settings of the surface texture symbol created or edited most recently.

Add

Saves current settings to the symbol library as a new item in the library. A prompt enables you to name the new item.

Import

Imports the surface texture symbols from the symbol library of another drawing. You can only import symbols of the same standard and revision as the surface texture symbol you are editing.

Requirements

Sets the options used to specify surface texture requirements. The boxes used for data entry appear as and when you add data. The order in which the boxes appear depends on the type of weld you select and therefore may be different to the order in which they appear in the following list. When you move the pointer over a box, the tooltip describes what information to enter to that box.

Insert symbol

Displays a palette to enable you to insert a special character at the current cursor position. The preview in the drawing area shows the special character while the dialog box shows the corresponding control key sequence.

All-around

Inserts the all around indication to the symbol.

Machine allowance

Specifies the machining allowance for the surface. Not available in the GOST standard.

Roughness average max

Specifies the maximum roughness average for the surface.

Roughness average min

Specifies the minimum roughness average for the surface.

First requirement

Specifies the first requirement for the surface.

Second requirement

Specifies the second requirement for the surface.

Third requirement

Specifies the third requirement for the surface.

Fourth requirement

Specifies the fourth requirement for the surface.

Note
This option is available only in the GOST standard.

Texture Direction

Identifies the direction that the texture should take.
Note
This option is available only in the GOST standard.

Production method

Specifies the production requirement for the surface.

User added values that are not identical to existing values are added to the drop-down list.

Note
This option is available only in the GOST standard.

Process note

Specifies the process requirements for the surface.

Process note 1

Specifies the process requirements for the surface.

Process note 2

Specifies the process requirements for the surface.

Sampling length

Specifies the sampling length required for the surface.

Maximum spacing

Specifies the maximum spacing for the surface.

Cutoff

Specifies the cutoff value for the surface.

Reference

Specifies the reference and evaluation length for the surface.

Waviness

Specifies the waviness value for the surface.

Other roughness

Specifies the other roughness for the surface.

Other roughness max

Specifies the maximum other roughness for the surface.

Other roughness min

Specifies the minimum other roughness for the surface.

Direction of lay

Specifies the direction of lay for the surface.

Base length

Enables force tail option when a value is present. This option is available only for the 1973 GOST standard.

Clear

Clears all the data and returns the dialog box options to the default values.

Leader and Text tab

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to By Standard, it acquires the arrowhead from the current drafting standard. Thereafter, if you change the arrowhead selected for the current drafting standard (in the Standard Settings dialog box.or Surface Texture Settings dialog box.) the arrowhead for this symbol updates automatically.

Edit leader segments

Add

Adds a leader, leader segment, or leader node.

Remove

Deletes a leader, or leader segment.

Edit object attachment

Attach

Attaches the symbol to an object in the drawing. When attached, if you move the object the symbol moves with it.

Detach

Detaches the symbol. The symbol becomes a free-standing object.

Lineweight scale

Enlarges or reduces the size of the graphical symbol. The drawing area shows a dynamic preview of the symbol while you change the scale factor. During scaling, the system maintains the line weight at 10% of the symbol text height. When you enlarge or reduce the size of the symbol, the scale factor snaps only to a value for which a valid line weight is available.
NoteThis option is available only if the symbol is not attached to an object.

Automatically adjust symbol position on leader

Select this option to move the symbol to the default position on the leader.

Settings

Opens the Surface Texture Settings dialog box and enables you to edit the default settings for surface texture symbols for the current drafting standard.


Create and modify surface texture symbols (Quick Reference)

Create and modify surface texture symbols
Create and modify surface texture symbols
Reuse Surface Texture Symbols with the Symbol Library
Annotate drawings > Create Symbols > Surface Texture Symbols >
Create and modify surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surface Texture Settings dialog box

Use the Surface Texture Settings dialog box to specify the defaults settings of surface texture symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Symbol type

Make circle in the vee small

Sets the size of the Machining Prohibited designation. This option is available only in custom standards.

Force Tail

Controls the default state of the Force Tail button in the Surface Texture dialog box. This button controls the availability of a tail for symbols without text.

Allow all Around

Controls the visibility of the All Around button in the Surface Texture dialog box. This option is not visible in the ANSI standard.

Add Multiple tail

Sets symbols to have an additional tail when multiple lines of text is available above the tail. This option is not visible in the ANSI standard.

NoteThis option is not available for the GOST standard.

Preset lists

Contains a set of buttons that let you customize the drop-down list that are displayed in the Surface Texture dialog box.

Edit list

Displays a dialog box that lets you customize the list at the position represented by the button location.

Majority Symbol

Sets options for the majority symbol, which indicates the state common to all surfaces, using a single collective symbol. This option is not visible of the drafting standard is ANSI.

Simplified

Sets the majority symbol to its simplified representation. Accordingly, only the basic symbol appears in parenthesis at the right of the collective indication.

Full list

Sets the majority symbol to its full representation. Accordingly, if surface texture symbols are present elsewhere in the drawing, their state is fully indicated in parenthesis at the right of the collective indication.

NoteThis option is not available for the GOST standard.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all surface texture symbols that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all surface texture symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all surface texture symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all surface texture symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all surface texture symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Reuse Surface Texture Symbols with the Symbol Library (Concept)

Create and modify surface texture symbols
Surface Texture Symbols
Welding Symbols
Annotate drawings > Create Symbols > Surface Texture Symbols >
Reuse Surface Texture Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can add surface texture symbols to a library. Thereafter, you can insert surface texture symbols directly from the ribbon, saving time. The symbol library is stored in the drawing file, against the drafting standard.

When you add a surface texture symbol to the library, provide a unique name. If the name is longer than the available space, the name appears truncated in the library. However, when you move the pointer over the name, the entire name appears in a tooltip. Additionally, the tooltip shows a summary of the settings for that item.

You can set a default surface texture symbol. Each time you use the AMSURFSYM command, the initial settings for the Surface Texture Symbol dialog box come from the default symbol. You can opt not to have a default, in which case the initial settings come from the most recently used surface texture symbol.

AutoCAD Mechanical enables you to import a symbol library from another drawing. However, the drafting standard and revision of the surface texture symbols in both drawings must be the same.

During the import process, you can choose to replace the entire library, append symbols, or overwrite symbols. If you choose the replace option AutoCAD Mechanical deletes the current library and replaces it with the imported library. If you choose the append option, AutoCAD Mechanical renames the imported symbols by affixing numbers to each symbol’s name when it detects that you already have symbols with the same names. If you choose the overwrite option, AutoCAD Mechanical overwrites existing symbols with imported symbols when it detects that you already have symbols with the same name.


Reuse Surface Texture Symbols with the Symbol Library (Procedure)

Create and modify surface texture symbols
Up a level to ..
Reuse Surface Texture Symbols with the Symbol Library
Annotate drawings > Create Symbols > Surface Texture Symbols >
Reuse Surface Texture Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a surface texture symbol, using the symbol library

To add a surface texture symbol to the library

To delete a surface texture symbol from the library

To rename a surface texture symbol in the library

To import the library from another drawing


To create a surface texture symbol, using the symbol library (Procedure)

Reuse Surface Texture Symbols with the Symbol Library
Up a level to ..
Reuse Surface Texture Symbols with the Symbol Library
Annotate drawings > Create Symbols > Surface Texture Symbols >
Reuse Surface Texture Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a surface texture symbol, using the symbol library

  1. Click the Annotate tab [image] Symbols panel [image] Surface Texture Symbol drop-down list.

    AutoCAD Mechanical displays the surface texture symbols saved in the symbol library.

  2. Click the symbol to insert.
  3. Select an object to attach the surface texture symbol to.
  4. In the drawing area, specify the start point for the leader.
  5. Specify one or more points to define the vertices of the leader and press ENTER.


To add a surface texture symbol to the library (Procedure)

Reuse Surface Texture Symbols with the Symbol Library
Up a level to ..
Reuse Surface Texture Symbols with the Symbol Library
Annotate drawings > Create Symbols > Surface Texture Symbols >
Reuse Surface Texture Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a surface texture symbol to the library

  1. In the drawing area, double-click the surface texture symbol to add to the library.
  2. If necessary, further customize the symbol.
  3. Click Add.
  4. Enter a name for the symbol.
  5. Click OK.


To delete a surface texture symbol from the library (Procedure)

Reuse Surface Texture Symbols with the Symbol Library
Up a level to ..
Reuse Surface Texture Symbols with the Symbol Library
Annotate drawings > Create Symbols > Surface Texture Symbols >
Reuse Surface Texture Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete a surface texture symbol from the library

  1. In the drawing area, double-click any surface texture symbol.
  2. In the library, select the surface texture symbol to remove.
  3. In the drop-down menu on the right, select Delete.
  4. Click OK.


To rename a surface texture symbol in the library (Procedure)

Reuse Surface Texture Symbols with the Symbol Library
Up a level to ..
Reuse Surface Texture Symbols with the Symbol Library
Annotate drawings > Create Symbols > Surface Texture Symbols >
Reuse Surface Texture Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To rename a surface texture symbol in the library

  1. In the drawing area, double-click any surface texture symbol.
  2. In the library, click the surface texture symbol to rename.
  3. From the drop-down menu on the right, select Rename.
  4. Enter the new name for the surface texture symbol.
  5. Click OK.


To import the library from another drawing (Procedure)

Reuse Surface Texture Symbols with the Symbol Library
Up a level to ..
Welding Symbols
Annotate drawings > Create Symbols > Surface Texture Symbols >
Reuse Surface Texture Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import the library from another drawing

  1. In the drawing area, double-click any surface texture symbol.
  2. Click Import. The Select File dialog box is displayed.
  3. Choose the .dwg or .dwt file that contains the desired Library.
  4. Select the method of import;
    • To remove the existing library and replace it with the imported library, select Replace.
    • To append the imported library to the existing library while overwriting symbols with the same names, select Overwrite.
    • To append the imported library to the existing library while renaming symbols with the same name, select Append.
  5. Click OK. The program adds the imported surface texture symbols to the library.
  6. Click OK.
NoteImported libraries must use the same surface texture standard and revision.


Reuse Surface Texture Symbols with the Symbol Library (Quick Reference)

Create and modify surface texture symbols
Reuse Surface Texture Symbols with the Symbol Library
Create and Modify Welding Symbols
Annotate drawings > Create Symbols > Surface Texture Symbols >
Reuse Surface Texture Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surface Texture dialog box

Use the Surface Texture dialog box to specify the surface texture requirements for a surface.

Note
  • The elements in this dialog box depend on the current drafting standard and options you select. Some of the elements described in this page may not appear.
  • Some buttons on this dialog box are only named in tooltips. Move the pointer over the buttons to see their names.

Symbol tab

Options

Sets the options for the graphical display of the symbol. The availability of each option depends on the drafting standard and whether buttons are configured to appear or hide. The options are:

Symbol Type

Basic symbol

Draws the basic symbol only.

Material removal required

Inserts the “machining required” designation on the symbol.

Material removal prohibited

Inserts the “machining prohibited” designation on the symbol.

Force tail

Controls the availability of a tail for a symbol without text.

Use majority symbol

Sets the symbol to be a collective indication of all other surface texture symbols in the drawing. This option is available only if you created the symbol without a leader.

NoteClick Properties to select between the simplified and full-list representations. In the simplified representation, only the basic symbol appears in parentheses to the right of the collective indication. In the full list representation, the state of any surface texture symbol present elsewhere in the drawing is fully indicated in parentheses to the right of the collective indication. Full list is not an option for the GOST standard. Simplified is the default selection.

Library

Lists all the surface texture symbols for the active drafting standard/revision in the symbol library. When you move the pointer over an item, all settings for that item appear in a tooltip. Each item in the library is associated with a context-sensitive menu.

Menu options

Load

Loads the selected symbol from the library. The current settings in the Surface Texture Symbol dialog box are overwritten.

Update

Overwrites the selected symbol in the library with the current settings of the Surface Texture Symbol dialog box. The preview updates to reflect the new settings. The name of the symbol and default status do not change with this operation.

Delete

Removes the selected symbol from the library.

Rename

Makes the symbol name editable. AutoCAD Mechanical validates the name you provide to ensure that the names of the symbols in the library are unique.

Set default

Makes the selected symbol the default symbol of the library. A blue check mark appears next to the symbol to indicate that it is the default symbol. The next time you create a surface texture symbol, the default symbol loads automatically.

Remove default

Removes the default status of the selected symbol. This menu option is available only on the default symbol. When no default symbol is selected, the surface texture symbol dialog box defaults to the settings of the surface texture symbol created or edited most recently.

Add

Saves current settings to the symbol library as a new item in the library. A prompt enables you to name the new item.

Import

Imports the surface texture symbols from the symbol library of another drawing. You can only import symbols of the same standard and revision as the surface texture symbol you are editing.

Requirements

Sets the options used to specify surface texture requirements. The boxes used for data entry appear as and when you add data. The order in which the boxes appear depends on the type of weld you select and therefore may be different to the order in which they appear in the following list. When you move the pointer over a box, the tooltip describes what information to enter to that box.

Insert symbol

Displays a palette to enable you to insert a special character at the current cursor position. The preview in the drawing area shows the special character while the dialog box shows the corresponding control key sequence.

All-around

Inserts the all around indication to the symbol.

Machine allowance

Specifies the machining allowance for the surface. Not available in the GOST standard.

Roughness average max

Specifies the maximum roughness average for the surface.

Roughness average min

Specifies the minimum roughness average for the surface.

First requirement

Specifies the first requirement for the surface.

Second requirement

Specifies the second requirement for the surface.

Third requirement

Specifies the third requirement for the surface.

Fourth requirement

Specifies the fourth requirement for the surface.

Note
This option is available only in the GOST standard.

Texture Direction

Identifies the direction that the texture should take.
Note
This option is available only in the GOST standard.

Production method

Specifies the production requirement for the surface.

User added values that are not identical to existing values are added to the drop-down list.

Note
This option is available only in the GOST standard.

Process note

Specifies the process requirements for the surface.

Process note 1

Specifies the process requirements for the surface.

Process note 2

Specifies the process requirements for the surface.

Sampling length

Specifies the sampling length required for the surface.

Maximum spacing

Specifies the maximum spacing for the surface.

Cutoff

Specifies the cutoff value for the surface.

Reference

Specifies the reference and evaluation length for the surface.

Waviness

Specifies the waviness value for the surface.

Other roughness

Specifies the other roughness for the surface.

Other roughness max

Specifies the maximum other roughness for the surface.

Other roughness min

Specifies the minimum other roughness for the surface.

Direction of lay

Specifies the direction of lay for the surface.

Base length

Enables force tail option when a value is present. This option is available only for the 1973 GOST standard.

Clear

Clears all the data and returns the dialog box options to the default values.

Leader and Text tab

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to By Standard, it acquires the arrowhead from the current drafting standard. Thereafter, if you change the arrowhead selected for the current drafting standard (in the Standard Settings dialog box.or Surface Texture Settings dialog box.) the arrowhead for this symbol updates automatically.

Edit leader segments

Add

Adds a leader, leader segment, or leader node.

Remove

Deletes a leader, or leader segment.

Edit object attachment

Attach

Attaches the symbol to an object in the drawing. When attached, if you move the object the symbol moves with it.

Detach

Detaches the symbol. The symbol becomes a free-standing object.

Lineweight scale

Enlarges or reduces the size of the graphical symbol. The drawing area shows a dynamic preview of the symbol while you change the scale factor. During scaling, the system maintains the line weight at 10% of the symbol text height. When you enlarge or reduce the size of the symbol, the scale factor snaps only to a value for which a valid line weight is available.
NoteThis option is available only if the symbol is not attached to an object.

Automatically adjust symbol position on leader

Select this option to move the symbol to the default position on the leader.

Settings

Opens the Surface Texture Settings dialog box and enables you to edit the default settings for surface texture symbols for the current drafting standard.


Welding Symbols

Reuse Surface Texture Symbols with the Symbol Library
Create Symbols
Create and Modify Welding Symbols
Annotate drawings > Create Symbols >
Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Create and Modify Welding Symbols
  • Create and Modify Welding Symbols for the GOST Standard
  • Reuse Welding Symbols with the Symbol Library


Welding Symbols (Procedure)

Reuse Surface Texture Symbols with the Symbol Library
Up a level to ..
Create and Modify Welding Symbols
Annotate drawings > Create Symbols >
Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a welding symbol

To create a welding symbol, using the symbol library

To create a welding symbol with multiple reference lines

To edit a welding symbol

To edit the requirements of a welding symbol with multiple reference lines

To change the arrowhead on the symbol leader

To add leaders or leader segments

To attach a symbol to an object

To remove leader segments

To detach a symbol from an object

To create a welding symbol (GOST)

To create a welding symbol, using the symbol library

To edit a welding symbol (GOST)

To change the arrowhead on the symbol leader

To add leaders or leader segments

To remove leader segments

To attach a symbol to an object

To detach a symbol from an object

To create a welding symbol, using the symbol library

To add a welding symbol to the library

To delete a welding symbol from the library

To rename a welding symbol in the library

To edit a welding symbol in the library

To set a welding symbol in the library as a default

To import the library from another drawing


Create and Modify Welding Symbols (Concept)

Welding Symbols
Welding Symbols
Create and Modify Welding Symbols for the GOST Standard
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical gives you the ability to create welding symbols that comply with the active drafting standard. The list at the bottom of the page provides a complete list of supported standards.

AutoCAD Mechanical supports the following:

  • Use of object snaps or entering of coordinate values to define the proposed joint conclusively.
  • Ability to specify supplementary symbols and related data, separately for the arrow side and other side.
  • Ability to place the all around symbol and the field weld symbol at the junction of the arrow (leader) and reference line.
  • Ability to stagger intermittent fillet welds (and ANSI edge welds) on both sides.
  • Ability to select between move stagger and mirrored stagger for JIS intermittent fillet welds on both sides.
  • Ability to select a welding process from predefined lists.
  • Ability to store frequently used welding symbols in a welding library and quickly reuse them.
  • Ability to use multiple reference lines to indicate a sequence of operations (ANSI only).
  • Ability to use two or more arrows (leaders) with a single reference line, enabling you to point to locations where identical welds are specified.
  • Ability to exist as a free-standing object or as a symbol attached to an object in the drawing. When you attach a symbol, the symbol moves with the object whenever you move the object.
    NoteIf the arrow (leader) is attached to an object in the drawing and you want to attach it to another object, you must detach it first.

Reuse welding symbols from the symbol library

You can add any welding symbol you create to a Symbol Library. Thereafter you can insert welding symbols directly from the library, which can save time. The symbol library is stored in the drawing file, against the drafting standard.

International Drafting Standards implemented for welding symbols

  • ANSI/AWS A2.4 (1998)
  • BS EN 22553 (1995)
  • BS EN ISO 4063 (2000) *For supplementary weld symbols
  • CSN EN 22553 (1998)
  • CS EN ISO 4063 (2001) * For supplementary weld symbols
  • DIN EN 22553 (1997)
  • DIN EN ISO 4063 (2000) *For supplementary weld symbols
  • DIN ISO 1101 (1983)
  • GB 324 (1988)
  • ISO 2553 (1992)
  • ISO 4063 (1998) *For supplementary weld symbols
  • GOST 2.312-72


Create and Modify Welding Symbols (Procedure)

Welding Symbols
Up a level to ..
Create and Modify Welding Symbols
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a welding symbol

To create a welding symbol, using the symbol library

To create a welding symbol with multiple reference lines

To edit a welding symbol

To edit the requirements of a welding symbol with multiple reference lines

To change the arrowhead on the symbol leader

To add leaders or leader segments

To attach a symbol to an object

To remove leader segments

To detach a symbol from an object


Create and Modify Welding Symbols (Quick Reference)

Reuse Surface Texture Symbols with the Symbol Library
Create and Modify Welding Symbols
Create and Modify Welding Symbols
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMWELDSYM

Weld Symbol dialog box

Process List dialog box

Welding Settings dialog box


To create a welding symbol (Procedure)

Create and Modify Welding Symbols
Up a level to ..
Create and Modify Welding Symbols
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a welding symbol

  1. Click Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMWELDSYM.
  2. Select an object to attach the weld symbol to.
  3. In the drawing area, specify the joint (start point for the arrow).
  4. Specify one or more points to define the vertices of the leader and press ENTER.
  5. In the Symbol tab, specify the general appearance of the symbol as required.
    • To align the position of the arrow side data, the identification line, or direction of the symbol tail to the left, in the Options section, select Flip symbol.
    • To stagger the alignment of intermittent fillet welds (or ANSI edge welds) on both sides, in the Options section, select Stagger.
    • To add the all-around designation, click the All-Around button.
    • To add a tail to the welding symbol, click the Add Note Tail button.
    • To add a process from a predefined list:
      1. Click Add Process.
      2. To prefix process numbers with the statement “Process ISO 4063,” select the Prefix Process number with “Process ISO 4063-”check box.
        NoteThis option is not available if the current drafting standard is ANSI.
      3. Double-click the processes to add.
      4. Click Close.
    • To edit processes by entering details using the keyboard:
      1. In the box beneath Add Process, click at the position you want to edit.
      2. Enter the process details.
    • To delete a process, select it and press the DELETE key
    • To draw a box around the note, select Add note frame.
      NoteThis button is not available if the current drafting standard is ANSI.
  6. To specify arrow side data:
    1. Click the Weld Type button on the arrow side and select a weld symbol. The available options change to match the symbol you select.
    2. Specify parameters.
  7. To specify other side data:
    1. Click the Weld Type button on the other side and select a weld symbol. The available options change to match the symbol you select.
    2. Specify parameters.
  8. Click OK.
NoteTo clear all data in the Weld Symbol dialog box, click Clear.


To create a welding symbol, using the symbol library (Procedure)

Create and Modify Welding Symbols
Up a level to ..
Create and Modify Welding Symbols
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a welding symbol, using the symbol library

  1. Click the Annotate tab [image] Symbols panel [image] Welding Symbol drop-down.

    AutoCAD Mechanical displays the welding symbols saved in the symbol library.

  2. Click the symbol to insert.
  3. Select an object to attach the weld symbol to.
  4. In the drawing area, specify the joint (start point for the arrow).
  5. Specify one or more points to define the vertices of the leader and press ENTER.


To create a welding symbol with multiple reference lines (Procedure)

Create and Modify Welding Symbols
Up a level to ..
Create and Modify Welding Symbols
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a welding symbol with multiple reference lines

NoteThis procedure is only possible if the current drafting standard is ANSI.
  1. Click Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMWELDSYM.
  2. Select an object to attach the weld symbol to.
  3. In the drawing area, specify the joint (start point for the arrow) and press ENTER.
  4. In the Symbol tab, specify the general appearance of the symbol as required.
    • To align the arrow side data, identification line, or the symbol tail to the left, in the Options section, select Flip symbol.
    • To stagger the alignment of intermittent fillet welds (or ANSI edge welds) on both sides, in the Options section, select Stagger.
    • To add the all round designation, click the All Around button.
    • To add a tail to the welding symbol, click the Add Note Tail button.
    • To add a process from a predefined list:
      1. Click Add Process.
      2. To prefix process numbers with the statement “Process ISO 4063,” select the Prefix Process number with “Process ISO 4063-”check box.
        NoteThis option is not available if the current drafting standard is ANSI.
      3. Double-click the processes to add.
      4. Click Close.
    • To edit processes by entering details using the keyboard:
      1. In the box beneath Add Process, click at the position you want to edit.
      2. Enter the process details.
    • To delete a process, select it and press the DEL key
    • To draw a box around the note, select Add note frame.
      NoteThis button is not available if the current drafting standard is ANSI.
  5. Click Add.
  6. Repeat the procedure to specify the appearance of subsequent weld symbols.
  7. After you create the weld symbols, click OK.
NoteTo clear all data in the Weld Symbol dialog box, click Clear.


To edit a welding symbol (Procedure)

Create and Modify Welding Symbols
Up a level to ..
Create and Modify Welding Symbols
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit a welding symbol

  1. In the drawing area, double-click the welding symbol to edit.
  2. In the Symbol tab, change the general appearance of the symbol as required.
    • To align the arrow side data, identification line, or symbol tail to the left, in the Orientation section, select Flip symbol. If Flip symbol is not selected, the alignment is on the right.
    • To stagger the alignment of fillet welds (or ANSI edge welds) on both sides, in the Orientation section, select Stagger.
    • To add the all-around designation, click the Supplementary Symbol button.
    • To add a tail to the welding symbol, click the Weld Tail Toggle button.
    • To add a process from a predefined list:
      1. Click Add Process.
      2. To prefix process numbers with the statement “Process ISO 4063,” select the Prefix Process number with “Process ISO 4063-”check box.
        NoteThis option is not available if the current drafting standard is ANSI.
      3. Double-click the processes to add.
      4. Click Close.
    • To edit processes by entering details using the keyboard:
      1. In the box under Add Process, click at the position you want to edit.
      2. Enter the process details.
    • To delete a process, select it and press the DELETE key
    • To draw a box around the note, select Add note frame.
      NoteThis button is not available if the current drafting standard is ANSI.
  3. To change arrow side data:
    1. Click the Weld symbol button on the Arrow Side and select a weld symbol. The available options change to match the symbol you select.
    2. Specify parameters.
  4. To change other side data:
    1. Click the Weld symbol button on the Other Side and select a weld symbol. The available options change to match the symbol you select.
    2. Specify parameters.
  5. Click OK.
NoteTo clear all data in the Weld Symbol dialog box, click Clear.


To edit the requirements of a welding symbol with multiple reference lines (Procedure)

Create and Modify Welding Symbols
Up a level to ..
Create and Modify Welding Symbols
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit the requirements of a welding symbol with multiple reference lines

NoteThis procedure is only possible if the current drafting standard is ANSI.
  1. In the drawing area, double-click the welding symbol to edit.
  2. In the Symbol tab, click Next or Previous until the program highlights the reference line to edit in the drawing area.
  3. Modify the requirements as appropriate.
  4. Click OK.
NoteTo clear all data in the Weld Symbol dialog box, click Clear.


To change the arrowhead on the symbol leader (Procedure)

Create and Modify Welding Symbols
Up a level to ..
Create and Modify Welding Symbols
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the arrowhead on the symbol leader

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. From the Arrowhead drop-down list, select an arrowhead.
  4. Click OK.


To add leaders or leader segments (Procedure)

Create and Modify Welding Symbols
Up a level to ..
Create and Modify Welding Symbols
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add leaders or leader segments

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Add.
  4. Select an object in the drawing to attach the new leader, or select the first point.
    • the first point of the original leader to add the leader segments to or
    • a point of the original leader to add a new leader branch
  5. Click OK.
Tip
  • To add a new leader node select only one point at the original leader.
  • Use the grip points to move the leader nodes.


To attach a symbol to an object (Procedure)

Create and Modify Welding Symbols
Up a level to ..
Create and Modify Welding Symbols
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To attach a symbol to an object

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Attach. The dialog box hides.
  4. Select an object in the drawing to attach the symbol to. The dialog box is displayed again.
  5. Click OK.


To remove leader segments (Procedure)

Create and Modify Welding Symbols
Up a level to ..
Create and Modify Welding Symbols
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove leader segments

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Remove.
    NoteThe Remove button is available only if the leader contains removable segments.
  4. Select a leader segment or leader node. The program bases deletion on your selection and on the following rules:
    • A part of the leader, if you select an internal node or segment, or
    • A leader branch, if you select the last segment of the leader branch.
    • The whole leader, if you select the last leader segment or the last leader node.
  5. Click OK.
NoteFor visual control, the program highlights the part of the leader to remove.


To detach a symbol from an object (Procedure)

Create and Modify Welding Symbols
Up a level to ..
Create and Modify Welding Symbols for the GOST Standard
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To detach a symbol from an object

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Detach.
  4. Click OK.


Create and Modify Welding Symbols (Quick Reference)

Create and Modify Welding Symbols
Create and Modify Welding Symbols
Create and Modify Welding Symbols
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMWELDSYM

Creates a welding symbol and optionally attaches it to an object in the drawing area.

Ribbon: Annotate tab [image] Symbol panel [image] Welding Symbol.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Welding Symbol Does not exist in the menus.
Command entry: amweldsym

You can select graphical symbols for a wide range of welds. The Weld Symbol dialog box changes dynamically to show only the requirements corresponding to the weld type you select.

COMMAND LINE OPTIONS

Select Object to attach or [Library]: Select an object in the drawing to which to attach the symbol. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case the prompt requesting you to specify the start point does not appear. To insert a welding symbol directly from the symbol library enter L.

Object to attach

Attaches the symbol to an object.

Specify start point: Specify the start point of the leader.

Specify next point: Specify the next vertex of the leader.

Next Point <Symbol>: Specify the next point of the leader or press ENTER to place the symbol. The Welding Symbol dialog box appears when you press ENTER.

Library

Specifies that the symbol text is to be obtained from the symbol library

Enter symbol name or [?] <Default symbol name>: Enter the name of the symbol library item or enter ? to list the names of all the welding symbols in the symbol library. Press ENTER to accept the default symbol. If no default exists, pressing ENTER lists the names of all the welding symbols in the symbol library.

Select object to attach or [Library]: Select an object in the drawing to which to attach the symbol. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case the prompt requesting you to specify the start point does not appear.

Specify start point: Specify the start point of the leader.

Specify next point: Specify the next vertex of the leader.

Specify next point <Symbol>: Specify the next point of the leader or press ENTER to place the selected symbol in the drawing area.


Create and Modify Welding Symbols (Quick Reference)

Create and Modify Welding Symbols
Create and Modify Welding Symbols
Create and Modify Welding Symbols
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Weld Symbol dialog box

Use the Weld Symbol dialog box to set up the parameters of the symbol you are inserting.

Note
  • The visibility of the elements in this dialog box depend on the current drafting standard and the options you select. Some of the elements described in this page may not appear on the dialog box.
  • Some buttons on this dialog box are named only in tooltips. Move the pointer over the buttons to obtain their names.
Symbol Tab |  |  |
 | Options Changes the orientation of welding symbol elements.
 |  | Flip sides Swaps symbols on the arrow side with the symbols on the other side. The icon to the left of the check box shows the result of your selection.
 |  | Flip symbol Flips the symbol so that the weld tail is placed to the left of the arrow. The icon to the left of the check box shows the result of your selection.
 |  | Stagger Specifies that the weld represents a staggered intermittent weld. The icon to the left of the check box shows the result of your selection. This option is available only if you select fillet welds or ANSI edge welds for both sides.
 |  | Mirror Specifies that the weld represents a staggered intermittent weld where the shape and dimensions of the fillet on both sides are equal. The icon to the left of the check box shows the result of your selection. This option is visible only if you select JIS fillet welds for both sides.
 |  | Spacer Adds a spacer symbol to the weld.
 |  | Adds a reference line to the welding symbol for indicating a sequence of welding operations. This option is visible only for the ANSI standard.
 |  | Deletes the current reference line. The current reference line is highlighted in the drawing. This option is visible only for the ANSI standard.
 |  | Selects the next reference line closer to the arrow and displays its settings in the dialog box. This option is visible only for the ANSI standard.
 |  | Selects the reference line further from the arrow, and displays its settings in the dialog box. This option is visible only for the ANSI standard.
 | Library Lists all the welding symbols for the active drafting standard/revision in the symbol library. When you move the pointer over an item, all settings for that item appear in a tooltip. Each item in the library is associated with a context-sensitive menu.
 |  | Menu options
 |  |  | Load Loads the selected symbol from the library. The current settings in the Welding Symbol dialog box are overwritten. Load operations ignore the Flip symbol check box.
 |  |  | Update Overwrites the selected symbol in the library with the current settings of the Welding Symbol dialog box. The preview updates to reflect the new settings. The name of the symbol and default status do not change.
 |  |  | Delete Removes the selected symbol from the library.
 |  |  | Rename Makes the symbol name editable. AutoCAD Mechanical validates the name to ensure that the symbol names are unique.
 |  |  | Set default Makes the selected symbol the default symbol of the library. A blue check mark appears next to the symbol to indicate that it is the default symbol. The next time you create a welding symbol, the default symbol loads automatically.
 |  |  | Remove default Removes the default status of the selected symbol. This menu option is available only on the default symbol. When there is no default symbol selected, the welding symbol dialog box defaults to the settings of the welding symbol you created or edited most recently.
 |  | Add Saves current settings to the symbol library as a new item in the library. A prompt enables you to name the new item.
 |  | Import Imports the welding symbols from the symbol library of another drawing. You can only import symbols of the same standard and revision as the welding symbol you are editing.
 | Requirements Provides a space for you to specify the welding requirements. The boxes used for data entry appear as and when you add data. The order in which the boxes appear depends on the type of weld you select and may be different to the order in which they appear in the following list. When you move the pointer over a box, the tooltip describes the information to enter into the box.
 |  | Field weld symbol Adds the field weld indication to the symbol.
 |  | All around Adds the peripheral weld (all around) indication to the symbol.
 |  | Weld type Displays a palette of supplementary weld symbols enabling you to choose a weld symbol to describe the joint.
 |  | Identification line Specifies the location of the identification line.
 |  | Add note tail Adds a tail to the end of the reference line.
 |  | Add Process Displays the Process List dialog box, enabling you to add a welding process to the symbol. Additionally, automatically adds a note tail to the end of the reference line.
 |  | Closed note tail Draws a box around the information specified on the tail.
 |  | Small leg Specifies the small leg of the fillet weld.
 |  | Diameter Specifies the diameter for the plug and slot weld.
 |  | Size Specifies the size of the weld.
 |  | Depth Specifies the groove depth of the weld.
 |  | Height Specifies the height for Single-flange welds.
 |  | Length Specifies the length of the weld.
 |  | Width Specifies the width for the weld.
 |  | Number Specifies the number of welds.
 |  | Pitch Specifies the distance between the centers of the welds.
 |  | Spacing Specifies the distance between welds.
 |  | Gap Specifies the size of the gap between the welds.
 |  | Root gap Specifies the size of the gap between the welds.
 |  | Root Specifies the size of the gap between the welds.
 |  | Clearance Specifies the size of the gap between the welds.
 |  | Partial Specifies a partial penetration weld.
 |  | Angle Specifies the groove angle of the weld.
 |  | Contour Specifies the contour or shape of the weld surface.
 |  | Method Specifies the finishing method of the weld.
 |  | Thickness Specifies the thickness of the weld.
 |  | Brazing Specifies the usage of brazing.
 |  | Test Specifies the type of test to perform while enabling the test to take place on either side of the weld.
 |  | Either side Specifies the thickness of the weld.
 | Clear Clears all the data and returns the dialog box options to the default settings.
Leader and Text tab
 | Arrowhead Specifies the type of the leader arrowhead. When the arrowhead is set to By Standard, it acquires the arrowhead from the current drafting standard. Thereafter, if you change the arrowhead selected for the current drafting standard (in the Standard Settings dialog box.or Welding Settings dialog box.) the arrowhead for this symbol updates automatically.
 | Edit leader segments
 |  | Add Adds a leader, leader segment, or leader node.
 |  | Remove Deletes a leader, or leader segment.
 | Edit object attachment
 |  | Attach Attaches the symbol to an object in the drawing. When attached, if you move the object the symbol moves with it.
 |  | Detach Detaches the symbol. The symbol becomes a free-standing object.
 | Text Justification Sets justification of text. Changing the symbol alignment from the General tab overwrites the text justification setting. Selecting center alignment does not change the setting.
Settings Opens the Welding Settings dialog box and enables you to edit the default settings for welding symbols for the current drafting standard.


Create and Modify Welding Symbols (Quick Reference)

Create and Modify Welding Symbols
Create and Modify Welding Symbols
Create and Modify Welding Symbols
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Process List dialog box

Use this dialog box to insert a process number to a welding symbol.

Number

The process number that represents a welding process. Double-click to insert it to the welding symbol.

Process

The name of the welding process represented by the number corresponding to that row.

Prefix Process number with “Process ISO 4063-”

Adds the text “Process ISO 4063 -” in front of the process number, to insert a process into a welding symbol. This option is not visible for the ANSI, JIS, and GB standards.


Create and Modify Welding Symbols (Quick Reference)

Create and Modify Welding Symbols
Create and Modify Welding Symbols
Create and Modify Welding Symbols for the GOST Standard
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Welding Settings dialog box

Revision

Displays most recent revision of the standard this symbol complies with.

Identification Line

Defines the appearance of identification lines. This section is not visible if the active drafting standard is ANSI, GOST, or JIS.

Line Type

Displays the linetype to use for identification lines. This option is available only for custom standards.

Gap

Sets the distance between the identification line and the reference line.

Weld Symbols

Allow ISO Standards

Makes additional ISO symbols available for selection. This option is available only for the JIS standard.

Show symbols for

Sets the symbol types. Available types are Weld Symbols, Contour Symbols, and Backing Symbols.

Symbols list

Displays a list of supplementary weld symbols supported by the system. Select the check box in front of a weld symbol to make it available for insertion via the AMWELDSYM command.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all welding symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow sizes for all welding symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader colors of all welding symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all welding symbols based on the current drafting standard changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts the selection to values in the list.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Set text object colors in the Object Property Settings dialog box.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text colors of all welding symbols based on the current drafting standard change automatically.

Restore Defaults

Returns all values to the default values for the current standard.


Create and Modify Welding Symbols for the GOST Standard (Concept)

Create and Modify Welding Symbols
Welding Symbols
Reuse Welding Symbols with the Symbol Library
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols for the GOST Standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In the GOST standard, the welding symbol is different from other standards supported by AutoCAD Mechanical. Some symbol elements are specific to the standard. Elements that are common across standards are located in different locations.

However, the GOST standard uses many of the AutoCAD Mechanical features such as changing the arrowhead or adding a welding symbol to a custom library.

Reuse welding symbols from the symbol library

You can add welding symbols you create to a Symbol Library. Thereafter you can insert welding symbols directly from the library, which can save time. The symbol library is stored in the drawing file, based on the drafting standard.

Add MText

To add MText, you must use the Stack command in the Text Formatting dialog box to add MText. The Stack command is used to make the MText a fraction. Highlight the string you want to stack and click the Stack command.


Create and Modify Welding Symbols for the GOST Standard (Procedure)

Create and Modify Welding Symbols
Up a level to ..
Create and Modify Welding Symbols for the GOST Standard
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols for the GOST Standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a welding symbol (GOST)

To create a welding symbol, using the symbol library

To edit a welding symbol (GOST)

To change the arrowhead on the symbol leader

To add leaders or leader segments

To remove leader segments

To attach a symbol to an object

To detach a symbol from an object


Create and Modify Welding Symbols for the GOST Standard (Quick Reference)

Create and Modify Welding Symbols
Create and Modify Welding Symbols for the GOST Standard
Create and Modify Welding Symbols for the GOST Standard
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols for the GOST Standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMWELDSYM

Weld Symbol (GOST) dialog box

Welding Settings dialog box


To create a welding symbol (GOST) (Procedure)

Create and Modify Welding Symbols for the GOST Standard
Up a level to ..
Create and Modify Welding Symbols for the GOST Standard
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols for the GOST Standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a welding symbol (GOST)

  1. Click Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMWELDSYM.
  2. Select the object where you want to attach the welding symbol.
  3. Specify one or more points to define the vertices of the leader and press ENTER.
  4. In the Symbol tab, specify the general appearance of the symbol as required.
    • To align the arrow side, identification line, or symbol tail to the left, in the Options section, select Flip Side.
    • To flip the symbol alignment from right to left, in the Options section, select Flip Symbol.
  5. To specify arrow side weld data, click the appropriate weld button and add data as necessary in the appropriate fields.
  6. To specify other side data, click the appropriate weld button and add data as necessary in the appropriate fields.
  7. Click OK.


To create a welding symbol, using the symbol library (Procedure)

Create and Modify Welding Symbols for the GOST Standard
Up a level to ..
Create and Modify Welding Symbols for the GOST Standard
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols for the GOST Standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a welding symbol, using the symbol library

  1. Click the Annotate tab [image] Symbols panel [image] Welding Symbol drop-down.

    AutoCAD Mechanical displays the welding symbols saved in the symbol library.

  2. Click the symbol to insert.
  3. Select an object to attach the weld symbol to.
  4. In the drawing area, specify the joint (start point for the arrow).
  5. Specify one or more points to define the vertices of the leader and press ENTER.


To edit a welding symbol (GOST) (Procedure)

Create and Modify Welding Symbols for the GOST Standard
Up a level to ..
Create and Modify Welding Symbols for the GOST Standard
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols for the GOST Standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit a welding symbol (GOST)

  1. In the drawing area, double-click the welding symbol to edit.
  2. In the Symbol tab, change the symbol appearance as required. You can change the following:
    • Flip Side flips the arrow side and weld side.
    • Flip Symbol realigns the symbol orientation. When checked, the program aligns the symbol on the left.
    • Change arrow side weld data as necessary.
    • Change other side data as necessary.
  3. Click OK.


To change the arrowhead on the symbol leader (Procedure)

Create and Modify Welding Symbols for the GOST Standard
Up a level to ..
Create and Modify Welding Symbols for the GOST Standard
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols for the GOST Standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the arrowhead on the symbol leader

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. From the Arrowhead drop-down list, select an arrowhead.
  4. Click OK.


To add leaders or leader segments (Procedure)

Create and Modify Welding Symbols for the GOST Standard
Up a level to ..
Create and Modify Welding Symbols for the GOST Standard
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols for the GOST Standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add leaders or leader segments

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Add.
  4. Select an object in the drawing to attach the new leader, or select the first point.
    • the first point of the original leader to add the leader segments to or
    • a point of the original leader to add a new leader branch
  5. Click OK.
Tip
  • To add a new leader node select only one point at the original leader.
  • Use the grip points to move the leader nodes.


To remove leader segments (Procedure)

Create and Modify Welding Symbols for the GOST Standard
Up a level to ..
Create and Modify Welding Symbols for the GOST Standard
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols for the GOST Standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove leader segments

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Remove.
    NoteThe Remove button is available only if the leader contains removable segments.
  4. Select a leader segment or leader node. The program bases deletion on your selection and on the following rules:
    • A part of the leader, if you select an internal node or segment, or
    • A leader branch, if you select the last segment of the leader branch.
    • The whole leader, if you select the last leader segment or the last leader node.
  5. Click OK.
NoteFor visual control, the program highlights the part of the leader to remove.


To attach a symbol to an object (Procedure)

Create and Modify Welding Symbols for the GOST Standard
Up a level to ..
Create and Modify Welding Symbols for the GOST Standard
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols for the GOST Standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To attach a symbol to an object

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Attach. The dialog box hides.
  4. Select an object in the drawing to attach the symbol to. The dialog box is displayed again.
  5. Click OK.


To detach a symbol from an object (Procedure)

Create and Modify Welding Symbols for the GOST Standard
Up a level to ..
Reuse Welding Symbols with the Symbol Library
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols for the GOST Standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To detach a symbol from an object

  1. In the drawing area, double-click the symbol to edit.
  2. Select the Leader and Text tab.
  3. Click Detach.
  4. Click OK.


Create and Modify Welding Symbols for the GOST Standard (Quick Reference)

Create and Modify Welding Symbols for the GOST Standard
Create and Modify Welding Symbols for the GOST Standard
Create and Modify Welding Symbols for the GOST Standard
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols for the GOST Standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMWELDSYM

Creates a welding symbol and optionally attaches it to an object in the drawing area.

Ribbon: Annotate tab [image] Symbol panel [image] Welding Symbol.
Toolbar: Symbols
Menu: Annotate [image] Symbols [image] Welding Symbol Does not exist in the menus.
Command entry: amweldsym

You can select graphical symbols for a wide range of welds. The Weld Symbol dialog box changes dynamically to show only the requirements corresponding to the weld type you select.

COMMAND LINE OPTIONS

Select Object to attach or [Library]: Select an object in the drawing to which to attach the symbol. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case the prompt requesting you to specify the start point does not appear. To insert a welding symbol directly from the symbol library enter L.

Object to attach

Attaches the symbol to an object.

Specify start point: Specify the start point of the leader.

Specify next point: Specify the next vertex of the leader.

Next Point <Symbol>: Specify the next point of the leader or press ENTER to place the symbol. The Welding Symbol dialog box appears when you press ENTER.

Library

Specifies that the symbol text is to be obtained from the symbol library

Enter symbol name or [?] <Default symbol name>: Enter the name of the symbol library item or enter ? to list the names of all the welding symbols in the symbol library. Press ENTER to accept the default symbol. If no default exists, pressing ENTER lists the names of all the welding symbols in the symbol library.

Select object to attach or [Library]: Select an object in the drawing to which to attach the symbol. If you do not want to attach the symbol to any object, click in the drawing area to select the start point of the leader. In this case the prompt requesting you to specify the start point does not appear.

Specify start point: Specify the start point of the leader.

Specify next point: Specify the next vertex of the leader.

Specify next point <Symbol>: Specify the next point of the leader or press ENTER to place the selected symbol in the drawing area.


Create and Modify Welding Symbols for the GOST Standard (Quick Reference)

Create and Modify Welding Symbols for the GOST Standard
Create and Modify Welding Symbols for the GOST Standard
Create and Modify Welding Symbols for the GOST Standard
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols for the GOST Standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Weld Symbol (GOST) dialog box

Use this dialog box to add a welding symbol that conforms to the GOST standard.

Symbol Tab

Options

Changes the orientation of welding symbol elements.

Flip sides

Swaps symbols on the arrow side with the symbols on the other side. The icon to the left of the check box shows the result of your selection.

Flip symbol

Flips the symbol so that the weld tail is placed to the left of the arrow. The icon to the left of the check box shows the result of your selection.

Library

Lists all the welding symbols for the active drafting standard/revision in the symbol library. When you move the pointer over an item, all settings for that item appear in a tooltip. Each item in the library is associated with a context-sensitive menu.

Menu options

Load

Loads the selected symbol from the library. The current settings in the Welding Symbol dialog box are overwritten. Load operations ignore the Flip symbol setting.

Update

Overwrites the selected symbol in the library with the current settings of the Welding Symbol dialog box. The preview updates to reflect the new settings. This operation does not affect the name of the symbol or default status.

Delete

Removes the selected symbol from the library.

Rename

Makes the symbol name editable. AutoCAD Mechanical validates the name you provide to ensure that the names of the symbols in the library are unique.

Set default

Makes the selected symbol the default symbol of the library. A blue check mark appears next to the symbol to indicate that it is the default symbol. The next time you create a welding symbol, the default symbol loads automatically.

Remove default

Removes the default status of the selected symbol. This menu option is available only on the default symbol. When there is no default symbol selected, the welding symbol dialog box defaults to the settings of the welding symbol you created or edited most recently.

Add

Saves current settings to the symbol library as a new item in the library. A prompt enables you to name the new item.

Import

Imports the welding symbols from the symbol library of another drawing. You can only import symbols of the same standard and revision as the welding symbol you are editing.

Requirements

Provides a field for you to specify the welding requirements. The content defines the welding symbol. When you move the pointer over a box, the tooltip describes the information you can add.

Total Count

The total number of instances of the current weld definition.

Weld Index

The weld index number.

Weld contour symbol

Click the button to toggle between the Field Weld symbol and the All-around weld symbol. Displays a palette of supplementary weld symbols enabling you to choose a weld symbol to describe the joint.

  • Field weld symbol - Adds the field weld indication to the symbol.
  • All around symbol - Adds the peripheral weld (all around) indication to the symbol.

Weld definition standard

Specifies the standard that governs the weld process.

Weld designation

Specifies the alphanumeric designation of the weld.

Welding type

Specifies the conventional annotation of the welding method.

Weld leg

Specifies the weld leg length. You can use ratios as necessary.

Weld size 1

Specifies the first weld size.

Weld size type

Displays the weld palette. Select the weld type from the palette. Options include the following

  • None - Weld type not specified.
  • Intermittent weld
  • Zigzag weld

Weld Size 2

Specifies the second weld size.

Technical Reference

References a specific technical requirement. The reference appears as a superscript at the end of the reference.

Secondary Symbol

Displays the Secondary Weld palette. Specifies the secondary weld symbol on the side of the weld face. Options include the following:

  • None - No symbol specified.
  • Cut enforcement of joint
  • Smooth transition from roughness to main metal.
  • No closed contour for joint.

Back side secondary symbol

Displays the Backside Weld palette. Specifies the secondary weld symbol on the side opposite to the weld face. Options include the following:

  • None - No symbol specified.
  • Cut enforcement of joint
  • Smooth transition from roughness to main metal.
  • No closed contour for joint.

Weld Annotation

Use to add additional weld information.

Clear

Clears all the data and returns the dialog box options to the default settings.

Leader and Text tab

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to By Standard, it acquires the arrowhead from the current drafting standard. Thereafter, if you change the arrowhead selected for the current drafting standard (in the Standard Settings dialog box.or Welding Settings dialog box.) the arrowhead for this symbol updates automatically.

Edit leader segments

Add

Adds a leader, leader segment, or leader node.

Remove

Deletes a leader, or leader segment.

Edit object attachment

Attach

Attaches the symbol to an object in the drawing. When attached, if you move the object the symbol moves with it.

Detach

Detaches the symbol. The symbol becomes a free-standing object.

Text Justification

Sets justification of text. Changing the symbol alignment from the general tab overrides the text justification setting. Selecting center alignment does not override the setting.

Settings

Opens the Welding Settings dialog box and enables you to edit the default settings for welding symbols for the current drafting standard.


Create and Modify Welding Symbols for the GOST Standard (Quick Reference)

Create and Modify Welding Symbols for the GOST Standard
Create and Modify Welding Symbols for the GOST Standard
Reuse Welding Symbols with the Symbol Library
Annotate drawings > Create Symbols > Welding Symbols >
Create and Modify Welding Symbols for the GOST Standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Welding Settings dialog box

Revision

Displays most recent revision of the standard this symbol complies with.

Identification Line

Defines the appearance of identification lines. This section is not visible if the active drafting standard is ANSI, GOST, or JIS.

Line Type

Displays the linetype to use for identification lines. This option is available only for custom standards.

Gap

Sets the distance between the identification line and the reference line.

Weld Symbols

Allow ISO Standards

Makes additional ISO symbols available for selection. This option is available only for the JIS standard.

Show symbols for

Sets the symbol types. Available types are Weld Symbols, Contour Symbols, and Backing Symbols.

Symbols list

Displays a list of supplementary weld symbols supported by the system. Select the check box in front of a weld symbol to make it available for insertion via the AMWELDSYM command.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all welding symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow sizes for all welding symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader colors of all welding symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all welding symbols based on the current drafting standard changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts the selection to values in the list.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Set text object colors in the Object Property Settings dialog box.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text colors of all welding symbols based on the current drafting standard change automatically.

Restore Defaults

Returns all values to the default values for the current standard.


Reuse Welding Symbols with the Symbol Library (Concept)

Create and Modify Welding Symbols for the GOST Standard
Welding Symbols
Create Hole Charts
Annotate drawings > Create Symbols > Welding Symbols >
Reuse Welding Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can add welding symbols to a library. Thereafter, you can insert welding symbols directly from the ribbon, saving time. The symbol library is stored in the drawing file, against the drafting standard.

When you add a welding symbol to the library, you must provide a unique name for it. If the name you provide is longer than the available space, in the library the name appears truncated. However, when you move the pointer over the name, the entire name appears in a tooltip. Additionally, the tooltip shows a summary of the settings for that item.

In addition to being able to delete, rename, or modify a welding symbol in the symbol library, you can set one as the default. When you use the AMWELDSYM command, the initial settings for the Weld Symbol dialog box come from the default symbol. You can opt not to have a default, in which case the initial settings come from the most recently used welding symbol.

AutoCAD Mechanical enables you to import a symbol library from another drawing. However, the drafting standard and revision of the welding symbols in both drawings must be the same.

During the import process, you can choose to replace the entire library, append symbols, or overwrite symbols. If you choose the replace option AutoCAD Mechanical deletes the current library and replaces it with the imported library. If you choose the append option, AutoCAD Mechanical renames the imported symbols, affixing a number to each symbol’s name when it detects that you already have symbols with the same name. If you choose the overwrite option, AutoCAD Mechanical overwrites existing symbols with imported symbols when it detects that you already have symbols with the same name.


Reuse Welding Symbols with the Symbol Library (Procedure)

Create and Modify Welding Symbols for the GOST Standard
Up a level to ..
Reuse Welding Symbols with the Symbol Library
Annotate drawings > Create Symbols > Welding Symbols >
Reuse Welding Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a welding symbol, using the symbol library

To add a welding symbol to the library

To delete a welding symbol from the library

To rename a welding symbol in the library

To edit a welding symbol in the library

To set a welding symbol in the library as a default

To import the library from another drawing


To create a welding symbol, using the symbol library (Procedure)

Reuse Welding Symbols with the Symbol Library
Up a level to ..
Reuse Welding Symbols with the Symbol Library
Annotate drawings > Create Symbols > Welding Symbols >
Reuse Welding Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a welding symbol, using the symbol library

  1. Click the Annotate tab [image] Symbols panel [image] Welding Symbol drop-down.

    AutoCAD Mechanical displays the welding symbols saved in the symbol library.

  2. Click the symbol to insert.
  3. Select an object to attach the weld symbol to.
  4. In the drawing area, specify the joint (start point for the arrow).
  5. Specify one or more points to define the vertices of the leader and press ENTER.


To add a welding symbol to the library (Procedure)

Reuse Welding Symbols with the Symbol Library
Up a level to ..
Reuse Welding Symbols with the Symbol Library
Annotate drawings > Create Symbols > Welding Symbols >
Reuse Welding Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a welding symbol to the library

  1. In the drawing area, double-click the welding symbol you want to add to the library.
  2. If necessary, further customize the symbol.
  3. Click Add.
  4. Enter a name for the symbol.
  5. Click OK.


To delete a welding symbol from the library (Procedure)

Reuse Welding Symbols with the Symbol Library
Up a level to ..
Reuse Welding Symbols with the Symbol Library
Annotate drawings > Create Symbols > Welding Symbols >
Reuse Welding Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete a welding symbol from the library

  1. In the drawing area, double-click any welding symbol.
  2. In the library, select the welding symbol to remove.
  3. In the drop-down menu on the right, select Delete.
  4. Click OK.


To rename a welding symbol in the library (Procedure)

Reuse Welding Symbols with the Symbol Library
Up a level to ..
Reuse Welding Symbols with the Symbol Library
Annotate drawings > Create Symbols > Welding Symbols >
Reuse Welding Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To rename a welding symbol in the library

  1. In the drawing area, double-click any welding symbol.
  2. In the library, click the welding symbol to rename.
  3. From the drop-down menu on the right, select Rename.
  4. Enter the new name for the welding symbol.
  5. Click OK.


To edit a welding symbol in the library (Procedure)

Reuse Welding Symbols with the Symbol Library
Up a level to ..
Reuse Welding Symbols with the Symbol Library
Annotate drawings > Create Symbols > Welding Symbols >
Reuse Welding Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit a welding symbol in the library

  1. In the drawing area, double-click any welding symbol.
  2. Click Add.
    NoteTo save a symbol temporarily, add the symbol to the library. Delete it after you modify the library item.
  3. Enter TEMP as the name of the symbol.
  4. In the library, click the welding symbol to edit.
  5. From the drop-down menu on the right, select Load. The selected configuration replaces the information in the dialog box.
  6. Modify the requirements as appropriate.
  7. From the drop-down menu on the right, select Update. The program updates the selected configuration with the information in the dialog box.
  8. In the library, click TEMP.
  9. From the drop-down menu on the right, select Load. The selected configuration replaces the information in the dialog box.
  10. From the drop-down menu on the right, select Delete. The temporary symbol is deleted.
  11. Click OK.


To set a welding symbol in the library as a default (Procedure)

Reuse Welding Symbols with the Symbol Library
Up a level to ..
Reuse Welding Symbols with the Symbol Library
Annotate drawings > Create Symbols > Welding Symbols >
Reuse Welding Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set a welding symbol in the library as a default

  1. In the drawing area, double-click any welding symbol.
  2. In the library, click the welding symbol to set as a default.
  3. From the drop-down menu on the right, select Set default. A blue tick indicates the default status.
  4. Click OK.


To import the library from another drawing (Procedure)

Reuse Welding Symbols with the Symbol Library
Up a level to ..
Create Hole Charts
Annotate drawings > Create Symbols > Welding Symbols >
Reuse Welding Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import the library from another drawing

  1. In the drawing area, double-click a welding symbol.
  2. Click Import. The Select Import Drawing dialog box is displayed.
  3. Choose the .dwg or .dwt file that contains the desired Library.
    NoteYou can only import a library that is based on the same standard and revision as the welding symbol you are editing.
  4. Click OK. The program adds the imported symbols to the library.
  5. Click OK.
NoteImported libraries must use the same welding symbol standard and revision.


Reuse Welding Symbols with the Symbol Library (Quick Reference)

Create and Modify Welding Symbols for the GOST Standard
Reuse Welding Symbols with the Symbol Library
About Hole Charts
Annotate drawings > Create Symbols > Welding Symbols >
Reuse Welding Symbols with the Symbol Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Weld Symbol dialog box

Use the Weld Symbol dialog box to set up the parameters of the symbol you are inserting.

Note
  • The visibility of the elements in this dialog box depend on the current drafting standard and the options you select. Some of the elements described in this page may not appear on the dialog box.
  • Some buttons on this dialog box are named only in tooltips. Move the pointer over the buttons to obtain their names.
Symbol Tab |  |  |
 | Options Changes the orientation of welding symbol elements.
 |  | Flip sides Swaps symbols on the arrow side with the symbols on the other side. The icon to the left of the check box shows the result of your selection.
 |  | Flip symbol Flips the symbol so that the weld tail is placed to the left of the arrow. The icon to the left of the check box shows the result of your selection.
 |  | Stagger Specifies that the weld represents a staggered intermittent weld. The icon to the left of the check box shows the result of your selection. This option is available only if you select fillet welds or ANSI edge welds for both sides.
 |  | Mirror Specifies that the weld represents a staggered intermittent weld where the shape and dimensions of the fillet on both sides are equal. The icon to the left of the check box shows the result of your selection. This option is visible only if you select JIS fillet welds for both sides.
 |  | Spacer Adds a spacer symbol to the weld.
 |  | Adds a reference line to the welding symbol for indicating a sequence of welding operations. This option is visible only for the ANSI standard.
 |  | Deletes the current reference line. The current reference line is highlighted in the drawing. This option is visible only for the ANSI standard.
 |  | Selects the next reference line closer to the arrow and displays its settings in the dialog box. This option is visible only for the ANSI standard.
 |  | Selects the reference line further from the arrow, and displays its settings in the dialog box. This option is visible only for the ANSI standard.
 | Library Lists all the welding symbols for the active drafting standard/revision in the symbol library. When you move the pointer over an item, all settings for that item appear in a tooltip. Each item in the library is associated with a context-sensitive menu.
 |  | Menu options
 |  |  | Load Loads the selected symbol from the library. The current settings in the Welding Symbol dialog box are overwritten. Load operations ignore the Flip symbol check box.
 |  |  | Update Overwrites the selected symbol in the library with the current settings of the Welding Symbol dialog box. The preview updates to reflect the new settings. The name of the symbol and default status do not change.
 |  |  | Delete Removes the selected symbol from the library.
 |  |  | Rename Makes the symbol name editable. AutoCAD Mechanical validates the name to ensure that the symbol names are unique.
 |  |  | Set default Makes the selected symbol the default symbol of the library. A blue check mark appears next to the symbol to indicate that it is the default symbol. The next time you create a welding symbol, the default symbol loads automatically.
 |  |  | Remove default Removes the default status of the selected symbol. This menu option is available only on the default symbol. When there is no default symbol selected, the welding symbol dialog box defaults to the settings of the welding symbol you created or edited most recently.
 |  | Add Saves current settings to the symbol library as a new item in the library. A prompt enables you to name the new item.
 |  | Import Imports the welding symbols from the symbol library of another drawing. You can only import symbols of the same standard and revision as the welding symbol you are editing.
 | Requirements Provides a space for you to specify the welding requirements. The boxes used for data entry appear as and when you add data. The order in which the boxes appear depends on the type of weld you select and may be different to the order in which they appear in the following list. When you move the pointer over a box, the tooltip describes the information to enter into the box.
 |  | Field weld symbol Adds the field weld indication to the symbol.
 |  | All around Adds the peripheral weld (all around) indication to the symbol.
 |  | Weld type Displays a palette of supplementary weld symbols enabling you to choose a weld symbol to describe the joint.
 |  | Identification line Specifies the location of the identification line.
 |  | Add note tail Adds a tail to the end of the reference line.
 |  | Add Process Displays the Process List dialog box, enabling you to add a welding process to the symbol. Additionally, automatically adds a note tail to the end of the reference line.
 |  | Closed note tail Draws a box around the information specified on the tail.
 |  | Small leg Specifies the small leg of the fillet weld.
 |  | Diameter Specifies the diameter for the plug and slot weld.
 |  | Size Specifies the size of the weld.
 |  | Depth Specifies the groove depth of the weld.
 |  | Height Specifies the height for Single-flange welds.
 |  | Length Specifies the length of the weld.
 |  | Width Specifies the width for the weld.
 |  | Number Specifies the number of welds.
 |  | Pitch Specifies the distance between the centers of the welds.
 |  | Spacing Specifies the distance between welds.
 |  | Gap Specifies the size of the gap between the welds.
 |  | Root gap Specifies the size of the gap between the welds.
 |  | Root Specifies the size of the gap between the welds.
 |  | Clearance Specifies the size of the gap between the welds.
 |  | Partial Specifies a partial penetration weld.
 |  | Angle Specifies the groove angle of the weld.
 |  | Contour Specifies the contour or shape of the weld surface.
 |  | Method Specifies the finishing method of the weld.
 |  | Thickness Specifies the thickness of the weld.
 |  | Brazing Specifies the usage of brazing.
 |  | Test Specifies the type of test to perform while enabling the test to take place on either side of the weld.
 |  | Either side Specifies the thickness of the weld.
 | Clear Clears all the data and returns the dialog box options to the default settings.
Leader and Text tab
 | Arrowhead Specifies the type of the leader arrowhead. When the arrowhead is set to By Standard, it acquires the arrowhead from the current drafting standard. Thereafter, if you change the arrowhead selected for the current drafting standard (in the Standard Settings dialog box.or Welding Settings dialog box.) the arrowhead for this symbol updates automatically.
 | Edit leader segments
 |  | Add Adds a leader, leader segment, or leader node.
 |  | Remove Deletes a leader, or leader segment.
 | Edit object attachment
 |  | Attach Attaches the symbol to an object in the drawing. When attached, if you move the object the symbol moves with it.
 |  | Detach Detaches the symbol. The symbol becomes a free-standing object.
 | Text Justification Sets justification of text. Changing the symbol alignment from the General tab overwrites the text justification setting. Selecting center alignment does not change the setting.
Settings Opens the Welding Settings dialog box and enables you to edit the default settings for welding symbols for the current drafting standard.


Create Hole Charts

Reuse Welding Symbols with the Symbol Library
Annotate drawings
About Hole Charts
Annotate drawings >
Create Hole Charts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • About Hole Charts
  • Define how Holes are Labeled


Create Hole Charts (Procedure)

Reuse Welding Symbols with the Symbol Library
Create Hole Charts
About Hole Charts
Annotate drawings >
Create Hole Charts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a hole chart or a hole table

To edit hole charts and tables

To manage hole charts and tables

To change the dimension unit type

To edit hole charts and tables

To manage hole charts and tables


About Hole Charts (Concept)

Create Hole Charts
Create Hole Charts
Define how Holes are Labeled
Annotate drawings > Create Hole Charts >
About Hole Charts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

A hole chart dimensions the location and size of holes and inserts the results of the dimensioning into the drawing in the form of a table. The location of a hole is dimensioned with respect to a predefined point (origin), and can therefore be seen as a type of coordinate dimension.

Hole charts created with AMHOLECHART are standard dependent. For example, standard properties such as text style, text height, and text color come from the settings in the Standard Settings dialog box. The attributes, order, and increment of the coordinate reference numbers also depends on the standard you use.

Definitions of the main keywords and expressions used in the Hole Chart feature:

Hole

Any circle, standard hole, or circular edge that belongs to AutoCAD Mechanical hole features.

Hole Chart

A table that contains data of selected holes. Each hole is represented by its label, its position in the drawing, and by the size of its diameter. As default, the Hole Chart always appears in the drawing.

Hole Table

A table like the Hole Chart, but contains data for holes with different diameter sizes. A hole in this table is represented by its item number and by the size of its diameter; no coordinates appear in this table. Hole Table is an ANSI-dependent feature.

Origin

Point from which the location of holes are measured.

Point

Point defining the location of a hole or a point in the drawing.

Label

Text identifying a point or a hole in the drawing.

Cartesian Hole Chart

A hole chart in which the location of holes and points in the drawing are measured in X and Y in Cartesian coordinates.

Polar Hole Chart

A hole chart in which the location of holes and points in the drawing are measured in polar coordinates.


About Hole Charts (Procedure)

Create Hole Charts
Up a level to ..
About Hole Charts
Annotate drawings > Create Hole Charts >
About Hole Charts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a hole chart or a hole table

To edit hole charts and tables

To manage hole charts and tables

To change the dimension unit type


About Hole Charts (Quick Reference)

Reuse Welding Symbols with the Symbol Library
About Hole Charts
About Hole Charts
Annotate drawings > Create Hole Charts >
About Hole Charts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMHOLECHART

Hole Chart dialog box

Sort dialog box


To create a hole chart or a hole table (Procedure)

About Hole Charts
Up a level to ..
About Hole Charts
Annotate drawings > Create Hole Charts >
About Hole Charts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a hole chart or a hole table

Before you create a hole chart or a hole table, make sure that you have a part with dimensioned hole features. When you use the ANSI standard, the program creates hole charts and hole tables automatically. When you use any other standard, the program creates only hole charts automatically. Use the Options dialog box to create hole tables along with the hole charts.

To create a hole chart
  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMHOLECHART.
  2. Turn on Osnap by selecting the Osnap button at the bottom of the screen. Enabling Osnap helps with point selection.
  3. Specify a point origin to use for dimensioning the location of holes in the drawing.
  4. Specify the angle by which the Hole Chart coordinates are to be deviated from the UCS, and then press ENTER.
  5. Specify a name for the point origin, and then press ENTER.
  6. In the drawing area, select the holes to include in the hole chart, and then press ENTER.
  7. Specify an insertion point to place the hole chart.
NoteIf the hole chart is too long, you can split the hole chart into multiple hole charts. For details, see the section “To split a hole chart into multiple hole charts using filters” in the Help page To edit hole charts and tables.
To create a nested hole chart

A nested hole chart is a consolidated table that describes the coordinate positions and specifications of holes that belong multiple origins.

To create a nested hole chart:

  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMHOLECHART.
  2. Specify a point origin to use for the nested hole chart.
  3. Specify the angle by which the Hole Chart coordinates are to be deviated from the UCS, and then press ENTER.
  4. Specify a name for the point origin, and then press ENTER.
  5. At the “Select holes or [Block/POint]:” prompt, select the origins of the hole charts to include in the nested hole chart, and then press ENTER.
  6. Specify an insertion point to place the hole chart. The program creates the nested hole chart and erases the individual hole charts.
To create a hole table
  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, on the AM:Standards tab, double-click Hole Chart.
  3. In the Hole Chart Settings dialog box, click the Hole Table button.
  4. Click OK in all dialog boxes.
  5. Click Annotate menu [image] Hole Charts.
  6. Specify a point origin to use for dimensioning the location of holes in the drawing.
  7. Specify the angle by which the Hole Chart coordinates are to be deviated from the UCS, and then press ENTER.
  8. Specify a name for the point origin, and then press ENTER.
  9. In the drawing area, select the holes to include in the hole chart, and then press ENTER.
  10. Specify an insertion point to place the hole chart.
  11. Specify an insertion point to place the hole table.


To edit hole charts and tables (Procedure)

About Hole Charts
Up a level to ..
About Hole Charts
Annotate drawings > Create Hole Charts >
About Hole Charts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit hole charts and tables

To add a column to a hole chart or table
  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, on the AM:Standards tab, double-click Hole Chart.
  3. In the Hole Chart dialog box, click [image] (Column Properties).
  4. In the Hole Chart Columns dialog box, click [image] to display the column headers list.
  5. From the column header list, select a column header, and click the Add Columns button.
  6. Click OK in all dialog boxes.
To change the width of columns in a hole chart or table
  1. In the drawing area, double-click a hole chart or a hole table.
  2. In the Hole Chart dialog box, click [image] .
  3. In the Hole Chart Columns dialog box, click the blank cell at the beginning of the row whose width you want to change.
  4. In the Width box, specify a value.
  5. Click OK in all dialog boxes.
To set precision for numeric value in a hole chart or table
  1. In the drawing area, double-click a hole chart or a hole table.
  2. In the Hole Chart dialog box, click [image] .
  3. In the Hole Chart Columns dialog box, select the row to set precision for by clicking the blank cell at the beginning of the row.
  4. Click OK in all dialog boxes.
To create and edit formulas in a hole chart or table
  1. In the drawing area, double-click a hole chart or a hole table.
  2. In the Hole Chart dialog box, click [image] .
  3. Right-click the Formula/Format cell in the row for which you want to create a formula.
  4. From the menu, click Formula.
  5. In the Formula dialog box, enter an equal sign (=) as the first character.
  6. Enter the formula expression, and click OK.
To change the title of a hole chart or table
  1. In the drawing area, double-click a hole chart or a hole table.
  2. In the Hole Chart dialog box, click the Settings button. The Hole Chart Settings dialog box is displayed.
  3. You can derive the table title from a formula or add a custom text for the title.

    To derive the table title from a formula:

    • In the Table Title box, type the equal sign (=) as the first character.
    • To add the default title, type <Default Title> (this reference evaluates to HOLE table or LIST OF COORDINATES).
    • To add the name of the origin, type <Origin>.
    • To add a line break, type \P (The backslash character followed by an uppercase P and a space character).

    To add a custom text for the title:

    • In the Table Title box, type the title.
  4. Click OK in all dialog boxes.
To fix hole labels so they do not change when you add, delete, or move holes

You can prevent automatic relabeling of holes only under the CSN, DIN, GB, and ISO standards.

To prevent hole labels from changing automatically:

  1. In the drawing area, double-click the hole chart.
  2. In the Hole Chart dialog box, click [image] .
  3. In the Sort dialog box, select Use Sorting Style.
  4. From the Name list, select User Item Order.
  5. Click OK until all dialog boxes close. Hole labels no longer change automatically when you add, delete, or move holes.

To modify a hole label

When you select the User Item order, the program derives hole labels from the User Item (short for Item number) column. To modify the hole label, change the value of the user item cell. To change the user item:

  1. In the drawing area, double-click the hole chart.
  2. If the User Item column does not appear in the Hole Chart dialog box:
    1. Click [image] .
    2. From the Hole Chart Columns dialog box, select the check box at the beginning of the User Item column.
    3. Click OK.
  3. In the Hole Chart dialog box, double-click the User Item cell to edit.
  4. Type the new value for the User Item. The hole label changes automatically.
  5. Click OK.

To reset the counter used for auto numbering the User Item

When you add a new hole to a hole chart, the program increments the User Item automatically and assigns it to the new hole. To set autonumbering to continue from a specific hole:

  1. In the drawing area, double-click the hole chart.
  2. If the User Item column does not appear in the Hole Chart dialog box, click the Column Properties button, and select the User Item column for display, from the Column Properties dialog box.
  3. In the Hole Chart dialog box, right-click the User Item cell from which to continue numbering.
  4. Select Start Auto Numbering at.
  5. Click OK in all dialog boxes. When you add a new hole to the hole chart, the program sets the user item to the next available unique number.
To split a hole chart into multiple hole charts, using filters

In AutoCAD Mechanical, you can split a hole chart into multiple hole charts by:

  • Creating multiple hole charts.
  • Setting a filter to specify which holes appear in each hole chart.

This is an example of creating multiple hole charts. The example uses a drawing of a bracket containing Counterbores, Piped Thread, and Clearance holes. It is required to group the holes by hole type and display each group in a separate hole chart.

  1. Set a filter to the hole chart so that it shows only Counterbore holes:
    1. In the drawing area, double-click the hole chart. The Hole Chart dialog box is displayed.
    2. In the Filters frame, right-click the filter list and select Add Custom Filter from the menu. The Details for Filter frame appears.
    3. In the Details for Filter frame, in the left-most drop-down list, select Counterbore.
    4. In the next drop-down list, select Is true.
    5. In the Multiple hole charts list, double-click the Description cell. Type a name (like “Counterbore Holes”), and then press ENTER.
    6. Click Apply. The list in the main window shows only counterbore holes and the Unassigned holes frame shows that some holes are not assigned to a hole chart.
  2. Create a hole chart and set a filter to it so that it shows only the piped holes:
    1. In the Multiple hole charts frame, click [image] . The program prompts you to place the hole chart in the drawing area.
    2. Click in the drawing area to indicate the insertion point. The Hole Chart dialog box is displayed again.
      NoteThe program automatically assigns unassigned holes to the newly created hole chart.
    3. In the Filters frame, right-click the filter list and select Add Custom Filter from the menu that appears. The Details for Filter frame appears.
    4. In the Details for Filter frame, in the left-most drop-down list, select Description.
    5. In the next drop-down list, select Begins with.
    6. In the adjacent edit box, enter Piped.
    7. In the Multiple hole charts list, click in the Description cell that corresponds to the hole chart and enter Piped Holes.
    8. Click Apply. The list in the main window shows only piped holes and the Unassigned holes frame shows that some holes are not assigned to a hole chart.
  3. Create a hole chart and assign the remaining holes to it:
    1. In the Multiple Hole Charts frame, click [image] . The program prompts you to place the hole chart in the drawing area.
    2. Click in the drawing area to indicate the insertion point. The Hole Chart dialog box is displayed again.
      NoteThe unassigned holes are automatically assigned to the newly created hole chart.
  4. Click OK.


To manage hole charts and tables (Procedure)

About Hole Charts
Up a level to ..
About Hole Charts
Annotate drawings > Create Hole Charts >
About Hole Charts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To manage hole charts and tables

To make a column visible in a hole chart or table
  1. In the drawing area, double-click a hole chart or a hole table.
  2. In the Hole Chart dialog box, click the Column Properties button.
  3. In the Hole Chart Columns dialog box, select the column to make visible in the hole chart.
  4. Under Visible in Hole Chart, select Cartesian to make the selected column visible in a Cartesian hole chart.
  5. Select Polar to make the selected column visible in a Polar hole chart.
  6. Click OK in all dialog boxes.
To make a column invisible in a hole chart or table
  1. In the drawing area, double-click a hole chart or a hole table.
  2. In the Hole Chart dialog box, choose the Column Properties button.
  3. In the Hole Chart Columns dialog box, select the column to make invisible in the chart.
  4. Under Visible in Hole Chart, clear Cartesian to make the selected column(s) invisible in a Cartesian hole chart.
  5. Clear Polar to make the selected column(s) invisible in a Polar hole chart.
  6. Click OK in all dialog boxes.
To arrange columns in a hole chart or table
  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, on the Standards tab, double-click Hole Chart.
  3. In the Hole Chart dialog box, choose the Column Properties button.
  4. In the Hole Chart Columns dialog box, click the blank cell at the beginning of the row you want to move.
  5. With the row highlighted, click the blank cell at the beginning of the row until a red line appears.
  6. Hold down the pointing device button and drag the red line upward or downward.
  7. When you release the pointing device button, the program positions the row where you placed the red line.
  8. Click OK in all dialog boxes.
To sort data in a hole chart or table
  1. In the drawing area, double-click a hole chart or a hole table.
  2. In the Hole Chart dialog box, choose the Sort Data button.
  3. In the Sort dialog box, select the settings and click OK.
  4. In the Hole Chart dialog box, click OK.
To define settings for hole charts and hole tables
  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, double-click Hole Chart.
  3. In the Hole Chart Settings dialog box, select the settings and click OK.
  4. Click OK in the Options dialog box.
NoteYou can also access the Hole Chart Settings dialog box by clicking Settings in the Hole Chart dialog box.
To format the point origin for polar or Cartesian coordinates
  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, double-click Hole Chart.
  3. In the Hole Chart Settings dialog box, select a format from the Origin list. Click OK.
  4. Click OK in the Options dialog box.
NoteYou can also access the Hole Chart Settings dialog box by clicking Settings in the Hole Chart dialog box.
To format center points of holes
  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, double-click Hole Chart.
  3. In the Hole Chart Settings dialog box, select a format from the Point list. Click OK.
  4. Click OK in the Options dialog box.
NoteYou can also access the Hole Chart Settings dialog box by clicking Settings in the Hole Chart dialog box.


To change the dimension unit type (Procedure)

About Hole Charts
Up a level to ..
Define how Holes are Labeled
Annotate drawings > Create Hole Charts >
About Hole Charts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the dimension unit type

  1. Double-click the dimension.
  2. Select the Units tab.
  3. Under Primary, select a primary unit type from Units.
  4. Click OK.


About Hole Charts (Quick Reference)

About Hole Charts
About Hole Charts
About Hole Charts
Annotate drawings > Create Hole Charts >
About Hole Charts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMHOLECHART

Creates coordinate dimensions for holes in a work piece, dimensions the size of those holes, and generates a hole chart for that work piece.

Ribbon: Annotate tab [image] Table panel [image] Hole Charts. Does not exist on the ribbon.
Toolbar: Dimension
Menu: Annotate [image] Hole Charts Does not exist in the menus.
Command entry: amholechart

The attributes, order, and increment of the coordinate reference numbers depends on the standard you have selected as the current drafting standard. In the ANSI standard, this command creates a hole table in addition to a hole chart.

COMMAND LINE OPTIONS

Specify insertion point for origin [Polar]: Specify an origin point for the Cartesian coordinates, and then press ENTER. Enter Polar to switch to polar coordinates.

Specify insertion point for origin [Cartesian]: Specify an origin point for the polar coordinates, and then press ENTER.

Specify rotation angle <0>: Specify a rotation angle in respect to the current UCS.

Name of origin <1>: Specify a name for the origin you specified.

Select holes [Block/POint]: Select standard holes, circles, or circular edges that belong to mdt hole features. You may also select a block or a point in the drawing.

Select block reference: Select a block reference in the drawing, and then press ENTER.

Select nested objects: Select nested objects in the drawing, and then press ENTER.

Additional point: Select an additional point, and then press ENTER.

Specify insertion point for hole chart <Dialog>: Specify a point in drawing to insert the hole chart, or enter D to display the Hole Chart dialog box.

Specify insertion point for Hole Table: Specify a point in drawing to insert the hole table.


About Hole Charts (Quick Reference)

About Hole Charts
About Hole Charts
About Hole Charts
Annotate drawings > Create Hole Charts >
About Hole Charts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hole Chart dialog box

Toolbar buttons

Sets coordinates to the Cartesian type.

Sets coordinates to the polar type.

Creates a hole table. The ANSI standard enables this option by default.

Show

Specifies whether the dialog box displays hole chart or hole table details. Select “List of Coordinates” for hole chart and “Hole Table” for hole table.

Sorts columns in a selected hole chart or hole table.

Closes this dialog box temporarily, enabling you to select a hole from the drawing and add it to the current selection set.

Closes this dialog box temporarily, enabling you to select a hole from the drawing and remove it from the current selection set.

Inserts hole chart into the drawing.

Exports data to MS-Excel, to a text editor, or to other supported formats.

Displays the Hole Chart Columns dialog box.

Removes a selected column.

Deletes one or more selected rows.

Displays the Formula Editor dialog box enabling you to specify the formula for the currently selected cell. This button is available only if formulas are applicable for the currently selected cell.

Displays the Fits and Tolerances dialog box enabling you to add fits and/or tolerances to the selected cell. This button is available only if fits and tolerances are applicable to the selected cell.

Sets the internal counter used for auto-numbering the user item column, to the value of the selected cell. When you add a new hole to the hole chart, this counter increments (until it arrives at a unique number). The number appears in the user item cell of the new hole. This button is available only when you select a cell in the user item column.

Renumbers the user item column to reflect the row position in the current sort order.

Displays the column headings in the drawing.

Displays the column title in the drawing.

Controls the display of the grip frame.

Multiple Hole Charts

Contains options to group the selected holes by a filter criteria, and display each group in a separate hole chart. The hole charts thus created share the same origin.

Adds a hole chart to the bottom of the list. A prompt enables you to place the hole chart in the drawing area and the hole chart populates automatically with the holes that not picked up by the other hole charts in the list.

NoteIf you use the Add Holes button on nested hole charts, they convert to normal hole charts. Individual origins are erased and the holes are relabeled relative to the origin of the nested hole chart.

Deletes the selected hole chart. The holes that belonged to that hole chart become available in the hole charts below it in the list, provided they satisfy the filter conditions. Holes that do not satisfy a filter condition become unassigned holes.

Moves the selected hole chart one level up. The grouping of holes in the selected chart and the charts below it change. Filters are applied from top to bottom and only the holes that do not satisfy the filter conditions for the hole charts above are available for a given hole chart.

Moves the selected hole chart one level down. The grouping of holes in the selected chart and the charts below it changes. Filters are applied from top to bottom and only the holes that do not satisfy the filter conditions for the hole charts above are available for a given hole chart.

Hole Chart list

Displays the hole charts in the current selection set. Click in any description cell to provide a meaningful name for the hole chart.

Unassigned Holes

Contains options to handle the holes that do not satisfy any of the filter criteria. Unassigned holes are labeled “?” in the drawing area.

Remove button

Removes unassigned holes from the selection set.

Prompt for removal on OK

Prompts for confirmation to remove unassigned holes automatically when you click the OK button.

Main window

Displays coordinate dimensions and diameter sizes of selected holes. To add a tolerance or fit to a dimension, select a cell in this table and right-click, and then click Fits/Tolerances.

Filters

Contains options to set filters for the hole chart selected in the multiple hole chart list.

NoteFilters do not apply to nested hole charts.

Filter list

Displays the types of filters set for the hole chart. Additionally, contains a right-click menu to add/remove filters.

Right-click menu items:

  • Add custom filter - Adds a filter, for which you can select from a set of predefined filter conditions that are available from a drop-down list.
  • Add hole selection filter - Adds a filter that enables you to select holes from the drawing area manually. You can add only one hole selection filter per hole chart.
  • Delete - Deletes the filter selected in the filters list.

Details for filter

Contains options enabling you to define the filter criteria for the filter selected in the Filters list.

Drop-down list

Contains predefined filter conditions. This list is visible only if the selected filter type in the filters list is a custom filter.

Edit box

Specifies the operand for the filter condition selected in the drop-down list. This edit box is visible only if the selected filter type in the filters list is a custom filter.

Select

Temporarily hides the Hole Chart dialog box enabling you to select holes from the drawing area. To select a hole, in the drawing area, click the hole. Press ENTER or ESC to return to the Hole Chart dialog box. This button is visible only if the selected filter type in the filters list is a hole selection filter.

Settings button

Displays the Hole Chart Settings dialog box.

Preview

Temporarily closes the dialog box to show the drawing area. Highlights the holes that belong to the hole chart selected in the multiple hole chart list. Press ENTER to return to the Hole Chart dialog box.

Apply button

Applies changes to the selected hole chart.


About Hole Charts (Quick Reference)

About Hole Charts
About Hole Charts
Define how Holes are Labeled
Annotate drawings > Create Hole Charts >
About Hole Charts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sort dialog box

Use this dialog box to sort data in the hole chart according to one or more specified columns in ascending or descending order.

Sorting Style Enables you to a predefined sort criteria and a matching hole label.
 | Use Sorting Styles Enables sorting style functionality. When you enable sorting styles, you cannot modify hole label formulas.
 | Name Select a sorting style by name. If you select Standard default order, the system assigns and manages hole labels automatically. If you select User item order, and the drafting standard is CSN, DIN, GB, or ISO, the hole label is the value in the User Item cell. You can change the value of the User Item cell manually and, with the CSN, DIN, GB, and ISO standards, set up user-defined hole labels. For all other standards, the user item has no impact on the hole label.
 | Label Formula Displays the formula used to derive hole labels.
Sorting Criteria Enables you to select the sort criteria and order.
 | Sort Key Displays a drop-down list enabling you to select from the available sort parameters (columns). Key rows are sorted in the order presented in the dialog box.
 | Sort Order Displays a drop-down list enabling you to select between the ascending and descending order.
 | Delete button Deletes the currently selected row in the list.
 | New button Adds a new row to the list.
 | Move up button Moves the selected row one level up, increasing its significance in the sort order.
 | Move down button Moves the selected row one level down, reducing its significance in the sort order.
Apply to all multiple hole charts Applies changes to all hole charts in the multiple hole chart list in the Hole Charts dialog box. If you clear this option, changes affect only the hole chart selected in the multiple hole chart list.


Define how Holes are Labeled (Concept)

About Hole Charts
Create Hole Charts
Create Drawing Borders and Title Blocks
Annotate drawings > Create Hole Charts >
Define how Holes are Labeled
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

A hole label uniquely identifies a hole in a hole chart. The hole label format comes from the drawing standard.

In AutoCAD Mechanical, hole labels are derived through a formulas. When you add, delete, or move holes, the hole labels automatically change based on the current sort order.

In some cases, this behavior is not desirable. For the DIN, ISO, GB, and CSN standards, you can prevent holes from being relabeled by activating the User Item Order, a sort option under Sorting Styles.

When the User Item Order is active, the hole label is based on the User Item column. The User Item (short for User Defined Item Number) column contains a unique number that you can modify. When you add a hole to the hole chart, AutoCAD Mechanical assigns a default value automatically to the User Item column from an internal counter. You can reset the internal counter to the User Item value of any exiting hole, including ones where you have modified the User Item. Thereafter, the autonumbering mechanism ensures that new holes follow the new internal counter value. The system ensures that the User Item numbers are unique.

The User Item order has no impact on hole labels under the ANSI, BSI, and JIS standards.


Define how Holes are Labeled (Procedure)

About Hole Charts
Up a level to ..
Define how Holes are Labeled
Annotate drawings > Create Hole Charts >
Define how Holes are Labeled
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit hole charts and tables

To manage hole charts and tables


Define how Holes are Labeled (Quick Reference)

About Hole Charts
Define how Holes are Labeled
Define how Holes are Labeled
Annotate drawings > Create Hole Charts >
Define how Holes are Labeled
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMHOLECHART

Hole Chart dialog box

Sort dialog box


To edit hole charts and tables (Procedure)

Define how Holes are Labeled
Up a level to ..
Define how Holes are Labeled
Annotate drawings > Create Hole Charts >
Define how Holes are Labeled
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit hole charts and tables

To add a column to a hole chart or table
  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, on the AM:Standards tab, double-click Hole Chart.
  3. In the Hole Chart dialog box, click [image] (Column Properties).
  4. In the Hole Chart Columns dialog box, click [image] to display the column headers list.
  5. From the column header list, select a column header, and click the Add Columns button.
  6. Click OK in all dialog boxes.
To change the width of columns in a hole chart or table
  1. In the drawing area, double-click a hole chart or a hole table.
  2. In the Hole Chart dialog box, click [image] .
  3. In the Hole Chart Columns dialog box, click the blank cell at the beginning of the row whose width you want to change.
  4. In the Width box, specify a value.
  5. Click OK in all dialog boxes.
To set precision for numeric value in a hole chart or table
  1. In the drawing area, double-click a hole chart or a hole table.
  2. In the Hole Chart dialog box, click [image] .
  3. In the Hole Chart Columns dialog box, select the row to set precision for by clicking the blank cell at the beginning of the row.
  4. Click OK in all dialog boxes.
To create and edit formulas in a hole chart or table
  1. In the drawing area, double-click a hole chart or a hole table.
  2. In the Hole Chart dialog box, click [image] .
  3. Right-click the Formula/Format cell in the row for which you want to create a formula.
  4. From the menu, click Formula.
  5. In the Formula dialog box, enter an equal sign (=) as the first character.
  6. Enter the formula expression, and click OK.
To change the title of a hole chart or table
  1. In the drawing area, double-click a hole chart or a hole table.
  2. In the Hole Chart dialog box, click the Settings button. The Hole Chart Settings dialog box is displayed.
  3. You can derive the table title from a formula or add a custom text for the title.

    To derive the table title from a formula:

    • In the Table Title box, type the equal sign (=) as the first character.
    • To add the default title, type <Default Title> (this reference evaluates to HOLE table or LIST OF COORDINATES).
    • To add the name of the origin, type <Origin>.
    • To add a line break, type \P (The backslash character followed by an uppercase P and a space character).

    To add a custom text for the title:

    • In the Table Title box, type the title.
  4. Click OK in all dialog boxes.
To fix hole labels so they do not change when you add, delete, or move holes

You can prevent automatic relabeling of holes only under the CSN, DIN, GB, and ISO standards.

To prevent hole labels from changing automatically:

  1. In the drawing area, double-click the hole chart.
  2. In the Hole Chart dialog box, click [image] .
  3. In the Sort dialog box, select Use Sorting Style.
  4. From the Name list, select User Item Order.
  5. Click OK until all dialog boxes close. Hole labels no longer change automatically when you add, delete, or move holes.

To modify a hole label

When you select the User Item order, the program derives hole labels from the User Item (short for Item number) column. To modify the hole label, change the value of the user item cell. To change the user item:

  1. In the drawing area, double-click the hole chart.
  2. If the User Item column does not appear in the Hole Chart dialog box:
    1. Click [image] .
    2. From the Hole Chart Columns dialog box, select the check box at the beginning of the User Item column.
    3. Click OK.
  3. In the Hole Chart dialog box, double-click the User Item cell to edit.
  4. Type the new value for the User Item. The hole label changes automatically.
  5. Click OK.

To reset the counter used for auto numbering the User Item

When you add a new hole to a hole chart, the program increments the User Item automatically and assigns it to the new hole. To set autonumbering to continue from a specific hole:

  1. In the drawing area, double-click the hole chart.
  2. If the User Item column does not appear in the Hole Chart dialog box, click the Column Properties button, and select the User Item column for display, from the Column Properties dialog box.
  3. In the Hole Chart dialog box, right-click the User Item cell from which to continue numbering.
  4. Select Start Auto Numbering at.
  5. Click OK in all dialog boxes. When you add a new hole to the hole chart, the program sets the user item to the next available unique number.
To split a hole chart into multiple hole charts, using filters

In AutoCAD Mechanical, you can split a hole chart into multiple hole charts by:

  • Creating multiple hole charts.
  • Setting a filter to specify which holes appear in each hole chart.

This is an example of creating multiple hole charts. The example uses a drawing of a bracket containing Counterbores, Piped Thread, and Clearance holes. It is required to group the holes by hole type and display each group in a separate hole chart.

  1. Set a filter to the hole chart so that it shows only Counterbore holes:
    1. In the drawing area, double-click the hole chart. The Hole Chart dialog box is displayed.
    2. In the Filters frame, right-click the filter list and select Add Custom Filter from the menu. The Details for Filter frame appears.
    3. In the Details for Filter frame, in the left-most drop-down list, select Counterbore.
    4. In the next drop-down list, select Is true.
    5. In the Multiple hole charts list, double-click the Description cell. Type a name (like “Counterbore Holes”), and then press ENTER.
    6. Click Apply. The list in the main window shows only counterbore holes and the Unassigned holes frame shows that some holes are not assigned to a hole chart.
  2. Create a hole chart and set a filter to it so that it shows only the piped holes:
    1. In the Multiple hole charts frame, click [image] . The program prompts you to place the hole chart in the drawing area.
    2. Click in the drawing area to indicate the insertion point. The Hole Chart dialog box is displayed again.
      NoteThe program automatically assigns unassigned holes to the newly created hole chart.
    3. In the Filters frame, right-click the filter list and select Add Custom Filter from the menu that appears. The Details for Filter frame appears.
    4. In the Details for Filter frame, in the left-most drop-down list, select Description.
    5. In the next drop-down list, select Begins with.
    6. In the adjacent edit box, enter Piped.
    7. In the Multiple hole charts list, click in the Description cell that corresponds to the hole chart and enter Piped Holes.
    8. Click Apply. The list in the main window shows only piped holes and the Unassigned holes frame shows that some holes are not assigned to a hole chart.
  3. Create a hole chart and assign the remaining holes to it:
    1. In the Multiple Hole Charts frame, click [image] . The program prompts you to place the hole chart in the drawing area.
    2. Click in the drawing area to indicate the insertion point. The Hole Chart dialog box is displayed again.
      NoteThe unassigned holes are automatically assigned to the newly created hole chart.
  4. Click OK.


To manage hole charts and tables (Procedure)

Define how Holes are Labeled
Up a level to ..
Create Drawing Borders and Title Blocks
Annotate drawings > Create Hole Charts >
Define how Holes are Labeled
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To manage hole charts and tables

To make a column visible in a hole chart or table
  1. In the drawing area, double-click a hole chart or a hole table.
  2. In the Hole Chart dialog box, click the Column Properties button.
  3. In the Hole Chart Columns dialog box, select the column to make visible in the hole chart.
  4. Under Visible in Hole Chart, select Cartesian to make the selected column visible in a Cartesian hole chart.
  5. Select Polar to make the selected column visible in a Polar hole chart.
  6. Click OK in all dialog boxes.
To make a column invisible in a hole chart or table
  1. In the drawing area, double-click a hole chart or a hole table.
  2. In the Hole Chart dialog box, choose the Column Properties button.
  3. In the Hole Chart Columns dialog box, select the column to make invisible in the chart.
  4. Under Visible in Hole Chart, clear Cartesian to make the selected column(s) invisible in a Cartesian hole chart.
  5. Clear Polar to make the selected column(s) invisible in a Polar hole chart.
  6. Click OK in all dialog boxes.
To arrange columns in a hole chart or table
  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, on the Standards tab, double-click Hole Chart.
  3. In the Hole Chart dialog box, choose the Column Properties button.
  4. In the Hole Chart Columns dialog box, click the blank cell at the beginning of the row you want to move.
  5. With the row highlighted, click the blank cell at the beginning of the row until a red line appears.
  6. Hold down the pointing device button and drag the red line upward or downward.
  7. When you release the pointing device button, the program positions the row where you placed the red line.
  8. Click OK in all dialog boxes.
To sort data in a hole chart or table
  1. In the drawing area, double-click a hole chart or a hole table.
  2. In the Hole Chart dialog box, choose the Sort Data button.
  3. In the Sort dialog box, select the settings and click OK.
  4. In the Hole Chart dialog box, click OK.
To define settings for hole charts and hole tables
  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, double-click Hole Chart.
  3. In the Hole Chart Settings dialog box, select the settings and click OK.
  4. Click OK in the Options dialog box.
NoteYou can also access the Hole Chart Settings dialog box by clicking Settings in the Hole Chart dialog box.
To format the point origin for polar or Cartesian coordinates
  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, double-click Hole Chart.
  3. In the Hole Chart Settings dialog box, select a format from the Origin list. Click OK.
  4. Click OK in the Options dialog box.
NoteYou can also access the Hole Chart Settings dialog box by clicking Settings in the Hole Chart dialog box.
To format center points of holes
  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, double-click Hole Chart.
  3. In the Hole Chart Settings dialog box, select a format from the Point list. Click OK.
  4. Click OK in the Options dialog box.
NoteYou can also access the Hole Chart Settings dialog box by clicking Settings in the Hole Chart dialog box.


Define how Holes are Labeled (Quick Reference)

Define how Holes are Labeled
Define how Holes are Labeled
Define how Holes are Labeled
Annotate drawings > Create Hole Charts >
Define how Holes are Labeled
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMHOLECHART

Creates coordinate dimensions for holes in a work piece, dimensions the size of those holes, and generates a hole chart for that work piece.

Ribbon: Annotate tab [image] Table panel [image] Hole Charts. Does not exist on the ribbon.
Toolbar: Dimension
Menu: Annotate [image] Hole Charts Does not exist in the menus.
Command entry: amholechart

The attributes, order, and increment of the coordinate reference numbers depends on the standard you have selected as the current drafting standard. In the ANSI standard, this command creates a hole table in addition to a hole chart.

COMMAND LINE OPTIONS

Specify insertion point for origin [Polar]: Specify an origin point for the Cartesian coordinates, and then press ENTER. Enter Polar to switch to polar coordinates.

Specify insertion point for origin [Cartesian]: Specify an origin point for the polar coordinates, and then press ENTER.

Specify rotation angle <0>: Specify a rotation angle in respect to the current UCS.

Name of origin <1>: Specify a name for the origin you specified.

Select holes [Block/POint]: Select standard holes, circles, or circular edges that belong to mdt hole features. You may also select a block or a point in the drawing.

Select block reference: Select a block reference in the drawing, and then press ENTER.

Select nested objects: Select nested objects in the drawing, and then press ENTER.

Additional point: Select an additional point, and then press ENTER.

Specify insertion point for hole chart <Dialog>: Specify a point in drawing to insert the hole chart, or enter D to display the Hole Chart dialog box.

Specify insertion point for Hole Table: Specify a point in drawing to insert the hole table.


Define how Holes are Labeled (Quick Reference)

Define how Holes are Labeled
Define how Holes are Labeled
Define how Holes are Labeled
Annotate drawings > Create Hole Charts >
Define how Holes are Labeled
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hole Chart dialog box

Toolbar buttons

Sets coordinates to the Cartesian type.

Sets coordinates to the polar type.

Creates a hole table. The ANSI standard enables this option by default.

Show

Specifies whether the dialog box displays hole chart or hole table details. Select “List of Coordinates” for hole chart and “Hole Table” for hole table.

Sorts columns in a selected hole chart or hole table.

Closes this dialog box temporarily, enabling you to select a hole from the drawing and add it to the current selection set.

Closes this dialog box temporarily, enabling you to select a hole from the drawing and remove it from the current selection set.

Inserts hole chart into the drawing.

Exports data to MS-Excel, to a text editor, or to other supported formats.

Displays the Hole Chart Columns dialog box.

Removes a selected column.

Deletes one or more selected rows.

Displays the Formula Editor dialog box enabling you to specify the formula for the currently selected cell. This button is available only if formulas are applicable for the currently selected cell.

Displays the Fits and Tolerances dialog box enabling you to add fits and/or tolerances to the selected cell. This button is available only if fits and tolerances are applicable to the selected cell.

Sets the internal counter used for auto-numbering the user item column, to the value of the selected cell. When you add a new hole to the hole chart, this counter increments (until it arrives at a unique number). The number appears in the user item cell of the new hole. This button is available only when you select a cell in the user item column.

Renumbers the user item column to reflect the row position in the current sort order.

Displays the column headings in the drawing.

Displays the column title in the drawing.

Controls the display of the grip frame.

Multiple Hole Charts

Contains options to group the selected holes by a filter criteria, and display each group in a separate hole chart. The hole charts thus created share the same origin.

Adds a hole chart to the bottom of the list. A prompt enables you to place the hole chart in the drawing area and the hole chart populates automatically with the holes that not picked up by the other hole charts in the list.

NoteIf you use the Add Holes button on nested hole charts, they convert to normal hole charts. Individual origins are erased and the holes are relabeled relative to the origin of the nested hole chart.

Deletes the selected hole chart. The holes that belonged to that hole chart become available in the hole charts below it in the list, provided they satisfy the filter conditions. Holes that do not satisfy a filter condition become unassigned holes.

Moves the selected hole chart one level up. The grouping of holes in the selected chart and the charts below it change. Filters are applied from top to bottom and only the holes that do not satisfy the filter conditions for the hole charts above are available for a given hole chart.

Moves the selected hole chart one level down. The grouping of holes in the selected chart and the charts below it changes. Filters are applied from top to bottom and only the holes that do not satisfy the filter conditions for the hole charts above are available for a given hole chart.

Hole Chart list

Displays the hole charts in the current selection set. Click in any description cell to provide a meaningful name for the hole chart.

Unassigned Holes

Contains options to handle the holes that do not satisfy any of the filter criteria. Unassigned holes are labeled “?” in the drawing area.

Remove button

Removes unassigned holes from the selection set.

Prompt for removal on OK

Prompts for confirmation to remove unassigned holes automatically when you click the OK button.

Main window

Displays coordinate dimensions and diameter sizes of selected holes. To add a tolerance or fit to a dimension, select a cell in this table and right-click, and then click Fits/Tolerances.

Filters

Contains options to set filters for the hole chart selected in the multiple hole chart list.

NoteFilters do not apply to nested hole charts.

Filter list

Displays the types of filters set for the hole chart. Additionally, contains a right-click menu to add/remove filters.

Right-click menu items:

  • Add custom filter - Adds a filter, for which you can select from a set of predefined filter conditions that are available from a drop-down list.
  • Add hole selection filter - Adds a filter that enables you to select holes from the drawing area manually. You can add only one hole selection filter per hole chart.
  • Delete - Deletes the filter selected in the filters list.

Details for filter

Contains options enabling you to define the filter criteria for the filter selected in the Filters list.

Drop-down list

Contains predefined filter conditions. This list is visible only if the selected filter type in the filters list is a custom filter.

Edit box

Specifies the operand for the filter condition selected in the drop-down list. This edit box is visible only if the selected filter type in the filters list is a custom filter.

Select

Temporarily hides the Hole Chart dialog box enabling you to select holes from the drawing area. To select a hole, in the drawing area, click the hole. Press ENTER or ESC to return to the Hole Chart dialog box. This button is visible only if the selected filter type in the filters list is a hole selection filter.

Settings button

Displays the Hole Chart Settings dialog box.

Preview

Temporarily closes the dialog box to show the drawing area. Highlights the holes that belong to the hole chart selected in the multiple hole chart list. Press ENTER to return to the Hole Chart dialog box.

Apply button

Applies changes to the selected hole chart.


Define how Holes are Labeled (Quick Reference)

Define how Holes are Labeled
Define how Holes are Labeled
About Drawing Borders and Title Blocks
Annotate drawings > Create Hole Charts >
Define how Holes are Labeled
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sort dialog box

Use this dialog box to sort data in the hole chart according to one or more specified columns in ascending or descending order.

Sorting Style Enables you to a predefined sort criteria and a matching hole label.
 | Use Sorting Styles Enables sorting style functionality. When you enable sorting styles, you cannot modify hole label formulas.
 | Name Select a sorting style by name. If you select Standard default order, the system assigns and manages hole labels automatically. If you select User item order, and the drafting standard is CSN, DIN, GB, or ISO, the hole label is the value in the User Item cell. You can change the value of the User Item cell manually and, with the CSN, DIN, GB, and ISO standards, set up user-defined hole labels. For all other standards, the user item has no impact on the hole label.
 | Label Formula Displays the formula used to derive hole labels.
Sorting Criteria Enables you to select the sort criteria and order.
 | Sort Key Displays a drop-down list enabling you to select from the available sort parameters (columns). Key rows are sorted in the order presented in the dialog box.
 | Sort Order Displays a drop-down list enabling you to select between the ascending and descending order.
 | Delete button Deletes the currently selected row in the list.
 | New button Adds a new row to the list.
 | Move up button Moves the selected row one level up, increasing its significance in the sort order.
 | Move down button Moves the selected row one level down, reducing its significance in the sort order.
Apply to all multiple hole charts Applies changes to all hole charts in the multiple hole chart list in the Hole Charts dialog box. If you clear this option, changes affect only the hole chart selected in the multiple hole chart list.


Create Drawing Borders and Title Blocks

Define how Holes are Labeled
Annotate drawings
About Drawing Borders and Title Blocks
Annotate drawings >
Create Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • About Drawing Borders and Title Blocks
  • Attribute Definitions for Title Blocks
  • Use Revision Lines
  • Standard Import (.tit) Files


Create Drawing Borders and Title Blocks (Procedure)

Define how Holes are Labeled
Create Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
Annotate drawings >
Create Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To calculate the scale factor based on a drawing section

To insert a drawing border with title block

To insert an additional drawing border with title block

To create an import file for title block entries

Edit drawing border and title block

To retrieve information from part reference

To display assembly properties in a title block

To add title block extensions

To customize drawing border and title block

To create an import file for title block entries

To insert a revision list

To specify the insertion point and the direction of a revision list

To delete a revision list


About Drawing Borders and Title Blocks (Concept)

Create Drawing Borders and Title Blocks
Create Drawing Borders and Title Blocks
Attribute Definitions for Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Use drawing borders and title blocks to specify the scale for a drawing and to complete a drawing. You can insert the drawing border at every stage of the design process.

Before plotting a drawing, you can insert a plot date in the title block.

AutoCAD Mechanical places the drawing border and the title block on AM_BOR (a special layer) that you can turn off with the AMLAYTIBLO (Title Block Layer On/Off) command. Disabling the AM_BOR layer is useful for plotting a concept print of your drawing or if you want to set only the Base Scale Factor for the drawing.

Insert the drawing border through the Drawing Border and Title Block dialog box, in which you specify the title block, the paper format, and the scale. Specify the height and width of the drawing section to calculate the scale.

If a drawing contains objects when you insert a drawing border, you can rescale and move them manually or automatically to the appropriate position within the border.

You can insert entries for the title block into the text field with a part reference. You can also import information for the border or title block from an external file.

If a drawing border exists, the Edit Drawing Border / Title Block dialog box appears for editing it or inserting a new drawing border with title block.

AutoCAD Mechanical directs drawing borders and title blocks to the WCS (irrespective of the current UCS).

Drawing border and title block are different blocks that you can adapt to your needs. AutoCAD Mechanical includes several standard drawing borders and title blocks. The default drawing borders are in the folder acadm/gen/dwg/format. The default title blocks are in the folder acadm/gen/dwg/title.

NoteYou can insert a revision line within a title block.


About Drawing Borders and Title Blocks (Procedure)

Create Drawing Borders and Title Blocks
Up a level to ..
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To calculate the scale factor based on a drawing section

To insert a drawing border with title block

To insert an additional drawing border with title block

To create an import file for title block entries

Edit drawing border and title block

To retrieve information from part reference

To display assembly properties in a title block

To add title block extensions


About Drawing Borders and Title Blocks (Quick Reference)

Define how Holes are Labeled
About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYTIBLO

AMPLOTDATE

AMTITLE

Drawing Borders with Title Block dialog box

Edit Drawing Border / Title Block dialog box

AMREV

AMREVLINE

AMREVUPDATE

Drawing Sheet Settings dialog box

Extension Title Blocks Settings dialog box


To calculate the scale factor based on a drawing section (Procedure)

About Drawing Borders and Title Blocks
Up a level to ..
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To calculate the scale factor based on a drawing section

To calculate the scale factor for the drawing border, select all objects to include in the drawing border format or specify the height and the width for a drawing border.

  1. Click None [image] None [image] . At the Command prompt, enter AMTITLE.
  2. In the Drawing Borders with Title Block dialog box:
    • Title Block: Select the title block from the list.
    • Paper Format: Select the paper format.
  3. Choose Calculate <.
  4. Select objects (or press ENTER to specify height/width).
  5. Press ENTER.
  6. Specify the first point for the width of the drawing or enter values.
  7. Specify the second point for the width.
  8. Specify the first point for the height of the drawing or enter values.
  9. Specify the second point for the height.
NoteIf you select objects at Step 4, the program compares the sizes of the existing objects with the selected border format and calculates the scale factor so that all selected parts appear as large as possible within the border.


To insert a drawing border with title block (Procedure)

About Drawing Borders and Title Blocks
Up a level to ..
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a drawing border with title block

You can insert one or multiple drawing borders with a title block at each state of your design. Objects in the drawing can be selected to be centered in the drawing border and rescaled depending on the selected or calculated scale factor.

  1. Click None [image] None [image] . At the Command prompt, enter AMTITLE.
  2. In the Drawing Borders with Title Block dialog box:
    • Title Block: Specify the title block from the list.
    • Paper Format: Specify the paper format.
    • Scale Factor: Set a scale factor.
    • Select the Perform rescale check box.
    • Select the Move objects check box.
    • Click OK.
  3. Specify the insertion point of the drawing border. Click a point in the drawing area, or press ENTER to insert the border at the 0,0,0 point.
  4. In the Edit Attributes dialog box, edit or add entries.
  5. Click OK.
  6. Select objects to center and rescale within the inserted drawing border.
  7. Move the selected objects to the desired place in the drawing border.
NoteIf there is at least one drawing border available in the drawing area, you can choose whether to insert an additional drawing border or change the existing drawing border or title block.


To insert an additional drawing border with title block (Procedure)

About Drawing Borders and Title Blocks
Up a level to ..
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert an additional drawing border with title block

You can insert additional drawing borders at each state of your design. Objects in the drawing can be selected to be centered in the drawing border and rescaled depending on the selected or calculated scale factor.

  1. Click None [image] None [image] . At the Command prompt, enter AMTITLE.
  2. In the Edit Drawing Border / Title Block dialog box
    • Select New Drawing Border/Title Block.
    • Click OK.
  3. In the Drawing Borders with Title Block dialog box,
    • Title Block: Specify the title block from the list.
    • Paper Format: Specify the paper format.
    • Scale Factor: Set a scale factor.
    • Set Perform rescale.
    • Set Move Objects.
    • Click OK.
  4. Click a point in the drawing to insert the drawing border.
  5. In the Edit Attributes dialog box, edit or add entries.
  6. Click OK.
  7. Select objects to center and rescale within the inserted drawing border.
  8. Move the selected objects to the desired place in the drawing border.


To create an import file for title block entries (Procedure)

About Drawing Borders and Title Blocks
Up a level to ..
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an import file for title block entries

A file to use for importing information into title blocks must be in ASCII-format and saved with the .tit file extension.

The first two lines of the file must contain the following:

  • 1. Scale factor, for example, 1:2
  • 2. Drawing format, for example, A2

    Use the remaining lines, which are optional, to map attributes from the drawing title block to the appropriate associated text. For example:

  • 3. (“GEN-TITLE-DWG” “file name”)
  • 4. (“GEN-TITLE-NAME” “name of engineer”)

Example:

1:10

C2

(“GEN-TITLE-DWG” “Proj_Gear2000i”)

(“GEN-TITLE-MAT1” “Steel”)

(“GEN-TITLE-NAME” “Peter Draft”)

(“GEN-TITLE-CHKM” “Charlie Check”)

Note
  • If a specification is missing, the program does not fill the respective attributes with any values.
  • The program does not allow blank lines in the file.
  • To use quotation marks within the title block, for example to mark inch values, add a backslash before the quotation mark symbol. “USC 3/4\”” produces: USC 3/4”


Edit drawing border and title block (Procedure)

About Drawing Borders and Title Blocks
Up a level to ..
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit drawing border and title block

Use Power Edit or AMTITLE to edit a drawing border or title block. AMTITLE works with drawing borders and title blocks already in the drawing area.

To use Power Edit to change a drawing border
  1. At the Command prompt, enter AMPOWEREDIT or double-click a drawing border.
  2. In the Drawing Border with Title Block dialog box, edit the settings.
  3. Click OK.
  4. Select objects to moved in the changed drawing border.
NoteStep 4 is necessary only when the Move Objects option is selected.
To use Power Edit to change a title block
  1. At the Command prompt, enter AMPOWEREDIT or double-click a title block.
  2. In the Change Title Block Entry dialog box, edit the settings.
  3. Click OK.
NoteYou cannot change the size and the scale of the title block. To change those settings, restart the AMTITLE command or double-click the drawing border.
To change a drawing border or a title block with at least one drawing border
  1. Click None [image] None [image] . At the Command prompt, enter AMTITLE.
  2. In the Edit Drawing Border / Title Block dialog box, select the Change drawing border / Title block option.
  3. Select the options to change.
  4. Click OK.
  5. In the Drawing Borders with Title Block dialog box, change anything.
  6. Click OK.
NoteDepending on the selected options in the Edit Drawing Border / Title Block dialog box, these options are available in the Drawing Borders with Title Block dialog box.


To retrieve information from part reference (Procedure)

About Drawing Borders and Title Blocks
Up a level to ..
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To retrieve information from part reference

If the drawing area contains one or more part references, the program can copy information from them into the title block.

  1. Click None [image] None [image] . At the Command prompt, enter AMTITLE.
  2. In the Drawing Borders with Title Block dialog box, fill in the necessary entries and select Retrieve from Part Reference.
  3. Specify the insertion point for the drawing border.
  4. Select the part reference containing data you want to copy into the title block.
  5. In the Change Title Block Entry dialog box, fill in additional entries.
NoteThe program highlights part references available for selecting in the drawing in Step 4.


To display assembly properties in a title block (Procedure)

About Drawing Borders and Title Blocks
Up a level to ..
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To display assembly properties in a title block

  1. Click None [image] None [image] . At the Command prompt, enter AMTITLE.
  2. In the Drawing Borders with Title Block dialog box, fill in the necessary entries and select Retrieve from Assembly Properties.
  3. Specify the insertion point for the drawing border.
  4. In the Change Title Block Entry dialog box, fill in additional entries.


About Drawing Borders and Title Blocks (Quick Reference)

About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLAYTIBLO

Toggles the visibility of the layer assigned to title blocks and drawing borders (AM_BOR, be default))

Ribbon: Home tab [image] Layers panel [image] Layers, Title Block Layer On/Off. Does not exist on the ribbon.
Toolbar: Mechanical Layer Tools
Menu: Format [image] Layer Tools [image] Layers, Title Block Layer On/Off Does not exist in the menus.
Command entry: amlaytiblo

The default layer for title blocks and drawing borders is AM_BOR. To find out what layers are reserved for title blocks and drawing borders in the current drawing, inspect the Object Property Settings dialog box.


About Drawing Borders and Title Blocks (Quick Reference)

About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPLOTDATE

Inserts the current date in the lower right corner of all title blocks in the drawing.

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: Annotate [image] Drawing Title and Revision [image] Plot Date in Title Does not exist in the menus.
Command entry: amplotdate

By default, only DIN based title blocks react to this command.

Note
  • When the current plot date is not identical to the inserted plot date, a message box enables you to determine whether you want to update the plot date in the title block.
  • Too make a non-DIN title block react to this command, insert the GEN-TITLE-PLOT title block attribute to that title block.
  • To change the date format of an existing title block, change the Windows short date format (using the Regional and Language Settings applet in the Control Panel) and insert the title block again.


About Drawing Borders and Title Blocks (Quick Reference)

About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTITLE

Inserts a drawing border with a title block

Ribbon: Annotate tab [image] Layout panel [image] . Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: Annotate [image] Drawing Title and Revision [image] Drawing Title/Borders Does not exist in the menus.
Command entry: amtitle

You can also use this command to edit an existing drawing border. You can set options for Title Block, Paper Format, and Scale.

AMTITLE is controlled by the Drawing Borders with Title Block dialog box. Set options for Title Block, Paper Format, and Scale. The command line options depend on the settings in the dialog box.

COMMAND LINE OPTIONS

Insertion Point: Click a point in the drawing to insert the drawing title/border or press ENTER to insert the border on 0,0,0.

You can make additional entries in the Change Title Block Entry dialog box.

Objects for centering and re-scaling:

Select objects: Specify objects.

Select objects: Specify another object, or press ENTER to continue.

New location for objects: Select a point to insert the object(s) in the drawing border.

Note
  • When a title block exists in the drawing, the Edit Drawing Border/Title Block dialog box appears. Select the New Drawing Border/Title Block option to insert a new title block or select the Change Drawing Border/Title Block option to modify the existing drawing border or title block.
  • The Microsoft Windows short date format determines the date format. To change the date format of an existing title block, change the Microsoft Windows short date format (using the Regional and Language Settings applet in the Control Panel) and insert the title block again.


About Drawing Borders and Title Blocks (Quick Reference)

About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Drawing Borders with Title Block dialog box

Paper Format

Contains standardized drawing borders, saved in the title border folder. You can use one of the standardized format or select a customer format. To use a custom format, start the AMOPTIONS command and double-click Drawing Sheets in the AM:Standards tab (Options dialog box). In the Drawing Sheet Settings dialog box, under Default Paper Format, choose Additional to select and add a customer paper format to the existing list.

Title Block

Contains standardized title blocks, which are saved in the title border folder. You can use one of the standardized format or select and use a customer format. To use a custom format, start the AMOPTIONS command and double-click Drawing Sheets in the AM:Standards tab (Options dialog box). In the Drawing Sheet Settings dialog box, under Default Title Block, choose Additional to select and add a customer paper format to the existing list.

Extension Title Blocks

Opens the Extension Title Blocks dialog box so that you can add title block extensions to the drawing. This option is available only in the GOST standard.

Scale

Displays all standard scale factors. You can also enter your own scale factor.

Calculate

Suggests a scale factor for a drawing section or for the size of the existing objects in the drawing of a pre-selected border. The calculated scale factor appears in the scale box. The Calculate option is not available in layout.

Set Base Scale Factor

When selected, the section scale factor is stored in the configuration as base scale factor (only in Model space).

Set Drawing Defaults

Sets grid, snap, limits, linetype scale, and other options, to the default values that correspond to the selected scale factor you selected. Affects the following system variables:

  • CHAMFERA
  • CHAMFERB
  • FILLETRAD
  • GRIDUNIT
  • SNAPUNIT
  • LUPREC
  • LTSCALE

Perform Rescale

Adjusts text, symbols, dimensions, tables, and other elements to conform to the changed scale factor.

Move Objects

Places existing objects in the drawing editor within the inserted drawing border. If you select the Automatic Placement option as well, selected objects move to the center of the border.

Automatic Placement

Moves selected objects to the center of the border. Selects all objects located within an inserted drawing border automatically, if the Objects to Rescale: Automatic Selection option is selected in the Drawing Sheet Settings dialog box (accessed through the AM:Standards tab of the Options dialog box). If no border exists, selects all objects. If objects are outside the border, clear the Automatic Selection check box in the Drawing Sheet Settings dialog box (accessed through the AM:Standards tab of the Options dialog box). Otherwise, the objects outside the border are not part of the selected border.

Thaw All Layers

Selects all layers containing objects, moves them into the border, and thaws them. Restores the state of the layers when complete.

Retrieve from Part Reference

Retrieves values for the title block from the part reference. If the drawing contains more than one part reference, select the part reference.

Retrieve from Assembly Properties

Retrieves values for the title block from the assembly property.

Read from External File

  • Import

Displays a list of files ending with .tit. When you import files from an external location or if you frequently use drawing border and title block entries you may want to import the title block and border information from an external file. This import file is the interface for the drawing administration.


About Drawing Borders and Title Blocks (Quick Reference)

About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit Drawing Border / Title Block dialog box

New Drawing Border/Title Block

Inserts an additional drawing border to an existing one. Displays the Drawing Border with Title Block dialog box for selecting a new border and title block. Zooms all existing drawing borders so that you can insert the new border.

Change Drawing Border/Title Block

Activates the options for editing drawing border/title block, title block entries, and scale factor.

Change Title Block Entry

Displays the Change Title Block Entry dialog box for entering or editing title block entries. All entries can be edited except the scale factor.

Change Drawing Border

Displays the Drawing Border with Title Block dialog box for changing the paper format of the border.

Change Title Block

Displays the Drawing Border with Title Block dialog box for changing the title block style.

Change Scale

Displays the Drawing Border with Title Block dialog box for changing the scale of the border. When a new scale factor is selected, selects the Perform Rescaling option.


To add title block extensions (Procedure)

About Drawing Borders and Title Blocks
Up a level to ..
Attribute Definitions for Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add title block extensions

The Extensions Title Block button opens the Extensions Title Block dialog box so that you can add two additional title blocks. If you change the paper format, the options in the Extensions Title Block dialog box change to conform to the new format.

  1. From the Command prompt, enter AMTITLE or double-click the title block on the drawing.
  2. In the Title Block section, click the Extension Title Blocks button.
  3. In the Extensions Title Block dialog box, click the extensions you want to add to the drawing. When you click the extension, the field is automatically populated with a default extension.
  4. To change the extension type, click the down arrow in the field to choose a different extension type.
  5. Click OK to accept the changes and close the dialog box.


About Drawing Borders and Title Blocks (Quick Reference)

About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMREV

Turns revisions on or off.

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: Annotate [image] Drawing Title and Revision [image] Revision On / Off Does not exist in the menus.
Command entry: amrev

When revisions are turned on, AutoCAD Mechanical tracks the date of the block of xrefs inserted in the drawing. If AutoCAD Mechanical detects a change in an xref, it prompts you for confirmation and adds a revision line to the revisions list. If no revisions list exists, it creates one and prompts you to place it in the drawing area.

Generally, activate this command after changing your drawing. The first time you launch the command, in inserts a block with a header into the drawing.


About Drawing Borders and Title Blocks (Quick Reference)

About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMREVLINE

Adds a revision line to a revisions list.

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: Annotate [image] Drawing Title and Revision [image] Add one Revision Line Does not exist in the menus.
Command entry: amrevline

Use this command to add a revision line to the revision list manually. If no revisions list exists, it creates a revision list and prompts you to place it in the drawing area.

If you insert at least one drawing border/title block, select the drawing border whose objects are included. Otherwise the Edit Revision Attributes dialog box appears immediately. You can change or add entries for the number, the date, the revision description, the name, and the DWG name.

COMMAND LINE OPTIONS

Select drawing border/title block (RETURN = global space): Select the insertion point for the revision block.

COMMAND LINE DEFINITIONS

Select drawing border/title block

Select the border or title block to consider.

RETURN

All objects in the drawing are considered.


About Drawing Borders and Title Blocks (Quick Reference)

About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMREVUPDATE

Updates the revision block

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: Annotate [image] Drawing Title and Revision [image] Update Revision Line Does not exist in the menus.
Command entry: amrevupdate

You use this command when revision tracking is turned off, and you want to check if any xrefs have changed and update the revisions list.

Note: Only considers the last change made on the xref.


About Drawing Borders and Title Blocks (Quick Reference)

About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Drawing Sheet Settings dialog box

Specify entries for the title block, paper format, and scale factor of the drawing for the current standard.

Revision Displays most recent revision of the standard this symbol complies with.
Default Paper Format
 | Drop-down list Sets the default drawing border for the current drawing.
 | Displays the Select File dialog box, in which you can add a drawing file (containing a drawing border) to the drop-down list and set it as the default drawing border.
Default Title Block
 | Drop-down list Sets the default title block for the current drawing.
 | Displays the Select File dialog box, in which you can add a drawing file (containing a title block) to the drop-down list and set it as the default drawing border.
 | Extension Title Blocks button Displays the Extension Title Blocks dialog box so that you can add up to two additional title block extensions to the drawing. NoteThis option is available only in the GOST standard.
 | Invert Part Number Inserts the part number as an upside-down text within a rectangular box, at the top left of the paper format. NoteThis option is available only if the current drafting standard is set to GB.
Default Revision List NoteRevision lists are not available in the GOST standard.
 | First Drop-down list Selects a default revision list block for the current drawing.
 | Displays the Select File dialog box, in which you can add a drawing file (containing a revision block) to the drop-down list and set it as the default revision list.
 | Second Drop-down list Sets a base point for the revision block.
Scale Change Settings
 | Objects to Rescale Specifies whether the drawing objects are to be selected automatically or manually.
Read from External File Sets the default standard import file (.tit file) name to be used with the Import button on the Drawing Borders with Title Block dialog box, which appears when you invoke the AMTITLE command.
 | Path Displays the name of the folder that contains the default .tit file.
 | File Displays the name of the default .tit file.
 | Browse Displays the Select File dialog box, enabling you to select the .tit file.
 | Display Title Block Dialog after Import check box Sets the AMTITLE command to display the data of the selected .tit file, giving you the opportunity to accept or reject the settings while inserting drawing borders.
Views Created From Sets the AMTITLE command to create six views, which are accessible via the AutoCAD VIEW command, within the drawing border.
 | Don't create views Does not create views.
 | Limits Creates views defined by the outer points of the frame.
 | Drawing Area Creates views defined by the maximum drawing area within the frame.
Set Limits
 | Don't Set Limits Keeps the adjusted limits unchanged.
 | Limits to Corners Sets a size limit for the new border area.
 | Limits to Maximum Sets the limits to maximum, if the border space exceeds the predefined limit space.
Restore Defaults Resets all settings to their default values.


About Drawing Borders and Title Blocks (Quick Reference)

About Drawing Borders and Title Blocks
About Drawing Borders and Title Blocks
Attribute Definitions for Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
About Drawing Borders and Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Extension Title Blocks Settings dialog box

The Extension Title Blocks button appears on both the Drawing Borders with Title Block which is accessed using the AMTITLE command and the Drawing Sheet Settings dialog box using the AMOPTIONS command. When you open the dialog box from the Drawing Sheet Settings dialog box, Browse buttons are visible but not when you open the dialog box from the Drawing Borders with Title Box dialog box.

First Extension

Adds an extension title block in a specific location on the drawing based on the paper format.

Second Extension

Adds an extension title block in a specific location on the drawing based on the paper format.

Browse buttons

Adds custom extension title blocks to the drawing. Opens the select file dialog box so that you can locate and load the custom extensions. If you add the extensions from the Drawing Borders with Title Block using the AMTITLE command, the browse buttons are not available in the dialog box.


Attribute Definitions for Title Blocks (Concept)

About Drawing Borders and Title Blocks
Create Drawing Borders and Title Blocks
Use Revision Lines
Annotate drawings > Create Drawing Borders and Title Blocks >
Attribute Definitions for Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Title Block Captions

Since AutoCAD Mechanical ships in several languages, title block captions on the title blocks supplied with AutoCAD Mechanical are implemented as translatable text strings. Therefore, they automatically translate to the language of the platform you are working on.

When you customize title blocks, you need not concern yourself with translatable text strings. You can directly type the desired title block captions.

Title Block Data

Title block entries are implemented as attributes. They are typically of the form GEN-TITLE-SOMENAME {12.3}, where

  • GEN-TITLE-SOMENAME is the attribute name.
  • {12.3} is the ratio of the defined width for the text to the text height. For example, if the text height is 5 units, and the width of the available space is 100 units, the value between the curly brackets is 20.

The title block attributes are:

Attribute | Definition
GEN-TITLE-APPM | Approved by
GEN-TITLE-CHECKD | Check date
GEN-TITLE-CHKM | Checked by
GEN-TITLE-CTRN | Contract number
GEN-TITLE-DACT | Design activity
GEN-TITLE-DAT | Draft date
GEN-TITLE-DES1 | Drawing title
GEN-TITLE-DES2 | Drawing subtitle
GEN-TITLE-DWG | File name
GEN-TITLE-FSCM | FSCM number
GEN-TITLE-ISSD | Issue date
GEN-TITLE-ISSM | Issued by
GEN-TITLE-MAT1 | Material line 2
GEN-TITLE-MAT2 | Material line 1
GEN-TITLE-NAME | Drawn by
GEN-TITLE-NORM1 | Raw material line 2
GEN-TITLE-NORM2 | Raw material line 1
GEN-TITLE-NR | Drawing number
GEN-TITLE-PLOT | Plot date
GEN-TITLE-POSI | Item number
GEN-TITLE-QTY | Quantity
GEN-TITLE-REV | Revision
GEN-TITLE-SCA | Scale Factor
GEN-TITLE-SHEET | Sheet number
GEN-TITLE-SIZ | Size
GEN-TITLE-WT | Weight
Additional information on translatable text

Translatable text takes the form Igenmsg "gentitis" 68{22.7}, where

  • IgenMsg is a call to the language converter, instructing it to retrieve text from a multilanguage dictionary file (.mld).
  • gentitis is the name of the multilanguage dictionary file (multilanguage dictionary files are in the acadm/translator folder).
  • 68 is the identification number of the text you want to retrieve.
  • {22.7} is the ratio of the defined width for the text to the text height. For example, if the text height is 5 units, and the width of the available space is 100 units, the value between the curly brackets is 20.


Attribute Definitions for Title Blocks (Procedure)

About Drawing Borders and Title Blocks
Up a level to ..
Attribute Definitions for Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
Attribute Definitions for Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To customize drawing border and title block

To create an import file for title block entries


Attribute Definitions for Title Blocks (Quick Reference)

About Drawing Borders and Title Blocks
Attribute Definitions for Title Blocks
Attribute Definitions for Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
Attribute Definitions for Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTITLE

Drawing Borders with Title Block dialog box

Edit Drawing Border / Title Block dialog box

Drawing Sheet Settings dialog box


To customize drawing border and title block (Procedure)

Attribute Definitions for Title Blocks
Up a level to ..
Attribute Definitions for Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
Attribute Definitions for Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To customize drawing border and title block

Title blocks are DWG files that the program inserts into a drawing when you execute the AMTITLE command. These DWG files contain key information. We recommend that you create a copy of the supplied title block closest to your requirements and modify it per your requirements.

  1. Click None [image] None [image] . At the Command prompt, enter OPEN.
  2. Select the file containing the title block closest to the one you need.
    NoteThe program stores title blocks in the Title subfolder of the folder containing title border files.
  3. Save the file with another name in the same folder.
  4. From the View menu, select Zoom [image] Zoom All. The title block appears. Static text (title block captions such as the text “File Name”) and variable text (title block entries such as the file name) are shown as tags.
    Illustration of an ISO title block

    Title block captions appear in red and title block data (implemented as attributes) appears in blue

  5. To edit a static text, double-click the static text and type the new caption.
    NoteAlthough default title block captions are implemented as tags (for example, Igenmsg “gentitis” 60{22.7}), when you insert your own captions, they do not need to be inserted as tags. Type the text to display.
    Illustration of a custom title block

    Title block captions appear in red and title block data (implemented as attributes) appears in blue

  6. To edit a variable text:
    1. Double-click the variable text. The Edit attributes dialog box is displayed.
    2. In the Tag box, type the name of the title block attribute, ending it with a pair of curly brackets.
    3. Between the curly brackets, type the width to height ratio of the variable text. For example, if the text height is 5 units, and the available width is 100 units, enter 20 between the curly brackets.
    4. In the prompt box, type the caption for this variable text.
      NoteAlthough default title block captions are implemented as tags (for example, Igenmsg “gentitis” 60), custom captions do not need to be inserted as tags. Type the text to display.
    5. In the default box, type the default value for the variable text.
    6. Click OK
  7. Use the MOVE and ERASE commands to reorganize entries as required.
  8. Save and close the file.
  9. In the file you want to add the title block to, add this file to the list of available title blocks.


To create an import file for title block entries (Procedure)

Attribute Definitions for Title Blocks
Up a level to ..
Use Revision Lines
Annotate drawings > Create Drawing Borders and Title Blocks >
Attribute Definitions for Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an import file for title block entries

A file to use for importing information into title blocks must be in ASCII-format and saved with the .tit file extension.

The first two lines of the file must contain the following:

  • 1. Scale factor, for example, 1:2
  • 2. Drawing format, for example, A2

    Use the remaining lines, which are optional, to map attributes from the drawing title block to the appropriate associated text. For example:

  • 3. (“GEN-TITLE-DWG” “file name”)
  • 4. (“GEN-TITLE-NAME” “name of engineer”)

Example:

1:10

C2

(“GEN-TITLE-DWG” “Proj_Gear2000i”)

(“GEN-TITLE-MAT1” “Steel”)

(“GEN-TITLE-NAME” “Peter Draft”)

(“GEN-TITLE-CHKM” “Charlie Check”)

Note
  • If a specification is missing, the program does not fill the respective attributes with any values.
  • The program does not allow blank lines in the file.
  • To use quotation marks within the title block, for example to mark inch values, add a backslash before the quotation mark symbol. “USC 3/4\”” produces: USC 3/4”


Attribute Definitions for Title Blocks (Quick Reference)

Attribute Definitions for Title Blocks
Attribute Definitions for Title Blocks
Attribute Definitions for Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
Attribute Definitions for Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTITLE

Inserts a drawing border with a title block

Ribbon: Annotate tab [image] Layout panel [image] . Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: Annotate [image] Drawing Title and Revision [image] Drawing Title/Borders Does not exist in the menus.
Command entry: amtitle

You can also use this command to edit an existing drawing border. You can set options for Title Block, Paper Format, and Scale.

AMTITLE is controlled by the Drawing Borders with Title Block dialog box. Set options for Title Block, Paper Format, and Scale. The command line options depend on the settings in the dialog box.

COMMAND LINE OPTIONS

Insertion Point: Click a point in the drawing to insert the drawing title/border or press ENTER to insert the border on 0,0,0.

You can make additional entries in the Change Title Block Entry dialog box.

Objects for centering and re-scaling:

Select objects: Specify objects.

Select objects: Specify another object, or press ENTER to continue.

New location for objects: Select a point to insert the object(s) in the drawing border.

Note
  • When a title block exists in the drawing, the Edit Drawing Border/Title Block dialog box appears. Select the New Drawing Border/Title Block option to insert a new title block or select the Change Drawing Border/Title Block option to modify the existing drawing border or title block.
  • The Microsoft Windows short date format determines the date format. To change the date format of an existing title block, change the Microsoft Windows short date format (using the Regional and Language Settings applet in the Control Panel) and insert the title block again.


Attribute Definitions for Title Blocks (Quick Reference)

Attribute Definitions for Title Blocks
Attribute Definitions for Title Blocks
Attribute Definitions for Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
Attribute Definitions for Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Drawing Borders with Title Block dialog box

Paper Format

Contains standardized drawing borders, saved in the title border folder. You can use one of the standardized format or select a customer format. To use a custom format, start the AMOPTIONS command and double-click Drawing Sheets in the AM:Standards tab (Options dialog box). In the Drawing Sheet Settings dialog box, under Default Paper Format, choose Additional to select and add a customer paper format to the existing list.

Title Block

Contains standardized title blocks, which are saved in the title border folder. You can use one of the standardized format or select and use a customer format. To use a custom format, start the AMOPTIONS command and double-click Drawing Sheets in the AM:Standards tab (Options dialog box). In the Drawing Sheet Settings dialog box, under Default Title Block, choose Additional to select and add a customer paper format to the existing list.

Extension Title Blocks

Opens the Extension Title Blocks dialog box so that you can add title block extensions to the drawing. This option is available only in the GOST standard.

Scale

Displays all standard scale factors. You can also enter your own scale factor.

Calculate

Suggests a scale factor for a drawing section or for the size of the existing objects in the drawing of a pre-selected border. The calculated scale factor appears in the scale box. The Calculate option is not available in layout.

Set Base Scale Factor

When selected, the section scale factor is stored in the configuration as base scale factor (only in Model space).

Set Drawing Defaults

Sets grid, snap, limits, linetype scale, and other options, to the default values that correspond to the selected scale factor you selected. Affects the following system variables:

  • CHAMFERA
  • CHAMFERB
  • FILLETRAD
  • GRIDUNIT
  • SNAPUNIT
  • LUPREC
  • LTSCALE

Perform Rescale

Adjusts text, symbols, dimensions, tables, and other elements to conform to the changed scale factor.

Move Objects

Places existing objects in the drawing editor within the inserted drawing border. If you select the Automatic Placement option as well, selected objects move to the center of the border.

Automatic Placement

Moves selected objects to the center of the border. Selects all objects located within an inserted drawing border automatically, if the Objects to Rescale: Automatic Selection option is selected in the Drawing Sheet Settings dialog box (accessed through the AM:Standards tab of the Options dialog box). If no border exists, selects all objects. If objects are outside the border, clear the Automatic Selection check box in the Drawing Sheet Settings dialog box (accessed through the AM:Standards tab of the Options dialog box). Otherwise, the objects outside the border are not part of the selected border.

Thaw All Layers

Selects all layers containing objects, moves them into the border, and thaws them. Restores the state of the layers when complete.

Retrieve from Part Reference

Retrieves values for the title block from the part reference. If the drawing contains more than one part reference, select the part reference.

Retrieve from Assembly Properties

Retrieves values for the title block from the assembly property.

Read from External File

  • Import

Displays a list of files ending with .tit. When you import files from an external location or if you frequently use drawing border and title block entries you may want to import the title block and border information from an external file. This import file is the interface for the drawing administration.


Attribute Definitions for Title Blocks (Quick Reference)

Attribute Definitions for Title Blocks
Attribute Definitions for Title Blocks
Attribute Definitions for Title Blocks
Annotate drawings > Create Drawing Borders and Title Blocks >
Attribute Definitions for Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit Drawing Border / Title Block dialog box

New Drawing Border/Title Block

Inserts an additional drawing border to an existing one. Displays the Drawing Border with Title Block dialog box for selecting a new border and title block. Zooms all existing drawing borders so that you can insert the new border.

Change Drawing Border/Title Block

Activates the options for editing drawing border/title block, title block entries, and scale factor.

Change Title Block Entry

Displays the Change Title Block Entry dialog box for entering or editing title block entries. All entries can be edited except the scale factor.

Change Drawing Border

Displays the Drawing Border with Title Block dialog box for changing the paper format of the border.

Change Title Block

Displays the Drawing Border with Title Block dialog box for changing the title block style.

Change Scale

Displays the Drawing Border with Title Block dialog box for changing the scale of the border. When a new scale factor is selected, selects the Perform Rescaling option.


Attribute Definitions for Title Blocks (Quick Reference)

Attribute Definitions for Title Blocks
Attribute Definitions for Title Blocks
Use Revision Lines
Annotate drawings > Create Drawing Borders and Title Blocks >
Attribute Definitions for Title Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Drawing Sheet Settings dialog box

Specify entries for the title block, paper format, and scale factor of the drawing for the current standard.

Revision Displays most recent revision of the standard this symbol complies with.
Default Paper Format
 | Drop-down list Sets the default drawing border for the current drawing.
 | Displays the Select File dialog box, in which you can add a drawing file (containing a drawing border) to the drop-down list and set it as the default drawing border.
Default Title Block
 | Drop-down list Sets the default title block for the current drawing.
 | Displays the Select File dialog box, in which you can add a drawing file (containing a title block) to the drop-down list and set it as the default drawing border.
 | Extension Title Blocks button Displays the Extension Title Blocks dialog box so that you can add up to two additional title block extensions to the drawing. NoteThis option is available only in the GOST standard.
 | Invert Part Number Inserts the part number as an upside-down text within a rectangular box, at the top left of the paper format. NoteThis option is available only if the current drafting standard is set to GB.
Default Revision List NoteRevision lists are not available in the GOST standard.
 | First Drop-down list Selects a default revision list block for the current drawing.
 | Displays the Select File dialog box, in which you can add a drawing file (containing a revision block) to the drop-down list and set it as the default revision list.
 | Second Drop-down list Sets a base point for the revision block.
Scale Change Settings
 | Objects to Rescale Specifies whether the drawing objects are to be selected automatically or manually.
Read from External File Sets the default standard import file (.tit file) name to be used with the Import button on the Drawing Borders with Title Block dialog box, which appears when you invoke the AMTITLE command.
 | Path Displays the name of the folder that contains the default .tit file.
 | File Displays the name of the default .tit file.
 | Browse Displays the Select File dialog box, enabling you to select the .tit file.
 | Display Title Block Dialog after Import check box Sets the AMTITLE command to display the data of the selected .tit file, giving you the opportunity to accept or reject the settings while inserting drawing borders.
Views Created From Sets the AMTITLE command to create six views, which are accessible via the AutoCAD VIEW command, within the drawing border.
 | Don't create views Does not create views.
 | Limits Creates views defined by the outer points of the frame.
 | Drawing Area Creates views defined by the maximum drawing area within the frame.
Set Limits
 | Don't Set Limits Keeps the adjusted limits unchanged.
 | Limits to Corners Sets a size limit for the new border area.
 | Limits to Maximum Sets the limits to maximum, if the border space exceeds the predefined limit space.
Restore Defaults Resets all settings to their default values.


Use Revision Lines (Concept)

Attribute Definitions for Title Blocks
Create Drawing Borders and Title Blocks
Standard Import (.tit) Files
Annotate drawings > Create Drawing Borders and Title Blocks >
Use Revision Lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Use revision lines to track changes in an assembly drawing. The revision list is a block with line blocks. You can insert the list any place in the drawing or in a title block. The revision list is standard-dependent and you can insert each revision list from top to bottom or from bottom to top. You can also change the insertion point for the list using the AMOPTIONS command.

After you have finished the design work on the assembly drawing, you activate the revision list command.

Use AMCATALOG or XATTACH to insert multiple detail drawings from an assembly drawing. If you have not changed any xref blocks, it may appear as if nothing happens. Internally, however, the revision list command regularly checks the date of the block. If you leave the assembly drawing in order to work on the detail drawing, we recommend that you turn on the Revision list command. If you modify an xref block, a dialog box appears when the changes complete.

You can make entries on how the changes are carried out. If you confirm your selection with OK, the following messages appear:

Add changes to revision list <Y>: Press ENTER.

Update of revision control

Insertion point:

Note
  • If you close the detail drawing and reopen the assembly drawing, the program prompts you to insert a revision line.
  • If the Revision list setting is off (default), then changes are revised. This behavior is normal during the design stage.
  • If the Revision option is on, then the dates of the previous changes are compared with the current date. If multiple xrefs exist, then all of the dates are scrutinized. If you have altered one or more of the xrefs, the list updates accordingly.
  • AutoCAD Mechanical saves the xrefs and their comments. The revision list updates and, depending on the number of xrefs altered, changes accordingly.
  • This shows whether numerous xrefs have changed, or whether one xref has been subject to several changes, and so on.


Use Revision Lines (Procedure)

Attribute Definitions for Title Blocks
Up a level to ..
Use Revision Lines
Annotate drawings > Create Drawing Borders and Title Blocks >
Use Revision Lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a revision list

To specify the insertion point and the direction of a revision list

To delete a revision list


Use Revision Lines (Quick Reference)

Attribute Definitions for Title Blocks
Use Revision Lines
Use Revision Lines
Annotate drawings > Create Drawing Borders and Title Blocks >
Use Revision Lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMREV

AMREVLINE

AMREVUPDATE


To insert a revision list (Procedure)

Use Revision Lines
Up a level to ..
Use Revision Lines
Annotate drawings > Create Drawing Borders and Title Blocks >
Use Revision Lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a revision list

If no revision control is activated, you can create a revision line by activating AMREV or AMREVUPDATE.

Insert a revision line with activated revision control
  1. Attach an xref drawing to the assembly drawing.
  2. At the Command prompt, enter AMREV to activate the revision control.
  3. Save and close the assembly drawing.
  4. Open the xref drawing and change anything (for example, detailing).
  5. Save the xref drawing.
  6. Open the assembly drawing again.
  7. In the message box, click OK.
  8. Specify an insertion point for the revision line.
  9. Complete the entries in the Edit Revision Attributes dialog box.
  10. Click OK.
NoteThe program inserts the revision line with a header and the first line when you insert it for the first time.
Insert a revision line without having activated the revision control
  1. Attach an xref drawing to the assembly drawing.
  2. Save and close the assembly drawing.
  3. Open the xref drawing and change anything (for example, detailing).
  4. Save the xref drawing.
  5. Open the assembly drawing again.
  6. In the message box click OK.
  7. Click the Annotate menu [image] Drawing Title/Revisions [image] Update Revision Line.
  8. Specify an insertion point for the revision line.
  9. Complete the entries in the Edit Revision Attributes dialog box.
  10. Press OK.
NoteWhen you insert the revision line for the first time, the program inserts it with a header and the first line.


To specify the insertion point and the direction of a revision list (Procedure)

Use Revision Lines
Up a level to ..
Use Revision Lines
Annotate drawings > Create Drawing Borders and Title Blocks >
Use Revision Lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To specify the insertion point and the direction of a revision list

You can use revision lists from eight standards. The program can insert each revision list from bottom to top or vice versa and with different insertion points. It is not possible to change the standard once you have inserted a revision list. To change the standard, delete the revision list in the drawing area.

Change the standard of a revision line
  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box AM:Standard Tab, choose a Standard from the Standards list.
  3. Choose Apply.
  4. Click OK.
Change the build direction and the insertion point of a revision line
  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box AM:Standards tab, double-click Drawing Sheet in the Standard elements list.
  3. In the Drawing Sheet Settings dialog box, under Default revision list:
    • Choose the type of revision list.
    • Select Bottom Right, Bottom Left, Top Left, or Top Right to specify the direction and insertion point.
    • Click OK.
  4. Choose Apply.
  5. Click OK.


To delete a revision list (Procedure)

Use Revision Lines
Up a level to ..
Scaling
Annotate drawings > Create Drawing Borders and Title Blocks >
Use Revision Lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete a revision list

Use AMPOWERERASE to delete a revision list (block).

  1. Click None [image] None [image] . At the Command prompt, enter AMPOWERERASE.
  2. Select the list header.
  3. The program removes the header and all revision lines.
NoteSelect one or more block lines to delete them. The program rebuilds the list automatically.


Use Revision Lines (Quick Reference)

Use Revision Lines
Use Revision Lines
Use Revision Lines
Annotate drawings > Create Drawing Borders and Title Blocks >
Use Revision Lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMREV

Turns revisions on or off.

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: Annotate [image] Drawing Title and Revision [image] Revision On / Off Does not exist in the menus.
Command entry: amrev

When revisions are turned on, AutoCAD Mechanical tracks the date of the block of xrefs inserted in the drawing. If AutoCAD Mechanical detects a change in an xref, it prompts you for confirmation and adds a revision line to the revisions list. If no revisions list exists, it creates one and prompts you to place it in the drawing area.

Generally, activate this command after changing your drawing. The first time you launch the command, in inserts a block with a header into the drawing.


Use Revision Lines (Quick Reference)

Use Revision Lines
Use Revision Lines
Use Revision Lines
Annotate drawings > Create Drawing Borders and Title Blocks >
Use Revision Lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMREVLINE

Adds a revision line to a revisions list.

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: Annotate [image] Drawing Title and Revision [image] Add one Revision Line Does not exist in the menus.
Command entry: amrevline

Use this command to add a revision line to the revision list manually. If no revisions list exists, it creates a revision list and prompts you to place it in the drawing area.

If you insert at least one drawing border/title block, select the drawing border whose objects are included. Otherwise the Edit Revision Attributes dialog box appears immediately. You can change or add entries for the number, the date, the revision description, the name, and the DWG name.

COMMAND LINE OPTIONS

Select drawing border/title block (RETURN = global space): Select the insertion point for the revision block.

COMMAND LINE DEFINITIONS

Select drawing border/title block

Select the border or title block to consider.

RETURN

All objects in the drawing are considered.


Use Revision Lines (Quick Reference)

Use Revision Lines
Use Revision Lines
Standard Import (.tit) Files
Annotate drawings > Create Drawing Borders and Title Blocks >
Use Revision Lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMREVUPDATE

Updates the revision block

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: Annotate [image] Drawing Title and Revision [image] Update Revision Line Does not exist in the menus.
Command entry: amrevupdate

You use this command when revision tracking is turned off, and you want to check if any xrefs have changed and update the revisions list.

Note: Only considers the last change made on the xref.


Standard Import (.tit) Files (Concept)

Use Revision Lines
Create Drawing Borders and Title Blocks
Scaling
Annotate drawings > Create Drawing Borders and Title Blocks >
Standard Import (.tit) Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

A standard import (.tit) file is a text file you can use to import information for a drawing border or title block. Rather than manually selecting drawing borders, scale, and title block attributes while executing the AMTITLE command, .tit files give you the ability to predefine these settings and automatically pick them up.

The following example shows the file structure.

The first two lines of the file must contain the following:

  • First line: Scale Factor, for example, 1:2
  • Second line: .dwg file to use for the drawing border, for example, iso_a2x4.dwg

Use the remaining lines, which are optional, to map attributes from the drawing title block to the appropriate associated text, for example:

  • Third line: ("GEN-TITLE-DWG" "Crane_0A2")
  • Fourth line: (“GEN-TITLE-NAME” “Autodesk”)

Such a text file can look like:

1:2

iso_a2x4.dwg

(“GEN-TITLE-SCA” “1:2”)

(“GEN-TITLE-NAME” “BEMZ”)

(“GEN-TITLE-NR” “ADSK\\2004\\1248\\010”)

Note
  • If a specification is missing, the attributes remain blank.
  • The file cannot include blank lines.
  • If you want to add quotation marks to the title block, for example, to mark inch values, you can write “USC 3/4\””” for USC 3/4”.


Standard Import (.tit) Files (Quick Reference)

Use Revision Lines
Standard Import (.tit) Files
Rescale objects
Annotate drawings > Create Drawing Borders and Title Blocks >
Standard Import (.tit) Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Drawing Sheet Settings dialog box

Specify entries for the title block, paper format, and scale factor of the drawing for the current standard.

Revision Displays most recent revision of the standard this symbol complies with.
Default Paper Format
 | Drop-down list Sets the default drawing border for the current drawing.
 | Displays the Select File dialog box, in which you can add a drawing file (containing a drawing border) to the drop-down list and set it as the default drawing border.
Default Title Block
 | Drop-down list Sets the default title block for the current drawing.
 | Displays the Select File dialog box, in which you can add a drawing file (containing a title block) to the drop-down list and set it as the default drawing border.
 | Extension Title Blocks button Displays the Extension Title Blocks dialog box so that you can add up to two additional title block extensions to the drawing. NoteThis option is available only in the GOST standard.
 | Invert Part Number Inserts the part number as an upside-down text within a rectangular box, at the top left of the paper format. NoteThis option is available only if the current drafting standard is set to GB.
Default Revision List NoteRevision lists are not available in the GOST standard.
 | First Drop-down list Selects a default revision list block for the current drawing.
 | Displays the Select File dialog box, in which you can add a drawing file (containing a revision block) to the drop-down list and set it as the default revision list.
 | Second Drop-down list Sets a base point for the revision block.
Scale Change Settings
 | Objects to Rescale Specifies whether the drawing objects are to be selected automatically or manually.
Read from External File Sets the default standard import file (.tit file) name to be used with the Import button on the Drawing Borders with Title Block dialog box, which appears when you invoke the AMTITLE command.
 | Path Displays the name of the folder that contains the default .tit file.
 | File Displays the name of the default .tit file.
 | Browse Displays the Select File dialog box, enabling you to select the .tit file.
 | Display Title Block Dialog after Import check box Sets the AMTITLE command to display the data of the selected .tit file, giving you the opportunity to accept or reject the settings while inserting drawing borders.
Views Created From Sets the AMTITLE command to create six views, which are accessible via the AutoCAD VIEW command, within the drawing border.
 | Don't create views Does not create views.
 | Limits Creates views defined by the outer points of the frame.
 | Drawing Area Creates views defined by the maximum drawing area within the frame.
Set Limits
 | Don't Set Limits Keeps the adjusted limits unchanged.
 | Limits to Corners Sets a size limit for the new border area.
 | Limits to Maximum Sets the limits to maximum, if the border space exceeds the predefined limit space.
Restore Defaults Resets all settings to their default values.


Scaling

Standard Import (.tit) Files
Annotate drawings
Rescale objects
Annotate drawings >
Scaling
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Rescale objects
  • About model space and layout
  • Scale areas


Scaling (Procedure)

Use Revision Lines
Scaling
Rescale objects
Annotate drawings >
Scaling
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a viewport

To define a scale area with length scaling

To define a scale area with text scaling

To monitor the scale

To move a scale area or a viewport

To resize a scale area or a viewport

To change the drawing scale

To create a viewport

To move a scale area or a viewport

To resize a scale area or a viewport

To define a scale area with length scaling

To define a scale area with text scaling

To monitor the scale

To move a scale area or a viewport

To resize a scale area or a viewport


Rescale objects (Concept)

Scaling
Scaling
About model space and layout
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The size of dimensions, symbols, or hatches depends on the base scale factor, the scale of the drawing border, or the scale of a scale area set in the drawing.

If the scale factor changes, the size of the objects also has to change. To do this use the rescale option.

For example, if you have a drawing border with a scale factor of 1:1, you assume that the plot is done with a scale factor of 1:1 also. During the design process, you notice that the drawing border is too small and the scale factor must be changed to 1:5. You rescale, and the scale-defined objects (not the drawing objects) are enlarged by the factor 5. Nothing but the text is rescaled. Thus, the dimension text appears with a size of 5x3.5. The plot must be executed with a factor of 1:5, so that the resulting text size is 3.5 again.


Rescale objects (Procedure)

Scaling
Up a level to ..
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a viewport

To define a scale area with length scaling

To define a scale area with text scaling

To monitor the scale

To move a scale area or a viewport

To resize a scale area or a viewport

To change the drawing scale


Rescale objects (Quick Reference)

Standard Import (.tit) Files
Rescale objects
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMRESCALE

AMSCAREA

AMSCMONITOR

AMTEXTSIZE

AMVIEWALL

AMVIEWCEN

AMVIEWLL

AMVIEWLR

AMVIEWUL

AMVIEWUR

AMVPORT

View dialog box

AMVPORTAUTO

AMVPZOOMALL

AMZOOMVP

AMVIEWREFRESH System Variable

AMVPBORDER System Variable


To create a viewport (Procedure)

Rescale objects
Up a level to ..
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a viewport

Switch to layout mode.

  1. Click None [image] None [image] . At the Command prompt, enter AMSCAREA.
  2. Define the border of the viewport.
  3. In the View dialog box, specify the scale for inside the scale area.
  4. Choose OK.


To define a scale area with length scaling (Procedure)

Rescale objects
Up a level to ..
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To define a scale area with length scaling

When setting scale areas with the length scaling option, the different scale factors (base scale, drawing border or set scale areas) are considered in the drawing. The scale area can be created over existing objects, or objects can be drawn inside a scale area.

  1. Click None [image] None [image] . At the Command prompt, enter AMSCAREA.
  2. Specify the first (1) and the second (2) point to draw a rectangle to define the border of the scale area.
  3. In the Scale Area dialog box,
  • Scale: Select 1:1.
  • Select Length Scaling.
  • Select Perform Rescaling.
  • Choose OK.
  • Select objects for rescaling to correct the dimension (3) and press ENTER.

Notes:

  • The length scaling automatically displays the calculated scale factor.
  • The length scaling corresponds to the enlargement factor of the detail in model space. The scale factor is considered automatically during enlargement (AMDETAIL).


To define a scale area with text scaling (Procedure)

Rescale objects
Up a level to ..
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To define a scale area with text scaling

Text scaling displays the scaled size of text and symbols in model space. If you select the Automatic Creation option in layout the viewport is adopted in layout and the text size is adjusted to a scale of 1:1.

  1. Click None [image] None [image] . At the Command prompt, enter AMSCAREA.
  2. Specify the first (1) and the second (2) point to draw a rectangle to define the border of the scale area.
  3. In the Scale Area dialog box,
    • Scale: Select 2:1.
    • Select Text Scaling.
    • Select Perform Rescaling.
  4. Choose OK.
  5. Select objects for rescaling to correct the dimension (3) and press ENTER.
NoteThe text scaling automatically displays the calculated scale factor.


To monitor the scale (Procedure)

Rescale objects
Up a level to ..
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To monitor the scale

NoteSelect the border of the scale area for editing.
  1. Click None [image] None [image] . At the Command prompt, enter AMSCMONITOR.
  2. Move the cursor over the scale area (or a viewport) to show the scale factors associated with this scale area (or viewport).
  3. Press ENTER to exit this command.


To move a scale area or a viewport (Procedure)

Rescale objects
Up a level to ..
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move a scale area or a viewport

You can move the viewport in model space and in layout mode.

  1. At the Command prompt, enter AMPOWEREDIT or double-click the viewport (1).
  2. In model space the Scale Area dialog box appears, in layout the View dialog box appears:
    • Under border, click Move<.
    • Choose OK.
  3. Select the target position for the viewport (2).
  4. Choose OK.
NoteWhen the viewport was resized or zoomed in layout, a message appears that the selected viewport is not up-to-date. Click Yes to perform an update.


To resize a scale area or a viewport (Procedure)

Rescale objects
Up a level to ..
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To resize a scale area or a viewport

You can resize a viewport or a scale defining area in model space and in layout mode.

  1. Select the vport.
  2. Use the grips to resize the viewport (1).


To change the drawing scale (Procedure)

Rescale objects
Up a level to ..
About model space and layout
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the drawing scale

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Scale edit field, enter a new scale, and choose OK.


Rescale objects (Quick Reference)

Rescale objects
Rescale objects
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMRESCALE

Use AMRESCALE to rescale dimensions, symbols, and tables in model space and in layout.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amrescale

COMMAND LINE OPTIONS

Enter symbol scale <Automatic>: Enter the scale factor.

Select objects for rescaling: Select the objects.


Rescale objects (Quick Reference)

Rescale objects
Rescale objects
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCAREA

Creates a scale area in model space.

Ribbon: View - 2D tab [image] Viewports panel [image] Viewport/Scale Area. Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: View [image] Viewports [image] Annotate [image] Drawing Title and Revision [image] Viewport/Scale Area Does not exist in the menus.
Command entry: amscarea

A scale area is a rectangular area in model space that has a scale that is different to the rest of model space. You can set a scale area to automatically create a view in a layout, using a viewport .

The Scale Area dialog box appears. You can control the scale area defined in your drawing.

DIALOG BOX DEFINITIONS

Scale Area dialog box

Use this dialog box to set a scale factor for the scale area, a new scale factor for an existing scale area, or a new basic scale factor for the entire drawing. You can also select the type of scaling (text or length). The basic scale factor is always the scale factor of the area where the new scale area was defined.

Scale

Sets the scale for inside the area. You can select a preset value, or enter any desired scale.

Note: For example, to specify a scale of 3:1, enter 3:1 or 3.0 (which is converted to 3:1).

<

Temporarily reverts to the drawing. You can select a scale defining entity (for example, another scale area, a dimension, or a scale text) to set the scale of the area you are editing.

Length Scaling

Sets the length scaling factor. It defines the ratio between drawn length and real length. For example, with a length scaling of 2.0, a line of 100 units is dimensioned as a line of 200 units.

Text Scaling

Sets the text scaling factor: This setting defines the dimension text height, symbol sizes, and table sizes. For example, with a text scaling of 2.0, the dimension text height is doubled in size. Later, if you create a viewport with the scale 1:2, the dimension text height appears in the standard size.

Automatic View Creation in

Creates a viewport using the same scale you used in the scale area. In this viewport, all text heights and symbols sizes appear in the right size.

Layout List

Selects a layout for the viewport. You cannot create viewports in more than one layout.

Set Basic Scale

Sets the text scaling factor used in the scale area as the basic scale. The basic scale is set for the whole drawing and can also be changed from within the configuration.

Perform Rescaling

Rescales objects in your drawing. This option affects the scale of dimension text height and symbol sizes.

Note: This option is selected automatically if the scale is changed.

New <

Redefines the border of the scale area.

Move <

Removes the border of the scale area.


Rescale objects (Quick Reference)

Rescale objects
Rescale objects
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCMONITOR

Displays the scale of a scale area or viewport

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: View [image] Viewports [image] Scale Monitor Does not exist in the menus.
Command entry: amscmonitor

The Scale Monitor dialog box appears. You can control and monitor the scale, length, and text scaling.

COMMAND LINE OPTIONS

Pick scale area to edit/Pick inside scale area to zoom/<Return> to finish:

COMMAND LINE DEFINITIONS

Pick scale area to edit

Pick the scale area to display the Scale Area dialog box. You can change any entries.

Pick inside scale area to zoom

The scale area is automatically zoomed.

Return to finish

The Scale Monitor dialog box is closed.


Rescale objects (Quick Reference)

Rescale objects
Rescale objects
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTEXTSIZE

Use AMTEXTSIZE to set text to its default size in model space and layout, and to define a height for an inserted text.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amtextsize

COMMAND LINE OPTIONS

Specify new text size <Automatic>: Enter the text size.

Select text to modify: Select the text element(s) you want to modify.


Rescale objects (Quick Reference)

Rescale objects
Rescale objects
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWALL

Creates the named view AM_VIEW6 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] View All Does not exist in the menus.
Command entry: amviewall

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW6 zooms to the grid limits. If AM_VIEW6 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWALL as a transparent command.


Rescale objects (Quick Reference)

Rescale objects
Rescale objects
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWCEN

Creates the named view AM_VIEW5 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] Center Does not exist in the menus.
Command entry: amviewcen

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW5 zooms to the center of the grid limits. If AM_VIEW5 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWCEN as a transparent command.


Rescale objects (Quick Reference)

Rescale objects
Rescale objects
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWLL

Creates the named view AM_VIEW3 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] Lower Left Does not exist in the menus.
Command entry: amviewll

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW3 zooms to the lower left of the grid limits. If AM_VIEW3 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWLL as a transparent command.


Rescale objects (Quick Reference)

Rescale objects
Rescale objects
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWLR

Creates the named view AM_VIEW4 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] Lower Right Does not exist in the menus.
Command entry: amviewlr

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW4 zooms to the lower right of the grid limits. If AM_VIEW4 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWLR as a transparent command.


Rescale objects (Quick Reference)

Rescale objects
Rescale objects
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWUL

Creates the named view AM_VIEW1 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] Upper Left Does not exist in the menus.
Command entry: amviewul

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW1 zooms to the upper left of the grid limits. If AM_VIEW1 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWUL as a transparent command.


Rescale objects (Quick Reference)

Rescale objects
Rescale objects
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWUR

Creates the named view AM_VIEW2 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] Upper Right Does not exist in the menus.
Command entry: amviewur

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW2 zooms to the upper right of the grid limits. If AM_VIEW2 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWUR as a transparent command.


Rescale objects (Quick Reference)

Rescale objects
Rescale objects
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVPORT

Creates a viewport in layout mode or to edit a viewport.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amvport

COMMAND LINE OPTIONS

Specify first point or [Circle/Border/Object]: Specify a point.

Specify second point: Specify a second point.

The View dialog box appears. You can control the viewport defined in your drawing.

COMMAND LINE DEFINITIONS

Circle

Draws a circle to define the viewport.

NoteThe sequence midpoint - radius draws the circle.

border

Selects a scale area in model space.

NoteYou can only create one viewport per layout for every scale area.

Object

Selects a closed border (for example, closed polyline, circle, ellipse, or spline).

NoteOpen polylines are closed automatically using a straight line.


Rescale objects (Quick Reference)

Rescale objects
Rescale objects
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

View dialog box

Use this dialog box to define and create a viewport in layout mode, or edit a viewport.

Scale

Sets the scale for the viewport. Select a preset value, or enter any desired scale. For example, to specify a scale of 3:1, enter 3.0 or 3.1 (which is converted to 3:1).

<

Temporarily reverts to the drawing. Then you can select a scale-defining entity (for example, another scale area, a dimension, or a scale text) to set the scale of the viewport you are editing.

border <

Sets a scale area in the drawing. This scale area sets the shape, size, and scale of the viewport. This way, the viewport is attached to the scale area. Changes to this scale area are automatically adapted by the viewport.

Midpoint

Attaches the viewport to a point that you select in your drawing. This point is the view target for the viewport. Midpoint does not specify the shape or the scale of the viewport.

Detach

Detaches the viewport from either the scale area or the midpoint it is attached to.

Zoom according to Scale

Sets the viewport zoom factor to reflect the scale you selected. This action is performed after you close the dialog box.

Perform Rescaling

Rescales objects in your drawing. Also affects the scale of dimension text height and symbol sizes.

NoteThis option is selected automatically if the scale is changed.

New <

Redefines the border of the viewport.

Move <

Moves the border of the viewport.

View active

Activates the viewport.

Hidden Lines (hideplot)

The viewport uses the Hideplot command for hiding lines.


Rescale objects (Quick Reference)

Rescale objects
Rescale objects
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVPORTAUTO

Creates viewports for all scale areas that are not associated with a viewport.

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: View [image] Viewports [image] Viewport Auto Create Does not exist in the menus.
Command entry: amvportauto

COMMAND LINE OPTIONS

Enter layout name (<Return> for "Layout1"): Specify a name for the layout, or press ENTER to use the default layout.


Rescale objects (Quick Reference)

Rescale objects
Rescale objects
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVPZOOMALL

Resets all viewports to their default scale factors.

Ribbon: View - 2D tab [image] View - Views panel [image] [image] Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: View [image] Viewports [image] Zoom all Viewports Does not exist in the menus.
Command entry: amvpzoomall

COMMAND LINE OPTIONS

The following situations are possible:

  • If no modification was made the following prompt appears:

    All active viewports are up-to-date.

  • If the viewport found was created with MVIEW or VPORTS the following prompt appears:

    The viewport does not use a standard scale [Associate, Ignore] <Associate>: Select Ignore to exit this command, or press ENTER to display the View dialog box. In this dialog box, specify a scale factor for the viewport.

  • When you use PLOT to plot a viewport that is not associated with a “standard scale”, the following warning appears:

    Some viewports have no standard scale associated. They are not zoomed.


Rescale objects (Quick Reference)

Rescale objects
Rescale objects
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMZOOMVP

Zooms an area in a viewport

Ribbon: None Does not exist on the ribbon.
Toolbar: Zoom
Menu: View [image] Named Views [image] By Viewports Does not exist in the menus.
Command entry: amzoomvp

COMMAND LINE OPTIONS

First corner: Specify the first point for the zoom window.

Second corner: Specify the second point for the zoom window.

Activate the viewport and click to zoom: Switch to another viewport; click any point in it.

Note: To use this command, create two or more viewports first using the VPORTS command.


Rescale objects (Quick Reference)

Rescale objects
Rescale objects
Rescale objects
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWREFRESH System Variable

Controls drawing view updates.

Type: | Integer
Initial value: | 1
Possible values: | 0 - Off 1 - On


Rescale objects (Quick Reference)

Rescale objects
Rescale objects
About model space and layout
Annotate drawings > Scaling >
Rescale objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVPBORDER System Variable

Controls display of drawing viewport borders.

Type: | Integer
Initial value: | 1
Possible values: | 0 - Off (borders are visible) 1 - On (borders are invisible)


About model space and layout (Concept)

Rescale objects
Scaling
Scale areas
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD distinguishes between two levels of drawing representation. Model space (construction plane) and layout (display-, or plotting plane). This functionality enables the construction drawing, or parts of it, to appear in different scale factors within the drawing.

Working in model space

Model space is like a drawing sheet. A model-like image of the producing parts appears on this sheet.

Working in layout

From the status bar you, can switch to the second level, which lies in front of the model space. This is the layout level. You can recognize it with the triangle symbol. It covers the model space like a sheet of paper.

To see the model space, cut windows (viewports) into the paper. You can assign attributes (like a scale factor or layer attributes) to these windows.

The dimensioning inside the viewports adjusts automatically to the selected scale factor. Text, symbols, and arrow sizes correspond to the standard. You can enlarge (zoom) parts of the drawing (this corresponds to AMDETAIL). In contrast to the detail in model space, the zoomed display of the detail is not a copied element; it is the original part.


About model space and layout (Procedure)

Rescale objects
Up a level to ..
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a viewport

To move a scale area or a viewport

To resize a scale area or a viewport


About model space and layout (Quick Reference)

Rescale objects
About model space and layout
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMRESCALE

AMSCAREA

AMSCMONITOR

AMTEXTSIZE

AMVIEWALL

AMVIEWCEN

AMVIEWLL

AMVIEWLR

AMVIEWUL

AMVIEWUR

AMVPORT

View dialog box

AMVPORTAUTO

AMVPZOOMALL

AMZOOMVP

AMVIEWREFRESH System Variable

AMVPBORDER System Variable


To create a viewport (Procedure)

About model space and layout
Up a level to ..
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a viewport

Switch to layout mode.

  1. Click None [image] None [image] . At the Command prompt, enter AMSCAREA.
  2. Define the border of the viewport.
  3. In the View dialog box, specify the scale for inside the scale area.
  4. Choose OK.


To move a scale area or a viewport (Procedure)

About model space and layout
Up a level to ..
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move a scale area or a viewport

You can move the viewport in model space and in layout mode.

  1. At the Command prompt, enter AMPOWEREDIT or double-click the viewport (1).
  2. In model space the Scale Area dialog box appears, in layout the View dialog box appears:
    • Under border, click Move<.
    • Choose OK.
  3. Select the target position for the viewport (2).
  4. Choose OK.
NoteWhen the viewport was resized or zoomed in layout, a message appears that the selected viewport is not up-to-date. Click Yes to perform an update.


To resize a scale area or a viewport (Procedure)

About model space and layout
Up a level to ..
Scale areas
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To resize a scale area or a viewport

You can resize a viewport or a scale defining area in model space and in layout mode.

  1. Select the vport.
  2. Use the grips to resize the viewport (1).


About model space and layout (Quick Reference)

About model space and layout
About model space and layout
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMRESCALE

Use AMRESCALE to rescale dimensions, symbols, and tables in model space and in layout.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amrescale

COMMAND LINE OPTIONS

Enter symbol scale <Automatic>: Enter the scale factor.

Select objects for rescaling: Select the objects.


About model space and layout (Quick Reference)

About model space and layout
About model space and layout
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCAREA

Creates a scale area in model space.

Ribbon: View - 2D tab [image] Viewports panel [image] Viewport/Scale Area. Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: View [image] Viewports [image] Annotate [image] Drawing Title and Revision [image] Viewport/Scale Area Does not exist in the menus.
Command entry: amscarea

A scale area is a rectangular area in model space that has a scale that is different to the rest of model space. You can set a scale area to automatically create a view in a layout, using a viewport .

The Scale Area dialog box appears. You can control the scale area defined in your drawing.

DIALOG BOX DEFINITIONS

Scale Area dialog box

Use this dialog box to set a scale factor for the scale area, a new scale factor for an existing scale area, or a new basic scale factor for the entire drawing. You can also select the type of scaling (text or length). The basic scale factor is always the scale factor of the area where the new scale area was defined.

Scale

Sets the scale for inside the area. You can select a preset value, or enter any desired scale.

Note: For example, to specify a scale of 3:1, enter 3:1 or 3.0 (which is converted to 3:1).

<

Temporarily reverts to the drawing. You can select a scale defining entity (for example, another scale area, a dimension, or a scale text) to set the scale of the area you are editing.

Length Scaling

Sets the length scaling factor. It defines the ratio between drawn length and real length. For example, with a length scaling of 2.0, a line of 100 units is dimensioned as a line of 200 units.

Text Scaling

Sets the text scaling factor: This setting defines the dimension text height, symbol sizes, and table sizes. For example, with a text scaling of 2.0, the dimension text height is doubled in size. Later, if you create a viewport with the scale 1:2, the dimension text height appears in the standard size.

Automatic View Creation in

Creates a viewport using the same scale you used in the scale area. In this viewport, all text heights and symbols sizes appear in the right size.

Layout List

Selects a layout for the viewport. You cannot create viewports in more than one layout.

Set Basic Scale

Sets the text scaling factor used in the scale area as the basic scale. The basic scale is set for the whole drawing and can also be changed from within the configuration.

Perform Rescaling

Rescales objects in your drawing. This option affects the scale of dimension text height and symbol sizes.

Note: This option is selected automatically if the scale is changed.

New <

Redefines the border of the scale area.

Move <

Removes the border of the scale area.


About model space and layout (Quick Reference)

About model space and layout
About model space and layout
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCMONITOR

Displays the scale of a scale area or viewport

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: View [image] Viewports [image] Scale Monitor Does not exist in the menus.
Command entry: amscmonitor

The Scale Monitor dialog box appears. You can control and monitor the scale, length, and text scaling.

COMMAND LINE OPTIONS

Pick scale area to edit/Pick inside scale area to zoom/<Return> to finish:

COMMAND LINE DEFINITIONS

Pick scale area to edit

Pick the scale area to display the Scale Area dialog box. You can change any entries.

Pick inside scale area to zoom

The scale area is automatically zoomed.

Return to finish

The Scale Monitor dialog box is closed.


About model space and layout (Quick Reference)

About model space and layout
About model space and layout
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTEXTSIZE

Use AMTEXTSIZE to set text to its default size in model space and layout, and to define a height for an inserted text.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amtextsize

COMMAND LINE OPTIONS

Specify new text size <Automatic>: Enter the text size.

Select text to modify: Select the text element(s) you want to modify.


About model space and layout (Quick Reference)

About model space and layout
About model space and layout
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWALL

Creates the named view AM_VIEW6 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] View All Does not exist in the menus.
Command entry: amviewall

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW6 zooms to the grid limits. If AM_VIEW6 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWALL as a transparent command.


About model space and layout (Quick Reference)

About model space and layout
About model space and layout
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWCEN

Creates the named view AM_VIEW5 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] Center Does not exist in the menus.
Command entry: amviewcen

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW5 zooms to the center of the grid limits. If AM_VIEW5 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWCEN as a transparent command.


About model space and layout (Quick Reference)

About model space and layout
About model space and layout
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWLL

Creates the named view AM_VIEW3 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] Lower Left Does not exist in the menus.
Command entry: amviewll

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW3 zooms to the lower left of the grid limits. If AM_VIEW3 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWLL as a transparent command.


About model space and layout (Quick Reference)

About model space and layout
About model space and layout
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWLR

Creates the named view AM_VIEW4 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] Lower Right Does not exist in the menus.
Command entry: amviewlr

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW4 zooms to the lower right of the grid limits. If AM_VIEW4 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWLR as a transparent command.


About model space and layout (Quick Reference)

About model space and layout
About model space and layout
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWUL

Creates the named view AM_VIEW1 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] Upper Left Does not exist in the menus.
Command entry: amviewul

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW1 zooms to the upper left of the grid limits. If AM_VIEW1 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWUL as a transparent command.


About model space and layout (Quick Reference)

About model space and layout
About model space and layout
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWUR

Creates the named view AM_VIEW2 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] Upper Right Does not exist in the menus.
Command entry: amviewur

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW2 zooms to the upper right of the grid limits. If AM_VIEW2 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWUR as a transparent command.


About model space and layout (Quick Reference)

About model space and layout
About model space and layout
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVPORT

Creates a viewport in layout mode or to edit a viewport.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amvport

COMMAND LINE OPTIONS

Specify first point or [Circle/Border/Object]: Specify a point.

Specify second point: Specify a second point.

The View dialog box appears. You can control the viewport defined in your drawing.

COMMAND LINE DEFINITIONS

Circle

Draws a circle to define the viewport.

NoteThe sequence midpoint - radius draws the circle.

border

Selects a scale area in model space.

NoteYou can only create one viewport per layout for every scale area.

Object

Selects a closed border (for example, closed polyline, circle, ellipse, or spline).

NoteOpen polylines are closed automatically using a straight line.


About model space and layout (Quick Reference)

About model space and layout
About model space and layout
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

View dialog box

Use this dialog box to define and create a viewport in layout mode, or edit a viewport.

Scale

Sets the scale for the viewport. Select a preset value, or enter any desired scale. For example, to specify a scale of 3:1, enter 3.0 or 3.1 (which is converted to 3:1).

<

Temporarily reverts to the drawing. Then you can select a scale-defining entity (for example, another scale area, a dimension, or a scale text) to set the scale of the viewport you are editing.

border <

Sets a scale area in the drawing. This scale area sets the shape, size, and scale of the viewport. This way, the viewport is attached to the scale area. Changes to this scale area are automatically adapted by the viewport.

Midpoint

Attaches the viewport to a point that you select in your drawing. This point is the view target for the viewport. Midpoint does not specify the shape or the scale of the viewport.

Detach

Detaches the viewport from either the scale area or the midpoint it is attached to.

Zoom according to Scale

Sets the viewport zoom factor to reflect the scale you selected. This action is performed after you close the dialog box.

Perform Rescaling

Rescales objects in your drawing. Also affects the scale of dimension text height and symbol sizes.

NoteThis option is selected automatically if the scale is changed.

New <

Redefines the border of the viewport.

Move <

Moves the border of the viewport.

View active

Activates the viewport.

Hidden Lines (hideplot)

The viewport uses the Hideplot command for hiding lines.


About model space and layout (Quick Reference)

About model space and layout
About model space and layout
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVPORTAUTO

Creates viewports for all scale areas that are not associated with a viewport.

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: View [image] Viewports [image] Viewport Auto Create Does not exist in the menus.
Command entry: amvportauto

COMMAND LINE OPTIONS

Enter layout name (<Return> for "Layout1"): Specify a name for the layout, or press ENTER to use the default layout.


About model space and layout (Quick Reference)

About model space and layout
About model space and layout
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVPZOOMALL

Resets all viewports to their default scale factors.

Ribbon: View - 2D tab [image] View - Views panel [image] [image] Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: View [image] Viewports [image] Zoom all Viewports Does not exist in the menus.
Command entry: amvpzoomall

COMMAND LINE OPTIONS

The following situations are possible:

  • If no modification was made the following prompt appears:

    All active viewports are up-to-date.

  • If the viewport found was created with MVIEW or VPORTS the following prompt appears:

    The viewport does not use a standard scale [Associate, Ignore] <Associate>: Select Ignore to exit this command, or press ENTER to display the View dialog box. In this dialog box, specify a scale factor for the viewport.

  • When you use PLOT to plot a viewport that is not associated with a “standard scale”, the following warning appears:

    Some viewports have no standard scale associated. They are not zoomed.


About model space and layout (Quick Reference)

About model space and layout
About model space and layout
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMZOOMVP

Zooms an area in a viewport

Ribbon: None Does not exist on the ribbon.
Toolbar: Zoom
Menu: View [image] Named Views [image] By Viewports Does not exist in the menus.
Command entry: amzoomvp

COMMAND LINE OPTIONS

First corner: Specify the first point for the zoom window.

Second corner: Specify the second point for the zoom window.

Activate the viewport and click to zoom: Switch to another viewport; click any point in it.

Note: To use this command, create two or more viewports first using the VPORTS command.


About model space and layout (Quick Reference)

About model space and layout
About model space and layout
About model space and layout
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWREFRESH System Variable

Controls drawing view updates.

Type: | Integer
Initial value: | 1
Possible values: | 0 - Off 1 - On


About model space and layout (Quick Reference)

About model space and layout
About model space and layout
Scale areas
Annotate drawings > Scaling >
About model space and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVPBORDER System Variable

Controls display of drawing viewport borders.

Type: | Integer
Initial value: | 1
Possible values: | 0 - Off (borders are visible) 1 - On (borders are invisible)


Scale areas (Concept)

About model space and layout
Scaling
Create Detail Views
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can divide a drawing into different areas with different scales. Use either of these methods:

  • Scale areas in model space
  • Scale areas in layout.

You can define areas by determining scale areas. In these areas, AutoCAD Mechanical considers the scale of texts, dimensions, and symbols irrespective of the base scale factor of the drawing.

Scale areas in model space enable you to draw true to scale. For text scaling you enter the scaled down value of the contour, instead of the true length of the contour. The size and the values of the dimension are relative to the scale of the scale area.

It is also necessary to scale the text, when you open converted drawings or drawings from other CAD systems.

For length scaling, use the scale area created in model space to connect this scale area with a viewport in layout.

Length scaling

You have a square-shaped plate with a side length of 25 units, drawn in model space with the scale 1:1. You want to create a view of this plate in model space with the scale 1:5. The dimension value in the view is five times as large as expected.

To correct this issue, open the main drawing in model space and create a scale area with a length-scaling factor of 0.2, so that the dimension value adjusts automatically in the view.

The illustration on the left shows a view with the scale 5:1 without length scaling (the wrong dimension value).

The illustration on the right shows a view with the scale 5:1 with a length scaling factor of 0.2 (the correct dimension value).

Text scaling

You have a square shaped plate with a side length of 25 units, drawn in model space with the scale 1:1. You want to create a viewport of this plate in layout with the scale 2:1 (double size). You enlarge the dimension text height in the viewport by 2, making it too large and non-compliant with the standard (dimension text height: 3.5 units).

To correct this issue, open the main drawing in model space and redraw the dimension text in the scale 1:2 (half size), so that it shows correctly when you create a viewport with a scale of 2:1. You can also leave the main drawing unchanged and create a scale area with a text scaling factor of 2.0. The dimension text height adjusts automatically in the viewport.


Scale areas (Procedure)

About model space and layout
Up a level to ..
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To define a scale area with length scaling

To define a scale area with text scaling

To monitor the scale

To move a scale area or a viewport

To resize a scale area or a viewport


Scale areas (Quick Reference)

About model space and layout
Scale areas
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMRESCALE

AMSCAREA

AMSCMONITOR

AMTEXTSIZE

AMVIEWALL

AMVIEWCEN

AMVIEWLL

AMVIEWLR

AMVIEWUL

AMVIEWUR

AMVPORT

View dialog box

AMVPORTAUTO

AMVPZOOMALL

AMZOOMVP

AMVIEWREFRESH System Variable

AMVPBORDER System Variable


To define a scale area with length scaling (Procedure)

Scale areas
Up a level to ..
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To define a scale area with length scaling

When setting scale areas with the length scaling option, the different scale factors (base scale, drawing border or set scale areas) are considered in the drawing. The scale area can be created over existing objects, or objects can be drawn inside a scale area.

  1. Click None [image] None [image] . At the Command prompt, enter AMSCAREA.
  2. Specify the first (1) and the second (2) point to draw a rectangle to define the border of the scale area.
  3. In the Scale Area dialog box,
  • Scale: Select 1:1.
  • Select Length Scaling.
  • Select Perform Rescaling.
  • Choose OK.
  • Select objects for rescaling to correct the dimension (3) and press ENTER.

Notes:

  • The length scaling automatically displays the calculated scale factor.
  • The length scaling corresponds to the enlargement factor of the detail in model space. The scale factor is considered automatically during enlargement (AMDETAIL).


To define a scale area with text scaling (Procedure)

Scale areas
Up a level to ..
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To define a scale area with text scaling

Text scaling displays the scaled size of text and symbols in model space. If you select the Automatic Creation option in layout the viewport is adopted in layout and the text size is adjusted to a scale of 1:1.

  1. Click None [image] None [image] . At the Command prompt, enter AMSCAREA.
  2. Specify the first (1) and the second (2) point to draw a rectangle to define the border of the scale area.
  3. In the Scale Area dialog box,
    • Scale: Select 2:1.
    • Select Text Scaling.
    • Select Perform Rescaling.
  4. Choose OK.
  5. Select objects for rescaling to correct the dimension (3) and press ENTER.
NoteThe text scaling automatically displays the calculated scale factor.


To monitor the scale (Procedure)

Scale areas
Up a level to ..
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To monitor the scale

NoteSelect the border of the scale area for editing.
  1. Click None [image] None [image] . At the Command prompt, enter AMSCMONITOR.
  2. Move the cursor over the scale area (or a viewport) to show the scale factors associated with this scale area (or viewport).
  3. Press ENTER to exit this command.


To move a scale area or a viewport (Procedure)

Scale areas
Up a level to ..
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move a scale area or a viewport

You can move the viewport in model space and in layout mode.

  1. At the Command prompt, enter AMPOWEREDIT or double-click the viewport (1).
  2. In model space the Scale Area dialog box appears, in layout the View dialog box appears:
    • Under border, click Move<.
    • Choose OK.
  3. Select the target position for the viewport (2).
  4. Choose OK.
NoteWhen the viewport was resized or zoomed in layout, a message appears that the selected viewport is not up-to-date. Click Yes to perform an update.


To resize a scale area or a viewport (Procedure)

Scale areas
Up a level to ..
Create Detail Views
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To resize a scale area or a viewport

You can resize a viewport or a scale defining area in model space and in layout mode.

  1. Select the vport.
  2. Use the grips to resize the viewport (1).


Scale areas (Quick Reference)

Scale areas
Scale areas
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMRESCALE

Use AMRESCALE to rescale dimensions, symbols, and tables in model space and in layout.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amrescale

COMMAND LINE OPTIONS

Enter symbol scale <Automatic>: Enter the scale factor.

Select objects for rescaling: Select the objects.


Scale areas (Quick Reference)

Scale areas
Scale areas
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCAREA

Creates a scale area in model space.

Ribbon: View - 2D tab [image] Viewports panel [image] Viewport/Scale Area. Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: View [image] Viewports [image] Annotate [image] Drawing Title and Revision [image] Viewport/Scale Area Does not exist in the menus.
Command entry: amscarea

A scale area is a rectangular area in model space that has a scale that is different to the rest of model space. You can set a scale area to automatically create a view in a layout, using a viewport .

The Scale Area dialog box appears. You can control the scale area defined in your drawing.

DIALOG BOX DEFINITIONS

Scale Area dialog box

Use this dialog box to set a scale factor for the scale area, a new scale factor for an existing scale area, or a new basic scale factor for the entire drawing. You can also select the type of scaling (text or length). The basic scale factor is always the scale factor of the area where the new scale area was defined.

Scale

Sets the scale for inside the area. You can select a preset value, or enter any desired scale.

Note: For example, to specify a scale of 3:1, enter 3:1 or 3.0 (which is converted to 3:1).

<

Temporarily reverts to the drawing. You can select a scale defining entity (for example, another scale area, a dimension, or a scale text) to set the scale of the area you are editing.

Length Scaling

Sets the length scaling factor. It defines the ratio between drawn length and real length. For example, with a length scaling of 2.0, a line of 100 units is dimensioned as a line of 200 units.

Text Scaling

Sets the text scaling factor: This setting defines the dimension text height, symbol sizes, and table sizes. For example, with a text scaling of 2.0, the dimension text height is doubled in size. Later, if you create a viewport with the scale 1:2, the dimension text height appears in the standard size.

Automatic View Creation in

Creates a viewport using the same scale you used in the scale area. In this viewport, all text heights and symbols sizes appear in the right size.

Layout List

Selects a layout for the viewport. You cannot create viewports in more than one layout.

Set Basic Scale

Sets the text scaling factor used in the scale area as the basic scale. The basic scale is set for the whole drawing and can also be changed from within the configuration.

Perform Rescaling

Rescales objects in your drawing. This option affects the scale of dimension text height and symbol sizes.

Note: This option is selected automatically if the scale is changed.

New <

Redefines the border of the scale area.

Move <

Removes the border of the scale area.


Scale areas (Quick Reference)

Scale areas
Scale areas
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCMONITOR

Displays the scale of a scale area or viewport

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: View [image] Viewports [image] Scale Monitor Does not exist in the menus.
Command entry: amscmonitor

The Scale Monitor dialog box appears. You can control and monitor the scale, length, and text scaling.

COMMAND LINE OPTIONS

Pick scale area to edit/Pick inside scale area to zoom/<Return> to finish:

COMMAND LINE DEFINITIONS

Pick scale area to edit

Pick the scale area to display the Scale Area dialog box. You can change any entries.

Pick inside scale area to zoom

The scale area is automatically zoomed.

Return to finish

The Scale Monitor dialog box is closed.


Scale areas (Quick Reference)

Scale areas
Scale areas
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTEXTSIZE

Use AMTEXTSIZE to set text to its default size in model space and layout, and to define a height for an inserted text.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amtextsize

COMMAND LINE OPTIONS

Specify new text size <Automatic>: Enter the text size.

Select text to modify: Select the text element(s) you want to modify.


Scale areas (Quick Reference)

Scale areas
Scale areas
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWALL

Creates the named view AM_VIEW6 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] View All Does not exist in the menus.
Command entry: amviewall

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW6 zooms to the grid limits. If AM_VIEW6 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWALL as a transparent command.


Scale areas (Quick Reference)

Scale areas
Scale areas
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWCEN

Creates the named view AM_VIEW5 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] Center Does not exist in the menus.
Command entry: amviewcen

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW5 zooms to the center of the grid limits. If AM_VIEW5 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWCEN as a transparent command.


Scale areas (Quick Reference)

Scale areas
Scale areas
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWLL

Creates the named view AM_VIEW3 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] Lower Left Does not exist in the menus.
Command entry: amviewll

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW3 zooms to the lower left of the grid limits. If AM_VIEW3 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWLL as a transparent command.


Scale areas (Quick Reference)

Scale areas
Scale areas
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWLR

Creates the named view AM_VIEW4 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] Lower Right Does not exist in the menus.
Command entry: amviewlr

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW4 zooms to the lower right of the grid limits. If AM_VIEW4 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWLR as a transparent command.


Scale areas (Quick Reference)

Scale areas
Scale areas
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWUL

Creates the named view AM_VIEW1 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] Upper Left Does not exist in the menus.
Command entry: amviewul

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW1 zooms to the upper left of the grid limits. If AM_VIEW1 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWUL as a transparent command.


Scale areas (Quick Reference)

Scale areas
Scale areas
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWUR

Creates the named view AM_VIEW2 and loads it.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: View [image] Named Views [image] Upper Right Does not exist in the menus.
Command entry: amviewur

You can specify a window for the named view or get AutoCAD Mechanical to create it automatically. When created automatically, AM_VIEW2 zooms to the upper right of the grid limits. If AM_VIEW2 already exists, the command restores the named view.

COMMAND LINE OPTIONS

Return=Restore View/First corner for new View: Press ENTER to create a view, or select two points to specify a rectangle for the view automatically.

NoteWhen you create a view automatically, the screen is divided into areas to create the views. You can use AMVIEWUR as a transparent command.


Scale areas (Quick Reference)

Scale areas
Scale areas
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVPORT

Creates a viewport in layout mode or to edit a viewport.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amvport

COMMAND LINE OPTIONS

Specify first point or [Circle/Border/Object]: Specify a point.

Specify second point: Specify a second point.

The View dialog box appears. You can control the viewport defined in your drawing.

COMMAND LINE DEFINITIONS

Circle

Draws a circle to define the viewport.

NoteThe sequence midpoint - radius draws the circle.

border

Selects a scale area in model space.

NoteYou can only create one viewport per layout for every scale area.

Object

Selects a closed border (for example, closed polyline, circle, ellipse, or spline).

NoteOpen polylines are closed automatically using a straight line.


Scale areas (Quick Reference)

Scale areas
Scale areas
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

View dialog box

Use this dialog box to define and create a viewport in layout mode, or edit a viewport.

Scale

Sets the scale for the viewport. Select a preset value, or enter any desired scale. For example, to specify a scale of 3:1, enter 3.0 or 3.1 (which is converted to 3:1).

<

Temporarily reverts to the drawing. Then you can select a scale-defining entity (for example, another scale area, a dimension, or a scale text) to set the scale of the viewport you are editing.

border <

Sets a scale area in the drawing. This scale area sets the shape, size, and scale of the viewport. This way, the viewport is attached to the scale area. Changes to this scale area are automatically adapted by the viewport.

Midpoint

Attaches the viewport to a point that you select in your drawing. This point is the view target for the viewport. Midpoint does not specify the shape or the scale of the viewport.

Detach

Detaches the viewport from either the scale area or the midpoint it is attached to.

Zoom according to Scale

Sets the viewport zoom factor to reflect the scale you selected. This action is performed after you close the dialog box.

Perform Rescaling

Rescales objects in your drawing. Also affects the scale of dimension text height and symbol sizes.

NoteThis option is selected automatically if the scale is changed.

New <

Redefines the border of the viewport.

Move <

Moves the border of the viewport.

View active

Activates the viewport.

Hidden Lines (hideplot)

The viewport uses the Hideplot command for hiding lines.


Scale areas (Quick Reference)

Scale areas
Scale areas
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVPORTAUTO

Creates viewports for all scale areas that are not associated with a viewport.

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: View [image] Viewports [image] Viewport Auto Create Does not exist in the menus.
Command entry: amvportauto

COMMAND LINE OPTIONS

Enter layout name (<Return> for "Layout1"): Specify a name for the layout, or press ENTER to use the default layout.


Scale areas (Quick Reference)

Scale areas
Scale areas
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVPZOOMALL

Resets all viewports to their default scale factors.

Ribbon: View - 2D tab [image] View - Views panel [image] [image] Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: View [image] Viewports [image] Zoom all Viewports Does not exist in the menus.
Command entry: amvpzoomall

COMMAND LINE OPTIONS

The following situations are possible:

  • If no modification was made the following prompt appears:

    All active viewports are up-to-date.

  • If the viewport found was created with MVIEW or VPORTS the following prompt appears:

    The viewport does not use a standard scale [Associate, Ignore] <Associate>: Select Ignore to exit this command, or press ENTER to display the View dialog box. In this dialog box, specify a scale factor for the viewport.

  • When you use PLOT to plot a viewport that is not associated with a “standard scale”, the following warning appears:

    Some viewports have no standard scale associated. They are not zoomed.


Scale areas (Quick Reference)

Scale areas
Scale areas
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMZOOMVP

Zooms an area in a viewport

Ribbon: None Does not exist on the ribbon.
Toolbar: Zoom
Menu: View [image] Named Views [image] By Viewports Does not exist in the menus.
Command entry: amzoomvp

COMMAND LINE OPTIONS

First corner: Specify the first point for the zoom window.

Second corner: Specify the second point for the zoom window.

Activate the viewport and click to zoom: Switch to another viewport; click any point in it.

Note: To use this command, create two or more viewports first using the VPORTS command.


Scale areas (Quick Reference)

Scale areas
Scale areas
Scale areas
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWREFRESH System Variable

Controls drawing view updates.

Type: | Integer
Initial value: | 1
Possible values: | 0 - Off 1 - On


Scale areas (Quick Reference)

Scale areas
Scale areas
About Creating Detail Views
Annotate drawings > Scaling >
Scale areas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVPBORDER System Variable

Controls display of drawing viewport borders.

Type: | Integer
Initial value: | 1
Possible values: | 0 - Off (borders are visible) 1 - On (borders are invisible)


Create Detail Views

Scale areas
Annotate drawings
About Creating Detail Views
Annotate drawings >
Create Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • About Creating Detail Views
  • Create Detailed Drawings Automatically


Create Detail Views (Procedure)

Scale areas
Create Detail Views
About Creating Detail Views
Annotate drawings >
Create Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a detail view

To Configure Text Height and Color for Detail Views

To Configure the Master Settings for Leaders

To create an external drawing file (xref)

To create an xref and a component drawing


About Creating Detail Views (Concept)

Create Detail Views
Create Detail Views
Create Detailed Drawings Automatically
Annotate drawings > Create Detail Views >
About Creating Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can put any portion of the design drawing which cannot be displayed or dimensioned clearly into a frame and enlarge it as a detail. You can then work on the detail and annotate dimensions without having to readjust the scale factor.

There are two options for creating a detail view: Copy with Scaled Length or Associative Detail.

Copy with Scaled Length copies and sizes the enlarged object according to the selected scale. AutoCAD Mechanical converts the scale for dimensioning the detail automatically. The advantage of this is that symbols and dimensions are explicitly represented and are not scaled. The disadvantage is that no associative property is provided. This means that the model and the detail have no relation to each other. If you alter the scale of the drawing, this alteration does not automatically adjust in the detail.

Associative Detail creates a zoomed viewport with the scale factor of the model. You look at the model as though looking through a magnifying glass. Any changes you make to the model appear in the detail. Changes in the detail also appear in the model.

Create detail views in model space

You can show enlarged drawings in model space. The detail can be an enlarged block in the drawing as well as a zoomed viewport in layout. Power Dimensioning automatically recognizes the scale factor of the detail.

The object is selected by dragging the contour of a circle, a closed polyline, or a rectangle around the area to be detailed.

Create detail views in layout

In layout, the detail can be represented as a zoomed viewport with a predefined scale. The advantage of that is that the representation of the detail and the assembly drawing have the same elements. Any changes in the assembly or in the representation of the detail are always visible in both viewports. Using the layer control, you can set or freeze the layer groups in the viewports, so that changes are visible only in one viewport, for example symbols.


About Creating Detail Views (Procedure)

Create Detail Views
Up a level to ..
About Creating Detail Views
Annotate drawings > Create Detail Views >
About Creating Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a detail view

To Configure Text Height and Color for Detail Views

To Configure the Master Settings for Leaders


About Creating Detail Views (Quick Reference)

Scale areas
About Creating Detail Views
About Creating Detail Views
Annotate drawings > Create Detail Views >
About Creating Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDETAIL

Detail dialog box

Detail Symbol dialog box


To create a detail view (Procedure)

About Creating Detail Views
Up a level to ..
About Creating Detail Views
Annotate drawings > Create Detail Views >
About Creating Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a detail view

  1. Click None [image] None [image] . At the Command prompt, enter AMDETAIL.
  2. Draw a circle, or select Rectangle/Object to define the border of the detail view.
  3. In the Detail dialog box, specify the enlargement scale for the section to be detailed, and further scale options.
  4. Choose OK.
  5. Place the detail view in your drawing using the cursor.
NoteUsing an object to define a scale area: Selects a closed border (for example, closed polyline, circle, ellipse, or spline). Open polylines are closed automatically using a straight line.


To Configure Text Height and Color for Detail Views (Procedure)

About Creating Detail Views
Up a level to ..
About Creating Detail Views
Annotate drawings > Create Detail Views >
About Creating Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Detail Views

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Detail View. The Detail Symbol Settings dialog box appears.
  4. To change the detail view label text height, in the Height list, select the text height.
    NoteTo derive the text height from the master text settings automatically, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, click the Text Color button and select a color from the dialog box that appears.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom drafting standard, you can select a text style for the detail view labels.


To Configure the Master Settings for Leaders (Procedure)

About Creating Detail Views
Up a level to ..
Create Detailed Drawings Automatically
Annotate drawings > Create Detail Views >
About Creating Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


About Creating Detail Views (Quick Reference)

About Creating Detail Views
About Creating Detail Views
About Creating Detail Views
Annotate drawings > Create Detail Views >
About Creating Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDETAIL

Create a scaled circular, rectangular, or free defined detail view of selected geometry

Ribbon: Home tab [image] Draw Tools panel [image] [image] Does not exist on the ribbon.
Toolbar: Design Tools
Menu: Draw [image] Detail... Does not exist in the menus.
Command entry: amdetail

The detail view is associative. It hence updates immediately a change is made to the geometry. The detail view is represented by a detail node in the mechanical browser.

Use the AMDETAIL command to define and create a detail view.

COMMAND LINE OPTIONS

Center of circle or [Rectangle/Object]: Choose an option.

(When you select the Rectangle option, you are prompted for the first and the second corner to define a rectangle.)

Specify radius or [Diameter]: Drag the pointing device to the radius you want.

COMMAND LINE DEFINITIONS

Circle

Select a point for the center of circle.

Specify radius or [Diameter]: Drag the pointing device to the radius you want.

Rectangle

Specifies a rectangle by defining a first and a second point.

Object

Select a free contour for detailing. The contour, for example a polygon must be created beforehand. Select Detail in current place, you are prompted as follows:

Place the detail view: Move the detail view where you want it displayed in your drawing.

If you select viewport in Layout, you are prompted as follows:

Select target position (<Return> for current position): Press ENTER to place the detail view in the center of the layout (default).


About Creating Detail Views (Quick Reference)

About Creating Detail Views
About Creating Detail Views
About Creating Detail Views
Annotate drawings > Create Detail Views >
About Creating Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Detail dialog box

Detail Scale

Contains controls for specifying the scale of a detail object

Selected Area Scale | Displays the scale of the area under the detail border. If the detail border is not in the scale area or title block, the selected area scale is the same as the model scale.
Specify by Absolute Scale | Sets the enlargement scale for the detail by an absolute scale. Select a preset value, or enter any desired scale. For example, if the scale of the selected area is 1:2 (half scale), and you specify an absolute detail scale of 2:1 (twice scale), the detail is scale by a factor of four (4).
Specify by Factor | Sets the enlargement scale factor for the detail by a factor. Select a preset value, or enter any desired scale. For example, if the selected area scale is 1:2 (half scale) and you specify a scale factor of 2, the resulting detail scale is 1:1 (full scale).
Pick to Specify button | Click button to hide the dialog box and select a scale area or annotation for specifying the detail scale. Both values are automatically updated

Base View

Specifies properties of a border and view that determine the content of a detail.

View Name | Sets descriptive text for your detail. You can use any of the three letters, A, B, and C. Select “-” if you want to create a detail without titles, or insert your own title text.
Annotation Leader | Connects the detail label to the definition border, using a leader line.
Move button | Moves the detail definition border.

Detail View

Specifies additional properties of a detail object.

Label Pattern | Displays a list of labels to choose from.
Detail in Current Space | Creates a copy of the geometry in a detail view in model space. Changes to the model are not automatically incorporated into the detail unless the Create Associative Detail option is checked.
Viewport of Original in Layout | Creates viewport detail in a layout. Changes to the model appear in the detail viewport. You can set a layout.
Viewport of Copy in Layout | Combines previous two options by creating a detail view in model space, then creating a viewport of the detail view in the specified layout.
Layout List | Lists layouts in the current drawing for specifying layout of viewports.

Associative Detail

Contains controls for creating a new associative style detail object.

Create Associative Detail | Controls whether a new structure detail object or legacy detail object is created. If checked, an associative structure detail object is created. If unchecked, the Selection frame below is disabled.
Selection button | Controls what is selected as an associative structure detail object. Click the button to hide the dialog box and manipulate the occurrence selection. Object selection is not available.
Default button | Clears the current selection set and lets you select an associative structure detail object.


About Creating Detail Views (Quick Reference)

About Creating Detail Views
About Creating Detail Views
Create Detailed Drawings Automatically
Annotate drawings > Create Detail Views >
About Creating Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Detail Symbol dialog box

Use this dialog box to configure the default settings for detail views created using the AMDETAIL command.

Label

Pattern

Defines what the detail view label should display. You can select references to the formula from a predefined list of applicable reference by clicking [image] .

Position

Defines the position the detail view label appears by default.

Text

Style

Defines the text style to use for detail view labels. This option is available only If the current standard is a custom standard.

Height

Defines the text height of detail view label.

When the height is set to ByNameOfCurrentDraftingStandard, the text height is derived from the master settings of the current drafting standard. If the master setting changes, the text height automatically changes to one size larger than the base height setting.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Sets text color for detail view labels.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the label text color changes automatically.

Detail Border

Linetype

Sets the linetype for the border line of detail views.

Show view border

Draws a border around detail views when you create detail views with the AMDETAIL command.

Show connection line

Provides the option to create a leader line connecting the base view and the detail view border when you create detail views with the AMDETAIL command.

Detail boundary

Arrowhead

Sets the arrowhead type for the detail symbol leader line. This option is visible only if the current drafting standard is set to ANSI.

Arrowhead size

Specifies the size of leader line arrowheads. This option is visible only if the current drafting standard is set to ANSI.

Restore Defaults

Resets all settings to the default for the current drafting standard.


Create Detailed Drawings Automatically (Concept)

About Creating Detail Views
Create Detail Views
Add MTEXT
Annotate drawings > Create Detail Views >
Create Detailed Drawings Automatically
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Using the AMAUTODETAIL command, you can create an xref or an xref and a component drawing from a current drawing. You can define settings for the xref and the component drawing before creating them. For example, you can

  • Specify which objects in the current drawing you want included in the xref or component drawing.
  • Specify whether to keep dimensions in the assembly (master) drawing or to move and save them to the xref.
  • Assign title block and drawing border to the component drawing.
  • Preset a scale for the component drawing.
  • Assign attributes to the component drawing.


Create Detailed Drawings Automatically (Procedure)

About Creating Detail Views
Up a level to ..
Create Detailed Drawings Automatically
Annotate drawings > Create Detail Views >
Create Detailed Drawings Automatically
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an external drawing file (xref)

To create an xref and a component drawing


Create Detailed Drawings Automatically (Quick Reference)

About Creating Detail Views
Create Detailed Drawings Automatically
Create Detailed Drawings Automatically
Annotate drawings > Create Detail Views >
Create Detailed Drawings Automatically
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMAUTODETAIL

Assembly Drawing Detailing dialog box


To create an external drawing file (xref) (Procedure)

Create Detailed Drawings Automatically
Up a level to ..
Create Detailed Drawings Automatically
Annotate drawings > Create Detail Views >
Create Detailed Drawings Automatically
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an external drawing file (xref)

  1. Click None [image] None [image] At the Command prompt, enter AMAUTODETAIL.
  2. In the Assembly Drawing Detailing dialog box, select Selection by Objects.
  3. Specify a file name for the xref and the path of the folder where you want to save this file.
  4. Clear the Create with Fixed Scale and Create with Fixed Paper Format check boxes.
  5. Choose OK.
  6. Specify an insertion point for the xref.
  7. Select the objects you want included in your xref, and press ENTER.
  8. Select objects from other blocks you want included in your xref, and press ENTER.


To create an xref and a component drawing (Procedure)

Create Detailed Drawings Automatically
Up a level to ..
Translate Annotations to Other Languages
Annotate drawings > Create Detail Views >
Create Detailed Drawings Automatically
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an xref and a component drawing

  1. Click None [image] None [image] At the Command prompt, enter AMAUTODETAIL.
  2. In the Assembly Drawing Detailing dialog box, select Selection by Objects.
  3. Specify a file name for the xref and the path of the folder where you want to save this file.
  4. Select the Create with Fixed Scale option and specify a scale.
  5. Specify a title block.
  6. Specify a file name for the component drawing and the path of the folder where you want to save this file.
  7. Choose OK.
  8. Specify an insertion point.
  9. Select the objects you want included in your xref and component drawing, and press ENTER.
  10. Select objects from other blocks you want included in your xref and component drawing, and press ENTER.
  11. In the Edit Attributes dialog box, make the necessary entries, and choose OK.


Create Detailed Drawings Automatically (Quick Reference)

Create Detailed Drawings Automatically
Create Detailed Drawings Automatically
Create Detailed Drawings Automatically
Annotate drawings > Create Detail Views >
Create Detailed Drawings Automatically
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMAUTODETAIL

Moves the selected objects to an external drawing file and creates an xref to it within the current drawing.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Draw [image] Auto Detailing... Does not exist in the menus.
Command entry: amautodetail

The assembly Drawing Detailing dialog box appears.

You set options for the xref and component drawing before creating those files.

NoteThis COMMAND is not available in Mechanical Desktop and in Mechanical Desktop Power Pack.

COMMAND LINE OPTIONS

Insertion Point: Select a point.

Select objects: Select the objects you want to include in the xref, or both in the xref and component drawing.


Create Detailed Drawings Automatically (Quick Reference)

Create Detailed Drawings Automatically
Create Detailed Drawings Automatically
Add Multiline Text
Annotate drawings > Create Detail Views >
Create Detailed Drawings Automatically
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Assembly Drawing Detailing dialog box

Selection by Layer Groups

Sets the layer group whose objects are to be included in the xref you are creating. Enter the name of the layer, or click Input to select a layer group from the Layergroup Manager. You can also change the name of the xref.

Selection by Objects

Lets you manually select objects in the drawing that are to be included in the xref you are creating.

Name of Xref

Displays the name of the xref you are creating. The xref default name is the name of the current drawing; its first letter is replaced by the underscore character, “_”. If the name of the current drawing is eight or more characters long, the eighth character of the xref is replaced by a number. For example, if the name of the drawing is EXAMPLES, the default name for the xref becomes _XAMPLE0.

Xref Path

Sets the path for the folder where to save your xref file.

Warning if Xref already Exists

Issues a warning if an existing xref has the same file name.

Annotations Invisible Inside assembly DWG

Turns off and freezes dimensions and annotations in the assembly (master) drawing.

Create with Fixed Scale

Creates a component drawing with a fixed scale. You can enter a scale or select one from the list.

Create with Fixed Paper Format

Creates a component drawing with a fixed paper format. You can enter a format or select a format from the list.

Create with Title Block

Creates a component drawing with a title block. You can enter a title block or select a title block from the list.

Component DWG Path

Sets the path for the folder where you save your component drawing.

Name of Component Drawing

Displays the name of the component drawing you want to create. The default name is the name of the current drawing. If the name of the current drawing is eight or more characters long, the eighth character is replaced by a number. For example, if the name of the drawing is EXAMPLES, the default name for the component drawing becomes EXAMPLE0.


Add MTEXT

Create Detailed Drawings Automatically
Annotate drawings
Add Multiline Text
Annotate drawings >
Add MTEXT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Add Multiline Text
  • Format text


Add Multiline Text (Concept)

Add MTEXT
Add MTEXT
Format text
Annotate drawings > Add MTEXT >
Add Multiline Text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AutoCAD Mechanical provides three commands to draw standard multiline text of predefined sizes quickly. The AMTEXT3 command corresponds to medium-size text, AMTEXT5 corresponds to large-size text and AMTEXT7 corresponds to very large-size text. These commands draw text on the predefined mechanical layer assigned for text (AM_6 by default) according to the settings made for text objects in the Object tab of the Layer/Object settings dialog box, and hence comply with the current drafting standard settings.

The AMTEXTHORIZ, AMTEXTCENT, and AMTEXTRIGHT commands creates, left, center and right aligned multiline text, respectively. Unlike the AMTEXT3, AMTEXT5 and AMTEXT7 commands, these commands add text to the current layer, and not to the predefined mechanical layers for text objects.


Add Multiline Text (Quick Reference)

Create Detailed Drawings Automatically
Add Multiline Text
Add Multiline Text
Annotate drawings > Add MTEXT >
Add Multiline Text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMTEXT3

AMTEXT5

AMTEXT7

AMTEXTCENT

AMTEXTHORIZ

AMTEXTRIGHT


Add Multiline Text (Quick Reference)

Add Multiline Text
Add Multiline Text
Add Multiline Text
Annotate drawings > Add MTEXT >
Add Multiline Text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMTEXT3

Creates a multiline text object of 3.5 mm height.

Ribbon: Annotate tab [image] Text panel [image] Text M 3.5. Does not exist on the ribbon.
Toolbar: Text
Menu: Annotate [image] Text [image] Text M 3.5 Does not exist in the menus.
Command entry: amtext3

The text that is created with this command derives its properties (color, layer, linetype, and linewidth) from the settings of the Text Medium object in object properties.

COMMAND LINE OPTIONS

The command line options that appear follow the most recent text command that you issued. If you have not issued a text command yet or the last text command you issued was the MTEXT command, the command line options follow the AutoCAD MTEXT command. If the last text command you issued was the DTEXT command or the TEXT command, the command line options follow the AutoCAD TEXT command.


Add Multiline Text (Quick Reference)

Add Multiline Text
Add Multiline Text
Add Multiline Text
Annotate drawings > Add MTEXT >
Add Multiline Text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMTEXT5

Creates a multiline text object of 5 mm height.

Ribbon: Annotate tab [image] Text panel [image] Text M 5. Does not exist on the ribbon.
Toolbar: Text
Menu: Annotate [image] Text [image] Text M 5 Does not exist in the menus.
Command entry: amtext5

The text that is created with this command derives its properties (color, layer, linetype, and linewidth) from the settings of the Text Large object in object properties.

COMMAND LINE OPTIONS

The command line options that appear follow the most recent text command that you issued. If you have not issued a text command yet or the last text command you issued was the MTEXT command, the command line options follow the AutoCAD MTEXT command. If the last text command you issued was the DTEXT command or the TEXT command, the command line options follow the AutoCAD TEXT command.


Add Multiline Text (Quick Reference)

Add Multiline Text
Add Multiline Text
Add Multiline Text
Annotate drawings > Add MTEXT >
Add Multiline Text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMTEXT7

Creates a multiline text object of 7mm height.

Ribbon: Annotate tab [image] Text panel [image] Text M 7. Does not exist on the ribbon.
Toolbar: Text
Menu: Annotate [image] Text [image] Text M 7 Does not exist in the menus.
Command entry: amtext7

The text that is created with this command derives its properties (color, layer, linetype, and linewidth) from the settings of the Text Very Large object in object properties.

COMMAND LINE OPTIONS

The command line options that appear follow the most recent text command that you issued. If you have not issued a text command yet or the last text command you issued was the MTEXT command, the command line options follow the AutoCAD MTEXT command. If the last text command you issued was the DTEXT command or the TEXT command, the command line options follow the AutoCAD TEXT command.


Add Multiline Text (Quick Reference)

Add Multiline Text
Add Multiline Text
Add Multiline Text
Annotate drawings > Add MTEXT >
Add Multiline Text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMTEXTCENT

Creates a multiline text object that is centered horizontally and vertically.

Ribbon: Annotate tab [image] Text panel [image] [image] Does not exist on the ribbon.
Toolbar: Text
Menu: Annotate [image] Text [image] Text Center Does not exist in the menus.
Command entry: amtextcent

COMMAND LINE OPTIONS

Specify first corner:

Specify opposite corner or [height/Justify/Line spacing/Rotation/Style/width]:

COMMAND LINE DEFINITIONS

height: Sets the character height in drawing units.

Justify: Sets justification and alignment for new or selected text.

Line spacing: Controls line spacing for new or selected MTEXT.

Rotation: Sets the rotation angle for new or selected text in the current unit of angle measurement (degrees, radians, or grads).

Style: Applies a style to new or selected text.

width: Applies a specified paragraph width to new or selected text.


Add Multiline Text (Quick Reference)

Add Multiline Text
Add Multiline Text
Add Multiline Text
Annotate drawings > Add MTEXT >
Add Multiline Text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMTEXTHORIZ

Creates a center justified multiline text object that is aligned to the bottom of the specified area.

Ribbon: Annotate tab [image] Text panel [image] [image] Does not exist on the ribbon.
Toolbar: Text
Menu: Annotate [image] Text [image] Text Horizontal Does not exist in the menus.
Command entry: amtexthoriz

COMMAND LINE OPTIONS

Specify first corner:

Specify opposite corner or [height/Justify/Line spacing/Rotation/Style/width]:

COMMAND LINE DEFINITIONS

height: Sets the character height in drawing units.

Justify: Sets justification and alignment for new or selected text.

Line spacing: Controls line spacing for new or selected MTEXT.

Rotation: Sets the rotation angle for new or selected text in the current unit of angle measurement (degrees, radians, or grads).

Style: Applies a style to new or selected text.

width: Applies a specified paragraph width to new or selected text.


Add Multiline Text (Quick Reference)

Add Multiline Text
Add Multiline Text
Format text
Annotate drawings > Add MTEXT >
Add Multiline Text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMTEXTRIGHT

Creates a right justified multiline text object that is aligned to the bottom of the specified area.

Ribbon: Annotate tab [image] Text panel [image] [image] Does not exist on the ribbon.
Toolbar: Text
Menu: Annotate [image] Text [image] Text Right Does not exist in the menus.
Command entry: amtextright

COMMAND LINE OPTIONS

Specify first corner:

Specify opposite corner or [height/Justify/Line spacing/Rotation/Style/width]:

COMMAND LINE DEFINITIONS

height: Sets the character height in drawing units.

Justify: Sets justification and alignment for new or selected text.

Line spacing: Controls line spacing for new or selected MTEXT.

Rotation: Sets the rotation angle for new or selected text in the current unit of angle measurement (degrees, radians, or grads).

Style: Applies a style to new or selected text.

width: Applies a specified paragraph width to new or selected text.


Format text (Concept)

Add Multiline Text
Add MTEXT
Translate Annotations to Other Languages
Annotate drawings > Add MTEXT >
Format text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AutoCAD Mechanical provides commands to set the style for text. The commands AMSTYLEITAL, AMSTYLESIMP, AMSTYLESTAND, and AMSTYLETXT sets the style settings for subsequent MTEXT or DTEXT commands. These settings have no impact on the AMTEXT3, AMTEXT5 ad AMTEXT7 commands. They reset the style settings and make their predefined settings the current style settings.


Format text (Quick Reference)

Add Multiline Text
Format text
Format text
Annotate drawings > Add MTEXT >
Format text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMSTYLEITAL

AMSTYLESIMP

AMSTYLESTAND

AMSTYLETXT


Format text (Quick Reference)

Format text
Format text
Format text
Annotate drawings > Add MTEXT >
Format text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMSTYLEITAL

Changes the text style to italics

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Text Style [image] Style Italic Does not exist in the menus.
Command entry: amstyleital

This command sets the current text style to USER3. This style usually maps to the AutoCAD compiled shape (SHX) font file Italics.shx. Any text you add using the MTEXT and DTEXT commands default to italics thereafter. If you use the AMTEXT3, AMTEXT5 or AMTEXT7 command before using the MTEXT or DTEXT command, the text style resets to STANDARD and the effect of the AMSTYLEITAL command is discarded.


Format text (Quick Reference)

Format text
Format text
Format text
Annotate drawings > Add MTEXT >
Format text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMSTYLESIMP

Sets the current text style to SIMPLEX.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Text Style [image] Style Simplex Does not exist in the menus.
Command entry: amstylesimp

This style usually maps to the AutoCAD compiled shape (SHX) font file Simplex.shx. Any text you add using the MTEXT and DTEXT commands default to simplex thereafter. If you use the AMTEXT3, AMTEXT5 or AMTEXT7 command before using the MTEXT or DTEXT command, the text style resets to STANDARD and the effect of the AMSTYLESIMP command is discarded.


Format text (Quick Reference)

Format text
Format text
Format text
Annotate drawings > Add MTEXT >
Format text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMSTYLESTAND

Sets the current text style to STANDARD.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Text Style [image] Style Standard Does not exist in the menus.
Command entry: amstylestand

This style usually maps to the AutoCAD compiled shape (SHX) font file Roman.shx. Text you add using the MTEXT and DTEXT commands default to this style thereafter.


Format text (Quick Reference)

Format text
Format text
About the Language Converter
Annotate drawings > Add MTEXT >
Format text
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMSTYLETXT

This command sets the current text style to USER1.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Text Style [image] Style Simplex Does not exist in the menus.
Command entry: amstyletxt

This style usually maps to the AutoCAD compiled shape (SHX) font file Txt.shx. Text you add using the MTEXT and DTEXT commands default to this style thereafter. If you use the AMTEXT3, AMTEXT5 or AMTEXT7 command before using the MTEXT or DTEXT command, the text style resets to STANDARD and the effect of the AMSTYLETXT command is discarded.


Translate Annotations to Other Languages

Format text
Annotate drawings
About the Language Converter
Annotate drawings >
Translate Annotations to Other Languages
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • About the Language Converter
  • Custom Multilanguage Dictionary (.mld) Files
  • General Structure of a Multilanguage Dictionary (.mld) File
  • Translate Text Strings in the Batch-File Mode


Translate Annotations to Other Languages (Procedure)

Create Detailed Drawings Automatically
Translate Annotations to Other Languages
About the Language Converter
Annotate drawings >
Translate Annotations to Other Languages
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To insert a text string directly from a multi language dictionary (.mld) file

To convert all text strings of a drawing to another language

To create a custom multi language dictionary (.mld) file

To customize location and share multi language dictionary (.mld) files

To insert a text string directly from a multi language dictionary (.mld) file

To customize location and share multi language dictionary (.mld) files


About the Language Converter (Concept)

Translate Annotations to Other Languages
Translate Annotations to Other Languages
Custom Multilanguage Dictionary (.mld) Files
Annotate drawings > Translate Annotations to Other Languages >
About the Language Converter
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The language converter translates text of all varieties, including attribute values, multiline text ( MTEXT ), part references, and parts lists, from one language to another. This feature is useful when companies exchange drawings between different countries. You can either translate the entire drawing, or translate selected phrases only. The language converter currently supports the following languages.

  • Chinese (Simplified)
  • Chinese (Traditional)
  • Czech
  • Danish
  • English
  • Finnish
  • French
  • German
  • Hungarian
  • Italian
  • Japanese
  • Korean
  • Norwegian
  • Polish
  • Portuguese
  • Russian
  • Slovenian
  • Spanish
  • Swedish

How does the language converter work?

When you activate online translation, AutoCAD Mechanical compares the text in the current drawing, phrase by phrase, against multilanguage dictionary files (.mld). When AutoCAD Mechanical finds a match, it replaces the text in the drawing with the corresponding translated text. If it is necessary to translate several files, you may find it more convenient to translate in batch mode.

Typically, all standard phrases used in AutoCAD Mechanical have corresponding entries in the default multilanguage dictionary files and translate without a problem. However, the phrases you type may not have corresponding entries and, in some cases, an AutoCAD Mechanical standard phrase does not translate.

What if a phrase cannot be found in a multilanguage dictionary file?

If AutoCAD Mechanical cannot find the phrase in the default multilanguage dictionaries, it prompts you to type the translated text. Optionally, you can save the translation to a custom multi language dictionary file; typically a file that has the same name as the drawing you are translating, but with the MLD file extension.

In the dialog boxes that appear when you invoke the language converter, you can specify a list of multilanguage dictionary files for AutoCAD Mechanical to use. You can compile a custom dictionary of all frequently used phrases (that do not exist in the default dictionary) and use it for all subsequent translations.

Can multilanguage dictionary files be edited?

Multilanguage dictionary files are ASCII text files where text is organized into a grid of columns(languages) and numbered rows for reference. Use Notepad or another text editor to modify a multilanguage dictionary file.


About the Language Converter (Procedure)

Translate Annotations to Other Languages
Up a level to ..
About the Language Converter
Annotate drawings > Translate Annotations to Other Languages >
About the Language Converter
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a text string directly from a multi language dictionary (.mld) file

To convert all text strings of a drawing to another language


About the Language Converter (Quick Reference)

Format text
About the Language Converter
About the Language Converter
Annotate drawings > Translate Annotations to Other Languages >
About the Language Converter
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLANGCONV

Online Translation dialog box

Online Translation Options dialog box

AMLANGTEXT

Language Converter Text Selection dialog box


To insert a text string directly from a multi language dictionary (.mld) file (Procedure)

About the Language Converter
Up a level to ..
About the Language Converter
Annotate drawings > Translate Annotations to Other Languages >
About the Language Converter
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a text string directly from a multi language dictionary (.mld) file

By inserting a text string directly from a multi language dictionary (.mld) file, you are assured that the strings that you insert can be automatically translated. To insert a text from a multi language dictionary file:

  1. Click None [image] None [image] . At the Command prompt, enter AMLANGTEXT.
  2. In the Files to search drop-down list box, select the multi language text file you want to insert text from. If the multi language dictionary is not listed:
    1. Click Additional.
    2. Locate the multi language dictionary file (usually located in the ACADM\Translator folder, under the folder in which AutoCAD Mechanical is installed) and click Open.
  3. Use any of the drop-down list boxes under Messages and select the message you want to insert.
  4. Click Insert Texts.
  5. In model space, click to indicate the insertion point.
  6. To accept the default text height, press ENTER. To specify a different text height, At the Command prompt, type the new height and press ENTER.
  7. To accept the default rotation, press ENTER. To specify a different rotation, At the Command prompt, type the rotation angle and press ENTER. The text is inserted.


To convert all text strings of a drawing to another language (Procedure)

About the Language Converter
Up a level to ..
Custom Multilanguage Dictionary (.mld) Files
Annotate drawings > Translate Annotations to Other Languages >
About the Language Converter
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To convert all text strings of a drawing to another language

This help page uses the example of translating a drawing containing English text into German. You can use the same procedure for other languages.

  1. Click None [image] None [image] . At the Command prompt, enter AMLANGCONV.
  2. In the Online Translation dialog box, select ENU English as the source language and DEU German as the destination language.
  3. Click Translate. Translation begins. If AutoCAD Mechanical encounters a phrase that cannot be translated (a phrase that doesn't exist in any of the multi language dictionary files), the Online Translation Warning dialog box appears.
    • In the Destination String box, type the translation of the phrase and click Yes. NOTE: To store the translation in a custom multi language dictionary file, click New Rule. The rule is stored in a file that has the same name as your drawing, but with the MLD file extension.
  4. Once translation is complete, the Online Translation Information dialog box appears. Click OK.

The German translations are inserted into the drawing.


About the Language Converter (Quick Reference)

About the Language Converter
About the Language Converter
About the Language Converter
Annotate drawings > Translate Annotations to Other Languages >
About the Language Converter
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLANGCONV

Translates text in the drawing to another language

Ribbon: None tab [image] None [image] [image] Does not exist on the ribbon.
Toolbar: Text
Menu: Tools [image] Language [image] Language Converter Does not exist in the menus.
Command entry: amlangconv

The Online Translation dialog box appears.

You can set the source and destination language, add or remove message files, and translate text in the drawing from one language to another.


About the Language Converter (Quick Reference)

About the Language Converter
About the Language Converter
About the Language Converter
Annotate drawings > Translate Annotations to Other Languages >
About the Language Converter
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Online Translation dialog box

Use the Online Translation dialog box to translate text on the drawing from one language into another.

Files to search

Displays the default multi language dictionary file (gentras.mld) and custom multi language dictionary files that you specify for the language converter to search through when translating user-defined text on a drawing.

Additional

Adds multi language dictionary files to the list.

Source Language

Sets the source language. All languages available appear in this box.

Destination Language

Sets the destination language. All languages available appear in this box.

Control - automatic

Makes the language converter translate all text found in the drawing, and prompts you only if errors are found when text strings are being translated.

Control - Warn at Error

Makes the language converter issue a warning if errors are found when text strings are being translated. For example, when no destination text string is found.

New Rule

Lets you set new text strings in both the source and the destination language. The text strings you specified are saved to the message file that is currently placed at the top of the Files to Search list.

Select <

Lets you specify the text strings you want to translate. By default, all text strings in the drawing are considered during the translation process.

Defaults

Displays the Online Translation Options dialog box.

Translate

Starts the translation process.

Close

Closes the dialog box.


About the Language Converter (Quick Reference)

About the Language Converter
About the Language Converter
About the Language Converter
Annotate drawings > Translate Annotations to Other Languages >
About the Language Converter
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Online Translation Options dialog box

Preserve Information for Online Translation of User Text

Saves multi language dictionary file information in the text objects. When this option is enabled, the system “remembers” the translation information when the drawing file is reopened and does not need to scan all the files listed in the Files to search list in the Online Translation dialog box.

Translate attribute Prompts

Translates attribute prompts found in block definitions.

Ignore Case

Ignores case when text strings are being translated.

Standardize Text Before Search

Makes no distinction between blank and tabular characters, and standardizes text during translation.

Example:

“This is my text”

is recognized as “This is my text”, if this option is selected.

Project Name

Specifies the name of the project. Default name is the name of the drawing.

Project Path

Specifies the path where the default multi language dictionary files are located.

Path of User's Message File

Specifies the path where the custom multi language dictionary files are located.

Additional Text Files for Inserting Translation Text

Specifies additional multi language dictionary files. You can add text strings of those files to the Online Translation Text Selection.

System

Displays the System Editor dialog box.


About the Language Converter (Quick Reference)

About the Language Converter
About the Language Converter
About the Language Converter
Annotate drawings > Translate Annotations to Other Languages >
About the Language Converter
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLANGTEXT

Display a list of text strings for which translations are available and enables you to insert them into your drawing

Ribbon: None Does not exist on the ribbon.
Toolbar: Text
Menu: Tools [image] Language [image] Text from Language Converter Does not exist in the menus.
Command entry: amlangtext

The Language Converter Text Selection dialog box appears.

You can display text strings of selected file messages, insert text strings into the drawing, and add or remove message files.

COMMAND LINE OPTIONS

Starting point: Specify an insertion point for the text string.

height <value>: Specify the text height.

Rotation angle <value>: Specify an angle.


About the Language Converter (Quick Reference)

About the Language Converter
About the Language Converter
Custom Multilanguage Dictionary (.mld) Files
Annotate drawings > Translate Annotations to Other Languages >
About the Language Converter
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Language Converter Text Selection dialog box

Use the Language Converter Text Selection dialog box to insert text strings from message files into the drawing.

Files to Search

Displays the name of the multi language dictionary file to insert text strings from. By default, the gendwg.mld file appears. If the multi language dictionary file is not available in the list, click Additional to locate and add the file.

Remove/Additional

Removes or adds multi language dictionary files to or from the list.

Messages

Displays all text strings of the selected message files. The list at the right side displays the message number of the selected text string

Defaults

Displays the Online Translation Options dialog box.

Insert Text

Inserts the selected message into the drawing.


Custom Multilanguage Dictionary (.mld) Files (Concept)

About the Language Converter
Translate Annotations to Other Languages
General Structure of a Multilanguage Dictionary (.mld) File
Annotate drawings > Translate Annotations to Other Languages >
Custom Multilanguage Dictionary (.mld) Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Custom multilanguage dictionary files (.mld) contain translations of user-defined texts that are not contained in the default multilanguage dictionary files supplied with AutoCAD Mechanical.

You can use any of the following options to create custom multilanguage dictionary files:

  • Automatic: You can create a custom multilanguage dictionary file while working in the drawing window. Click the New Rule button in the Online Translation dialog box. Then in the subsequent dialog box specify the source text string and the destination text string.

    The custom multilanguage dictionary file uses the file name of the current drawing, and is saved to the directory you specified in the project path of the Online Translation Options dialog box (accessible through the Defaults button in the Online Translation dialog box). This file saves all text strings (new rules) specified during the current working session.

  • Text Editor: In general, you can create custom multi-language dictionary files with any text editor, saving the file with the .mld file extension. Follow the structure of a default multi-language dictionary file supplied with AutoCAD Mechanical.


Custom Multilanguage Dictionary (.mld) Files (Procedure)

About the Language Converter
Up a level to ..
Custom Multilanguage Dictionary (.mld) Files
Annotate drawings > Translate Annotations to Other Languages >
Custom Multilanguage Dictionary (.mld) Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a custom multi language dictionary (.mld) file

To customize location and share multi language dictionary (.mld) files


Custom Multilanguage Dictionary (.mld) Files (Quick Reference)

About the Language Converter
Custom Multilanguage Dictionary (.mld) Files
Custom Multilanguage Dictionary (.mld) Files
Annotate drawings > Translate Annotations to Other Languages >
Custom Multilanguage Dictionary (.mld) Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLANGCONV

Online Translation dialog box

Online Translation Options dialog box

AMLANGTEXT

Language Converter Text Selection dialog box


To create a custom multi language dictionary (.mld) file (Procedure)

Custom Multilanguage Dictionary (.mld) Files
Up a level to ..
Custom Multilanguage Dictionary (.mld) Files
Annotate drawings > Translate Annotations to Other Languages >
Custom Multilanguage Dictionary (.mld) Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a custom multi language dictionary (.mld) file

The following example shows how to create a custom multi language dictionary file that translates English text to German.

  1. Open a new drawing and save it as Language.dwg
  2. Enter an English text string into the drawing: enter Shaft.
  3. Click None [image] None [image] . At the Command prompt, enter AMLANGCONV.
  4. In the Online Translation dialog box, select ENU English as the source language.
  5. Select DEU German as the destination language.
  6. To specify the folder where the custom dictionary file is created:
    1. Click Defaults, the Online Translations Options dialog box appears.
    2. In the Project Path box, specify the folder that the multi language dictionary file should be created in.
    3. Click OK.
  7. Click Translate.
  8. If no destination text string can be found, the Online Translation Warning dialog box appears.
  9. Click New Rule.
  10. Enter a destination string in the box provided: enter Welle, and click OK.
  11. In the subsequent dialog box, click Yes. The translation is saved to the multi language dictionary file, Language.mld. The file contains both strings, “Welle“ and “Shaft“. This file appears at the top of the Files to Search list in the Online Translation dialog box.


To customize location and share multi language dictionary (.mld) files (Procedure)

Custom Multilanguage Dictionary (.mld) Files
Up a level to ..
General Structure of a Multilanguage Dictionary (.mld) File
Annotate drawings > Translate Annotations to Other Languages >
Custom Multilanguage Dictionary (.mld) Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To customize location and share multi language dictionary (.mld) files

To save multi language dictionary (.mld) files to a network location and share those files with all members of your group, proceed as follows:

  1. Locate the folder where you installed AutoCAD Mechanical.
  2. Open the acad.lsp file (acadm [image] acad.lsp), and to this file add the following entry:

    (gencfgset "gen@paths@mldpath" <new_mldpath >)

    where new_mldpath is the location where you want to save the multi language dictionary (.mld) files. For example, s:/public/Stefan_Baum/My_very_personal_mldpath/.

  3. Copy all of your multi language dictionary files (.mld) to the newly created folder.
  4. Restart AutoCAD Mechanical.
  5. Make sure that every member of your group who wants to share the multi language dictionary (.mld) files performs step 2.


Custom Multilanguage Dictionary (.mld) Files (Quick Reference)

Custom Multilanguage Dictionary (.mld) Files
Custom Multilanguage Dictionary (.mld) Files
Custom Multilanguage Dictionary (.mld) Files
Annotate drawings > Translate Annotations to Other Languages >
Custom Multilanguage Dictionary (.mld) Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLANGCONV

Translates text in the drawing to another language

Ribbon: None tab [image] None [image] [image] Does not exist on the ribbon.
Toolbar: Text
Menu: Tools [image] Language [image] Language Converter Does not exist in the menus.
Command entry: amlangconv

The Online Translation dialog box appears.

You can set the source and destination language, add or remove message files, and translate text in the drawing from one language to another.


Custom Multilanguage Dictionary (.mld) Files (Quick Reference)

Custom Multilanguage Dictionary (.mld) Files
Custom Multilanguage Dictionary (.mld) Files
Custom Multilanguage Dictionary (.mld) Files
Annotate drawings > Translate Annotations to Other Languages >
Custom Multilanguage Dictionary (.mld) Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Online Translation dialog box

Use the Online Translation dialog box to translate text on the drawing from one language into another.

Files to search

Displays the default multi language dictionary file (gentras.mld) and custom multi language dictionary files that you specify for the language converter to search through when translating user-defined text on a drawing.

Additional

Adds multi language dictionary files to the list.

Source Language

Sets the source language. All languages available appear in this box.

Destination Language

Sets the destination language. All languages available appear in this box.

Control - automatic

Makes the language converter translate all text found in the drawing, and prompts you only if errors are found when text strings are being translated.

Control - Warn at Error

Makes the language converter issue a warning if errors are found when text strings are being translated. For example, when no destination text string is found.

New Rule

Lets you set new text strings in both the source and the destination language. The text strings you specified are saved to the message file that is currently placed at the top of the Files to Search list.

Select <

Lets you specify the text strings you want to translate. By default, all text strings in the drawing are considered during the translation process.

Defaults

Displays the Online Translation Options dialog box.

Translate

Starts the translation process.

Close

Closes the dialog box.


Custom Multilanguage Dictionary (.mld) Files (Quick Reference)

Custom Multilanguage Dictionary (.mld) Files
Custom Multilanguage Dictionary (.mld) Files
Custom Multilanguage Dictionary (.mld) Files
Annotate drawings > Translate Annotations to Other Languages >
Custom Multilanguage Dictionary (.mld) Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Online Translation Options dialog box

Preserve Information for Online Translation of User Text

Saves multi language dictionary file information in the text objects. When this option is enabled, the system “remembers” the translation information when the drawing file is reopened and does not need to scan all the files listed in the Files to search list in the Online Translation dialog box.

Translate attribute Prompts

Translates attribute prompts found in block definitions.

Ignore Case

Ignores case when text strings are being translated.

Standardize Text Before Search

Makes no distinction between blank and tabular characters, and standardizes text during translation.

Example:

“This is my text”

is recognized as “This is my text”, if this option is selected.

Project Name

Specifies the name of the project. Default name is the name of the drawing.

Project Path

Specifies the path where the default multi language dictionary files are located.

Path of User's Message File

Specifies the path where the custom multi language dictionary files are located.

Additional Text Files for Inserting Translation Text

Specifies additional multi language dictionary files. You can add text strings of those files to the Online Translation Text Selection.

System

Displays the System Editor dialog box.


Custom Multilanguage Dictionary (.mld) Files (Quick Reference)

Custom Multilanguage Dictionary (.mld) Files
Custom Multilanguage Dictionary (.mld) Files
Custom Multilanguage Dictionary (.mld) Files
Annotate drawings > Translate Annotations to Other Languages >
Custom Multilanguage Dictionary (.mld) Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLANGTEXT

Display a list of text strings for which translations are available and enables you to insert them into your drawing

Ribbon: None Does not exist on the ribbon.
Toolbar: Text
Menu: Tools [image] Language [image] Text from Language Converter Does not exist in the menus.
Command entry: amlangtext

The Language Converter Text Selection dialog box appears.

You can display text strings of selected file messages, insert text strings into the drawing, and add or remove message files.

COMMAND LINE OPTIONS

Starting point: Specify an insertion point for the text string.

height <value>: Specify the text height.

Rotation angle <value>: Specify an angle.


Custom Multilanguage Dictionary (.mld) Files (Quick Reference)

Custom Multilanguage Dictionary (.mld) Files
Custom Multilanguage Dictionary (.mld) Files
General Structure of a Multilanguage Dictionary (.mld) File
Annotate drawings > Translate Annotations to Other Languages >
Custom Multilanguage Dictionary (.mld) Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Language Converter Text Selection dialog box

Use the Language Converter Text Selection dialog box to insert text strings from message files into the drawing.

Files to Search

Displays the name of the multi language dictionary file to insert text strings from. By default, the gendwg.mld file appears. If the multi language dictionary file is not available in the list, click Additional to locate and add the file.

Remove/Additional

Removes or adds multi language dictionary files to or from the list.

Messages

Displays all text strings of the selected message files. The list at the right side displays the message number of the selected text string

Defaults

Displays the Online Translation Options dialog box.

Insert Text

Inserts the selected message into the drawing.


General Structure of a Multilanguage Dictionary (.mld) File (Concept)

Custom Multilanguage Dictionary (.mld) Files
Translate Annotations to Other Languages
Translate Text Strings in the Batch-File Mode
Annotate drawings > Translate Annotations to Other Languages >
General Structure of a Multilanguage Dictionary (.mld) File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Multilanguage dictionary (.mld) files are ASCII files that you can open in a text editor such as Notepad. Text is organized into a grid of columns (languages) and numbered rows for reference. Consider the following text, extracted from a multilanguage dictionary file that translates between English and German:

/lg ENU DEU

/cp ISO8859-1 ISO8859-1

;This is a user-defined mld file

0001 "english text ENU" "deutscher Text DEU"

0002 "This is free message number %d ENU" "Dies ist die freie %d. Meldung DEU"

0003 "This is a %s1 message %s2 ENU" "Dies ist eine %s2 Meldung %s1 DEU"

A multilanguage dictionary file contains the following four line types:

Language definition line

A text file begins with a language definition line. The line begins with the abbreviation /lg.

Valid language abbreviations appear in the Online Translation dialog box; for example, ENU for English, DEU for German.

Example: An example for a language definition file could look like the following: /lg ENU DEU FRA

Page code definition line

The next line after the language definition line is the page code definition line.

A page code line begins with the abbreviation "/cp" and contains a number for the page codes that is equal to the number of the language abbreviations you entered in the first line.

Valid page code abbreviations are:

arabic08 | dos855 | ansi_1200 | dos869 | iso8859-6
arabic09 | dos857 | ansi_1250 | dos874 | iso8859-7
arabic10 | dos860 | ansi_1251 | dos852 | iso8859-8
arabic20 | dos861 | ansi_1252 | dos932 | iso8859-2
big5 | dos862 | ansi_1253 | gb2312 | johab
dos437 | dos863 | ansi_1254 | ksc5601 | mac-roman
dos737 | dos864 | ansi_1255 | iso8859-3 |
dos775 | dos865 | ansi_1256 | iso8859-4 |
dos850 | dos866 | ansi_1257 | iso8859-5 |

Example: An example for a page code definition file could look like the following: /cp ISO8859-1 ISO8859-1 iso8859-1

Text string line

Here are guidelines for creating a text string line:

  • A text string line begins with a number from 1 through 32000. The numbers can include leading nulls.
  • Enter a text string for every language abbreviation specified in the language line.
  • Separate individual entries with quotation marks.
  • Enter individual language columns in the appropriate code page.
  • Use only one line for each message line.

Example: An example for a text string line could look like the following: 0001 “english text ENU” “deutscher Text DEU”

Comment line

Each line beginning with a semicolon is a comment line.

Example: An example for a comment line could look like the following: ;This is a user-defined message file.


General Structure of a Multilanguage Dictionary (.mld) File (Procedure)

Custom Multilanguage Dictionary (.mld) Files
Up a level to ..
General Structure of a Multilanguage Dictionary (.mld) File
Annotate drawings > Translate Annotations to Other Languages >
General Structure of a Multilanguage Dictionary (.mld) File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a text string directly from a multi language dictionary (.mld) file

To customize location and share multi language dictionary (.mld) files


General Structure of a Multilanguage Dictionary (.mld) File (Quick Reference)

Custom Multilanguage Dictionary (.mld) Files
General Structure of a Multilanguage Dictionary (.mld) File
General Structure of a Multilanguage Dictionary (.mld) File
Annotate drawings > Translate Annotations to Other Languages >
General Structure of a Multilanguage Dictionary (.mld) File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLANGCONV

Online Translation dialog box

Online Translation Options dialog box

AMLANGTEXT

Language Converter Text Selection dialog box


To insert a text string directly from a multi language dictionary (.mld) file (Procedure)

General Structure of a Multilanguage Dictionary (.mld) File
Up a level to ..
General Structure of a Multilanguage Dictionary (.mld) File
Annotate drawings > Translate Annotations to Other Languages >
General Structure of a Multilanguage Dictionary (.mld) File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a text string directly from a multi language dictionary (.mld) file

By inserting a text string directly from a multi language dictionary (.mld) file, you are assured that the strings that you insert can be automatically translated. To insert a text from a multi language dictionary file:

  1. Click None [image] None [image] . At the Command prompt, enter AMLANGTEXT.
  2. In the Files to search drop-down list box, select the multi language text file you want to insert text from. If the multi language dictionary is not listed:
    1. Click Additional.
    2. Locate the multi language dictionary file (usually located in the ACADM\Translator folder, under the folder in which AutoCAD Mechanical is installed) and click Open.
  3. Use any of the drop-down list boxes under Messages and select the message you want to insert.
  4. Click Insert Texts.
  5. In model space, click to indicate the insertion point.
  6. To accept the default text height, press ENTER. To specify a different text height, At the Command prompt, type the new height and press ENTER.
  7. To accept the default rotation, press ENTER. To specify a different rotation, At the Command prompt, type the rotation angle and press ENTER. The text is inserted.


To customize location and share multi language dictionary (.mld) files (Procedure)

General Structure of a Multilanguage Dictionary (.mld) File
Up a level to ..
Create, modify, and use BOMs
Annotate drawings > Translate Annotations to Other Languages >
General Structure of a Multilanguage Dictionary (.mld) File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To customize location and share multi language dictionary (.mld) files

To save multi language dictionary (.mld) files to a network location and share those files with all members of your group, proceed as follows:

  1. Locate the folder where you installed AutoCAD Mechanical.
  2. Open the acad.lsp file (acadm [image] acad.lsp), and to this file add the following entry:

    (gencfgset "gen@paths@mldpath" <new_mldpath >)

    where new_mldpath is the location where you want to save the multi language dictionary (.mld) files. For example, s:/public/Stefan_Baum/My_very_personal_mldpath/.

  3. Copy all of your multi language dictionary files (.mld) to the newly created folder.
  4. Restart AutoCAD Mechanical.
  5. Make sure that every member of your group who wants to share the multi language dictionary (.mld) files performs step 2.


General Structure of a Multilanguage Dictionary (.mld) File (Quick Reference)

General Structure of a Multilanguage Dictionary (.mld) File
General Structure of a Multilanguage Dictionary (.mld) File
General Structure of a Multilanguage Dictionary (.mld) File
Annotate drawings > Translate Annotations to Other Languages >
General Structure of a Multilanguage Dictionary (.mld) File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLANGCONV

Translates text in the drawing to another language

Ribbon: None tab [image] None [image] [image] Does not exist on the ribbon.
Toolbar: Text
Menu: Tools [image] Language [image] Language Converter Does not exist in the menus.
Command entry: amlangconv

The Online Translation dialog box appears.

You can set the source and destination language, add or remove message files, and translate text in the drawing from one language to another.


General Structure of a Multilanguage Dictionary (.mld) File (Quick Reference)

General Structure of a Multilanguage Dictionary (.mld) File
General Structure of a Multilanguage Dictionary (.mld) File
General Structure of a Multilanguage Dictionary (.mld) File
Annotate drawings > Translate Annotations to Other Languages >
General Structure of a Multilanguage Dictionary (.mld) File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Online Translation dialog box

Use the Online Translation dialog box to translate text on the drawing from one language into another.

Files to search

Displays the default multi language dictionary file (gentras.mld) and custom multi language dictionary files that you specify for the language converter to search through when translating user-defined text on a drawing.

Additional

Adds multi language dictionary files to the list.

Source Language

Sets the source language. All languages available appear in this box.

Destination Language

Sets the destination language. All languages available appear in this box.

Control - automatic

Makes the language converter translate all text found in the drawing, and prompts you only if errors are found when text strings are being translated.

Control - Warn at Error

Makes the language converter issue a warning if errors are found when text strings are being translated. For example, when no destination text string is found.

New Rule

Lets you set new text strings in both the source and the destination language. The text strings you specified are saved to the message file that is currently placed at the top of the Files to Search list.

Select <

Lets you specify the text strings you want to translate. By default, all text strings in the drawing are considered during the translation process.

Defaults

Displays the Online Translation Options dialog box.

Translate

Starts the translation process.

Close

Closes the dialog box.


General Structure of a Multilanguage Dictionary (.mld) File (Quick Reference)

General Structure of a Multilanguage Dictionary (.mld) File
General Structure of a Multilanguage Dictionary (.mld) File
General Structure of a Multilanguage Dictionary (.mld) File
Annotate drawings > Translate Annotations to Other Languages >
General Structure of a Multilanguage Dictionary (.mld) File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Online Translation Options dialog box

Preserve Information for Online Translation of User Text

Saves multi language dictionary file information in the text objects. When this option is enabled, the system “remembers” the translation information when the drawing file is reopened and does not need to scan all the files listed in the Files to search list in the Online Translation dialog box.

Translate attribute Prompts

Translates attribute prompts found in block definitions.

Ignore Case

Ignores case when text strings are being translated.

Standardize Text Before Search

Makes no distinction between blank and tabular characters, and standardizes text during translation.

Example:

“This is my text”

is recognized as “This is my text”, if this option is selected.

Project Name

Specifies the name of the project. Default name is the name of the drawing.

Project Path

Specifies the path where the default multi language dictionary files are located.

Path of User's Message File

Specifies the path where the custom multi language dictionary files are located.

Additional Text Files for Inserting Translation Text

Specifies additional multi language dictionary files. You can add text strings of those files to the Online Translation Text Selection.

System

Displays the System Editor dialog box.


General Structure of a Multilanguage Dictionary (.mld) File (Quick Reference)

General Structure of a Multilanguage Dictionary (.mld) File
General Structure of a Multilanguage Dictionary (.mld) File
General Structure of a Multilanguage Dictionary (.mld) File
Annotate drawings > Translate Annotations to Other Languages >
General Structure of a Multilanguage Dictionary (.mld) File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLANGTEXT

Display a list of text strings for which translations are available and enables you to insert them into your drawing

Ribbon: None Does not exist on the ribbon.
Toolbar: Text
Menu: Tools [image] Language [image] Text from Language Converter Does not exist in the menus.
Command entry: amlangtext

The Language Converter Text Selection dialog box appears.

You can display text strings of selected file messages, insert text strings into the drawing, and add or remove message files.

COMMAND LINE OPTIONS

Starting point: Specify an insertion point for the text string.

height <value>: Specify the text height.

Rotation angle <value>: Specify an angle.


General Structure of a Multilanguage Dictionary (.mld) File (Quick Reference)

General Structure of a Multilanguage Dictionary (.mld) File
General Structure of a Multilanguage Dictionary (.mld) File
Translate Text Strings in the Batch-File Mode
Annotate drawings > Translate Annotations to Other Languages >
General Structure of a Multilanguage Dictionary (.mld) File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Language Converter Text Selection dialog box

Use the Language Converter Text Selection dialog box to insert text strings from message files into the drawing.

Files to Search

Displays the name of the multi language dictionary file to insert text strings from. By default, the gendwg.mld file appears. If the multi language dictionary file is not available in the list, click Additional to locate and add the file.

Remove/Additional

Removes or adds multi language dictionary files to or from the list.

Messages

Displays all text strings of the selected message files. The list at the right side displays the message number of the selected text string

Defaults

Displays the Online Translation Options dialog box.

Insert Text

Inserts the selected message into the drawing.


Translate Text Strings in the Batch-File Mode (Concept)

General Structure of a Multilanguage Dictionary (.mld) File
Translate Annotations to Other Languages
Add BOMs, balloons, and parts lists
Annotate drawings > Translate Annotations to Other Languages >
Translate Text Strings in the Batch-File Mode
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

You can use the Online Translation dialog box to convert text strings from one language to another without leaving your drawing, or you can use the batch command. The batch command is especially useful when you need to translate a large quantity of text strings.

You can start the batch command by entering AMLANGCONV on the command line.

The batch command has the following options:

(amgtra (list

(list "ATTPROMPT" T)

(list "UPRESERVE" T)

(list "CONTROL" nil)

(list "WARN" T)

(list "IGNORECASE" nil)

(list "TEXTNORM" T)

(list "FILES" "c:\\work\\my.mld" "c:\\company.mld")

(list "NODEFFILE" nil)

(list "SRCLANG" "gb")

(list "DSTLANG" "d")

(list "PROTFILE" "c:\\my.prt")

)

)

The argument NEEDFUL skips all multilanguage dictionary files created automatically as user-defined files.

The argument FILES provides and enables additional multilanguage dictionary files to be searched in the sequence in which they were created.

The batch command writes to the protocol file GENTRANS.PRT. With the PROFILE option, you can create and specify your own protocol file. AutoCAD Mechanical creates a new protocol for every drawing.

A protocol file may look like the following:

 | Meaning
==========Drawing.dwg | Drawing Name.
(C:\work\) | Drawing Directory.
ENU -> DEU | Source language [image] Destination language.
C:\work\gentrau.mld | Used multilanguage dictionary files (the files searched first appear first).
E:\..\acadm\gen\translator\gentrau.mld> |
E:\..\acadm\gen\\translator\gentras.mld |
Number of drawing elements scanned: 202 | Counts all drawing elements, including lines.
Number of texts found: 164 | Counts all text strings. For every attribute, counts three text strings if you select the Translate Attribute Prompts option in the Online Translation Options dialog box; counts two strings if you clear this option.
Number of texts translated: 63 | Successful translation.
Caution: 4 Messages/Text could not be translated! | This message does not appear if all text strings translate successfully.


Translate Text Strings in the Batch-File Mode (Quick Reference)

General Structure of a Multilanguage Dictionary (.mld) File
Translate Text Strings in the Batch-File Mode
Translate Text Strings in the Batch-File Mode
Annotate drawings > Translate Annotations to Other Languages >
Translate Text Strings in the Batch-File Mode
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMLANGCONV

Online Translation dialog box

Online Translation Options dialog box

AMLANGTEXT

Language Converter Text Selection dialog box


Translate Text Strings in the Batch-File Mode (Quick Reference)

Translate Text Strings in the Batch-File Mode
Translate Text Strings in the Batch-File Mode
Translate Text Strings in the Batch-File Mode
Annotate drawings > Translate Annotations to Other Languages >
Translate Text Strings in the Batch-File Mode
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMLANGCONV

Translates text in the drawing to another language

Ribbon: None tab [image] None [image] [image] Does not exist on the ribbon.
Toolbar: Text
Menu: Tools [image] Language [image] Language Converter Does not exist in the menus.
Command entry: amlangconv

The Online Translation dialog box appears.

You can set the source and destination language, add or remove message files, and translate text in the drawing from one language to another.


Translate Text Strings in the Batch-File Mode (Quick Reference)

Translate Text Strings in the Batch-File Mode
Translate Text Strings in the Batch-File Mode
Translate Text Strings in the Batch-File Mode
Annotate drawings > Translate Annotations to Other Languages >
Translate Text Strings in the Batch-File Mode
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Online Translation dialog box

Use the Online Translation dialog box to translate text on the drawing from one language into another.

Files to search

Displays the default multi language dictionary file (gentras.mld) and custom multi language dictionary files that you specify for the language converter to search through when translating user-defined text on a drawing.

Additional

Adds multi language dictionary files to the list.

Source Language

Sets the source language. All languages available appear in this box.

Destination Language

Sets the destination language. All languages available appear in this box.

Control - automatic

Makes the language converter translate all text found in the drawing, and prompts you only if errors are found when text strings are being translated.

Control - Warn at Error

Makes the language converter issue a warning if errors are found when text strings are being translated. For example, when no destination text string is found.

New Rule

Lets you set new text strings in both the source and the destination language. The text strings you specified are saved to the message file that is currently placed at the top of the Files to Search list.

Select <

Lets you specify the text strings you want to translate. By default, all text strings in the drawing are considered during the translation process.

Defaults

Displays the Online Translation Options dialog box.

Translate

Starts the translation process.

Close

Closes the dialog box.


Translate Text Strings in the Batch-File Mode (Quick Reference)

Translate Text Strings in the Batch-File Mode
Translate Text Strings in the Batch-File Mode
Translate Text Strings in the Batch-File Mode
Annotate drawings > Translate Annotations to Other Languages >
Translate Text Strings in the Batch-File Mode
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Online Translation Options dialog box

Preserve Information for Online Translation of User Text

Saves multi language dictionary file information in the text objects. When this option is enabled, the system “remembers” the translation information when the drawing file is reopened and does not need to scan all the files listed in the Files to search list in the Online Translation dialog box.

Translate attribute Prompts

Translates attribute prompts found in block definitions.

Ignore Case

Ignores case when text strings are being translated.

Standardize Text Before Search

Makes no distinction between blank and tabular characters, and standardizes text during translation.

Example:

“This is my text”

is recognized as “This is my text”, if this option is selected.

Project Name

Specifies the name of the project. Default name is the name of the drawing.

Project Path

Specifies the path where the default multi language dictionary files are located.

Path of User's Message File

Specifies the path where the custom multi language dictionary files are located.

Additional Text Files for Inserting Translation Text

Specifies additional multi language dictionary files. You can add text strings of those files to the Online Translation Text Selection.

System

Displays the System Editor dialog box.


Translate Text Strings in the Batch-File Mode (Quick Reference)

Translate Text Strings in the Batch-File Mode
Translate Text Strings in the Batch-File Mode
Translate Text Strings in the Batch-File Mode
Annotate drawings > Translate Annotations to Other Languages >
Translate Text Strings in the Batch-File Mode
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMLANGTEXT

Display a list of text strings for which translations are available and enables you to insert them into your drawing

Ribbon: None Does not exist on the ribbon.
Toolbar: Text
Menu: Tools [image] Language [image] Text from Language Converter Does not exist in the menus.
Command entry: amlangtext

The Language Converter Text Selection dialog box appears.

You can display text strings of selected file messages, insert text strings into the drawing, and add or remove message files.

COMMAND LINE OPTIONS

Starting point: Specify an insertion point for the text string.

height <value>: Specify the text height.

Rotation angle <value>: Specify an angle.


Translate Text Strings in the Batch-File Mode (Quick Reference)

Translate Text Strings in the Batch-File Mode
Translate Text Strings in the Batch-File Mode
Create BOMs
Annotate drawings > Translate Annotations to Other Languages >
Translate Text Strings in the Batch-File Mode
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Language Converter Text Selection dialog box

Use the Language Converter Text Selection dialog box to insert text strings from message files into the drawing.

Files to Search

Displays the name of the multi language dictionary file to insert text strings from. By default, the gendwg.mld file appears. If the multi language dictionary file is not available in the list, click Additional to locate and add the file.

Remove/Additional

Removes or adds multi language dictionary files to or from the list.

Messages

Displays all text strings of the selected message files. The list at the right side displays the message number of the selected text string

Defaults

Displays the Online Translation Options dialog box.

Insert Text

Inserts the selected message into the drawing.


Add BOMs, balloons, and parts lists

Translate Text Strings in the Batch-File Mode
Overview
Add BOMs, balloons, and parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview
  • Create, modify, and use BOMs
  • Capture data for the BOM with part references
  • Create and modify parts lists
  • Create and modify parts list for GOST based drawings
  • Create and modify balloons
  • Building a BOM from non-AutoCAD Mechanical drawings
  • Migrate from previous versions


Overview

Add BOMs, balloons, and parts lists
Add BOMs, balloons, and parts lists
Create, modify, and use BOMs
Add BOMs, balloons, and parts lists >
Overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The BOM (Bill of Materials) is a table that stores information about the parts and assemblies in a drawing.

If a BOM is analogous to a database, a part list is analogous to a report. Parts lists can display a portion or all of the information in the BOM.

A balloon identifies a part or assembly listed in the parts list by labeling them in the drawing. The balloon label is typically derived from the BOM.

The BOM, at a minimum, contains the properties of a part/subassembly (component properties) that are displayed in a parts list. At the time you configure the BOM, you can set up the BOM to store component properties typically not needed by parts lists (price, vendor for example) for downstream consumption by tools such as Autodesk Vault and Autodesk Vault Mechanical.

If you use mechanical structure, whenever you create or insert a part, assembly, or standard part, AutoCAD Mechanical automatically updates the BOM with the component properties of the object being inserted. This information can be edited through the Properties dialog box of each component.

If you do not use mechanical structure, you must use part references. A part reference is a container of component properties. When you attach a part reference to an object in the drawing, that object is marked as a part. AutoCAD Mechanical automatically updates the BOM with the component properties contained in the Part Reference. Standard parts contain part references and automatically update the BOM as you insert them to a drawing.

NoteYou must not use part references in a drawing that has mechanical structure enabled.

Legend
1 | Properties or Part Reference dialog box - Captures information about a single part and updates the BOM. (For mechanical structure, this is the Properties dialog box. For non-mechanical structure, this is the Part Reference dialog box)
2 | BOM - Stores information about parts and assemblies
3 | Balloon - Displays data from the BOM
4 | Parts list - Displays data from the BOM


Create, modify, and use BOMs

Overview
Add BOMs, balloons, and parts lists
Create BOMs
Add BOMs, balloons, and parts lists >
Create, modify, and use BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Create BOMs
  • Typical BOM usage workflows
  • Change BOM representation
  • Edit BOMs
  • Export and Import BOMs
  • Generate Reports from BOMs


Create, modify, and use BOMs (Procedure)

General Structure of a Multilanguage Dictionary (.mld) File
Create, modify, and use BOMs
Create BOMs
Add BOMs, balloons, and parts lists >
Create, modify, and use BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a BOM for the entire drawing

To create a BOM for a drawing border in model space

To create a BOM for an assembly

To change the BOM representation

To sort a BOM

To change the Item Number of a single BOM item

To change the Item Number of multiple BOM items

To change the value of multiple cells in the same column

To add a BOM item manually

To delete a BOM item manually

To exclude a BOM item from parts lists

To enter a formula to a cell

To set an instance of a component as a reference component

To merge rows

To split a row

To add parts to a BOM

To delete a BOM

To rename a BOM

To export a BOM

To import a previously exported BOM

To display a report

To specify what columns to display in a report

To sort the data in a report

To filter the data in a report

To specify how many data rows to display in a page

To print a BOM


Create BOMs (Concept)

Create, modify, and use BOMs
Create, modify, and use BOMs
Typical BOM usage workflows
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Create BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The Bill of Materials (BOM) is a table that contains information about the parts in a drawing, from which parts lists and balloons are generated.

A drawing file can have several BOMs. The “main” BOM contains information about all the parts and assemblies in a drawing. A parts list generated from the main BOM contains all the parts and assemblies in that drawing.

You can also create a “border” BOM, which contains only the parts and assemblies within a drawing border. Parts lists generated from a border BOM do not contain parts from elsewhere in the drawing.

NoteOnly drawling borders created using the AMTITLE command support border BOM functionality.

If mechanical structure is enabled, you can create an Assembly BOM for any assembly in the mechanical structure. An Assembly BOM contains the information of all parts within that assembly.

When a BOM is created, all part references, parts, and assemblies (components) are included in the BOM automatically. If you then insert more part references or components to the drawing, the BOM updates automatically.

Because parts lists and balloons are derived from the BOM, the BOM must exist before you can use those features. If you begin to create the balloons or parts lists before you create a BOM, the system automatically creates the BOM for you. If you intend to have multiple BOMs in a drawing, it is easier to create the BOM first rather than create BOMs on the fly along with balloons and parts lists.


Create BOMs (Procedure)

Create, modify, and use BOMs
Up a level to ..
Create BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Create BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a BOM for the entire drawing

To create a BOM for a drawing border in model space

To create a BOM for an assembly


Create BOMs (Quick Reference)

Translate Text Strings in the Batch-File Mode
Create BOMs
Create BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Create BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBOM

BOM dialog box


To create a BOM for the entire drawing (Procedure)

Create BOMs
Up a level to ..
Create BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Create BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a BOM for the entire drawing

  1. Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. At the Command prompt, enter M.


To create a BOM for a drawing border in model space (Procedure)

Create BOMs
Up a level to ..
Create BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Create BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a BOM for a drawing border in model space

  1. Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In model space, click the drawing border for which you want to create the BOM. The program creates the BOM and shows it in the BOM dialog box.


To create a BOM for an assembly (Procedure)

Create BOMs
Up a level to ..
Typical BOM usage workflows
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Create BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a BOM for an assembly

  1. In the mechanical browser, right-click the assembly for which you want to create a BOM.
  2. Select Create Assembly BOM. The program creates the BOM and shows it in the BOM dialog box.


Create BOMs (Quick Reference)

Create BOMs
Create BOMs
Create BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Create BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBOM

Creates, edits, or deletes Bills of Materials (BOMs)

Ribbon: Annotate tab [image] BOM panel [image] BOM Database. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] BOM Database Does not exist in the menus.
Command entry: ambom
NoteThis command displays the BOM dialog box only if the CMDDIA system variable equals 1.

COMMAND LINE OPTIONS

Specify BOM to create or set current [Main/?] <Main>: To select or create the main BOM, enter M. To select or create a Border BOM, click the corresponding border in model space. To see a list of existing BOM databases, enter ?. To create or set the current database to one of the listed BOMs, type the name of the BOM and press ENTER.

If a BOM exists in the drawing, the following prompt appears:

BOM table [Delete/Edit] <Edit>: Press ENTER to edit the BOM or enter D to delete the BOM.


Create BOMs (Quick Reference)

Create BOMs
Create BOMs
The part reference workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Create BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM dialog box

Use this dialog box to manage BOMs and BOM data in the drawing file.

BOM List panel

Toolbar

Sets the selected BOM as the current BOM and displays its contents within the BOM panel.

Displays the Assembly Properties dialog box. You typically use this dialog box when the drawing file represents a part or assembly. Specify the component properties of the part or assembly in this dialog box.

Displays the Report Generator dialog box. The Report Generator enables you to customize the columns of a pre-defined set of reports and print them.

Report Generator drop-down

Report Generator

Displays the Report Generator dialog box. The Report Generator enables you to customize the columns of a pre-defined set of reports and print them.

Export

Exports the current BOM as a spreadsheet or database. Export supports several common file formats including Microsoft Excel and Microsoft Access.

Import

Imports a BOM data from a spreadsheet or database that was created using the Export option.

Deletes the BOM selected in the list of BOMs.

Prints the current BOM. It displays the Print dialog box, enabling you to specify print options.

Print drop-down

Print

Prints the current BOM. It displays the Print dialog box, enabling you to specify print options.

Mask Editor

Runs the Mask editor, a report generator that enables you to format the BOM for printing.

List of BOMs

Displays a list of BOMs that exist in the current drawing.

Columns in list

Current BOM indicator

Displays the [image] icon to indicate the current BOM.

BOM Type

Indicates the BOM type using an icon.

-

Border BOM

Mechanical Structure Assembly BOM

Main BOM

Right-click Menu Items

Set Current

Sets the selected BOM as the current BOM and displays its contents within the BOM panel.

Zoom to

Temporarily hides the BOM dialog box and zooms to the geometry associated with the BOM. If the BOM is a Border BOM, this menu option zooms to the corresponding border. If the BOM is an Assembly BOM, it zooms to the corresponding component.

Highlight

Temporarily hides the BOM dialog box and highlights to the geometry associated with the BOM. If the BOM is a Border BOM, this menu option highlights to the corresponding border. If the BOM is an Assembly BOM, it highlights all the views of the corresponding component.

Rename

Places the cursor within the name of the BOM, enabling you to rename it.

Delete

Deletes the selected BOM.

BOM Panel

Toolbar

View drop-down

Enables you to select between the expanded view and structured view. The drop-down menu is not visible if the current drafting standard is GOST.

Expanded View

Sets the view to the expanded view. In the expanded view, BOM items correspond to parts. Parts from different assemblies are summed together (excluding parts from assemblies inserted from an xref).

Structured View

Sets the view to the structured view. In the structured view, parts are collected under the assemblies they belong to and are summed only within those assemblies.

View options

Displays the View Options dialog box, which enables you to specify how to display the structured view.

Show/Hide drop-down

Formula bar

Displays an area below the toolbar (the formula bar), to enable you to enter and edit formulas. A check mark next to the menu item indicates that the formula bar is displayed.

Results bar

Displays a row at the bottom of the list of BOM items (known as the results bar) to show the totals of the properties configured to be summed. A check mark next to the menu item indicates that the results bar is displayed.

Expands/Collapses all assemblies in the BOM.

Inserts a column to the left of the current selection in the list of BOM items.

Insert column drop-down

Insert column left

Inserts a column to the left of the current selection in the list of BOM items.

Insert column right

Inserts a column to the right of the current selection in the list of BOM items.

Deletes the selected column.

Adds a part that was previously removed from the BOM.

Adds a row to the bottom of the BOM. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Inserts a row above the current selection. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Insert item drop-down

Insert item above

Inserts a row above the current selection. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Insert item below

Inserts a row below the current selection. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Deletes the selected row. If there are any rows nested below this row, they are deleted as well.

Merges two or more selected rows. Only rows that have identical properties can be merged.

You typically merge rows when the system shows the same part as two separate entries in the BOM.

Splits a row that has a quantity greater than 1 into two separate rows. This operation is not applicable to mechanical structure components. When you click this button, a prompt enables you to select the part references to move to a new row.

You typically use this option to split rows that you merged previously.

Displays the Sort dialog box, which provides various options to sort the items in the BOM.

Attaches the BOM of another drawing to the selected Part Reference. The Part Reference is attached as an xref. Changes you make to the attached BOM in the source drawing are automatically reflected in the current drawing.

Removes overrides from the current selection and restores their default values. This button is available only when overrides exist within the current selection.

Sets the values for a range of cells in a column.

Creates a parts list based on the current BOM.

Creates balloons based on the current BOM.

Formula Bar

Provides a space to enter and edit formulas.

The formula bar refers to the area directly below the toolbar and is visible only if you select Formula bar, in the Show/Hide drop-down menu.

Cancels edits made on the formula bar.

Saves the edits made on the formula bar.

Launches the expression builder, which assists you to create a formula.

List of BOM items

Displays a list of BOM items.

If you override the default value of a cell, by specifying a value manually, AutoCAD Mechanical highlights that cell in blue. When you move the mouse over an overridden cell, a tooltip shows the default value of the cell.

You can override the QTY component property and any other component property that uses a formula to display their values. You can override any component property of a top-level xref item. BOMs attached to Part References are also considered xref items.

You can remove overrides and restore the default value of a cell by right-clicking it and selecting Remove overrides.

Columns in list

Item type

Displays an icon to identify the item type.

No icon

- user-defined item that does not represent any geometry in the drawing area.

- Part Reference

- Block Part Reference (created using the Block option of the AMPARTREF command).

- Part Reference corresponding to an object in an xref drawing.

- Part Reference with an attached BOM.

- Mechanical Structure Part component.

- Xref Part Component

- Mechanical Structure Assembly component

- Xref Assembly component

Excludes the corresponding row from parts lists. AutoCAD Mechanical prevents you from creating balloons for such items.

Other columns

Component properties that you have set to be visible in the BOM, from the BOM Settings dialog box.

Right-click menu items

Expand

Expands the selected row, displaying all parts nested under it. This option is visible only when you right-click and the row is collapsed.

Collapse

Collapses the selected row, hiding all parts nested under it. This option is visible only when you right-click a row that has items nested under it.

BOM Attach

Attach

Attaches the BOM of another drawing to the selected Part Reference. The Part Reference is attached as an xref. Changes you make to the attached BOM in the source drawing are automatically reflected in the current drawing.

This option is available only if the row you right-clicked is a part reference and has no attachments.

Detach

Detaches a BOM that was attached previously. This option is available only if a BOM is attached to the part reference you right-clicked.

Remove override

Removes overrides from the current selection. When you remove overrides, AutoCAD Mechanical displays the original values of the current selection. This option is available only if the current selection has overrides.

Insert Item

Insert item above

Inserts a row above the current selection. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Insert item below

Inserts a row below the current selection. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Delete item

Deletes the selected row. If there are any rows nested below this row, they are deleted as well.

Merge items

Merges two or more selected rows. Only rows that have identical properties can be merged.

Rows are typically merged when the system shows the same part as two separate entries in the BOM

Split item

Splits a row that has a quantity greater than 1 into two separate rows. This operation is not applicable to mechanical structure components. When you click this button, a prompt enables you to select the part references to move to a new row.

Typically, this option is used to split rows that were merged previously.

Insert column

Left

Inserts a column to the left of the current selection.

Right

Inserts a column to the right of the current selection.

Delete

Deletes the selected column.

Set values

Sets the values for a range of cells in a column.

Settings

Displays the BOM settings dialog box, enabling you to configure component properties, among others.


Typical BOM usage workflows

Create BOMs
Create, modify, and use BOMs
The part reference workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Typical BOM usage workflows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • The part reference workflow
  • The block workflow
  • The mechanical structure workflow


Typical BOM usage workflows (Procedure)

Create BOMs
Up a level to ..
The part reference workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Typical BOM usage workflows
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a part reference

To set or modify the assembly properties of a drawing

To attach an external BOM to a Part Reference

To detach an external BOM from a Part Reference

To set an instance of a component as a reference component

To exclude a component from parts lists

To set or modify the properties of a component

To override the quantity of a component


The part reference workflow (Concept)

Typical BOM usage workflows
Typical BOM usage workflows
The block workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The part reference workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In this workflow, you can draw parts in the same drawing file as the assembly to which they belong, then use part references (AMPARTREF command) to tag geometry as parts. The BOM counts the part references and lists them in the BOM dialog box as parts. When you create balloons for the drawing, the balloon leader points to the part reference, enabling you to correlate the geometries with parts lists quickly.

Part references enable you to specify the component properties of each part. The BOM automatically picks up this information and lists the properties in the BOM dialog box.

The AMPARTREFEDIT command provides an option to display the Assembly Properties dialog box. This dialog box enables you to specify component properties for the entire drawing. Use this dialog box to specify the component properties of the assembly.

Instead of drawing all parts in the assembly drawing, you can draw some parts in their own drawing files and then xref them into the assembly drawing. In the part drawing, specify the component properties of the part in the Assembly Properties dialog box. The BOM of the assembly drawing automatically retrieves this information from the xreffed part drawing and lists them in the BOM dialog box. This workflow is referred to as the "X-attach" workflow.

Typical part drawings contain more than one view of the part. This usage inhibits the ability to insert a part drawing as an xref in an assembly drawing and limits the usefulness of the X-attach workflow. In such a case, you can copy and paste the desired view of the part into the assembly drawing. You can then place a part reference on the part geometry and attach the BOM of the part drawing to the part reference. The part reference automatically retrieves the component properties from the assembly properties of the part drawing. The BOM of the assembly drawing updates automatically. This workflow is the "BOM-attach" workflow.

In both the X-attach and BOM-attach workflows, if you change the assembly properties of the part drawing, the BOM of the assembly drawing updates. If you do not want the BOM to update automatically, you can manually specify a value for the component property in the part reference and override the xreffed value. In the BOM, Parts List, Balloon, and Part Reference dialog boxes, AutoCAD Mechanical highlights overridden values in blue. You can right-click a highlighted cell, remove the override, and restore the xreffed value.

You can use the X-attach or BOM-attach workflows to insert an assembly drawing into another assembly drawing. The inserted assembly file becomes a sub assembly of the assembly drawing it was inserted to. With this method you can build a hierarchy of assemblies and parts using the BOM.


The part reference workflow (Procedure)

Typical BOM usage workflows
Up a level to ..
The part reference workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The part reference workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a part reference

To set or modify the assembly properties of a drawing

To attach an external BOM to a Part Reference

To detach an external BOM from a Part Reference


The part reference workflow (Quick Reference)

Create BOMs
The part reference workflow
The part reference workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The part reference workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTREF

AMPARTREFEDIT

Part Reference dialog box

Assembly Properties dialog box


To create a part reference (Procedure)

The part reference workflow
Up a level to ..
The part reference workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The part reference workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a part reference

  1. Click Annotate tab [image] BOM panel [image] . At the Command prompt, enter AMPARTREF.
  2. In the drawing area, click a geometry (or a blank space in the drawing area) to place the part reference.
  3. In the Part Reference dialog box, enter to the data to store in the BOM.
  4. Click OK.


To set or modify the assembly properties of a drawing (Procedure)

The part reference workflow
Up a level to ..
The part reference workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The part reference workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set or modify the assembly properties of a drawing

  1. Click Annotate tab [image] BOM panel [image] . At the Command prompt, enter AMPARTREFEDIT.
  2. At the command prompt, enter A for the Assembly Properties option.
  3. Specify the desired component properties in the appropriate boxes.
  4. Click OK until all dialog boxes close.


To attach an external BOM to a Part Reference (Procedure)

The part reference workflow
Up a level to ..
The part reference workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The part reference workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To attach an external BOM to a Part Reference

  1. In the drawing area, double-click the Part Reference to attach an external BOM to. The Part Reference dialog box is displayed.
  2. In the External BOM section, click Attach. The Import dialog box is displayed.
  3. Open the external file that contains the BOM to attach.
    NoteIf the drawing does not contain a BOM, the Open button is disabled. If there is more than one BOM, select one from the list.
  4. Click OK.
TipUse the Detach button to remove the attached BOM database.


To detach an external BOM from a Part Reference (Procedure)

The part reference workflow
Up a level to ..
The mechanical structure workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The part reference workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To detach an external BOM from a Part Reference

  1. In the drawing area, double-click the Part Reference that is attached to an external BOM to. The Part Reference dialog box is displayed.
  2. In the External BOM section, click Detach.
  3. Click OK.


The part reference workflow (Quick Reference)

The part reference workflow
The part reference workflow
The part reference workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The part reference workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTREF

Creates a part reference and places it in the drawing area

Ribbon: Annotate tab [image] BOM panel [image] Part Reference. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] Part Reference Does not exist in the menus.
Command entry: ampartref

Use part references to mark a geometry as a part to be included in a BOM.

COMMAND LINE OPTIONS

Select point or [Block/Copy/Reference]: Select a point in the drawing to place a part reference, or select an option.

Select Point

Inserts a part reference at the point you specify. If you place the part reference on an object, the part reference attaches itself to that object.

Select point: Select a point to place the part reference.

Block

Creates a part reference for a block, connects part reference attributes to the block.

Select block reference: Select a block in the drawing to connect a part reference to.

NoteIf the block has an attribute that has the same name as a component property, the part reference automatically imports its value into the component property.

Copy

Creates a complete copy of a part reference, including its data. The new part reference becomes a new BOM item.

Select reference to make a copy: Select the part reference you want to copy.

Reference

Creates a part reference that marks an object as another instance of a part that has already been tagged with a part reference. In the BOM, the new part reference increments the quantity of the original part reference instead of adding another row.

Select reference: Select a part reference you want to add another instance of.

Select point: Select a point to place the part reference.


The part reference workflow (Quick Reference)

The part reference workflow
The part reference workflow
The part reference workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The part reference workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTREFEDIT

Edits a part reference

Ribbon: Annotate tab [image] BOM panel [image] Part Reference Edit. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] Part Reference Edit Does not exist in the menus.
Command entry: ampartrefedit

You can edit the component properties of a part or edit the assembly properties of a drawing.

COMMAND LINE OPTIONS

Select part reference or [Assembly properties]: Select a part reference or enter A to edit the Assembly Properties of the drawing. If you move the pointer on a part reference, the tooltip with the name of the part reference appears.

Select Part Reference

Displays the Part Reference dialog box, enabling you to edit BOM-related information for the part or assembly that is identified with the part reference.

Enter an option [Next/Accept] <Accept>: Press ENTER to accept the selected part reference, or enter N to select the next part reference.

Assembly Properties

DIsplays the Assembly Properties dialog box, to enable you to edit BOM-related information for the part or assembly that is contained in the drawing.


The part reference workflow (Quick Reference)

The part reference workflow
The part reference workflow
The part reference workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The part reference workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Part Reference dialog box

Use this dialog box to enter part or assembly information for the BOM.

Component Properties

Provides the ability to enter data for component properties. Only the component properties pre-configured for display in this dialog box appear.

NoteThe Name component property is set to a formula, by default. This formula enables AutoCAD Mechanical to pick up the name of objects such as blocks, automatically. However, if you specify a name manually (even when the formula does not pick up a name automatically), AutoCAD Mechanical considers it an override and highlights it in blue.

Settings

Displays the BOM Settings dialog box, where you can set what component properties are visible in this dialog box.

Management

Quantity

Provides the option to override the default quantity of 1, with any quantity, as required.

Exclude from Parts List

Excludes the component from all parts lists. The component remains in the BOM but is excluded from parts lists. You are prevented from creating balloons for this component as well.

Connect

Attaches the part reference to a block. The system prompts you to select the block to connect to. This option is applicable only to part references created using the Block option at the time you create the part reference.

Disconnect

Detaches the part reference from a block The system prompts you to select the block to disconnect from. This option is applicable only to part reference that are already attached to a block.

BOM Attach

Provides tools to xref to a BOM from another drawing.

Attach

Displays a dialog box that enables you to select the drawing file that contains the BOM to which you want to xref. This button is unavailable if a BOM is attached already.

Detach

Detaches the link to the external BOM. This button is available if an external BOM is attached.

Attached to

Displays the path to the drawing containing the BOM the part reference is attached to. You cannot edit the text in this box.


The part reference workflow (Quick Reference)

The part reference workflow
The part reference workflow
The mechanical structure workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The part reference workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Assembly Properties dialog box

Use this dialog box to specify the properties of the assembly or part drawn in the current drawing.

When a drawing contains an assembly with several parts (the dwg file is the assembly), you use assembly properties to describe the properties of the assembly. When the drawing contains a single part (the dwg file is the part), you use assembly properties to describe the properties of the part.

Component properties

Contains the component properties that you must enter data for. Only the component properties configured for display in the Part Reference dialog box are visible here.


The block workflow

The part reference workflow
Typical BOM usage workflows
The mechanical structure workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The block workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In this workflow, you create blocks to group part geometry together, then attach a part reference to each block. The BOM considers such blocks to be parts and lists them in the BOM dialog box. When you insert an instance of such a block in the drawing area, the BOM automatically increments the quantity of that part

To attach a Part Reference to a block, use the Block option of the AMPARTREF command. If the block has attributes with the same name as the component properties of the part reference, AMPARTREF automatically imports the attribute value.

If you create a nested block using “part” blocks, and attach a part reference to the nested block, the BOM considers the nested block to be an assembly. In the BOM, the “part” blocks are nested under the “assembly” to which they belong. In this manner you can build a hierarchy of assemblies, subassemblies, and parts within the drawing using the BOM.


The mechanical structure workflow (Concept)

The block workflow
Typical BOM usage workflows
Change BOM representation
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The mechanical structure workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Mechanical structure, by design, enables you to group geometries as parts and assemblies (components), independantly of the BOM. When you insert a component in the drawing area, the BOM updates automatically.

In addition to the main BOM, you can create BOMs for any assembly within the mechanical structure. The assembly BOM contains only the parts and sub assemblies contained within that assembly.

When you create a component, an entry is automatically added to the BOM. You may, however, want to do the following:

  • Exclude the component from the BOM

    In some cases, parts and assemblies are included in a drawing to provide context to a drawing. Such parts and components should not be included in the BOM. To exclude them from the BOM, you flag them as Reference Components. Reference Components are automatically excluded from the BOM.

  • Exclude the component from parts lists

    In some cases you want to keep an item in the BOM, but exclude it from parts lists only. To do this, display the properties of the component and select the relevant option to exclude it from all parts lists.

  • Override the quantity of an item

    In some cases, you do not want to draw all occurrences of a part in an assembly. In such a case, select the part and override its quantity so that the BOM shows the actual number of parts belonging to the assembly, instead of the number of parts drawn in the drawing area.

  • Set or modify component properties of a component

    At the time you create a new mechanical structure component, the BOM only captures the name of the component. You set the other component properties manually. Once the properties are specified for one instance of a component, all instances are automatically updated. Whenever you place new instances of this component in model space, the new instances automatically contain the information you entered.


The mechanical structure workflow (Procedure)

The part reference workflow
Up a level to ..
The mechanical structure workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The mechanical structure workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set an instance of a component as a reference component

To exclude a component from parts lists

To set or modify the properties of a component

To override the quantity of a component


To set an instance of a component as a reference component (Procedure)

The mechanical structure workflow
Up a level to ..
The mechanical structure workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The mechanical structure workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set an instance of a component as a reference component

  1. In the mechanical browser, right-click the instance.
  2. Click Reference. A tick mark appears next to the menu item and the icon of the component changes to indicate that it is a reference component.


To exclude a component from parts lists (Procedure)

The mechanical structure workflow
Up a level to ..
The mechanical structure workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The mechanical structure workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To exclude a component from parts lists

  1. In the mechanical browser, right-click the component to exclude.
  2. In the menu, select Properties. The Properties dialog box is displayed.
  3. In the Management section, select the Exclude from Parts Lists check box.
  4. Click OK.
NoteTo restore the excluded item, clear the check box.


To set or modify the properties of a component (Procedure)

The mechanical structure workflow
Up a level to ..
The mechanical structure workflow
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The mechanical structure workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set or modify the properties of a component

  1. In the mechanical browser, right-click the component you want to modify the properties of.
  2. In the menu, select Properties. The Properties dialog box is displayed.
  3. Enter the required data.
  4. Click OK.


To override the quantity of a component (Procedure)

The mechanical structure workflow
Up a level to ..
Change BOM representation
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The mechanical structure workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To override the quantity of a component

  1. In the mechanical browser, right-click the component for which you want to override the quantity.
  2. In the menu, select Properties. The Properties dialog box is displayed.
  3. In the Management section, in the quantity box, enter the override value.
  4. Click OK.


The mechanical structure workflow (Quick Reference)

The part reference workflow
The mechanical structure workflow
Change BOM representation
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs > Typical BOM usage workflows >
The mechanical structure workflow
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Properties dialog box

Use this dialog box to enter component information for the BOM.

Component Properties Provides the ability to enter data for component properties. Only the component properties that have been pre-configured for display in this dialog box appear.
 | Settings Displays the BOM Settings dialog box, where you can set what component properties are visible in this dialog box.
Management Provides options to control the quantities and visibility of the selected part/assembly in parts lists.
 | Quantity Provides the option to override the default quantity of 1, with any quantity, as required.
 | Exclude from Parts List Excludes the component from all parts lists. The component remains in the BOM but is excluded from parts lists. You are prevented from creating balloons for this component.
Migration Assistance Provides tools to import information from a part reference.
 | Migrate Imports data from a part reference, and deletes the part reference. This function is analogous to migrating the part reference to the selected part/assembly.
 | Import Imports data from a part reference. The part reference continues to exist in model space after import is performed.


Change BOM representation (Concept)

The mechanical structure workflow
Create, modify, and use BOMs
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Change BOM representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

There are two ways you can represent BOM data: expanded representation and structured representation.

In the expanded representation, BOM items correspond to parts. The quantity column in the BOM shows the sum of all parts of a given type, no matter which assembly they belong to. If the drawing contains an external reference (xref) assembly, the parts are summed within that assembly, but are not merged with parts in the current drawing. If the drawing is attached to an external BOM, the external BOM is treated as an assembly and parts are summed within the external BOM.

In the structured representation, BOM items correspond to assemblies. When the assembly is marked with a plus sign (+) in the first column of the BOM, you can click it to reveal the parts/subassemblies under that assembly. You can collapse the assembly again by clicking the minus sign (-) in the first column (the plus sign becomes a minus sign when you expand an assembly). In the structured representation, if you attach an external BOM through a part reference, the external BOM is considered to be an assembly.

Balloons and parts lists display data as it is shown in the BOM dialog box. When an assembly is collapsed, the parts list contains only a single entry for that assembly and balloons label the assembly using a single label. To show the parts/subassemblies of that assembly, expand the assembly. When using the structured representation, expand or collapse assemblies as appropriate to obtain the appropriate level of detail you want to show in balloons and parts lists.


Change BOM representation (Quick Reference)

The mechanical structure workflow
Change BOM representation
Change BOM representation
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Change BOM representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBOM

View Options dialog box


To change the BOM representation (Procedure)

The mechanical structure workflow
Up a level to ..
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Change BOM representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the BOM representation

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Set current. The [image] icon indicates the current BOM.
  3. In the View drop-down, select the desired representation.
  4. Click OK until all dialog boxes close.


Change BOM representation (Quick Reference)

Change BOM representation
Change BOM representation
Change BOM representation
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Change BOM representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBOM

Creates, edits, or deletes Bills of Materials (BOMs)

Ribbon: Annotate tab [image] BOM panel [image] BOM Database. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] BOM Database Does not exist in the menus.
Command entry: ambom
NoteThis command displays the BOM dialog box only if the CMDDIA system variable equals 1.

COMMAND LINE OPTIONS

Specify BOM to create or set current [Main/?] <Main>: To select or create the main BOM, enter M. To select or create a Border BOM, click the corresponding border in model space. To see a list of existing BOM databases, enter ?. To create or set the current database to one of the listed BOMs, type the name of the BOM and press ENTER.

If a BOM exists in the drawing, the following prompt appears:

BOM table [Delete/Edit] <Edit>: Press ENTER to edit the BOM or enter D to delete the BOM.


Change BOM representation (Quick Reference)

Change BOM representation
Change BOM representation
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Change BOM representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

View Options dialog box

Use this dialog box to specify how BOM items appear in the structured representation of the BOM.

Display assembly hierarchy

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly are typically 2-1, 2-2, and so on.

Separator

Specifies the character to use as the separator.


Edit BOMs (Concept)

Change BOM representation
Create, modify, and use BOMs
Export and Import BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Once you create a BOM, you can edit BOM data from the BOM dialog box. Typical editing operations include:

  • Sort a BOM

    You can sort the entire BOM or selected rows only. You can provide up to three sort criteria.

  • Change the Item number and the increment value.

    In a BOM, each item gets an item number based on the order in which the parts are created. You may want to change the item number that was automatically assigned. You can change the item number of a single item or a group of rows, or renumber the entire BOM to reflect a particular sort order.

  • Change the value of multiple cells in the same column.

    You can SHIFT-click to select a range of cells in a column and change their values simultaneously with the Set Values toolbar button.

  • Manually add or remove a BOM item.

    In some cases, you may want the BOM to contain items that are not shown in the drawing. In such cases, manually add rows to a BOM.

  • Enter or edit a formula in a cell

    The ability to edit a formula in the BOM dialog box is useful for cases when you need to round off a value for one part only. You can edit the formula directly on the formula bar, or you can invoke the expression builder and create the formula in an environment where the system assists you to build the formula.

  • Exclude a part from parts lists

    In some cases, you may need to remove a part or assembly from a Parts List temporarily. In this case, it does not make sense to remove the item from the BOM in case you will reintroduce it later. BOM items that are excluded from parts lists are removed from all parts lists, but remain in the BOM.

  • Exclude a part from BOMs

    In some cases, you may want to remove an item from the BOM itself; typically parts and assemblies that have been included in the drawing to provide context. If you use mechanical structure, you can set such parts as Reference Components and they are removed from all BOMs. If you do not use mechanical structure, you can delete the corresponding part reference. You can also use the Delete toolbar button to delete BOM items. In this case, the item is removed only from the current BOM, but continues to remain in other BOMs.

There are some editing operations that are relevant only if you are using part references. For example:

  • Merge rows

    Sometimes, parts marked with the identical part references show as two separate parts in the BOM. You can merge the rows manually. The system validates the rows being merged and prevents you from merging two different parts (part references that do not have identical data). It is also possible to split the merged rows.

  • Add parts

    Sometimes, you want to include a part reference that is located outside a drawing border, in a Border BOM, or you want to add a part reference that was deleted previously. You can manually include the part reference by clicking the [image] button on the toolbar of the BOM dialog box and picking the part reference.

There are some editing operations that you can perform on the entire BOM. For example:

  • Delete a BOM

    When you delete a BOM, all parts lists and balloons derived from it are deleted as well. Although deleted, you can recreate the BOM. The BOM picks up all the appropriate part and assembly information from the drawing and populates automatically. However, if you manually added BOM items to the BOM you deleted, it is necessary to add them again.

  • Rename a BOM

    Border BOMs are named BORDER, followed by a number. You can provide a more intuitive name to identify the BOM quickly. Even when you use mechanical structure, you can choose to rename the BOM. For example, when you rename a component or an annotation view, you can rename the BOM to match.


Edit BOMs (Procedure)

Change BOM representation
Up a level to ..
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To sort a BOM

To change the Item Number of a single BOM item

To change the Item Number of multiple BOM items

To change the value of multiple cells in the same column

To add a BOM item manually

To delete a BOM item manually

To exclude a BOM item from parts lists

To enter a formula to a cell

To set an instance of a component as a reference component

To merge rows

To split a row

To add parts to a BOM

To delete a BOM

To rename a BOM


Edit BOMs (Quick Reference)

Change BOM representation
Edit BOMs
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBOM

BOM dialog box

Sort dialog box

Set Values dialog box

Expression Builder dialog box (for formula)

Expression Builder dialog box (for pre-defined lists)


To sort a BOM (Procedure)

Edit BOMs
Up a level to ..
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To sort a BOM

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Set current. The [image] icon indicates the current BOM.
  3. To sort selected rows only, with the CTRL key pressed, click the row heading of the rows to sort.

    To sort the entire parts list, do not select any rows.

  4. Click [image] . The Sort dialog box is displayed.
  5. In the Key 1 section, select the primary sort column and order.
  6. If the sort requires secondary and tertiary sort criteria, select the columns and order from the Key 2 and Key 3 sections.
  7. Click OK.


To change the Item Number of a single BOM item (Procedure)

Edit BOMs
Up a level to ..
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the Item Number of a single BOM item

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Set current. The [image] icon indicates the current BOM.
  3. Double-click the Item cell of the BOM item to change. The cursor is displayed in the cell to edit.
  4. Type the new Item Number and press ENTER.
    NoteThe system does not validate the number for uniqueness. Maintain unique numbers manually.
  5. Click OK until all dialog boxes close.


To change the Item Number of multiple BOM items (Procedure)

Edit BOMs
Up a level to ..
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the Item Number of multiple BOM items

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Set current. The [image] icon indicates the current BOM.
  3. Click the first Item Number cell, and then SHIFT-click the last cell in the range of cells to edit.
    Note
    • You cannot select non contiguous rows.
    • To renumber the entire BOM, click the column header of the Item column.
  4. In the toolbar, click [image] . The Set Value dialog box is displayed.
  5. Verify that the Column box shows Item.
  6. To renumber the rows by specifying the starting number and an increment value:
    1. In the Start value box, enter the Item Number of the first row in the range.
    2. In the Step box, enter the increment value.
  7. To renumber the rows by adding a fixed value to the existing item number:
    1. Select the Add option.
    2. In the Value box, enter the value to add to the existing Item Number.
  8. Click OK until all dialog boxes close.


To change the value of multiple cells in the same column (Procedure)

Edit BOMs
Up a level to ..
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the value of multiple cells in the same column

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Set current. The [image] icon indicates the current BOM.
  3. Click the first cell and then SHIFT-click the last cell of the range.
    Note
    • You cannot select non-contiguous rows.
    • All cells must be from the same column.
  4. In the toolbar, click [image] . The Set Value dialog box is displayed.
  5. If the cells contain text only, enter the new value for the cells in the Value box.
  6. To set the same value for all the cells in the selected range (if the cells contain a numeric value):
    1. In the Start value box, enter the value to set for all the cells.
    2. In the Step box, enter 0 (zero).
  7. To change the cell values by specifying a starting number and an increment value (if the cells contain a numeric value):
    1. In the Start value box, enter the number of the first cell in the range.
    2. In the Step box, enter the increment value.
  8. To change the cell value by adding a fixed value to the cells in the range (if the cells contain a numeric value):
    1. Select the Add option.
    2. In the Value box, enter the fixed value by which to increase the existing values.
  9. Click OK until all dialog boxes close.


To add a BOM item manually (Procedure)

Edit BOMs
Up a level to ..
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a BOM item manually

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Set current. The [image] icon indicates the current BOM.
  3. To insert a BOM item above an existing row:
    1. Click inside the row above which to insert the BOM item.
    2. In the toolbar, click
  4. To insert a BOM item below an existing row:
    1. Click inside the row below which to insert the BOM item.
    2. In the toolbar in the BOM panel, click
  5. To insert a BOM item at the bottom:
    • In the toolbar in the BOM panel, click [image] .
  6. Click OK until all dialog boxes close.


To delete a BOM item manually (Procedure)

Edit BOMs
Up a level to ..
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete a BOM item manually

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Set current. The [image] icon indicates the current BOM.
  3. Click in the row to delete.
  4. In the toolbar in the BOM panel, click
  5. Click Yes when prompted for confirmation.
  6. Click OK until all dialog boxes close.


To exclude a BOM item from parts lists (Procedure)

Edit BOMs
Up a level to ..
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To exclude a BOM item from parts lists

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Set current. The [image] icon indicates the current BOM.
  3. In the row to exclude from Parts Lists, select the check box in the column labeled [image] .
  4. Click OK until all dialog boxes close.
NoteTo restore the excluded item, clear the check box selected in Step 3.


To enter a formula to a cell (Procedure)

Edit BOMs
Up a level to ..
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enter a formula to a cell

  1. Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Set current. The [image] icon indicates the current BOM.
  3. Place the cursor in the cell you want to create the formula for.
  4. In the Formula Bar, click [image] . The Expression Builder dialog box is displayed.
  5. In the Select value type list, select Formula.
  6. In the expression box, add references, operators, and functions as required.

    For example, to create a formula for Cost truncated to the nearest dollar (Integer value of Price × Quantity):

    1. In the Category list, select Function.
    2. In the Select list, select INT and click Add. The Expression area shows =INT().
    3. In the Expression area, place the cursor between the brackets.
    4. In the Category list, select BOM Properties.
    5. In the Select list, select QTY (quantity) and click Add. The program adds the reference <QTY> to the expression area.
    6. Type the asterisk character (*) after <QTY>.
    7. In the Select list, select PRICE and click Add. The formula =INT(<QTY>*<PRICE>) is complete.
  7. Click OK.


To set an instance of a component as a reference component (Procedure)

Edit BOMs
Up a level to ..
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set an instance of a component as a reference component

  1. In the mechanical browser, right-click the instance.
  2. Click Reference. A tick mark appears next to the menu item and the icon of the component changes to indicate that it is a reference component.


To merge rows (Procedure)

Edit BOMs
Up a level to ..
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To merge rows

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Set current. The [image] icon indicates the current BOM.
  3. With the CTRL key pressed, click the row headings of the rows to merge. The program selects the rows.
  4. On the toolbar of the BOM dialog box, click [image] . All selected rows are merged into one item.
    NoteYou can merge only rows containing the same part. You can merge parts from xref drawings only with parts from the same drawing. You cannot merge them with the same part from the host drawing or with the same part from other xref drawings.
  5. Click OK.


To split a row (Procedure)

Edit BOMs
Up a level to ..
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To split a row

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Set current. The [image] icon indicates the current BOM.
  3. Click the row heading of the row to split.
  4. In the toolbar in the BOM panel, click [image] . The dialog box hides.
  5. Select the part references to move to a different row and press ENTER.
  6. Click OK.


To add parts to a BOM (Procedure)

Edit BOMs
Up a level to ..
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add parts to a BOM

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Set current. The [image] icon indicates the current BOM.
  3. In the toolbar in the BOM panel, click [image] . The dialog box hides.
  4. In the drawing area, select the Part Reference to add to the BOM.
  5. Click OK.


To delete a BOM (Procedure)

Edit BOMs
Up a level to ..
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete a BOM

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Delete.


To rename a BOM (Procedure)

Edit BOMs
Up a level to ..
Export and Import BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To rename a BOM

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Rename.
  3. Type the new name for the BOM and press ENTER.
  4. Click OK until all dialog boxes close.


Edit BOMs (Quick Reference)

Edit BOMs
Edit BOMs
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBOM

Creates, edits, or deletes Bills of Materials (BOMs)

Ribbon: Annotate tab [image] BOM panel [image] BOM Database. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] BOM Database Does not exist in the menus.
Command entry: ambom
NoteThis command displays the BOM dialog box only if the CMDDIA system variable equals 1.

COMMAND LINE OPTIONS

Specify BOM to create or set current [Main/?] <Main>: To select or create the main BOM, enter M. To select or create a Border BOM, click the corresponding border in model space. To see a list of existing BOM databases, enter ?. To create or set the current database to one of the listed BOMs, type the name of the BOM and press ENTER.

If a BOM exists in the drawing, the following prompt appears:

BOM table [Delete/Edit] <Edit>: Press ENTER to edit the BOM or enter D to delete the BOM.


Edit BOMs (Quick Reference)

Edit BOMs
Edit BOMs
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM dialog box

Use this dialog box to manage BOMs and BOM data in the drawing file.

BOM List panel

Toolbar

Sets the selected BOM as the current BOM and displays its contents within the BOM panel.

Displays the Assembly Properties dialog box. You typically use this dialog box when the drawing file represents a part or assembly. Specify the component properties of the part or assembly in this dialog box.

Displays the Report Generator dialog box. The Report Generator enables you to customize the columns of a pre-defined set of reports and print them.

Report Generator drop-down

Report Generator

Displays the Report Generator dialog box. The Report Generator enables you to customize the columns of a pre-defined set of reports and print them.

Export

Exports the current BOM as a spreadsheet or database. Export supports several common file formats including Microsoft Excel and Microsoft Access.

Import

Imports a BOM data from a spreadsheet or database that was created using the Export option.

Deletes the BOM selected in the list of BOMs.

Prints the current BOM. It displays the Print dialog box, enabling you to specify print options.

Print drop-down

Print

Prints the current BOM. It displays the Print dialog box, enabling you to specify print options.

Mask Editor

Runs the Mask editor, a report generator that enables you to format the BOM for printing.

List of BOMs

Displays a list of BOMs that exist in the current drawing.

Columns in list

Current BOM indicator

Displays the [image] icon to indicate the current BOM.

BOM Type

Indicates the BOM type using an icon.

-

Border BOM

Mechanical Structure Assembly BOM

Main BOM

Right-click Menu Items

Set Current

Sets the selected BOM as the current BOM and displays its contents within the BOM panel.

Zoom to

Temporarily hides the BOM dialog box and zooms to the geometry associated with the BOM. If the BOM is a Border BOM, this menu option zooms to the corresponding border. If the BOM is an Assembly BOM, it zooms to the corresponding component.

Highlight

Temporarily hides the BOM dialog box and highlights to the geometry associated with the BOM. If the BOM is a Border BOM, this menu option highlights to the corresponding border. If the BOM is an Assembly BOM, it highlights all the views of the corresponding component.

Rename

Places the cursor within the name of the BOM, enabling you to rename it.

Delete

Deletes the selected BOM.

BOM Panel

Toolbar

View drop-down

Enables you to select between the expanded view and structured view. The drop-down menu is not visible if the current drafting standard is GOST.

Expanded View

Sets the view to the expanded view. In the expanded view, BOM items correspond to parts. Parts from different assemblies are summed together (excluding parts from assemblies inserted from an xref).

Structured View

Sets the view to the structured view. In the structured view, parts are collected under the assemblies they belong to and are summed only within those assemblies.

View options

Displays the View Options dialog box, which enables you to specify how to display the structured view.

Show/Hide drop-down

Formula bar

Displays an area below the toolbar (the formula bar), to enable you to enter and edit formulas. A check mark next to the menu item indicates that the formula bar is displayed.

Results bar

Displays a row at the bottom of the list of BOM items (known as the results bar) to show the totals of the properties configured to be summed. A check mark next to the menu item indicates that the results bar is displayed.

Expands/Collapses all assemblies in the BOM.

Inserts a column to the left of the current selection in the list of BOM items.

Insert column drop-down

Insert column left

Inserts a column to the left of the current selection in the list of BOM items.

Insert column right

Inserts a column to the right of the current selection in the list of BOM items.

Deletes the selected column.

Adds a part that was previously removed from the BOM.

Adds a row to the bottom of the BOM. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Inserts a row above the current selection. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Insert item drop-down

Insert item above

Inserts a row above the current selection. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Insert item below

Inserts a row below the current selection. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Deletes the selected row. If there are any rows nested below this row, they are deleted as well.

Merges two or more selected rows. Only rows that have identical properties can be merged.

You typically merge rows when the system shows the same part as two separate entries in the BOM.

Splits a row that has a quantity greater than 1 into two separate rows. This operation is not applicable to mechanical structure components. When you click this button, a prompt enables you to select the part references to move to a new row.

You typically use this option to split rows that you merged previously.

Displays the Sort dialog box, which provides various options to sort the items in the BOM.

Attaches the BOM of another drawing to the selected Part Reference. The Part Reference is attached as an xref. Changes you make to the attached BOM in the source drawing are automatically reflected in the current drawing.

Removes overrides from the current selection and restores their default values. This button is available only when overrides exist within the current selection.

Sets the values for a range of cells in a column.

Creates a parts list based on the current BOM.

Creates balloons based on the current BOM.

Formula Bar

Provides a space to enter and edit formulas.

The formula bar refers to the area directly below the toolbar and is visible only if you select Formula bar, in the Show/Hide drop-down menu.

Cancels edits made on the formula bar.

Saves the edits made on the formula bar.

Launches the expression builder, which assists you to create a formula.

List of BOM items

Displays a list of BOM items.

If you override the default value of a cell, by specifying a value manually, AutoCAD Mechanical highlights that cell in blue. When you move the mouse over an overridden cell, a tooltip shows the default value of the cell.

You can override the QTY component property and any other component property that uses a formula to display their values. You can override any component property of a top-level xref item. BOMs attached to Part References are also considered xref items.

You can remove overrides and restore the default value of a cell by right-clicking it and selecting Remove overrides.

Columns in list

Item type

Displays an icon to identify the item type.

No icon

- user-defined item that does not represent any geometry in the drawing area.

- Part Reference

- Block Part Reference (created using the Block option of the AMPARTREF command).

- Part Reference corresponding to an object in an xref drawing.

- Part Reference with an attached BOM.

- Mechanical Structure Part component.

- Xref Part Component

- Mechanical Structure Assembly component

- Xref Assembly component

Excludes the corresponding row from parts lists. AutoCAD Mechanical prevents you from creating balloons for such items.

Other columns

Component properties that you have set to be visible in the BOM, from the BOM Settings dialog box.

Right-click menu items

Expand

Expands the selected row, displaying all parts nested under it. This option is visible only when you right-click and the row is collapsed.

Collapse

Collapses the selected row, hiding all parts nested under it. This option is visible only when you right-click a row that has items nested under it.

BOM Attach

Attach

Attaches the BOM of another drawing to the selected Part Reference. The Part Reference is attached as an xref. Changes you make to the attached BOM in the source drawing are automatically reflected in the current drawing.

This option is available only if the row you right-clicked is a part reference and has no attachments.

Detach

Detaches a BOM that was attached previously. This option is available only if a BOM is attached to the part reference you right-clicked.

Remove override

Removes overrides from the current selection. When you remove overrides, AutoCAD Mechanical displays the original values of the current selection. This option is available only if the current selection has overrides.

Insert Item

Insert item above

Inserts a row above the current selection. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Insert item below

Inserts a row below the current selection. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Delete item

Deletes the selected row. If there are any rows nested below this row, they are deleted as well.

Merge items

Merges two or more selected rows. Only rows that have identical properties can be merged.

Rows are typically merged when the system shows the same part as two separate entries in the BOM

Split item

Splits a row that has a quantity greater than 1 into two separate rows. This operation is not applicable to mechanical structure components. When you click this button, a prompt enables you to select the part references to move to a new row.

Typically, this option is used to split rows that were merged previously.

Insert column

Left

Inserts a column to the left of the current selection.

Right

Inserts a column to the right of the current selection.

Delete

Deletes the selected column.

Set values

Sets the values for a range of cells in a column.

Settings

Displays the BOM settings dialog box, enabling you to configure component properties, among others.


Edit BOMs (Quick Reference)

Edit BOMs
Edit BOMs
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sort dialog box

Use this dialog box to sort BOM items.

Key 1, Key 2, Key 3 Specifies the columns used as sort keys. Key 1 refers to the primary sort column, key 2 for the secondary and key 3 for the tertiary.
 | Ascending Arranges items in the sequence of the lowest value to the highest.
 | Descending Arranges items in the sequence of the highest value to the lowest.


Edit BOMs (Quick Reference)

Edit BOMs
Edit BOMs
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Set Values dialog box

Use this dialog box to set values for a range of cells within a column.

Column Specifies the column to set values for.
Increment Sets options to fill the range by writing a start value to the first cell and then writing increments to subsequent cells. This option is available only if the data type for the column is numeric.
 | Start value Specifies the value to write in the first cell in the range.
 | Step Specifies the increment.
Add Sets options to fill the range by adding a fixed value to a cell’s existing value. This option is available only if the data type for the column is numeric.
 | Value Specifies the value to add.
Value Specifies the value to set. This box is available only if the data type is text.


Edit BOMs (Quick Reference)

Edit BOMs
Edit BOMs
Edit BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Expression Builder dialog box (for formula)

Use this dialog box to build a formula or a predefined list for a component property.

Select a value type Sets environment for defining a formula or a pre-defined list. If you select Formula, the dialog box changes to provide options for creating a formula. If you select Predefined list, the dialog box changes to provide options for creating a predefined list.
Formula Contains options to define a formula. This section is visible only if the Select value type is set to Formula.
 | Category Displays different categories of references or functions that you can use in the formula.
 |  | Select Displays a list of references that belong to the selected category or a list of functions, as the case may be.
 | Add Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of the existing expression.
 | Expression Defines the formula to be used.
See Also
    • About formulas


Edit BOMs (Quick Reference)

Edit BOMs
Edit BOMs
Export and Import BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Edit BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Expression Builder dialog box (for pre-defined lists)

Use this dialog box to build a formula or a predefined list for a component property.

Select a value type

Sets environment for defining a formula or a pre-defined list. If you select Formula, the dialog box changes to provide options for creating a formula. If you select Predefined list, the dialog box changes to provide options for creating a predefined list.

Predefined List

Contains a list that lets you add entries to. The contents of this list are displayed as a drop-down list in all dialog boxes that let you enter BOM data.

The entry marked [image] is the default value for the component property. Specifying the default is optional. The Value column contains valid values for that component property. The Description is for additional information you may wish to provide about the value.

New

Displays the last row of the Predefined list, to enable you to add a new row and thereby add a new entry to the list.

Delete

Deletes the selected row. This button is available only if entire rows are selected.

Move Up

Moves the selected row(s), one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row(s), one position down. This button is available only if entire rows are selected.

Set Default

Sets the selected row as the default value for the list. This button is visible only if the currently selected row is not set as the default. This button is available only if the entire row is selected.

Remove Default

Resets the default selection. This button is visible only if the currently selected row is the default value for the list. This button is available only if entire rows are selected.


Export and Import BOMs (Concept)

Edit BOMs
Create, modify, and use BOMs
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Export and Import BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can export BOMs to other file formats, edit or add data to the exported file, and import it back again. For example, you can export a BOM to an .xls file, edit it in Microsoft Excel, and import it back again. The following export/import formats are supported:

  • .xls - Microsoft Excel 95 and 97.
  • .dbf - dBASE III, IV and 5.
    NoteBOMs having column names (Component Property names) longer than ten characters cannot be exported to .dbf files.
  • .mdb - Microsoft Access 97 and 2000.
    NoteTo import Access 2000 files to a BOM, and you do not have Access 2000 installed, run mdac_typ.exe from the support/DAO directory on the installation CD-ROM/DVD.
  • .txt - tab-separated value file
  • .csv - comma-separated value file
  • .html - Web page

BOMKEY values are used to identify items uniquely in the exported file. If you do not modify BOMKEY values, existing items update correctly when you import it back again. Any new rows are appended to the BOM, but are not associated with any geometry in the drawing.


Export and Import BOMs (Procedure)

Edit BOMs
Up a level to ..
Export and Import BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Export and Import BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To export a BOM

To import a previously exported BOM


To export a BOM (Procedure)

Export and Import BOMs
Up a level to ..
Export and Import BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Export and Import BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To export a BOM

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Set current. The [image] icon indicates the current BOM.
  3. In the toolbar, click the [image] . drop-down menu and select Export. The Export dialog box is displayed.
  4. In the Save as type list, select the file format to export to.
  5. In the Save in list, select the folder to export to.
  6. In the File name box, enter a name for the export file.
  7. Click Save.


To import a previously exported BOM (Procedure)

Export and Import BOMs
Up a level to ..
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Export and Import BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import a previously exported BOM

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Set current. The [image] icon indicates the current BOM.
  3. In the toolbar, click the [image] . drop-down menu and select Import. The Import dialog box is displayed.
  4. In the Files of type list, select the file format to import from.
  5. In the Look in list, select the folder that contains the file to import.
  6. In the Files list, select the file to import.
  7. Click Open.


Export and Import BOMs (Quick Reference)

Edit BOMs
Export and Import BOMs
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Export and Import BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBOM

Creates, edits, or deletes Bills of Materials (BOMs)

Ribbon: Annotate tab [image] BOM panel [image] BOM Database. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] BOM Database Does not exist in the menus.
Command entry: ambom
NoteThis command displays the BOM dialog box only if the CMDDIA system variable equals 1.

COMMAND LINE OPTIONS

Specify BOM to create or set current [Main/?] <Main>: To select or create the main BOM, enter M. To select or create a Border BOM, click the corresponding border in model space. To see a list of existing BOM databases, enter ?. To create or set the current database to one of the listed BOMs, type the name of the BOM and press ENTER.

If a BOM exists in the drawing, the following prompt appears:

BOM table [Delete/Edit] <Edit>: Press ENTER to edit the BOM or enter D to delete the BOM.


Generate Reports from BOMs (Concept)

Export and Import BOMs
Create, modify, and use BOMs
Capture data for the BOM with part references
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

From the BOM, AutoCAD Mechanical can produce four reports, which you can display in Microsoft Excel. You can use the Report Generator option in the BOM dialog box to customize the reports.

The reports are:

  • BOM List

    Lists all the items in the BOM, similar to how items are defined in the structured view of the BOM. If there are multiple occurrences of a part within the same assembly, their quantities are summed and shown in a single row. (The quantities of identical items that have the same parent item are summed). Conversely, the same part occurring in two different assemblies are shown as two separate items. (The quantities of identical parts that do not have the same parent item are not summed).

  • Detail List

    Lists all parts and assemblies (part references) that have external BOMs attached to them. The quantity column is not displayed by default. However, should you choose to display the quantity, it will show the total quantity of the part in the drawing.

  • Summary List

    Lists all items in the BOM, grouped by Item type. If there are multiple occurrences of a part within the same assembly, their quantities are summed and shown in a single row. (The quantities of identical items that have the same parent item are summed). Conversely, the same part occurring in two different assemblies are shown as two separate items. (The quantities of identical parts that do not have the same parent item are not summed).

  • BOM+Summary List

    A combination of the BOM List and the Summary. It lists all the items in the BOM as shown in the structured view of the BOM, but grouped by item type. It shows the quantity of each part within an assembly as well as the total quantity of that part for that drawing.

AutoCAD Mechanical uses Microsoft Excel to generate reports. If you do not have Microsoft Excel on your computer you cannot use the report feature. The report generator uses set of .xls files as report templates. You can use Microsoft Excel to modify these templates and do the following:

  • Replace the Autodesk logo with your company logo.
  • Change heading and body font sizes
  • Change column widths and row heights

In addition to the above reports, you can use mask files to format print outs of BOMs and Parts Lists. When you select the Print option in the BOM dialog box, AutoCAD Mechanical displays the Print dialog box. In this dialog box, you can select a mask file to use to format the printout. Mask files describe the presentation of BOMs and Parts Lists, specifying the appearance of text and other elements. Use the Mask Editor to create and edit mask files. See Format parts lists for printing for more information about the Mask Editor.


Generate Reports from BOMs (Procedure)

Export and Import BOMs
Up a level to ..
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To display a report

To specify what columns to display in a report

To sort the data in a report

To filter the data in a report

To specify how many data rows to display in a page

To print a BOM


Generate Reports from BOMs (Quick Reference)

Export and Import BOMs
Generate Reports from BOMs
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBOM

BOM dialog box

Report Generator dialog box

Component Property Mapping dialog box

Special properties specific to reports

Sorting and Filtering Settings dialog box

Page Setup dialog box

Print Setup dialog box

Location of xls template files


To display a report (Procedure)

Generate Reports from BOMs
Up a level to ..
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To display a report

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the toolbar of the BOM List panel, click. The Report Generator dialog box is displayed.
  3. In the Report Type list, select the report to display.
  4. Click Preview. The report is displayed in Microsoft Excel.


To specify what columns to display in a report (Procedure)

Generate Reports from BOMs
Up a level to ..
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To specify what columns to display in a report

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the toolbar of the BOM List panel, click. The Report Generator dialog box is displayed.
  3. Click [image] . The dialog box expands.
  4. Click Mapping. The Component Property Mapping dialog box is displayed.
  5. In the drop-down list beside each column, select the property to display.
  6. Click OK until all dialog boxes close.


To sort the data in a report (Procedure)

Generate Reports from BOMs
Up a level to ..
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To sort the data in a report

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the toolbar of the BOM List panel, click. The Report Generator dialog box is displayed.
  3. Click [image] . The dialog box expands.
  4. Click Settings. The Sorting and Filtering Settings dialog box is displayed.
  5. In the Sort section, click [image] . A row is added to the sort criteria table.
  6. In the added row, in the Sort on column, from the drop-down list, select the column to sort on.
  7. In the Order column, from the drop-down list, select the sort order.
  8. To add another sort criteria, repeat steps 5 through 7.
  9. Use the [image] and [image] buttons to position the sort criteria as appropriate.
  10. Click OK until all dialog boxes close.
NoteIn reports where the data is displayed in groups, each group is sorted independently of each other.


To filter the data in a report (Procedure)

Generate Reports from BOMs
Up a level to ..
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To filter the data in a report

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the toolbar of the BOM List panel, click. The Report Generator dialog box is displayed.
  3. Click [image] . The dialog box expands.
  4. Click Settings. The Sorting and Filtering Settings dialog box is displayed.
  5. In the Filter section, click [image] . A row is added to the filter criteria table.
  6. In the added row, in the Filter column, select whether to filter on the item type or on a component property.
  7. In the Criteria column, select the item type or component property.
  8. In the Condition column, select the comparison operation for the filter.
  9. If the Value column is available, select the value that will trigger the filter.
  10. To combine this filter with another condition, repeat steps 5 through 9.
  11. Click OK until all dialog boxes close.


To specify how many data rows to display in a page (Procedure)

Generate Reports from BOMs
Up a level to ..
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To specify how many data rows to display in a page

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the toolbar of the BOM List panel, click. The Report Generator dialog box is displayed.
  3. Click [image] . The dialog box expands.
  4. Click Page Setup. The Page Setup dialog box is displayed.
  5. To specify the number of data rows to display in the first page, in the First page section:
    1. In the Starting Row box, specify the row in which the first data item must appear.
    2. In the Maximum number of items box, specify the number of data rows to display.
  6. To specify the number of data rows to display in all other pages, in the Subsequent pages section:
    1. In the Starting Row box, specify the row in which the first data item must appear.
    2. In the Maximum number of items box, specify the number of data rows to display.
  7. Click OK until all dialog boxes close.


To print a BOM (Procedure)

Generate Reports from BOMs
Up a level to ..
Capture data for the BOM with part references
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To print a BOM

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Set current. The [image] icon indicates the current BOM.
  3. In the toolbar in the BOM List panel, click [image] . The Print dialog box is displayed.
  4. Select the printer from the Name list.
  5. Click Properties and select the paper size.
  6. Click OK to return to the Print dialog box.
    NoteThe procedure for selecting paper size varies from printer to printer.
  7. To use a mask file:
    1. Select the Use Mask File check box.
    2. Click
    Select the MSK file to use.
  8. Click Print.


Generate Reports from BOMs (Quick Reference)

Generate Reports from BOMs
Generate Reports from BOMs
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBOM

Creates, edits, or deletes Bills of Materials (BOMs)

Ribbon: Annotate tab [image] BOM panel [image] BOM Database. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] BOM Database Does not exist in the menus.
Command entry: ambom
NoteThis command displays the BOM dialog box only if the CMDDIA system variable equals 1.

COMMAND LINE OPTIONS

Specify BOM to create or set current [Main/?] <Main>: To select or create the main BOM, enter M. To select or create a Border BOM, click the corresponding border in model space. To see a list of existing BOM databases, enter ?. To create or set the current database to one of the listed BOMs, type the name of the BOM and press ENTER.

If a BOM exists in the drawing, the following prompt appears:

BOM table [Delete/Edit] <Edit>: Press ENTER to edit the BOM or enter D to delete the BOM.


Generate Reports from BOMs (Quick Reference)

Generate Reports from BOMs
Generate Reports from BOMs
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM dialog box

Use this dialog box to manage BOMs and BOM data in the drawing file.

BOM List panel

Toolbar

Sets the selected BOM as the current BOM and displays its contents within the BOM panel.

Displays the Assembly Properties dialog box. You typically use this dialog box when the drawing file represents a part or assembly. Specify the component properties of the part or assembly in this dialog box.

Displays the Report Generator dialog box. The Report Generator enables you to customize the columns of a pre-defined set of reports and print them.

Report Generator drop-down

Report Generator

Displays the Report Generator dialog box. The Report Generator enables you to customize the columns of a pre-defined set of reports and print them.

Export

Exports the current BOM as a spreadsheet or database. Export supports several common file formats including Microsoft Excel and Microsoft Access.

Import

Imports a BOM data from a spreadsheet or database that was created using the Export option.

Deletes the BOM selected in the list of BOMs.

Prints the current BOM. It displays the Print dialog box, enabling you to specify print options.

Print drop-down

Print

Prints the current BOM. It displays the Print dialog box, enabling you to specify print options.

Mask Editor

Runs the Mask editor, a report generator that enables you to format the BOM for printing.

List of BOMs

Displays a list of BOMs that exist in the current drawing.

Columns in list

Current BOM indicator

Displays the [image] icon to indicate the current BOM.

BOM Type

Indicates the BOM type using an icon.

-

Border BOM

Mechanical Structure Assembly BOM

Main BOM

Right-click Menu Items

Set Current

Sets the selected BOM as the current BOM and displays its contents within the BOM panel.

Zoom to

Temporarily hides the BOM dialog box and zooms to the geometry associated with the BOM. If the BOM is a Border BOM, this menu option zooms to the corresponding border. If the BOM is an Assembly BOM, it zooms to the corresponding component.

Highlight

Temporarily hides the BOM dialog box and highlights to the geometry associated with the BOM. If the BOM is a Border BOM, this menu option highlights to the corresponding border. If the BOM is an Assembly BOM, it highlights all the views of the corresponding component.

Rename

Places the cursor within the name of the BOM, enabling you to rename it.

Delete

Deletes the selected BOM.

BOM Panel

Toolbar

View drop-down

Enables you to select between the expanded view and structured view. The drop-down menu is not visible if the current drafting standard is GOST.

Expanded View

Sets the view to the expanded view. In the expanded view, BOM items correspond to parts. Parts from different assemblies are summed together (excluding parts from assemblies inserted from an xref).

Structured View

Sets the view to the structured view. In the structured view, parts are collected under the assemblies they belong to and are summed only within those assemblies.

View options

Displays the View Options dialog box, which enables you to specify how to display the structured view.

Show/Hide drop-down

Formula bar

Displays an area below the toolbar (the formula bar), to enable you to enter and edit formulas. A check mark next to the menu item indicates that the formula bar is displayed.

Results bar

Displays a row at the bottom of the list of BOM items (known as the results bar) to show the totals of the properties configured to be summed. A check mark next to the menu item indicates that the results bar is displayed.

Expands/Collapses all assemblies in the BOM.

Inserts a column to the left of the current selection in the list of BOM items.

Insert column drop-down

Insert column left

Inserts a column to the left of the current selection in the list of BOM items.

Insert column right

Inserts a column to the right of the current selection in the list of BOM items.

Deletes the selected column.

Adds a part that was previously removed from the BOM.

Adds a row to the bottom of the BOM. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Inserts a row above the current selection. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Insert item drop-down

Insert item above

Inserts a row above the current selection. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Insert item below

Inserts a row below the current selection. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Deletes the selected row. If there are any rows nested below this row, they are deleted as well.

Merges two or more selected rows. Only rows that have identical properties can be merged.

You typically merge rows when the system shows the same part as two separate entries in the BOM.

Splits a row that has a quantity greater than 1 into two separate rows. This operation is not applicable to mechanical structure components. When you click this button, a prompt enables you to select the part references to move to a new row.

You typically use this option to split rows that you merged previously.

Displays the Sort dialog box, which provides various options to sort the items in the BOM.

Attaches the BOM of another drawing to the selected Part Reference. The Part Reference is attached as an xref. Changes you make to the attached BOM in the source drawing are automatically reflected in the current drawing.

Removes overrides from the current selection and restores their default values. This button is available only when overrides exist within the current selection.

Sets the values for a range of cells in a column.

Creates a parts list based on the current BOM.

Creates balloons based on the current BOM.

Formula Bar

Provides a space to enter and edit formulas.

The formula bar refers to the area directly below the toolbar and is visible only if you select Formula bar, in the Show/Hide drop-down menu.

Cancels edits made on the formula bar.

Saves the edits made on the formula bar.

Launches the expression builder, which assists you to create a formula.

List of BOM items

Displays a list of BOM items.

If you override the default value of a cell, by specifying a value manually, AutoCAD Mechanical highlights that cell in blue. When you move the mouse over an overridden cell, a tooltip shows the default value of the cell.

You can override the QTY component property and any other component property that uses a formula to display their values. You can override any component property of a top-level xref item. BOMs attached to Part References are also considered xref items.

You can remove overrides and restore the default value of a cell by right-clicking it and selecting Remove overrides.

Columns in list

Item type

Displays an icon to identify the item type.

No icon

- user-defined item that does not represent any geometry in the drawing area.

- Part Reference

- Block Part Reference (created using the Block option of the AMPARTREF command).

- Part Reference corresponding to an object in an xref drawing.

- Part Reference with an attached BOM.

- Mechanical Structure Part component.

- Xref Part Component

- Mechanical Structure Assembly component

- Xref Assembly component

Excludes the corresponding row from parts lists. AutoCAD Mechanical prevents you from creating balloons for such items.

Other columns

Component properties that you have set to be visible in the BOM, from the BOM Settings dialog box.

Right-click menu items

Expand

Expands the selected row, displaying all parts nested under it. This option is visible only when you right-click and the row is collapsed.

Collapse

Collapses the selected row, hiding all parts nested under it. This option is visible only when you right-click a row that has items nested under it.

BOM Attach

Attach

Attaches the BOM of another drawing to the selected Part Reference. The Part Reference is attached as an xref. Changes you make to the attached BOM in the source drawing are automatically reflected in the current drawing.

This option is available only if the row you right-clicked is a part reference and has no attachments.

Detach

Detaches a BOM that was attached previously. This option is available only if a BOM is attached to the part reference you right-clicked.

Remove override

Removes overrides from the current selection. When you remove overrides, AutoCAD Mechanical displays the original values of the current selection. This option is available only if the current selection has overrides.

Insert Item

Insert item above

Inserts a row above the current selection. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Insert item below

Inserts a row below the current selection. Rows inserted in this manner are user-defined items and do not represent any geometry in the drawing area.

Delete item

Deletes the selected row. If there are any rows nested below this row, they are deleted as well.

Merge items

Merges two or more selected rows. Only rows that have identical properties can be merged.

Rows are typically merged when the system shows the same part as two separate entries in the BOM

Split item

Splits a row that has a quantity greater than 1 into two separate rows. This operation is not applicable to mechanical structure components. When you click this button, a prompt enables you to select the part references to move to a new row.

Typically, this option is used to split rows that were merged previously.

Insert column

Left

Inserts a column to the left of the current selection.

Right

Inserts a column to the right of the current selection.

Delete

Deletes the selected column.

Set values

Sets the values for a range of cells in a column.

Settings

Displays the BOM settings dialog box, enabling you to configure component properties, among others.


Generate Reports from BOMs (Quick Reference)

Generate Reports from BOMs
Generate Reports from BOMs
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Report Generator dialog box

Use this dialog box to select the report to display. You can also display the dialog boxes enabling you to customize the report.

Report Type Selects the report to display.
Description Displays a short description of the report to display.
Preview Displays the report in Microsoft Excel.
Save Report Saves the report as a Microsoft Excel worksheet.
Expand/Collapse button Expands/Collapse the dialog box to display the advanced configuration options.
 | Mapping Displays a dialog box enabling you to specify the component properties to display in each column of the Excel worksheet.
 | Settings Displays a dialog box enabling you to specify the sorting and filtering settings of the report.
 | Page Setup Displays a dialog box enabling you to specify the pagination settings and margins of the report.


Generate Reports from BOMs (Quick Reference)

Generate Reports from BOMs
Generate Reports from BOMs
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Component Property Mapping dialog box

Use this dialog box to specify the component property to display in each column of the report.

Column

Displays a list of columns used in the report. Because the report is displayed as a Microsoft Excel worksheet, the column names follow the Microsoft Excel column naming convention.

Component Property

Display the name of the component property to display in each column. Each cell contains a drop-down list that shows a list of component properties you can select from.

In addition to the component properties defined in the BOM Settings dialog box, the list contains special properties specific to reports. The names of these properties are displayed in upper case.

If you do not select a component property for a Column, Microsoft Excel displays the column as a blank column.

Unnamed Column

Displays the component property mapping for special properties. Now only the 'PARENT ITEM' special property requires a component property mapping.

Restore Defaults

Resets the component property mappings to their default settings.


Generate Reports from BOMs (Quick Reference)

Generate Reports from BOMs
Generate Reports from BOMs
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Special properties specific to reports

PARENT ITEM

The name of the assembly under which the item is directly nested.

ROW NUMBER

Represents the row number of the report.

ITEM TYPE

Specifies if the item is a part, assembly or standard part.


Generate Reports from BOMs (Quick Reference)

Generate Reports from BOMs
Generate Reports from BOMs
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sorting and Filtering Settings dialog box

Use this dialog box to specify the sort and filter criteria for the report.

Sort
 | Adds an empty row to the bottom of the sort criteria table.
 | Removes the selected row from the sort criteria table.
 | Moves the selected row one level up, rendering it more significant.
 | Moves the selected row one level down, rendering it less significant.
 | Sort Criteria Table
 |  | Sort on Specifies the column to sort on. A drop-down list displays the columns you can sort on.
 |  | Order Specifies the sort order.
Filter
 | Adds an empty row to the bottom of the filter criteria table.
 | Removes the selected row from the filter criteria table.
 | Filter Criteria Table
 |  | Filter Specifies what to filter by. You can choose to filter by item type or by component property.
 |  | Criteria Specifies the component property or item type to filter on.
 |  | Condition Specifies the comparison operation for the filter.
 |  | Value Specifies the value to compare the component property with.
Restore Defaults Resets the sort and filter criteria to their default settings.


Generate Reports from BOMs (Quick Reference)

Generate Reports from BOMs
Generate Reports from BOMs
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Page Setup dialog box

Use this dialog box to specify pagination requirements for the report.

First Page Specifies the requirements of the first page.
 | Starting row The row at which the data starts in the first page.
 | Maximum number of items The number of data rows to display before inserting a page break.
Subsequent Pages Specifies the requirements for all other pages.
 | Starting row The row at which the data starts in all pages other than the first page.
 | Maximum number of items The number of data rows to display before inserting a page break.
Grouping Options Specifies the requirements to add white space between groups of data rows.
 | Add empty rows between item type groups Inserts an empty row between groups.
 | Number of rows to add Specifies the number of empty rows to insert between groups.
Restore Defaults Restores all settings to their default values.


Generate Reports from BOMs (Quick Reference)

Generate Reports from BOMs
Generate Reports from BOMs
Generate Reports from BOMs
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Print Setup dialog box

Use this dialog box to specify how you want the BOM printed.

Margins
 | Left Specifies the distance between the left edge of the paper and the data.
 | Right Specifies the distance between the right edge of the paper and the data.
 | Top Specifies the distance between the top edge of the paper and the data.
 | Bottom Specifies the distance between the bottom edge of the paper and the data.
 | Center horizontally Centers the data between the left and right margins of the page.
Print
 | Caption Prints a title on the first row.
 | On every page Prints the title on all pages. If you do not select this option, the title is printed only on the first page.
 | Heading Prints the component property name as column headings.
 | Bottom Places the column heading at the bottommost row.
Fonts tab
 | Title Font Specifies the font to use for the title/caption.
 | Header Font Specifies the font to use for the column header.
 | Body Font Specifies the font to use for the data rows.
Line type tab
 | Border Specifies the line type to use for the outermost border.
 | Title delimiter Specifies the line type to use for the separator between the title/caption and the rest of the data.
 | Horizontal line Specifies the line type to use as the row separator for data rows.
 | Header delimiter Specifies the line type to use for the separator between the column headings and data rows.
 | Vertical line Specifies the line type to use as the column separator.
Caption text Specifies the text to use as the title.
Default Restores the default settings of this dialog box.


Generate Reports from BOMs (Quick Reference)

Generate Reports from BOMs
Generate Reports from BOMs
Create part references
Add BOMs, balloons, and parts lists > Create, modify, and use BOMs >
Generate Reports from BOMs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Location of xls template files

AutoCAD Mechanical uses xls files as templates to generate some reports. The table shows the name of the report and the corresponding xls template file.

Template File Name | Report used for | Comments
AMSETUPDWGReportTemplate.xls | Report Generated from AMSETUPDWG Wizard, Preview changes step. | The xls file has no user editable parameters.
bom_list.xls | BOM List |
bom+summary_list.xls | BOM+Summary List |
detail_list.xls | Detail List |
PartListTemplate.xls | Template for GOST Parts Lists | The xls file has no user editable parameters.
summary_list.xls | Summary List Report |

The path to the folder containing parts list files is in the system editor key Acad/M [image] Paths [image] XlsPath (Configuration file settings gef@Paths@Xls).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Xls

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Xls


Capture data for the BOM with part references

Generate Reports from BOMs
Add BOMs, balloons, and parts lists
Create part references
Add BOMs, balloons, and parts lists >
Capture data for the BOM with part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Create part references
  • Edit part references
  • Edit assembly properties


Capture data for the BOM with part references (Procedure)

Generate Reports from BOMs
Capture data for the BOM with part references
Create part references
Add BOMs, balloons, and parts lists >
Capture data for the BOM with part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a part reference

To create a part reference for a block

To create a part reference as a copy of an existing one

To create a part reference as a reference of an existing one

To exclude a part reference from parts lists

To override the quantity of a parts reference

To modify the component properties of a part reference

To delete a block part reference

To set or modify the assembly properties of a drawing


Create part references (Concept)

Capture data for the BOM with part references
Capture data for the BOM with part references
Edit part references
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Create part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Part References enable you to tag geometry and blocks as parts and assemblies, when mechanical structure is not enabled. (Mechanical structure components automatically update the BOM. See The mechanical structure workflow for details)

If you place part reference on a geometry, the part reference attaches itself to the geometry. Attached part references move with the geometry, when you move the geometry. You can also place part references in the drawing area without attaching them to any geometry.

Attached part references have a solid circle at its center. This enables you to tell the difference between an attached part reference and an unattached part reference by simply looking at it.

Part reference can be associated with a block at the time you place a part reference. All instances of that block are then counted towards the BOM. Nested blocks containing part references are treated as assemblies. When the drawing is ballooned, the balloon leaders correctly point to the blocks associated with part references and identify them as parts or assemblies.

At the time you create the part references, enter the data required for the BOM. If the data in a part reference you are creating differs slightly from an existing one, you can create it as a copy of the existing part reference and change only the information that differs.

If you have the same part in more than one place in a drawing, and it is not drawn as a block, you can do the following.

Place a part reference on one of the occurrences of the part geometry. Thereafter, you create part references for the others as references to the first part reference. The component properties of the part references then become associative. If you change the value of a property in one part reference, the others automatically reflect the change.

TipCopying a part reference using the AutoCAD COPY command is faster way to create part references as references.


Create part references (Procedure)

Capture data for the BOM with part references
Up a level to ..
Create part references
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Create part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a part reference

To create a part reference for a block

To create a part reference as a copy of an existing one

To create a part reference as a reference of an existing one


Create part references (Quick Reference)

Generate Reports from BOMs
Create part references
Create part references
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Create part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTREF

Part Reference dialog box


To create a part reference (Procedure)

Create part references
Up a level to ..
Create part references
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Create part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a part reference

  1. Click Annotate tab [image] BOM panel [image] . At the Command prompt, enter AMPARTREF.
  2. In the drawing area, click a geometry (or a blank space in the drawing area) to place the part reference.
  3. In the Part Reference dialog box, enter to the data to store in the BOM.
  4. Click OK.


To create a part reference for a block (Procedure)

Create part references
Up a level to ..
Create part references
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Create part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a part reference for a block

  1. Click Annotate tab [image] BOM panel [image] . At the Command prompt, enter AMPARTREF.
  2. At the Command prompt, enter B to select the Block option.
  3. In the drawing area, select the block to create the part reference for.
  4. In the Part Reference dialog box, enter the data to store in the BOM.
  5. Click OK.


To create a part reference as a copy of an existing one (Procedure)

Create part references
Up a level to ..
Create part references
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Create part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a part reference as a copy of an existing one

  1. Click Annotate tab [image] BOM panel [image] . At the Command prompt, enter AMPARTREF.
  2. At the Command prompt, enter C to select the Copy option.
  3. In the drawing area, click the part reference from which to copy.
  4. In the drawing area, click a geometry (or even a blank space in the drawing area) to place the new part reference.
  5. In the Part Reference dialog box, change anything.
  6. Click OK.


To create a part reference as a reference of an existing one (Procedure)

Create part references
Up a level to ..
Edit part references
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Create part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a part reference as a reference of an existing one

  1. Click Annotate tab [image] BOM panel [image] . At the Command prompt, enter AMPARTREF.
  2. At the Command prompt, enter R to select the Reference option.
  3. In the drawing area, click the part reference to refer to.
  4. At the Command prompt, enter A to confirm that you have selected the correct part reference.
  5. In the Part Reference dialog box, change anything.
  6. Click OK.


Create part references (Quick Reference)

Create part references
Create part references
Create part references
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Create part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTREF

Creates a part reference and places it in the drawing area

Ribbon: Annotate tab [image] BOM panel [image] Part Reference. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] Part Reference Does not exist in the menus.
Command entry: ampartref

Use part references to mark a geometry as a part to be included in a BOM.

COMMAND LINE OPTIONS

Select point or [Block/Copy/Reference]: Select a point in the drawing to place a part reference, or select an option.

Select Point

Inserts a part reference at the point you specify. If you place the part reference on an object, the part reference attaches itself to that object.

Select point: Select a point to place the part reference.

Block

Creates a part reference for a block, connects part reference attributes to the block.

Select block reference: Select a block in the drawing to connect a part reference to.

NoteIf the block has an attribute that has the same name as a component property, the part reference automatically imports its value into the component property.

Copy

Creates a complete copy of a part reference, including its data. The new part reference becomes a new BOM item.

Select reference to make a copy: Select the part reference you want to copy.

Reference

Creates a part reference that marks an object as another instance of a part that has already been tagged with a part reference. In the BOM, the new part reference increments the quantity of the original part reference instead of adding another row.

Select reference: Select a part reference you want to add another instance of.

Select point: Select a point to place the part reference.


Create part references (Quick Reference)

Create part references
Create part references
Edit part references
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Create part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Part Reference dialog box

Use this dialog box to enter part or assembly information for the BOM.

Component Properties

Provides the ability to enter data for component properties. Only the component properties pre-configured for display in this dialog box appear.

NoteThe Name component property is set to a formula, by default. This formula enables AutoCAD Mechanical to pick up the name of objects such as blocks, automatically. However, if you specify a name manually (even when the formula does not pick up a name automatically), AutoCAD Mechanical considers it an override and highlights it in blue.

Settings

Displays the BOM Settings dialog box, where you can set what component properties are visible in this dialog box.

Management

Quantity

Provides the option to override the default quantity of 1, with any quantity, as required.

Exclude from Parts List

Excludes the component from all parts lists. The component remains in the BOM but is excluded from parts lists. You are prevented from creating balloons for this component as well.

Connect

Attaches the part reference to a block. The system prompts you to select the block to connect to. This option is applicable only to part references created using the Block option at the time you create the part reference.

Disconnect

Detaches the part reference from a block The system prompts you to select the block to disconnect from. This option is applicable only to part reference that are already attached to a block.

BOM Attach

Provides tools to xref to a BOM from another drawing.

Attach

Displays a dialog box that enables you to select the drawing file that contains the BOM to which you want to xref. This button is unavailable if a BOM is attached already.

Detach

Detaches the link to the external BOM. This button is available if an external BOM is attached.

Attached to

Displays the path to the drawing containing the BOM the part reference is attached to. You cannot edit the text in this box.


Edit part references (Concept)

Create part references
Capture data for the BOM with part references
Edit assembly properties
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Edit part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Once a part reference has been created, you can perform some of the following modifications:

  • Exclude the part reference from parts lists

    In some cases you want to keep an item in the BOM, but exclude it from parts lists only. Use the AMPARTREFEDIT command and select the relevant options to exclude it from all parts lists.

  • Override the quantity of a part reference

    In some cases, you do not want to show all the parts of an assembly in the drawing. You can select the corresponding part reference in the drawing area and override its quantity so that the BOM reflects the correct quantity.

  • Modify the component properties of a part reference

    To change any of the component properties of the part represented by the part reference you can use the AMPARTREFEDIT command to do so. All linked part references (part references created using the reference option) reflect the changes you make.

  • Delete a part reference

    Part references can be deleted in the same way that any other mechanical object is deleted; using power erase. However, block part references are not visible in the drawing area, so you cannot use power erase on them. To delete an associated part reference, use the AMPARTREFEDIT command and use the Disconnect option in the dialog box.


Edit part references (Procedure)

Create part references
Up a level to ..
Edit part references
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Edit part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To exclude a part reference from parts lists

To override the quantity of a parts reference

To modify the component properties of a part reference

To delete a block part reference


Edit part references (Quick Reference)

Create part references
Edit part references
Edit part references
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Edit part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTREFEDIT

Part Reference dialog box


To exclude a part reference from parts lists (Procedure)

Edit part references
Up a level to ..
Edit part references
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Edit part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To exclude a part reference from parts lists

  1. Click Annotate tab [image] BOM panel [image] . At the Command prompt, enter AMPARTREFEDIT.
  2. Click the part reference to edit. The Part Reference dialog box is displayed.
  3. In the Management section, select the Exclude from Parts Lists check box.
  4. Click OK.


To override the quantity of a parts reference (Procedure)

Edit part references
Up a level to ..
Edit part references
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Edit part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To override the quantity of a parts reference

  1. Click Annotate tab [image] BOM panel [image] . At the Command prompt, enter AMPARTREFEDIT.
  2. Click the part reference to edit. The Part Reference dialog box is displayed.
  3. In the Management section, in the Quantity box, enter the override value.
  4. Click OK.


To modify the component properties of a part reference (Procedure)

Edit part references
Up a level to ..
Edit part references
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Edit part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To modify the component properties of a part reference

  1. Click Annotate tab [image] BOM panel [image] . At the Command prompt, enter AMPARTREFEDIT.
  2. Click the part reference to edit. The Part Reference dialog box is displayed.
  3. In the Component Properties section, change anything.
  4. Click OK.


To delete a block part reference (Procedure)

Edit part references
Up a level to ..
Edit assembly properties
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Edit part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete a block part reference

  1. Click Annotate tab [image] BOM panel [image] . At the Command prompt, enter AMPARTREFEDIT.
  2. Click the part reference to delete. The Part Reference dialog box is displayed.
  3. In the Management section, click Disconnect. The dialog box hides.
  4. In the drawing area, select the part reference to delete.
    NoteYou can select any part reference that references to the same part reference as the one you selected in Step 2.
  5. If the dialog box is displayed again, click OK.


Edit part references (Quick Reference)

Edit part references
Edit part references
Edit part references
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Edit part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTREFEDIT

Edits a part reference

Ribbon: Annotate tab [image] BOM panel [image] Part Reference Edit. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] Part Reference Edit Does not exist in the menus.
Command entry: ampartrefedit

You can edit the component properties of a part or edit the assembly properties of a drawing.

COMMAND LINE OPTIONS

Select part reference or [Assembly properties]: Select a part reference or enter A to edit the Assembly Properties of the drawing. If you move the pointer on a part reference, the tooltip with the name of the part reference appears.

Select Part Reference

Displays the Part Reference dialog box, enabling you to edit BOM-related information for the part or assembly that is identified with the part reference.

Enter an option [Next/Accept] <Accept>: Press ENTER to accept the selected part reference, or enter N to select the next part reference.

Assembly Properties

DIsplays the Assembly Properties dialog box, to enable you to edit BOM-related information for the part or assembly that is contained in the drawing.


Edit part references (Quick Reference)

Edit part references
Edit part references
Edit assembly properties
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Edit part references
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Part Reference dialog box

Use this dialog box to enter part or assembly information for the BOM.

Component Properties

Provides the ability to enter data for component properties. Only the component properties pre-configured for display in this dialog box appear.

NoteThe Name component property is set to a formula, by default. This formula enables AutoCAD Mechanical to pick up the name of objects such as blocks, automatically. However, if you specify a name manually (even when the formula does not pick up a name automatically), AutoCAD Mechanical considers it an override and highlights it in blue.

Settings

Displays the BOM Settings dialog box, where you can set what component properties are visible in this dialog box.

Management

Quantity

Provides the option to override the default quantity of 1, with any quantity, as required.

Exclude from Parts List

Excludes the component from all parts lists. The component remains in the BOM but is excluded from parts lists. You are prevented from creating balloons for this component as well.

Connect

Attaches the part reference to a block. The system prompts you to select the block to connect to. This option is applicable only to part references created using the Block option at the time you create the part reference.

Disconnect

Detaches the part reference from a block The system prompts you to select the block to disconnect from. This option is applicable only to part reference that are already attached to a block.

BOM Attach

Provides tools to xref to a BOM from another drawing.

Attach

Displays a dialog box that enables you to select the drawing file that contains the BOM to which you want to xref. This button is unavailable if a BOM is attached already.

Detach

Detaches the link to the external BOM. This button is available if an external BOM is attached.

Attached to

Displays the path to the drawing containing the BOM the part reference is attached to. You cannot edit the text in this box.


Edit assembly properties (Concept)

Edit part references
Capture data for the BOM with part references
Create and modify parts lists
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Edit assembly properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Considering the drawing to be an assembly, AutoCAD Mechanical enables you to set the properties for the entire assembly in the BOM. If the drawing is a part drawing, you can use assembly properties to specify the component properties of the part.

Title blocks created using the AMTITLE command can retrieve and use assembly property information, without requiring you to key them in again.

When you create an xref to a drawing, in the BOM, the xref drawing is considered a part or assembly. The assembly properties that have been set in the xref drawing are displayed in the BOM of the host drawing.


To set or modify the assembly properties of a drawing (Procedure)

Edit part references
Up a level to ..
Create and modify parts lists
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Edit assembly properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set or modify the assembly properties of a drawing

  1. Click Annotate tab [image] BOM panel [image] . At the Command prompt, enter AMPARTREFEDIT.
  2. At the command prompt, enter A for the Assembly Properties option.
  3. Specify the desired component properties in the appropriate boxes.
  4. Click OK until all dialog boxes close.


Edit assembly properties (Quick Reference)

Edit part references
Edit assembly properties
Create and place parts lists in drawings
Add BOMs, balloons, and parts lists > Capture data for the BOM with part references >
Edit assembly properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Assembly Properties dialog box

Use this dialog box to specify the properties of the assembly or part drawn in the current drawing.

When a drawing contains an assembly with several parts (the dwg file is the assembly), you use assembly properties to describe the properties of the assembly. When the drawing contains a single part (the dwg file is the part), you use assembly properties to describe the properties of the part.

Component properties

Contains the component properties that you must enter data for. Only the component properties configured for display in the Part Reference dialog box are visible here.


Create and modify parts lists

Edit assembly properties
Add BOMs, balloons, and parts lists
Create and place parts lists in drawings
Add BOMs, balloons, and parts lists >
Create and modify parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Create and place parts lists in drawings
  • Edit the layout of a parts list
  • Edit parts list data
  • Export and import parts lists
  • Print parts lists
  • Create cuts lists from parts lists


Create and modify parts lists (Procedure)

Edit assembly properties
Create and modify parts lists
Create and place parts lists in drawings
Add BOMs, balloons, and parts lists >
Create and modify parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a parts list for the entire drawing

To create a parts list for a drawing border

To create a parts list for an annotation view

To convert a standard based parts list to a custom parts list

To convert a custom parts list to a standard-based parts list

To remove a column

To add a column

To move a column

To move the entire parts list

To resize a column

To display/hide the header row

To change the position of the header row

To change the position of the header row

To perform column splitting

To sort parts lists

To renumber all items

To renumber items manually

To change the item number of a single parts list row

To change the item number of multiple parts list rows

To change the value of multiple cells in the same column

To enter a formula to a cell

To merge two rows

To split a row

To filter a parts list

To export a parts list

To import a previously exported parts list

To print a parts list

To start the mask editor

To convert a parts list into a cuts list


Create and place parts lists in drawings (Concept)

Create and modify parts lists
Create and modify parts lists
Edit the layout of a parts list
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Create and place parts lists in drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Use the AMPARTLIST command to create and place parts lists in a drawing. Because parts lists are derived from the BOM, it is important that the appropriate BOM is set as the current BOM before you create a parts list.

To create a parts list that contains all the parts and assemblies in the drawing, the main BOM must be set as the current BOM.

To create a parts list that only contains the parts and assemblies within a particular drawing border in model space, the corresponding Border BOM must be set as the current BOM.

To create a parts list for a mechanical structure assembly, create an annotation view of the assembly, and then create a parts list for the annotation view. The parts list automatically derives data from the correct Assembly BOM. Because parts lists can potentially contain information about the drawing file (information beyond the scope of the annotation view), the parts list does not become part of the annotation view’s definition. When you activate the annotation view or xref to it from another drawing, the parts list is not considered to belong to the annotation view.

When the AMPARTLIST command is used, data is extracted from the BOM and is displayed in the Parts List dialog box, according to the settings made in AMOPTIONS (For details on how to customize these settings, see the Configuration and Setup Guide). You can modify the appearance of the parts list as well as modify the parts list data before you place the parts list in the drawing area.


Create and place parts lists in drawings (Procedure)

Create and modify parts lists
Up a level to ..
Create and place parts lists in drawings
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Create and place parts lists in drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a parts list for the entire drawing

To create a parts list for a drawing border

To create a parts list for an annotation view


Create and place parts lists in drawings (Quick Reference)

Edit assembly properties
Create and place parts lists in drawings
Create and place parts lists in drawings
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Create and place parts lists in drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTLIST

Parts List dialog box


To create a parts list for the entire drawing (Procedure)

Create and place parts lists in drawings
Up a level to ..
Create and place parts lists in drawings
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Create and place parts lists in drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a parts list for the entire drawing

  1. Click Dashboard tab [image] BOM panel [image] . At the Command prompt, enter AMPARTLIST.
  2. At the Command prompt, enter MAIN.
  3. If necessary, modify the layout of the parts list (Click here for more information).
  4. If necessary, modify how data appears in the parts list (Click here for more information).
  5. Click OK. The dialog box closes and a preview of the parts list appears in the drawing area.
  6. In the drawing area, click to indicate where to place the parts list. The program inserts the parts list into the drawing.


To create a parts list for a drawing border (Procedure)

Create and place parts lists in drawings
Up a level to ..
Create and place parts lists in drawings
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Create and place parts lists in drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a parts list for a drawing border

  1. Click Dashboard tab [image] BOM panel [image] . At the Command prompt, enter AMPARTLIST.
  2. Click the drawing border that contains the parts and assemblies to include in the parts list. The Parts List dialog box is displayed.
  3. If necessary, modify the layout of the parts list (Click here for more information).
  4. If necessary, modify how data appears in the parts list (Click here for more information).
  5. Click OK. The dialog box closes and a preview of the parts list appears in the drawing area.
  6. In the drawing area, click to indicate where to place the parts list. The program inserts the parts list into the drawing.


To create a parts list for an annotation view (Procedure)

Create and place parts lists in drawings
Up a level to ..
Edit the layout of a parts list
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Create and place parts lists in drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a parts list for an annotation view

  1. In the mechanical browser, right-click the annotation view and select Create Parts List. The Parts List dialog box is displayed.
  2. If necessary, modify the layout of the parts list (Click here for more information).
  3. If necessary, modify how data appears in the parts list (Click here for more information).
  4. Click OK. The dialog box closes and a preview of the parts list appears in the drawing area.
  5. In the drawing area, click to indicate where to place the parts list. The program inserts the parts list into the drawing.


Create and place parts lists in drawings (Quick Reference)

Create and place parts lists in drawings
Create and place parts lists in drawings
Create and place parts lists in drawings
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Create and place parts lists in drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTLIST

Creates a parts list and enables you to place it in the drawing area.

Ribbon: Annotate tab [image] Table panel [image] Parts List. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] Parts List Does not exist in the menus.
Command entry: ampartlist

At the command prompt you can select what BOM to base the parts list on. You can select further options in the parts list dialog box, which is displayed before placing the parts list in the drawing area.

COMMAND LINE OPTIONS

Specify BOM to create or set current [?/Main] <Main>: Press ENTER to select or create the main BOM database. To select or create a Border BOM database, click the corresponding border in model space. To see a list of existing BOM databases, enter ?. To create or set the current database to one of the listed BOM databases, type the name of the BOM database and press ENTER.


Create and place parts lists in drawings (Quick Reference)

Create and place parts lists in drawings
Create and place parts lists in drawings
Edit the layout of a parts list
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Create and place parts lists in drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List dialog box

Use this dialog box to edit the layout of the parts list and edit parts list data.

Toolbar buttons
 | Prints the parts list.
 | Print drop-down
 |  | Print Prints the parts list.
 |  | Mask Editor Runs the Mask editor, a report generator that enables you to format the Parts List for printing.
 | Exports a parts list as a spreadsheet or database.
 | Export drop-down
 |  | Export Exports the parts list as a spreadsheet or database.
 |  | Import Imports parts list data from a spreadsheet or database that was created using the Export option.
 | Inserts a column to the left of the selected position.
 | Insert column drop-down
 |  | Insert column left Inserts a column to the left of the current selection.
 |  | Insert column right Inserts a column to the right of the current selection.
 | Deletes the selected column.
 | Merges two or more selected rows. Only rows that have identical properties can be merged.
 | Splits a row that has a quantity greater than 1 into two separate rows. This operation is not applicable to mechanical structure components. When you click this button, a prompt enables you to select the part references to move to a new row. You typically use this option to split rows that you merged previously.
 | Displays the Sort dialog box, which provides various options to sort the items in the parts list.
 | Removes overrides from the current selection and restores their default values. This button is available only when overrides exist within the current selection.
 | Sets the values for a range of cells in a column and updates the corresponding BOM.
 | Show/Hide drop-down
 |  | Formula bar Displays an area below the toolbar (the formula bar), to enable you to enter and edit formulas. A check mark next to the menu item indicates that the formula bar is displayed.
 |  | Results bar Displays a row at the bottom of the list of parts (the results bar) to show the totals of the properties configured to be summed. A check mark next to the menu item indicates that the results bar is displayed.
Layout Settings
 | Parts list name Provides a space for you to enter the name of the parts list. The name appears on the title bar of the parts list and on the mechanical browser.
 | Insertion point Sets the insertion point placement for the parts list and where the title of the parts list appears. If the insertion point is at the bottom, the header and title appear at the bottom of the parts list and the parts are listed from bottom to top. Similarly, if the insertion point is at the top, the header and title appear at the top of the parts list and the parts are listed from top to bottom.
 | Insert header Controls whether a header row appears in the parts lists. The header row displays the column headers of the parts lists columns.
 | Insert title Controls whether parts lists have title bars. The title bar shows the parts list name.
 | Show grip frame Controls whether the grip frame of the parts list appears. The grip frame is a frame that shows the extent of the parts list, which, under certain conditions, is larger than the visible extent of the parts list. The grip frame acts as a visual aid for column splitting by dragging. This method of column splitting has been superseded by the options in the Column Splitting section of this dialog box. The Show grip frame option is included only for backward compatibility.
 | Parts list style Switches the parts list style between a standard based parts list and custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).
 | Filter empty references Controls whether body blocks of a custom parts list are hidden if it contains no data. This option is available only if the parts list style is a custom parts list.
 | Line spacing Specifies whether to use single, double, or triple lines of text in the rows of the parts list. This option is available only if the parts list style is a standard-based parts list.
Parts list contents
 | Formula Bar Provides space to enter and edit formulas. The formula bar refers to the area directly below the toolbar and is visible only if you select Formula bar, in the Show/Hide drop-down.
 |  | Cancels edits made on the formula bar.
 |  | Saves the edits made on the formula bar.
 |  | Launches the expression builder, which assists you to create a formula.
 | List of parts and assemblies Displays a list of BOM items shown in the parts list. The columns correspond to the component properties pre-configured for display in parts lists.
Filters and Groups
 | Filters/Groups list Displays the parts list filters. Right-click in the window to add, or remove a filter, or to group parts list rows.
 | Details for filter Displays a description of the selected filter, or provides options to set up a custom filter.
 |  | Options for setting custom filter criteria Displays two drop-down lists and a text box to set the filter criteria. The first drop-down list enables you to select the column to filter by. The second drop-down list enables you to select the filter condition, and in the third box, the information to filter on. These options are visible only when you select a custom filter in the Filters/Groups list.
 | Group by Displays a series of drop-down lists enabling you to select the columns to group by.
Column splitting Includes options to configure whether to perform column splitting is performed and, if so, how. Column splitting refers to the ability for the entire parts list to wrap as the number of data rows grows.
 | Enable column splitting Turns on column splitting.
 |  | Wrap around title block Wraps the parts list around the title block as in the following image. Specify the title block before inserting the part list.
 |  | Wrap left Wraps the parts list to the left as in the following image.
 |  | Wrap right Wraps the parts list to the right as in the following image.
 |  | Number of rows Performs split after the number of rows exceeds the number you specify in the adjacent box.
 |  | Number of sections Splits the parts list into the specified number of sections and distributes the entries evenly.
Settings Displays the Parts List Settings dialog box, enabling you to change the default parts list settings.


Edit the layout of a parts list (Concept)

Create and place parts lists in drawings
Create and modify parts lists
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit the layout of a parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you create a parts list, its layout conforms to the settings saved with the current drafting standard. Once a parts list is created, you can override most settings (See the Configuration and Setup Guide for information on how to change the defaults).

  • Change the style of a parts list.

    When you create a parts list, the style defaults to what is set in the drafting standard. Once the parts list is created, you can convert to any style. At any time you can convert a standard-based parts list to a custom parts list, or convert a custom parts list to a standard-based parts list.

  • Add or remove columns.

    Any component property that is visible in the BOM, but is not visible as parts list columns can be added after the parts list is created. Similarly, if you do not need any of the columns that are displayed by default, you can remove them.

  • Move columns.

    In the Parts List dialog box, columns can be moved by dragging them by their column headings.

  • Resize columns.

    In the drawing area, you can resize columns by dragging their grip points. Grip points are displayed when you select a parts list in the drawing area.

  • Change the location of the header row.

    You can specify where the insertion point for the parts lists is located. If the insertion point is at the upper left or upper right, the heading row is at the top of the parts list. If the insertion row is at the bottom left or bottom right, the heading row is at the bottom.

  • Perform column splitting.

    Column splitting refers to the ability for parts list columns to wrap, when the number of data rows exceed a threshold value you specify. The following image shows a parts list with 18 data rows and another with 36. Column splitting occurs when the number of rows exceeds 20. The insertion point is shown as a green dot.

    Instead of specifying the threshold value, you can define the number of sections that the columns must split to. In this case the data rows are split evenly between the number of sections you define.


Edit the layout of a parts list (Procedure)

Create and place parts lists in drawings
Up a level to ..
Edit the layout of a parts list
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit the layout of a parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To convert a standard based parts list to a custom parts list

To convert a custom parts list to a standard-based parts list

To remove a column

To add a column

To move a column

To move the entire parts list

To resize a column

To display/hide the header row

To change the position of the header row

To change the position of the header row

To perform column splitting


Edit the layout of a parts list (Quick Reference)

Create and place parts lists in drawings
Edit the layout of a parts list
Edit the layout of a parts list
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit the layout of a parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTLIST

Parts List dialog box


To convert a standard based parts list to a custom parts list (Procedure)

Edit the layout of a parts list
Up a level to ..
Edit the layout of a parts list
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit the layout of a parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To convert a standard based parts list to a custom parts list

  1. In the drawing area, double-click the parts list to edit. The Parts List dialog box is displayed.
  2. In the Parts List style list, select the name of the custom parts list. To use a custom parts list scheme from an external file, select Browse and open the external file.
  3. Click Apply. The parts list data appears in the custom parts list.
  4. Click OK.


To convert a custom parts list to a standard-based parts list (Procedure)

Edit the layout of a parts list
Up a level to ..
Edit the layout of a parts list
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit the layout of a parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To convert a custom parts list to a standard-based parts list

  1. In the drawing area, double-click the parts list to edit. The Parts List dialog box is displayed.
  2. In the Parts List style list, select <Standard>.
  3. Click Apply. The parts list data appears in the custom parts list.
  4. Click OK.


To remove a column (Procedure)

Edit the layout of a parts list
Up a level to ..
Edit the layout of a parts list
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit the layout of a parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove a column

  1. In the drawing area, double-click the parts list to edit. The Parts List dialog box is displayed.
  2. Click the column heading of the column to remove.
  3. Click [image] . The program removes the column.
  4. Click OK.


To add a column (Procedure)

Edit the layout of a parts list
Up a level to ..
Edit the layout of a parts list
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit the layout of a parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a column

  1. In the drawing area, double-click the parts list to edit. The Parts List dialog box is displayed.
  2. Click in the column next to where you want to add the new column.
  3. Click [image] . The Select Column dialog box is displayed.
  4. Select the column to insert and click OK. The program adds the column to the right of the current selection.
  5. Click OK.


To move a column (Procedure)

Edit the layout of a parts list
Up a level to ..
Edit the layout of a parts list
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit the layout of a parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move a column

  1. In the drawing area, double-click the parts list to edit. The Parts List dialog box is displayed.
  2. Drag the column header of a column to a new position.
  3. Click OK.


To move the entire parts list (Procedure)

Edit the layout of a parts list
Up a level to ..
Edit the layout of a parts list
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit the layout of a parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move the entire parts list

  1. In the drawing area, double-click the parts list to move. The Parts List dialog box is displayed.
  2. Note down the setting for the insertion point.
  3. Click Cancel. The dialog box closes.
  4. In the drawing area, click anywhere in the parts list to edit. Grip points appear around the parts list.
  5. Click the grip point corresponding to the insertion point.
  6. In the drawing area, click to indicate the new insertion point of the parts list.


To resize a column (Procedure)

Edit the layout of a parts list
Up a level to ..
Edit the layout of a parts list
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit the layout of a parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To resize a column

  1. In the drawing area, click anywhere in the parts list to edit. Grip points appear around the parts list.
  2. Click one of the grip points of the column to resize. The grip point changes color.
  3. Click in the drawing area to indicate the new position of the grip point (and the new width of the column). The program resizes the column.


To display/hide the header row (Procedure)

Edit the layout of a parts list
Up a level to ..
Edit the layout of a parts list
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit the layout of a parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To display/hide the header row

  1. In the drawing area, double-click the parts list to edit. The Parts List dialog box is displayed.
  2. To display the header row, select the Insert header check box.
  3. To display the parts list title, select the Insert title check box.
  4. Click OK.


To change the position of the header row (Procedure)

Edit the layout of a parts list
Up a level to ..
Edit the layout of a parts list
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit the layout of a parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the position of the header row

  1. In the drawing area, double-click the parts list to edit. The Parts List dialog box is displayed.
  2. To insert the column headings and title at the top of the table, select Top Left or Top Right in the Attach Point list. To insert the heading and the title at the bottom of the table, select Bottom Right or Bottom Left.
  3. To split columns by distributing the data rows evenly among multiple sections, select the Number of sections option and enter the number of sections to split to.
  4. To change the direction that the columns split, select the Wrap left or Wrap right option.
  5. Click OK.


To perform column splitting (Procedure)

Edit the layout of a parts list
Up a level to ..
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit the layout of a parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To perform column splitting

  1. In the drawing area, double-click the parts list to edit. The Parts List dialog box is displayed.
  2. To enable column splitting, in the column splitting section, select the Enable column split check box.
  3. To column split based on the number of data rows, select the Number of rows option and enter the row number where you want the split.
  4. To column split by distributing the data rows evenly among multiple sections, select the Number of sections option and enter the number of sections to split to.
  5. To change the direction that the columns split, select the Wrap left or Wrap right option.
  6. To wrap the parts list round the title block, select Wrap around title block.
  7. Click OK.


Edit the layout of a parts list (Quick Reference)

Edit the layout of a parts list
Edit the layout of a parts list
Edit the layout of a parts list
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit the layout of a parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTLIST

Creates a parts list and enables you to place it in the drawing area.

Ribbon: Annotate tab [image] Table panel [image] Parts List. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] Parts List Does not exist in the menus.
Command entry: ampartlist

At the command prompt you can select what BOM to base the parts list on. You can select further options in the parts list dialog box, which is displayed before placing the parts list in the drawing area.

COMMAND LINE OPTIONS

Specify BOM to create or set current [?/Main] <Main>: Press ENTER to select or create the main BOM database. To select or create a Border BOM database, click the corresponding border in model space. To see a list of existing BOM databases, enter ?. To create or set the current database to one of the listed BOM databases, type the name of the BOM database and press ENTER.


Edit the layout of a parts list (Quick Reference)

Edit the layout of a parts list
Edit the layout of a parts list
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit the layout of a parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List dialog box

Use this dialog box to edit the layout of the parts list and edit parts list data.

Toolbar buttons
 | Prints the parts list.
 | Print drop-down
 |  | Print Prints the parts list.
 |  | Mask Editor Runs the Mask editor, a report generator that enables you to format the Parts List for printing.
 | Exports a parts list as a spreadsheet or database.
 | Export drop-down
 |  | Export Exports the parts list as a spreadsheet or database.
 |  | Import Imports parts list data from a spreadsheet or database that was created using the Export option.
 | Inserts a column to the left of the selected position.
 | Insert column drop-down
 |  | Insert column left Inserts a column to the left of the current selection.
 |  | Insert column right Inserts a column to the right of the current selection.
 | Deletes the selected column.
 | Merges two or more selected rows. Only rows that have identical properties can be merged.
 | Splits a row that has a quantity greater than 1 into two separate rows. This operation is not applicable to mechanical structure components. When you click this button, a prompt enables you to select the part references to move to a new row. You typically use this option to split rows that you merged previously.
 | Displays the Sort dialog box, which provides various options to sort the items in the parts list.
 | Removes overrides from the current selection and restores their default values. This button is available only when overrides exist within the current selection.
 | Sets the values for a range of cells in a column and updates the corresponding BOM.
 | Show/Hide drop-down
 |  | Formula bar Displays an area below the toolbar (the formula bar), to enable you to enter and edit formulas. A check mark next to the menu item indicates that the formula bar is displayed.
 |  | Results bar Displays a row at the bottom of the list of parts (the results bar) to show the totals of the properties configured to be summed. A check mark next to the menu item indicates that the results bar is displayed.
Layout Settings
 | Parts list name Provides a space for you to enter the name of the parts list. The name appears on the title bar of the parts list and on the mechanical browser.
 | Insertion point Sets the insertion point placement for the parts list and where the title of the parts list appears. If the insertion point is at the bottom, the header and title appear at the bottom of the parts list and the parts are listed from bottom to top. Similarly, if the insertion point is at the top, the header and title appear at the top of the parts list and the parts are listed from top to bottom.
 | Insert header Controls whether a header row appears in the parts lists. The header row displays the column headers of the parts lists columns.
 | Insert title Controls whether parts lists have title bars. The title bar shows the parts list name.
 | Show grip frame Controls whether the grip frame of the parts list appears. The grip frame is a frame that shows the extent of the parts list, which, under certain conditions, is larger than the visible extent of the parts list. The grip frame acts as a visual aid for column splitting by dragging. This method of column splitting has been superseded by the options in the Column Splitting section of this dialog box. The Show grip frame option is included only for backward compatibility.
 | Parts list style Switches the parts list style between a standard based parts list and custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).
 | Filter empty references Controls whether body blocks of a custom parts list are hidden if it contains no data. This option is available only if the parts list style is a custom parts list.
 | Line spacing Specifies whether to use single, double, or triple lines of text in the rows of the parts list. This option is available only if the parts list style is a standard-based parts list.
Parts list contents
 | Formula Bar Provides space to enter and edit formulas. The formula bar refers to the area directly below the toolbar and is visible only if you select Formula bar, in the Show/Hide drop-down.
 |  | Cancels edits made on the formula bar.
 |  | Saves the edits made on the formula bar.
 |  | Launches the expression builder, which assists you to create a formula.
 | List of parts and assemblies Displays a list of BOM items shown in the parts list. The columns correspond to the component properties pre-configured for display in parts lists.
Filters and Groups
 | Filters/Groups list Displays the parts list filters. Right-click in the window to add, or remove a filter, or to group parts list rows.
 | Details for filter Displays a description of the selected filter, or provides options to set up a custom filter.
 |  | Options for setting custom filter criteria Displays two drop-down lists and a text box to set the filter criteria. The first drop-down list enables you to select the column to filter by. The second drop-down list enables you to select the filter condition, and in the third box, the information to filter on. These options are visible only when you select a custom filter in the Filters/Groups list.
 | Group by Displays a series of drop-down lists enabling you to select the columns to group by.
Column splitting Includes options to configure whether to perform column splitting is performed and, if so, how. Column splitting refers to the ability for the entire parts list to wrap as the number of data rows grows.
 | Enable column splitting Turns on column splitting.
 |  | Wrap around title block Wraps the parts list around the title block as in the following image. Specify the title block before inserting the part list.
 |  | Wrap left Wraps the parts list to the left as in the following image.
 |  | Wrap right Wraps the parts list to the right as in the following image.
 |  | Number of rows Performs split after the number of rows exceeds the number you specify in the adjacent box.
 |  | Number of sections Splits the parts list into the specified number of sections and distributes the entries evenly.
Settings Displays the Parts List Settings dialog box, enabling you to change the default parts list settings.


Edit parts list data (Concept)

Edit the layout of a parts list
Create and modify parts lists
Export and import parts lists
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Once a parts list is created, you can edit the parts list data to suit your requirements. Some of the typical editing operations are in the following list. Except for sorting and filtering, all modifications are written back to the BOM.

  • Sort parts list

    You can sort the entire parts list or selected rows only. You can provide up to three sort criteria. Sorting has no impact on the BOM.

  • Change item number

    The item number in the parts list is automatically obtained from the corresponding BOM. You may want to change the item number for reasons such as to reflect the current sort order. You can change the item number of a single row or of a few selected rows only or the entire parts list, if necessary. When you manually edit the item number, the system does not validate it and the responsibility of maintaining uniqueness is yours.

  • Change the value of multiple cells in the same column

    You may want to change the value of a single cell or multiple cells at the same time. You can SHIFT-click to select a range of cells in a column and change their values simultaneously with the Set Values toolbar button. If you change a cell that derived its value through a formula to a fixed value, that cell stops reacting to changes in the drawing.

  • Enter or edit a formula in a cell

    The ability to edit a formula in a parts list is useful in cases such as changing the value of a cell or rounding off a value for one part only. You can edit the formula directly on the formula bar or you can invoke the expression builder and create the formula in an environment where the system assists you to build the formula.

  • Merge rows

    Sometimes, parts marked with the identical part references show as two separate parts in the parts list. You can manually merge the rows. The system validates the rows being merged and prevents you from merging two different parts (part references that do not have identical data). It is also possible to split the merged rows.

  • Filter the parts list

    You can set a filter and limit the number of items displayed in the parts list. You can set up you own custom filter or select from the following predefined filters:

    • Ballooned - Filters out all items that are not ballooned.
    • Standard parts - Provides options for filtering out all standard parts or filtering out all parts other than standard parts.
    • Parts - Filters the parts list by letting you manually select the components (to display in the parts list) in the drawing area.
    • Sheet - Filters out all parts other than the ones displayed in the same layout as the parts list. This filter is available only in layouts and does not apply to annotation views.

    You can add more than one filter to a parts list. Only the parts that meet the criteria of all the filters are displayed.

    NoteDue to the associative nature of mechanical structure, filters applied to parts lists in an annotation view affects all part lists created for other annotation views of the same component.


Edit parts list data (Procedure)

Edit the layout of a parts list
Up a level to ..
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To sort parts lists

To renumber all items

To renumber items manually

To change the item number of a single parts list row

To change the item number of multiple parts list rows

To change the value of multiple cells in the same column

To enter a formula to a cell

To merge two rows

To split a row

To filter a parts list


Edit parts list data (Quick Reference)

Edit the layout of a parts list
Edit parts list data
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTLIST

Parts List dialog box

List of Filters dialog box

Sort dialog box

Set Values dialog box

Renumber Items dialog box


To sort parts lists (Procedure)

Edit parts list data
Up a level to ..
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To sort parts lists

  1. In the drawing area, double-click the parts list to edit. The Parts List dialog box is displayed.
  2. To sort selected rows only, press the CTRL key and click the row headings of the rows to sort.

    To sort the entire parts list, do not select any rows.

  3. Click [image] . The Sort data dialog box is displayed.
  4. In the Key 1 section, select the primary sort column and sort order.
  5. If you require secondary and tertiary sort criteria, select the columns and order from the Key 2 and Key 3 sections.
  6. Click OK.


To renumber all items (Procedure)

Edit parts list data
Up a level to ..
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To renumber all items

NoteThe Renumber all items option is enabled only when there is at least one ordinary (non-category) row in the parts list.
  1. Click Dashboard tab [image] BOM panel [image] . At the Command prompt, enter AMPARTLIST.
  2. At the Command prompt, enter MAIN.
  3. In the dialog box toolbar, click [image] . The Renumber Items dialog box is displayed.
  4. In the Renumber Items dialog box, you can make the following choices:
    • Start From - Select the beginning number.
    • Increase by - Increase the item number by the selected amount.
    • Skip after category - Select the number of item numbers to skip when moving to the next category.
  5. Click OK to accept the change and close the dialog box.


To renumber items manually (Procedure)

Edit parts list data
Up a level to ..
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To renumber items manually

  1. Click Dashboard tab [image] BOM panel [image] . At the Command prompt, enter AMPARTLIST.
  2. At the Command prompt, enter MAIN
  3. In the dialog box, highlight the item number to change.
  4. Type the new item number. The program updates the BOM and associated balloons automatically.
  5. Click OK to accept the change and close the dialog box.
NoteACM does not automatically check for duplicate part numbers.


To change the item number of a single parts list row (Procedure)

Edit parts list data
Up a level to ..
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the item number of a single parts list row

  1. In the drawing area, double-click the parts list. The Parts List dialog box is displayed.
  2. Click the Item Number cell of the row to change.
  3. In the toolbar, click [image] . The Set Value dialog box is displayed.
  4. Verify that the Column box shows Item.
  5. In the Start value box, enter the new Item Number.
    NoteThe system does not validate the number you entered for uniqueness. Maintain unique numbers manually.
  6. Click OK until all dialog boxes close.


To change the item number of multiple parts list rows (Procedure)

Edit parts list data
Up a level to ..
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the item number of multiple parts list rows

  1. In the drawing area, double-click the parts list. The Parts List dialog box is displayed.
  2. Click the first Item Number cell, and then SHIFT-click the last cell in the range of cells to edit.
    Note
    • You cannot select non contiguous rows.
    • To renumber the entire parts list, click the column header of the Item column.
  3. In the toolbar, click [image] . The Set Value dialog box is displayed.
  4. Verify that the Column box shows Item.
  5. To renumber the rows by specifying the starting number and an increment value:
    1. In the Start value box, enter the Item Number of the first row in the range.
    2. In the Step box, enter the increment value.
  6. To renumber the rows by adding a fixed value to the existing item number:
    1. Select the Add option.
    2. In the Value box, enter the value to add to the existing Item Number.
  7. Click OK until all dialog boxes close.


To change the value of multiple cells in the same column (Procedure)

Edit parts list data
Up a level to ..
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the value of multiple cells in the same column

  1. In the drawing area, double-click the parts list. The Parts List dialog box is displayed.
  2. Click the first cell, and then SHIFT-click the last cell of the range.
    Note
    • You cannot select non contiguous rows.
    • All cells must be from the same column.
  3. In the toolbar, click [image] . The Set Value dialog box is displayed.
  4. If the cells contain text, in the Value box, enter the new value for the cells.
  5. To set the same value for all the cells in the selected range (if the cells contain numeric values):
    1. In the Start value box, enter the value to set to.
    2. In the Step box, enter 0 (zero).
  6. To change cell values by specifying a starting number and an increment value (if the cells contain numeric values):
    1. In the Start value box, enter the number of the first cell in the range.
    2. In the Step box, enter the increment value.
  7. To change cell values by adding a fixed value to their current value (if the cells contain numeric values):
    1. Select the Add option.
    2. In the Value box, enter the fixed value by which you want to increase the values.
  8. Click OK until all dialog boxes close.


To enter a formula to a cell (Procedure)

Edit parts list data
Up a level to ..
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enter a formula to a cell

  1. In the drawing area, double-click the parts list. The Parts List dialog box is displayed.
  2. Place the cursor in the cell to create the formula for.
  3. In the Formula Bar, click [image] . The Expression Builder dialog box is displayed.
  4. In the Select value type list, select Formula.
  5. In the expression box, add References, Operators, and Functions as required.

    For example, to create a formula for Cost truncated to the nearest dollar (Integer value of Price × Quantity):

    1. In the Category list, select Function.
    2. In the Select list, select INT and click Add. The Expression area shows =INT().
    3. In the Expression area, place the cursor between the brackets.
    4. In the Category list, select BOM Properties.
    5. In the Select list, select QTY and click Add. The program adds the reference <QTY> to the expression area.
    6. Type the asterisk character (*) after <QTY>.
    7. In the Select list, select PRICE and click Add. The formula =INT(<QTY>*<PRICE>) is complete.
  6. Click OK.
See Also
    • About formulas


To merge two rows (Procedure)

Edit parts list data
Up a level to ..
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To merge two rows

  1. In the drawing area, double-click the parts list. The Parts List dialog box is displayed.
  2. With the CTRL key pressed, click the row heading of the rows to merge. The program selects the rows.
  3. On the toolbar of the Parts List dialog box, click [image] . All selected rows are merged into one item.
    NoteYou can merge only rows containing the same part. You can merge parts from external reference (xref) drawings only with parts from the same drawing. You cannot merge them with the same part from the host drawing or with the same part from other xref drawings.
  4. Click OK.


To split a row (Procedure)

Edit parts list data
Up a level to ..
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To split a row

  1. In the drawing area, double-click the parts list. The Parts List dialog box is displayed.
  2. Click the row heading of the row to split.
  3. On the toolbar of the Parts List dialog box, click [image] . The dialog box hides.
  4. Select the part references to move to a different row and press ENTER.
  5. Click OK.


To filter a parts list (Procedure)

Edit parts list data
Up a level to ..
Export and import parts lists
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To filter a parts list

  1. In the drawing area, double-click the parts list. The Parts List dialog box is displayed.
  2. Right-click inside the Filters/Group box.
  3. From the menu, select Add Filter. The List of Filters dialog box is displayed.
  4. Select a filter type and click OK. The filter appears in the Filters field.
  5. Under Filters in the Details for Filter section, set the properties of the filter.
  6. To turn on the filter, select the check box by the filter name.
  7. In the Parts List dialog box, choose Apply to show the changes in the drawing.
    Tip
    • To remove a filter, in the Filters/Group box, right-click the filter and select Remove.
    • To use more than one filter to edit the properties of a filter, select the filter in the Filters/Group box first.
  8. Click OK.


Edit parts list data (Quick Reference)

Edit parts list data
Edit parts list data
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTLIST

Creates a parts list and enables you to place it in the drawing area.

Ribbon: Annotate tab [image] Table panel [image] Parts List. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] Parts List Does not exist in the menus.
Command entry: ampartlist

At the command prompt you can select what BOM to base the parts list on. You can select further options in the parts list dialog box, which is displayed before placing the parts list in the drawing area.

COMMAND LINE OPTIONS

Specify BOM to create or set current [?/Main] <Main>: Press ENTER to select or create the main BOM database. To select or create a Border BOM database, click the corresponding border in model space. To see a list of existing BOM databases, enter ?. To create or set the current database to one of the listed BOM databases, type the name of the BOM database and press ENTER.


Edit parts list data (Quick Reference)

Edit parts list data
Edit parts list data
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List dialog box

Use this dialog box to edit the layout of the parts list and edit parts list data.

Toolbar buttons
 | Prints the parts list.
 | Print drop-down
 |  | Print Prints the parts list.
 |  | Mask Editor Runs the Mask editor, a report generator that enables you to format the Parts List for printing.
 | Exports a parts list as a spreadsheet or database.
 | Export drop-down
 |  | Export Exports the parts list as a spreadsheet or database.
 |  | Import Imports parts list data from a spreadsheet or database that was created using the Export option.
 | Inserts a column to the left of the selected position.
 | Insert column drop-down
 |  | Insert column left Inserts a column to the left of the current selection.
 |  | Insert column right Inserts a column to the right of the current selection.
 | Deletes the selected column.
 | Merges two or more selected rows. Only rows that have identical properties can be merged.
 | Splits a row that has a quantity greater than 1 into two separate rows. This operation is not applicable to mechanical structure components. When you click this button, a prompt enables you to select the part references to move to a new row. You typically use this option to split rows that you merged previously.
 | Displays the Sort dialog box, which provides various options to sort the items in the parts list.
 | Removes overrides from the current selection and restores their default values. This button is available only when overrides exist within the current selection.
 | Sets the values for a range of cells in a column and updates the corresponding BOM.
 | Show/Hide drop-down
 |  | Formula bar Displays an area below the toolbar (the formula bar), to enable you to enter and edit formulas. A check mark next to the menu item indicates that the formula bar is displayed.
 |  | Results bar Displays a row at the bottom of the list of parts (the results bar) to show the totals of the properties configured to be summed. A check mark next to the menu item indicates that the results bar is displayed.
Layout Settings
 | Parts list name Provides a space for you to enter the name of the parts list. The name appears on the title bar of the parts list and on the mechanical browser.
 | Insertion point Sets the insertion point placement for the parts list and where the title of the parts list appears. If the insertion point is at the bottom, the header and title appear at the bottom of the parts list and the parts are listed from bottom to top. Similarly, if the insertion point is at the top, the header and title appear at the top of the parts list and the parts are listed from top to bottom.
 | Insert header Controls whether a header row appears in the parts lists. The header row displays the column headers of the parts lists columns.
 | Insert title Controls whether parts lists have title bars. The title bar shows the parts list name.
 | Show grip frame Controls whether the grip frame of the parts list appears. The grip frame is a frame that shows the extent of the parts list, which, under certain conditions, is larger than the visible extent of the parts list. The grip frame acts as a visual aid for column splitting by dragging. This method of column splitting has been superseded by the options in the Column Splitting section of this dialog box. The Show grip frame option is included only for backward compatibility.
 | Parts list style Switches the parts list style between a standard based parts list and custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).
 | Filter empty references Controls whether body blocks of a custom parts list are hidden if it contains no data. This option is available only if the parts list style is a custom parts list.
 | Line spacing Specifies whether to use single, double, or triple lines of text in the rows of the parts list. This option is available only if the parts list style is a standard-based parts list.
Parts list contents
 | Formula Bar Provides space to enter and edit formulas. The formula bar refers to the area directly below the toolbar and is visible only if you select Formula bar, in the Show/Hide drop-down.
 |  | Cancels edits made on the formula bar.
 |  | Saves the edits made on the formula bar.
 |  | Launches the expression builder, which assists you to create a formula.
 | List of parts and assemblies Displays a list of BOM items shown in the parts list. The columns correspond to the component properties pre-configured for display in parts lists.
Filters and Groups
 | Filters/Groups list Displays the parts list filters. Right-click in the window to add, or remove a filter, or to group parts list rows.
 | Details for filter Displays a description of the selected filter, or provides options to set up a custom filter.
 |  | Options for setting custom filter criteria Displays two drop-down lists and a text box to set the filter criteria. The first drop-down list enables you to select the column to filter by. The second drop-down list enables you to select the filter condition, and in the third box, the information to filter on. These options are visible only when you select a custom filter in the Filters/Groups list.
 | Group by Displays a series of drop-down lists enabling you to select the columns to group by.
Column splitting Includes options to configure whether to perform column splitting is performed and, if so, how. Column splitting refers to the ability for the entire parts list to wrap as the number of data rows grows.
 | Enable column splitting Turns on column splitting.
 |  | Wrap around title block Wraps the parts list around the title block as in the following image. Specify the title block before inserting the part list.
 |  | Wrap left Wraps the parts list to the left as in the following image.
 |  | Wrap right Wraps the parts list to the right as in the following image.
 |  | Number of rows Performs split after the number of rows exceeds the number you specify in the adjacent box.
 |  | Number of sections Splits the parts list into the specified number of sections and distributes the entries evenly.
Settings Displays the Parts List Settings dialog box, enabling you to change the default parts list settings.


Edit parts list data (Quick Reference)

Edit parts list data
Edit parts list data
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

List of Filters dialog box

Use this dialog box to set a pre-defined filter for a parts list, limiting the number of entries displayed.

Available filters Displays a list of pre-defined filters.
 | Ballooned Filters out items that are not ballooned.
 | Standard parts Provides options for filtering out all standard parts or filtering out all parts other than standard parts.
 | Parts Filters the parts list by letting you manually select the components (to display in the parts list) in the drawing area.
 | Sheet Filters out all parts other than the ones displayed in the same layout as the parts list. This filter is available only in layouts and does not apply to annotation views.


Edit parts list data (Quick Reference)

Edit parts list data
Edit parts list data
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sort dialog box

Use this dialog box to sort BOM items.

Key 1, Key 2, Key 3 Specifies the columns used as sort keys. Key 1 refers to the primary sort column, key 2 for the secondary and key 3 for the tertiary.
 | Ascending Arranges items in the sequence of the lowest value to the highest.
 | Descending Arranges items in the sequence of the highest value to the lowest.


Edit parts list data (Quick Reference)

Edit parts list data
Edit parts list data
Edit parts list data
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Set Values dialog box

Use this dialog box to set values for a range of cells within a column.

Column Specifies the column to set values for.
Increment Sets options to fill the range by writing a start value to the first cell and then writing increments to subsequent cells. This option is available only if the data type for the column is numeric.
 | Start value Specifies the value to write in the first cell in the range.
 | Step Specifies the increment.
Add Sets options to fill the range by adding a fixed value to a cell’s existing value. This option is available only if the data type for the column is numeric.
 | Value Specifies the value to add.
Value Specifies the value to set. This box is available only if the data type is text.


Edit parts list data (Quick Reference)

Edit parts list data
Edit parts list data
Export and import parts lists
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Edit parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Renumber Items dialog box

Use this dialog box to set renumbering rules for the GOST parts list.

Start from

Select a new item starting number.

Increase by

Increment the number by the selected amount.

Skip after category

Number of empty lines to skip after the category row.


Export and import parts lists (Concept)

Edit parts list data
Create and modify parts lists
Print parts lists
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Export and import parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can export parts lists to other file formats, edit or add data to the exported file, and import it back again. For example, you can export a parts list to an .xls file, edit it in Microsoft Excel, and import it back again. The parts list as well as the associated BOM are updated. The following export/import formats are supported:

  • .xls - Microsoft Excel 95 and 97.
  • .dbf - dBASE III, IV and 5.
    NoteParts lists having column names (Component Property names) longer than ten characters cannot be exported to .dbf files.
  • .mdb - Microsoft Access 97 and 2000.
    NoteIf you want to import Access 2000 files to a parts list, and you do not have Access 2000 installed, run mdac_typ.exe from the support/DAO directory on the installation CD-ROM/DVD.
  • .txt - tab-separated value file
  • .csv - comma-separated value file
  • .html - Web page

BOMKEY values are used to identify items uniquely in the exported file. If you do not modify BOMKEY values, existing items update correctly when you import it back again. Any new rows are appended to the BOM, but are not associated with any geometry in the drawing.


Export and import parts lists (Procedure)

Edit parts list data
Up a level to ..
Export and import parts lists
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Export and import parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To export a parts list

To import a previously exported parts list


To export a parts list (Procedure)

Export and import parts lists
Up a level to ..
Export and import parts lists
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Export and import parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To export a parts list

  1. In the drawing area, double-click the parts list to edit. The Parts List dialog box is displayed.
  2. In the toolbar, click [image] . The Export dialog box is displayed.
  3. In the Save as type list, select the file format to export to.
  4. In the Save in list, select the folder to export to.
  5. In the File name box, enter a name for the export file.
  6. Click Save.


To import a previously exported parts list (Procedure)

Export and import parts lists
Up a level to ..
Print parts lists
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Export and import parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import a previously exported parts list

  1. In the drawing area, double-click the parts list to edit. The Parts List dialog box is displayed.
  2. In the toolbar, click [image] . The Import dialog box is displayed.
  3. In the Files of type list, select the file format to import from.
  4. In the Look in list, select the folder that contains the file to import.
  5. In the Files list, select the file to import.
  6. Click Open.


Export and import parts lists (Quick Reference)

Edit parts list data
Export and import parts lists
Print parts lists
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Export and import parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTLIST

Creates a parts list and enables you to place it in the drawing area.

Ribbon: Annotate tab [image] Table panel [image] Parts List. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] Parts List Does not exist in the menus.
Command entry: ampartlist

At the command prompt you can select what BOM to base the parts list on. You can select further options in the parts list dialog box, which is displayed before placing the parts list in the drawing area.

COMMAND LINE OPTIONS

Specify BOM to create or set current [?/Main] <Main>: Press ENTER to select or create the main BOM database. To select or create a Border BOM database, click the corresponding border in model space. To see a list of existing BOM databases, enter ?. To create or set the current database to one of the listed BOM databases, type the name of the BOM database and press ENTER.


Print parts lists (Concept)

Export and import parts lists
Create and modify parts lists
Create cuts lists from parts lists
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Print parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can print a parts list from the Parts List dialog box, even if it has not been placed in the drawing.

When printing a parts list, you can optionally select a mask file. A mask file is used to format the hard copy of the parts list. With the aid of a mask file, hard copies of a parts list can contain:

  • A banner page that is printed as the first page of the parts list.
  • A page header that contains both text and graphics.

    You can include your company logo in the page header.

  • Special formatting options on the data rows.
  • A filler section that defines what happens if the data rows do not fill the entire page.
  • A page footer that can contain both text and graphics.
  • An end page that is printed as the last page of the parts list

A report generator that is known as the Mask Editor is used to customize mask files. See Miscellaneous Advanced Tools for documentation on the Mask Editor.

See Also
    • Format parts lists with the Mask Editor


Print parts lists (Procedure)

Export and import parts lists
Up a level to ..
Print parts lists
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Print parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To print a parts list

To start the mask editor


Print parts lists (Quick Reference)

Export and import parts lists
Print parts lists
Print parts lists
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Print parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTLIST

Print Setup dialog box


To print a parts list (Procedure)

Print parts lists
Up a level to ..
Print parts lists
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Print parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To print a parts list

  1. In the drawing area, double-click the parts list to print. The Parts List dialog box is displayed.
  2. In the toolbar, click [image] . The Print dialog box is displayed.
  3. Select the Printer from the Name list.
  4. Click Properties and select the appropriate paper size and return to the Print dialog box.
    NoteThe procedure for selecting paper size varies from printer to printer.
  5. To use a mask file:
    1. Select the Use Mask File check box.
    2. Click
    Select the MSK file to use.
  6. To preview the hard copy of the parts list, click Preview.
  7. Click Print.


To start the mask editor (Procedure)

Print parts lists
Up a level to ..
Create cuts lists from parts lists
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Print parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To start the mask editor

  1. In the drawing area, double-click the parts list to edit. The Parts List dialog box is displayed.
  2. On the toolbar, click


Print parts lists (Quick Reference)

Print parts lists
Print parts lists
Print parts lists
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Print parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTLIST

Creates a parts list and enables you to place it in the drawing area.

Ribbon: Annotate tab [image] Table panel [image] Parts List. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] Parts List Does not exist in the menus.
Command entry: ampartlist

At the command prompt you can select what BOM to base the parts list on. You can select further options in the parts list dialog box, which is displayed before placing the parts list in the drawing area.

COMMAND LINE OPTIONS

Specify BOM to create or set current [?/Main] <Main>: Press ENTER to select or create the main BOM database. To select or create a Border BOM database, click the corresponding border in model space. To see a list of existing BOM databases, enter ?. To create or set the current database to one of the listed BOM databases, type the name of the BOM database and press ENTER.


Print parts lists (Quick Reference)

Print parts lists
Print parts lists
Create cuts lists from parts lists
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Print parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Print Setup dialog box

Use this dialog box to specify how you want the BOM printed.

Margins
 | Left Specifies the distance between the left edge of the paper and the data.
 | Right Specifies the distance between the right edge of the paper and the data.
 | Top Specifies the distance between the top edge of the paper and the data.
 | Bottom Specifies the distance between the bottom edge of the paper and the data.
 | Center horizontally Centers the data between the left and right margins of the page.
Print
 | Caption Prints a title on the first row.
 | On every page Prints the title on all pages. If you do not select this option, the title is printed only on the first page.
 | Heading Prints the component property name as column headings.
 | Bottom Places the column heading at the bottommost row.
Fonts tab
 | Title Font Specifies the font to use for the title/caption.
 | Header Font Specifies the font to use for the column header.
 | Body Font Specifies the font to use for the data rows.
Line type tab
 | Border Specifies the line type to use for the outermost border.
 | Title delimiter Specifies the line type to use for the separator between the title/caption and the rest of the data.
 | Horizontal line Specifies the line type to use as the row separator for data rows.
 | Header delimiter Specifies the line type to use for the separator between the column headings and data rows.
 | Vertical line Specifies the line type to use as the column separator.
Caption text Specifies the text to use as the title.
Default Restores the default settings of this dialog box.


Create cuts lists from parts lists (Concept)

Print parts lists
Create and modify parts lists
Create and modify parts list for GOST based drawings
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Create cuts lists from parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts lists contain a grouping mechanism that allows parts lists to be used as cuts lists. Cuts lists are typically used with steel shapes where all the lengths are summed together.

You can select one or more parts list columns to group by. Rows that have the same value for these columns are collapsed to a single row and the numeric columns are summed. The entries of grouped text columns, which are not the key for grouping, can be different. Such cells are shaded in the grouped row. If you overwrite the shaded data, all grouped items get the modified entry.

The grouping option is not possible for custom parts list. To group custom parts lists, use a drawing mask (.dsk) files. DSK files are created using the Mask Editor. See Miscellaneous Advanced Tools for documentation on the Mask Editor.


To convert a parts list into a cuts list (Procedure)

Print parts lists
Up a level to ..
Create and modify parts list for GOST based drawings
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Create cuts lists from parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To convert a parts list into a cuts list

  1. In the drawing area, double-click the parts list to convert to a cuts list. The Parts List dialog box is displayed.
  2. Right-click inside the Filters/Group box.
  3. From the menu, select Add Group. The Group by dialog box is displayed.
  4. Use the list boxes to select the columns to group by. Select key columns.
  5. To turn on grouping, select the Group check box.
  6. In the Parts List dialog box, click Apply to display the changes in the drawing area.
    TipTo remove a grouping, in the Filters/Group box, right-click the group and select Remove.
  7. Click OK.


Create cuts lists from parts lists (Quick Reference)

Print parts lists
Create cuts lists from parts lists
Create and place parts list in drawings
Add BOMs, balloons, and parts lists > Create and modify parts lists >
Create cuts lists from parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTLIST

Creates a parts list and enables you to place it in the drawing area.

Ribbon: Annotate tab [image] Table panel [image] Parts List. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] Parts List Does not exist in the menus.
Command entry: ampartlist

At the command prompt you can select what BOM to base the parts list on. You can select further options in the parts list dialog box, which is displayed before placing the parts list in the drawing area.

COMMAND LINE OPTIONS

Specify BOM to create or set current [?/Main] <Main>: Press ENTER to select or create the main BOM database. To select or create a Border BOM database, click the corresponding border in model space. To see a list of existing BOM databases, enter ?. To create or set the current database to one of the listed BOM databases, type the name of the BOM database and press ENTER.


Create and modify parts list for GOST based drawings

Create cuts lists from parts lists
Add BOMs, balloons, and parts lists
Create and place parts list in drawings
Add BOMs, balloons, and parts lists >
Create and modify parts list for GOST based drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Create and place parts list in drawings
  • Edit the parts list data and layout
  • Export parts list


Create and modify parts list for GOST based drawings (Procedure)

Create cuts lists from parts lists
Create and modify parts list for GOST based drawings
Create and place parts list in drawings
Add BOMs, balloons, and parts lists >
Create and modify parts list for GOST based drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a GOST parts list for the entire drawing

To add a new category

To add an empty row

To change an item category

To move a category or row up

To move a category or row down

To delete a category or empty row

To renumber all items

To renumber items manually

To sort parts lists

To enter a formula to a cell

To export a GOST parts list to Excel

To preview the GOST parts list in Excel


Create and place parts list in drawings (Concept)

Create and modify parts list for GOST based drawings
Create and modify parts list for GOST based drawings
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Create and place parts list in drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Use the AMPARTLIST command to create and place parts in a drawing. Because parts lists are derived from the BOM, it is important that the appropriate BOM is set as the current BOM before you create a parts list. To create a GOST parts list, select GOST as the drawing standard.

When the AMPARTLIST command is used, data is extracted from the BOM and is displayed in the Parts List dialog box, based on the settings made in AMOPTIONS (For details on how to customize these settings, see the Configuration and Setup Guide). If necessary, you can modify the appearance of the parts list as well as modify the parts list data before you place the parts list in the drawing area.


Create and place parts list in drawings (Quick Reference)

Create cuts lists from parts lists
Create and place parts list in drawings
Create and place parts list in drawings
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Create and place parts list in drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTLIST

Parts List GOST dialog box

Parts List Settings dialog box


To create a GOST parts list for the entire drawing (Procedure)

Create and modify parts list for GOST based drawings
Up a level to ..
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Create and place parts list in drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a GOST parts list for the entire drawing

  1. Click Annotate tab [image] BOM panel [image] . At the Command prompt, enter AMPARTLIST.
  2. At the Command prompt, enter MAIN.
  3. You can accept the default parts list layout or you can change the following:
    • Change the item renumbering.
    • Change the layout by specifying lines to skip after table entries.
    • Add a formula.
  4. Click OK. The dialog box closes and a preview appears on the drawing.
  5. In the drawing area, click to indicate where to place the parts list.


Create and place parts list in drawings (Quick Reference)

Create and place parts list in drawings
Create and place parts list in drawings
Create and place parts list in drawings
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Create and place parts list in drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTLIST

Creates a parts list and enables you to place it in the drawing area.

Ribbon: Annotate tab [image] Table panel [image] Parts List. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] Parts List Does not exist in the menus.
Command entry: ampartlist

At the command prompt you can select what BOM to base the parts list on. You can select further options in the parts list dialog box, which is displayed before placing the parts list in the drawing area.

COMMAND LINE OPTIONS

Specify BOM to create or set current [?/Main] <Main>: Press ENTER to select or create the main BOM database. To select or create a Border BOM database, click the corresponding border in model space. To see a list of existing BOM databases, enter ?. To create or set the current database to one of the listed BOM databases, type the name of the BOM database and press ENTER.


Create and place parts list in drawings (Quick Reference)

Create and place parts list in drawings
Create and place parts list in drawings
Create and place parts list in drawings
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Create and place parts list in drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List GOST dialog box

Use this dialog box to view the parts list, rearrange the parts list, and export the parts list to Excel.

Toolbar buttons
 | Export the current parts list to an Excel file that adheres to GOST standard requirements.
 | Exports the current parts list to a temporary Excel file that adheres to GOST requirements, and opens it for preview.
 | Creates a category header row and a non-editable blank row at the end of the parts list.
 | Insert an empty row above the selected row.
 | Insert item drop-down
 |  | Insert row above Insert an empty row above the selected row.
 |  | Insert row below Insert an empty row below the selected row.
 | Deletes the selected row. If the row is a category header, the rows in that category are not automatically reassigned.
 | Moves the selected row one position up. If the row is a category row, the category row and all items in the category are moved up.
 | Moves the selected row one position down. If the row is a category row, the category row and all items in the category are moved down.
 | Displays the Change Category dialog box so that you can specify a new category. The selected row is moved to the new category.
 | Removes overrides from the current selection and restores their default values. This button is available only when overrides exist within the current selection.
 | Displays the Renumber Items dialog box that displays options to renumber all items in the part list.
 | Displays the Sort Items dialog box, providing various options to sort the items in the part list.
 | Show/Hide drop-down
 |  | Formula bar Displays an area below the toolbar (the formula bar), to enable you to enter and edit formulas. A check mark next to the menu item indicates that the formula bar is displayed.
Layout
 | Lines to skip after category Add the specified number of empty rows after the category row. After the last row of each category.
 | Skip line after each part Add one empty row after each part.
Parts list contents .
 | Formula Bar Provides space to enter and edit formulas. The formula bar refers to the area directly below the toolbar and is visible only if you select Formula bar, in the Show/Hide drop-down.
 |  | Cancels edits made on the formula bar.
 |  | Saves the edits made on the formula bar.
 |  | Launches the expression builder, which assists you to create a formula.
 | List of parts and assemblies Displays a list of BOM items shown in the parts list.
 |  | Format User-defined component property.
 |  | Zone Section on the drawing where the part is located.
 |  | Item Item number associated with the part. Changing the item number updates the BOM and associated balloons.
 |  | Part Number NoteThe part numbers for standard parts and features are derived from the standard content and adheres to GOST part number rules. the default value for other types of parts is the content of the NAME component property.
 |  | Description A description of the part. Changing the description automatically updates the BOM.
 |  | Qty Total number of the specific part. Changing the quantity automatically updates the BOM.
 |  | Comments User-added comments about the part.
 |  | Expand Category Click the plus sign to display the parts in the category.
 |  | Collapse Category Click the minus sign to hide the parts in the category.
 |  | Balloon exists for part Indicates whether a balloon is associated with the part.
Settings Displays the Parts List Settings dialog box, enabling you to change the default parts list settings


Create and place parts list in drawings (Quick Reference)

Create and place parts list in drawings
Create and place parts list in drawings
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Create and place parts list in drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

Use this dialog box to configure the default settings parts list based on the GOST standard.

Revision Displays the name and the revision of the standard that controls the default settings of parts lists.
General
 | Split at page boundary When checked, adds page breaks to the parts list if the drawing has multiple pages. the parts list divisions are equal to the number of pages in the drawing.
Text Controls the default text settings for parts list heading and body rows.
 | Header
 |  | Style Defines the text style to be used for the heading row. This option is available only if the current standard is a custom standard.
 |  | Height Defines the text height to be used for the heading row. If the current standard is a custom standard, you can set any text height. If not, the system restricts you to values allowed by the drafting standard; you must select a text height from the list. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Color Defines the text color to be used for the heading row. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Control Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.
 | Data
 |  | Style Defines the text style to be used for the data rows. This option is available only if the current standard is a custom standard.
 |  | Height Defines the text height to be used for the data rows. If the current standard is a custom standard, you can set any text height. If not, the system restricts you to values allowed by the drafting standard; you must select a text height from the list. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Color Defines the text color to be used for the data rows. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Control Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.
 |  | Spacing Defines the gap between two data rows.
Internal Margins
 | Header Sets the amount of white space for the heading row.
 |  | Top Sets the distance from the top of the row to the top of the text.
 |  | Bottom Sets the distance from the bottom of the row to the bottom of the text.
 |  | Left Sets the distance from the left edge of a column to the left edge of left aligned text.
 |  | Right Sets the distance from the right edge of a column to the right edge of right aligned text.
 | Data Sets the amount of white space for the data rows.
 |  | Top Sets the distance from the top of the row to the top of the text.
 |  | Bottom Sets the distance from the bottom of the row to the bottom of the text.
 |  | Left Sets the distance from the left edge of a column to the left edge of left aligned text.
 |  | Right Sets the distance from the right edge of a column to the right edge of right aligned text.
Item numbering
 | Start from Specifies the starting item number used in the Renumber All operation.
 | Increase by Specifies the item number increment used in the Renumber All operation.
 | Skip after category Specifies the number of item numbers to skip between the last item in one category and the first item in the next category in the Renumber All operation.
Layout
 | Lines to skip after category Specifies the number of blank lines to insert at the end of each category. Blank lines cannot be edited or deleted.
 | Skip line after each part Controls whether to add a blank line after each part.
Restore Defaults Resets all settings to the default settings for the current drafting standard.


Edit the parts list data and layout (Concept)

Create and place parts list in drawings
Create and modify parts list for GOST based drawings
Export parts list
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you create a parts list, its layout conforms to the settings saved with the current drafting standard. Once a parts list is created, you can override most settings (See the Configuration and Setup Guide for information on how to change the defaults). Some of the changes you can make include the following:

  • Add a new category.

    Add a user-defined category to the parts list. By default, standard GOST categories with item in the BOM are added to the parts list.

  • Change Category

    Move items between categories.

  • Add an empty row.

    Insert an empty row into the parts list. You cannot add a custom part in the empty row, use the BOM dialog box to add custom parts.

  • Move rows.

    Use buttons in the dialog box to move a category or row up or down in the parts list.

  • Renumber items.

    Automatically change item numbers using the Renumber Items dialog box.


Edit the parts list data and layout (Procedure)

Create and place parts list in drawings
Up a level to ..
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a new category

To add an empty row

To change an item category

To move a category or row up

To move a category or row down

To delete a category or empty row

To renumber all items

To renumber items manually

To sort parts lists

To enter a formula to a cell


Edit the parts list data and layout (Quick Reference)

Create and place parts list in drawings
Edit the parts list data and layout
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTLIST

Parts List GOST dialog box

Parts List Settings dialog box

Change Category dialog box

Renumber Items dialog box

Sort dialog box


To add a new category (Procedure)

Edit the parts list data and layout
Up a level to ..
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a new category

  1. Click Annotate tab [image] BOM panel [image] . At the Command prompt, enter AMPARTLIST.
  2. At the Command prompt, enter MAIN.
  3. In the dialog box toolbar, click [image] . AutoCAD Mechanical adds the category placeholder (named Custom Category <n>) to the parts list.
  4. Click the new category cell. The placeholder name appears in the Edit Formula field.
  5. Type the new category name and press Enter. The new category name appears.
  6. Click Apply to add the new category and continue adding information to the parts list or click OK to add the new category and close the dialog box.


To add an empty row (Procedure)

Edit the parts list data and layout
Up a level to ..
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add an empty row

NoteYou can add an empty row above or below an existing row. The new row is not editable.
  1. Click Annotate tab [image] BOM panel [image] . At the Command prompt, enter AMPARTLIST.
  2. At the Command prompt, enter MAIN.
  3. In the Parts List, click the row where you want to add a new row.
  4. In the dialog box toolbar, click [image] AutoCAD Mechanical adds an empty row above the selected row.
  5. Click Apply to add the empty row and continue adding information to the parts list or click OK to add the empty row and close the dialog box.


To change an item category (Procedure)

Edit the parts list data and layout
Up a level to ..
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change an item category

  1. Click Dashboard tab [image] BOM panel [image] . At the Command prompt, enter AMPARTLIST.
  2. At the Command prompt, enter MAIN.
  3. In the Parts List, click the part row to move to a different category.
  4. In the dialog box toolbar, click [image] . The Change Category dialog box is displayed. The current category is listed in the Current Category field.
    • In the Change Category dialog box, New Category box, click the down arrow to display a list of existing and custom categories.
    • Select the new category from the drop-down list.
    • Click OK to accept the change and close the dialog box.
  5. In the Parts List dialog box, click Apply to accept the change and continue working in the parts list or click OK to accept the change and close the dialog box.


To move a category or row up (Procedure)

Edit the parts list data and layout
Up a level to ..
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move a category or row up

NoteThe GOST parts list has specific requirements for category rows and empty rows. The program activates or deactivates some icons so that you can move or delete only specific rows.
  1. Click Dashboard tab [image] BOM panel [image] . At the Command prompt, enter AMPARTLIST.
  2. At the Command prompt, enter MAIN.
  3. In the Parts List, click the empty row or category to move up.
  4. In the dialog box toolbar, click [image] . The program moves the row or category. All of the items in a category are moved with the category row..
  5. Click Apply to accept the change and continue working in the parts list or click OK to accept the change and close the dialog box.


To move a category or row down (Procedure)

Edit the parts list data and layout
Up a level to ..
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move a category or row down

NoteThe GOST parts list has specific requirements for category rows and empty rows. The program activates or deactivates some icons so that you can move or delete only specific rows.
  1. Click Dashboard tab [image] BOM panel [image] . At the Command prompt, enter AMPARTLIST.
  2. At the Command prompt, enter MAIN.
  3. In the Parts List, click the empty row or category to move down.
  4. In the dialog box toolbar, click [image] . The program moves the row or category. All of the items in a category are moved with the category row.
  5. Click Apply to accept the change and continue working in the parts list or click OK to accept the change and close the dialog box.


To delete a category or empty row (Procedure)

Edit the parts list data and layout
Up a level to ..
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete a category or empty row

NoteThe GOST parts list has specific requirements for category rows and empty rows. The program activates or deactivates some icons so that you can move or delete only specific rows.
  1. Click Dashboard tab [image] BOM panel [image] . At the Command prompt, enter AMPARTLIST.
  2. At the Command prompt, enter MAIN.
  3. In the Parts List, click the empty row or category to delete.
  4. In the dialog box toolbar, click [image] . AutoCAD Mechanical removes the row and moves the remaining rows up. If you delete a category row, the items remain in the parts list. You can reassign them as needed.
  5. Click Apply to accept the change and continue working in the parts list or click OK to accept the change and close the dialog box.


To renumber all items (Procedure)

Edit the parts list data and layout
Up a level to ..
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To renumber all items

NoteThe Renumber all items option is enabled only when there is at least one ordinary (non-category) row in the parts list.
  1. Click Dashboard tab [image] BOM panel [image] . At the Command prompt, enter AMPARTLIST.
  2. At the Command prompt, enter MAIN.
  3. In the dialog box toolbar, click [image] . The Renumber Items dialog box is displayed.
  4. In the Renumber Items dialog box, you can make the following choices:
    • Start From - Select the beginning number.
    • Increase by - Increase the item number by the selected amount.
    • Skip after category - Select the number of item numbers to skip when moving to the next category.
  5. Click OK to accept the change and close the dialog box.


To renumber items manually (Procedure)

Edit the parts list data and layout
Up a level to ..
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To renumber items manually

  1. Click Dashboard tab [image] BOM panel [image] . At the Command prompt, enter AMPARTLIST.
  2. At the Command prompt, enter MAIN
  3. In the dialog box, highlight the item number to change.
  4. Type the new item number. The program updates the BOM and associated balloons automatically.
  5. Click OK to accept the change and close the dialog box.
NoteACM does not automatically check for duplicate part numbers.


To sort parts lists (Procedure)

Edit the parts list data and layout
Up a level to ..
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To sort parts lists

  1. In the drawing area, double-click the parts list to edit. The Parts List dialog box is displayed.
  2. To sort selected rows only, press the CTRL key and click the row headings of the rows to sort.

    To sort the entire parts list, do not select any rows.

  3. Click [image] . The Sort data dialog box is displayed.
  4. In the Key 1 section, select the primary sort column and sort order.
  5. If you require secondary and tertiary sort criteria, select the columns and order from the Key 2 and Key 3 sections.
  6. Click OK.


To enter a formula to a cell (Procedure)

Edit the parts list data and layout
Up a level to ..
Export parts list
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enter a formula to a cell

  1. In the drawing area, double-click the parts list. The Parts List dialog box is displayed.
  2. Place the cursor in the cell to create the formula for.
  3. In the Formula Bar, click [image] . The Expression Builder dialog box is displayed.
  4. In the Select value type list, select Formula.
  5. In the expression box, add References, Operators, and Functions as required.

    For example, to create a formula for Cost truncated to the nearest dollar (Integer value of Price × Quantity):

    1. In the Category list, select Function.
    2. In the Select list, select INT and click Add. The Expression area shows =INT().
    3. In the Expression area, place the cursor between the brackets.
    4. In the Category list, select BOM Properties.
    5. In the Select list, select QTY and click Add. The program adds the reference <QTY> to the expression area.
    6. Type the asterisk character (*) after <QTY>.
    7. In the Select list, select PRICE and click Add. The formula =INT(<QTY>*<PRICE>) is complete.
  6. Click OK.
See Also
    • About formulas


Edit the parts list data and layout (Quick Reference)

Edit the parts list data and layout
Edit the parts list data and layout
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTLIST

Creates a parts list and enables you to place it in the drawing area.

Ribbon: Annotate tab [image] Table panel [image] Parts List. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] Parts List Does not exist in the menus.
Command entry: ampartlist

At the command prompt you can select what BOM to base the parts list on. You can select further options in the parts list dialog box, which is displayed before placing the parts list in the drawing area.

COMMAND LINE OPTIONS

Specify BOM to create or set current [?/Main] <Main>: Press ENTER to select or create the main BOM database. To select or create a Border BOM database, click the corresponding border in model space. To see a list of existing BOM databases, enter ?. To create or set the current database to one of the listed BOM databases, type the name of the BOM database and press ENTER.


Edit the parts list data and layout (Quick Reference)

Edit the parts list data and layout
Edit the parts list data and layout
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List GOST dialog box

Use this dialog box to view the parts list, rearrange the parts list, and export the parts list to Excel.

Toolbar buttons
 | Export the current parts list to an Excel file that adheres to GOST standard requirements.
 | Exports the current parts list to a temporary Excel file that adheres to GOST requirements, and opens it for preview.
 | Creates a category header row and a non-editable blank row at the end of the parts list.
 | Insert an empty row above the selected row.
 | Insert item drop-down
 |  | Insert row above Insert an empty row above the selected row.
 |  | Insert row below Insert an empty row below the selected row.
 | Deletes the selected row. If the row is a category header, the rows in that category are not automatically reassigned.
 | Moves the selected row one position up. If the row is a category row, the category row and all items in the category are moved up.
 | Moves the selected row one position down. If the row is a category row, the category row and all items in the category are moved down.
 | Displays the Change Category dialog box so that you can specify a new category. The selected row is moved to the new category.
 | Removes overrides from the current selection and restores their default values. This button is available only when overrides exist within the current selection.
 | Displays the Renumber Items dialog box that displays options to renumber all items in the part list.
 | Displays the Sort Items dialog box, providing various options to sort the items in the part list.
 | Show/Hide drop-down
 |  | Formula bar Displays an area below the toolbar (the formula bar), to enable you to enter and edit formulas. A check mark next to the menu item indicates that the formula bar is displayed.
Layout
 | Lines to skip after category Add the specified number of empty rows after the category row. After the last row of each category.
 | Skip line after each part Add one empty row after each part.
Parts list contents .
 | Formula Bar Provides space to enter and edit formulas. The formula bar refers to the area directly below the toolbar and is visible only if you select Formula bar, in the Show/Hide drop-down.
 |  | Cancels edits made on the formula bar.
 |  | Saves the edits made on the formula bar.
 |  | Launches the expression builder, which assists you to create a formula.
 | List of parts and assemblies Displays a list of BOM items shown in the parts list.
 |  | Format User-defined component property.
 |  | Zone Section on the drawing where the part is located.
 |  | Item Item number associated with the part. Changing the item number updates the BOM and associated balloons.
 |  | Part Number NoteThe part numbers for standard parts and features are derived from the standard content and adheres to GOST part number rules. the default value for other types of parts is the content of the NAME component property.
 |  | Description A description of the part. Changing the description automatically updates the BOM.
 |  | Qty Total number of the specific part. Changing the quantity automatically updates the BOM.
 |  | Comments User-added comments about the part.
 |  | Expand Category Click the plus sign to display the parts in the category.
 |  | Collapse Category Click the minus sign to hide the parts in the category.
 |  | Balloon exists for part Indicates whether a balloon is associated with the part.
Settings Displays the Parts List Settings dialog box, enabling you to change the default parts list settings


Edit the parts list data and layout (Quick Reference)

Edit the parts list data and layout
Edit the parts list data and layout
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

Use this dialog box to configure the default settings parts list based on the GOST standard.

Revision Displays the name and the revision of the standard that controls the default settings of parts lists.
General
 | Split at page boundary When checked, adds page breaks to the parts list if the drawing has multiple pages. the parts list divisions are equal to the number of pages in the drawing.
Text Controls the default text settings for parts list heading and body rows.
 | Header
 |  | Style Defines the text style to be used for the heading row. This option is available only if the current standard is a custom standard.
 |  | Height Defines the text height to be used for the heading row. If the current standard is a custom standard, you can set any text height. If not, the system restricts you to values allowed by the drafting standard; you must select a text height from the list. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Color Defines the text color to be used for the heading row. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Control Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.
 | Data
 |  | Style Defines the text style to be used for the data rows. This option is available only if the current standard is a custom standard.
 |  | Height Defines the text height to be used for the data rows. If the current standard is a custom standard, you can set any text height. If not, the system restricts you to values allowed by the drafting standard; you must select a text height from the list. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Color Defines the text color to be used for the data rows. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Control Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.
 |  | Spacing Defines the gap between two data rows.
Internal Margins
 | Header Sets the amount of white space for the heading row.
 |  | Top Sets the distance from the top of the row to the top of the text.
 |  | Bottom Sets the distance from the bottom of the row to the bottom of the text.
 |  | Left Sets the distance from the left edge of a column to the left edge of left aligned text.
 |  | Right Sets the distance from the right edge of a column to the right edge of right aligned text.
 | Data Sets the amount of white space for the data rows.
 |  | Top Sets the distance from the top of the row to the top of the text.
 |  | Bottom Sets the distance from the bottom of the row to the bottom of the text.
 |  | Left Sets the distance from the left edge of a column to the left edge of left aligned text.
 |  | Right Sets the distance from the right edge of a column to the right edge of right aligned text.
Item numbering
 | Start from Specifies the starting item number used in the Renumber All operation.
 | Increase by Specifies the item number increment used in the Renumber All operation.
 | Skip after category Specifies the number of item numbers to skip between the last item in one category and the first item in the next category in the Renumber All operation.
Layout
 | Lines to skip after category Specifies the number of blank lines to insert at the end of each category. Blank lines cannot be edited or deleted.
 | Skip line after each part Controls whether to add a blank line after each part.
Restore Defaults Resets all settings to the default settings for the current drafting standard.


Edit the parts list data and layout (Quick Reference)

Edit the parts list data and layout
Edit the parts list data and layout
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Change Category dialog box

Use this dialog box to change a category in the parts list. Select from a user-defined category or a default category.

Current Category

The category in which the selected row is located.

New Category

New category where you want to move the selected row.


Edit the parts list data and layout (Quick Reference)

Edit the parts list data and layout
Edit the parts list data and layout
Edit the parts list data and layout
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Renumber Items dialog box

Use this dialog box to set renumbering rules for the GOST parts list.

Start from

Select a new item starting number.

Increase by

Increment the number by the selected amount.

Skip after category

Number of empty lines to skip after the category row.


Edit the parts list data and layout (Quick Reference)

Edit the parts list data and layout
Edit the parts list data and layout
Export parts list
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Edit the parts list data and layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sort dialog box

Use this dialog box to sort BOM items.

Key 1, Key 2, Key 3 Specifies the columns used as sort keys. Key 1 refers to the primary sort column, key 2 for the secondary and key 3 for the tertiary.
 | Ascending Arranges items in the sequence of the lowest value to the highest.
 | Descending Arranges items in the sequence of the highest value to the lowest.


Export parts list (Concept)

Edit the parts list data and layout
Create and modify parts list for GOST based drawings
Create and modify balloons
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Export parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The GOST parts list can be exported to a Microsoft Excel spreadsheet. In addition, you can preview the parts list in Excel before you export it. The spreadsheet, PartsListTemplate.xls, is formatted specifically for the standard. GOST formatting includes one or more font and text formatting styles required by the standard.

The template is stored in the following location for the specified operating system:

  • Windows Vista: C:\Users\Public\Documents\Autodesk\ACADM 2010\Acadm\gen\xls\

  • Windows XP: C:\Documents and Settings\All Users\Documents\Autodesk\ACADM 2010\Acadm\gen\xls

The Russian version of the template is delivered with the application. However, if you want to create the template with another language, rename the existing template and name the new template PartsListTemplate.xls and place it in the same location.


Export parts list (Procedure)

Edit the parts list data and layout
Up a level to ..
Export parts list
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Export parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To export a GOST parts list to Excel

To preview the GOST parts list in Excel


Export parts list (Quick Reference)

Edit the parts list data and layout
Export parts list
Export parts list
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Export parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTLIST

Parts List GOST dialog box

Parts List Settings dialog box


To export a GOST parts list to Excel (Procedure)

Export parts list
Up a level to ..
Export parts list
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Export parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To export a GOST parts list to Excel

NoteIf you make changes to the Excel file after export, those changes are not reflected in the parts list or the BOM. You must add your changes to the parts list before you exporting.
  1. Click Dashboard tab [image] BOM panel [image] . At the Command prompt, enter AMPARTLIST.
  2. At the Command prompt, enter MAIN.
  3. In the dialog box toolbar, click [image] . The Export dialog box is displayed.
  4. In the Export dialog box, complete the following:
    • In the Save in field, navigate to the folder where you want to save the Excel file.
    • In the File name field, type a file name.
    • Click OK. The program exports the parts list.
  5. To view the Excel parts list, open Excel and locate the folder and file.


To preview the GOST parts list in Excel (Procedure)

Export parts list
Up a level to ..
Create and modify balloons
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Export parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To preview the GOST parts list in Excel

NoteAfter you open the parts list preview in Excel, you can perform regular Excel operations. If you make changes to the Excel file after export, those changes are not reflected in the parts list or the BOM. You must add your changes to the parts list before you exporting.
  1. Click Dashboard tab [image] BOM panel [image] . At the Command prompt, enter AMPARTLIST.
  2. At the Command prompt, enter MAIN.
  3. In the dialog box toolbar, click [image] . The parts list appears in Excel.


Export parts list (Quick Reference)

Export parts list
Export parts list
Export parts list
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Export parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPARTLIST

Creates a parts list and enables you to place it in the drawing area.

Ribbon: Annotate tab [image] Table panel [image] Parts List. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] Parts List Does not exist in the menus.
Command entry: ampartlist

At the command prompt you can select what BOM to base the parts list on. You can select further options in the parts list dialog box, which is displayed before placing the parts list in the drawing area.

COMMAND LINE OPTIONS

Specify BOM to create or set current [?/Main] <Main>: Press ENTER to select or create the main BOM database. To select or create a Border BOM database, click the corresponding border in model space. To see a list of existing BOM databases, enter ?. To create or set the current database to one of the listed BOM databases, type the name of the BOM database and press ENTER.


Export parts list (Quick Reference)

Export parts list
Export parts list
Export parts list
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Export parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List GOST dialog box

Use this dialog box to view the parts list, rearrange the parts list, and export the parts list to Excel.

Toolbar buttons
 | Export the current parts list to an Excel file that adheres to GOST standard requirements.
 | Exports the current parts list to a temporary Excel file that adheres to GOST requirements, and opens it for preview.
 | Creates a category header row and a non-editable blank row at the end of the parts list.
 | Insert an empty row above the selected row.
 | Insert item drop-down
 |  | Insert row above Insert an empty row above the selected row.
 |  | Insert row below Insert an empty row below the selected row.
 | Deletes the selected row. If the row is a category header, the rows in that category are not automatically reassigned.
 | Moves the selected row one position up. If the row is a category row, the category row and all items in the category are moved up.
 | Moves the selected row one position down. If the row is a category row, the category row and all items in the category are moved down.
 | Displays the Change Category dialog box so that you can specify a new category. The selected row is moved to the new category.
 | Removes overrides from the current selection and restores their default values. This button is available only when overrides exist within the current selection.
 | Displays the Renumber Items dialog box that displays options to renumber all items in the part list.
 | Displays the Sort Items dialog box, providing various options to sort the items in the part list.
 | Show/Hide drop-down
 |  | Formula bar Displays an area below the toolbar (the formula bar), to enable you to enter and edit formulas. A check mark next to the menu item indicates that the formula bar is displayed.
Layout
 | Lines to skip after category Add the specified number of empty rows after the category row. After the last row of each category.
 | Skip line after each part Add one empty row after each part.
Parts list contents .
 | Formula Bar Provides space to enter and edit formulas. The formula bar refers to the area directly below the toolbar and is visible only if you select Formula bar, in the Show/Hide drop-down.
 |  | Cancels edits made on the formula bar.
 |  | Saves the edits made on the formula bar.
 |  | Launches the expression builder, which assists you to create a formula.
 | List of parts and assemblies Displays a list of BOM items shown in the parts list.
 |  | Format User-defined component property.
 |  | Zone Section on the drawing where the part is located.
 |  | Item Item number associated with the part. Changing the item number updates the BOM and associated balloons.
 |  | Part Number NoteThe part numbers for standard parts and features are derived from the standard content and adheres to GOST part number rules. the default value for other types of parts is the content of the NAME component property.
 |  | Description A description of the part. Changing the description automatically updates the BOM.
 |  | Qty Total number of the specific part. Changing the quantity automatically updates the BOM.
 |  | Comments User-added comments about the part.
 |  | Expand Category Click the plus sign to display the parts in the category.
 |  | Collapse Category Click the minus sign to hide the parts in the category.
 |  | Balloon exists for part Indicates whether a balloon is associated with the part.
Settings Displays the Parts List Settings dialog box, enabling you to change the default parts list settings


Export parts list (Quick Reference)

Export parts list
Export parts list
Create balloons
Add BOMs, balloons, and parts lists > Create and modify parts list for GOST based drawings >
Export parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

Use this dialog box to configure the default settings parts list based on the GOST standard.

Revision Displays the name and the revision of the standard that controls the default settings of parts lists.
General
 | Split at page boundary When checked, adds page breaks to the parts list if the drawing has multiple pages. the parts list divisions are equal to the number of pages in the drawing.
Text Controls the default text settings for parts list heading and body rows.
 | Header
 |  | Style Defines the text style to be used for the heading row. This option is available only if the current standard is a custom standard.
 |  | Height Defines the text height to be used for the heading row. If the current standard is a custom standard, you can set any text height. If not, the system restricts you to values allowed by the drafting standard; you must select a text height from the list. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Color Defines the text color to be used for the heading row. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Control Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.
 | Data
 |  | Style Defines the text style to be used for the data rows. This option is available only if the current standard is a custom standard.
 |  | Height Defines the text height to be used for the data rows. If the current standard is a custom standard, you can set any text height. If not, the system restricts you to values allowed by the drafting standard; you must select a text height from the list. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Color Defines the text color to be used for the data rows. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Control Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.
 |  | Spacing Defines the gap between two data rows.
Internal Margins
 | Header Sets the amount of white space for the heading row.
 |  | Top Sets the distance from the top of the row to the top of the text.
 |  | Bottom Sets the distance from the bottom of the row to the bottom of the text.
 |  | Left Sets the distance from the left edge of a column to the left edge of left aligned text.
 |  | Right Sets the distance from the right edge of a column to the right edge of right aligned text.
 | Data Sets the amount of white space for the data rows.
 |  | Top Sets the distance from the top of the row to the top of the text.
 |  | Bottom Sets the distance from the bottom of the row to the bottom of the text.
 |  | Left Sets the distance from the left edge of a column to the left edge of left aligned text.
 |  | Right Sets the distance from the right edge of a column to the right edge of right aligned text.
Item numbering
 | Start from Specifies the starting item number used in the Renumber All operation.
 | Increase by Specifies the item number increment used in the Renumber All operation.
 | Skip after category Specifies the number of item numbers to skip between the last item in one category and the first item in the next category in the Renumber All operation.
Layout
 | Lines to skip after category Specifies the number of blank lines to insert at the end of each category. Blank lines cannot be edited or deleted.
 | Skip line after each part Controls whether to add a blank line after each part.
Restore Defaults Resets all settings to the default settings for the current drafting standard.


Create and modify balloons

Export parts list
Add BOMs, balloons, and parts lists
About balloons
Add BOMs, balloons, and parts lists >
Create and modify balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • About balloons
  • Create balloons
  • Modify balloons
  • Modify balloon leaders
  • Organize balloons


Create and modify balloons (Procedure)

Export parts list
Create and modify balloons
Create balloons
Add BOMs, balloons, and parts lists >
Create and modify balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To check or change the current BOM while ballooning

To create a balloon

To create multiple balloons

To create a balloon with the leader starting at a specific place

To create collected balloons

To create a part reference with a balloon

To create balloons for an annotation view

To override the balloon type of a standard-based balloon

To convert a standard-based balloon to a custom balloon

To convert a custom balloon to a standard based balloon

To change the leader arrowhead

To detach a balloon

To attach a balloon

To add a leader or leader segments

To delete a leader or leader segments

To override the leader connection point of a custom balloon

To align balloons

To renumber balloons

To collect balloons

To remove a balloon from a collection

To change the alignment of a collected balloon


About balloons

Create and modify balloons
Create and modify balloons
Create balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
About balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A balloon is a graphic that identifies a part or assembly component and associates it with a label. Only the parts that have a corresponding entry in a parts list can be ballooned. Balloons are by default set to display item numbers. However, you can create a formula for the value (text) displayed in balloons.

Balloon types

The system supports several standard based balloon types. At configuration time, you select a default balloon type. Once balloons are created you can select a balloon and override the balloon type.

Custom balloons

If you need balloons of a special shape, or to display more component properties than is allowed in standard-based balloons, you can create custom balloons using blocks. See Set up custom balloons in the Configuration and Setup Guide for more information.

Balloon leaders

Balloons by default have one leader. However you can opt to have multiple leaders, or no leader at all (stand-alone balloons). Stand-alone balloons are always placed at the center of the corresponding part reference or component (part or assembly).

You can attach balloon leaders to objects in the drawing. If the attached object moves, the balloon leader moves with it.

Collected balloons

Several balloon labels can be collected on one leader. Collected balloons are aligned horizontally or vertically. Custom balloons, when collected are connected at their extents.

Arrangement of balloons

Balloons can be aligned horizontally, vertically, or in any straight line. The distance between the aligned balloons is part of the default settings for balloons.

Default settings for balloons

You set the defaults for balloon type in the Balloon Settings dialog box and the BOM Settings dialog box. See the Configuration and Setup Guide for information on how to configure the default settings.


Create balloons (Concept)

About balloons
Create and modify balloons
Modify balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Create balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Use the AMBALLOON command to create balloons in a drawing. In drawings with several BOMs, it is important to ensure that the appropriate BOM is set as the current BOM. When balloons are created they are linked with the current BOM.

TipWhen creating balloons for annotations view, use the Create Balloons right-click menu option on the mechanical browser so AutoCAD Mechanical automatically selects the correct BOM for you.

When you create a balloon, the default settings are obtained from the current drafting standard. For information on how to customize the default settings, see the Configuration and Setup Guide.

You can create a single balloon or create multiple balloons simultaneously. For multiple balloons, you have the option to align the balloons horizontally, vertically, or in any straight line.

By default, the balloon leaders start at the center of a part reference or are attached to the component (part or assembly). If necessary, you can create balloons with leader start points at positions other than on the part reference or component.

You can create balloons so several balloons are collected under one leader. You have the option of specifying how to align the collected balloons. If the default balloon style is set to custom balloons, the collected balloons are connected at their extents.

If you do not use mechanical structure, you may come across situations where the object you want to balloon has not been flagged as a part by attaching a part reference to it. In such a case, you can create the part reference and the balloon together.

If you use mechanical structure, you typically balloon assemblies in annotation views. When you balloon annotation views, AutoCAD Mechanical automatically selects the correct assembly BOM. The Balloon geometry does not belong to the Annotation View definition. If you activate the Annotation View or xref to it from another drawing, the balloons behave as though they do not belong to the Annotation View.


Create balloons (Procedure)

Create and modify balloons
Up a level to ..
Create balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Create balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To check or change the current BOM while ballooning

To create a balloon

To create multiple balloons

To create a balloon with the leader starting at a specific place

To create collected balloons

To create a part reference with a balloon

To create balloons for an annotation view


To check or change the current BOM while ballooning (Procedure)

Create balloons
Up a level to ..
Create balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Create balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To check or change the current BOM while ballooning

  1. Click None [image] None [image] At the Command prompt, enter AMBALLOON.
  2. Examine the prompt. The prompt indicates the current BOM.
    NoteIf the current BOM setting is not available, resize the command window or use the scroll bar to display the setting within the viewable area.
  3. If the current BOM is not the one to use for ballooning, enter B to select the set BOM option.
  4. To select the Main BOM, enter MAIN.

    To select a Border BOM, click the appropriate border.

    To select an assembly BOM for an annotation view, click a geometry that belongs to the annotation view.

    TipWhen creating balloons for annotations view, if you use the Create Balloons right-click menu option on the mechanical browser, AutoCAD Mechanical automatically selects the correct BOM for you.

    To select an assembly BOM, enter the name of the assembly.


To create a balloon (Procedure)

Create balloons
Up a level to ..
Create balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Create balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a balloon

  1. Click Annotate tab [image] Balloon panel [image] Balloons [image] At the Command prompt, enter AMBALLOON.
  2. Examine the prompt and verify that the current BOM setting is correct.
  3. In the drawing area, select a part reference or component (part or assembly).
    NoteWhen you place the pointer over a part reference or component, a tooltip appears.
  4. In the drawing area, click to indicate the second point for the balloon leader, and continue until the balloon is in the location you want.
  5. Press ENTER to place the balloon.
  6. Press ENTER to end the procedure.
NoteYou can use all view types, except Active Part view, when you create balloons.
TipYou can use the grip points to move the points of the balloon leader.


To create multiple balloons (Procedure)

Create balloons
Up a level to ..
Create balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Create balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create multiple balloons

  1. Click Annotate tab [image] Balloon panel [image] Balloons [image] At the Command prompt, enter AMBALLOON.
  2. Examine the prompt and verify that the current BOM setting is correct.
  3. Enter A to select the AutoAll option, or T to select the Auto option. In the drawing area, the [image] icon indicates part references and components (parts and assemblies).
    NoteChoose the Auto option to select only the non ballooned part references to create balloons. Choose the AutoAll option to create balloons for any part references in the drawing.
  4. Select the [image] icon corresponding to the objects to create balloons for.
  5. Press ENTER to end the selection.
  6. Press H or V to apply the Horizontal or Vertical balloon alignment.

    To select the stand-alone placement of the balloons, press S.

    To arrange along a line that is not horizontal or vertical:

    1. Enter A to select the Angle option.
    2. In the drawing area, click at two points to indicate the direction of the straight line.
  7. In the drawing area, click to indicate the position to place the balloons.


To create a balloon with the leader starting at a specific place (Procedure)

Create balloons
Up a level to ..
Create balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Create balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a balloon with the leader starting at a specific place

  1. Click Annotate tab [image] Balloon panel [image] Balloons [image] At the Command prompt, enter AMBALLOON.
  2. Examine the prompt and verify that the current BOM setting is correct.
  3. Press O to select the One option.
  4. In the drawing area, select a part reference or component (part or assembly).
    NoteWhen you place the pointer over a part reference or component, a tooltip appears.
  5. In the drawing area, click the position to place the start point of the balloon.
  6. In the drawing area, click to indicate the second point for the balloon leader. Continue until the balloon is in the location you want.
  7. Press ENTER.
  8. Press ENTER again to end the procedure.


To create collected balloons (Procedure)

Create balloons
Up a level to ..
Create balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Create balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create collected balloons

  1. Click Annotate tab [image] Balloon panel [image] Balloons [image] At the Command prompt, enter AMBALLOON.
  2. Examine the prompt and verify that the current BOM setting is correct.
  3. Enter C to select the Collect option.
  4. In the drawing area, select the part references or components (parts and assemblies) to identify with the collected balloon.
  5. Press ENTER to end the selection.
  6. Enter N to create a new collected balloon, or select an existing balloon to add the new balloons to.
  7. To create a new collected balloon, select the start point and next points of the balloon leader and press ENTER.
  8. Select the orientation of the collected balloon.


To create a part reference with a balloon (Procedure)

Create balloons
Up a level to ..
Create balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Create balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a part reference with a balloon

  1. Click Annotate tab [image] Balloon panel [image] Balloons [image] At the Command prompt, enter AMBALLOON.
  2. Examine the prompt and verify that the current BOM setting is correct.
  3. Enter M to select the Manual option.
  4. In the drawing area, click to point the location of the part reference.
  5. In the Part Reference dialog box, enter the component property data and click OK.
  6. In the drawing area, click at the position to place the start point of the balloon.
  7. In the drawing area, click to indicate the second point for the balloon leader, and continue until the balloon is in the location you want.
  8. Press ENTER to place the balloon.
  9. Press ENTER to end the procedure.


To create balloons for an annotation view (Procedure)

Create balloons
Up a level to ..
Modify balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Create balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create balloons for an annotation view

  1. From the mechanical browser, right-click the annotation view to balloon and select Create Balloons. In the drawing area, the [image] icon indicates the components (parts and assemblies) that you can balloon.
  2. Select the [image] icon corresponding to the objects to create balloons for.
  3. Press ENTER to end the selection. A preview of the balloons appears in the drawing area.
  4. To apply the Horizontal or Vertical balloon alignment, press H, or V.

    To select the standalone placement of the balloons, press S.

    To arrange balloons along a line that is not horizontal or vertical:

    1. Press A to select the Angle option.
    2. In the drawing area, click at two points to indicate the direction of the straight line.
  5. In the drawing area, click to indicate the position to place the balloons.


Create balloons (Quick Reference)

Export parts list
Create balloons
Modify balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Create balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBALLOON

Creates and places balloons in the drawing area.

Ribbon: Annotate tab [image] Balloon panel [image] Balloons. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] Balloons Does not exist in the menus.
Command entry: amballoon

You can select the parts you want to balloon or automatically create balloons for all non-ballooned parts. You can also renumber and reorganize balloons that exist in the drawing area.

COMMAND LINE OPTIONS

Current BOM = MAIN

Select part/assembly or [auTo/autoAll/set Bom/Collect/arrow Inset/Manual/One/Renumber/rEorganize/annotation View] The command line displays the current BOM before displaying this prompt. Select a part or subassembly in the drawing, or select an option from the list.

Auto

Creates balloons for the selected part references. This option lets you select only the part references that have not been ballooned yet. If you select only one part reference, AutoCAD Mechanical automatically jumps to the “One” command line option.

If mechanical structure is not enabled, the balloon leaders start from the center of the part references. If mechanical structure is enabled, the balloon leaders start from the edges of the part or assembly, at the start point of the balloon leader in the preview.

Select pick object: Select part references and press ENTER.
Align [Angle/Standalone/Horizontal/Vertical]<Vertical>: Selet an aligning option or click in the drawing area to place the balloons.
 | Angle Lines up the balloons so that they are parallel to a line that you specify. You typically use this option to line up balloons at an angle.
 | Specify first point: In the drawing area click a point to define the start point of the line you want the balloons to be parallel to.
 | Specify second point: Click another point on the line to define the end point of the line to which the balloons will be parallel.
 | Standalone Places the balloon without a leader, on the part. If you use part references, the balloons are placed on the [image] icons. If you use mechanical structure, balloons are placed on the edge of the part or assembly, at the start point of the leader in the preview in the drawing area.
 | Horizontal Lines up the balloons horizontally.
 | Vertical Lines up the balloons vertically.

Auto All

Creates balloons for all selected part references, including those that already have balloons attached to them. If you select only one part reference, AutoCAD Mechanical automatically jumps to the “One” command line option.

If mechanical structure is not enabled, the balloon leaders start from the center of the part references. If mechanical structure is enabled, the balloon leaders start from the edges of the part or assembly, at the start point of the balloon leader in the preview.

Select pick object: Select part references and press ENTER.
Align [Angle/Standalone/Horizontal/Vertical]<Vertical>: Select an aligning option or click in the drawing area to place the balloons.
 | Angle Lines up the balloons so that they are parallel to a line that you specify. You can also use this option to line up balloons at an angle.
 | Specify first point: In the drawing area click a point to define the start point of the line to which the balloons will be parallel.
 | Specify second point: Click another point on the line to define the end point of the line to which the balloons will be parallel.
 | Standalone Places the balloon without a leader, on the part. If you use part references, the balloons are placed on the [image] icons. If you use mechanical structure, balloons are placed on the edge of the part or assembly, at the start point of the leader in the preview in the drawing area.
 | Horizontal Lines up the balloons horizontally.
 | Vertical Lines up the balloons vertically.

Set BOM

Specifies the BOM to set as the current BOM.

Specify BOM to create or set current [?/Main] <Main>: To select or create the main BOM database, enter M. To select or create a Border BOM database, click the corresponding border in model space. To see a list of existing BOMs, enter ?. To create or set the current database to one of the listed BOM databases, type the name of the BOM and press ENTER.

Collect

Creates collected balloons for the selected part references.

Select pick object: Select all part references for the collected balloon. Press ENTER to continue.

Select Balloon [New]: Select a balloon in the drawing area to collect the balloons under, or enter n to create a new collected balloon.

Pick orientation: In the drawing area pick a point to select between horizontal or vertical orientation of the collected balloon.

Arrow Inset

Adds an offset to the start point of balloon leaders so that they do not start on the edge of the part. This option is applicable only if you are ballooning mechanical structure components.

Enter arrow inset <0>: Enter distance to inset arrow and press ENTER.

Manual

Creates a part reference with a balloon. This option forcibly changes the current BOM to the border BOM that corresponds to the border that the part reference is placed in. If you want the balloon to be based on the main BOM, delete the balloon, set the current BOM to MAIN and balloon the part reference again.

Select point [Block/Copy/Reference]: Specify a point to place the new part reference.
 | Select Point Inserts a part reference at the point you specify and displays the Part Reference dialog box. If you place the part reference on an object, the part reference attaches itself to that object.
 | Part Reference dialog box: Enter the component properties and click OK.
 | Select a start point of balloon: Specify a start point for the balloon leader.
 | Next Point: Specify points for leader segments and press ENTER to the place balloon.
 | Block Creates a part reference for a block, connects part reference attributes to the block.
 | Select block reference: Select a block in the drawing to connect a part reference to. NoteIf the block has an attribute that has the same name as a component property, the part reference automatically imports its value into the component property.
 | Copy Creates a complete copy of a part reference, including its data. The new part reference becomes a new BOM item.
 | Select reference to make a copy: Select the part reference you want to copy.
 | Reference Creates a part reference that marks an object as another instance of a part that has already been tagged with a part reference. In the BOM, the new part reference increments the quantity of the original part reference instead of adding another row.
 | Select reference: Select a part reference you want to add another instance of.
 | Select point: Select a point to place the part reference.

One

Places a single balloon in the drawing area. Unlike with the Auto and Auto all options, you must specify the start point for the balloon leader manually.

Select a start point of balloon: Specify a start point for the balloon leader.

Next Point: Specify points for leader segments and press ENTER to the place balloon.

Renumber

Renumbers balloons and changes the item numbers of the selected parts in the current BOM.

Enter starting item number <1>: Enter the number for the first selected balloon.

Enter increment <1>: Enter the increment value for the next selected balloons.

Select balloon: Select the balloons to renumber, in sequence. Press ENTER to end the selection.

Reorganize

Lines up the balloons horizontally, vertically, or in a specified angle. You can also convert the balloons to standalone balloons (balloons without leaders).

Select balloon: Select all balloons you want to reorganize. Press ENTER to end the selection.
Align [Angle/Standalone/Horizontal/Vertical]<Vertical>: Select an aligning option or click in the drawing area to place the balloons.
 | Angle Lines up the balloons so that they are parallel to a line that you specify. You typically use this option to line up balloons at an angle.
 | Specify first point: In the drawing area click a point to define the start point of the line you want the balloons to be parallel to.
 | Specify second point: Click another point on the line to define the end point of the line you want the balloons to be parallel to.
 | Standalone Places the balloon without a leader, on the part. If you use part references, the balloons are placed on the [image] icons. If you use mechanical structure, balloons are placed on the edge of the part or assembly, at the start point of the leader in the preview in the drawing area.
 | Horizontal Lines up the balloons horizontally.
 | Vertical Lines up the balloons vertically.

annotation View

Creates balloons for parts and assemblies in an annotation view. When you balloon annotation views, AutoCAD Mechanical automatically selects the correct assembly BOM as well as all the components to be ballooned.

Align [Angle/Standalone/Horizontal/Vertical]<Vertical>: Select an aligning option or click in the drawing area to place the balloons. NoteThis prompt is displayed only if you select more than one part to balloon.
 | Angle Lines up the balloons so that they are parallel to a line that you specify. You typically use this option to line up balloons at an angle.
 | Specify first point: In the drawing area click a point to define the start point of the line you want the balloons to be parallel to.
 | Specify second point: Click another point on the line to define the end point of the line you want the balloons to be parallel to.
 | Standalone Places the balloon without a leader, on the part of assembly. at the start point of the leader in the preview that is displayed in the drawing area.
 | Horizontal Lines up the balloons horizontally.
 | Vertical Lines up the balloons vertically.


Modify balloons (Concept)

Create balloons
Create and modify balloons
Modify balloon leaders
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you create a balloon, the default settings are obtained from the current drafting standard. If the default balloon style is set to standard-based balloons, the balloons you create default to the balloon type set for that standard. If necessary, you can select a balloon and override this setting with another standard compliant balloon type. The five standard compliant balloon types supported by the system are:

  • Circular balloon
  • Linear balloon
  • Circular balloon displaying two values
  • Open balloon
  • Polygonal balloon

You can override the balloon type, and at any time, you can override the balloon style. Select any standard-based balloon in the drawing and convert it to a custom balloon. Likewise, you can convert custom balloons to standard-based balloons.

For information on how to customize the default settings, and how to create blocks for custom balloons, please refer the Configuration and Setup Guide.


Modify balloons (Procedure)

Create balloons
Up a level to ..
Modify balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To override the balloon type of a standard-based balloon

To convert a standard-based balloon to a custom balloon

To convert a custom balloon to a standard based balloon


Modify balloons (Quick Reference)

Create balloons
Modify balloons
Modify balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBALLOON

Balloon dialog box


To override the balloon type of a standard-based balloon (Procedure)

Modify balloons
Up a level to ..
Modify balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To override the balloon type of a standard-based balloon

  1. In the drawing area, double-click the balloon to override. The Balloon dialog box is displayed.
  2. In the Layout settings section, click the Balloon Type button. A palette showing standard balloon types appears.
  3. Select the appropriate balloon type and click OK.


To convert a standard-based balloon to a custom balloon (Procedure)

Modify balloons
Up a level to ..
Modify balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To convert a standard-based balloon to a custom balloon

  1. In the drawing area, double-click the balloon to convert. The Balloon dialog box is displayed.
  2. In the Balloon style list, select the name of the block to use as the custom balloon.
    NoteOnly the blocks defined in the current drawing appear.
  3. Click OK.


To convert a custom balloon to a standard based balloon (Procedure)

Modify balloons
Up a level to ..
Modify balloon leaders
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To convert a custom balloon to a standard based balloon

  1. In the drawing area, double-click the balloon to convert. The Balloon dialog box is displayed.
  2. In the Balloon style list, select <Standard Balloon>.
  3. In the Balloon Types list select a balloon type.
  4. Click OK.


Modify balloons (Quick Reference)

Modify balloons
Modify balloons
Modify balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBALLOON

Creates and places balloons in the drawing area.

Ribbon: Annotate tab [image] Balloon panel [image] Balloons. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] Balloons Does not exist in the menus.
Command entry: amballoon

You can select the parts you want to balloon or automatically create balloons for all non-ballooned parts. You can also renumber and reorganize balloons that exist in the drawing area.

COMMAND LINE OPTIONS

Current BOM = MAIN

Select part/assembly or [auTo/autoAll/set Bom/Collect/arrow Inset/Manual/One/Renumber/rEorganize/annotation View] The command line displays the current BOM before displaying this prompt. Select a part or subassembly in the drawing, or select an option from the list.

Auto

Creates balloons for the selected part references. This option lets you select only the part references that have not been ballooned yet. If you select only one part reference, AutoCAD Mechanical automatically jumps to the “One” command line option.

If mechanical structure is not enabled, the balloon leaders start from the center of the part references. If mechanical structure is enabled, the balloon leaders start from the edges of the part or assembly, at the start point of the balloon leader in the preview.

Select pick object: Select part references and press ENTER.
Align [Angle/Standalone/Horizontal/Vertical]<Vertical>: Selet an aligning option or click in the drawing area to place the balloons.
 | Angle Lines up the balloons so that they are parallel to a line that you specify. You typically use this option to line up balloons at an angle.
 | Specify first point: In the drawing area click a point to define the start point of the line you want the balloons to be parallel to.
 | Specify second point: Click another point on the line to define the end point of the line to which the balloons will be parallel.
 | Standalone Places the balloon without a leader, on the part. If you use part references, the balloons are placed on the [image] icons. If you use mechanical structure, balloons are placed on the edge of the part or assembly, at the start point of the leader in the preview in the drawing area.
 | Horizontal Lines up the balloons horizontally.
 | Vertical Lines up the balloons vertically.

Auto All

Creates balloons for all selected part references, including those that already have balloons attached to them. If you select only one part reference, AutoCAD Mechanical automatically jumps to the “One” command line option.

If mechanical structure is not enabled, the balloon leaders start from the center of the part references. If mechanical structure is enabled, the balloon leaders start from the edges of the part or assembly, at the start point of the balloon leader in the preview.

Select pick object: Select part references and press ENTER.
Align [Angle/Standalone/Horizontal/Vertical]<Vertical>: Select an aligning option or click in the drawing area to place the balloons.
 | Angle Lines up the balloons so that they are parallel to a line that you specify. You can also use this option to line up balloons at an angle.
 | Specify first point: In the drawing area click a point to define the start point of the line to which the balloons will be parallel.
 | Specify second point: Click another point on the line to define the end point of the line to which the balloons will be parallel.
 | Standalone Places the balloon without a leader, on the part. If you use part references, the balloons are placed on the [image] icons. If you use mechanical structure, balloons are placed on the edge of the part or assembly, at the start point of the leader in the preview in the drawing area.
 | Horizontal Lines up the balloons horizontally.
 | Vertical Lines up the balloons vertically.

Set BOM

Specifies the BOM to set as the current BOM.

Specify BOM to create or set current [?/Main] <Main>: To select or create the main BOM database, enter M. To select or create a Border BOM database, click the corresponding border in model space. To see a list of existing BOMs, enter ?. To create or set the current database to one of the listed BOM databases, type the name of the BOM and press ENTER.

Collect

Creates collected balloons for the selected part references.

Select pick object: Select all part references for the collected balloon. Press ENTER to continue.

Select Balloon [New]: Select a balloon in the drawing area to collect the balloons under, or enter n to create a new collected balloon.

Pick orientation: In the drawing area pick a point to select between horizontal or vertical orientation of the collected balloon.

Arrow Inset

Adds an offset to the start point of balloon leaders so that they do not start on the edge of the part. This option is applicable only if you are ballooning mechanical structure components.

Enter arrow inset <0>: Enter distance to inset arrow and press ENTER.

Manual

Creates a part reference with a balloon. This option forcibly changes the current BOM to the border BOM that corresponds to the border that the part reference is placed in. If you want the balloon to be based on the main BOM, delete the balloon, set the current BOM to MAIN and balloon the part reference again.

Select point [Block/Copy/Reference]: Specify a point to place the new part reference.
 | Select Point Inserts a part reference at the point you specify and displays the Part Reference dialog box. If you place the part reference on an object, the part reference attaches itself to that object.
 | Part Reference dialog box: Enter the component properties and click OK.
 | Select a start point of balloon: Specify a start point for the balloon leader.
 | Next Point: Specify points for leader segments and press ENTER to the place balloon.
 | Block Creates a part reference for a block, connects part reference attributes to the block.
 | Select block reference: Select a block in the drawing to connect a part reference to. NoteIf the block has an attribute that has the same name as a component property, the part reference automatically imports its value into the component property.
 | Copy Creates a complete copy of a part reference, including its data. The new part reference becomes a new BOM item.
 | Select reference to make a copy: Select the part reference you want to copy.
 | Reference Creates a part reference that marks an object as another instance of a part that has already been tagged with a part reference. In the BOM, the new part reference increments the quantity of the original part reference instead of adding another row.
 | Select reference: Select a part reference you want to add another instance of.
 | Select point: Select a point to place the part reference.

One

Places a single balloon in the drawing area. Unlike with the Auto and Auto all options, you must specify the start point for the balloon leader manually.

Select a start point of balloon: Specify a start point for the balloon leader.

Next Point: Specify points for leader segments and press ENTER to the place balloon.

Renumber

Renumbers balloons and changes the item numbers of the selected parts in the current BOM.

Enter starting item number <1>: Enter the number for the first selected balloon.

Enter increment <1>: Enter the increment value for the next selected balloons.

Select balloon: Select the balloons to renumber, in sequence. Press ENTER to end the selection.

Reorganize

Lines up the balloons horizontally, vertically, or in a specified angle. You can also convert the balloons to standalone balloons (balloons without leaders).

Select balloon: Select all balloons you want to reorganize. Press ENTER to end the selection.
Align [Angle/Standalone/Horizontal/Vertical]<Vertical>: Select an aligning option or click in the drawing area to place the balloons.
 | Angle Lines up the balloons so that they are parallel to a line that you specify. You typically use this option to line up balloons at an angle.
 | Specify first point: In the drawing area click a point to define the start point of the line you want the balloons to be parallel to.
 | Specify second point: Click another point on the line to define the end point of the line you want the balloons to be parallel to.
 | Standalone Places the balloon without a leader, on the part. If you use part references, the balloons are placed on the [image] icons. If you use mechanical structure, balloons are placed on the edge of the part or assembly, at the start point of the leader in the preview in the drawing area.
 | Horizontal Lines up the balloons horizontally.
 | Vertical Lines up the balloons vertically.

annotation View

Creates balloons for parts and assemblies in an annotation view. When you balloon annotation views, AutoCAD Mechanical automatically selects the correct assembly BOM as well as all the components to be ballooned.

Align [Angle/Standalone/Horizontal/Vertical]<Vertical>: Select an aligning option or click in the drawing area to place the balloons. NoteThis prompt is displayed only if you select more than one part to balloon.
 | Angle Lines up the balloons so that they are parallel to a line that you specify. You typically use this option to line up balloons at an angle.
 | Specify first point: In the drawing area click a point to define the start point of the line you want the balloons to be parallel to.
 | Specify second point: Click another point on the line to define the end point of the line you want the balloons to be parallel to.
 | Standalone Places the balloon without a leader, on the part of assembly. at the start point of the leader in the preview that is displayed in the drawing area.
 | Horizontal Lines up the balloons horizontally.
 | Vertical Lines up the balloons vertically.


Modify balloons (Quick Reference)

Modify balloons
Modify balloons
Modify balloon leaders
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Balloon dialog box

Use this dialog box to manage the appearance of the balloon or balloon collection you selected for editing.

Toolbar buttons

Collects other balloons on the leader of the balloon you are editing. The dialog box temporarily hides to enable you select balloons to collect. Collected balloons are added to the Balloon contents list.

Deletes the balloon selected in the Balloon contents list. This button is available only if there is more than one balloon in the Balloon contents list.

Detaches the balloon from the object it is attached to. This button is visible only if the balloon is attached to an object.

Attaches the balloon to an object in the drawing area. The dialog box temporarily hides and all objects that you can be attached to are highlighted in the drawing area. This button is visible only when the balloon is not attached to anything.

Adds a leader or leader segment to the balloon. The dialog box temporarily hides, enabling you to select the attach point. To add a new leader, the last selected point must be on the original balloon leader. To add new leader segments, the last selected point must be the start point of the original leader.

Deletes a leader or leader segment. The dialog box temporarily hides, enabling you to select the leader to delete.

If you select an internal leader segment, this operation deletes all its successors. If you remove all leader segments, the balloon converts to a stand-alone balloon.

Displays the Sort dialog box, which provides various options to sort the balloons displayed in the Balloon contents list.

Removes overrides from the current selection and restores their default values. This button is available only when overrides exist within the current selection.

Sets the values for a range of cells in a column. Changes you make are written to the corresponding BOM.

Layout settings

Balloon style

Enables you to select between standard-based balloons or a block that can be used as a custom balloon. If the block is in an external file, click the Browse option at the bottom of the list.

Balloon type

Displays a panel from which you can select a standard compliant shape for the balloon. This option is available only for standard-based balloons.

Arrowhead

Displays a palette containing standard-compliant arrows for leader termination.

Collection orientation

Defines how balloon collections line up. This option is available only if you have collected more than one balloon on the leader of the balloon being edited.

Leader Connection

Defines where on a custom balloon the leader connects to it. This option is not available if the current balloon style is a standard based balloon.

Balloon contents

Displays the properties of the ballooned item. The columns are the same as the columns in the BOM.

Settings

Displays the Balloon Settings dialog box, enabling you to change the default settings for balloons.


Modify balloon leaders (Concept)

Modify balloons
Create and modify balloons
Organize balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloon leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you create a balloon, the leader follows the default settings specified in the current drafting standard. However, in the drawing, you can select a balloon and override the default arrowhead setting with another standard dependant arrowhead. For information on how to customize the default settings, see the Configuration and Setup Guide.

When a balloon leader is attached to a component (part or assembly), when the component is moved, the balloon moves with it. The balloon leader can only be attached to one object. If you want to attach the leader to a different component, you must detach it first.

The system gives you the ability to add more than one leader to a single balloon. You also get the ability to add or delete leader segments. If you select an internal leader segment, all its successors are deleted. The system provides you a visual indication of the part of the leader to be deleted by highlighting it. If you remove all leader segments, a standalone balloon is created.

With custom balloons, you get the additional option of being able to override the position the leader connects to the custom balloon.


Modify balloon leaders (Procedure)

Modify balloons
Up a level to ..
Modify balloon leaders
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloon leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the leader arrowhead

To detach a balloon

To attach a balloon

To add a leader or leader segments

To delete a leader or leader segments

To override the leader connection point of a custom balloon


Modify balloon leaders (Quick Reference)

Modify balloons
Modify balloon leaders
Modify balloon leaders
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloon leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBALLOON

Balloon dialog box


To change the leader arrowhead (Procedure)

Modify balloon leaders
Up a level to ..
Modify balloon leaders
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloon leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the leader arrowhead

  1. In the drawing area, double-click the balloon. The Balloon dialog box is displayed.
  2. In the Arrowhead list, select an arrowhead.
  3. Click OK to close the dialog box.


To detach a balloon (Procedure)

Modify balloon leaders
Up a level to ..
Modify balloon leaders
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloon leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To detach a balloon

  1. In the drawing area, double-click the balloon to detach. The Balloon dialog box is displayed.
  2. In the Balloon dialog box toolbar, click [image] .
  3. Click OK.


To attach a balloon (Procedure)

Modify balloon leaders
Up a level to ..
Modify balloon leaders
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloon leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To attach a balloon

  1. In the drawing area, double-click the balloon to attach. The Balloon dialog box is displayed.
  2. In the toolbar of the Balloon dialog box, click [image] . The dialog box hides.
  3. In the drawing area, select the object to attach the balloon to. The dialog box is displayed again.
    TipWhen you move the pointer over objects in the drawing area, the program highlights ones to which you can attach the balloon.
  4. Click OK.


To add a leader or leader segments (Procedure)

Modify balloon leaders
Up a level to ..
Modify balloon leaders
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloon leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a leader or leader segments

  1. In the drawing area, double-click the balloon to add leader segments to. The Balloon dialog box is displayed.
  2. In the toolbar of the Balloon dialog box, click [image] .
  3. In the drawing area, select the start point of the new leader or leader segment.
    NoteIf you place the start point on the original leader, the program adds a new leader node and terminates the selection.
  4. Select the points for the new leader or for the new leader segments.

    To add a new leader, the last selected point must be on the original balloon leader.

    To add new leader segments the last selected point must be the start point of the original leader.

  5. Click OK.


To delete a leader or leader segments (Procedure)

Modify balloon leaders
Up a level to ..
Modify balloon leaders
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloon leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete a leader or leader segments

  1. In the drawing area, double-click the balloon to delete leader segments from. The Balloon dialog box is displayed.
  2. In the toolbar of the Balloon dialog box, click [image] .
  3. In the drawing area, click the segment to delete.
    NoteIf you select an internal leader segment, the program deletes all its successors. If you remove all leader segments, the program converts the balloon to a stand-alone balloon.
  4. Click OK.


To override the leader connection point of a custom balloon (Procedure)

Modify balloon leaders
Up a level to ..
Organize balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloon leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To override the leader connection point of a custom balloon

  1. In the drawing area, double-click the custom balloon. The Balloon dialog box is displayed.
  2. Under Leader Connection, select the appropriate leader connecting option.
  3. Click OK.


Modify balloon leaders (Quick Reference)

Modify balloon leaders
Modify balloon leaders
Modify balloon leaders
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloon leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBALLOON

Creates and places balloons in the drawing area.

Ribbon: Annotate tab [image] Balloon panel [image] Balloons. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] Balloons Does not exist in the menus.
Command entry: amballoon

You can select the parts you want to balloon or automatically create balloons for all non-ballooned parts. You can also renumber and reorganize balloons that exist in the drawing area.

COMMAND LINE OPTIONS

Current BOM = MAIN

Select part/assembly or [auTo/autoAll/set Bom/Collect/arrow Inset/Manual/One/Renumber/rEorganize/annotation View] The command line displays the current BOM before displaying this prompt. Select a part or subassembly in the drawing, or select an option from the list.

Auto

Creates balloons for the selected part references. This option lets you select only the part references that have not been ballooned yet. If you select only one part reference, AutoCAD Mechanical automatically jumps to the “One” command line option.

If mechanical structure is not enabled, the balloon leaders start from the center of the part references. If mechanical structure is enabled, the balloon leaders start from the edges of the part or assembly, at the start point of the balloon leader in the preview.

Select pick object: Select part references and press ENTER.
Align [Angle/Standalone/Horizontal/Vertical]<Vertical>: Selet an aligning option or click in the drawing area to place the balloons.
 | Angle Lines up the balloons so that they are parallel to a line that you specify. You typically use this option to line up balloons at an angle.
 | Specify first point: In the drawing area click a point to define the start point of the line you want the balloons to be parallel to.
 | Specify second point: Click another point on the line to define the end point of the line to which the balloons will be parallel.
 | Standalone Places the balloon without a leader, on the part. If you use part references, the balloons are placed on the [image] icons. If you use mechanical structure, balloons are placed on the edge of the part or assembly, at the start point of the leader in the preview in the drawing area.
 | Horizontal Lines up the balloons horizontally.
 | Vertical Lines up the balloons vertically.

Auto All

Creates balloons for all selected part references, including those that already have balloons attached to them. If you select only one part reference, AutoCAD Mechanical automatically jumps to the “One” command line option.

If mechanical structure is not enabled, the balloon leaders start from the center of the part references. If mechanical structure is enabled, the balloon leaders start from the edges of the part or assembly, at the start point of the balloon leader in the preview.

Select pick object: Select part references and press ENTER.
Align [Angle/Standalone/Horizontal/Vertical]<Vertical>: Select an aligning option or click in the drawing area to place the balloons.
 | Angle Lines up the balloons so that they are parallel to a line that you specify. You can also use this option to line up balloons at an angle.
 | Specify first point: In the drawing area click a point to define the start point of the line to which the balloons will be parallel.
 | Specify second point: Click another point on the line to define the end point of the line to which the balloons will be parallel.
 | Standalone Places the balloon without a leader, on the part. If you use part references, the balloons are placed on the [image] icons. If you use mechanical structure, balloons are placed on the edge of the part or assembly, at the start point of the leader in the preview in the drawing area.
 | Horizontal Lines up the balloons horizontally.
 | Vertical Lines up the balloons vertically.

Set BOM

Specifies the BOM to set as the current BOM.

Specify BOM to create or set current [?/Main] <Main>: To select or create the main BOM database, enter M. To select or create a Border BOM database, click the corresponding border in model space. To see a list of existing BOMs, enter ?. To create or set the current database to one of the listed BOM databases, type the name of the BOM and press ENTER.

Collect

Creates collected balloons for the selected part references.

Select pick object: Select all part references for the collected balloon. Press ENTER to continue.

Select Balloon [New]: Select a balloon in the drawing area to collect the balloons under, or enter n to create a new collected balloon.

Pick orientation: In the drawing area pick a point to select between horizontal or vertical orientation of the collected balloon.

Arrow Inset

Adds an offset to the start point of balloon leaders so that they do not start on the edge of the part. This option is applicable only if you are ballooning mechanical structure components.

Enter arrow inset <0>: Enter distance to inset arrow and press ENTER.

Manual

Creates a part reference with a balloon. This option forcibly changes the current BOM to the border BOM that corresponds to the border that the part reference is placed in. If you want the balloon to be based on the main BOM, delete the balloon, set the current BOM to MAIN and balloon the part reference again.

Select point [Block/Copy/Reference]: Specify a point to place the new part reference.
 | Select Point Inserts a part reference at the point you specify and displays the Part Reference dialog box. If you place the part reference on an object, the part reference attaches itself to that object.
 | Part Reference dialog box: Enter the component properties and click OK.
 | Select a start point of balloon: Specify a start point for the balloon leader.
 | Next Point: Specify points for leader segments and press ENTER to the place balloon.
 | Block Creates a part reference for a block, connects part reference attributes to the block.
 | Select block reference: Select a block in the drawing to connect a part reference to. NoteIf the block has an attribute that has the same name as a component property, the part reference automatically imports its value into the component property.
 | Copy Creates a complete copy of a part reference, including its data. The new part reference becomes a new BOM item.
 | Select reference to make a copy: Select the part reference you want to copy.
 | Reference Creates a part reference that marks an object as another instance of a part that has already been tagged with a part reference. In the BOM, the new part reference increments the quantity of the original part reference instead of adding another row.
 | Select reference: Select a part reference you want to add another instance of.
 | Select point: Select a point to place the part reference.

One

Places a single balloon in the drawing area. Unlike with the Auto and Auto all options, you must specify the start point for the balloon leader manually.

Select a start point of balloon: Specify a start point for the balloon leader.

Next Point: Specify points for leader segments and press ENTER to the place balloon.

Renumber

Renumbers balloons and changes the item numbers of the selected parts in the current BOM.

Enter starting item number <1>: Enter the number for the first selected balloon.

Enter increment <1>: Enter the increment value for the next selected balloons.

Select balloon: Select the balloons to renumber, in sequence. Press ENTER to end the selection.

Reorganize

Lines up the balloons horizontally, vertically, or in a specified angle. You can also convert the balloons to standalone balloons (balloons without leaders).

Select balloon: Select all balloons you want to reorganize. Press ENTER to end the selection.
Align [Angle/Standalone/Horizontal/Vertical]<Vertical>: Select an aligning option or click in the drawing area to place the balloons.
 | Angle Lines up the balloons so that they are parallel to a line that you specify. You typically use this option to line up balloons at an angle.
 | Specify first point: In the drawing area click a point to define the start point of the line you want the balloons to be parallel to.
 | Specify second point: Click another point on the line to define the end point of the line you want the balloons to be parallel to.
 | Standalone Places the balloon without a leader, on the part. If you use part references, the balloons are placed on the [image] icons. If you use mechanical structure, balloons are placed on the edge of the part or assembly, at the start point of the leader in the preview in the drawing area.
 | Horizontal Lines up the balloons horizontally.
 | Vertical Lines up the balloons vertically.

annotation View

Creates balloons for parts and assemblies in an annotation view. When you balloon annotation views, AutoCAD Mechanical automatically selects the correct assembly BOM as well as all the components to be ballooned.

Align [Angle/Standalone/Horizontal/Vertical]<Vertical>: Select an aligning option or click in the drawing area to place the balloons. NoteThis prompt is displayed only if you select more than one part to balloon.
 | Angle Lines up the balloons so that they are parallel to a line that you specify. You typically use this option to line up balloons at an angle.
 | Specify first point: In the drawing area click a point to define the start point of the line you want the balloons to be parallel to.
 | Specify second point: Click another point on the line to define the end point of the line you want the balloons to be parallel to.
 | Standalone Places the balloon without a leader, on the part of assembly. at the start point of the leader in the preview that is displayed in the drawing area.
 | Horizontal Lines up the balloons horizontally.
 | Vertical Lines up the balloons vertically.


Modify balloon leaders (Quick Reference)

Modify balloon leaders
Modify balloon leaders
Organize balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Modify balloon leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Balloon dialog box

Use this dialog box to manage the appearance of the balloon or balloon collection you selected for editing.

Toolbar buttons

Collects other balloons on the leader of the balloon you are editing. The dialog box temporarily hides to enable you select balloons to collect. Collected balloons are added to the Balloon contents list.

Deletes the balloon selected in the Balloon contents list. This button is available only if there is more than one balloon in the Balloon contents list.

Detaches the balloon from the object it is attached to. This button is visible only if the balloon is attached to an object.

Attaches the balloon to an object in the drawing area. The dialog box temporarily hides and all objects that you can be attached to are highlighted in the drawing area. This button is visible only when the balloon is not attached to anything.

Adds a leader or leader segment to the balloon. The dialog box temporarily hides, enabling you to select the attach point. To add a new leader, the last selected point must be on the original balloon leader. To add new leader segments, the last selected point must be the start point of the original leader.

Deletes a leader or leader segment. The dialog box temporarily hides, enabling you to select the leader to delete.

If you select an internal leader segment, this operation deletes all its successors. If you remove all leader segments, the balloon converts to a stand-alone balloon.

Displays the Sort dialog box, which provides various options to sort the balloons displayed in the Balloon contents list.

Removes overrides from the current selection and restores their default values. This button is available only when overrides exist within the current selection.

Sets the values for a range of cells in a column. Changes you make are written to the corresponding BOM.

Layout settings

Balloon style

Enables you to select between standard-based balloons or a block that can be used as a custom balloon. If the block is in an external file, click the Browse option at the bottom of the list.

Balloon type

Displays a panel from which you can select a standard compliant shape for the balloon. This option is available only for standard-based balloons.

Arrowhead

Displays a palette containing standard-compliant arrows for leader termination.

Collection orientation

Defines how balloon collections line up. This option is available only if you have collected more than one balloon on the leader of the balloon being edited.

Leader Connection

Defines where on a custom balloon the leader connects to it. This option is not available if the current balloon style is a standard based balloon.

Balloon contents

Displays the properties of the ballooned item. The columns are the same as the columns in the BOM.

Settings

Displays the Balloon Settings dialog box, enabling you to change the default settings for balloons.


Organize balloons (Concept)

Modify balloon leaders
Create and modify balloons
Building a BOM from non-AutoCAD Mechanical drawings
Add BOMs, balloons, and parts lists > Create and modify balloons >
Organize balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can align the balloons in the drawing horizontally, vertically, or in any straight line. The balloon spacing follows the default settings specified in the current drafting standard. For information on how to customize the default settings, refer the Configuration and Setup Guide.

You are also allowed to renumber existing balloons. The item number change is automatically reflected in the BOM and parts lists.

Once balloons have been created you can collect several balloons on a single leader. At the time you collect the balloons, you are allowed to specify the alignment. However, if necessary, you can specify the alignment later.

Once the balloons are collected, the system lets you remove balloons from the collection, one by one, if necessary.


Organize balloons (Procedure)

Modify balloon leaders
Up a level to ..
Organize balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Organize balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To align balloons

To renumber balloons

To collect balloons

To remove a balloon from a collection

To change the alignment of a collected balloon


Organize balloons (Quick Reference)

Modify balloon leaders
Organize balloons
Organize balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Organize balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBALLOON

Balloon dialog box


To align balloons (Procedure)

Organize balloons
Up a level to ..
Organize balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Organize balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To align balloons

  1. Click Annotate tab [image] Balloon panel [image] Balloons [image] At the Command prompt, enter AMBALLOON.
  2. At the Command prompt, enter E to select the Reorganize option.
  3. Select the balloons to reorganize, and press ENTER to end the selection.
  4. Respond to the prompts in the command line as appropriate:
    • To change the alignment of the balloons, enter H to select the Horizontal option, or V for the Vertical option.
    • To align in a straight line that is not horizontal or vertical:
      1. Enter A to select the Angle option.
      2. In the drawing area, click at two points to indicate the direction of the straight line.
      3. In the drawing area, click to indicate the position to place the balloons.


To renumber balloons (Procedure)

Organize balloons
Up a level to ..
Organize balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Organize balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To renumber balloons

  1. Click Annotate tab [image] Balloon panel [image] Balloons [image] At the Command prompt, enter AMBALLOON.
  2. At the Command prompt, enter R to select the Renumber option.
  3. Enter the lowest item number for the balloons you plan to select.
  4. Enter the increment for the subsequent balloons.
  5. Select the balloons to renumber one by one. Select the balloon with the lowest item number first, followed by the balloon with the next highest number, and so on. The program renumbers the balloons and they remain highlighted.
  6. Press ENTER to end the renumbering.


To collect balloons (Procedure)

Organize balloons
Up a level to ..
Organize balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Organize balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To collect balloons

  1. In the drawing area, double-click the balloon to collect other balloons to. The Balloon dialog box is displayed.
  2. In the toolbar of the Balloon dialog box, click [image] .
  3. In the drawing area, select the balloons to collect, and press ENTER to end the selection.
  4. Pick the orientation of the collected balloon.
  5. Click OK.


To remove a balloon from a collection (Procedure)

Organize balloons
Up a level to ..
Organize balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Organize balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove a balloon from a collection

  1. In the drawing area, double-click the collected balloon. The Balloon dialog box is displayed.
  2. Click anywhere in the row containing the balloon to remove from the collection.
  3. In the toolbar of the Balloon dialog box, click [image] .
  4. Click OK.


To change the alignment of a collected balloon (Procedure)

Organize balloons
Up a level to ..
Before you extract data from non-AutoCAD Mechanical Drawings
Add BOMs, balloons, and parts lists > Create and modify balloons >
Organize balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the alignment of a collected balloon

  1. In the drawing area, double-click the collected balloon. The Balloon dialog box is displayed.
  2. In the Collection orientation list, select the appropriate orientation.
  3. Click OK.


Organize balloons (Quick Reference)

Organize balloons
Organize balloons
Organize balloons
Add BOMs, balloons, and parts lists > Create and modify balloons >
Organize balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBALLOON

Creates and places balloons in the drawing area.

Ribbon: Annotate tab [image] Balloon panel [image] Balloons. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] Balloons Does not exist in the menus.
Command entry: amballoon

You can select the parts you want to balloon or automatically create balloons for all non-ballooned parts. You can also renumber and reorganize balloons that exist in the drawing area.

COMMAND LINE OPTIONS

Current BOM = MAIN

Select part/assembly or [auTo/autoAll/set Bom/Collect/arrow Inset/Manual/One/Renumber/rEorganize/annotation View] The command line displays the current BOM before displaying this prompt. Select a part or subassembly in the drawing, or select an option from the list.

Auto

Creates balloons for the selected part references. This option lets you select only the part references that have not been ballooned yet. If you select only one part reference, AutoCAD Mechanical automatically jumps to the “One” command line option.

If mechanical structure is not enabled, the balloon leaders start from the center of the part references. If mechanical structure is enabled, the balloon leaders start from the edges of the part or assembly, at the start point of the balloon leader in the preview.

Select pick object: Select part references and press ENTER.
Align [Angle/Standalone/Horizontal/Vertical]<Vertical>: Selet an aligning option or click in the drawing area to place the balloons.
 | Angle Lines up the balloons so that they are parallel to a line that you specify. You typically use this option to line up balloons at an angle.
 | Specify first point: In the drawing area click a point to define the start point of the line you want the balloons to be parallel to.
 | Specify second point: Click another point on the line to define the end point of the line to which the balloons will be parallel.
 | Standalone Places the balloon without a leader, on the part. If you use part references, the balloons are placed on the [image] icons. If you use mechanical structure, balloons are placed on the edge of the part or assembly, at the start point of the leader in the preview in the drawing area.
 | Horizontal Lines up the balloons horizontally.
 | Vertical Lines up the balloons vertically.

Auto All

Creates balloons for all selected part references, including those that already have balloons attached to them. If you select only one part reference, AutoCAD Mechanical automatically jumps to the “One” command line option.

If mechanical structure is not enabled, the balloon leaders start from the center of the part references. If mechanical structure is enabled, the balloon leaders start from the edges of the part or assembly, at the start point of the balloon leader in the preview.

Select pick object: Select part references and press ENTER.
Align [Angle/Standalone/Horizontal/Vertical]<Vertical>: Select an aligning option or click in the drawing area to place the balloons.
 | Angle Lines up the balloons so that they are parallel to a line that you specify. You can also use this option to line up balloons at an angle.
 | Specify first point: In the drawing area click a point to define the start point of the line to which the balloons will be parallel.
 | Specify second point: Click another point on the line to define the end point of the line to which the balloons will be parallel.
 | Standalone Places the balloon without a leader, on the part. If you use part references, the balloons are placed on the [image] icons. If you use mechanical structure, balloons are placed on the edge of the part or assembly, at the start point of the leader in the preview in the drawing area.
 | Horizontal Lines up the balloons horizontally.
 | Vertical Lines up the balloons vertically.

Set BOM

Specifies the BOM to set as the current BOM.

Specify BOM to create or set current [?/Main] <Main>: To select or create the main BOM database, enter M. To select or create a Border BOM database, click the corresponding border in model space. To see a list of existing BOMs, enter ?. To create or set the current database to one of the listed BOM databases, type the name of the BOM and press ENTER.

Collect

Creates collected balloons for the selected part references.

Select pick object: Select all part references for the collected balloon. Press ENTER to continue.

Select Balloon [New]: Select a balloon in the drawing area to collect the balloons under, or enter n to create a new collected balloon.

Pick orientation: In the drawing area pick a point to select between horizontal or vertical orientation of the collected balloon.

Arrow Inset

Adds an offset to the start point of balloon leaders so that they do not start on the edge of the part. This option is applicable only if you are ballooning mechanical structure components.

Enter arrow inset <0>: Enter distance to inset arrow and press ENTER.

Manual

Creates a part reference with a balloon. This option forcibly changes the current BOM to the border BOM that corresponds to the border that the part reference is placed in. If you want the balloon to be based on the main BOM, delete the balloon, set the current BOM to MAIN and balloon the part reference again.

Select point [Block/Copy/Reference]: Specify a point to place the new part reference.
 | Select Point Inserts a part reference at the point you specify and displays the Part Reference dialog box. If you place the part reference on an object, the part reference attaches itself to that object.
 | Part Reference dialog box: Enter the component properties and click OK.
 | Select a start point of balloon: Specify a start point for the balloon leader.
 | Next Point: Specify points for leader segments and press ENTER to the place balloon.
 | Block Creates a part reference for a block, connects part reference attributes to the block.
 | Select block reference: Select a block in the drawing to connect a part reference to. NoteIf the block has an attribute that has the same name as a component property, the part reference automatically imports its value into the component property.
 | Copy Creates a complete copy of a part reference, including its data. The new part reference becomes a new BOM item.
 | Select reference to make a copy: Select the part reference you want to copy.
 | Reference Creates a part reference that marks an object as another instance of a part that has already been tagged with a part reference. In the BOM, the new part reference increments the quantity of the original part reference instead of adding another row.
 | Select reference: Select a part reference you want to add another instance of.
 | Select point: Select a point to place the part reference.

One

Places a single balloon in the drawing area. Unlike with the Auto and Auto all options, you must specify the start point for the balloon leader manually.

Select a start point of balloon: Specify a start point for the balloon leader.

Next Point: Specify points for leader segments and press ENTER to the place balloon.

Renumber

Renumbers balloons and changes the item numbers of the selected parts in the current BOM.

Enter starting item number <1>: Enter the number for the first selected balloon.

Enter increment <1>: Enter the increment value for the next selected balloons.

Select balloon: Select the balloons to renumber, in sequence. Press ENTER to end the selection.

Reorganize

Lines up the balloons horizontally, vertically, or in a specified angle. You can also convert the balloons to standalone balloons (balloons without leaders).

Select balloon: Select all balloons you want to reorganize. Press ENTER to end the selection.
Align [Angle/Standalone/Horizontal/Vertical]<Vertical>: Select an aligning option or click in the drawing area to place the balloons.
 | Angle Lines up the balloons so that they are parallel to a line that you specify. You typically use this option to line up balloons at an angle.
 | Specify first point: In the drawing area click a point to define the start point of the line you want the balloons to be parallel to.
 | Specify second point: Click another point on the line to define the end point of the line you want the balloons to be parallel to.
 | Standalone Places the balloon without a leader, on the part. If you use part references, the balloons are placed on the [image] icons. If you use mechanical structure, balloons are placed on the edge of the part or assembly, at the start point of the leader in the preview in the drawing area.
 | Horizontal Lines up the balloons horizontally.
 | Vertical Lines up the balloons vertically.

annotation View

Creates balloons for parts and assemblies in an annotation view. When you balloon annotation views, AutoCAD Mechanical automatically selects the correct assembly BOM as well as all the components to be ballooned.

Align [Angle/Standalone/Horizontal/Vertical]<Vertical>: Select an aligning option or click in the drawing area to place the balloons. NoteThis prompt is displayed only if you select more than one part to balloon.
 | Angle Lines up the balloons so that they are parallel to a line that you specify. You typically use this option to line up balloons at an angle.
 | Specify first point: In the drawing area click a point to define the start point of the line you want the balloons to be parallel to.
 | Specify second point: Click another point on the line to define the end point of the line you want the balloons to be parallel to.
 | Standalone Places the balloon without a leader, on the part of assembly. at the start point of the leader in the preview that is displayed in the drawing area.
 | Horizontal Lines up the balloons horizontally.
 | Vertical Lines up the balloons vertically.


Organize balloons (Quick Reference)

Organize balloons
Organize balloons
About creating an extraction template
Add BOMs, balloons, and parts lists > Create and modify balloons >
Organize balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Balloon dialog box

Use this dialog box to manage the appearance of the balloon or balloon collection you selected for editing.

Toolbar buttons

Collects other balloons on the leader of the balloon you are editing. The dialog box temporarily hides to enable you select balloons to collect. Collected balloons are added to the Balloon contents list.

Deletes the balloon selected in the Balloon contents list. This button is available only if there is more than one balloon in the Balloon contents list.

Detaches the balloon from the object it is attached to. This button is visible only if the balloon is attached to an object.

Attaches the balloon to an object in the drawing area. The dialog box temporarily hides and all objects that you can be attached to are highlighted in the drawing area. This button is visible only when the balloon is not attached to anything.

Adds a leader or leader segment to the balloon. The dialog box temporarily hides, enabling you to select the attach point. To add a new leader, the last selected point must be on the original balloon leader. To add new leader segments, the last selected point must be the start point of the original leader.

Deletes a leader or leader segment. The dialog box temporarily hides, enabling you to select the leader to delete.

If you select an internal leader segment, this operation deletes all its successors. If you remove all leader segments, the balloon converts to a stand-alone balloon.

Displays the Sort dialog box, which provides various options to sort the balloons displayed in the Balloon contents list.

Removes overrides from the current selection and restores their default values. This button is available only when overrides exist within the current selection.

Sets the values for a range of cells in a column. Changes you make are written to the corresponding BOM.

Layout settings

Balloon style

Enables you to select between standard-based balloons or a block that can be used as a custom balloon. If the block is in an external file, click the Browse option at the bottom of the list.

Balloon type

Displays a panel from which you can select a standard compliant shape for the balloon. This option is available only for standard-based balloons.

Arrowhead

Displays a palette containing standard-compliant arrows for leader termination.

Collection orientation

Defines how balloon collections line up. This option is available only if you have collected more than one balloon on the leader of the balloon being edited.

Leader Connection

Defines where on a custom balloon the leader connects to it. This option is not available if the current balloon style is a standard based balloon.

Balloon contents

Displays the properties of the ballooned item. The columns are the same as the columns in the BOM.

Settings

Displays the Balloon Settings dialog box, enabling you to change the default settings for balloons.


Building a BOM from non-AutoCAD Mechanical drawings

Organize balloons
Add BOMs, balloons, and parts lists
Overview
Add BOMs, balloons, and parts lists >
Building a BOM from non-AutoCAD Mechanical drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview
  • Before you extract data from non-AutoCAD Mechanical Drawings
  • Extracting data and migrating drawings to AutoCAD Mechanical
  • BOM extraction tutorial


Overview

Building a BOM from non-AutoCAD Mechanical drawings
Building a BOM from non-AutoCAD Mechanical drawings
Before you extract data from non-AutoCAD Mechanical Drawings
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings >
Overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The BOM is a table that stores information about parts and assemblies in a drawing. AutoCAD Mechanical supports the BOM-attach workflow. In this workflow, you copy paste views of parts and sub-assemblies from part drawings and subassembly drawings into assembly drawings. Thereafter you attach a part reference to the geometry and attach the BOM from the part or assembly drawing to the part reference. In the assembly drawing, the system automatically builds a hierarchical relationship between parts and assemblies in the BOM. Whenever you change the component properties of a part, all assemblies containing that part update. This automates much of the maintenance work associated with parts lists, ballooning, and reporting. See The part reference workflow for more details of the BOM-Attach workflow (The BOM-attach workflow is a sub-workflow of the part reference workflow).

If you already have project where parts and subassemblies are inserted in an assembly drawing using copy and paste, you may be able to:

  • Migrate the drawings to AutoCAD Mechanical
  • Automatically generate part references and BOMs
  • Automatically generate the hierarchical relationship between parts and assemblies compatible with the BOM-Attach workflow.

AutoCAD Mechanical provides two tools, the Extraction Template Wizard and BOM Migration Utility, to enable you to migrate such non-AutoCAD Mechanical drawings and create BOMs automatically.

Using the Extraction Template Wizard, select a sample file from the project and tag the key information that AutoCAD Mechanical needs to build relationships between parts and assemblies. Based on the tagging, the Extraction Template Wizard generates an Extraction Template, which stores the rules on how to extract key information from a drawing in the project.

The BOM Migration Utility, attempts to use the extraction template and extract key information from the drawings in the project. It then attempts to build the hierarchy and displays a report. Actual migration takes place only after you instruct the system to proceed, after you view the report.


Before you extract data from non-AutoCAD Mechanical Drawings

Overview
Building a BOM from non-AutoCAD Mechanical drawings
About creating an extraction template
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings >
Before you extract data from non-AutoCAD Mechanical Drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • About creating an extraction template
  • Select the title border
  • Select the title block
  • Select the parts list
  • Specify the component property mapping
  • Select identifiers
  • Save extraction template


Before you extract data from non-AutoCAD Mechanical Drawings (Procedure)

Organize balloons
Before you extract data from non-AutoCAD Mechanical Drawings
Select the title block
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings >
Before you extract data from non-AutoCAD Mechanical Drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To select a cell manually from the title block

To split text objects in a cell into multiple rows

To ignore text objects

To remove a row from the list of extracted text objects

To rename the text objects

To map a cell to a component property

To remove a mapping


About creating an extraction template (Concept)

Before you extract data from non-AutoCAD Mechanical Drawings
Before you extract data from non-AutoCAD Mechanical Drawings
Select the title border
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
About creating an extraction template
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Before extracting data from non-AutoCAD Mechanical drawings, create an extraction template which defines the extraction rules for all drawings in the project folder. The extraction template tells the system where to find the title border, the title block, and the parts list. It also defines which data are extracted.

A reference drawing is required for creating an extraction template. A reference drawing is a copy of an assembly drawing in the project to migrate. It must contain a title border, a title block, and a parts list. We recommend that you use a copy of the top assembly drawing in the project folder as the reference drawing.

Once you create a copy of the top assembly drawing, open the copy in AutoCAD Mechanical. To configure the reference drawing, do one of following operations:

  • Enter AMSETUPDWG and select an existing drawing standard. About configuring AutoCAD Mechanical

  • Configure the following:

    • Assign a drafting standard. Selecting a drafting standard
    • Define which components properties are visible in BOM. We recommend that you add the component properties Part number and Format to the BOM. See Configure the BOM
    • Customize BOM properties. See Customize BOM properties
    • Define which properties appear in parts list and make sure that the width of each column is identical to the corresponding one in the parts list of the reference drawing. See Setup standard based parts lists
NoteIf you do not have MSXML version 6.0 installed on your machine, install it before you start the Extraction Template wizard.


About creating an extraction template (Quick Reference)

Organize balloons
About creating an extraction template
Select the title border
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
About creating an extraction template
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMBOMEXTTEMP

Use AMBOMEXTTEMP to set up a reference drawing and create an extraction template. The command displays the Extraction Template wizard.

Ribbon: Manage tab [image] Migration panel [image] Extraction Template. Does not exist on the ribbon.
Menu: Tools [image] Extraction TemplateDoes not exist in the menus.
Command entry: ambomexttemp

Before the actual process of the Extraction Template wizard begins, the Extraction Template dialog box appears confirming if the current drawing opened in AutoCAD Mechanical is ready for creating an extraction template.


Select the title border (Concept)

About creating an extraction template
Before you extract data from non-AutoCAD Mechanical Drawings
Select the title block
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the title border
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

The title border is used to identify the boundary of the drawing and aid in locating the title block and the parts list. To extract data from the drawing, specify the title border in which this information appears first.

To ensure that title blocks and parts lists are converted to associative AutoCAD Mechanical objects during the migration process, set the normalizing scale of the reference drawing. The normalizing scale is used to fetch the original scale of the reference drawing. The scale is retrieved from the AMSYMSCALE variable. Currently, the AMSYMSCALE variable is defined by DIMSCALE when an AutoCAD drawing is opened in AutoCAD Mechanical. Therefore, the AMSYMSCALE determines the default normalizing scale. Make sure that the scale on this page is consistent with AMSYMSCALE of your reference drawing. For example, if AMSYMSCALE equals 5, the normalizing scale is 1.0 : 5.0.

The drawings in the selected project may have some problems, such as non-intersecting lines, or different positions of the same attributes in title blocks or parts lists. These problems may cause the program to be unable to extract data from the target drawings during BOM migration process. You can specify the tolerance value to avoid the issue. If the actual tolerance is bigger than the value you set, the data cannot be recognized and extracted. While you move the slider, the value in the File Unit text box changes accordingly.


Select the title border (Quick Reference)

About creating an extraction template
Select the title border
Select the title border
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the title border
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Extraction Template Wizard-Step1

Rules for title border


Select the title border (Quick Reference)

Select the title border
Select the title border
Select the title border
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the title border
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Extraction Template Wizard-Step1

This step helps locate the border within the drawing.

COMMAND LINE OPTIONS

Specify first corner of the title border: Select one corner of a window that surrounds the drawing border containing title block and parts list.

Specify opposite corner of the title border: Select the opposite corner of a window that surrounds the drawing border.

If you do not make a right selection, the following prompts appear:

Could not find a valid title border

Specify first corner of the title border: Reselect the title border.

Select title border

Temporarily hides the wizard so you can specify the title border area.

NoteClick the button again to reselect the title border. However, the scale and tolerance are not cleared.

Normalizing scale

Sets the drawing scale. Click the up or down spin button to increase or decrease the value. You also can manually enter a value from 1 to 10000.

Extraction tolerance

Specifies the tolerance. Move the slider to choose a value from 0.1, 0.3, 0.5, 0.7, 0.9.

File units

Shows the value specified by the slider. The default value is 0.5.

Preview box

Shows a preview thumbnail of the area selected for title border.


Select the title border (Quick Reference)

Select the title border
Select the title border
Select the title block
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the title border
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Rules for title border

When you select a title border, keep in mind these rules:

  • The title border must be a closed rectangle.
  • It must be orthogonal.
  • If there are multiple title borders in your selection, the biggest one is recognized as the valid one. If they are the same size, the one closest to the bottom left corner is recognized.


Select the title block (Concept)

Select the title border
Before you extract data from non-AutoCAD Mechanical Drawings
Select the parts list
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can identify the location of the title block and specify which properties to extract from the title block.

The properties in the title block can be either extracted automatically from the title block or added to the Extracted text objects list manually. The Automatically extract all text objects check box is off by default.

To extract all of the title block properties, turn on the Automatically extract all text objects check box before selecting the title block in the reference drawing.

Once you specify a valid title block, select cells to extract properties. During the selection, make sure that you select these properties which you need to report on. For example, sheet size, it is required by the Detail List report.

NoteWhen selecting cells in the title block, pick the cells containing the property values and not the cells containing the property names. Because this is a template to extract values from a set of files.

If the reference drawing does not have a property in a particular cell that most other drawings will, select the empty cell. A name TEXT# is assigned to it after extracting. You can rename it in the Extracted text objects list.

NoteIf you delete the name TEXT# from the Extracted text objects list, and click Add to extract the empty cell again, the name does not change. For example, if you delete TEXT1 and click Add to extract the same empty cell, the default name is still TEXT1.

If a single cell contains multiple text objects, you can ignore and split these text objects. For unwanted text objects like label, you can ignore them. For those text objects which you want to map to different component properties, you can split them.


Select the title block (Procedure)

Before you extract data from non-AutoCAD Mechanical Drawings
Up a level to ..
Select the title block
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To select a cell manually from the title block

To split text objects in a cell into multiple rows

To ignore text objects

To remove a row from the list of extracted text objects

To rename the text objects


Select the title block (Quick Reference)

Select the title border
Select the title block
Select the title block
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Extraction Template Wizard - Step2

Rules for title block

Text extraction dialog box


To select a cell manually from the title block (Procedure)

Select the title block
Up a level to ..
Select the title block
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To select a cell manually from the title block

  1. In the Select the title block step of the Extraction Template wizard, click Select title block. The wizard disappears, revealing the drawing opened in AutoCAD Mechanical.
  2. Select the first corner of a window that surrounds the title block.
  3. Select the opposite corner of a window that surrounds the title block.
    NoteIf the selection is not correct, click the Select title block button again. You are prompted to confirm that any existing data is cleared if you select a new title block area. Click Yes to clear the data and select a new title block area or click No to keep the title block area and the properties associated with it.
  4. Click cells in the title block area. Once a cell is selected, the cell is highlighted to indicate that it has been chosen.
  5. Press ENTER or right-click the mouse.


To split text objects in a cell into multiple rows (Procedure)

Select the title block
Up a level to ..
Select the title block
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To split text objects in a cell into multiple rows

When a single cell contains multiple text objects and you want to map them into different components, do the following:

  1. In the Select the title block step of the Extraction Template wizard, click the warning icon next to the multiple text objects. The Text Extraction dialog box appears.
  2. In the Text Extraction dialog box, select the Split remaining text objects check box.
  3. Click OK.
TipClear the check box to combine the text objects.


To ignore text objects (Procedure)

Select the title block
Up a level to ..
Select the title block
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To ignore text objects

To ignore those unnecessary text objects:

  1. In the Select the title block step of the Extraction Template wizard, click the warning icon next to the multiple text objects. The Text Extraction dialog box appears.
  2. In the Text Extraction dialog box, select the check box of the text objects you want the program to ignore.
  3. Click OK.


To remove a row from the list of extracted text objects (Procedure)

Select the title block
Up a level to ..
Select the title block
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove a row from the list of extracted text objects

  1. In the Select the title block step of the Extraction Template wizard, click a text object row.

    You can hold CTRL to make multiple selections.

  2. Click Remove.


To rename the text objects (Procedure)

Select the title block
Up a level to ..
Specify the component property mapping
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To rename the text objects

  1. In the Select the title block step of the Extraction Template wizard, select the text object cell.
  2. Click Rename.
  3. Enter a new name.
TipYou can also double-click the text object to edit it.


Select the title block (Quick Reference)

Select the title block
Select the title block
Select the title block
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Extraction Template Wizard - Step2

In this step, identify the title block in the reference drawing and specify which properties to extract from the title block.

COMMAND LINE OPTIONS

Specify first corner of title block: Select one corner of a window that surrounds the title block.

Specify opposite corner of title block: Select the opposite corner of a window that surrounds the title block..

If you do not select a right title block, the following prompts appear:

Could not find a valid title block

Specify first corner of title block: Reselect the title block.

When the Automatically extract all text objects check box is off, the following prompt appears:

Select a title block cell by specifying and internal point or [Done]: Select the cells containing the properties that you want to extract. To finish the selection, press ENTER.

If you do not select a right cell, the following prompts appear:

Could not find a valid title block cell

Select a title block cell by specifying and internal point or [Done]: Reselect a cell.

Select title block Specifies the title block area to extract data from it.
Automatically extract all text objects Extracts all text objects in the selected title block automatically.
Extracted text objects Lists the text objects extracted from the selected title block.
 | Warning icon Opens the Text Extraction dialog box, enabling you fine tune the extraction process.
 | Information icon Opens the Text Extraction dialog box, enabling you fine tune the extraction process. When you click the warning icon and click OK in the Text Extraction dialog box, the warning icon turns to be an information icon.
Preview box Shows a preview thumbnail of the area selected for title block.
Add Temporarily hides the wizard and adds the unselected cells to the extracted text list. NoteIf all cells in the title block are extracted, the button is disable.
Remove Removes the selected rows from the extracted text list.
Fine tune Opens the Text Extraction dialog box, enabling you fine tune the extraction process.
Rename Enters a new name for the selected cell. NoteIf the selected cell contains multiple text object, the button is disabled.
Highlight Temporarily hides the wizard and highlights the corresponding cells in the title block when you select one or more text objects in the extracted text list.


Select the title block (Quick Reference)

Select the title block
Select the title block
Select the title block
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Rules for title block

To make sure the location of the title block can be identified and data in it can be extracted, the title block must conform to these rules:

  • The title block is located in the title border which is specified in the Select title border step.
  • It must be a closed rectangle.
  • Its insertion point is coincident with one corner of the title border.


Select the title block (Quick Reference)

Select the title block
Select the title block
Select the parts list
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Text extraction dialog box

Use the dialog box to determine how multiple text objects in one cell are extracted and appear in the extracted text list.

Check box

If you select the check box before a text object, the text is ignored during the extraction process.

Text

Shows an individual text object split from multiple text objects.

Height

Shows the height of the text object. The height is defined when the text object is created.

Color

Shows the color of the text object in the title block.

Split remaining text objects

Split multiple text objects into different rows. If you do not select the check box, after extraction the multiple text objects are concatenated with spaces between them in one row.

NoteThe check box is enabled only if more than one text object is in the Text extraction dialog box.


Select the parts list (Concept)

Select the title block
Before you extract data from non-AutoCAD Mechanical Drawings
Specify the component property mapping
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

This step specifies the location of the parts list in the reference drawing, the size and location of the header, the number of columns in the parts list, and the size of each row in parts list body.

To collect the information about header and the first row, specify the header first and then the first row. If there is no header, select the first row directly.

NoteIf the header contains an empty cell, a name Column# is assigned to the cell. For example, if the third column in the header is empty, its name is Column3 after extracting.

If the header contains a split row, click Next in the Select parts list step, the Parts List Style dialog box appears. In the dialog box, you have two options:

  • Create a custom parts list style. The option maintains the formatting used by the parts list. The parts list standard element are configured to use the custom style.
  • Use the default parts list style. The style currently configured within the parts list standard element is used. A custom style is not created.

If there are extended parts lists, they are handled automatically. See Rules for parts list and extended parts list.


Select the parts list (Quick Reference)

Select the title block
Select the parts list
Select the parts list
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Extraction Template Wizard - Step3

Rules for parts list and extended parts list


Select the parts list (Quick Reference)

Select the parts list
Select the parts list
Select the parts list
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Extraction Template Wizard - Step3

This step specifies the location of the parts list and collects the information about the header and the first row of the parts list.

COMMAND LINE OPTIONS

Specify first corner of header or [No header]: Select one corner of a window that surrounds the parts list header. If there is no header, enter No header at the command prompt.

Specify opposite corner of header: Select the opposite corner of a window that surrounds the parts list header.

If you do not make a valid selection, the following prompts appear:

Could not find a valid header

Specify first corner of header or [No header]: Reselect the header.

Specify first corner of first row: Select one corner of a window that surrounds the first row in the parts list.

Specify opposite corner of first row: Select the opposite corner of a window that surrounds the first row in the parts list.

If you do not make a valid selection, the following prompts appear:

Could not find a valid first row

Specify first corner of first row: Reselect the first row.

If the width of the parts list header that you select is not equal to the width of the first row, the following prompts appear:

The width of the header is not equal to the first row

Specify first corner of first row:Reselect the first row.

Select parts list

Enables you to select the header and the first row of the parts list.

Click the button again to clear the previous selection and reselect the header and the first row.

Extracted text objects

Lists the column headings of the parts list header.

NoteIf no header is in the parts list, the text objects in the first row are extracted.

Preview box

Shows a preview thumbnail of the area selected for the header and the first row of the parts list.

Rename

Enters a new name for the selected cell.

Highlight

Highlights the corresponding cells in the parts list when you select one or more text objects in the extracted text list.


Select the parts list (Quick Reference)

Select the parts list
Select the parts list
Specify the component property mapping
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select the parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Rules for parts list and extended parts list

To avoid errors in BOM migration process, parts list and extended parts list in the project drawings must conform to these rules.

Rules for parts list

  • Parts list Locates in the title border which is selected in the Select the title border step.
  • It locates above the title block without gap, or locates in a corner of the title border.
  • Parts list body cannot contain split cells.

Rules for extended parts lists

  • Extended parts lists must locate side-by-side, or are wrapped around the title block.
  • The size of the extended parts list must be the same as the size of the main parts list, or be scaled.


Specify the component property mapping (Concept)

Select the parts list
Before you extract data from non-AutoCAD Mechanical Drawings
Select identifiers
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Specify the component property mapping
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can map text objects extracted from the title block and the parts list to the appropriate component properties. The component properties correspond to the ones visible in the BOM Settings dialog box. Configure these properties when you set up the reference drawing. The mapping result is used to build a BOM for each drawing in the project.

One component property contains no more than two text objects. One is from the title block and the other one is from the parts list. When you map, make sure the two text objects match. For Example, 100001 extracted from title block and PART NO extracted from parts list are added to the Part Number component property.


Specify the component property mapping (Procedure)

Select the title block
Up a level to ..
Specify the component property mapping
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Specify the component property mapping
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To map a cell to a component property

To remove a mapping


To map a cell to a component property (Procedure)

Specify the component property mapping
Up a level to ..
Specify the component property mapping
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Specify the component property mapping
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To map a cell to a component property

  1. In the Specify the component property mapping step of the Extraction Template wizard, select a cell in the Title block cells list or the Parts list cells list.
  2. In the Component properties list, select a component property.
  3. Click Add.
TipYou can drag a title block and parts list cell to insert it into the Component properties list.


To remove a mapping (Procedure)

Specify the component property mapping
Up a level to ..
Extracting data and migrating drawings to AutoCAD Mechanical
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Specify the component property mapping
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove a mapping

  1. In the Specify the component property mapping step of the Extraction Template wizard, select a text object under one component property.

    You can select the component property, and then click Remove to move all text objects under it back to their original lists.

  2. Click Remove.
TipYou can drag a text object in the Component properties list to its original list.


Specify the component property mapping (Quick Reference)

Select the parts list
Specify the component property mapping
Select identifiers
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Specify the component property mapping
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Extraction Template Wizard - Step4

Maps text objects in both the title block cells list and the parts list cells list to component properties.

Title block text objects

Shows the text objects which are extracted in the Select Title Block step of the Extraction Template wizard.

Parts list text objects

Shows the text objects which are extracted in the Select Parts List step of the Extraction Template wizard.

Component properties

Displays the component properties configured on the BOM tab of the BOM settings dialog box.

Add

Moves a title block text object or a parts list text object to a component property.

Note
  • One component property must contain no more than one text object from either the title block cells list or the parts list cells list.
  • If you go back to the Text Extraction dialog box and change the mapped text objects, these text objects move back to their original lists automatically.

Remove

Moves the text object which is added to a component property back to its original list.

Remove all

Moves all text objects which are added to the component properties list back to their original lists.

NoteThe Next button is enabled only if at least one component property contains two branches.


Select identifiers (Concept)

Specify the component property mapping
Before you extract data from non-AutoCAD Mechanical Drawings
Save extraction template
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select identifiers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Identifier is the component property which contain two text objects from the title block and parts list respectively. It identifies the drawing as a part or an assembly referenced in other drawings. If one or more other drawings include a property value in the parts list, then a link is established between these drawings and the drawing that contains the same property value in its title block. You can define two identifiers:

  • The Unique identifier is key to building the hierarchy of all drawings in the project. Select a property from the drop-down list to use as the identifier. Keep in mind that the property in the title block in a drawing must match the ones in the parts lists of the other drawings.
  • The Secondary identifier is used when the unique identifier is not available in a parts list row or title block. For example, standard or purchased components may not have a drawing number because they are purchased and there may not be a need for a drawing. If the unique identifier is not found, the secondary identifier is used. If the secondary identifier is not found in a parts list row or title block, the component is not recognized during migration. The second identifier cannot be the same as the unique identifier.


Select identifiers (Quick Reference)

Specify the component property mapping
Select identifiers
Save extraction template
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Select identifiers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Extraction Template Wizard - Step 5

Use this step to specify the unique identifier and the second identifier.

Unique identifier

Select a component property from the drop-down list to use as an identifier. Unique identifiers are used to build hierarchical relationships between drawings.

NoteThe drop-down list only shows those component properties which contain two text objects, one each from the title block cells and the parts list cells list.

Secondary identifier

Select a component property from the drop-down list to use as an identifier. The secondary identifier is optional. It is used when the unique identifier is unavailable.

NoteIf you go back to the Text Extraction dialog box, and change the text objects mapped to the component properties which are used as identifiers, all inputs for identifiers are cleared.


Save extraction template (Concept)

Select identifiers
Before you extract data from non-AutoCAD Mechanical Drawings
Extracting data and migrating drawings to AutoCAD Mechanical
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Save extraction template
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

This step of Extraction Template Wizard enables you to select a location to save the extraction template as an XML file. The default location and file name is the same as the reference drawing.

Click the Browse button to look for a location to save the template and change the file name.


Save extraction template (Quick Reference)

Select identifiers
Save extraction template
About the BOM Migration wizard
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Before you extract data from non-AutoCAD Mechanical Drawings >
Save extraction template
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Extraction Template Wizard - Step 6

The step specifies a location to save the template file. The template file is an XML file. It shares the location with the reference drawing by default.

File name

Displays the location and name of the template file.

Browse

Displays the Save As dialog box. In the dialog box, specify a location to save the template file. You can also name the XML file.


Extracting data and migrating drawings to AutoCAD Mechanical

Save extraction template
Building a BOM from non-AutoCAD Mechanical drawings
About the BOM Migration wizard
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings >
Extracting data and migrating drawings to AutoCAD Mechanical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • About the BOM Migration wizard
  • Select the project folder
  • Select the extraction template
  • Select the drawing cleanup options
  • Analyze the selected project
  • Analyzing the project


Extracting data and migrating drawings to AutoCAD Mechanical (Procedure)

Specify the component property mapping
Extracting data and migrating drawings to AutoCAD Mechanical
Select the project folder
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings >
Extracting data and migrating drawings to AutoCAD Mechanical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To add additional drawing

To attach a parts list spreadsheet

To define the read options for all attached spreadsheet


About the BOM Migration wizard (Concept)

Extracting data and migrating drawings to AutoCAD Mechanical
Extracting data and migrating drawings to AutoCAD Mechanical
Select the project folder
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
About the BOM Migration wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

The BOM Migration wizard provides the capabilities to build the complete product structure for a selected project. The product structure is built into each of the drawings within the project.

During the migration process, title blocks and parts lists in the drawings are analyzed for product information and their relationship to other drawings within the project. Title blocks and parts lists are replaced by fully associative AutoCAD Mechanical objects. Relationships between drawings are created using part reference objects. The complete product structure is stored within the top-level assembly drawing.

An extraction template is required for BOM migration. If you do not have it, you can create one using the Extraction Template Wizard.

NoteIf you do not have MSXML version 6.0 installed on your machine, install it before you start the BOM Migration utility.


About the BOM Migration wizard (Quick Reference)

Save extraction template
About the BOM Migration wizard
About the BOM Migration wizard
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
About the BOM Migration wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMBOMMIGRATE

Rules for drawings in a project


About the BOM Migration wizard (Quick Reference)

About the BOM Migration wizard
About the BOM Migration wizard
About the BOM Migration wizard
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
About the BOM Migration wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMBOMMIGRATE

BOM Migration utility migrates non-AutoCAD Mechanical drawings to the latest AutoCAD Mechanical format and converts unintelligent BOM data within the drawings to intelligent BOM and parts list data.

Ribbon: Manage tab [image] Migration panel [image] BOM Migration. Does not exist on the ribbon.
Menu: Tools [image] BOM Migration Does not exist in the menus.
Command entry: ambommigrate

When you run this application, a task dialog box appears to confirm that you have an extraction template. If you have it, click Yes to continue the migration process. If you do not have it, click No to terminate the application.


About the BOM Migration wizard (Quick Reference)

About the BOM Migration wizard
About the BOM Migration wizard
Select the project folder
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
About the BOM Migration wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Rules for drawings in a project

To extract data from non-AutoCAD Mechanical drawings and populate data in BOM, the drawings in the project must meet these requirements.

  • The attribute in the title block of a drawing matches the attribute in the parts list row in another drawing. For example, the part name in the title block of a part drawing is the same as the name in the parts list of an assembly drawing.
  • The insertion point and format of the title blocks in the target drawings must be identical to the one in the reference drawing.
  • The frame numbers of the title border in the target drawings within the project must not be more than the one of the reference drawing.


Select the project folder (Concept)

About the BOM Migration wizard
Extracting data and migrating drawings to AutoCAD Mechanical
Select the extraction template
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
Select the project folder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

This page enables you to select a project folder. Once a project folder is selected, all drawings within the selected project’s structure are added to the file list automatically. However, AutoCAD Mechanical drawings and Mechanical Desktop drawings are not supported. They cannot be added to the file list. See Rules for drawings in a project.

AutoCAD Mechanical drawings cannot be migrated. So make sure you do not save your target drawings in the AutoCAD Mechanical format.

If you use parts lists stored in Microsoft Excel spreadsheets in the project, attach these spreadsheets to the corresponding drawings manually. You can customize the worksheet and starting cell used by these spreadsheets.

If you do not have Microsoft Excel, you cannot attach any spreadsheet. If the version of a spreadsheet is newer than the Microsoft Excel on your computer, it cannot be attached.

To ensure the parts list stored in the spreadsheet can be recognized, it must follow these rules:

  • The order of columns within the spreadsheet must be identical to the order of columns within the parts list placed on the reference drawing.
  • The column headings within the spreadsheet must be identical to the column headings within the parts list placed on a drawing.
  • Columns are processed from left to right.
  • Rows are processed from top to bottom.


Select the project folder (Procedure)

Extracting data and migrating drawings to AutoCAD Mechanical
Up a level to ..
Select the project folder
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
Select the project folder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add additional drawing

To attach a parts list spreadsheet

To define the read options for all attached spreadsheet


Select the project folder (Quick Reference)

About the BOM Migration wizard
Select the project folder
Select the project folder
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
Select the project folder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Migration Wizard - Step1

Microsoft Excel Options dialog box


To add additional drawing (Procedure)

Select the project folder
Up a level to ..
Select the project folder
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
Select the project folder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add additional drawing

  1. In the Select the project folder step of the BOM Migration utility, click Add. The Select File dialog box appears.
  2. In the Select File dialog box, locate the drawing file. You can select multiple drawings by pressing CTRL key.
  3. Click Open.
Note
  • If the selected drawing is outside the project folder, it cannot be added.
  • If the selected drawing is an AutoCAD Mechanical or Mechanical Desktop drawing, it is ignored and the Unsupported Drawing Format task dialog box appears.


To attach a parts list spreadsheet (Procedure)

Select the project folder
Up a level to ..
Select the project folder
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
Select the project folder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To attach a parts list spreadsheet

  1. In the Select the project folder step of the BOM Migration utility, select the drawing to which the spreadsheet is attached.
  2. Click Attach. The Select File dialog box appears.
  3. In the Select File dialog box, locate the Microsoft Excel file.
  4. Click Open.
NoteSpreadsheets outside of the project folder cannot be attached.


To define the read options for all attached spreadsheet (Procedure)

Select the project folder
Up a level to ..
Chains and belt calculations
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
Select the project folder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To define the read options for all attached spreadsheet

  1. In the Select the project folder step of the BOM Migration utility, click Options. The Microsoft Excel Options dialog box appears.
  2. In the Microsoft Excel Options dialog box, select one worksheet from the drop-down menu in the Worksheet box.
  3. Enter the starting cell.
  4. Click OK.


Select the project folder (Quick Reference)

Select the project folder
Select the project folder
Select the project folder
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
Select the project folder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Migration Wizard - Step1

Use the step to select a project folder and list all drawings in the project. You can remove and add drawings, attach Excel spreadsheet to the drawings, and define Excel options.

Project folder Displays the location of the selected project folder.
Browse Displays the Select Folder dialog box to choose a project folder.
File list Displays the drawings within the selected project folder and the spreadsheets attached to these drawings. The File list comprises four columns. You can click one column heading to switch sort order between ascending and descending. The default sort order for each column is ascending.
 | The icon is displayed when a Microsoft Excel spreadsheet is manually attached to a drawing.
 | File name Displays the names of drawing files and spreadsheets.
 | Folder Displays the location of each file within the project. NoteIf a file is located within the project folder’s root, the Folder column is empty.
 | Current format Displays the format of each file within the project.
Add Displays the Select File dialog box allowing to add additional drawings to the File list. NoteYou cannot add drawings outside of the project folder.
Remove Removes the selected file from the File list.
Attach Displays the Select File dialog box, enabling you to attach a parts list stored in an external Microsoft Excel file to the drawing selected in the File list.
Options Displays the Microsoft Excel Options dialog box where you can define the read options for all attached spreadsheets.


Select the project folder (Quick Reference)

Select the project folder
Select the project folder
Select the extraction template
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
Select the project folder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Microsoft Excel Options dialog box

Use this dialog box to customize the worksheet and staring cell for all attached spreadsheets.

Worksheet

Displays the worksheet selected from the dropdown list. You can choose one of three sheets: Sheet1, Sheet2, and Sheet3. The default worksheet is Sheet1.

Starting cell

Displays the starting cell that you enter. The default starting cell is A1.

Ignore empty rows

Allows an attached spreadsheet containing a combination of populated and empty rows to be imported. For example, if you select the check box and the set the value of the empty rows to 2, the import process will stop only after the third empty row is detected. The check box is unselected by default.

Empty rows to ignore

Defines the maximum number of empty rows that can be detected during the import process without stopping the import process. When the Ignore empty rows check box is unselected, you cannot define the value. The default value is 1. The maximum number of empty rows is 10.


Select the extraction template (Concept)

Select the project folder
Extracting data and migrating drawings to AutoCAD Mechanical
Select the drawing cleanup options
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
Select the extraction template
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

An extraction template is an XML file created by the Extraction Template Wizard. It defines the extraction rules for all drawings in a selected project. Each drawing is analyzed based on these rules.

After you select an extraction template, the reference drawing from which the template file derives appears with its path on this page. The drafting standard from the reference drawing is applied to each drawing in the project once the analysis process is complete.


Select the extraction template (Quick Reference)

Select the project folder
Select the extraction template
Select the drawing cleanup options
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
Select the extraction template
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

BOM Migration Wizard - Step2

This step enables you to select an extraction template.

Extraction template

Displays the selected extraction template with its location.

Browse

Displays the Select File dialog box, enabling you to locate the extraction template.

Reference drawing

Displays the reference drawing from which the selected extraction template derives.

Active standard

Displays the drafting standard from the reference drawing.


Select the drawing cleanup options (Concept)

Select the extraction template
Extracting data and migrating drawings to AutoCAD Mechanical
Analyze the selected project
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
Select the drawing cleanup options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

To reduce the size of a drawing, you can purge unused items such as layouts, blocks, dimension styles, and so on.

In this step, you also can define the maximum time to spend migrating an individual drawing. If the time-out limit is reached before the migration process is complete, an error is documented in the report.


Select the drawing cleanup options (Quick Reference)

Select the extraction template
Select the drawing cleanup options
Analyze the selected project
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
Select the drawing cleanup options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

BOM Migration Wizard - Step3

Purges each drawing in the project and sets the maximum time to spend on migrating an individual drawing.

Purge drawing Contains a list of objects that can be purged from the drawing.
 | Purge All Selects all object type checkboxes. If you clear the Purge All checkbox, all previous selections of the object type checkboxes are restored.
 | Blocks Purges unused block objects from all drawings in the project.
 | Dimension styles Purges unused dimension styles from all drawings in the project.
 | Layers Purges unused layers from all drawings in the project.
 | Linetypes Purges unused linetypes from all drawings in the project.
 | Materials Purges unused materials from all drawings in the project.
 | Mline styles Purges unused multi-line styles from all drawings in the project.
 | Multileader styles Purges unused multileader styles from all drawings in the project.
 | Plot styles Purges unused plot styles from all drawings in the project.
 | Shapes Purges unused shape objects from all drawings in the project.
 | Table styles Purges unused table styles from all drawings in the project.
 | Text styles Purges unused text styles from all drawings in the project.
 | Visual styles Purges unused visual styles from all drawings in the project.
Migration time out Defines the maximum time in minutes to spend migrating an individual drawing. The default time is 15 minutes. You can enter a value from 10 to 1440.


Analyze the selected project (Concept)

Select the drawing cleanup options
Extracting data and migrating drawings to AutoCAD Mechanical
Analyzing the project
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
Analyze the selected project
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

In this step, you are ready to analyze the selected project for product structure, create a log file, and select a location for the log file. The log file is located within the project folder by default. You can click Browse button to change the location and the name of the log file.

The analysis does not actually migrate drawings. It generates a report detailing the product structure. The analysis results highlight all errors preventing the product structure from being created.

Once you click the Analyze button, a copy of the original folder structure and files are placed in an AMBOMMIGRATE BACKUP folder created within the selected project's folder. If you abort the analysis process, the backup folder will be deleted automatically.


Analyze the selected project (Quick Reference)

Select the drawing cleanup options
Analyze the selected project
Analyzing the project
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
Analyze the selected project
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

BOM Migration Wizard - Step4

Defines the file name of the log file and its location.

Log file location

Displays the location and file name of the log file that is created by the analysis process. The log file is created within the selected project folder using the file name ambommigrate.log by default.

Browse

Displays the Save Log File dialog box where you can change the file name and location of the log file.

Analyze

Moves to the next page and starts the analysis process.


Analyzing the project (Concept)

Analyze the selected project
Extracting data and migrating drawings to AutoCAD Mechanical
BOM extraction tutorial
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
Analyzing the project
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

This step shows the progress of analysis using the number of the drawings analyzed and the total number of drawings in the project. You can pause and “play” (continue)the analysis process.

You can view the main error categories documented within the log file as a summary within the page. Once the analysis is complete, you can view the log file.

If errors are detected in your drawings, you can do the following:

  • Cancel the entire migration process and fix the errors listed in the log file. The log file details all errors in the drawings, so you can refer to the log file to fix these errors.
  • Click Migrate to continue the migration process. The Migrate with errors task dialog box displays to prompts you fix errors before continuing the migration process. If you click no, the migration process continues.


Analyzing the project (Quick Reference)

Analyze the selected project
Analyzing the project
Migrate from previous versions
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > Extracting data and migrating drawings to AutoCAD Mechanical >
Analyzing the project
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

BOM Migration Wizard - Step5

Displays the analysis progress and provides some information about errors detected in the analysis process.

Analyzing drawing Displays the progress of analysis using the number of the drawings which are analyzed and the total number of drawings in the project. For example, if the project contains 20 drawings and the tenth drawing is being analyzed, “10 of 20” is displayed.
Progress bar Displays the progress of the analysis process.
 | Pause button Stops the analysis process temporarily.
 | Play button Resumes the analysis process from where it is stopped.
Status Displays the status of each error category.
 | Pending Means that the error category is in its initial status. The status is updated to Pass or Fail once the analysis process is complete.
 | Pass Means that the drawings in the project do not contain the error categories.
 | Fail Means that an error category is detected in at least one drawing in the project.
Error category Displays the main errors causing the migration of the project to fail.
Errors Displays the number of errors found for each error category.
View log file Opens the log file in Notepad. The button is enabled only when the analysis process is complete.
Migrate Moves to the next page and starts the migration process.


BOM extraction tutorial

Analyzing the project
Building a BOM from non-AutoCAD Mechanical drawings
Using the tutorial
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings >
BOM extraction tutorial
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Using the tutorial
  • About this tutorial
  • Setting up the reference drawing
  • Selecting the title border
  • Selecting the title block
  • Selecting the parts list
  • Specifying the component property mapping
  • Selecting identifiers
  • Saving the extraction template
  • Selecting the project folder
  • Selecting the extraction template
  • Selecting the drawing cleanup options
  • Saving log file
  • Analyzing and migrating drawings
  • Completing migration
  • Summary


Using the tutorial

BOM extraction tutorial
BOM extraction tutorial
About this tutorial
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > BOM extraction tutorial >
Using the tutorial
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Notes about the tutorial:

  • Use the Previous and Next arrows at the top-right corner of the page to reverse or advance the tutorial one page at a time.
  • Use the Up arrow to move to the home page.
  • To view the animation, click [image] to see how it works.


About this tutorial

Using the tutorial
BOM extraction tutorial
Setting up the reference drawing
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > BOM extraction tutorial >
About this tutorial
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This tutorial is primarily for users who want to migrate non-AutoCAD Mechanical drawings to AutoCAD Mechanical format and create BOMs, part references for them.

The tutorial includes the following high-level workflow:

  • Set up the reference drawing
  • Select the title border
  • Select the title block
  • Select the parts list
  • Map cells to component properties
  • Select identifiers
  • Save the extraction template
  • Select the project folder
  • Select the extraction template
  • Clean up drawings
  • Analyze the drawings in the project
  • Complete Migration
NoteKnowledge of AutoCAD Mechanical and Microsoft Excel are assumed for this tutorial.


Setting up the reference drawing

About this tutorial
BOM extraction tutorial
Selecting the title border
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > BOM extraction tutorial >
Setting up the reference drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The first step of the tutorial is selecting a reference drawing and setting it up. A reference drawing is used to create an extraction template which defines the extraction rules for all drawings in the project folder. In this tutorial, we provide you a DWT file for easily setting up the reference drawing. When you work on the other projects, you can use the DWT file specific to your company.

  1. Browse to the Project A folder in the BOM Migration subfolder of the tutorials folder.
  2. In the project A folder, make a copy of the Trolley drawing and name the copy Project A REF. The Trolley drawing is the top-level assembly in the project A. Because the reference drawing will be saved as AutoCAD Mechanical drawing and a AutoCAD Mechanical drawing will not be migrated, create a copy of the assembly drawing used as the reference drawing.
  3. Open the Project A REF drawing in AutoCAD Mechanical.
  4. Click [image] [image] Drawing Utilities [image] Setup Drawing.
  5. In the Set up Drawing dialog box, click Overwrite Settings.
  6. At the command prompt enter W for the Wizard option.
  7. Select the Import Settings from drawing template option.
  8. Click Browse to locate the Template.dwt file in the Project A folder and click Open.
  9. Click Next at each step until you see the Wizard is ready to import page.
  10. Click Import.
  11. Click Exit Wizard.
  12. Save the drawing.
NoteSave the reference drawing as the latest AutoCAD Mechanical format.


Selecting the title border

Setting up the reference drawing
BOM extraction tutorial
Selecting the title block
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > BOM extraction tutorial >
Selecting the title border
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Now you can define extraction rules based on the reference drawing. In this step of the tutorial, you will locate the border within the drawing. The border is used to identify the boundaries of the drawing area and aid in locating the title block and parts lists.

  1. On the ribbon, click the Manage tab [image] Migration panel [image] Extraction Template.
  2. In the Extraction Template dialog box, click Continue. The Extraction Template wizard appears. If the Extraction Template - Unsaved Drawing dialog box appears, it means the reference drawing is not being saved with the latest format.
  3. In the Select title border step, click the Select title border button. The wizard is temporarily hidden, showing the open reference drawing.
  4. Specify first corner of the title border: Select one corner of a window that surrounds the drawing border containing title block and parts list.
  5. Specify opposite corner of the title border: Select the opposite corner of a window that surrounds the drawing border containing title block and parts list. The wizard reappears displaying a preview thumbnail of the area selected. Note that the normalizing scale is 1:2.5.
  6. Click Next.

Click [image] to learn how to select title border.


Selecting the title block

Selecting the title border
BOM extraction tutorial
Selecting the parts list
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > BOM extraction tutorial >
Selecting the title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In this step of the tutorial, you will learn to identify the title block in the reference drawing and specify which properties to extract from the title block.

  1. In the Select title block step of the Extraction Template wizard, click the Select title block button. The wizard is temporarily hidden, revealing the reference drawing opened in AutoCAD Mechanical.
  2. Specify first corner of title block: Select one corner of a window that surrounds the title block.
  3. Specify opposite corner of the title border: Select the opposite corner of a window that surrounds the title block.
  4. Select a title block cell by specifying and internal point or [Done]: Select the cells containing the properties that you want to extract. Click ENTER to finish the selection. The Extraction Template wizard reappears displaying a preview thumbnail of the area selected. The Extracted text objects list displays the text objects extracted from the selected cells.
  5. Click Next.

Click [image] to learn how to select title block.


Selecting the parts list

Selecting the title block
BOM extraction tutorial
Specifying the component property mapping
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > BOM extraction tutorial >
Selecting the parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In this step, you will select the header and the first row of the parts list to specify the location of the parts list, the size and location of the header, the number of columns in the parts list, and the size of each row in parts list body.

  1. In the Select parts list step of the Extraction Template wizard, click the Select parts list button. The wizard is temporarily hidden, revealing the reference drawing.
  2. Specify first corner of header or [No header]: Select a corner of the parts list header.
  3. Specify opposite corner of header: Select the opposite corner of the parts list header.
  4. Specify first corner of first row: Select a corner of the first row in the parts list.
  5. Specify opposite corner of first row: Select the opposite corner of the first row in the parts list. The Extraction Template wizard reappears displaying the column headings of the parts list columns.
  6. Click Next.

Click [image] to learn how to select parts list.


Specifying the component property mapping

Selecting the parts list
BOM extraction tutorial
Selecting identifiers
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > BOM extraction tutorial >
Specifying the component property mapping
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Once you extract data from title block and parts list, you need to map these data to the corresponding component properties. The resulting mapping is used to build a BOM for each drawing in the project.

  1. In the Mapping step of the Extraction Template wizard, select a text object extracted from title block or parts list.
  2. Select a component property from the component properties list.
  3. Click Add.
  4. Repeat Steps 1 to 3 to map the other text objects.
  5. Click Next.
TipYou can add title block and parts list cells by dragging and dropping.

Click [image] to learn how to map text objects to component properties.


Selecting identifiers

Specifying the component property mapping
BOM extraction tutorial
Saving the extraction template
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > BOM extraction tutorial >
Selecting identifiers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An identifier creates a link between a parts list in one drawing and a title block in another. The unique identifier is key to building the hierarchy of all drawings in the project. The secondary identifier is used when the unique identifier is not available in a parts list row or title block.

Select the Part Number from the drop-down list. This tutorial does not specify the secondary identifier.

Click Next.


Saving the extraction template

Selecting identifiers
BOM extraction tutorial
Selecting the project folder
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > BOM extraction tutorial >
Saving the extraction template
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In this step of the tutorial, you will learn how to specify a location to save the extraction template. The template file is an XML file. Its default name and location is the same as the reference drawing.

You can click Browse to change the file location and file name. This tutorial does not change them. The Project A REF.xml file is created in the same location as the Project A REF drawing.

Click Save. The last page of the Extraction Template wizard appears. You can see the locations of both reference drawing and extraction template.

Click Close to exit the wizard.


Selecting the project folder

Saving the extraction template
BOM extraction tutorial
Selecting the extraction template
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > BOM extraction tutorial >
Selecting the project folder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In the first part of the tutorial, an extraction template is created. Now you begin to select a project folder and migrate drawings stored in it.

  1. On the ribbon, click Manage tab [image] Migration panel [image] BOM Migration.
  2. In the BOM Migration dialog box, click Continue.
  3. In the Select the project folder step of BOM Migration wizard, click Browse.
  4. In the Select Folder dialog box, browse to the Project A folder of the BOM Migration folder in the tutorials folder.
  5. Click OK. The BOM Migration - Unsupported Drawing Format dialog box appears prompting you that the Project A REF drawing is unsupported. The drawing file is converted to AutoCAD Mechanical format when it is used to create an extraction template.
  6. Click Close. The BOM Migration wizard appears displaying all drawings stored in the Project A folder except for the reference drawing.
  7. Click Next.

Click [image] to learn how to select the project folder.


Selecting the extraction template

Selecting the project folder
BOM extraction tutorial
Selecting the drawing cleanup options
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > BOM extraction tutorial >
Selecting the extraction template
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The step after specifying a project folder is selecting an extraction template. The extraction template defines the extraction rules for all drawings in the selected project. Each drawing is analyzed based on these rules.

  1. In the Select the extraction template step of BOM Migration wizard, click Browse.
  2. In the Select File dialog box, click Project A REF.xml.
  3. Click Open. The BOM Migration wizard displays the locations of both the extraction template and reference drawing. The drafting standard of the reference drawing is ISO in this tutorial.
  4. Click Next.


Selecting the drawing cleanup options

Selecting the extraction template
BOM extraction tutorial
Saving log file
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > BOM extraction tutorial >
Selecting the drawing cleanup options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To reduce the size of a drawing, you can purge unused items such as layouts, blocks, dimension styles, and so on. Click the Purge All check box in this page.

In this step, you also can define the maximum time to spend migrating an individual drawing. The time is 15 by default. Do not change the time limit in this tutorial.

Click Next.


Saving log file

Selecting the drawing cleanup options
BOM extraction tutorial
Analyzing and migrating drawings
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > BOM extraction tutorial >
Saving log file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In this step of the tutorial, you are ready to analyze the selected project for product structure, create a log file, and select a location for the log file. The log file details the product structure and highlights all errors preventing the product structure from being created.

The log file name is ambommigrate.log by default. It shares the same location with the reference drawing. Click Browse to change the default location and default name. No change is required in this page for the tutorial.

Click Analyze.

NoteOnce you click the Analyze button, a copy of the original folder structure and files are placed in an AMBOMMIGRATE BACKUP folder created within the selected project's folder.


Analyzing and migrating drawings

Saving log file
BOM extraction tutorial
Completing migration
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > BOM extraction tutorial >
Analyzing and migrating drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This step shows the progress of analysis using the number of the drawings analyzed and the total number of drawings in the project.

You can view the information about the main error categories documented within the log file as a summary within the page. After analyzing, click the View Log File button to refer to more details about errors.

Click Migrate to continue the migration process.

Click [image] to see the analysis progress and analysis results.


Completing migration

Analyzing and migrating drawings
BOM extraction tutorial
Summary
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > BOM extraction tutorial >
Completing migration
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This is the last step of the tutorial. The check box on this page is only displayed when a single top-level drawing is identified and the check box is selected by default. If two or more are found due to an incomplete project or missing drawings, the check box is removed from the page.

The top-level assembly is Trolley.dwg. Leave the check box selected.

Click Close. The Trolley.dwg is opened in AutoCAD Mechanical. All drawings in the Project A folder are migrated successfully.


Summary

Completing migration
BOM extraction tutorial
Migrate from previous versions
Add BOMs, balloons, and parts lists > Building a BOM from non-AutoCAD Mechanical drawings > BOM extraction tutorial >
Summary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You learned that how to create an extraction template and migrate non-AutoCAD Mechanical drawings to the AutoCAD Mechanical format. You can migrate the other non-AutoCAD Mechanical drawings and create BOMs and part references for them.


Migrate from previous versions (Concept)

Summary
Add BOMs, balloons, and parts lists
Perform engineering calculations
Add BOMs, balloons, and parts lists >
Migrate from previous versions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

BOMs created with Genius 12 or earlier must be migrated before they can be recognized by the AMBOM command of the current version. The original Balloons and Parts lists remains unchanged in the drawing, but you are not able to modify them. To be able to modify Balloons and Parts Lists, recreate them from the migrated BOM.

Use the AMMIGRATEBB command for migration.


Migrate from previous versions (Quick Reference)

Analyzing the project
Migrate from previous versions
Migrate from previous versions
Add BOMs, balloons, and parts lists >
Migrate from previous versions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMMIGRATEBB

AMCVT12

AMCVTDETA12

AMCVTDIM12

AMCVTDIMFIT12

AMCVTDIMTOL12

AMCVTFRAME12

AMCVTLIB12


Migrate from previous versions (Quick Reference)

Migrate from previous versions
Migrate from previous versions
Migrate from previous versions
Add BOMs, balloons, and parts lists >
Migrate from previous versions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMMIGRATEBB

Use AMMIGRATEBB to convert infopoints, position numbers, and parts lists from Genius 13 / Genius 14 to the current AutoCAD Mechanical format.

The balloons and parts lists, which could not be migrated correctly, are inserted as blocks to a special layer AMMIGRATEBB_FAILED.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: ammigratebb
NoteAMMIGRATEBB and AMMIGRATESYM are combined in the Script Generator under the MIGRATE option.

DIALOG BOX DEFINITIONS

File Migration: Setup Symbol Standard dialog box

List of standards

Select a drafting standard to use for migration. If needed, expand the standard and edit the standard properties for symbols and other items.

NoteThe standard setting for symbols can be changed later by the AMOPTIONS command.


Migrate from previous versions (Quick Reference)

Migrate from previous versions
Migrate from previous versions
Migrate from previous versions
Add BOMs, balloons, and parts lists >
Migrate from previous versions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCVT12

Use AMCVT12 to convert the dimensions of a Genius 12 drawing to an AutoCAD Mechanical drawing.AutoCAD recognizes a Genius 12 drawing file. When you open a Genius 12 drawing, the Genius 12 Drawing dialog box appears. Select the desired options and AutoCAD executes the conversion process. The configuration values are read into the current AutoCAD configuration structure.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcvt12

Note: Genius 12 drawings do not contain any layering information. So use AMSETUPDWG or AMSCRIPT with one of the predefined templates /scripts.


Migrate from previous versions (Quick Reference)

Migrate from previous versions
Migrate from previous versions
Migrate from previous versions
Add BOMs, balloons, and parts lists >
Migrate from previous versions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCVTDETA12

Use AMCVTDETA12 to convert Genius 12 details to a readable format for AutoCAD Mechanical.

After you start the COMMAND, you select the detail first. Then, you enter the scale under which the detail are represented.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcvtdeta12

COMMAND LINE OPTIONS

Select detail border (circle or closed polyline): Select a detail.

Scale for Detail (current scale 1:1): Enter a scale and press ENTER.


Migrate from previous versions (Quick Reference)

Migrate from previous versions
Migrate from previous versions
Migrate from previous versions
Add BOMs, balloons, and parts lists >
Migrate from previous versions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCVTDIM12

Use AMCVTDIM12 to remove problems associated with converting AutoCAD 12 drawing dimensions.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcvtdim12

The conversion is initiated manually or automatically:

Manual: Enter AMCVTDIM12 on the COMMAND line. Select the objects.

automatic: If the variable “TranslateoldDIM” is set in the configuration, AutoCAD Mechanical automatically processes, during the drawing conversion, all AutoCAD 12 dimensions.

Cfg-Variable: Gen@System@TranslateoldDIM Object name = TranslateoldDIM Object type = GenCfgShortObject value = 1

automatic: gen@system@TranslateoldDIM=1 (short); a block is created, if necessary.

So that this conversion process works, copy the following files into the AutoCAD Mechanical directory:

Genbas0.lsp => acadm\gen\Genbas.mld => acadm\gen\mld\G12f13.shx => acadm\

Converting dimensions

The program tries to convert dimensions, and it checks whether the dimension text has remained in its original position. If not, the conversion process is canceled and the dimension is saved as block (new Power Object). If an AutoCAD 12 dimension is recognized by the Power Edit/Power Copy/Power Recall, the following message appears: This old acad12-dimension entity cannot be handled. Please erase and create a new one.

Note:

  • For dimensions within a block, with Explode the dimensions are changed.
  • Dimension texts in angle dimensioning that were written with a certain angle, can be rewritten in the standard angle.
  • Decimal places are recognized and considered.
  • alternative entries, such as 25.4[2.00"], are recognized.
  • Radius dimensions are always converted into blocks.
  • With dimensions in details, the dimension style is changed.
  • Styles, dimension styles, and configuration entries are changed: Gen-iso.shx becomes g12f13.shx.
  • DIMGAP is set if the value is less than 0.25*text height (new value=text height*0.5).

    COMMAND LINE OPTIONS

Select objects: Select objects and press ENTER.

Upgraded dimension successfully.


Migrate from previous versions (Quick Reference)

Migrate from previous versions
Migrate from previous versions
Migrate from previous versions
Add BOMs, balloons, and parts lists >
Migrate from previous versions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCVTDIMFIT12

Use AMCVTDIMFIT12 to convert Genius 12 fits to a readable format for AutoCAD Mechanical.

Select the dimension first. This dimension is a Genius 12 dimension. Then select the fit (H7). The fit is deleted and the new fit is added to the dimension. The representation of the fit depends on the current style.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcvtdimfit12

COMMAND LINE OPTIONS

Select text of dimension: Select the text of a dimension.

Upgraded dimension successfully.

Select fit: Select a fit.

Select text of dimension: Select the text of a further dimension or press ENTER to exit the COMMAND.


Migrate from previous versions (Quick Reference)

Migrate from previous versions
Migrate from previous versions
Migrate from previous versions
Add BOMs, balloons, and parts lists >
Migrate from previous versions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCVTDIMTOL12

Use AMCVTDIMTOL12 to convert Genius 12 tolerances to a readable format for AutoCAD Mechanical.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcvtdimtol12

Select the dimension first. This dimension is a Genius 12 dimension. Select the lower and the upper tolerance. The tolerance(s) (the text, for example +0.05) are deleted, and the tolerance is added to the dimension. If the lower tolerance is not available, press ENTER. The representation of the tolerance depends on the current style. With Power Edit, you can easily modify the style.

COMMAND LINE OPTIONS

Select text of dimension: Select the text of a dimension.

Upgraded dimension successfully.

Select upper or single tolerance: Select a tolerance.

Select lower tolerance or Return: Select a lower tolerance or press ENTER.

Select text of dimension: Select the text of further dimensions or press ENTER to exit the COMMAND.


Migrate from previous versions (Quick Reference)

Migrate from previous versions
Migrate from previous versions
Migrate from previous versions
Add BOMs, balloons, and parts lists >
Migrate from previous versions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCVTFRAME12

Use AMCVTFRAME12 to convert Genius 12 frames and title blocks to a current AutoCAD Mechanical format.after you start the COMMAND, select the frame and the title block.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcvtframe12

COMMAND LINE OPTIONS

Select border block: Select the border.

Select title block: Select the title block.

Scale <1:2>: 1:10

Frame and title block converted to Power Objects!

The border and the title block are converted into objects. You can use the Power COMMANDs on this border and title block.


Migrate from previous versions (Quick Reference)

Migrate from previous versions
Migrate from previous versions
Chains and belt calculations
Add BOMs, balloons, and parts lists >
Migrate from previous versions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCVTLIB12

Use AMCVTLIB12 to convert a Genius 12 library to a current AutoCAD Mechanical library structure.

After the COMMAND has been called, the Select Genius 12 Library dialog box appears, from which you can select the file genlib.dir. After choosing Open, drawings of this library are connected as “Genius 12 library” to the AutoCAD Mechanical library.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcvtlib12


Perform engineering calculations

Migrate from previous versions
Chains and belt calculations
Perform engineering calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Chains and belt calculations
  • Spring calculations
  • Bearing calculations
  • Deflection and moment lines
  • Moments of inertia
  • Screw calculations
  • Shaft calculations
  • Finite Element Analysis
  • Design cams


Chains and belt calculations (Concept)

Perform engineering calculations
Perform engineering calculations
Spring calculations
Perform engineering calculations >
Chains and belt calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical performs calculations for belt or chain lengths based on existing geometry. A dialog box displays the available representations for chains and belts and for pulleys and sprockets. A library function helps saving and recalling the respective components.

Chain drives are interlocking, wrapping drives, where an endless chain wraps around two or more sprockets. Chain drives, as with spur gear pairs, serve to transfer force and motion between parallel shafts. Chain drives can bridge the distance between axles that typical gearwheels cannot.

Chain drives are not as flexible as belt drives, but can be used when space, power translation, or axis distance make incorporating a belt drive unfavorable. A facet of a chain's length that must be accounted for is the polygon effect at the sprocket. The polygon effect occurs particularly in smaller synchronous belts having relatively low teeth numbers; the turning transmission is not constant, due to the cyclic changes of the chain peaks and valleys. The length of a chain therefore does not correspond to its centerline.

Belt drives can transfer a lot of power with respect to their dimensions and weight; they run quietly without slip, and require relatively little shaft load or support. Belts do not have the polygon effect, therefore the length of the centerline is the length of the belt.

Both calculations essentially follow the same procedures. The chain or belt length calculation routine, used for both calculations requires that you insert at least two circles into your drawing to represent the pitch circle diameter of the pulleys or sprockets. Alternatively, you can insert sprockets or pulleys using AMSPROCKET. The pulleys and chain wheels are displayed as circles. You must select the reference circle to carry out a calculation. The circles establish the tangential conditions required for the chain or belt. We recommend carrying out length calculations on separate layers or in an extra drawing, to view the simplified presentation. To insert a chain or belt, or a sprocket or pulley, you must create and calculate a base arrangement first.

When a chain is drawn, it follows a polyline. This polyline is generated by the length calculation function.

Pulleys are represented as circles. The circles correspond to the pitch radius of the pulley. The tooth profile is calculated from the selected block of the library. The pulley orients itself on the shape of the synchronous belt. The pitch circle corresponds to the length of the pulley at the pitch line.

A sprocket is defined by the number of teeth. The diameter of the roller corresponds to the diameter adjacent to the sprocket.

Note: The teeth of the pulley correspond to the shape of the teeth for the belt of the library. However, in reality these shapes differ slightly.


Chains and belt calculations (Procedure)

Select the project folder
Chains and belt calculations
Chains and belt calculations
Perform engineering calculations >
Chains and belt calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a belt (2D)

To insert a chain (2D)

To insert a pulley (2D)

To insert a sprocket (2D)


Chains and belt calculations (Quick Reference)

Migrate from previous versions
Chains and belt calculations
Chains and belt calculations
Perform engineering calculations >
Chains and belt calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCHAINDRAW

AMCHAINLENGTHCAL

Belt and Chain Length Calculation dialog box

AMSPROCKET

Pulleys and Sprockets dialog box


To insert a belt (2D) (Procedure)

Chains and belt calculations
Chains and belt calculations
Chains and belt calculations
Perform engineering calculations >
Chains and belt calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a belt (2D)

  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMCHAINDRAW.
  2. In the Draw/Chain Belt dialog box, select Belt.
  3. Select the Library button.
  4. Choose the type and size of the belt. You may need to select values for the belt from several dialog boxes.
  5. Determine the number of links that are to be inserted into the drawing.
  6. Choose OK.
  7. Select the polyline and starting point for the belt.
  8. Specify if the position of the link is correct.
  9. Insert the part reference.

    The belt is inserted.


To insert a chain (2D) (Procedure)

Chains and belt calculations
Chains and belt calculations
Chains and belt calculations
Perform engineering calculations >
Chains and belt calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a chain (2D)

  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMCHAINDRAW.
  2. In the Draw/Chain Belt dialog box, select Chain.
  3. Select the Library button.
  4. Choose the type and size of the chain. You may need to select values for the chain from several dialog boxes.
  5. Determine the number of chain links that are to be inserted into the drawing.
  6. Choose OK.
  7. Determine the starting point for the chain on the polyline.
  8. Specify if the position of the link is correct.
  9. Insert the part reference.

The chain is inserted.


To insert a pulley (2D) (Procedure)

Chains and belt calculations
Chains and belt calculations
Chains and belt calculations
Perform engineering calculations >
Chains and belt calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a pulley (2D)

  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMSPROCKET.
  2. In the Pulleys and Sprockets dialog box, select Belt.
  3. Select the Library button.
  4. Specify the center of the wheel.
  5. In the Select a Pulley dialog box, select the type of the pulley.
  6. In the Select Part Size dialog box, select the size of the pulley.

The pulley is inserted.


To insert a sprocket (2D) (Procedure)

Chains and belt calculations
Chains and belt calculations
Spring calculations
Perform engineering calculations >
Chains and belt calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a sprocket (2D)

  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMSPROCKET.
  2. In the Pulleys and Sprockets dialog box, select Chain.
  3. Select the Library button.
  4. In the Select a Chain dialog box, select the type of the chain.
  5. In the Select Part Size dialog box, select the size of the chain.
  6. In the Number of Teeth to Draw field, enter the number of teeth for the sprocket, in order to calculate the diameter of the pitch circle.
  7. In the Hole Diameter for Shaft field, enter a different diameter, if necessary.
  8. Determine the number of teeth that are to be inserted in the drawing, and enter the insertion angle.
  9. Specify the insertion point for the sprocket.
  10. Press ENTER to insert centerlines.

The sprocket is inserted.


Chains and belt calculations (Quick Reference)

Chains and belt calculations
Chains and belt calculations
Chains and belt calculations
Perform engineering calculations >
Chains and belt calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCHAINDRAW

Draws a chain or belt links along a polyline.

The drawing process is controlled by the Draw Chain/Belt dialog box.

Ribbon: Content tab [image] Misc panel [image] Draw Chain/Belt Links. Does not exist on the ribbon.
Toolbar: Content [image] Calculation
Menu: Content [image] Chains / Belts [image] Draw Chain/Belt Links Does not exist in the menus.
Command entry: amchaindraw

A wizard assists you to select the type of link, the size, and the number of links to draw.

COMMAND LINE OPTIONS

In the Select Belt and Chain dialog box, choose Belt or Chain.

Select polyline and starting point: Determine the starting point for the chain on the polyline and the calculation starts. The first link is included.

In the Size dialog box, select the standard size.

In the Geometry dialog box, define the number of teeth.

Specify Direction of Links [Flip/Accept] <Accept>: Specify the direction of links drawn along the polyline.

Specify Orientation of Links [Flip/Accept] <Accept>: Specify orientation of non-symmetrical links.

DIALOG BOX DEFINITIONS

Draw Chain/Belt dialog box

Use the Draw Chain dialog box, to select a chain or a belt from the library, to insert it into the drawing.

Belt

Opens the Select a Belt dialog box.

Chain

Opens the Select a Chain dialog box.

Size

Specifies a size for the standard part.

Number of Links to Draw

Determines how many links are to be inserted.

Notes:

  • When a chain is drawn, it follows a polyline. Therefore, you have to select a point on the polyline. This point becomes the starting point of the chain. After inserting the first chain link, you are asked, whether the position of the link is correct. If the links are to be inserted in another direction, change the direction.
  • If the number of chain links corresponds to the length of the polyline, a complete chain is created.


Chains and belt calculations (Quick Reference)

Chains and belt calculations
Chains and belt calculations
Chains and belt calculations
Perform engineering calculations >
Chains and belt calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCHAINLENGTHCAL

Calculates the required length of a chain or belt when you trace the path of the chain or belt.

Ribbon: Content tab [image] Misc panel [image] Length Calculation. Does not exist on the ribbon.
Toolbar: Content [image] Calculation
Menu: Content [image] Chains / Belts [image] Length Calculation Does not exist in the menus.
Command entry: amchainlengthcal

You specify the path of the chain or belt by defining tangents connecting the pulleys/sprockets. Choose a chain or a belt from the content library. Then perform automatic optimization or manual displacement of one or more pulleys/sprockets before you start the calculation process.

Before starting the calculation, the geometry of the pulleys/sprockets has to be determined by definition of tangents along the pulleys/sprockets. After choosing a chain or a belt from the library, an automatic optimization or a manual displacement of one or more pulleys/sprockets can be carried out, before the calculation process is started.


Chains and belt calculations (Quick Reference)

Chains and belt calculations
Chains and belt calculations
Chains and belt calculations
Perform engineering calculations >
Chains and belt calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Belt and Chain Length Calculation dialog box

Use the Belt and Chain Length Calculation dialog box to choose a chain, a pulley, or a sprocket from the library and to determine the setting in the drawing.

New Tangent Definition Between Sprocket/Pulley

Defines a new tangent definition. This option is activated when no tangent definition exists in the drawing.

Belt

Chooses a belt from the library.

Chain

Chooses a chain from the library.

Move Manual

Enables manual movement of the pitch circles.

Length Calculation

Calculates the length of the belt or chain polyline.

Auto. Optimization

Optimizes the belt or chain geometry. Options let you move pitch circles in different directions.

Sprocket/Pulley for Move/Rotation>>

Determines the pitch circles that are to be moved. If this option is not selected, the pitch circles that do not contain tangent information, or the one that was selected before are moved. In practical operation this is usually the chain adjuster or the belt tightener.

Move

Prescribes a movement along a straight line.

Direction for Move >>

Prescribes the direction of the movement. Select this option to redefine the predefined direction of movement.

Rotation

Determines a center point around which the movement takes place. Determines a rotational movement.

Center Point for Rotation >>

Redefines the center point of the rotational movement.

Required Length

Displays the required setting value for the length of belts or chains.

Required Number of Links

Displays the required number of links along the drawn polyline.


Chains and belt calculations (Quick Reference)

Chains and belt calculations
Chains and belt calculations
Chains and belt calculations
Perform engineering calculations >
Chains and belt calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSPROCKET

Inserts the front view of a sprocket or pulley from the content library.

Ribbon: Content tab [image] Misc panel [image] Draw Sprocket/Pulley. Does not exist on the ribbon.
Toolbar: Content [image] Calculation
Menu: Content [image] Chains / Belts [image] Draw Sprocket/Pulley Does not exist in the menus.
Command entry: amsprocket

A wizard enables you to choose the type of the sprocket/pulley you are inserting. When you specify the number of teeth, the system automatically calculates the diameter. In the case of a sprocket, you get to select the chain before you specify the number of teeth.

The calculation process is controlled by the Pulleys and Sprockets dialog box.

COMMAND LINE OPTIONS

Sprocket

In the Select Pulley and Sprocket dialog box, choose Sprockets.

Specify center of wheel: Click a point to specify the center of the wheel.

Specify rotation angle <0>: Specify the rotation angle using the pointing device or enter a value.

In the Select a Chain dialog box, select the type of chain you want to insert.

In the Sprockets Size dialog box, select the size of the chain.

In the Sprockets Geometry dialog box, set geometric parameters of the wheel.

Pulley

In the Select Pulley and Sprocket dialog box, select the type of pulley to insert.

Specify center of wheel: Click a point to specify the center of the wheel.

Specify rotation angle <0>: Click in the graphics window to specify the rotation angle or enter a value.

In the Pulley Size dialog box, select the size.

In the Pulley Geometry dialog box, set geometric parameters of the wheel.


Chains and belt calculations (Quick Reference)

Chains and belt calculations
Chains and belt calculations
Spring calculations
Perform engineering calculations >
Chains and belt calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Pulleys and Sprockets dialog box

Size

Specifies a size for the standard part.

Number of teeth

Sets the number of teeth for the sprocket.

Shaft Diameter

Sets a diameter for the hole in the wheel.

Number of Visible Teeth

Determines the number of draw teeth for the sprocket or pulley.


Spring calculations (Concept)

Chains and belt calculations
Perform engineering calculations
Bearing calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Spring calculation is performed in accordance with DIN or ANSI standards. You can select standard sizes of springs from the DIN/Gutekunst/SPEC catalog. For simplicity, all spring types are inserted using the same method. To insert springs you use spring commands that take you through dialog boxes which let you select options for calculating and inserting springs.

When you select the Modified Design option, you can select the wire diameter from a table and define all other parameters separately. When you select the Only Draw option, you determine only the geometry of the spring without calculations. You can also insert an empty form into the drawing, and then insert values in it by double-clicking it.

The calculation procedure used depends on the standard and the selected spring type. For example, if you select the ANSI standard, you can select the catalog and the semi-finished products.

You can also determine whether you want to perform a calculation of the spring (buckling, transverse compliance, shock stress), which stress types are effective, or whether a selection of the spring list is to be made, as well as the sorting of the springs when dragging dynamically.

You can select a spring using one of two methods:

  • From the Results dialog box, which lists all the springs found along with the calculated results (such as tension ratio, natural frequency).
  • In the graphic area using dynamic dragging, where springs are displayed on the screen with the geometric dimensions. If only one spring is found, this dynamic dragging is not activated
Outline representation when dragging dynamically

For the outline representation, the routine takes the values from the database, and the corresponding spring is displayed on the screen with the geometric dimensions.

When you are in the process of dragging dynamically, the outline of the spring is represented such that you can see the unloaded length and the loaded length considering F1, F2, and Fn (in case of torsion springs, this is the fixed leg and the loaded length of the moved leg considering F2, F1, and Fn).

The representation is also dependent upon the selected specification method. The red line represents the spring length or force in the current situation, the outline the value L0 (unloaded length), the length provided with a helix the value Ln (maximum allowable length). If you move the pointing device away from the insertion point, a larger spring is shown; if you move it back again, the next smaller spring is shown. If only one suitable spring for the defined parameters is found in the database, no changes in size are made visible by dragging the cursor. The criterion for leafing is determined by the dynamic dragging option in the Additional Settings dialog box.

Note
  • If the thrust tension ratio has a calculated value that is greater than 1 (>1), a warning appears on the screen. You can either accept the calculated spring or choose the Previous and define new values.
  • If the displayed spring outline fulfills your requirements, press ENTER, or click a point on the screen. The Drawing dialog box for the spring representation opens.
Empty form for springs

By selecting the Empty form option, you can insert a standard scheme in ANSI, ISO or DIN into the drawing.

You can select a form and determine the insertion point for the form in the drawing. To enter values in the form, double-click it.


Spring calculations (Procedure)

Chains and belt calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert an empty form for springs

To edit a spring

To insert a Belleville spring washer (2D)

To insert a compression spring (2D)

To insert an extension spring (2D)

To insert a torsion spring (2D)


Spring calculations (Quick Reference)

Chains and belt calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBELL2D

AMCOMP2D

AMEXT2D

AMTOR2D

Select dialog box

Modified Design Specification dialog box

Belleville Spring Washer DIN 2093 dialog box

Select dialog box

Modified Design Specification dialog box

Torsion Spring dialog box

Modified Design Specification dialog box

Modified Design Specification dialog box

Spring Arrangement dialog box

OPTIONS dialog box AM:Calculation tab


To insert an empty form for springs (Procedure)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert an empty form for springs

  1. On the command line, enter a command as per the table below.
    Type of spring required | Command
    Compression | AMCOMP2D
    Extension | AMEXT2D
    Torsion | AMTOR2D
    Belleville | AMBELL2D
  2. In the respective dialog box, select empty form.
  3. Choose OK.
  4. Specify an insertion point.
  5. Double-click the form.
  6. In the Edit Attributes dialog box, enter the values you need.
  7. Choose OK.


To edit a spring (Procedure)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit a spring

  1. Click None [image] None [image] [image] At the Command prompt, enter AMPOWEREDIT.
  2. Select the spring you want to edit. The appropriate Springs- Select from Table dialog box appears.
  3. Use the Back and Next buttons to change all available features of the spring.
  4. Press Finish.

Note: You can also start Power Edit by double-clicking the object you want to edit.


To insert a Belleville spring washer (2D) (Procedure)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a Belleville spring washer (2D)

  1. Click Dashboard tab [image] Springs panel [image] [image] At the Command prompt, enter AMBELL2D.
  2. In the Select a Belleville Spring dialog box, select a catalog or standard.
  3. Select Front View or Sectional View.
  4. Click to specify the starting point.
  5. Click to specify the direction.
  6. In the Belleville Washer Springs dialog box, from the Specification drop-down list, select the insertion method. There are four standard cases, and one detailed case.
  7. Add restrictions or change the spring arrangement and choose Next.
  8. If you selected Modified Design in the Select a Belleville Spring dialog box in step 2, select the material and thickness of the material and choose Next.
  9. Select one or more springs from the table.
  10. Choose Finish.
  11. Specify the length of the spring by dragging and clicking, or enter a value on the command line.

The Belleville spring washer is inserted.


To insert a compression spring (2D) (Procedure)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a compression spring (2D)

  1. Click Dashboard tab [image] Springs panel [image] [image] At the Command prompt, enter AMCOMP2D.
  2. In the Select Compression Spring dialog box, select a Catalog or Standard.
  3. Select Front View or Sectional View.
  4. Click to specify the starting point.
  5. Click to specify the direction.
  6. In the Compression Springs dialog box, from the Specification drop-down list, select the insertion method. There are four standard cases, and one detailed case.
  7. Add restrictions and choose Next.
  8. If you selected Modified Design in the Select a Compression Spring dialog box in step 2, select the material and wire diameter and choose Next.
  9. Select one or more springs from the table.
  10. Choose Finish.
  11. Specify the length of the spring by dragging and clicking.
  12. Select an object in the drawing to be inside the spring (hidden by the spring) or press ENTER.
  13. Press ENTER.

The compression spring is inserted.


To insert an extension spring (2D) (Procedure)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert an extension spring (2D)

  1. Click Dashboard tab [image] Springs panel [image] [image] At the Command prompt, enter AMEXT2D.
  2. In the Select an Extension Spring dialog box, select a catalog or standard.
  3. Choose Front View or Sectional View.
  4. Click to specify the starting point.
  5. Click to specify the direction.
  6. In the Extension Springs dialog box, from the Specification drop-down list, select the insertion method. There are four standard cases, and one detailed case.
  7. Add restrictions and choose Next.
  8. If you selected Modified Design in the Select an Extension Spring dialog box in step 2, select the material and wire diameter and choose Next.
  9. Select one or more springs from the table.
  10. Choose Finish.
  11. Specify the length of the spring by dragging and clicking. The Extension Spring- Angle of View for Drawing dialog box appears.
  12. Select the angle of view for drawing.
  13. Choose Next.
  14. Select an object in the drawing to be inside the spring (hidden by the spring) or press ENTER.
  15. Press ENTER.

The extension spring is inserted.


To insert a torsion spring (2D) (Procedure)

Spring calculations
Spring calculations
Bearing calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a torsion spring (2D)

  1. Click Dashboard tab [image] Springs panel [image] [image] At the Command prompt, enter AMTOR2D.
  2. In the Select a Torsion Spring dialog box, select a catalog or standard.
  3. Specify front, side or sectional view.
  4. In the Type of Ends of Torsion Springs, choose a type of ends and choose OK.
  5. Click to specify a center point.
  6. Click to specify a support point of the fixed end.
  7. Click to specify the direction of torsion.
  8. If you selected Modified Design in the Select a Torsion Spring dialog box in step 2, specify the lever.
  9. In the Torsion Spring dialog box, from the Specification drop-down list, select the insertion method. There are four standard cases, and one detailed case.
  10. Choose Next.
  11. If you selected Modified Design in the Select a Torsion Spring dialog box in step 2, specify the material and wire diameter of the spring.
  12. Choose Next.
  13. Select one or more springs from the table.
  14. Choose Finish.
  15. Specify the helix direction and the current angle.
  16. If you selected a side or sectional view, select an object in the drawing to be inside the spring (hidden by the spring) or press ENTER.

The torsion spring is inserted.


Spring calculations (Quick Reference)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBELL2D

Performs a spring calculation and inserts a Bellville washer spring in the drawing area.

Ribbon: Content tab [image] Misc panel [image] Belleville Spring. Does not exist on the ribbon.
Toolbar: Content [image] Springs
Menu: Content [image] Springs [image] Belleville Spring Does not exist in the menus.
Command entry: ambell2d

When you specify the restrictions, the system performs a calculation and recommends the appropriate springs. You can insert the form at the same time you insert the Bellville washer spring. If required, you can insert a spring without performing any calculations.

In order to make the calculation as simple and as clear as possible, the spring types are inserted using the same methods. You use dialog boxes for the selection, calculation, and insertion process. Use the Select a Belleville Spring dialog box to select the standard, the view and spring type.

COMMAND LINE OPTIONS

Specify starting point:Specify the insertion point for the spring.

Specify direction: Specify a second point for the direction of the spring.

COMMAND LINE DEFINITIONS

Topical Length:

Defines the length of spring as you draw it on the screen. The length must be between the maximal loaded length and the unloaded length. Use the Force option to define the length in terms of the corresponding value of force between the minimum and maximum load.

DIALOG BOX DEFINITIONS

The spring insertion and calculation is controlled by a sequence of dialog boxes depending upon the spring insertion method you selected.

Exclude from parts lists:

Select the Exclude from parts lists check box to exclude an item from all part lists. When the Exclude check box is selected for an item in the BOM, then all part lists will not include the item. When the Exclude check box is selected in any standard part dialog box, then all BOMs are updated to also exclude the item.

The items remain available in the BOM and can be included by clearing the Exclude from parts lists check box in the BOM.n

Select a Belleville Spring dialog box

Use the Select a Belleville Spring dialog box to select the spring insertion method or to insert an empty form.

Standards

Lets you select, draw and calculate a spring from a Standard, or Manufacturer table.

Modified Design

Lets you select, draw and calculate a specially produced spring.

Only Draw

Lets you draw a spring without calculation.

Empty Form

Creates an empty form that you can insert into the drawing.

Views

Specifies whether to insert the spring in Front View or Sectional View.

Belleville Washer Springs - Only Draw dialog box

Use the Drawing dialog box to define the geometry of the spring in the drawing.

Thickness

Specifies the thickness of the sheet, which creates one belleville segment

Chamfer

Inserts a chamfer on the last belleville segment, to increase the contact area between the washer and the base. You can only select the chamfer option, when the thickness of the Belleville segment, t, is greater than 6.4 mm.

De

Specifies the external diameter of the Belleville spring segment.

Di

Specifies the internal diameter of the Belleville spring segment.

n

Specifies the number of spring segments in one packet.

i

Specifies the number of packets in the spring. Each packet contains parallel segments.

Pushing of Spring

Specifies the maximum compression of one spring segment.

Size of Segment

Specifies the calculated thickness of one spring segment.

Total Length

Specifies the calculated total length of the whole spring.

Belleville Washer Springs - Arrangement dialog box

Select one of the options to specify whether the spring starts with the external or the internal diameter of the first segment.

Belleville Washer Springs - Additional Settings dialog box

Calculation Formulas

There are two possible calculations: according to DIN or ANSI formulas. Type of calculation is set default according to selected catalog, but can be changed. It is possible to change this input only in the Location or Restriction subdialog.

Dynamic Dragging by loaded, or unloaded length

If you specify dynamic dragging by loaded length, a spring with loaded length indicated by red line, closest to position of cursor is chosen. If you specify dynamic dragging by unloaded length, a spring with unloaded length, closest to position of cursor is chosen.

Draw form together with spring

After activating this check box the form will be placed together with inserted spring into the drawing.

Belleville Washer Springs - Modified design dialog box

Material

Specifies required material in accordance with the selected standard

Thickness

Specifies thickness of the sheet, which creates one belleville segment.

Chamfer check box

You can only select this check box, when the thickness of the Belleville segment “t” is greater than 6.4 mm. These thicknesses make it possible to insert a chamfer on the last Belleville segment, to enlarge a contact area between washer and basis.

De

External diameter of the Belleville spring segment.

Di

Internal diameter of the Belleville spring segment.

n

Specifies overall number of rows in one packet.

i

Specifies number of packets (each packet contains more parallel segments) in the spring.

Pushing of Spring

Maximal compression of one spring segment.

Size of Segment

Calculated thickness of one spring segment.

Total Length

Calculated total length of whole spring.

Belleville Washer Springs - Select from Table dialog box

Specification

Specifies a combination of force and geometrical restrictions: Load, Deflection / Load, Length / 2 Load, 2 Length / 2 Loads, Travel / Detailed. Select an appropriate combination based on the disposable input data. After selecting the specification, a spring picture with dimension buttons and a value table of restrictions appears.

Absolute set:

Contains two options: Lengths and Forces. If the Force is of the absolute value, then the length is within the range from - to, and the other way around.

Offer only 10 most Suitable Springs check box:

Due to the fact, that there is a large number of possible combinations in ordering of the Belleville spring packets, it is possible to select and to offer only ten the most suitable spring combinations, after activating this check box.

Restrictions table

To insert a restriction into the table, click on the dimension button (for example: Da) in the spring picture to the right of the table. A new empty row appears in the table. To enter values into the cells, click on a cell. You can also enter geometrical values (length and diameter) using the measure button in the cell and then making selections in the graphic area. Use the buttons in the cells (< >, < =, = >, =) to add further restrictions to the spring. To activate a dynamically loaded spring use the Dynamic Loads check box. This option affects calculation of stresses.

DIN Class toolbar:

According to the DIN 2092 program takes into consideration Belleville spring calculation in compliance with following F/s (Force/path) diagram. Select one of three options, and click OK.

Settings

Opens the Additional Settings dialog box.

Arrangement of Spring:

In the Belleville Washer spring - Arrangement dialog box select an Odd or Even number of the spring packet and the required arrangement.

Back

Finds appropriate springs in the table according to restrictions and displays them in the result table along with important dimensions and calculation results.

Next

Lets you change the location and direction of the spring.

Finish

Finds and inserts the appropriate springs in the table into your drawing. You can dynamically drag the springs in the drawing.

Results: Loads tab

Spring dimensions:

De-outer diameter x t-thickness of sheet.

Force:

F1- load in state 1, F2- load in state 2, Fn- maximum allowed load.

Deflection

s1- deflection in state 1, s2- deflection in state 2, sn- maximum allowed deflection.

Length:

Lengths of spring caused by corresponding forces (L1, L2, Ln). Number of displayed forces depends on selected specification.

Results: Stresses tab

Stress:

Stress in spring calculated according to the forces.

Allowed:

Allowed stress in spring

Safety:

Safeties calculated as a ratio between stress and allowed stress in the spring

Results: Other tab

Contains help for arrangement of spring and describes variables i and n.


Spring calculations (Quick Reference)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCOMP2D

Performs a spring calculation and inserts a compression spring in the drawing area.

Ribbon: Content tab [image] Misc panel [image] Compression Spring. Does not exist on the ribbon.
Toolbar: Content [image] Springs
Menu: Content [image] Springs [image] Compression Spring Does not exist in the menus.
Command entry: amcomp2d

When you specify the restrictions, the system performs a calculation and recommends the appropriate springs. You can insert the form at the same time you insert the compression spring. If required, you can insert a spring without performing any calculations.

In order to make the calculation as simple and as clear as possible, the spring types are inserted using the same methods. You use dialog boxes for the selection, calculation, and insertion process. Use the Select Compression Spring dialog box to select the standard, the view and the spring type.

COMMAND LINE OPTIONS

Specify starting point: Specify the insertion point for the spring.

Specify direction: Specify a second point for the direction of the spring.

The spring calculation is controlled by a number of dialog boxes.

Select rod (only closed contours) <Enter=continue>: Press ENTER.

Select objects: Select a rod in the drawing to be inside of spring (hidden by spring) or press ENTER if no rod.

COMMAND LINE DEFINITIONS

Topical Length

Defines the length of spring as you draw it on the screen. The length must be between the maximal loaded length and the unloaded length. Use the Force/Deflection option to define the length corresponding to a specific value of force or deflection.

DIALOG BOX DEFINITIONS

The spring insertion and calculation is controlled by a sequence of dialog boxes depending upon the spring insertion method you selected.

Select Compression Spring dialog box

Use the Select a Compression Spring dialog box to select the spring insertion method or to insert an empty form.

Standards

Lets you select, draw and calculate a spring from a Standard, or Manufacturer table.

Modified Design

Lets you select, draw and calculate a specially produced spring.

Only Draw

Lets you draw a spring without calculation.

Empty Form

Creates an empty form that you can insert into the drawing.

Views

Specifies whether to insert the spring in Front View or Sectional View.

Compression Springs - Only Draw dialog box

Use the Drawing dialog box to define the geometry of the spring in the drawing.

Wire diameter d

Enter a spring wire diameter or click on the measure button and determine this value from the graphic area.

Da

Specifies the Outer Diameter of the spring. Enter a value or click on the measure button and determine this value from the graphic area.

n

Specifies the total Number of Coils of the spring including the ends of coils. Enter a value.

Helix Direction

Select one of two spring helix directions: Right, or Left.

End Coils

Enter a total number of end coils for both spring ends.

Closed Ends

Use this check box to define closed or open ends of spring.

Spring end shapes button

From the Type of Ends dialog box, select the required spring end type. There are three types of compression spring ends: Ground, Round and Forged.

Compression Springs - Select from Tables dialog box

Specification

Specifies a combination of force and geometrical restrictions: Load, Deflection / Load, Length / 2 Load, 2 Length / 2 Loads, Travel / Detailed. Select an appropriate combination based on the disposable input data. After selecting the specification, a spring picture with dimension buttons and a value table of restrictions appears.

Absolute set

Contains two options: Lengths and Forces. If the Force is of the absolute value, then the length is within the range from - to, and the other way around.

Restrictions table

To insert a restriction into the table, click on the dimension button (for example: Da) in the spring picture to the right of the table. A new empty row appears in the table. To enter values into the cells, click on a cell. You can also enter geometrical values (length and diameter) using the measure button in the cell and then making selections in the graphic area. Use the buttons in the cells (< >, < =, = >, =) to add further restrictions to the spring. To activate a dynamically loaded spring use the Dynamic Loads check box. This option affects calculation of stresses.

Settings

Opens the Additional Settings dialog box.

Additional Calculation Settings

Opens the Compression Springs - Additional Calculation dialog box.

Back

Finds appropriate springs in the table according to restrictions and displays them in the result table along with important dimensions and calculation results.

Next

Lets you change the location and direction of the spring.

Finish

Finds and inserts the appropriate springs in the table into your drawing. You can dynamically drag the springs in the drawing.

Select all toolbar

Lets you quickly select all springs in the result list. If you select more than one spring from the result list, dynamic dragging is activated when you press the Finish button so you can select more springs from the graphic area

Results: Loads tab

Spring dimensions:

d-wire diameter x Da-outer diameter x L0-unloaded length. Depending on the selected standard, instead of outer diameter Da mean diameter Dm can be displayed.

Force:

F1- load in state 1, F2- load in state 2, Fn- maximum allowed load.

Deflection:

s1- deflection in state 1, s2- deflection in state 2, sn- maximum allowed deflection.

Length:

lengths of spring caused by corresponding forces (L1, L2, Ln). Number of displayed forces depends on selected specification.

Results: Stresses tab

Stress:

Stress in spring calculated according to the forces.

Allowed:

Allowed stress in spring.

Safety:

Safeties calculated as a ratio between stress and allowed stress in the spring.

Results: Other tab

Displays information about the spring such as natural frequency of spring and allowed number of stress cycles. If you defined inputs in the Additional calculation settings dialog box then this tab displays information about the spring's safety against buckling and against influence of shear load.

Compression Springs - Additional Settings dialog box

Calculation Formulas

There are two possible calculations: according to DIN or ANSI formulas. Type of calculation is set default according to selected catalog, but can be changed. It is possible to change this input only in the Location or Restriction subdialog.

Dynamic Dragging by loaded, or unloaded length

If you specify dynamic dragging by loaded length, a spring with a loaded length indicated by a red line, closest to the position of the cursor is chosen. If you specify dynamic dragging by unloaded length, a spring with unloaded length, closest to the position of the cursor is chosen.

Draw form together with spring

After activating this check box the form will be placed together with the inserted spring into the drawing.

Compression Springs - Additional calculation dialog box

Buckling - Correction Value of Bearing

Is determined according to the spring bearing. The buckling safety is determined on the basis of the correction value of the bearing as well as other geometric characteristics.

Shear Force

The shear spring loading increases stress in the spring.

Shock Velocity

The shock spring loading influences the overall stress in the spring.

Wire Shot - Peened

For increasing of the spring strength, compression spring calculation takes into the consideration also Wire Shot - Peening. It is a kind of the spring wire surface treatment. After activation of this check box the spring fatigue life is selected according to the respective Goodman diagrams.

Compression Springs - Modified design dialog box

Material

Specifies required material in accordance with the selected standard

Wire diameter d

Specifies wire diameters in accordance with the selected standard.

Outer Diameter Da

Enter a value for either the Outer Diameter Da, or index ratio Dm/d, where Dm is mean coil diameter, d is wire diameter of the spring.

Unloaded Length L0

Specifies the unloaded length of the spring. If the spring is specified by the force and deflection, the minimum permissible length L0 is calculated and displayed. If the spring is specified by the force and loaded length, the maximum permissible length L0 is calculated. If the spring is specified by 2 forces and 2 lengths there is only one possible length L0, which is automatically calculated.

Helix Direction

Select one of two spring helix directions: Right, or Left.

End Coils

Enter a required number of end coils together for both spring ends.

Closed Ends

Use this check box to define closed or open ends of spring.

Spring end shapes button

Click on the spring end picture and from the Type of Ends dialog box select the required spring end type. There are three types of compression spring ends: Ground, Round and Forged.


Spring calculations (Quick Reference)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMEXT2D

Performs a spring calculation and inserts a compression spring in the drawing area

Ribbon: Content tab [image] Misc panel [image] Extension Spring. Does not exist on the ribbon.
Toolbar: Content [image] Springs
Menu: Content [image] Springs [image] Extension Spring Does not exist in the menus.
Command entry: amext2d

When you specify the restrictions, the system recommends what springs to use. You can insert the form at the same time you insert the compression spring. You can also draw a spring without performing any calculations.

In order to make the calculation as simple and as clear as possible, the spring types are inserted using the same methods. You use dialog boxes for the selection, calculation, and insertion process. Use the Select Extension Spring dialog box to select the standard, the view spring type and select options.

COMMAND LINE OPTIONS

Specify starting point: Specify the insertion point for the spring.

Specify direction: Specify a second point for the direction of the spring.

The spring calculation is controlled by a number of dialog boxes.

Select rod (only closed contours) <Enter=continue>: Press ENTER.

Select objects: Select a rod in the drawing to be inside of spring (hidden by spring) or press ENTER if no rod.

COMMAND LINE DEFINITIONS

Topical Length

Defines the length of spring as you draw it on the screen. The length must be between the maximal loaded length and the unloaded length. Use the Force/Deflection option to define the length corresponding to a specific value of force or deflection.

DIALOG BOX DEFINITIONS

Select Extension Spring dialog box

Use the Select Extension Springs dialog box to select the spring insertion method or to insert an empty form.

Standards

Lets you select, draw and calculate a spring from a Standard, or Manufacturer table.

Modified Design

Lets you select, draw and calculate a specially produced spring.

Only Draw

Lets you draw a spring without calculation.

Empty Form

Creates an empty form that you can insert into the drawing.

Views

Specifies whether to insert the spring in Front View or Sectional View.

Extension Springs - Only Draw dialog box

Use the Drawing dialog box to define the geometry of the spring in the drawing.

Wire diameter d

Enter a spring wire diameter into the edit box, or click on the measure button and determine this value from the graphic area.

Da

Specifies the Outer Diameter of the spring. Enter a value into the edit box, or click on the measure button and determine this value from the graphic area.

n

Specifies the total Number of Coils of the spring including the ends of coils. Enter a value into the edit box.

Helix Direction

Select one of two spring helix directions: Right, or Left.

Left, Right tabs

Click on these tabs to set left and right spring end types. Choose the spring end button in compliance with DIN 2097 and click OK. Enter dimensions of end in the edit boxes Lh1, m1 or Lh2, m2. These input values are automatically restricted by type of selected hook and outer diameter of spring.

Ends Position tab

Specify the mutual position of spring hooks in this tab.

Extension Springs - Angle of View for Drawing dialog box

Select one of the options to specify the angle of view on the spring (0, 90, 180 or 270 degrees).

Extension Springs - Select from Tables dialog box

Specification

Specifies a combination of force and geometrical restrictions: Load, Deflection / Load, Length / 2 Load, 2 Length / 2 Loads, Travel / Detailed. Select an appropriate combination based on the disposable input data. After selecting the specification, a spring picture with dimension buttons and a value table of restrictions appears.

Absolute set

Contains two options: Lengths and Forces. If the Force is of the absolute value, then the length is within the range from - to, and the other way around.

Restrictions table

To insert a restriction into the table, click on the dimension button (for example: Da) in the spring picture to the right of the table. A new empty row appears in the table. To enter values into the cells, click on a cell. You can also enter geometrical values (length and diameter) using the measure button in the cell and then making selections in the graphic area. Use the buttons in the cells (< >, < =, = >, =) to add further restrictions to the spring. To activate a dynamically loaded spring use the Dynamic Loads check box. This option affects calculation of stresses.

Settings

Opens the Additional Settings dialog box.

Additional Calculation Settings

Opens the Compression Springs - Additional Calculation dialog box.

Back

Finds appropriate springs in the table according to restrictions and displays them in the result table along with important dimensions and calculation results.

Next

Lets you change the location and direction of the spring.

Finish

Finds and inserts the appropriate springs in the table into your drawing. You can dynamically drag the springs in the drawing.

Select all toolbar

Lets you quickly select all springs in the result list. If you select more than one spring from the result list, dynamic dragging is activated when you press the Finish button so you can select more springs from the graphic area

Results: Loads tab

Spring dimensions:

d-wire diameter x Da-outer diameter x L0-unloaded length. Depending on the selected standard, instead of outer diameter Da mean diameter Dm can be displayed.

Force:

F1- load in state 1, F2- load in state 2, Fn- maximum allowed load.

Deflection

s1- deflection in state 1, s2- deflection in state 2, sn- maximum allowed deflection.

Length:

lengths of spring caused by corresponding forces (L1, L2, Ln). Number of displayed forces depends on selected specification.

Results: Stresses tab

Stress:

stress in spring calculated according to the forces.

Allowed:

allowed stress in spring

Safety:

safeties calculated as a ratio between stress and allowed stress in the spring

Extension Springs - Additional Settings dialog box

Calculation Formulas

There are two possible calculations: according to DIN or ANSI formulas. Type of calculation is set default according to selected catalog, but can be changed. It is possible to change this input only in the Location or Restriction subdialog.

Dynamic Dragging by loaded, or unloaded length

If you specify dynamic dragging by loaded length, a spring with loaded length indicated by red line, closest to position of cursor is chosen. If you specify dynamic dragging by unloaded length, a spring with unloaded length, closest to position of cursor is chosen.

Draw form together with spring

After activating this check box the form will be placed together with inserted spring into the drawing.

Extension Springs - Modified design dialog box

Material

Specifies required material in accordance with the selected standard

Wire diameter d

Specifies wire diameters in accordance with the selected standard.

Outer Diameter Da

Enter a value for either the Outer Diameter Da, or index ratio Dm/d, where Dm is mean coil diameter, d is wire diameter of the spring.

Length L0

Specifies the unloaded length of the spring. The recommended value of unloaded length is displayed beside of edit box. If you want to change this value, switch on the check box and enter your value into the edit box. If the spring is specified by 2 forces and 2 lengths there is only one possible length L0, which is automatically calculated and edit box is disabled. Values L0 and F0 are dependent, that is why if you change the value of L0, the value of F0 is recalculated.

Preload Force F0

Specifies the preload of the spring. Preload can be defined only if check box “Overlapping Coils” is switched on. The recommended value of preload is displayed beside of edit box. If you want to change this value, switch on the check box beside of text “F0” and enter your value into the edit box. If the spring is specified by 2 forces and 2 lengths there is only one possible value of F0, which is automatically calculated and edit box is disabled. Values L0 and F0 are dependent, that is why if you change the value of F0, the value of L0 is recalculated.

Overlapping Coils

If this check box is activated, it means that the extension spring is preloaded with force F0 on distance L0.

Helix Direction

Select one of two spring helix directions: Right, or Left.

Left, Right tabs

After clicking on these tabs, you are able to set left and right spring end types. After press of spring end image button, you can select the required spring end in compliance with DIN 2097. Select one of them, and click OK. Now you can enter dimensions of end in the edit boxes Lh1, m1 or Lh2, m2. These input values are automatically restricted by type of selected hook and outer diameter of spring.

Ends Position tab

Specify the mutual position of spring hooks in this tab.


Spring calculations (Quick Reference)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTOR2D

Performs a spring calculation and inserts a torsion spring in the drawing area.

Ribbon: Content tab [image] Misc panel [image] Torsion Spring. Does not exist on the ribbon.
Toolbar: Content [image] Springs
Menu: Content [image] Springs [image] Torsion Spring Does not exist in the menus.
Command entry: amtor2d

A wizard guides you through the spring and view selection. A second wizard enables you to specify the restrictions and recommends what springs to use. You can insert the form and the spring at the same time. You can also draw a spring without performing any calculations.

In order to make the calculation as simple and as clear as possible, the spring types are inserted using the same methods. You use dialog boxes for the selection, calculation, and insertion process. Use the Select torsion Spring dialog box to select the standard, the view, the spring type and select options.

COMMAND LINE OPTIONS

For Front View

Specify centerpoint: In the graphic area click on the centerpoint.

Specify support point of fixed end: Specify the support point for the fixed end of the torsion spring.

Specify direction of torsion: Specify the direction of torsion, clockwise or counterclockwise.

Specify lever: Specify radius of lever, the distance between the centerpoint of the spring and the point of force acting on the movable end.

Topical Length (23.36 - 260) [Force/Deflection] <23.36>: Enter a value for the angle between the ends of the spring, or draw it on the screen. The angle must be between the maximal loaded angle and the unloaded angle. Use the Force option to define the angle in terms of the corresponding value of force between the minimum and maximum load.

For Side or sectional View

Specify starting point: Specify the insertion point for the spring.

Specify point in direction of spring axis: Specify the second point for the direction of the spring.

In the graphic area click in direction of the spring. In the Torsion Springs dialog box, select other options.

Select rod (only closed contours) <Enter=continue>: Press ENTER.

Select objects: Select a rod in the drawing to be inside of spring (hidden by spring) or press ENTER if no rod.

DIALOG BOX DEFINITIONS

Select the Exclude from parts lists check box to exclude an item from all part lists. When the Exclude check box is selected for an item in the BOM, then all part lists will not include the item. When the Exclude check box is selected in any standard part dialog box, then all BOMs are updated to also exclude the item.

The items remain available in the BOM and can be included by clearing the Exclude from parts lists check box in the BOM.

The spring insertion and calculation is controlled by a sequence of dialog boxes depending upon the spring insertion method you selected.

Select Torsion Spring dialog box

Use the Select Torsion Spring dialog box to select the spring insertion method or to insert an empty form.

Standards

Lets you select, draw and calculate a spring from a Standard, or Manufacturer table.

Modified Design

Lets you select, draw and calculate a specially produced spring.

Only Draw

Lets you draw a spring without calculation.

Empty Form

Creates an empty form that you can insert into the drawing.

Views

Specifies whether to insert the spring in Front View or Sectional View.

Torsion Springs - Only Draw dialog box

Use the Drawing dialog box to define the geometry of the spring in the drawing.

Wire diameter d

Enter a spring wire diameter or click on the measure button and determine this value from the graphic area.

Da

Specifies the Outer Diameter of the spring. Enter a value or click on the measure button and determine this value from the graphic area.

n

Specifies the total Number of Coils of the spring including the ends of coils. Enter a value.

Helix Direction

Select one of two spring helix directions: Right, or Left.

Ends of Spring

Enter lengths of spring arms.

Torsion Springs - Type of Ends of Torsion Springs dialog box

Select an option to specify the type of fixed and movable ends: tangential or bent ends.

Torsion Springs - Select from Tables dialog box

Default Restrictions
 | Specification Specifies a combination of force and geometrical restrictions: Load, Deflection / Load, Angle between Ends / 2 Load, 2 Angles / 2 Loads, Travel / Detailed. Select an appropriate combination based on the disposable input data. After selecting the specification, a spring picture with dimension buttons and a value table of restrictions appears.
 | Absolute set Contains two options: Angles and Loads. If the Load is of the absolute value, then the Angle is within the range from - to, and the other way around.
 | Loads Select how you want to define loads - using moments or forces
Restrictions table To insert a restriction into the table, click on the dimension button (for example: Dd) in the spring picture to the right of the table. A new empty row appears in the table. To enter values into the cells, click on a cell. You can also enter geometrical values (angle and diameter) using the measure button in the cell and then making selections in the graphic area. Use the buttons in the cells (< >, < =, = >, =) to add further restrictions to the spring. To activate a dynamically loaded spring use the Dynamic Loads check box. This option affects calculation of stresses.
Settings Opens the Additional Settings dialog box.
Lever Lets you edit the radius of lever, which is the distance between the centerpoint of the spring and the point of force acting on the movable end. In the front view, by default, you can pick the value in the graphic area.
Fixed Lets you edit the radius of the fixed end, which is the distance between the centerpoint of the spring and the support point on the fixed end. In the front view, by default, you can pick the value in the graphic area.
Bend of Ends Opens the Select type of bending ends dialog box. Lets you define if a bend is possible for spring ends.
Back Finds appropriate springs in the table according to restrictions and displays them in the result table along with important dimensions and calculation results.
Next Lets you change the location and direction of the spring.
Finish Finds and inserts the appropriate springs in the table into your drawing. You can dynamically drag the springs in the drawing.
Select all toolbar Lets you quickly select all springs in the result list. If you select more than one spring from the result list, dynamic dragging is activated when you press the Finish button so you can select more springs from the graphic area

Results: Loads tab

Spring dimensions:

d- wire diameter x Di- inner diameter x Dd- mandre1 diameter. Depending on the selected standard, the unloaded angle between spring ends can be displayed instead of the inner diameter Di.

Force:

F1- load in state 1, F2- load in state 2, Fn- maximum allowed load.

Deflection:

a1- deflection in state 1, a2- deflection in state 2, an- maximum allowed deflection.

Angles between ends:

Angles caused by corresponding forces (b1, b2, bn). Number of displayed forces depends on selected specification.

Results: Stresses tab

Stress:

Stress in spring calculated according to the forces.

Allowed:

Allowed stress in spring.

Safety:

Safeties calculated as a ratio between stress and allowed stress in the spring.

Angles between ends:

Angles caused by corresponding forces (b1, b2, bn). Number of displayed forces depends on selected specification.

Results: Other tab

Displays information about the spring such as allowed number of stress cycles.

Torsion Springs - Angle of View for Drawing dialog box

This dialog box appears only if you selected side or sectional view.

Angle of View for Drawing

Specify the angle of view on the spring. The angle is represented by a yellow arrow in the dynamic picture in the dialog box

Angle of Spring Ends

Specify the angle between the ends of the spring. The angle must be defined in degrees between the maximal loaded angle and the unloaded angle. You can also specify the corresponding force or angle of deflection instead of the angle between the ends.

Torsion Springs - Additional Settings dialog box

Calculation Formulas

There are two possible calculations: according to DIN or ANSI formulas. Type of calculation is set to default according to selected catalog, but can be changed. It is possible to change this input only in the Location or Restriction subdialog.

Dynamic Dragging by Cursor with

If you specify dynamic dragging with loaded angle, a spring with a loaded angle indicated by a red line, closest to the position of the cursor is chosen. If you specify dynamic dragging with outer diameter, a spring with an outer diameter, closest to the position of the cursor is choose.

Draw form together with spring

After activating this check box the form will be placed together with inserted spring into the drawing.

Torsion Springs - Modified Design dialog box

Material

Specifies required material in accordance with the selected standard

Wire diameter d

Specifies wire diameters in accordance with the selected standard.

Outer Diameter Da

Enter a value for either the Outer Diameter Da, or index ratio Dm/d, where Dm is mean coil diameter, d is wire diameter of the spring.

Unloaded Length L0

Specifies the unloaded length of the spring.

Angle of Ends

Lets you change the angle between the ends of the spring. Angle of ends, wire diameter and outer diameter of the spring are interdependent. If you change one, the others are automatically recalculated.

Ends of Spring

Enter the lengths of the spring arms.

Overlapping Coils

If you check this check box, the coils are close to each other and the unloaded length Lk is defined by the number of coils and the wire diameter.

Helix Direction

Select one of two spring helix directions: Right, or Left.


Spring calculations (Quick Reference)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select dialog box

Use the Select dialog box for entering the specification factors for the database limits depending on the specification method being selected.

Spring Dimensions

Specifies the spring dimensions for the installation space of the spring.

When selecting the standard case, the outer helix diameter and a value range for the lower and upper limits can be specified for the numeric entries. The spring lengths can also be specified in the drawing, using the pointing device.

Calculation

Applies a check calculation of the spring. For this calculation, you must specify whether the spring is loaded dynamically or statically.

Dynamic Stress

This check box is selected by default. If the spring is to experience a static load, clear the check box. In case of extension springs, this option is restricted to stress comparison.

Spring List

Displays a list of the springs that are suitable for the desired specification method that is to be considered for dynamic dragging. Select spring sizes from the list or the option. Select all to take all spring sizes into the selection.

Spring Sort Order

Specifies the order in which the springs appear when the spring size is dragged dynamically. In case of torsion springs, the leg position or the outer diameter determines the sorting order.


Spring calculations (Quick Reference)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Modified Design Specification dialog box

Use the Modified Design Specification dialog box to specify the spring dimensions for the installation space of the spring.

If you select a standard case, always specify the outer coil diameter. You can specify a value range for the upper and lower limits for the numeric entries, depending on whether lengths or forces are to be matched.

Overlapping Coils

This check box is selected by default. If you clear the check box, you can change the unloaded length of the spring in the side view.

Unstr. Length - Lk

If the coils of the spring are next to each other, it depends on the number of coils and the wire diameter.

Length of End - Ls1 and Ls2

The lengths of the legs can be entered directly or selected. The length values for the legs must be greater than the values for the lever arm of the force and the supporting radius.

In the modified design, you can position the legs of the unloaded spring, using the Position of Unstressed Ends field.

You can enter the angle directly or select it in the drawing. The Default... button shows the typical leg positions: 0°, 90°, 180°, and 270°.


Spring calculations (Quick Reference)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Belleville Spring Washer DIN 2093 dialog box

Use the Belleville Spring Washer DIN 2093 dialog box to specify the spring types for row A, B, C, or combinations.


Spring calculations (Quick Reference)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select dialog box

Use the Select dialog box for entering the specification factors for the database limits depending on the specification method being selected.

Spring Dimensions

Specifies the spring dimensions for the installation space of the spring. When selecting the standard case, the outer helix diameter and a value range for the lower and upper limits can be specified for the numeric entries. The spring lengths can also be specified in the drawing, using the mouse.

Calculation

Applies a check calculation of the spring. For this calculation, you must specify whether the spring is loaded dynamically or statically.

Dynamic Stress

This check box is selected by default. If the spring is to experience a static load, clear the check box. In case of extension springs, this option is restricted to stress comparison.

Spring List

Displays a list of the springs that are suitable for the desired specification method that is to be considered for dynamic dragging. Select spring sizes from the list or the option. Select all to take all spring sizes into the selection.

Spring Sort Order

Specifies the order in which the springs appear when the spring size is dragged dynamically. In case of torsion springs, the leg position or the outer diameter determines the sorting order.

Number of Parallel Springs

Specifies the number of springs in assembly. The greater the number the more combinations will be found.

Series

Specifies the number of assemblies.

Offer 10 most Suitable

Displays the 10 most suitable springs.


Spring calculations (Quick Reference)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Modified Design Specification dialog box

Determines the position and shape of the eyes and connecting elements.

Material

Select a material by clicking the list.

Outer Diameter

Enter the outer diameter of spring or pick it in the drawing.

Inside diameter

Enter the inner diameter of spring or pick it in the drawing.

Thickness

Enter the thickness of a single washer.

Number of Parallel Springs

Enter the number of springs.

Number of Series

Enter the number of series.

Spring Arrangement

Values can be entered manually or from drawing elements. This is placed into the value L0.

Calculation

Applies a check calculation of the spring.

I0: Height of unloaded Belleville spring washers.

h0: spring excursion up to the plain position of the Belleville spring washer without seat (h0=I0-t). (operand)

L0: Length of unloaded series or unloaded parallel springs (unloaded length).


Spring calculations (Quick Reference)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Torsion Spring dialog box

Use the Torsion Springs dialog box to specify which view and end configuration (tangential or bent) you want to use for the representation. You can derive the second view from an already drawn torsion spring (front view or side view). You can edit a drawn torsion spring with the existing spring option. After selecting the spring, the Representation dialog box opens, in which you can make modifications.

If a torsion spring is inserted in front view, the center point has to be determined first. The center point is identical to the center point of the rod. Subsequently, you are prompted for the support point of the fixed end. With this point, the length of the leg and the outer diameter of the spring are limited. The determination of the support point is the first limitation of the database selection. The third point to be determined is for the rotation direction of the torsion spring.If the side view is selected for the insertion of the torsion spring, the starting point and the direction of the torsion spring are to be specified.

Specify whether angles or loads are to be kept exactly. Also, specify whether the deflection is to be considered for the fixed leg or for the moveable leg.


Spring calculations (Quick Reference)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Modified Design Specification dialog box

Use the Modified Design Specification dialog box to specify the position and shape of the eyes and connecting elements.

Material

Select the spring material.

Outer Diameter

Specifies the outer coil diameter of the spring.

Pre load Force

Specifies the pre-load force. Depending on the selected design layout, a value can be given here; if the coils are not composed together, this option is inactive.

Unloaded Length L0

The length is already determined by the specification method and cannot be changed, except by loop size, loop opening, or eye type.

Loop Size

Specifies the distance from the loop's inner edge to the spring body.

Loop Opening

Specifies the loop opening.

Spring Position

Opens the Spring Position dialog box for selecting the position of the spring ends.

Spring End Types

Opens the Spring End Types dialog box for selecting the loop shape of the spring ends.

Coil Direction

Specifies the coil direction of the spring.

Production

Specifies the production process of the spring.

Wire Diameter

Specifies the wire diameter.

Winding Ratio Index

Calculates the optimum outer coil diameter or enters it directly. The winding ratio index values are between 5 and 15. The winding ratio is the quotient from the average winding diameter Dm and the wire diameter d.

Results

Displays the results for the recommended pre-load force F0, the minimum or maximum unloaded length of the spring, (according to the situation), the spring rate, and the spring coils. The values depend on the parameter setting in the dialog box. There are four cases possible:

  • First Case (given F1,F2 and sh): The spring rate and the number of spring coils are already specified. At the same time, the unloaded spring length is shown, but cannot be modified. It is still possible to extend the unloaded length by turning off the toggle Coils Composed Together. This gives the spring no initial tension.
  • Second Case (given F1, F2, L1 and L2): None of these parameters can be edited, because they are already specified.
  • Third Case (given F2, s2) and fourth case (given F2, L2): Both parameters can be edited and modified. The initial tension here has a direct influence on the spring rate.

The number of the spring coils, the minimum unloaded length, and the pre-load force are calculated for the modified design. The following parameters are available for this calculation:

  • Coils composed together
  • Loop size
  • Loop opening
  • Spring ends
  • Spring manufacturing
NoteYou may not be able to change some parameters (unloaded length, pre-load force) in the Modified Design Specification dialog box, depending on the particular load case.


Spring calculations (Quick Reference)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Modified Design Specification dialog box

Use the Modified Design Specification dialog box to specify a specially designed spring for a selected specification method, by specific entries. For a modified design, the spring is not selected from a catalog; therefore, the spring can always be designed for the given length, force, or angle conditions.

Standard Cases

Represent standard cases for a very simple and clear specification for typical situations by making only the most important settings for this. Therefore, the detailed case should be used for a complicated specification.

Standard Cases refers to the following, typical situations:

  • Two spring forces and the corresponding travel (for torsion springs, deflection angle)
  • Two spring forces and the corresponding spring length (for torsion springs, leg angle)
  • One spring force and the corresponding travel (for torsion springs, travel angle)
  • One spring force and the corresponding spring length (for torsion springs, leg angle)

Detailed Specification

The detailed specification method includes combinations of the standard case definitions. You can limit parameters, such as outer diameter, wire diameter, and force (or, in the case of torsion springs, outer diameter, rod diameter, unloaded length for side view, and wire diameter).

Note
  • For a modified design, the spring is not selected from a catalog, so the spring can always be designed for the given length, force, or angle conditions. Therefore, the Exact match for... button has no importance.
  • For torsion springs also specify whether the deflection is to be considered for the fixed leg or for the moveable leg.


Spring calculations (Quick Reference)

Spring calculations
Spring calculations
Spring calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Spring Arrangement dialog box

Displays all possible combinations for spring arrangements (odd or even number of parallel stacks).


Spring calculations (Quick Reference)

Spring calculations
Spring calculations
Bearing calculations
Perform engineering calculations >
Spring calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

OPTIONS dialog box AM:Calculation tab

Use the AM:Calculations tab to set preferences for FEA, Bearings, and Shaft Calculator.

DIALOG BOX DEFINITIONS

FEA
 | FEA - Layer Group for FEA Task Sets the layer group for the Finite Element Analysis. The default setting is the layer group AM_FEA. You can specify any other layer group to use for the FEA.
 | FEA - Scale Factor for Symbols Sets the scale factor for symbols associated with the FEA calculation. This factor affects the size in which a symbol appears in the drawing, but not the load value associated with it.
 | Create Output File Automatically Saves the results of the FEA calculation to a .txt file. The name of the file is the name of the drawing where the FEA routine is being used.
 | Colors Sets colors for the representation of Isolines and Isoareas. You can select from 12 (VGA graphics driver) or 24 (Super VGA graphics driver) colors. To change preset colors, click the corresponding color field, and select a new color from the color palette.
 | Set Default Colors Sets colors for the representation of Isolines and Isoareas to the default colors.
Bearing
 | Calculation Mode Defines the standard for the calculation.
 | Force Unit Defines the unit of force for the bearing calculation.
 | Length Unit Defines the length unit to be used for the bearing calculation.
 | Life Adjustment Factor
 |  | Reliability Specifies a factor for the reliability of the bearing.
 |  | Material Factor a2 Specifies a factor for the material.
 |  | Operator Factor a3 Specifies a factor for operation conditions.
Shaft Calculator
 | Cone Section and Fillet Resolution
 |  | Default Automatically determines the number of segments for the ideal representation of the cone section and fillet.
 |  | Number of Segments to Determines the number of segments for the representation of the cone section and fillet.
 | Resultant Curve Resolution
 |  | Default Automatically determines the number of segments for the representation of the resultant curve.
 |  | Number of Segments to Determines the number of segments for the representation of the resultant curve.


Bearing calculations (Concept)

Spring calculations
Perform engineering calculations
Deflection and moment lines
Perform engineering calculations >
Bearing calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

There are two types of bearing calculations. The type required depends on the type of load being used: Static calculation and dynamic calculation.

  • Dynamic calculation is required for revolving bearings. Result is the Adjusted Life Rating. It is the life associated with 90% reliability with contemporary, common used material quality, and under conventional operating conditions. With the number of revolutions, the life in working hours can be calculated. The rating life calculation can be started when inserting a bearing as an additional selection criterion or as a calculation without inserting a bearing. Therefore there are some differences in the command sequence.
  • Static calculation is required for bearing-suffering loads in standstill, swinging movement, or bearing-suffering loads at small numbers of revolutions (n<20 1/min). The result is a Static Safety Factor.

Two kinds of calculation types can be distinguished:

  • Stand-alone calculation (static calculation), when you launch calculation through the AMBEARCALC command.
  • Shaft Generator calculation (dynamic), when bearings are inserted from the database (fasteners) or in Shaft Generator mode.

The calculation can be restricted by

  • Geometric: The inner and outer diameters and the width of the bearing can be restricted.
  • Lifetime (for dynamic calculation): Minimum and Maximum bounds of life L in number of revolutions [1/min] or in working hours [h]
  • Safety (for static calculation): Minimum and Maximum bounds of static safety factor fs.
Bearing types for the stand-alone bearing calculation

The stand-alone calculation is independent from the fasteners. There is a difference to the shaft generator calculation; for the stand-alone calculation, it is possible to calculate the load ratings also. To do this, you must distinguish between more bearing types than for simple calculation:

Radial Ball Bearings: Radial (Normal / Filling Slot / External Align), Angular, Self-Aligning, Magneto, and Thrust Ball Bearing.

Roller Bearings: Radial (Cylindrical Roller Bearing / Tapered Roller Bearing / Needle Roller Bearing with Machined Rings / Needle Roller Bearing Drawn Cup / Spherical Roller Bearing), Thrust (Cylindrical Roller Bearing / Tapered Roller Bearing / Needle Roller Bearing / Spherical Roller Bearing).

All thrust ball bearings and radial bearings are single - or double - row bearings (except magneto ball bearings, which are only single row bearings).

Bearing types for shaft generator bearing calculation

Bearing types for shaft generator calculation:

Radial Ball Bearings: Radial (Angular / Self-aligning / Magneto), Thrust Ball Bearing, Roller Bearings Radial, and Thrust.

All thrust ball bearings and radial ball bearings can be single - or double - row bearings (except for Magneto Ball Bearings, which are only single row bearings).


Bearing calculations (Procedure)

Spring calculations
Bearing calculations
Bearing calculations
Perform engineering calculations >
Bearing calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To perform a bearing calculation

To change bearing calculation properties


Bearing calculations (Quick Reference)

Spring calculations
Bearing calculations
Bearing calculations
Perform engineering calculations >
Bearing calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBEARCALC

OPTIONS dialog box AM:Calculation tab


To perform a bearing calculation (Procedure)

Bearing calculations
Bearing calculations
Bearing calculations
Perform engineering calculations >
Bearing calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To perform a bearing calculation

You can perform a bearing calculation on existing bearings in your drawing, or as a stand alone calculation. The general procedure is the same in both cases.

  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMBEARCALC.
  2. In the Rolling Bearing Type dialog box, select the type of bearing. Choose Next.
  3. In the Rolling Bearing Load Ratings dialog box, specify the type of loads and the bearing combination. Choose Next.
  4. In the Rolling Bearing Load Ratings dialog box, select Calculate Load Ratings. Choose Next.
  5. In the Rolling Bearing Calculation Result dialog box, make the necessary entries. Choose Next to display the result of the calculation.


To change bearing calculation properties (Procedure)

Bearing calculations
Bearing calculations
Deflection and moment lines
Perform engineering calculations >
Bearing calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change bearing calculation properties

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Calculation tab.
  3. In the Bearing section of the Calculation dialog box, make your necessary entries, and choose OK.


Bearing calculations (Quick Reference)

Bearing calculations
Bearing calculations
Bearing calculations
Perform engineering calculations >
Bearing calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBEARCALC

Determines the limiting value, dynamic and static load rating, dynamic and static equivalent load, and fatigue life of a bearing

Ribbon: Content tab [image] Calculations panel [image] Bearing Calculation. Does not exist on the ribbon.
Toolbar: Content [image] Calculation
Menu: Content [image] Calculations [image] Bearing Calculation... Does not exist in the menus.
Command entry: ambearcalc

The rating life calculation can be applied when inserting a bearing as an additional selection criterion or as a calculation without inserting a bearing.

Note: The rating life calculation can be applied when inserting a bearing as an additional selection criterion or as a calculation without inserting a bearing. Therefore there are some differences in the command sequence.

The calculation is controlled by dialog boxes.


Bearing calculations (Quick Reference)

Bearing calculations
Bearing calculations
Deflection and moment lines
Perform engineering calculations >
Bearing calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

OPTIONS dialog box AM:Calculation tab

Use the AM:Calculations tab to set preferences for FEA, Bearings, and Shaft Calculator.

DIALOG BOX DEFINITIONS

FEA
 | FEA - Layer Group for FEA Task Sets the layer group for the Finite Element Analysis. The default setting is the layer group AM_FEA. You can specify any other layer group to use for the FEA.
 | FEA - Scale Factor for Symbols Sets the scale factor for symbols associated with the FEA calculation. This factor affects the size in which a symbol appears in the drawing, but not the load value associated with it.
 | Create Output File Automatically Saves the results of the FEA calculation to a .txt file. The name of the file is the name of the drawing where the FEA routine is being used.
 | Colors Sets colors for the representation of Isolines and Isoareas. You can select from 12 (VGA graphics driver) or 24 (Super VGA graphics driver) colors. To change preset colors, click the corresponding color field, and select a new color from the color palette.
 | Set Default Colors Sets colors for the representation of Isolines and Isoareas to the default colors.
Bearing
 | Calculation Mode Defines the standard for the calculation.
 | Force Unit Defines the unit of force for the bearing calculation.
 | Length Unit Defines the length unit to be used for the bearing calculation.
 | Life Adjustment Factor
 |  | Reliability Specifies a factor for the reliability of the bearing.
 |  | Material Factor a2 Specifies a factor for the material.
 |  | Operator Factor a3 Specifies a factor for operation conditions.
Shaft Calculator
 | Cone Section and Fillet Resolution
 |  | Default Automatically determines the number of segments for the ideal representation of the cone section and fillet.
 |  | Number of Segments to Determines the number of segments for the representation of the cone section and fillet.
 | Resultant Curve Resolution
 |  | Default Automatically determines the number of segments for the representation of the resultant curve.
 |  | Number of Segments to Determines the number of segments for the representation of the resultant curve.


Deflection and moment lines (Concept)

Bearing calculations
Perform engineering calculations
Moments of inertia
Perform engineering calculations >
Deflection and moment lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The moment of inertia and deflection line functions are part of the calculation feature. You can calculate moments of inertia for an object and use the result to calculate the deflection line or moment line (bending moment) for that object, when put under various acting forces.

The necessary data for calculating the defection line or moment line can be defined beforehand; you can set the type of material, define the supports for the object, and specify the forces acting on that object.

The resultant deflection line and moment line are presented graphically in the drawing; a table containing information about the calculation is also displayed.

The deflection line or moment line calculation is performed on a selected beam of an object that has various force elements acting on it.

Before you can calculate the deflection line of an object, you first calculate the moment of inertia for that object. You can then use the results to calculate the deflection or moment line (bending moment).

The general procedure for calculating the deflection line or moment line is as follows:

  1. Define a cross section of the beam.
  2. Calculate the moment of inertia for the cross section.
  3. Specify a direction for the force acting on the cross section. The direction you specify determines the angle of deflection. After this, the moment of inertia block (value table) containing the result of the moment of inertia calculation is inserted into the drawing. The data in this table is necessary for calculating deflection lines and moment lines.
  4. Define a cross section of the beam.
  5. Calculate the moment of inertia for the cross section.
  6. Start the AMDEFLINE command, and select the moment of inertia block.
  7. Select the side view of the beam. A line that symbolically represents the side view is sufficient.
  8. Define the supports, load forces, and type of material for the beam.
  9. Start the calculation for the deflection line or for both the deflection and the moment line.
  10. In the Select Graph dialog box, you can specify the resolution for drawing the deflection line or moment line curves.
  11. Select a drawing scale for the deflection line or moment line. A table containing the main values obtained from the calculation is displayed in your drawing. This table is a block and can be inserted into the drawing.


Deflection and moment lines (Quick Reference)

Bearing calculations
Deflection and moment lines
Deflection and moment lines
Perform engineering calculations >
Deflection and moment lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDEFLINE

Beam Calculation dialog box

Select Graph dialog box


To calculate a deflection line or a moment line (Procedure)

Bearing calculations
Deflection and moment lines
Moments of inertia
Perform engineering calculations >
Deflection and moment lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To calculate a deflection line or a moment line

  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMDEFLINE.
  2. In the drawing, select a moment of inertia block, and press ENTER.
  3. Specify a starting point and an endpoint for the beam.
  4. In the Beam Calculation dialog box, choose Table.
  5. In the Select Material Type dialog box, select a type of material. Then choose OK.
  6. In the Beam Calculation dialog box, choose a type of support. Then select an appropriate point in the drawing to place the support.
  7. Repeat step 6 to insert additional supports.
  8. In the Beam Calculation dialog box, choose a type of load. Then select an appropriate point in the drawing to place the load.
  9. Repeat step 8 to insert additional loads.
  10. In the Beam Calculation dialog box, choose Deflection, or choose Moments and Deflection.
  11. In the Select Graph dialog box, make the necessary entries, and choose OK.
  12. Specify a scale for the deflection line or moment line.
  13. Insert the value chart in the drawing.


Deflection and moment lines (Quick Reference)

Deflection and moment lines
Deflection and moment lines
Deflection and moment lines
Perform engineering calculations >
Deflection and moment lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDEFLINE

Calculates and draws the deflection line or moment line of a beam that is subject to various forces.

Ribbon: Content tab [image] Calculations panel [image] Deflection Line. Does not exist on the ribbon.
Toolbar: Content [image] Calculation
Menu: Content [image] Calculations [image] Deflection Line... Does not exist in the menus.
Command entry: amdefline

Before you calculate the deflection line of an object, you must first calculate the moment of inertia for that object using the AMINERTIA command.

COMMAND LINE OPTIONS

Select Moment of Inertia block: Select the value chart in the drawing.

Specify starting point or [Existing beam]: Specify the starting point for drawing a new beam (a side view is symbolically represented as a line), or press ENTER to use an existing section.

Specify endpoint: Specify the endpoint of the beam.

The Beam Calculation dialog box is displayed. You can make the necessary entries.

Enter scale for deflection line (drawing unit:mm) <1:1>: Enter a scale.

Enter scale for moment line (drawing unit:Nm) <1:1>: Enter a scale.

Insertion point: Select a point.


Deflection and moment lines (Quick Reference)

Deflection and moment lines
Deflection and moment lines
Deflection and moment lines
Perform engineering calculations >
Deflection and moment lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Beam Calculation dialog box

Use the Beam Calculation dialog box to select a type of material for the object you want to analyze, the type of supports, and the type of load forces you want to apply to this object. You can also calculate the deflection line or both the deflection line and moment line for the selected object.

Select Support

Contains four icons representing types of supports; from left to right the icons are, Cantilevered Support, Fixed Support, Movable Support, and Guided Support. You can combine any of these supports to define a support for the beam calculation.

Select Load

Contains three icons representing types of load forces; from left to right the icons are, Point Force, Distributed Force, and Deflection Moment.

Material

Specifies the type of material. The type of material selected, the material E-modulus, and the material stretch limit (Re) values are displayed in this section.

Table

Displays the Select Standard of Material dialog box. The standards displayed are the standards installed on your system; for example, ANSI, DIN, and ISO.

Moments and Deflection

Displays the Select Graph dialog box.

Deflection

Displays the Select Graph dialog box.

>>>

Temporarily closes this dialog box and reverts to the drawing. Press ENTER to return to the dialog box.

Erase

Deletes supports and loads from the drawing. Press ENTER to return to the Beam Calculation dialog box.

Edit

Changes the size of existing loads. Select the load of the size which you want to change, and enter a new value on the command line.


Deflection and moment lines (Quick Reference)

Deflection and moment lines
Deflection and moment lines
Moments of inertia
Perform engineering calculations >
Deflection and moment lines
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select Graph dialog box

Use the Select Graph dialog box to set the curves for a deflection line or moment line. You can draw the component curve along Main Axis 1, the component curve along Main Axis 2, or the resultant curve of Main Axis 1 and Main Axis 2. You can also set the resolution for the resultant curve.

Graph Drawn in:
 | Direction of Main Axis 1 Draws the curve of the deflection line or the curves of both the deflection and moment line along Main Axis 1.
 | Direction of Main Axis 2 Draws the curve of the deflection line or the curves of both the deflection and moment line along Main Axis 2.
Result Draws the curve of the resultant deflection line or the curves of both the resultant deflection line and the resultant moment line.
Resolution of resultant curve Sets the resolution for the curve of the resultant deflection line or moment line.
Automatically Sets the resolution for the resultant curve automatically.
Number of Segments to Divide Specifies the number of segments, to define the resolution for the resultant curve. This option is available only if the Automatically option is cleared.

Note:

  • A section is the length of the beam from load/support/moment to the next moment/force/support.
  • The maximum value for the number of sections is 30.


Moments of inertia (Concept)

Deflection and moment lines
Perform engineering calculations
Screw calculations
Perform engineering calculations >
Moments of inertia
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

With the AMINERTIA command, you can calculate the moment of inertia of closed contours. Closed contours are contours that can be hatched using the AutoCAD HATCH command (not the BHATCH command).

Moment of inertia

When you start the AMINERTIA command, you are prompted to select a cross section. The cross section you select must be a closed contour. AutoCAD Mechanical fills the area, and you are asked if the filled area is the area you want to be analyzed.

In the next step, the program draws the principal axes, 1 and 2, for the moment of inertia and performs the moment of inertia calculation. The following results are displayed:

  • X and Y coordinates of the center of gravity of the cross section.
  • Moment of inertia (I1 and I2) along the 1 and 2 axes.
  • Angle between the horizontal line and the 1 axis, for which I1 is always the greater moment of inertia.

In the final stage of the calculation, you specify the direction of the load forces. The direction of the load forces influences the result of the effective moment of inertia. Make also sure that the load forces you specify must be acting in the same plane. The following values are displayed.

  • Effective moment of inertia that corresponds to the load direction you selected.
  • Angle of deflection.
  • Maximum distance from the neutral line to the border of the extension side.
  • Minimum distance from the neutral line to the border of the compression side.

The moment of inertia block, which is a table containing the results of the moment of inertia calculation, is displayed and can be inserted anywhere in the drawing.

Note: If you change the contour of the cross section, a new calculation of the moment of inertia is carried out automatically and the moment of inertia block is also updated.

Moment of inertia block

The moment of inertia block is a value table containing the results of the moment of inertia calculation.

Attributes of the moment of inertia block are as follows:

Block title | Name of the block.
I1 | Moment of inertia along the first main axis.
I2 | Moment of inertia along the second main axis.
Sc | Distance of the outermost fiber in compression from the neutral axis.
St | Distance of the outermost fiber in tension from the neutral axis.
A | Area of the cross section.
Moment of inertia for circular or rectangular cross sections

To calculate the moment of inertia for cross sections of cylinders, hollow cylinders, rectangular prisms, or hollow rectangular prisms, you can use the AMINERTIAPROF or AMINERTIA command.

Each command uses different algorithms for calculating the moment of inertia. The procedure for calculating the moment of inertia for the same cross section varies by commands:

  • With the AMINERTIA command, you select the cross section in the drawing and specify the direction of the load force before starting the moment of inertia calculation.
  • With the AMINERTIAPROF command, you only specify the dimension values for the selected cross section to obtain the moment of inertia.

The AMINERTIA command can be used on complex objects; it delivers accurate results. The AMINERTIAPROF command can be used only on the types of cross sections mentioned previously; the values it delivers can vary up to 0.1% from the values obtained with the AMINERTIA command. These deviations, however, do not have any impact on subsequent calculations.


Moments of inertia (Procedure)

Deflection and moment lines
Moments of inertia
Moments of inertia
Perform engineering calculations >
Moments of inertia
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To calculate a moment of inertia

To calculate a moment of inertia for circular or rectangular cross sections


Moments of inertia (Quick Reference)

Deflection and moment lines
Moments of inertia
Moments of inertia
Perform engineering calculations >
Moments of inertia
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMINERTIA

AMINERTIAPROF

Predefined Profile Sections dialog box


To calculate a moment of inertia (Procedure)

Moments of inertia
Moments of inertia
Moments of inertia
Perform engineering calculations >
Moments of inertia
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To calculate a moment of inertia

  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMINERTIA.
  2. Select the object to which you want to calculate the moment of inertia, and press ENTER.
  3. Check to see whether the area of the object is filled correctly.
  4. Specify a direction for the load forces.
  5. Enter a text for the description of the moment of inertia block.
  6. Insert the moment of inertia block into the drawing.
To calculate a moment of inertia for circular or rectangular cross sections

  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMINERTIAPROF.
  2. In the Predefined Profile Sections dialog box, select the type of profile section to which you want to calculate the moment of inertia, and choose OK.
  3. Dimension the selected profile section.
  4. Insert the moment of inertia block into the drawing.


To calculate a moment of inertia for circular or rectangular cross sections (Procedure)

Moments of inertia
Moments of inertia
Screw calculations
Perform engineering calculations >
Moments of inertia
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To calculate a moment of inertia for circular or rectangular cross sections

  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMINERTIAPROF.
  2. In the Predefined Profile Sections dialog box, select the type of profile section to which you want to calculate the moment of inertia, and choose OK.
  3. Enter the values for the profile section.
  4. Insert the moment of inertia block into the drawing.


Moments of inertia (Quick Reference)

Moments of inertia
Moments of inertia
Moments of inertia
Perform engineering calculations >
Moments of inertia
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMINERTIA

Calculates the moment of inertial of a closed contour.

  • Calculate the center of gravity of a closed contour.
  • Determine the directions of the main axes moment.
  • Calculate the moments of inertia along both axes.
  • Specify the direction for the load force.
  • Calculate the effective moment of inertia.
  • Determine the deflection angle.
Ribbon: Content tab [image] Calculations panel [image] Moment of Inertia. Does not exist on the ribbon.
Toolbar: Content [image] Calculation
Menu: Content [image] Calculations [image] Moment of Inertia Does not exist in the menus.
Command entry: aminertia

You select the cross section in the drawing and specify the direction of the load force before you start the calculation. It then computes the location of the center of gravity, the direction of the main axes moment, moments of inertial along both axes, effective moment of inertia and the angle of deflection.

COMMAND LINE OPTIONS

Specify interior point: Select a point and press ENTER.

Is the area filled correctly? (Yes/No)? <Yes>: Check to see whether the area filled is the area of the contour selected.

Specify direction of load forces (must all lie in one plane): Specify a direction.

Enter description: Enter a description of the moment of inertia block.

Insertion point: Specify an insertion point.

The following prompts are displayed if the selected object is rotationally symmetric:

Attention: The direction of the principal axes cannot be determined unambiguously.

Should principal axes be drawn anyway? (Yes/No)? <No>:


Moments of inertia (Quick Reference)

Moments of inertia
Moments of inertia
Moments of inertia
Perform engineering calculations >
Moments of inertia
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMINERTIAPROF

Calculates the moment of inertia for cross sections of cylinders, hollow cylinders, rectangular prisms, or hollow rectangular prisms

Ribbon: Content tab [image] Calculations panel [image] Predefined Profile Sections. Does not exist on the ribbon.
Toolbar: Content [image] Calculation
Menu: Content [image] Calculations [image] Predefined Profile Sections Does not exist in the menus.
Command entry: aminertiaprof

You select the shape from a predefined list, the dimensions, and the command calculates the moment of inertia along both axes. Unlike with the AMINERTIA command, you don't have to select anything from the drawing area.

The Predefined Profile Sections dialog box is displayed. You can display four predefined cross sections for calculating moments of inertia.


Moments of inertia (Quick Reference)

Moments of inertia
Moments of inertia
Screw calculations
Perform engineering calculations >
Moments of inertia
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Predefined Profile Sections dialog box

Use the Predefined Profile Sections dialog box to select a type of cross section and to use it for calculating the moment of inertia of similar contours in your drawing.

First Icon on the left

Calculates the moment of inertia for the cross section of a rectangular prism. You are prompted to specify the width and the height of the rectangle.

Second Icon

Calculates the moment of inertia for the cross section of a hollow rectangular prism. You are prompted to specify the width and the height of the outer rectangle, and the thickness between the outer and inner surfaces of the hollow prism.

Third Icon

Calculates the moment of inertia for the cross section of a cylinder base. You are prompted to specify the diameter of the base.

Fourth Icon

Calculates the moment of inertia for the cross section of a hollow cylinder. You are prompted to specify the diameter of the outer circle, and the thickness between the inner and outer surfaces of the hollow cylinder.


Screw calculations (Concept)

Moments of inertia
Perform engineering calculations
Shaft calculations
Perform engineering calculations >
Screw calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The screw calculation feature is used to calculate stresses induced in parts of a screw connection. The factors of safety for the screw and plates used in the screw connection are also calculated. The results of calculation are displayed in the Screw Calculation dialog box and can be inserted into the drawing.

You can perform the calculation on an existing 2D or 3D screw connection in the drawing or as a standalone calculation. You can also use the screw calculation feature while creating a screw connection.

The screw calculation feature supports screw connections with:

  • Concentric or eccentric loads
  • Nut or without nut
  • Studbolt connection
  • Unlimited number of plates
  • Unlimited number of cylindrical shaft sections
  • User-defined geometry for contact areas

For screw connection with more than two plates, you can only perform screw calculation at one contact area at one time. Generally, the following assumptions are considered when performing the screw calculation:

  • Screw connection contains one screw and one nut at the most
  • Screw is always positioned at the center of gravity of the contact area
  • Nut and screw are of the same material
  • the maximum number of washers under the head of the screw or under the nut is 2.
  • ideal stiff plates

Note: Only static loads are supported by the screw calculation feature. When defining the axial load, you may select Dynamic in the Axial Loads tab of the Screw Connection dialog box to specify a minimum and a maximum value for the force and to perform calculation at these two values simultaneously.


To perform a screw calculation (Procedure)

Moments of inertia
Screw calculations
Shaft calculations
Perform engineering calculations >
Screw calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To perform a screw calculation

You can perform a screw calculation on an existing screw connection in your drawing, or as a stand alone calculation. The general procedure is the same in both cases.

  1. Click None [image] None [image] [image] At the Command prompt, enter AMSCREWCALC.
  2. At the command prompt, select an existing screw connection in your drawing or press ENTER to perform a stand alone calculation.
  3. In the Screw Calculation dialog box, define the parts of the screw connection in the following sequence: screw, nut, washer, plates, contact area, loads, settlement, tighten.
  4. Choose Finish to insert the result of the screw calculation into your drawing.


Screw calculations (Quick Reference)

Moments of inertia
Screw calculations
Shaft calculations
Perform engineering calculations >
Screw calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCREWCALC

Calculates factors of safety for parts of a screw connection.

Ribbon: Content tab [image] Calculations panel [image] Screw Calculation. Does not exist on the ribbon.
Toolbar: Content [image] Calculation
Menu: Content [image] Calculations [image] Screw Calculation Does not exist in the menus.
Command entry: amscrewcalc

You can perform the calculation on an existing screw connection in the drawing or as a standalone calculation. This command can also be started from the Screw Connection wizard.

COMMAND LINE OPTIONS

Select screw connection <Stand alone calculation>: Select a screw connection in the drawing or press ENTER to start a stand alone calculation.

DIALOG BOX DEFINITIONS

Screw Calculation dialog box

Use the Screw Calculation dialog box to calculate factors of safety for parts of a screw connection. You can perform the calculation on an existing screw connection in the drawing or on a screw connection that you define in this dialog box.

Screw Calculation - Screw

Defines the geometry and material for the screw. If you start the Screw Calculation from the Screw Connection function, changing the geometry of the screw in this dialog box is not possible.

Screw Calculation - Nut

Defines the geometry of the nut. The material of the nut is the same as that of the screw. If you start the Screw Calculation from the Screw Connection function, changing the geometry of the nut in this dialog box is not possible.

Screw Calculation - Washers

Defines the geometry and material for the washer. If you start the Screw Calculation from the Screw Connection function, changing the geometry of the washer in this dialog box is not possible.

Screw Calculation - Plates

Defines the geometry and material for the plates. If you start the Screw Calculation from the Screw Connection function, changing the geometry of the plates in this dialog box is not possible.

Screw Calculation - Contact Area

Defines the type of contact area. You can use one of the predefined contact areas or specify your own contact area.

Screw Calculation - Loads

Defines the forces acting in the screw connection.

Screw Calculation - Settlement

Specifies the settlement in the screw connection. You can define the settlement manually or calculate it from the maximal roughness in the screw connection.

Screw Calculation - Tighten

Defines the tightening force used for tightening the parts of the screw connection.

Screw Calculation - Results

Displays the results of the screw calculation. You can save these results to a text file.


Shaft calculations (Concept)

Screw calculations
Perform engineering calculations
Finite Element Analysis
Perform engineering calculations >
Shaft calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The shaft calculation feature is used to calculate deflection lines, bending moments, torsion moments, and factors of safety for shafts or axles put under static loads. You can also use the shaft calculation to determine the strength of the shaft at selected points on the shaft periphery.

With the shaft calculation feature, you can carry out calculation on any of the following:

  • Full or hollow shafts
  • Rotating axles
  • Stationary axles

Before you can start the calculation, you first must define a sufficient support for the shaft. You can then apply force moments, point loads, line loads, or gear forces to the shaft. The material for the shaft can be selected from the DIN or ANSI standards or specified manually.

When defining loads, you may select the option "Dynamic Loads" in the Shaft Calculation dialog box to specify a minimum and a maximum value for the load and to perform calculation for these two values simultaneously.

Note: When performing the strength calculation (based on DIN 743 or ANSI), the following assumptions are made:

  • When a dynamic type of load is applied to the shaft, the average value of that load is assumed to be null.
  • Performing calculation on a rotating axle or on a shaft is carried out in the same way. No torsion moment is considered in case of an axle.
  • A constant and an oscillating bending moment can be applied to a stationary axle. No torsion moment is considered here. For security reasons, the shaft calculation feature uses the maximum amplitude of the oscillating bending moment and the value of the constant bending moment for the strength calculation.


Shaft calculations (Procedure)

Screw calculations
Shaft calculations
Shaft calculations
Perform engineering calculations >
Shaft calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To perform calculation on a shaft

To change shaft calculation properties


Shaft calculations (Quick Reference)

Screw calculations
Shaft calculations
Shaft calculations
Perform engineering calculations >
Shaft calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSHAFTCALC

OPTIONS command (AM:Shaft tab)

OPTIONS dialog box AM:Calculation tab


To perform calculation on a shaft (Procedure)

Shaft calculations
Shaft calculations
Shaft calculations
Perform engineering calculations >
Shaft calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To perform calculation on a shaft

You first assign loads and supports to an existing shaft and then perform calculation on that shaft. You can calculate the resultant moments and deflections induced on the whole shaft, or calculate strengths of the shaft at specific points.

  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMSHAFTCALC.
  2. At the command prompt, choose Create. Then select the shaft on which you want to perform a shaft calculation, and press ENTER.

    Note: If the selected shaft was created with the Shaft Generator, you are prompted to choose whether the contour of the shaft is to be generated. Enter Yes and specify a point in the drawing to insert the generated contour, then proceed to step 4. If you enter No, proceed with step 3.

  3. Select the shaft centerline.
  4. In the Shaft Calculation dialog box, select the part on which you want to perform the calculation: rotating shaft, rotating axle, or not rotating axle.
  5. In the Shaft Calculation dialog box, specify the direction of rotation for the shaft.
  6. In the Shaft Calculation dialog box, choose a type of support. Then select an appropriate point in the drawing to place the support.
  7. Repeat step 6 to insert additional supports.
  8. In the Shaft Calculation dialog box, choose the type of load. Then select an appropriate point in the drawing to place the load.
  9. Repeat step 7 to insert additional loads.
  10. In the Shaft Calculation dialog box, choose Edit.
  11. In the Material Properties dialog box choose Table to specify the type of material for the shaft. Then choose twice OK.
  12. Choose Moments and Deformations.
  13. In the Select Graph dialog box, make your necessary entries. Then choose OK.
  14. In the drawing, specify a point to insert the result of calculation.
Calculate shaft strengths at specific points
  1. Perform steps 1 through 10, as described above.
  2. In the Shaft Calculation dialog box, choose Strength.
  3. Specify a point on the shaft, at which you want to calculate the shaft strengths.
  4. In the Notch tab of the Strength Calculation dialog box, make the necessary changes to the shaft geometry, and click OK.
  5. In the drawing, specify a point to insert the result of calculation, and press ENTER.

Note: S1 and S2 are the calculated safety factor for the fatigue failure and the yielding point, respectively.


To change shaft calculation properties (Procedure)

Shaft calculations
Shaft calculations
Finite Element Analysis
Perform engineering calculations >
Shaft calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change shaft calculation properties

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Calculation tab.
  3. In the Shaft Calculator section of the AM:Calculation tab, make the necessary entries, and choose OK.


Shaft calculations (Quick Reference)

Shaft calculations
Shaft calculations
Shaft calculations
Perform engineering calculations >
Shaft calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSHAFTCALC

Calculate deflection lines, bending moments, torsion moments, and factors of safety for shafts and axles put under static loads.

Ribbon: Content tab [image] Calculations panel [image] Shaft Calculation. Does not exist on the ribbon.
Toolbar: Content [image] Calculation
Menu: Content [image] Calculations [image] Shaft Calculation Does not exist in the menus.
Command entry: amshaftcalc

You can perform the calculation on full or hollow shafts, on shafts with or without notches, and you can determine the strength of the shaft at selected points on the shaft periphery.

COMMAND LINE OPTIONS

A prerequisite for starting the shaft calculation is an already drawn shaft.

Select contour or [Create contour/Strength]<Create>: Select a shaft contour in the drawing, enter C to select the objects that make the shaft contour, or enter S to start the Strength Calculation.

Select shaft centerline or [Pick inner point for hollow shaft] <Pick>: Select the shaft centerline.

The command terminates with the error message “non-symmetric shaft” if the selected objects do not build a rotational symmetric shaft.

DIALOG BOX DEFINITIONS

Shaft Calculation dialog box

Use the Shaft Calculation dialog box to assign loads and supports, specify the direction of rotation, select the type of material for the shaft, and to perform calculation on the selected part of the shaft.

Torque dialog box

Use the Torque dialog box to define the torque acting on the shaft.

Point Load dialog box

Use the Point Load dialog box to define the radial point forces acting on the shaft.

Line Load dialog box

Use the Line Load dialog box to define the radial line forces acting on the shaft.

Gear dialog box

Use the Gear dialog box to define the gear load acting on the shaft.

Coupling Gear dialog box

Use the Coupling Gear dialog box to calculate the torque from the power and number of revolution of the coupling gear or from the torsion moment delivered by that coupling gear.

Material dialog box

Use the Material dialog box to select a material for the shaft from the selected standard.

Material Properties dialog box

Use the Material Properties dialog box to change properties of the selected material or to choose a new material altogether.

Configuration dialog box

Use the Configuration dialog box to set configuration for moment and deformation calculation.

Select Graph dialog box

Use the Select Graph dialog box to calculate bending moments, torsion moments, and stresses in the part (shaft, or axle) you selected.

Strength Calculation dialog box

Use the Strength Calculation dialog box to calculate the strength of the shaft at a point that you specify. The calculation is performed according to the DIN or ANSI standard. The factors of safety guarding against fatigue failure and against yield point are also calculated.

DIN Notches dialog box

Use the DIN Notches dialog box to select a DIN type of notch for the strength calculation.

ANSI Notches dialog box

Use the ANSI Notches dialog box to select an ANSI type of notch for the strength calculation.


Shaft calculations (Quick Reference)

Shaft calculations
Shaft calculations
Shaft calculations
Perform engineering calculations >
Shaft calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

OPTIONS command (AM:Shaft tab)

The AMOPTIONS command manages settings and standards for using AutoCAD Mechanical from the Options dialog box. The AutoCAD Mechanical AMOPTIONS command is merged with the AutoCAD OPTIONS command.

The AM:Shaft tab manages settings and standards for parts, assemblies, surfaces, drawings, shaft generators, calculations, standard parts, and general desktop preferences from a single dialog box.

Ribbon: Output tab [image] Output - Export to DWF/PDF panel [image] Options.... Does not exist on the ribbon.
Toolbar: None
Menu: Default Menu [image] Tools [image] Options Does not exist in the menus.
Command entry: options

DIALOG BOX DEFINITIONS

Options dialog box - AM:Shaft tab

For Segment inserted

Overdraw | Overdraws part of the existing shaft when a segment is added to that shaft.
Insert | Shifts the whole shaft to one side without overdrawing it, when a segment is added to that shaft.
Prompt | Prompts you to choose between the Overdraw and the Insert option.

Stationary Shaft End

Left | Keeps the left side of the shaft fixed when a shaft segment is added to or deleted from the shaft.
Right | Keeps the right side of the shaft fixed when a shaft segment is added or deleted from the shaft. NoteWith this option, use only the Edit or Delete option in the Shaft Generator dialog box to edit or delete a shaft segment.
Prompt | Prompts you to select the side of the shaft you want to keep fixed.

Adjust Centerline

Yes | Adjusts the centerline to the length of the generated shaft.
No | Does not adjust the centerline to the length of the generated shaft.
Prompt | Prompts you at the end of the shaft generation to decide whether to adjust the centerline to the length of the shaft.

Front View

Draw as 2 Halves | Divides the vertical line of the shaft sections at the axis into two lines of the same length.
Radius Reflection Line | Draws a reflection line when drawing the radius.
Check Contour | Checks whether the contour is broken. A broken contour is highlighted.

Side and Sectional Views

Specifies the way in which side and sectional views of shafts appear and are managed in the drawing.

Complete View | Draws both side and sectional view.
Radius Reflection Line | Displays the reflection line as a circle in the side view.
Sectional with Background | Draws shaft sectional views, including views of objects in the background.
Always Update | Updates sectional and side views when you change the shaft. If this option is not selected, you are prompted to decide whether to update the sides and sectional views.
Hidden Lines | Shows hidden lines in sectional and side views.
Move Side View | Selects a new insertion point for the side view, if the side and front views collide.

View of Interrupt

Specifies how the interrupted view appears: Zigzag, Freehand, or Hatch.

Combo box | Displays the selected type of representation for the interrupted view. NoteA graphical overview of the selected representation appears above this field.
Options | Click arrow to list available interruption options.

If shaft is in background, hide standard part, too

Yes | Hides a standard part.
No | Inserts the standard part in the foreground.
Prompt | Prompts you to choose whether to hide a standard part or not.


Shaft calculations (Quick Reference)

Shaft calculations
Shaft calculations
Perform Finite Element Analysis (FEA)
Perform engineering calculations >
Shaft calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

OPTIONS dialog box AM:Calculation tab

Use the AM:Calculations tab to set preferences for FEA, Bearings, and Shaft Calculator.

DIALOG BOX DEFINITIONS

FEA
 | FEA - Layer Group for FEA Task Sets the layer group for the Finite Element Analysis. The default setting is the layer group AM_FEA. You can specify any other layer group to use for the FEA.
 | FEA - Scale Factor for Symbols Sets the scale factor for symbols associated with the FEA calculation. This factor affects the size in which a symbol appears in the drawing, but not the load value associated with it.
 | Create Output File Automatically Saves the results of the FEA calculation to a .txt file. The name of the file is the name of the drawing where the FEA routine is being used.
 | Colors Sets colors for the representation of Isolines and Isoareas. You can select from 12 (VGA graphics driver) or 24 (Super VGA graphics driver) colors. To change preset colors, click the corresponding color field, and select a new color from the color palette.
 | Set Default Colors Sets colors for the representation of Isolines and Isoareas to the default colors.
Bearing
 | Calculation Mode Defines the standard for the calculation.
 | Force Unit Defines the unit of force for the bearing calculation.
 | Length Unit Defines the length unit to be used for the bearing calculation.
 | Life Adjustment Factor
 |  | Reliability Specifies a factor for the reliability of the bearing.
 |  | Material Factor a2 Specifies a factor for the material.
 |  | Operator Factor a3 Specifies a factor for operation conditions.
Shaft Calculator
 | Cone Section and Fillet Resolution
 |  | Default Automatically determines the number of segments for the ideal representation of the cone section and fillet.
 |  | Number of Segments to Determines the number of segments for the representation of the cone section and fillet.
 | Resultant Curve Resolution
 |  | Default Automatically determines the number of segments for the representation of the resultant curve.
 |  | Number of Segments to Determines the number of segments for the representation of the resultant curve.


Finite Element Analysis

Shaft calculations
Perform engineering calculations
Perform Finite Element Analysis (FEA)
Perform engineering calculations >
Finite Element Analysis
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Perform Finite Element Analysis (FEA)

  • Influence of refining and border conditions


Finite Element Analysis (Procedure)

Shaft calculations
Finite Element Analysis
Perform Finite Element Analysis (FEA)
Perform engineering calculations >
Finite Element Analysis
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To insert single loads or supports

To insert uniform loads and supports

To perform FEA on a 2D contour

To change FEA properties

To insert single loads or supports

To insert uniform loads and supports

To perform FEA on a 2D contour

To change FEA properties


Perform Finite Element Analysis (FEA) (Concept)

Finite Element Analysis
Finite Element Analysis
Influence of refining and border conditions
Perform engineering calculations > Finite Element Analysis >
Perform Finite Element Analysis (FEA)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Design sophistication in the area of mechanical engineering and construction is ever increasing. Therefore, in order to assure reliability, the calculations relating to these designs must be performed using more advanced tools.

To determine the stability and durability of a given structure under various loading situations, observe the stress and deformation in the components while they are being loaded. A structure is considered to be durable if the maximum occurring stress is less than what the material permits.

Various computational methods have been developed for calculating deformation and stress conditions. One of these methods is called the Finite Element Analysis.

The knowledge gained from this stress rating can lead to changing the structure in certain areas, which in turn necessitates changes to the design.

The Finite Element Analysis (FEA) function is a powerful procedure for obtaining numerical solutions to stability problems in all kinds of malleable and elastic areas.

FEA subdivides the area into triangles and then approximates the solution using numerical polynomial interpolation. The finite element method outputs approximate solutions. It is useful in that you can quickly determine the stress and deformation distribution in a plane for plates with a given thickness or in a cross section with individual forces and stretching loads, having fixed or movable supports. You can create base mesh, Isolines and Isoareas, main stress lines and deformed mesh. All results can be inserted in the drawing as diagrams with value tables.

The FEA routine uses its own layer group for input and output. Also it uses a node network with the option to number the nodes and to export the node numbers/results in an output file.

Notes:

  • The FEA tool is basic; it is not intended for full FEA analysis. For example, this FEA tool does not consider dynamic loads or temperature influences on materials. The FEA tool is intended to provide an engineer who is familiar with FEA with a general idea where the areas of strength and weakness reside. However, for a complete and final analysis, you should use a full FEA package.
  • The FEA tool does not generate a composite Center of Gravity for multiple parts, because it is a tool for single parts only.
  • The FEA tool creates a mesh for the enclosed contour. This routine uses a triangle element type with six nodes (linear-strain triangle). When there are short lines near the border (for example, force or supports close to a polyline corner), the routine refines the output around the midpoint, up to eight times (Boundaries => areas => volume). For more information on the algorithms used, see the following documentation:
    • Larry J. Segerlind: Applied Finite Element Analysis - 1976, Seite 232 - 239
    • Robert D. Cook: Concept and Applications of Finite Element Analysis - 1974, Seite 81 - 84 (the used calculation method)
    • H. Rutishauser: Algorithmus 1: Lineares Gleichungssystem mit symetrischer positiv-definierter Bandmatrix nach Cholesky (Archives for electronic Computing, Vol.1 Iss.1 - 1966, Seite 77 - 78)
    • J.T. Oden and E.A. Ripperger: Mechanics of Elastic Structures - 1981, Page 10 - 17
    • R.J Collins Bandwith reduction by automatic renumbering, IJNME Vol. 6, 345-356 (1973)


Perform Finite Element Analysis (FEA) (Procedure)

Finite Element Analysis
Up a level to ..
Perform Finite Element Analysis (FEA)
Perform engineering calculations > Finite Element Analysis >
Perform Finite Element Analysis (FEA)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert single loads or supports

To insert uniform loads and supports

To perform FEA on a 2D contour

To change FEA properties


Perform Finite Element Analysis (FEA) (Quick Reference)

Shaft calculations
Perform Finite Element Analysis (FEA)
Perform Finite Element Analysis (FEA)
Perform engineering calculations > Finite Element Analysis >
Perform Finite Element Analysis (FEA)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMFEA2D

FEA 2D - Calculation dialog box

FEA 2D Isolines (Isoareas) dialog box

FEA 2D Main Stress dialog box

FEA 2D - Displacements dialog box

OPTIONS dialog box AM:Calculation tab


To insert single loads or supports (Procedure)

Perform Finite Element Analysis (FEA)
Up a level to ..
Perform Finite Element Analysis (FEA)
Perform engineering calculations > Finite Element Analysis >
Perform Finite Element Analysis (FEA)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert single loads or supports

The process for inserting a point load, movable support, or fixed support is identical. For the point load you can enter a value.

  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMFEA2D.
  2. From the FEA2D - Calculation dialog box, select the corresponding icon.
  3. Specify an insertion point (1).
  4. You have to enter a value only for the load.
  5. Specify a rotation angle, by moving the cursor or by entering an angle (2).


To insert uniform loads and supports (Procedure)

Perform Finite Element Analysis (FEA)
Up a level to ..
Perform Finite Element Analysis (FEA)
Perform engineering calculations > Finite Element Analysis >
Perform Finite Element Analysis (FEA)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert uniform loads and supports

The process for inserting a point load, movable support, or fixed support is identical. For the point load you can enter a value.

  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMFEA2D.
  2. From the FEA2D - Calculation dialog box, select the corresponding icon.
  3. Specify the starting point (1).
  4. Specify the endpoint (2).
  5. Specify the side where the load is affected (3).
  6. Only for the load, you have to enter a value.


To perform FEA on a 2D contour (Procedure)

Perform Finite Element Analysis (FEA)
Up a level to ..
Perform Finite Element Analysis (FEA)
Perform engineering calculations > Finite Element Analysis >
Perform Finite Element Analysis (FEA)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To perform FEA on a 2D contour

You can perform FEA calculation only on closed contours. The contour must be created on an contour layer (AM-0, AM-1, AM-2).

  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMFEA2D.
  2. Select a point inside the contour to which you want to apply FEA calculation, and press ENTER.
  3. In the FEA 2D - Calculation dialog box, choose a type of support. Then select an appropriate point on the contour to place the support.
  4. Repeat step 3 to insert additional supports.
  5. In the FEA 2D - Calculation dialog box, choose a type of load. Then select an appropriate point on the contour to place the load.
  6. Repeat step 5 to insert additional loads.
  7. In the FEA 2D - Calculation dialog box, choose Table to specify the type of material for the contour.
  8. Specify a thickness for the contour.
  9. In the Results section of the FEA 2D - Calculation dialog box, choose any of the available methods to display the result of the calculation.


To change FEA properties (Procedure)

Perform Finite Element Analysis (FEA)
Up a level to ..
Influence of refining and border conditions
Perform engineering calculations > Finite Element Analysis >
Perform Finite Element Analysis (FEA)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change FEA properties

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Calculation tab.
  3. In the FEA section of the AM:Calculation tab, make the necessary entries, and choose OK.


Perform Finite Element Analysis (FEA) (Quick Reference)

Perform Finite Element Analysis (FEA)
Perform Finite Element Analysis (FEA)
Perform Finite Element Analysis (FEA)
Perform engineering calculations > Finite Element Analysis >
Perform Finite Element Analysis (FEA)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMFEA2D

Performs a Finite Element Analysis on a two dimensional object that is subject to a static load.

Ribbon: Content tab [image] Calculations panel [image] FEA. Does not exist on the ribbon.
Toolbar: Content [image] Calculation
Menu: Content [image] Calculations [image] FEA... Does not exist in the menus.
Command entry: amfea2d

You can calculate stress and deformation in a plane for plates of a given thickness or in a cross section with individual forces and stretching loads.

The following conditions are required to start the AMFEA2D command:

  • The contour has to be drawn.
  • The internal and external contours should not touch one another.
  • The contour or cross section has to create a closed surface.

Note: Multiple FEA tasks are permitted within the same drawing. If the contour changes, a new FEA task has to be solved.

COMMAND LINE OPTIONS

Select interior point: Select a point within the cross section.

The FEA routine automatically finds the external and internal contours enclosed in the area defined by the cross-section.

If 3DFACE entities already exist in the selected contour, another prompt follows:

Existing/New Solution (E/N) <Existing>:

If you select Existing (default), you are still working with the old task. If you select New, the old calculation is deleted, and a new calculation is started. This should be used if the contour has changed.

The FEA calculation is controlled by the FEA 2D - Calculation dialog box. You specify the material, the thickness and the border conditions (loads and supports) in view of type, and quantity.


Perform Finite Element Analysis (FEA) (Quick Reference)

Perform Finite Element Analysis (FEA)
Perform Finite Element Analysis (FEA)
Perform Finite Element Analysis (FEA)
Perform engineering calculations > Finite Element Analysis >
Perform Finite Element Analysis (FEA)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

FEA 2D - Calculation dialog box

Use the FEA 2D Calculation dialog box to determine the material, the revolution direction and the particular supports and loads with respect to type and quantity.

Loads and Supports

Inserts and edits the border conditions (supports and loads). Besides the symbol, the number of the loads, and fixed and movable supports are displayed.

Inserting Border Conditions

The sequence of the FEA routine for inserting border conditions depends on the type of border condition selected. In each case, you are prompted to select an insertion point, which has to lie on the contour (external or internal). The insertion process for forces and loads is finished when you press ENTER. Then the FEA 2D calculations dialog box opens again.

You can choose these forces and loads:

Individual force:

Enter the value and direction of the force. The default direction is perpendicular to the contour. Determine the direction by entering an angle, or use the pointing device.

Fixed or movable support:

Enter the position and direction of the force. The direction for fixed supports does not affect the calculations for stress.

Forces (line) and fixed/movable supports (line):

Enter the starting and endpoints of the force. You must select a “side from endpoint”.

This refers to a point on the closed contour in the area between the specified two points where the forces or supports apply. If the line of forces surrounds the whole contour, specify the starting point and press ENTER.

Distributed forces (line) and fixed or movable supports (line) are always considered perpendicular to the contour.

The value of the distributed forces refers to force units per distance unit of the drawing (N/m or lbf/inch). If you want to enter a pressure value (for example in N/mm<2),you first have to calculate the force distribution based on the following formula:

Distributed force [N/mm] = p [N/mm2] * d [mm], where d is the thickness of the cross section. If you want to calculate stretching considerations, enter a negative value.

Note: The FEA routine draws only some symbols next to every entity. Before each calculation, the border conditions are written at every contour point in the mesh.

Editing Border Conditions

The options available for editing border conditions depend on the selected loads and forces (for example a distributed force cannot be edited with the Angle option).

Edit options:

Value: Changes the size of the forces or force lines.

Angle: Changes the direction of the specified force or support.

Move: Moves the border condition to another location.

Copy: Copies the border condition to another location.

Delete: Deletes a load or support.

Table

Opens a material dialog box that includes the values for E-module, elastic limits, Poisson ratio and brittleness belonging to the material.

E-Module

Displays the elasticity modulus belonging to the material.

Poisson

Displays the Poisson ratio.

Re

Displays the elastic limit.

Default

Determines the thickness of the cross section. Click the button on the left if an elastic deformation in Z direction is possible. Click the button on the right if the object is directly supported by fixed limits. (This means no deformation in Z direction is possible, that stress in Z direction occurs, and that stress can be calculated.)

Mesh

Creates a mesh for the enclosed contour. This routine uses a triangle element type with six nodes (linear-strain triangle). When there are very short lines near the border (for example force or supports close to a polyline corner), the routine refines the output around the midpoint (up to eight times).

Average mesh width

Specifies the base density of the mesh. This value is the average value of the triangle's sides measured in drawing units. The default value is dependent upon the contour area and is selected such that the first calculation lasts the shortest possible time.

>>> button (within the mesh section)

Displays the created mesh without exiting the FEA routine.

Refining

Shortens the sides of the mesh triangles. This can be done manually or automatically.

Results

Performs deformation calculations, based on the reactive forces. The results can be represented as:

Isolines and isoareas

Main stress lines

Deformed mesh

File

Creates the name and a path for an output file. If the option Make Output File Automatically is active, an output file with file name *.txt is generated after every calculation. The file contains all border conditions, deformed meshes, and stress for the respective forces and triangles.

at Point

Displays all results up to the selected point in the command line.

Node Numbering

Numbers each node in the output file.

Delete Results

Deletes all results of stress, deformations and node numbers.

Delete Solutions

Deletes all results, and the mesh and the copied contour. You can decide, in an inquiry box, whether the loads and forces are to remain in the drawing. The task is terminated and you can start a new task using the old contour.

Config...

Opens a dialog box so that you can change or set the predefined layer groups, the colors and the symbol sizes for the FEA calculation routine.


Perform Finite Element Analysis (FEA) (Quick Reference)

Perform Finite Element Analysis (FEA)
Perform Finite Element Analysis (FEA)
Perform Finite Element Analysis (FEA)
Perform engineering calculations > Finite Element Analysis >
Perform Finite Element Analysis (FEA)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

FEA 2D Isolines (Isoareas) dialog box

Displays the results graphically, as isolines or isoareas.

Results

Sets the type of results to be displayed.

Note: The Von-Mises stress is the stress comparison based on the shape-change-energy hypothesis. The stress in the Z direction option is available only if Elastic Deformation in the Z direction in the FEA 2D Calculation dialog box is turned off.

Graphic Representation

Choose between the isolines (left button) and the isoareas (right button) representation.

Set interval automatically

Select the check box to have the intervals between the isolines or isoareas set.

After you have selected the stress calculations to be performed, FEA performs the calculations and displays the isolines or isoareas. FEA uses VGA (12) or SVGA (24) colors. The color values are based on the settings in the Configuration dialog box.

If stress distribution or deformations are displayed with the aid of isolines, these lines can be described more detailed in a legend or stress table. Select the stress line of interest to have the program convert the stress areas (with respect to the initial color) to a relative stress indicator and to present stress areas in the table once the insertion point has been defined.

Press ENTER to return to the FEA 2D Calculations dialog box.


Perform Finite Element Analysis (FEA) (Quick Reference)

Perform Finite Element Analysis (FEA)
Perform Finite Element Analysis (FEA)
Perform Finite Element Analysis (FEA)
Perform engineering calculations > Finite Element Analysis >
Perform Finite Element Analysis (FEA)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

FEA 2D Main Stress dialog box

The Main Stress dialog box establishes the scale factor for the main stress with respect to the average internal node width.

The main stress in each node will typically have different directions. Therefore, it is not represented through Isolines (lines of equal stress on the deformed structure) or Isoareas (areas of equal stress on the deformed structure). Every node has two perpendicular lines drawn on them. The red line represents the main stress 1, and the cyan-colored line represents the main stress 2. The length of the lines is dependent upon the size of the main stress. The result block contains the scale factor. The arrows at the end of each line are oriented either “in” (compression stress) or “out” (extension stress).


Perform Finite Element Analysis (FEA) (Quick Reference)

Perform Finite Element Analysis (FEA)
Perform Finite Element Analysis (FEA)
Perform Finite Element Analysis (FEA)
Perform engineering calculations > Finite Element Analysis >
Perform Finite Element Analysis (FEA)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

FEA 2D - Displacements dialog box

The FEA 2D - Displacements dialog box is used to enter the scale factor for the graphic representation of the deformations.

When creating a deformed mesh, the FEA routine copies the base mesh into the AM_FEA-AM_2 layer. However, this copy has the individual nodes pushed in directions corresponding to the force. These deformations usually have very small values. To have a better overview of the effect of the forces and supports, the FEA routine multiplies the deformation values by the increase coefficient. The increase coefficient can be set manually. If you let FEA set it for you, by selecting automatic, FEA considers the maximum deformation to be equal to the average mesh width.

The deformed mesh is displayed as result.

The principles of the Influence of refining described under Special information about stress do not occur in a deformed mesh.


Perform Finite Element Analysis (FEA) (Quick Reference)

Perform Finite Element Analysis (FEA)
Perform Finite Element Analysis (FEA)
Influence of refining and border conditions
Perform engineering calculations > Finite Element Analysis >
Perform Finite Element Analysis (FEA)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

OPTIONS dialog box AM:Calculation tab

Use the AM:Calculations tab to set preferences for FEA, Bearings, and Shaft Calculator.

DIALOG BOX DEFINITIONS

FEA
 | FEA - Layer Group for FEA Task Sets the layer group for the Finite Element Analysis. The default setting is the layer group AM_FEA. You can specify any other layer group to use for the FEA.
 | FEA - Scale Factor for Symbols Sets the scale factor for symbols associated with the FEA calculation. This factor affects the size in which a symbol appears in the drawing, but not the load value associated with it.
 | Create Output File Automatically Saves the results of the FEA calculation to a .txt file. The name of the file is the name of the drawing where the FEA routine is being used.
 | Colors Sets colors for the representation of Isolines and Isoareas. You can select from 12 (VGA graphics driver) or 24 (Super VGA graphics driver) colors. To change preset colors, click the corresponding color field, and select a new color from the color palette.
 | Set Default Colors Sets colors for the representation of Isolines and Isoareas to the default colors.
Bearing
 | Calculation Mode Defines the standard for the calculation.
 | Force Unit Defines the unit of force for the bearing calculation.
 | Length Unit Defines the length unit to be used for the bearing calculation.
 | Life Adjustment Factor
 |  | Reliability Specifies a factor for the reliability of the bearing.
 |  | Material Factor a2 Specifies a factor for the material.
 |  | Operator Factor a3 Specifies a factor for operation conditions.
Shaft Calculator
 | Cone Section and Fillet Resolution
 |  | Default Automatically determines the number of segments for the ideal representation of the cone section and fillet.
 |  | Number of Segments to Determines the number of segments for the representation of the cone section and fillet.
 | Resultant Curve Resolution
 |  | Default Automatically determines the number of segments for the representation of the resultant curve.
 |  | Number of Segments to Determines the number of segments for the representation of the resultant curve.


Influence of refining and border conditions (Concept)

Perform Finite Element Analysis (FEA)
Finite Element Analysis
Design cams
Perform engineering calculations > Finite Element Analysis >
Influence of refining and border conditions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you use small mesh densities, large differences can occur in the exact values. It may then be necessary to turn on automatic refining or to refine the stress differences manually after the first pass through the calculation.

Forces and supports are never exerted on a single point, but over an area. If you use only single forces and supports and maximum stress, you may get high, unrealistic point stresses precisely at their insertion points, particularly as the mesh is refined. Therefore you must be careful when using values for the maximum stress. When you use force and support lines, the stress values approximate accurate values.

  • "Warm" colors do not always have to depict the maximum stress.
  • Stress in the X, Y, and Z directions and shear stress can also assume negative values. Color values for stress are assigned mathematically based on the interval.

Example: An isoline with a "cold" color has the value -80, an isoline with a "warm" color has the value 5. However the maximum value is -80. So, you cannot rely on the optical color representation. Therefore, it is necessary to interpret the stress lines together with the result block.

The main stress 1 is the highest, the main stress 2 the lowest stress in this point. Stresses can change with the angle.

The main stress 1 always is arithmetically higher than the main stress 2. Positive values represent the extension stress, negative values represent the compression stress. But both may be negative.

Example:

Main stress 2 < Main stress 1

-800 < -400

In this case, the main stress 2 is higher than the main stress 1 (but the arithmetical principle is valid as convention).


Influence of refining and border conditions (Procedure)

Perform Finite Element Analysis (FEA)
Up a level to ..
Influence of refining and border conditions
Perform engineering calculations > Finite Element Analysis >
Influence of refining and border conditions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert single loads or supports

To insert uniform loads and supports

To perform FEA on a 2D contour

To change FEA properties


Influence of refining and border conditions (Quick Reference)

Perform Finite Element Analysis (FEA)
Influence of refining and border conditions
Influence of refining and border conditions
Perform engineering calculations > Finite Element Analysis >
Influence of refining and border conditions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMFEA2D

FEA 2D - Calculation dialog box

FEA 2D Isolines (Isoareas) dialog box

FEA 2D Main Stress dialog box

FEA 2D - Displacements dialog box


To insert single loads or supports (Procedure)

Influence of refining and border conditions
Up a level to ..
Influence of refining and border conditions
Perform engineering calculations > Finite Element Analysis >
Influence of refining and border conditions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert single loads or supports

The process for inserting a point load, movable support, or fixed support is identical. For the point load you can enter a value.

  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMFEA2D.
  2. From the FEA2D - Calculation dialog box, select the corresponding icon.
  3. Specify an insertion point (1).
  4. You have to enter a value only for the load.
  5. Specify a rotation angle, by moving the cursor or by entering an angle (2).


To insert uniform loads and supports (Procedure)

Influence of refining and border conditions
Up a level to ..
Influence of refining and border conditions
Perform engineering calculations > Finite Element Analysis >
Influence of refining and border conditions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert uniform loads and supports

The process for inserting a point load, movable support, or fixed support is identical. For the point load you can enter a value.

  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMFEA2D.
  2. From the FEA2D - Calculation dialog box, select the corresponding icon.
  3. Specify the starting point (1).
  4. Specify the endpoint (2).
  5. Specify the side where the load is affected (3).
  6. Only for the load, you have to enter a value.


To perform FEA on a 2D contour (Procedure)

Influence of refining and border conditions
Up a level to ..
Influence of refining and border conditions
Perform engineering calculations > Finite Element Analysis >
Influence of refining and border conditions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To perform FEA on a 2D contour

You can perform FEA calculation only on closed contours. The contour must be created on an contour layer (AM-0, AM-1, AM-2).

  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMFEA2D.
  2. Select a point inside the contour to which you want to apply FEA calculation, and press ENTER.
  3. In the FEA 2D - Calculation dialog box, choose a type of support. Then select an appropriate point on the contour to place the support.
  4. Repeat step 3 to insert additional supports.
  5. In the FEA 2D - Calculation dialog box, choose a type of load. Then select an appropriate point on the contour to place the load.
  6. Repeat step 5 to insert additional loads.
  7. In the FEA 2D - Calculation dialog box, choose Table to specify the type of material for the contour.
  8. Specify a thickness for the contour.
  9. In the Results section of the FEA 2D - Calculation dialog box, choose any of the available methods to display the result of the calculation.


To change FEA properties (Procedure)

Influence of refining and border conditions
Up a level to ..
Design cams
Perform engineering calculations > Finite Element Analysis >
Influence of refining and border conditions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change FEA properties

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Calculation tab.
  3. In the FEA section of the AM:Calculation tab, make the necessary entries, and choose OK.


Influence of refining and border conditions (Quick Reference)

Influence of refining and border conditions
Influence of refining and border conditions
Influence of refining and border conditions
Perform engineering calculations > Finite Element Analysis >
Influence of refining and border conditions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMFEA2D

Performs a Finite Element Analysis on a two dimensional object that is subject to a static load.

Ribbon: Content tab [image] Calculations panel [image] FEA. Does not exist on the ribbon.
Toolbar: Content [image] Calculation
Menu: Content [image] Calculations [image] FEA... Does not exist in the menus.
Command entry: amfea2d

You can calculate stress and deformation in a plane for plates of a given thickness or in a cross section with individual forces and stretching loads.

The following conditions are required to start the AMFEA2D command:

  • The contour has to be drawn.
  • The internal and external contours should not touch one another.
  • The contour or cross section has to create a closed surface.

Note: Multiple FEA tasks are permitted within the same drawing. If the contour changes, a new FEA task has to be solved.

COMMAND LINE OPTIONS

Select interior point: Select a point within the cross section.

The FEA routine automatically finds the external and internal contours enclosed in the area defined by the cross-section.

If 3DFACE entities already exist in the selected contour, another prompt follows:

Existing/New Solution (E/N) <Existing>:

If you select Existing (default), you are still working with the old task. If you select New, the old calculation is deleted, and a new calculation is started. This should be used if the contour has changed.

The FEA calculation is controlled by the FEA 2D - Calculation dialog box. You specify the material, the thickness and the border conditions (loads and supports) in view of type, and quantity.


Influence of refining and border conditions (Quick Reference)

Influence of refining and border conditions
Influence of refining and border conditions
Influence of refining and border conditions
Perform engineering calculations > Finite Element Analysis >
Influence of refining and border conditions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

FEA 2D - Calculation dialog box

Use the FEA 2D Calculation dialog box to determine the material, the revolution direction and the particular supports and loads with respect to type and quantity.

Loads and Supports

Inserts and edits the border conditions (supports and loads). Besides the symbol, the number of the loads, and fixed and movable supports are displayed.

Inserting Border Conditions

The sequence of the FEA routine for inserting border conditions depends on the type of border condition selected. In each case, you are prompted to select an insertion point, which has to lie on the contour (external or internal). The insertion process for forces and loads is finished when you press ENTER. Then the FEA 2D calculations dialog box opens again.

You can choose these forces and loads:

Individual force:

Enter the value and direction of the force. The default direction is perpendicular to the contour. Determine the direction by entering an angle, or use the pointing device.

Fixed or movable support:

Enter the position and direction of the force. The direction for fixed supports does not affect the calculations for stress.

Forces (line) and fixed/movable supports (line):

Enter the starting and endpoints of the force. You must select a “side from endpoint”.

This refers to a point on the closed contour in the area between the specified two points where the forces or supports apply. If the line of forces surrounds the whole contour, specify the starting point and press ENTER.

Distributed forces (line) and fixed or movable supports (line) are always considered perpendicular to the contour.

The value of the distributed forces refers to force units per distance unit of the drawing (N/m or lbf/inch). If you want to enter a pressure value (for example in N/mm<2),you first have to calculate the force distribution based on the following formula:

Distributed force [N/mm] = p [N/mm2] * d [mm], where d is the thickness of the cross section. If you want to calculate stretching considerations, enter a negative value.

Note: The FEA routine draws only some symbols next to every entity. Before each calculation, the border conditions are written at every contour point in the mesh.

Editing Border Conditions

The options available for editing border conditions depend on the selected loads and forces (for example a distributed force cannot be edited with the Angle option).

Edit options:

Value: Changes the size of the forces or force lines.

Angle: Changes the direction of the specified force or support.

Move: Moves the border condition to another location.

Copy: Copies the border condition to another location.

Delete: Deletes a load or support.

Table

Opens a material dialog box that includes the values for E-module, elastic limits, Poisson ratio and brittleness belonging to the material.

E-Module

Displays the elasticity modulus belonging to the material.

Poisson

Displays the Poisson ratio.

Re

Displays the elastic limit.

Default

Determines the thickness of the cross section. Click the button on the left if an elastic deformation in Z direction is possible. Click the button on the right if the object is directly supported by fixed limits. (This means no deformation in Z direction is possible, that stress in Z direction occurs, and that stress can be calculated.)

Mesh

Creates a mesh for the enclosed contour. This routine uses a triangle element type with six nodes (linear-strain triangle). When there are very short lines near the border (for example force or supports close to a polyline corner), the routine refines the output around the midpoint (up to eight times).

Average mesh width

Specifies the base density of the mesh. This value is the average value of the triangle's sides measured in drawing units. The default value is dependent upon the contour area and is selected such that the first calculation lasts the shortest possible time.

>>> button (within the mesh section)

Displays the created mesh without exiting the FEA routine.

Refining

Shortens the sides of the mesh triangles. This can be done manually or automatically.

Results

Performs deformation calculations, based on the reactive forces. The results can be represented as:

Isolines and isoareas

Main stress lines

Deformed mesh

File

Creates the name and a path for an output file. If the option Make Output File Automatically is active, an output file with file name *.txt is generated after every calculation. The file contains all border conditions, deformed meshes, and stress for the respective forces and triangles.

at Point

Displays all results up to the selected point in the command line.

Node Numbering

Numbers each node in the output file.

Delete Results

Deletes all results of stress, deformations and node numbers.

Delete Solutions

Deletes all results, and the mesh and the copied contour. You can decide, in an inquiry box, whether the loads and forces are to remain in the drawing. The task is terminated and you can start a new task using the old contour.

Config...

Opens a dialog box so that you can change or set the predefined layer groups, the colors and the symbol sizes for the FEA calculation routine.


Influence of refining and border conditions (Quick Reference)

Influence of refining and border conditions
Influence of refining and border conditions
Influence of refining and border conditions
Perform engineering calculations > Finite Element Analysis >
Influence of refining and border conditions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

FEA 2D Isolines (Isoareas) dialog box

Displays the results graphically, as isolines or isoareas.

Results

Sets the type of results to be displayed.

Note: The Von-Mises stress is the stress comparison based on the shape-change-energy hypothesis. The stress in the Z direction option is available only if Elastic Deformation in the Z direction in the FEA 2D Calculation dialog box is turned off.

Graphic Representation

Choose between the isolines (left button) and the isoareas (right button) representation.

Set interval automatically

Select the check box to have the intervals between the isolines or isoareas set.

After you have selected the stress calculations to be performed, FEA performs the calculations and displays the isolines or isoareas. FEA uses VGA (12) or SVGA (24) colors. The color values are based on the settings in the Configuration dialog box.

If stress distribution or deformations are displayed with the aid of isolines, these lines can be described more detailed in a legend or stress table. Select the stress line of interest to have the program convert the stress areas (with respect to the initial color) to a relative stress indicator and to present stress areas in the table once the insertion point has been defined.

Press ENTER to return to the FEA 2D Calculations dialog box.


Influence of refining and border conditions (Quick Reference)

Influence of refining and border conditions
Influence of refining and border conditions
Influence of refining and border conditions
Perform engineering calculations > Finite Element Analysis >
Influence of refining and border conditions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

FEA 2D Main Stress dialog box

The Main Stress dialog box establishes the scale factor for the main stress with respect to the average internal node width.

The main stress in each node will typically have different directions. Therefore, it is not represented through Isolines (lines of equal stress on the deformed structure) or Isoareas (areas of equal stress on the deformed structure). Every node has two perpendicular lines drawn on them. The red line represents the main stress 1, and the cyan-colored line represents the main stress 2. The length of the lines is dependent upon the size of the main stress. The result block contains the scale factor. The arrows at the end of each line are oriented either “in” (compression stress) or “out” (extension stress).


Influence of refining and border conditions (Quick Reference)

Influence of refining and border conditions
Influence of refining and border conditions
Cam plates and cylinders
Perform engineering calculations > Finite Element Analysis >
Influence of refining and border conditions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

FEA 2D - Displacements dialog box

The FEA 2D - Displacements dialog box is used to enter the scale factor for the graphic representation of the deformations.

When creating a deformed mesh, the FEA routine copies the base mesh into the AM_FEA-AM_2 layer. However, this copy has the individual nodes pushed in directions corresponding to the force. These deformations usually have very small values. To have a better overview of the effect of the forces and supports, the FEA routine multiplies the deformation values by the increase coefficient. The increase coefficient can be set manually. If you let FEA set it for you, by selecting automatic, FEA considers the maximum deformation to be equal to the average mesh width.

The deformed mesh is displayed as result.

The principles of the Influence of refining described under Special information about stress do not occur in a deformed mesh.


Design cams

Influence of refining and border conditions
Perform engineering calculations
Cam plates and cylinders
Perform engineering calculations >
Design cams
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Cam plates and cylinders
  • Design cam profiles


Design cams (Procedure)

Influence of refining and border conditions
Design cams
Cam plates and cylinders
Perform engineering calculations >
Design cams
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To design a cam

To design a cam


Cam plates and cylinders (Concept)

Design cams
Design cams
Design cam profiles
Perform engineering calculations > Design cams >
Cam plates and cylinders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

With cam gears, you can implement practically any movement required in the scope of process control with a minimum number of gear elements. The basis for systematic design procedures is offered using standardized laws of movement in the development of new cam gears.

AutoCAD creates cams (cam plates and cylindrical cams) based on sections drawn in a movement diagram. AutoCAD creates the movement sections using fifth degree polynomials, the law of movement which offers the widest range of applications. Because calculation of the movement sections is only possible if the border conditions of the adjacent movement sections are known, it is necessary to define these border conditions. Calculation of velocity and acceleration for an existing section of the movement diagram is also possible. The cam curve path can be determined through the calculated cam sections. Also an existing curve path can be scanned and transferred in the movement diagram.

The laws of movement and their fundamentals are derived from a standard like the VDI 2143 standard. The movement sections are defined by the movement (dwell time, constant velocity, reverse and movement). The trick of cam design is to join these movement sections into something smooth and free of impulses:

  • Smooth means that the velocity f' is free of step changes. Smooth is a minimum requirement.
  • Free of impulses means that the acceleration f is free of step changes.

This explains why velocity and acceleration are necessary, in addition to the curve path. These curves enable you to check whether your curve path is smooth and free of impulses.

There are various laws of movement such as the mathematical formulas for the profile of the movement sections. A guideline like the VDI guideline examines and compares various laws of movement such as parabola, simple sinusoidal wave form, modified sinusoidal wave form, fifth degree polynomial, and others. A table like the table 3 of VDI 2143 page 2, shows the results and recommendations. The fifth degree polynomial is the law of movement that offers the widest range of applications. (It ranked first in 10 of 16 cases and was not inappropriate in any case.) Therefore we used this law of movement.

The calculation of the movement sections is possible only when the conditions of the adjacent movement sections are known. So you must define these conditions.

The velocity f' represents the change in the curve path gradient. f' must not include any step changes. This means we have to accept the border conditions of the adjacent f' curves. This is either possible by nominal default or by specification from drawing using the adjacent f' values. A Æ crossing means that the direction of movement is reversed. If f'="0" and horizontal, the roller on the cam is at standstill. The f' curve represents the driving torque required.

The acceleration f" should not have any step changes either. Its design is subject to the same principles as explained previously. The f" curve represents the inertial forces.

Both curves should be as flat as possible to expose the gears only to moderate stress. You can use border conditions and data points to influence the curve profile.


Cam plates and cylinders (Quick Reference)

Influence of refining and border conditions
Cam plates and cylinders
Cam plates and cylinders
Perform engineering calculations > Design cams >
Cam plates and cylinders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCAM

Cam Design and Calculation dialog box


To design a cam (Procedure)

Design cams
Up a level to ..
Design cam profiles
Perform engineering calculations > Design cams >
Cam plates and cylinders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To design a cam

1. Set cam properties
  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMCAM.
  2. In the Cam Design and Calculation dialog box, define the cam mechanism in the following sequence: Cam, Follower, Profile, and then Location.
  3. Select a point in the drawing to specify the center of the cam and to insert the cam mechanism.
  4. Specify a start point for the cam movement.
  5. Specify the direction of movement for the follower in which the movement is considered as positive.
  6. Set the length of the horizontal axis to draw the displacement, velocity, and acceleration diagrams.
2. Set scale and resolution for the motion diagrams
  1. In the Cam Design and Calculation dialog box, click Motions.
  2. In the Options tab, select the diagrams you want to draw and set the scale and resolution for the curves.
3. Define segments for the cam-follower displacement curve
  1. In the Cam Design and Calculation dialog box, click Motions.
  2. In the Motion tab, select New. A dialog box is displayed.
  3. Choose Append from the displayed dialog box.
  4. In the Motion dialog box, specify the end angle for the first segment.
  5. Specify the elevation of the follower at the end of the segment.
  6. From the context button, set boundary conditions for the curve of the current segment.
  7. Select a type of motion from the list to define a velocity and acceleration curve.
  8. Set values for velocity and acceleration at the segment boundaries if you choose to override the calculated values.
  9. Click Apply to save data for the segment you defined.
  10. Click New to define the next segment in the displacement curve.
  11. Choose Append from the displayed dialog box.
  12. Repeat steps 4. through 9.
  13. Define as many segments to the curve as you like, until a 360° rotation is complete.
  14. In the Motion dialog box, choose OK.
4. Define strengths for the cam-follower mechanism
  1. In the Cam Design and Calculation dialog box, click Strength.
  2. Select the Loads tab to set the external forces acting on the follower.
  3. Select the Spring tab to define pre load and spring radii to keep the follower in contact with the cam.
  4. Select the Material tab to specify a type of material for cam and roller.
  5. Select the Arm tab to dimension and choose a material for the arm of the follower.
  6. Select the Friction tab to specify the frictional force between the arm and guide bushing.
5. Find an optimal cam shaft center

  1. In the Cam Design and Calculation dialog box, click Results.
  2. Select the Geometry tab.
  3. To specify an optimal center point for the cam, click Center of Cam. A triangle is drawn in the drawing.
  4. In the drawing, select the point at the top angle of the triangle as the new cam center (point A). This gives the smallest possibly cam with the optimized pressure angle and radius of curvature for these two.

Note: You can choose any point within the area of the triangle as the cam center, but selection of point A, as shown in the picture above, yields the smallest possible cam for the given requirements.

6. Save cam data to a DXF or TXT file
  1. In the Cam Design and Calculation dialog box, click Export.
  2. Select the Relations tab to set the coordinate system.
  3. Select the File tab, and then select the curve whose data you want to save to a file.
  4. Set a precision when extracting NC data from the cam profile.
  5. From the Data Type, select the type of file to which you want to save this NC data, and then click Generate File.
  6. In the Save File dialog box, specify a location to save the file.


Cam plates and cylinders (Quick Reference)

Cam plates and cylinders
Cam plates and cylinders
Cam plates and cylinders
Perform engineering calculations > Design cams >
Cam plates and cylinders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCAM

Displays a wizard for the design of linear, circular, or cylindrical cams.

Ribbon: Content tab [image] Calculations panel [image] Cams. Does not exist on the ribbon.
Toolbar: Content [image] Calculation
Menu: Content [image] Cams Does not exist in the menus.
Command entry: amcam

You create cams based on sections drawn in a motion diagram. You can:

  • Calculate velocity and acceleration of an existing section of the motion diagram.
  • Determine the curve path from the calculated cam sections or scan an existing curve path and transfer it to the motion diagram.
  • Generate NC data from the cam profile and save it to a DXF or TXT file.


Cam plates and cylinders (Quick Reference)

Cam plates and cylinders
Cam plates and cylinders
Design cam profiles
Perform engineering calculations > Design cams >
Cam plates and cylinders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Cam Design and Calculation dialog box

Use the Cam Design and Calculation dialog box to specify the type of cam you want to design, the type of follower, the type of cam profile, and the insertion point for the cam mechanism in the drawing. Depending on the data you specified you can then specify the displacement, velocity, and the acceleration diagrams for the cam-follower mechanism. From those diagrams, the geometrical shape of the cam is created and inserted in the drawing.

Cam Button

Use the Cam button to,

  • Set the type of cam to linear, circular, or cylindrical.
  • Set the rotation direction and rpm.
  • Set the starting angle of the cam.
  • Define the diameter of the undefined cam as a starting reference.

Follower Button

Use the Follower button to set the type of follower to translating or swinging, and to set the dimensions of the roller.

Profile Button

Use the Profile button to set the type of profile to inner, outer, or both outer, and to define the value of the offset, and the depth of the groove.

Location Button

On the command line, specify the center of the cam, the starting point for movement, the angle of movement, and the position and length of the movement diagram.

Define all positions in UCS. You can change the values you specified on the command line in the Cam Design and Calculation dialog box.

Motions Button

Use the Motions button to,

  • Define motion segments for cam rotation and follower displacement.
  • Choose whether to append or insert.
  • Set the motion type to sinusoidal, trapezoidal, or polynomial equation.
  • Set the previous and next segment's boundary conditions.
  • Simulate the follower movement for all the segments.

Strength Button

Use the Strength button to,

  • Define loads affecting the cam-follower mechanisms.
  • Define the arm type of the follower and its dimensions.
  • Define the spring data, including preload and mass.
  • Define material properties.

Results Button

Use the Results button to,

  • Optimize the cam for the smallest possible size and least radius of curvature by adjusting its center.
  • Verify safety and stresses using the different tabs.
  • Generate a 3D solid of the cam, using external or internal profiles.
  • Simulate the motion to obtain values along different segments of the motion.

Export Button

Use the Export button to,

  • Export to a NC file or DXF file (versions 2000, 14, 13, 12).
  • Write out either the cam or the follower curves, or both.
  • Export NC data to a text file in Cartesian or Polar coordinates.
  • Set the center and direction of rotation of the cam.

Calculation

Use the Calculation button to obtain results.


Design cam profiles (Concept)

Cam plates and cylinders
Design cams
Configuration and setup guide
Perform engineering calculations > Design cams >
Design cam profiles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The cam calculation feature is used to design cam profiles for linear, circular, or cylindrical cams. You can select to use a translating or swinging follower, an open- or closed-track for the cam-follower mechanism.

Depending on the type of cam-follower you selected, you then define the displacement diagram for the follower. And based on the displacement diagram, velocity and acceleration diagrams are generated. At this stage, the cam calculation feature creates and inserts the first draft of the cam profile in the drawing.

You use the first draft of the cam profile to calculate strengths of the cam-follower mechanism. Strengths are the external forces acting on the cam-follower, forces due to friction between the arm of the follower and the follower guide bushing, forces of any spring used to fix the follower-roller to the cam periphery, and characteristics of the materials used for roller and cam.

In the next stage of the cam design and calculation process, you can view the result of calculation. You can then go back to any stage in the design process to change data or select another type of cam-follower mechanism. You can also optimize the cam profile by selecting a new cam center or a new start point for the cam-follower movement. When you finish editing your cam-follower mechanism, the result of the cam design and calculation are inserted in the drawing.

Finally, you can generate NC data from the cam profile you created. You can save this data to a DXF or TXT file.


Design cam profiles (Quick Reference)

Cam plates and cylinders
Design cam profiles
Design cam profiles
Perform engineering calculations > Design cams >
Design cam profiles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCAM

Cam Design and Calculation dialog box


To design a cam (Procedure)

Cam plates and cylinders
Up a level to ..
Selecting a drafting standard
Perform engineering calculations > Design cams >
Design cam profiles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To design a cam

1. Set cam properties
  1. Click Dashboard tab [image] Calculations panel [image] [image] At the Command prompt, enter AMCAM.
  2. In the Cam Design and Calculation dialog box, define the cam mechanism in the following sequence: Cam, Follower, Profile, and then Location.
  3. Select a point in the drawing to specify the center of the cam and to insert the cam mechanism.
  4. Specify a start point for the cam movement.
  5. Specify the direction of movement for the follower in which the movement is considered as positive.
  6. Set the length of the horizontal axis to draw the displacement, velocity, and acceleration diagrams.
2. Set scale and resolution for the motion diagrams
  1. In the Cam Design and Calculation dialog box, click Motions.
  2. In the Options tab, select the diagrams you want to draw and set the scale and resolution for the curves.
3. Define segments for the cam-follower displacement curve
  1. In the Cam Design and Calculation dialog box, click Motions.
  2. In the Motion tab, select New. A dialog box is displayed.
  3. Choose Append from the displayed dialog box.
  4. In the Motion dialog box, specify the end angle for the first segment.
  5. Specify the elevation of the follower at the end of the segment.
  6. From the context button, set boundary conditions for the curve of the current segment.
  7. Select a type of motion from the list to define a velocity and acceleration curve.
  8. Set values for velocity and acceleration at the segment boundaries if you choose to override the calculated values.
  9. Click Apply to save data for the segment you defined.
  10. Click New to define the next segment in the displacement curve.
  11. Choose Append from the displayed dialog box.
  12. Repeat steps 4. through 9.
  13. Define as many segments to the curve as you like, until a 360° rotation is complete.
  14. In the Motion dialog box, choose OK.
4. Define strengths for the cam-follower mechanism
  1. In the Cam Design and Calculation dialog box, click Strength.
  2. Select the Loads tab to set the external forces acting on the follower.
  3. Select the Spring tab to define pre load and spring radii to keep the follower in contact with the cam.
  4. Select the Material tab to specify a type of material for cam and roller.
  5. Select the Arm tab to dimension and choose a material for the arm of the follower.
  6. Select the Friction tab to specify the frictional force between the arm and guide bushing.
5. Find an optimal cam shaft center

  1. In the Cam Design and Calculation dialog box, click Results.
  2. Select the Geometry tab.
  3. To specify an optimal center point for the cam, click Center of Cam. A triangle is drawn in the drawing.
  4. In the drawing, select the point at the top angle of the triangle as the new cam center (point A). This gives the smallest possibly cam with the optimized pressure angle and radius of curvature for these two.

Note: You can choose any point within the area of the triangle as the cam center, but selection of point A, as shown in the picture above, yields the smallest possible cam for the given requirements.

6. Save cam data to a DXF or TXT file
  1. In the Cam Design and Calculation dialog box, click Export.
  2. Select the Relations tab to set the coordinate system.
  3. Select the File tab, and then select the curve whose data you want to save to a file.
  4. Set a precision when extracting NC data from the cam profile.
  5. From the Data Type, select the type of file to which you want to save this NC data, and then click Generate File.
  6. In the Save File dialog box, specify a location to save the file.


Design cam profiles (Quick Reference)

Design cam profiles
Design cam profiles
Design cam profiles
Perform engineering calculations > Design cams >
Design cam profiles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCAM

Displays a wizard for the design of linear, circular, or cylindrical cams.

Ribbon: Content tab [image] Calculations panel [image] Cams. Does not exist on the ribbon.
Toolbar: Content [image] Calculation
Menu: Content [image] Cams Does not exist in the menus.
Command entry: amcam

You create cams based on sections drawn in a motion diagram. You can:

  • Calculate velocity and acceleration of an existing section of the motion diagram.
  • Determine the curve path from the calculated cam sections or scan an existing curve path and transfer it to the motion diagram.
  • Generate NC data from the cam profile and save it to a DXF or TXT file.


Design cam profiles (Quick Reference)

Design cam profiles
Design cam profiles
Selecting a drafting standard
Perform engineering calculations > Design cams >
Design cam profiles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Cam Design and Calculation dialog box

Use the Cam Design and Calculation dialog box to specify the type of cam you want to design, the type of follower, the type of cam profile, and the insertion point for the cam mechanism in the drawing. Depending on the data you specified you can then specify the displacement, velocity, and the acceleration diagrams for the cam-follower mechanism. From those diagrams, the geometrical shape of the cam is created and inserted in the drawing.

Cam Button

Use the Cam button to,

  • Set the type of cam to linear, circular, or cylindrical.
  • Set the rotation direction and rpm.
  • Set the starting angle of the cam.
  • Define the diameter of the undefined cam as a starting reference.

Follower Button

Use the Follower button to set the type of follower to translating or swinging, and to set the dimensions of the roller.

Profile Button

Use the Profile button to set the type of profile to inner, outer, or both outer, and to define the value of the offset, and the depth of the groove.

Location Button

On the command line, specify the center of the cam, the starting point for movement, the angle of movement, and the position and length of the movement diagram.

Define all positions in UCS. You can change the values you specified on the command line in the Cam Design and Calculation dialog box.

Motions Button

Use the Motions button to,

  • Define motion segments for cam rotation and follower displacement.
  • Choose whether to append or insert.
  • Set the motion type to sinusoidal, trapezoidal, or polynomial equation.
  • Set the previous and next segment's boundary conditions.
  • Simulate the follower movement for all the segments.

Strength Button

Use the Strength button to,

  • Define loads affecting the cam-follower mechanisms.
  • Define the arm type of the follower and its dimensions.
  • Define the spring data, including preload and mass.
  • Define material properties.

Results Button

Use the Results button to,

  • Optimize the cam for the smallest possible size and least radius of curvature by adjusting its center.
  • Verify safety and stresses using the different tabs.
  • Generate a 3D solid of the cam, using external or internal profiles.
  • Simulate the motion to obtain values along different segments of the motion.

Export Button

Use the Export button to,

  • Export to a NC file or DXF file (versions 2000, 14, 13, 12).
  • Write out either the cam or the follower curves, or both.
  • Export NC data to a text file in Cartesian or Polar coordinates.
  • Set the center and direction of rotation of the cam.

Calculation

Use the Calculation button to obtain results.


Configuration and setup guide

Design cam profiles
About configuring AutoCAD Mechanical
Configuration and setup guide
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • About configuring AutoCAD Mechanical
  • Selecting a drafting standard
  • Configure Automatic Property Management
  • Configure text height and color
  • Configure Leaders
  • Configure Symbols
  • Configure BOMs, Balloons, and Parts Lists
  • Configure hole charts
  • Configure dimensions
  • Configure drawing sheets
  • Configure section lines and section view labels
  • Configure standard parts
  • Configure mechanical structure
  • Distribute configuration files
  • Import Drafting Standard Settings


About configuring AutoCAD Mechanical

Configuration and setup guide
Configuration and setup guide
Selecting a drafting standard
Configuration and setup guide >
About configuring AutoCAD Mechanical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Configuring AutoCAD Mechanical establishes settings before you start drawing.

Begin by creating a drawing based on one of the stock templates supplied with AutoCAD Mechanical. These templates are based on international drafting standards. If your company uses a variation of a drafting standard, use the template corresponding to that standard, modify the settings per your requirements, and save a new template.

The Options dialog box handles configuration settings, particularly in the AM:Standards tab. The settings in this dialog box can be broadly categorized as system-wide settings and drawing-wide settings. The program saves system-wide settings in the Windows registry and applies them to all drawings you open. The program saves drawing-wide settings with the template you create. In the Options dialog box, the [image] icon indicates these settings.

There are many configuration settings in this dialog box, making it possible to create several configuration workflows. The following diagram shows a high-level configuration flowchart which takes into account the interdependencies of different configuration operations and provides a workflow that applies under most circumstances.

When you finish configuring your system, you have a new .dwt file (a drawing template) and a few other files such as .dwg (drawing) files that contain custom title blocks, custom parts lists, and so on. Copy these files to the corresponding folders on other computers running AutoCAD Mechanical. You can alternatively copy these files to a shared folder and use the Files tab on the Options dialog box to point to them.


Selecting a drafting standard (Concept)

About configuring AutoCAD Mechanical
Configuration and setup guide
Configure Automatic Property Management
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical groups all settings governed by drafting standards and saves them to a profile referred to as a Standard. AutoCAD Mechanical includes eight such profiles (ANSI, BSI, CSN, DIN, GB, ISO JIS, and GOST), each configured to match a drafting standard. These settings govern how AutoCAD Mechanical’s built-in tools create geometry. Therefore, AutoCAD Mechanical is said to be standards-driven. The following figure shows a drawing of a shaft created with the standard set to DIN. Note how the annotations comply with the DIN standard.

The program selects a drafting standard automatically, but you can change it

Because AutoCAD Mechanical is standards-driven, assigning a drafting standard to a drawing is critical. When you create a drawing, AutoCAD Mechanical automatically assigns a drafting standard to the drawing.

If you open an AutoCAD drawing or create a drawing using an AutoCAD template (.dwt), AutoCAD Mechanical assigns the most appropriate standard for the drawing (see also the following discussion “making standard overrides and custom standards available for other drawings”). You can change the drafting standard easily.

Settings controlled by the drafting standard

The drafting standard controls the following elements of the standard:

    • Mechanical layer settings.
    • Mechanical object mappings to layers.
    • Mechanical object property settings.
    • Text heights and colors.
    • Projection settings for use with Power View.
    • Dimension styles.
    • Hole chart settings and formats.
    • Centerline format.
    • Section line format.
    • Threadline format.
    • Note text and leader formats.
    • Symbology formats.
    • Bill of Materials (BOM), parts list and balloon formats.

Overriding elements of the standard

You can override any of the standard-dependent settings. The program saves overrides with the standard. If you change to a different standard, the elements of the new standard become active. If you change standards in the middle of a drawing session, the drawing objects that exist in the drawing do not reflect the change. Only new objects follow the newly selected standard. If you change back to the original standard, the settings that were in force previously become active again.

Note If you change standards in the middle of a drawing session and then override an element of the standard, the overrides apply only to the objects you create after you change the standard For example, you can create a note while the standard is ISO, then change the standard to DIN. If you then override the text color settings for notes, only the notes you created after you changed to DIN reflect that change. Notes you created under ISO keep their original colors.

Custom standards and their significance

When you override an element of a standard, AutoCAD Mechanical validates the overrides and sometimes, prevents you from creating settings that violate the standard. To work around the validation process, create a custom standard and select it as the current drafting standard.

For example, the ANSI standard limits your choices for text height to 0.1, 0.12 and 0.24. To use a different text height, create a custom standard based on the ANSI standard. The custom standard enables you to change the text height to any value. All other settings comply with the ANSI standard.

Making standard overrides and custom standards available for other drawings

To make a custom standard or standard overrides available for future drawings, save them in a template drawing (.dwt) and use it to create new drawings. If you set this template as the default template, whenever you open an AutoCAD drawing or create a drawing based on an AutoCAD template, the standard-dependent settings from the default template apply to the drawing. If there is a unit mismatch between the default template and the AutoCAD drawing/template, AutoCAD Mechanical behaves as though no default template is set. If no default template is set, AutoCAD Mechanical assigns either the ANSI standard (for imperial drawings) or the ISO standard (for metric drawings).

You can import settings from an AutoCAD Mechanical drawing that is configured already. Use the Import button on the AM:Preferences tab in the Options dialog box. You can also import settings from a template drawing (.dwt) with the AMSETUPDWG command. Importing settings in the middle of a drawing session is like changing the drafting standard or changing the elements of a standard in the middle of a drawing session.


Selecting a drafting standard (Procedure)

Design cam profiles
Selecting a drafting standard
Selecting a drafting standard
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the current drafting standard

To configure elements of the drafting standard

To create a custom drafting standard

To import all standards from a drawing.


Selecting a drafting standard (Quick Reference)

Design cam profiles
Selecting a drafting standard
Selecting a drafting standard
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG

AMSYMSCALE System Variable

AM:Standards tab of the Options dialog box

Standard Settings dialog box


To change the current drafting standard (Procedure)

Selecting a drafting standard
Selecting a drafting standard
Selecting a drafting standard
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the current drafting standard

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. From the Standards list, select a new standard. Then choose OK.
NoteNone of the drawing objects that exist at the time the standard is switched are affected. Only the new objects you draw follow the standard you switched to.


To configure elements of the drafting standard (Procedure)

Selecting a drafting standard
Selecting a drafting standard
Selecting a drafting standard
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure elements of the drafting standard

The AM:Standards tab of the Options dialog box contains a list of features that are controlled by the drafting standard, which are referred to as elements of the standard. Examples of such elements are drawing sheet formats, dimension styles, symbol formats, and so on. You can override the default settings of an element as follows:

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click the entry you want to change. The corresponding settings dialog box appears.
  4. Make the necessary overrides and click OK until all dialog boxes close.
NoteOverrides are applied only to the objects created under the current drafting standard. For example, if you created a note while the standard was set to ISO, and then switched the standard to DIN, and you then override the text color settings for notes, only the notes created after you switched to DIN are affected. The note you created under ISO does not change color.


To create a custom drafting standard (Procedure)

Selecting a drafting standard
Selecting a drafting standard
Selecting a drafting standard
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a custom drafting standard

Instead of overriding any of the drafting standards supplied with AutoCAD Mechanical, you can create a custom standard, based on a supplied standard. Additionally, by creating a custom standard you can work around the validation mechanism that prevents you from creating some settings that violate the standard. For example, if you are using the ANSI standard, your choices for text height are limited to 0.1, 0.12 and 0.24. No such restrictions are imposed on custom standards. To create a custom drafting standard:

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard box, type a name for your own standard, and press ENTER. The selection dialog box appears.
  4. From the drop-down list box, select a standard to use as a base standard.
  5. Click OK until all dialog boxes close.
NoteOnce the custom drafting standard is created, you configure the elements of the standard and then save as a .dwt file for future use.


To import all standards from a drawing. (Procedure)

Selecting a drafting standard
Selecting a drafting standard
Configure Automatic Property Management
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import all standards from a drawing.

  1. Click [image] [image] Drawing Utilities [image] Setup Drawing.
  2. In the Drawing Setup dialog box, click Overwrite Settings.
  3. At the command prompt enter T and press ENTER for the Drawing Template option.
  4. At the command prompt enter B and press ENTER.
  5. In the Select Template Drawing dialog box, select the file to import the standard from and click Open.
    NoteTo import from a .dwg file, you must first save it as a .dwt file and then import from the dwt file.

    AMSETUPDWG replaces the standards in the current drawing with the standards of the file you are importing from.


Selecting a drafting standard (Quick Reference)

Selecting a drafting standard
Selecting a drafting standard
Selecting a drafting standard
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG

Imports the drafting standards and the dependent settings from a template file

Ribbon: None tab [image] None panel [image] Setup Drawing. Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Setup Drawing Does not exist in the menus.
Command entry: amsetupdwg

You can use this command in the middle of a drawing session to replace the existing drawing template by another template. You can import entire standards, selectively or importing subsets of settings.

You can also use this command to clean up a drawing created using Genius 14. Typically, this option repairs or removes object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

COMMAND LINE OPTIONS

Select a source [drawing Template/confiGuration/Clean/Wizard] <Wizard>: Select an option.

Drawing Template

Replaces the standard settings in the current drawing with the settings of a drawing file you select.

Enter template file path [Browse] <<Last used template file>>: Specify the path to the file you want to import settings from or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the file to import settings from.

Configuration

Imports settings using an import configuration file. The import configuration file specifies what drawing to import from and the import options to use.

Enter configuration file path [Browse] <<Last used configuration file>>: Specify the path to the configuration file or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the configuration file.

Clean

Cleans up a drawing created using Genius 14. For example, this option repairs or remove object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

Wizard

Displays a wizard to walk you through the process of specifying import options.

NoteRunning the AMSETUPDWG command in the middle of a drawing session, and choosing another drawing template, might not fully convert the current drawing so that it appears as if it was created with the new template from the beginning.


Selecting a drafting standard (Quick Reference)

Selecting a drafting standard
Selecting a drafting standard
Selecting a drafting standard
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSYMSCALE System Variable

Controls the scale to be used for text and symbols for the drawing in model space.

Type: | Real
Initial value: | 1
Possible values: | Only positive numbers are allowed.


Selecting a drafting standard (Quick Reference)

Selecting a drafting standard
Selecting a drafting standard
Selecting a drafting standard
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AM:Standards tab of the Options dialog box

Use this dialog box to set preferences that are typically governed by a drafting standard.

Standard

Standard

Specifies the drafting standard to be used in the drawing.

If you switch the standard, settings for all elements of the standard change accordingly. However, none of the existing drawing objects are affected. Only the new objects you draw follow the new standard.

To create a custom standard (user-defined standard), type a name for the standard in this box and press ENTER.

Apply new settings to layers when standard is created or changed

Controls if Layer and Object settings change (along with the settings for other elements of the standard) if the standard is switched.

Measurement

Sets the units of measurement to be used in the current drawing.

If you change the units, you are prompted to confirm if the system should perform text scaling. No length scaling is performed.

Model Scale

Sets the scale to be used for text and symbols for the drawing in model space.

Use 1:1 Scale in Layout

Specifies that a 1:1 scale is used in layout, irrespective of the scale selected for model space.

.

Use Selected Scale in Layout

Specifies that the model space scale is used in layout as well.

Default standards template

Specifies the template the system picks the standard settings from, in case you open an AutoCAD Drawing (as opposed to an AutoCAD Mechanical drawing) or if you choose to create a drawing without using a template.

Note
  1. Only standard dependent settings come from the default template.
  2. If there is a unit mismatch between the default template and the AutoCAD drawing you are opening, the default template setting is ignored and the system behaves as though no default template is specified.
  3. If you are creating a drawing without a template and the units you selected do not match the default template units, the default template setting is ignored and the system behaves as though no default template is specified.
  4. If no default template is specified, the system automatically selects the most appropriate standard based on the type of units in the drawing you are opening.

Standard Elements

Displays a list of elements of the standard in the form of a tree.

They root of the tree shows the current drafting standard. Double-click the root to display a dialog box containing the master settings for the standard. Double-click an element to display its properties dialog box. From this dialog box, you can override the default settings as well as the settings inherited from the master settings.

Overrides are applied only to the objects created under the current drafting standard. For example, if you created a note while the standard was set to ISO, and then switched the standard to DIN, and you then override the text color settings for notes, only the notes created after you switched to DIN are affected. The note you created under ISO does not change color.

TipTo find out what standard an object was created under, display the properties of that object.

For some items such as Feature Control Frames, more than one revision of a standard is available. Right click the revision you want to make active and select Set Current. If Set Current is not available, select Insert Standard

Setup Drawing

Starts a wizard that enables you to import the settings for the elements of the standard, from an AutoCAD Mechanical drawing or drawing template.

Right-click menu items

Remove

Makes the selected item unavailable for implementation. For example, if you remove notes, and later on if you invoke the AMNOTE command, a message appears to inform you that the feature is unavailable for the selected standard.

Properties

Displays a dialog box containing the properties for the selected item. This dialog box is used to override the default settings for this item.

Default

Removes all overrides for the selected item and resets its properties to the default settings.

Insert standard

Inserts an item that was removed previously. If the item contained overrides before removal, they are not available when you reinsert the item.


Selecting a drafting standard (Quick Reference)

Selecting a drafting standard
Selecting a drafting standard
What is Automatic Property Management?
Configuration and setup guide >
Selecting a drafting standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Automatic Property Management

Selecting a drafting standard
Configuration and setup guide
What is Automatic Property Management?
Configuration and setup guide >
Configure Automatic Property Management
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • What is Automatic Property Management?
  • Predefine object properties
  • Assign layers to objects


Configure Automatic Property Management (Procedure)

Selecting a drafting standard
Configure Automatic Property Management
What is Automatic Property Management?
Configuration and setup guide >
Configure Automatic Property Management
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Turn Off Automatic Property Management

To Turn On Automatic Property Management

To predefine the linetype of a mechanical object

To Predefine the Lineweight of a Mechanical Object

To Predefine the Color of a Mechanical Object

To Specify how an Object Behaves in a Hide Situation

To assign a layer to a mechanical object

To Rename a Mechanical Layer

To Specify a Description for a Mechanical Layer

To change properties of a mechanical layer


What is Automatic Property Management? (Concept)

Configure Automatic Property Management
Configure Automatic Property Management
Predefine object properties
Configuration and setup guide > Configure Automatic Property Management >
What is Automatic Property Management?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Automatic Property Management refers to the process where every AutoCAD Mechanical command checks a group of settings known as the Object Property Settings and honors them during execution. This enables each command to be “aware” of the other commands and intelligently react to objects in the drawing area. This process is best illustrated using an example.

Example to illustrate Automatic Property Management

The AMCONSTLINES command draws construction lines. While drawing, this command checks Object Property Settings and automatically sets the line type, line weight and line color properties of construction lines to that predefined in Object Property Settings. Additionally, the command draws the construction lines on the layer pre-defined in Object Property Settings. No matter what layer is current the AMCONSTLINE command always draws construction lines on the pre-defined layer. If the layer doesn't exist, the command automatically creates the layer.

The AMCLINEO commands toggles the visibility of construction lines. The command checks Object Property Settings to determine what layer contains construction lines, and then turns on or turns off the layer as appropriate.

The AMSHIDE command converts lines/line segments overlapped by other objects into hidden lines. When you select objects for the background, AMSHIDE checks the background objects against Object Property Settings to determine how the line should behave in a hide situation. Hence, if you select construction lines, AMSHIDE ignores them and refrains from converting them into hidden lines. This gives AMSHIDE the ability to intelligently hide appropriate objects only.

Conclusion

Automatic Property Management / Object Property Settings is central to the intelligence behind AutoCAD Mechanical commands. Each command has its own unique logic of dealing with Object Property Settings. If you turn off Automatic Property Management, these commands stop checking Object Property Settings and hence looses the intelligence built around Object Property Settings.

If Automatic Property Management becomes intrusive, do not turn off Automatic Property Mechanism. Instead, we recommend that you customize Object Property Settings to suit your particular requirements.


What is Automatic Property Management? (Procedure)

Configure Automatic Property Management
Up a level to ..
What is Automatic Property Management?
Configuration and setup guide > Configure Automatic Property Management >
What is Automatic Property Management?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Turn Off Automatic Property Management

To Turn On Automatic Property Management


To Turn Off Automatic Property Management (Procedure)

What is Automatic Property Management?
Up a level to ..
What is Automatic Property Management?
Configuration and setup guide > Configure Automatic Property Management >
What is Automatic Property Management?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Turn Off Automatic Property Management

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the name of the Standard (the root node of the tree). The Standard Settings dialog box appears.
  4. Clear the Let AutoCAD Mechanical manage object properties check box.
  5. Dismiss the warning message that appears.
  6. Click OK until all dialog boxes close.


To Turn On Automatic Property Management (Procedure)

What is Automatic Property Management?
Up a level to ..
Predefine object properties
Configuration and setup guide > Configure Automatic Property Management >
What is Automatic Property Management?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Turn On Automatic Property Management

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the name of the Standard (the root node of the tree). The Standard Settings dialog box appears.
  4. Select the Let AutoCAD Mechanical manage object properties check box.
  5. Click OK until all dialog boxes close.


What is Automatic Property Management? (Quick Reference)

Selecting a drafting standard
What is Automatic Property Management?
Predefine object properties
Configuration and setup guide > Configure Automatic Property Management >
What is Automatic Property Management?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Predefine object properties (Concept)

What is Automatic Property Management?
Configure Automatic Property Management
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Predefine object properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In the Object Property Settings dialog box, you can predefine the properties of objects that AutoCAD Mechanical commands create. Some AutoCAD Mechanical commands create basic objects, while other commands create compound objects, which consist of several basic objects.

For example, the AMTEXT5 command creates text, which is a basic object. The AMBALLOON command creates balloons, which are compound objects that consists of three basic objects, text, leaders and balloon geometry.

In the Object Property Settings dialog box, you can predefine properties for both compound objects and basic objects. Compound objects are shown in a tree with the constituent basic objects listed under them, When you select an object, the preview panel in the dialog box highlights the corresponding geometry of a sample drawn, to provide you with a graphical example of how the object is used. You can pre-define properties for each object as appropriate.

Basic objects often are used in several compound objects. For example, the leader object is used in balloons as well as mechanical symbols. Hence if you change a property of the leader (the line color for example), both balloons and mechanical symbols are affected.

Not all property settings can be modified for one or more of the following reasons:

  • It doesn’t make sense to change the property. For example, the Usage in Hide property for text is permanently set to “Ignore in Hide”.
  • The property does not apply to the selected object - For example, the linetype for balloons is set by setting the linetypes of the leader, text, and balloon geometry separately. You do not set the linetype directly for the balloon object.
  • For technical reasons -a command may require that a particular property must be fixed to a predetermined value.

Usually, when you set a layer for an object, that object always gets created on that layer. However text does not follow this rule when it is part of a compound object. Text is always created on the layer of the compound object. The layer setting for text is used only to derive properties that have been set to “By Layer”.


Predefine object properties (Procedure)

What is Automatic Property Management?
Up a level to ..
Predefine object properties
Configuration and setup guide > Configure Automatic Property Management >
Predefine object properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To predefine the linetype of a mechanical object

To Predefine the Lineweight of a Mechanical Object

To Predefine the Color of a Mechanical Object

To Specify how an Object Behaves in a Hide Situation


To predefine the linetype of a mechanical object (Procedure)

Predefine object properties
Up a level to ..
Predefine object properties
Configuration and setup guide > Configure Automatic Property Management >
Predefine object properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To predefine the linetype of a mechanical object

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. In the Object properties section, click Settings. The Object Property Settings dialog box appears.
    NoteThe Settings button is available only if the Let AutoCAD Mechanical manage object properties check box is selected.
  5. In the Category list, select the category corresponding to the object you want to modify.
    NoteThe Object you want to modify may be listed in more than one category.
  6. In the row corresponding to the object you want to modify, click in the Linetype column. A drop-down list appears.
  7. Select the desired linetype.

    If other objects use the object you are modifying, a message appears showing the categories of the affected objects. Click Change Property.

  8. Click OK until all dialog boxes close.


To Predefine the Lineweight of a Mechanical Object (Procedure)

Predefine object properties
Up a level to ..
Predefine object properties
Configuration and setup guide > Configure Automatic Property Management >
Predefine object properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Predefine the Lineweight of a Mechanical Object

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. In the Object properties section, click Settings. The Object Property Settings dialog box appears.
    NoteThe Settings button is available only if the Let AutoCAD Mechanical manage object properties check box is selected.
  5. In the Category list, select the category corresponding to the object you want to modify.
    NoteThe Object you want to modify may be listed in more than one category.
  6. In the row corresponding to the object you want to modify, click in the Lineweight column. A drop-down list appears.
  7. Select the desired lineweight.

    If other objects use the object you are modifying, a message appears showing the categories of the affected objects. Click Change Property.

  8. Click OK until all dialog boxes close.


To Predefine the Color of a Mechanical Object (Procedure)

Predefine object properties
Up a level to ..
Predefine object properties
Configuration and setup guide > Configure Automatic Property Management >
Predefine object properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Predefine the Color of a Mechanical Object

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. In the Object properties section, click Settings. The Object Property Settings dialog box appears.
    NoteThe Settings button is available only if the Let AutoCAD Mechanical manage object properties check box is selected.
  5. In the Category list, select the category corresponding to the object you want to modify.
    NoteThe Object you want to modify may be listed in more than one category.
  6. In the row corresponding to the object you want to modify, click in the color column. The Select Color dialog box appears.
  7. Select the desired color.
    • To enable the object to acquire the color from the layer it uses, click ByLayer.
    • To enable the object to acquire the color from a block it is part of, click ByBlock.
    • To select an explicit color, click the desired color.

    If other objects use the object you are modifying, a message appears showing the categories of the affected objects. Click Change Property.

  8. Click OK until all dialog boxes close.


To Specify how an Object Behaves in a Hide Situation (Procedure)

Predefine object properties
Up a level to ..
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Predefine object properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Specify how an Object Behaves in a Hide Situation

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. In the Object properties section, click Settings. The Object Property Settings dialog box appears.
    NoteThe Settings button is available only if the Let AutoCAD Mechanical manage object properties check box is selected.
  5. In the Category list, select the category corresponding to the object you want to modify.
    NoteThe Object you want to modify may be listed in more than one category.
  6. In the row corresponding to the object you want to modify, click in the Usage in hide column. A drop-down list appears.
  7. Select the desired behavior.
    • To specify that an object is valid only as a foreground entity, select Foreground only.
    • To specify that an object is valid only as a background entity, select Background only.
    • To specify that the object is neither a valid foreground nor background entity, select Ignore in hide.
    • To specify that the object is valid both as foreground and background entities, select Accept in hide.

    If other objects use the object you are modifying, a message appears showing the categories of the affected objects. Click Change Property.

  8. Click OK until all dialog boxes close.


Predefine object properties (Quick Reference)

What is Automatic Property Management?
Predefine object properties
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Predefine object properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Object Property Settings dialog box

Use this dialog box to pre-configure properties for Objects created by AutoCAD Mechanical commands.

NoteWe recommend that you modify these settings before you start drawing. If you change the settings in the middle of a drawing session, the objects that you have already drawn may not update. This is because drawing integrity takes precedence over conversion of existing objects.

Category

Contains a list of categories that group objects in a logical order. Click on a category to list objects that belong to that category.

Show properties for

Displays a list of properties for the objects that belong to that category. Depending on whether AutoCAD Mechanical commands depend on a property being fixed to a predefined value, you may not be able to modify properties for some objects.

When you select an object in the list, the preview highlights the object you selected on a sample drawing.

Object

Displays a list of objects that belong to that category. When grouped by objects, compound objects (objects that are made up of other objects) as the root of a tree and the constituent objects, as children.

Layer

Specifies the layer that the object must be created on. When grouped by objects, clicking in this column displays a dialog box that enables you to select existing layers and layer definitions or create a new layer definition, if necessary.

NoteWhen a text object is part of a compound object, the text object is always created on the layer assigned to the parent object. The layer corresponding to the text object is used only to obtain values for the properties set to “By Layer”.

Color

Specifies the line color for the object. Clicking the color icon displays a dialog box that enables you to select a color for the object.

Linetype

Specifies the line type for the object. Clicking in the column displays a list containing the line types that can be applied to the object.

Lineweight

Changes master setting for object lineweight. Clicking in the column displays a list containing the line weights that can be applied to the object.

Usage in hide

Controls behavior of the object, when in a hide situation. Clicking in the column toggles displays a list containing the options applicable to the object.

Group by

Controls how objects are visually represented in the Show properties for list.

If you group by objects, the list emphasizes the hierarchical relationship between objects. The list shows compound objects (objects that are made up of other objects) as the root of a tree and the constituent objects, as children.

If you group by layers, the list emphasizes the objects that share the same layer. This option is useful to quickly specify a linetype, lineweight, and color for a layer, without having to invoke the AMLAYER command.

Preview

Displays a sample drawing to illustrate the object selected in the Show properties for list.

Highlight all categories that use the selected object

Highlights categories in the Category list, which use the selected object. This option is useful to quickly check what other categories are affected if you change the properties of the selected object.

Import button

Launches the Open dialog box to select and import a complete setting for layers and object properties from any of the following file types:

  • Drawing file (.dwg): Genius 14 and AutoCAD Mechanical files.
  • Template drawing (.dwt): AutoCAD Mechanical template files.
  • Configuration file (.cfg): Genius 13, Genius 14, or AutoCAD Mechanical configuration files

Restore Defaults

Returns all settings to their default values.

NoteThe default settings for a light background drawing differs from the default settings for a black background.


Assign layers to objects (Concept)

Predefine object properties
Configure Automatic Property Management
Configure text height and color
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Within the Object Property Settings dialog box, you can specify what layer the object must be created on. When Automatic Property Management is enabled, AutoCAD Mechanical commands honor this setting and always create objects on the pre-assigned layer. If the layer does not exist, AutoCAD Mechanical commands creates the layer on the fly. Layers that are created by AutoCAD Mechanical commands in this manner are referred to as mechanical layers.

Because mechanical layers are created on the fly, AutoCAD Mechanical provides the ability to pre-define mechanical layers and their properties with the help of an entity that is referred to as a layer definition. Similar to how a block definition is used by AutoCAD commands to create instances of blocks, AutoCAD Mechanical commands use the layer definition to create layers on the fly. All mechanical layers have a corresponding definition.

You use the AMLAYER command to specify properties for layer definitions, similar to how you use the LAYER command to specify properties for layers.

AutoCAD Mechanical ships with several predefined mechanical layers. Some layers are shared among several objects while other layers are exclusive to particular objects. The default layer assignments have been tried and tested for optimum use over several releases of AutoCAD Mechanical. However, you may need to change these assignments to satisfy company standards or customer requirements.

There are two ways by which you can customize layer assignments. You can rename the existing layers to reflect the company standards or create your own set of mechanical layers and assign them to objects. However, when assigning your layers, we advice you to exert caution when sharing layers with different objects.

For example, if you share a single layer with construction lines and hatches, every time you turn off construction lines, the hatches also hide. In order to avoid such issues, we recommend that you do not share layers among objects. If you have a compelling reason to share layers, use the default layer assignment as a guideline for objects that must go together.

The layers that standard parts and features are created on, by default, depend on the context that they are inserted in the drawing. AutoCAD Mechanical uses a complex algorithm to select the layer. However, you can stop AutoCAD Mechanical from selecting standard parts automatically and specify that they be created on a preassigned mechanical layer(s). Alternatively, you can specify that AutoCAD Mechanical should create standard parts on the current layer. If so, AutoCAD Mechanical commands always creates standard parts and features on the current layer. The responsibility of changing to the appropriate layer then becomes yours. Consequently, commands that depend on objects being drawn on specific layers may not work as expected. We recommend that you leave this setting at its default value; Auto.


Assign layers to objects (Procedure)

Predefine object properties
Up a level to ..
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To assign a layer to a mechanical object

To Rename a Mechanical Layer

To Specify a Description for a Mechanical Layer

To change properties of a mechanical layer


Assign layers to objects (Quick Reference)

Predefine object properties
Assign layers to objects
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Object Property Settings dialog box

Select Layer dialog box

Default layer assignments to objects


To assign a layer to a mechanical object (Procedure)

Assign layers to objects
Up a level to ..
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To assign a layer to a mechanical object

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. In the Object properties section, click Settings. The Object Property Settings dialog box appears.
    NoteThe Settings button is available only if the Let AutoCAD Mechanical manage object properties check box is selected.
  5. In the Category list, select the category corresponding to the object you want to modify.
    NoteThe Object you want to modify may be listed in more than one category.
  6. In the row corresponding to the object you want to modify, click in the Layer column. The Select Layer dialog box appears.
  7. Select a layer.
    • To select an existing layer or layer definition, select it and click OK.
    • To create a layer definition and assign it to the object:
      1. Click [image] .
      2. In the Name column, specify a name for the new layer definition.
      3. Click OK.

    If other objects use the object you are modifying, a message showing other affected objects appears. Click Change Property.

  8. Click OK until all dialog boxes close.


To Rename a Mechanical Layer (Procedure)

Assign layers to objects
Up a level to ..
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Rename a Mechanical Layer

  1. Click None [image] None [image] At the Command prompt, enter AMLAYER.
  2. In the row corresponding to the mechanical layer or layer definition you want to modify, click in the Name column.
  3. Specify a new name for the layer.
  4. Click OK.


To Specify a Description for a Mechanical Layer (Procedure)

Assign layers to objects
Up a level to ..
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Specify a Description for a Mechanical Layer

  1. Click None [image] None [image] At the Command prompt, enter AMLAYER.
  2. In the row corresponding to the mechanical layer or layer definition you want to modify, click in the Description column.
  3. Specify the description.
  4. Click OK.


To change properties of a mechanical layer (Procedure)

Assign layers to objects
Up a level to ..
Configure text height and color
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change properties of a mechanical layer

  1. Click None [image] None [image] At the Command prompt, enter AMLAYER.
  2. In the row containing the layer to modify:
    • To change the layer name: Click in the name column, type the new name, and then press ENTER.
    • To change the layer color: Click the layer color icon, select a color from the dialog box that appears, and then click OK.
    • To change the layer Linetype: Click Linetype and select a linetype from the drop-down list.
    • To change the layer Lineweight: Click Lineweight and select a lineweight from the drop-down list.
    • To toggle the ability to plot the layer: Click in the Plot column to toggle between the Plot and Do not plot icons.
    • To allow or disallow replication in layer groups: Click in the Replicate in Layergroup column. A tick in the column indicates that the feature is allowed.
    • To allow or disallow the layer group color to override the layer color: Click in the Override color by layer group column. A tick in the column indicates that the feature is allowed.
    • To change the description: Click in the Description column, type the description, and then press ENTER.
  3. Click OK until all dialog boxes close.


Assign layers to objects (Quick Reference)

Assign layers to objects
Assign layers to objects
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Object Property Settings dialog box

Use this dialog box to pre-configure properties for Objects created by AutoCAD Mechanical commands.

NoteWe recommend that you modify these settings before you start drawing. If you change the settings in the middle of a drawing session, the objects that you have already drawn may not update. This is because drawing integrity takes precedence over conversion of existing objects.

Category

Contains a list of categories that group objects in a logical order. Click on a category to list objects that belong to that category.

Show properties for

Displays a list of properties for the objects that belong to that category. Depending on whether AutoCAD Mechanical commands depend on a property being fixed to a predefined value, you may not be able to modify properties for some objects.

When you select an object in the list, the preview highlights the object you selected on a sample drawing.

Object

Displays a list of objects that belong to that category. When grouped by objects, compound objects (objects that are made up of other objects) as the root of a tree and the constituent objects, as children.

Layer

Specifies the layer that the object must be created on. When grouped by objects, clicking in this column displays a dialog box that enables you to select existing layers and layer definitions or create a new layer definition, if necessary.

NoteWhen a text object is part of a compound object, the text object is always created on the layer assigned to the parent object. The layer corresponding to the text object is used only to obtain values for the properties set to “By Layer”.

Color

Specifies the line color for the object. Clicking the color icon displays a dialog box that enables you to select a color for the object.

Linetype

Specifies the line type for the object. Clicking in the column displays a list containing the line types that can be applied to the object.

Lineweight

Changes master setting for object lineweight. Clicking in the column displays a list containing the line weights that can be applied to the object.

Usage in hide

Controls behavior of the object, when in a hide situation. Clicking in the column toggles displays a list containing the options applicable to the object.

Group by

Controls how objects are visually represented in the Show properties for list.

If you group by objects, the list emphasizes the hierarchical relationship between objects. The list shows compound objects (objects that are made up of other objects) as the root of a tree and the constituent objects, as children.

If you group by layers, the list emphasizes the objects that share the same layer. This option is useful to quickly specify a linetype, lineweight, and color for a layer, without having to invoke the AMLAYER command.

Preview

Displays a sample drawing to illustrate the object selected in the Show properties for list.

Highlight all categories that use the selected object

Highlights categories in the Category list, which use the selected object. This option is useful to quickly check what other categories are affected if you change the properties of the selected object.

Import button

Launches the Open dialog box to select and import a complete setting for layers and object properties from any of the following file types:

  • Drawing file (.dwg): Genius 14 and AutoCAD Mechanical files.
  • Template drawing (.dwt): AutoCAD Mechanical template files.
  • Configuration file (.cfg): Genius 13, Genius 14, or AutoCAD Mechanical configuration files

Restore Defaults

Returns all settings to their default values.

NoteThe default settings for a light background drawing differs from the default settings for a black background.


Assign layers to objects (Quick Reference)

Assign layers to objects
Assign layers to objects
Assign layers to objects
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select Layer dialog box

Use this dialog box to assign an existing layer or mechanical layer definition to an object. You can also use this dialog box to create a new mechanical layer definition and assign it to the object.

Creates a new mechanical layer definition. You can name it as soon as it is created.
Deletes the selected layer or layer definition.
List of layers/layer definitions
 | Status - Indicates that the row corresponds to a mechanical layer or mechanical layer definition. - Indicates that the row corresponds to a mechanical layer that does not get replicated when a Layergroup is created with the AMLAYERGROUP command. - Indicates that the row corresponds to an AutoCAD layer.
 | Name Displays the name of the layer or layer definition. Clicking in this column enables you to rename the layer or layer definition.
 | Associated objects Contains the names of the objects that use the layer. This is applicable only to mechanical layers.
 | Description Displays an optional description for the layer or layer definition. You must use the AMLAYER command to specify the description.


Assign layers to objects (Quick Reference)

Assign layers to objects
Assign layers to objects
Configure text height and color
Configuration and setup guide > Configure Automatic Property Management >
Assign layers to objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Default layer assignments to objects

Mechanical Layers for Hidden Lines
1 | Behind | AM_9
2 | Behind (extra) | AM_INV
3 | Hidden Line, Narrow | AM_3
4 | Hidden Line | AM_3
5 | Standard Parts: Behind | AM_9N
6 | Standard Parts: Hidden Line, Narrow | AM_3N
7 | Standard Parts: Hidden Line | AM_3N
Mechanical Layers for Title Block / Border
1 | Drawing Border Thin Objects | AM_BOR
2 | Drawing Border Objects | AM_BOR
3 | Drawing Border Thick Objects | AM_BOR
4 | Title Block Thin Objects | AM_BOR
5 | Title Block Objects | AM_BOR
6 | Title Block Thick Objects | AM_BOR
Mechanical Layers for Calculation
1 | Calculation Symbols | AM_5
2 | Calculation Thick Objects | AM_4
3 | Calculation Thin Objects | AM_4
4 | Calculation Very Thick Objects | AM_4
5 | FEA: Deformation Mesh | AM_2
6 | FEA: Mesh | AM_8
7 | FEA: Number of Points | AM_8
8 | FEA: Stress | AM_11
9 | FEA: Text for Stress | AM_11
10 | FEA: Text for Deformation | AM_2
Mechanical Layers for Drafting
1 | Auxiliary Line | AM_4
2 | Break Line Long (Zig Zag) | AM_4
3 | Break Line Short | AM_4
4 | Break Out Line | AM_4
5 | Centerline | AM_7
6 | Centerline, Narrow | AM_7
7 | Construction Line | AM_CL
8 | Contour 1 | AM_0
9 | Contour 2 | AM_1
10 | Contour 3 | AM_2
11 | Detail Enlargement Border | AM_4
12 | Diagonal Cross for Planes | AM_5
13 | Hatch | AM_8
14 | Hidden Line | AM_3
15 | Hidden Line, Narrow | AM_3
16 | Hole Circle | AM_7
17 | Hole Circle, Narrow | AM_7
18 | Section/Viewing Plane Line | AM_10
19 | Standard Parts: Centerline | AM_7N
20 | Standard Parts: Centerline Narrow | AM_7N
21 | Standard Parts: Contour 1 | AM_0N
22 | Standard Parts: Contour 2 | AM_1N
23 | Standard Parts: Contour 3 | AM_2N
24 | Standard Parts: Contour 4 | AM_2N
25 | Standard Parts: Hatch | AM_8N
26 | Standard Parts: Hidden Line | AM_3N
27 | Standard Parts: Hidden Line, Narrow | AM_3N
28 | Standard Parts: Phantom | AM_11N
29 | Standard Parts: Section/Viewing Plane Line | AM_10N
30 | Standard Parts: Thread Contour | AM_0N
31 | Standard Parts: Thread End at Usable Length | AM_0N
32 | Standard Parts: Thread Line | AM_4N
33 | Thread Contour | AM_0
34 | Thread End at Usable Length | AM_0
35 | Thread Line | AM_4
36 | Trailing Line | AM_TR
37 | Transition Line | AM_4
Mechanical Layers for Dimensioning
1 | Dimension Line | AM_5
2 | Standard Parts: Dimension Line | AM_5N
3 | Text Small | AM_6
4 | Text Medium | AM_6
Mechanical Layers for BOM / Symbols
1 | Balloon Geometry | AM_5
2 | Leader | AM_5
3 | Standard Parts: Leader | AM_5N
4 | Mechanical Symbols | AM_5
5 | Parts List Cell Lines | AM_BOR
6 | Parts List Grip Frame | AM_BOR
7 | Parts List Outer Frame | AM_BOR
8 | Part Reference | AM_PAREF
Mechanical Layers for Standard Parts
1 | Standard Parts: Behind | AM_9N
2 | Standard Parts: Contour 1 | AM_0N
3 | Standard Parts: Contour 2 | AM_1N
4 | Standard Parts: Contour 3 | AM_2N
5 | Standard Parts: Contour 4 | AM_2N
6 | Standard Parts: Centerline | AM_7N
7 | Standard Parts: Centerline Narrow | AM_7N
8 | Standard Parts: Dimension Line | AM_5N
9 | Standard Parts: Hatch | AM_8N
10 | Standard Parts: Hidden Line, Narrow | AM_3N
11 | Standard Parts: Hidden Line | AM_3N
12 | Standard Parts: Leader | AM_5N
13 | Standard Parts: Non-plottable Objects | AM_12N
14 | Standard Parts: Phantom | AM_11N
15 | Standard Parts: Thread Contour | AM_0N
16 | Standard Parts: Thread Line | AM_4N
17 | Standard Parts: Thread End at Usable Length | AM_0N
18 | Standard Parts: Section/Viewing Plane Line | AM_10N
Mechanical Layers for Text
1 | Text Large | AM_6
2 | Text Medium | AM_6
3 | Text Small | AM_6
4 | Text Very Large | AM_6
5 | Text Very Small | AM_6
Mechanical Layers for Non-plottable Objects
1 | Non-plottable Objects | AM_12
2 | Part Reference | AM_PAREF
3 | Standard Parts: Non-plottable Objects | AM_12N
4 | Viewport | AM_VIEWS


Configure text height and color (Concept)

Assign layers to objects
Configuration and setup guide
Configure Leaders
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) to enable you to specify their default properties. These settings are the master settings. By default, the text and leader settings for all annotations (elements of the standard) derive from the master settings. If you change the master settings, the corresponding settings in each of the elements of the standard change. To prevent specific elements from following the master settings, override the text settings for that element.

How the master setting for text height applies across annotations

The master setting for text height is the base height for text. By default, the text height setting for all elements of the standard is set to “By NameOfCurrentDraftingStandard.”

Annotations such as symbols that have their text height set to “By NameOfCurrentDraftingStandard” use the base height value. Annotations such as section line labels, detail view labels, balloons, and annotation view labels use a text height one size larger than the base height. This “size up” behavior enforces the rule that the text heights for labels are larger than symbol text.

The drafting standard validates any changes made to the text setting, preventing you from changing the text style or specifying non-standard text heights. To work around this validation, use a custom standard or link leader and text settings to a dimension style.

How the master settings for text color apply across annotations

AutoCAD Mechanical classifies text into five categories, based on height. The categories are:

Category | Height range (mm) | Height range (inches)
Text very small | 0 – 2.2 | 0 - 0.0866
Text small | 2.2 – 2.9 | 0.0866 – 0.1142
Text medium | 2.9 – 3.6 | 0.1142 – 0.1417
Text large | 3.6 – 5.1 | 0.1417 – 0.2008
Text very large | > 5.1 | > 0.2008

AutoCAD Mechanical enables you to specify properties such as color, linetype, and lineweight for each category, independently. If you change the text color in the master settings, the standard elements that have their text colors set to “By NameOfCurrentDraftingStandard” automatically use the new color.

If you change the text height in an element of the standard, the text color automatically uses the preset color corresponding to that text height. It does not matter if you have set the color to “By NameOfCurrentDraftingStandard,” if the text height changes, the text color automatically changes.

You cannot override the line weight and line height master settings for text objects.

Control all annotations from master settings

AutoCAD Mechanical enables you to link dimension styles to leader and text settings, making the Standard Settings dialog box a single command center for controlling all annotations. Settings apply to AutoCAD Mechanical-specific annotations as well as dimensions.

To ensure that the leader and text settings control all dimensions, clear the Link to the leader dimension style only check box. When you clear this box, master settings link to the base dimension style. When you modify master settings, dimension substyles follow the changes unless you override the settings in the substyle.

The link to dimension styles is a bi-directional link. When you modify the linked dimension style, the Standard Settings dialog box automatically reacts to the changes.


Configure text height and color (Procedure)

Assign layers to objects
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To create a custom text style

To Link Text and Leader Master Settings to Dimension Styles

To Configure Text Height and Color for Annotation View Labels

To Configure Text Height and Color for Balloons

To Configure Text Height and Color for Detail Views

To configure text height and color for hole charts

To Configure Text Height and Color for Leader Notes

To Configure Text Height and Color for Section Labels

To Configure Text Settings for Parts Lists

To configure text height and color for datum and feature identifier symbols

To configure text height and color for datum target symbols

To configure text height and color for surface texture symbols

To configure text height and color for taper and slope symbols

To configure text height and color for welding symbols

To configure text height and color for feature control frame symbols

To Set the Text Color and Height for Each Dimension Type Separately

To Set the Text Color and Height for all Dimension Types


Configure text height and color (Quick Reference)

Assign layers to objects
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Annotation View Settings dialog box

Balloon Settings dialog box

Detail Symbol dialog box

Hole Chart Settings dialog box

Note Settings dialog box

Section View Settings dialog box

Parts List Settings dialog box

Datum and Feature Identifier Settings dialog box

Datum Target Settings dialog box

Surface Texture Settings dialog box

Taper and Slope Settings dialog box

Welding Settings dialog box

Dimension Settings dialog box

Edit Dimension Style dialog box


To Configure Master Settings for Text Height (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To create a custom text style (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a custom text style

  1. Click None [image] None [image] . At the Command prompt, enter STYLE.
  2. Click New. The New Text Style dialog box is displayed.
  3. In the Style Name box, type the name of the style to create and click OK. You return to the Text Style dialog box.
  4. In the Font Name box, select the font to use.
  5. In the Height box, type 0 (zero).
    NoteAutoCAD Mechanical automatically manipulates text heights. To preserve this behavior, set text heights of custom text styles to 0.
  6. Click Apply.
  7. Click Close.


To Link Text and Leader Master Settings to Dimension Styles (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Link Text and Leader Master Settings to Dimension Styles

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Select the Link to dimension style check box.
  5. To link to the Leader substyle only, select the Link to leader dimension style only check box.
    NoteIf you clear the Link to leader dimension style only check box, the leader and text settings link to the base dimension style. If you modify text or leader settings, all dimension substyles update unless the substyle overrides the setting.
  6. In the Style list, select the dimension style to link to.
  7. Click OK until all dialog boxes close.


To Configure Text Height and Color for Annotation View Labels (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Annotation View Labels

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Annotation View. The Annotation View Settings dialog box appears.
  4. To change the annotation view label text height, in the Height list, select the text height.
    NoteTo derive the text height from the master text settings automatically, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom drafting standard, you can select a text style as well.


To Configure Text Height and Color for Balloons (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Balloons

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. To change the text height, in the Text Section, in the Height list, select the text height.
    NoteTo derive the text height from the master text settings automatically, select the text height marked “By NameOfCurrentDraftingStandard.”
  6. To change the text color, in the Text Section, in the Color list, select the color.
  7. Click OK until all dialog boxes close.


To Configure Text Height and Color for Detail Views (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Detail Views

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Detail View. The Detail Symbol Settings dialog box appears.
  4. To change the detail view label text height, in the Height list, select the text height.
    NoteTo derive the text height from the master text settings automatically, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, click the Text Color button and select a color from the dialog box that appears.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom drafting standard, you can select a text style for the detail view labels.


To configure text height and color for hole charts (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for hole charts

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart settings dialog box appears.
  4. To change the text height of hole chart column labels, in the List of coordinates section, in the Heading text height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text height of hole chart data rows, in the List of coordinates section, in the Data text height list, select the text height.
  6. To change the text height of the origin labels, in the Point and Origin Cartesian section, in the Text height list, select the text height.
  7. To change the text color of hole chart column labels, in the List of coordinates section, in the Heading text color list, select the color.
  8. To change the text color of hole chart data rows, in the List of coordinates section, in the Data text color list, select the color.
  9. To change the text color of the origin labels, in the Point and Origin Cartesian section, in the Text color list, select the color.
  10. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can select a text style for hole chart text.


To Configure Text Height and Color for Leader Notes (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Leader Notes

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Note. The Note Settings dialog box appears.
  4. Click the Leader and Text tab.
  5. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  6. To change the text color, in the Text section, in the Color list, select the color.
  7. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To Configure Text Height and Color for Section Labels (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Section Labels

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Section View. The Section View Settings dialog box appears.
  4. To change the section line and section view label text heights, in the Text section, in the Height list, select the text height.
    NoteTo derive the text height from the master text settings automatically, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list in the Text section, select a color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom drafting standard, you can select a text style for the section line/view labels.


To Configure Text Settings for Parts Lists (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Settings for Parts Lists

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box appears.
  4. In the Parts List tab, click [image] .
  5. To change the text height of part list column captions, in the Text section, below the Header row, from the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  6. To change the text height of the data rows, in the Text section, below the Data row, from the Height list, select the text height.
  7. To change the text color of part list column captions, in the Text section, below the Header row, from the Color list, select the color.
  8. To change the text color of the data rows, in the Text section, below the Data row, from the Color list, select the color.
  9. To specify how text works with columns:
    1. To resize text to fit the column width, in the Text section, in the appropriate Control list, select Fit.
    2. To wrap text into multiple lines, in the Text section, in the appropriate Control list, select Wrap.
  10. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can select a text style for part list text.


To configure text height and color for datum and feature identifier symbols (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for datum and feature identifier symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Datum and Feature Identifier. The Datum and Feature Identifier Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure text height and color for datum target symbols (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for datum target symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Datum Target. The Datum Target Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure text height and color for surface texture symbols (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for surface texture symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Surface Texture. The Surface Texture Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure text height and color for taper and slope symbols (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for taper and slope symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Taper and Slope. The Taper and Slope Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure text height and color for welding symbols (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for welding symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Welding. The Welding Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure text height and color for feature control frame symbols (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for feature control frame symbols

  1. Click None tab [image] None panel. At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Feature Control Frame. The Feature Control Frame Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To Set the Text Color and Height for Each Dimension Type Separately (Procedure)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Text Color and Height for Each Dimension Type Separately

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Edit. The Edit Dimension Styles dialog box appears.
  5. From the tree on the left, select the dimension type to set text color and height for and click Modify.
  6. Click the Text tab.
  7. In the Text color list, select a color for text.
  8. In the Text height box, type the new text height.
  9. Click OK until all dialog boxes close.

NoteIf the text color and height settings of a substyle are not the same as the base dimension style, the text color and height of the substyle do not change.


To Set the Text Color and Height for all Dimension Types (Procedure)

Configure text height and color
Configure text height and color
Configure Leaders
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Text Color and Height for all Dimension Types

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Edit. The Edit Dimension Styles dialog box appears.
  5. From the tree on the left, select the base dimension style and click Modify.
  6. Click the Text tab.
  7. In the Text color list, select a color for text.
  8. In the Text height box, type the new text height.
  9. Click OK until all dialog boxes close.
NoteIf the text color and height settings of a substyle are not the same as the base dimension style, the text color and height of the substyle do not change.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Annotation View Settings dialog box

Use this dialog box to set up the default labels for Annotation views.

Label

Pattern

Defines what the label of the subview should display. You can select a references to the formula from a predefined list of applicable reference by clicking [image] .

Position

Defines the position (relative to the subview) the label is displayed.

Text

Style

Defines the text style to use for labels. This option is available only if the current standard is a custom standard.

Height

Defines the text height of annotation view label. If the current standard is a custom standard, you can set any text height. If not, the system restricts you to values allowed by the drafting standard. You must select a text height from the list. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten (by one size larger than the master text setting).

NoteWhen a text height is selected, the text color automatically changes to the default text object color for that text height. Text object colors are set from the Layer/Objects Settings dialog box (OPTIONS/AMOPTIONS command > AM:Standards tab > Layer/Objects).

Color

Sets the color for annotation view labels.

Restore Defaults

Resets all settings to the default for the current drafting standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Balloon Settings dialog box

Use this dialog box to configure the default settings for balloons.

Revision

Displays the name and the revision of the standard that controls the default settings of balloons.

Balloon

Provides options for setting the appearance for standard based balloons. These options are not available if the balloon style has been set to a custom balloon.

Balloon type

Displays a palette of predefined standard based balloons. The current selection is boxed. Click a balloon to set it as the default.

Balloon size factor

Specifies how many times larger than the balloon text a balloon is.

Horizontal spacing

Sets the horizontal distance (between the centers of two adjacent balloons) that must be maintained when balloons are automatically aligned.

Vertical spacing

Sets the vertical distance (between the centers of two adjacent balloons) that must be maintained when balloons are automatically aligned.

Arrowhead

Sets the arrowhead to be used for the leader termination. A palette containing standard compliant arrows appears to assist you select the desired arrowhead.

Inset Arrowhead

Sets the arrowhead to be used for leaders that do not terminate on object lines or the part reference icon ( [image] ). A palette containing standard compliant arrows appears to assist you select the desired arrowhead.

Fix balloon position

Locks balloons in the place you place them such that they won’t move when the objects they are attached to are moved.

Text

Provides options to set the text height and color for standard based balloons. These options are not available if the balloon type style is set to a custom balloon.

Height

Sets text height for balloon text.

When the height is set to ByNameOfCurrentDraftingStandard, the text height is derived from the master settings of the current drafting standard. If the master setting changes, the text height automatically changes to one size larger than the base height setting.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Sets text color for balloon text.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the balloon text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader Connection

Defines where on a custom balloon the leader connects to it. This option is not available if the current balloon style is a standard based balloon.

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Detail Symbol dialog box

Use this dialog box to configure the default settings for detail views created using the AMDETAIL command.

Label

Pattern

Defines what the detail view label should display. You can select references to the formula from a predefined list of applicable reference by clicking [image] .

Position

Defines the position the detail view label appears by default.

Text

Style

Defines the text style to use for detail view labels. This option is available only If the current standard is a custom standard.

Height

Defines the text height of detail view label.

When the height is set to ByNameOfCurrentDraftingStandard, the text height is derived from the master settings of the current drafting standard. If the master setting changes, the text height automatically changes to one size larger than the base height setting.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Sets text color for detail view labels.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the label text color changes automatically.

Detail Border

Linetype

Sets the linetype for the border line of detail views.

Show view border

Draws a border around detail views when you create detail views with the AMDETAIL command.

Show connection line

Provides the option to create a leader line connecting the base view and the detail view border when you create detail views with the AMDETAIL command.

Detail boundary

Arrowhead

Sets the arrowhead type for the detail symbol leader line. This option is visible only if the current drafting standard is set to ANSI.

Arrowhead size

Specifies the size of leader line arrowheads. This option is visible only if the current drafting standard is set to ANSI.

Restore Defaults

Resets all settings to the default for the current drafting standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hole Chart Settings dialog box

Toolbar

Sets the default coordinates to the cartesian type. Once set, all new hole charts you create will have their coordinate type set to cartesian coordinates. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Sets the default coordinates to the polar type. Once set, all new hole charts you create will have their coordinate type set to polar coordinates. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Enables creation of a hole table by default. Consequently, whenever you place a hole chart in the drawing area, the AMHOLECHART command prompts you to place a hole table as well. This button is available only if you arrived at this dialog box via the AM:Standards tab. You typically use this option with ANSI hole charts.

Show

Specifies whether this dialog box displays hole chart or hole table details. Select “List of Coordinates” for hole chart details and “Hole Table” for hole table details. This option is available only if you arrived at this dialog box via the AM:Standards tab.

Displays the Hole Chart Columns dialog box. Use this dialog box to set the column defaults for hole charts. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Displays the Sort dialog box to set the default sort order. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts must display column headings by default. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts must display a table title by default. Once set, all new hole charts you create will contain titles. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts should display a grip frame by default. Once set, all new hole charts you create will contain grip frames. This button is available only if you arrived at this dialog box via the AM:Standards tab.

List of Coordinates/Hole Table

Attach Point

Sets the placement for the grip.

Title pattern

Sets the table title. You can add free text as well as a formula. To add a formula, type the equal sign character (=) as the first character of the title. The table title can display the <DefaultTitle> (evaluates to HOLE table or LIST OF COORDINATES) and <Origin> (evaluates to the hole chart origin name) variables. \P (backslash character followed by P followed by a space) inserts a line break. The [image] button enables you to pickup variables from a look up table.

Text style

Specifies the text style to use with hole chart text. This option is available only if the current drafting standard is a custom standard or if text settings are linked to dimension styles.

Heading Gap

Sets the gap between the heading and the first row in the table.

Row Gap

Sets the spacing between the rows in the table.

Line Spacing

Sets the height of the rows.

Heading text height

Sets the height of the text in the heading row.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

NoteWhen you change the text height, the color of the text is set to the default text object color for that text height. Text object colors are set from the Object Property Settings dialog box.

Heading text color

Defines the text color to be used for the heading row.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of heading rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Data text height

Defines the text height to be used for data rows.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

NoteWhen you change the text height, the color of the text is set to the default text object color for that text height. Text object colors are set from the Object Property Settings dialog box.

Data text color

Defines the text color to be used for data rows.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of data rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Points and Origin Cartesian

Label position

Specifies how labels are positioned in the drawing.

Point identifier

Specifies the format of points in the drawing.

Origin terminator

Specifies the format of the point origin in the drawing.

Text height

Sets the text height to use for hole labels and origin the origin label.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

Text color

Defines the text color to be used for hole labels and origin label.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Draw leader from point to label

Draws a leader at the point origin.

Show coordinate system

Displays coordinate system in the drawing.

Show 0 origin Indicator

Displays 0 at the point origin in the drawing.

Restore Defaults

Resets all values to default settings.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Note Settings dialog box

Use the Note Settings dialog box to customize the default settings of leader notes for the current drafting standard.

Symbol tab

Options

Show reference line

Adds a reference line from the leader to the note text. The icon to the left of the check box shows the result.

Requirements

Variables

Displays a list of functions and references to the properties of the object note can be attached to. Select an item from the list to insert it into the multiline text editor. The item appears at the cursor position.

Insert symbol

Displays a palette to enable you to insert a special character at the current cursor position in the multi-line text editor. In the rendered text mode, the editor shows the special character while in the plain text mode the editor shows the corresponding control key sequence.

Multi-line text editor

Edits note text. Use this editor to edit text, formulas, and special symbols to be displayed as note text. Use the right-click menu to access special editing tools.

Right-click menu options

Enables you to specify the formatting for the segment of text selected in the multi-line text editor. The formatting options are:

  • Underline - Toggles underlining for the selected text
  • Overline - Toggles overlining for the selected text
  • Align - Specifies how the selected text aligns with stacked text on the same line
  • Stack- Stacks two segments of text, separated by a “/” character.
  • Text Color - Specifies a color for the selected text
  • Text Height - Applies a scale factor for the selected text
  • Text Font - Specifies a font for the selected text
  • Text Width - Applies a scale factor for the width of the selected text
  • Tracking Factor - Specifies the spacing between characters of the selected text
  • Dim Style - Applies a dimension style for a numerical expression. This option is available only when a numerical expression is selected.
  • Precision - Enables you to specify a precision for a numerical expression. This option is available only if a numerical expression is selected.

Preview display mode

Specifies how note text appears in the multi-line text editor.

  • Plain Text - Displays formulas and formatting signs that define the note text.
  • Rendered Text Colored - Renders all formulas and formatting signs to preview the note.
  • Rendered Text Mono - Displays monochromatically the same text as the Rendered Text Colored mode.
TipUse the Plain Text mode to define formulas, especially if you are inserting functions. It also gives you more control over where to place references. Use a rendered mode to check the formula.

Library

Category

Displays a list of object categories for which you can create note templates.

Templates

Displays the list of available templates for the selected category.

Menu options

Add

Saves the text in the multi-line text editor as a new note template. The new template is added to the symbol library.

Delete

Deletes the selected note template from the symbol library.

Rename

Makes the template name editable. AutoCAD Mechanical validates the name you provide to ensure that the names of templates for a given category are unique.

Set default

Makes the selected template the default template for the selected category. A blue tick mark appears next to the default template name. When you attach a note to an object described by the selected category, the default template loads automatically.

Remove default

Removes the default status of the selected template. This menu option is available only on the default template. When no default template is selected, no note text appears in the multi-line text editor.

Add

Saves the content of the multi-line text editor as a new template. Prompts to name the new item.

Import

Imports templates from the symbol library of another drawing. You can only import symbols of the same standard and revision as the one you are editing.

Leader and Text tab

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads of all notes that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all notes based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all notes based on the current drafting standard change automatically.

Text

Height

Specifies the text height for note text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all notes based on the current drafting standard change automatically.

Color

Specifies the color of note text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all notes based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader justification

Sets the position of the note text in relation to the leader end point.

NoteThis options is disabled for the GOST standard. However, it is available for custom standards based on the GOST standard.

Restore Defaults

Restores all settings of this dialog box to the preset default values for the current standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Section View Settings dialog box

Use this dialog box to specify the defaults for the AMSECTIONLINE command.

Revision

Displays most recent revision of the standard this symbol complies with.

Section label

Contains options to label the section line and section view. The settings in this section have no effect on section lines that already exist in the drawing.

Show label

Displays labels for section lines and section views.

Plane

Show all plane symbols

Labels all vertices of the section line.

Use continuous naming

Labels vertices using consecutive alphabetic characters

View

Pattern

Contains the formula that defines the label for the section view.

Displays a list of variables that can be used with the formula.

Position

Specifies the positioning of the section view label, relative to the section view.

Section line

Contains options to define the appearance of the section line.

End and bend lines

Contains options to define the line weight and color of the end portion and bends of section lines.

Lineweight

Defines the line weight of the end portion and bends of section lines.

Color

Defines the color of the end portion and bends of section lines. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Plane lines

Visibility

Specifies how plane lines (the section line segment between the end portion and bends) should be drawn. The available options are:

  • None - Does not draw a plane lines.
  • Continuous - Draws plane lines using the same line type and line weight as the ends and bends.
  • Between planes - Draws plane lines using the line type and line weight assigned to the Section/Viewing Plane Line object (PHANTOM2 by default) in the Object Property Settings dialog box.

Arrow

Contains options to define the appearance of the arrowhead on section lines.

Show arrows

Toggles the visibility of arrowheads on section lines.

Arrowhead

Provides a list of arrowheads to let you choose the type of arrowhead.

Arrowhead Size

Specifies the length of the arrowheads.

Color

Specifies the color of the arrowheads. Color dialog box appears. You can also enter a color name or number.

Text

Style

Sets a text style to be used for section line and section view labels. This option is available only if the drafting standard is a custom standard.

Height

Defines the text height to be used for section line and section view labels.

When the height is set to ByNameOfCurrentDraftingStandard, the text height derives from the master settings of the current drafting standard. If the master setting changes, the text height automatically changes to one size larger than the base height setting.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Sets a color for the arrows. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set in the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

Use this dialog box to customize the default settings for parts lists.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Insertion

Insertion point

Sets the placement of the base point for parts lists. This also controls where the title of the parts list appears. If the insertion point is at the bottom, the headings and title are displayed at the bottom of the parts list and the parts are listed from bottom to top. Similarly, if the insertion point is at the top, the headings and title are displayed at the top of the parts list and the parts are listed from top to bottom.

When the Insertion Point is set to ByNameOfCurrentDraftingStandard, the insertion point is acquired from the List Attach Point setting of the master settings of the current drafting standard. If the master settings change, the insertion point automatically follows the change.

Text

Controls the default text settings for parts list heading and body rows.

Header

Style

Defines the text style to be used for the heading row. This option is available only if the current standard is a custom standard.

Control

Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.

Height

Defines the text height to be used for the heading row.

When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the heading row text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Defines the text color to be used for the heading row.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of heading rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Data

Style

Defines the text style to be used for the data rows. This option is available only if the current standard is a custom standard.

Control

Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.

Height

Defines the text height to be used for data rows.

When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the data row text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Defines the text color to be used for the data rows.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of data rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Spacing

Defines the gap between two data rows.

Internal Margins

Header

Sets the amount of white space for the heading row.

Top

Sets the distance from the top of the row to the top of the text.

Bottom

Sets the distance from the bottom of the row to the bottom of the text.

Left

Sets the distance from the left edge of a column to the left edge of left aligned text.

Right

Sets the distance from the right edge of a column to the right edge of right aligned text.

Data

Sets the amount of white space for the data rows.

Top

Sets the distance from the top of the row to the top of the text.

Bottom

Sets the distance from the bottom of the row to the bottom of the text.

Left

Sets the distance from the left edge of a column to the left edge of left aligned text.

Right

Sets the distance from the right edge of a column to the right edge of right aligned text.

Layout

Insert header

Controls whether a header row appears in the parts lists. The header row displays the column headings of the parts lists columns.

Insert title

Controls whether parts lists have a title bar. The title bar displays the name of the parts list.

Show grip frame

Controls whether the grip frame of the parts list appears. The grip frame is a frame that shows the actual extent of the parts list, which, under certain conditions, may be larger than the visible extent of the parts list.

Bold style

Sets the line style on title, header and summation rows to bold.

Filter empty references

Controls if body blocks (of a custom parts list) should be hidden, if it contains no data. This option is available only if the parts list style is set to a custom parts list.

Evaluate DSK file

Sets grouping options for custom parts list by way of a DSK file. DSK files are created using the Mask Editor. See Miscellaneous Advanced Tools for documentation on the Mask Editor.

Column splitting

Contains options to configure if column splitting is to be performed and if so, how. Column splitting refers to the ability for the entire parts list to wrap as the number of data rows grow.

Enable column splitting

Turns on column splitting.

Wrap round title block

Wraps the parts list around the title block as in the following image. You must specify the title block before inserting the part list.

Wrap left

Wraps the parts list to the left as shown below.

Wrap right

Wraps the parts list to the right as shown below.

Number of rows

Performs split after the number of rows exceeds the number you specify in the adjacent box.

Number of sections

Splits the parts list onto the specified number of sections and distributes the entries evenly.

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum and Feature Identifier Settings dialog box

Use the Datum and Feature Identifier Settings dialog box to specify the defaults settings of datum and feature identification symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all datum and feature identifier symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all datum and feature identifier symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all datum and feature identifier symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all datum and feature identifier symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all datum and feature identifier symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum Target Settings dialog box

Use the Datum Target Settings dialog box to configure the default settings of datum target symbols for the current standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Style

Target point size

Sets the size of the target point for datum targets with point terminations. The value you set refers to half the width of the “X” the target point.

Area hatch distance

Sets the distance between hatch lines for datum targets with rectangular and circular terminations.

Hatch angle

Sets the hatch angle for datum targets with rectangular and circular terminations.

Boundary linetype

Specifies the linetype to use for the datum target boundary for datum targets with rectangular and circular terminations.

Leader

Hidden linetype

Specifies the linetype to use for the leader of datum target symbols that indicate that the datum target target is on the far side.

Draw arrowhead for point termination

Specifies whether arrowheads are drawn for datum targets with point terminations. This setting has no affect on datum target symbols that already exist in a drawing. It only affects new symbols you create.

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all datum target symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all datum target symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all datum target symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all datum target symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all datum target symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surface Texture Settings dialog box

Use the Surface Texture Settings dialog box to specify the defaults settings of surface texture symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Symbol type

Make circle in the vee small

Sets the size of the Machining Prohibited designation. This option is available only in custom standards.

Force Tail

Controls the default state of the Force Tail button in the Surface Texture dialog box. This button controls the availability of a tail for symbols without text.

Allow all Around

Controls the visibility of the All Around button in the Surface Texture dialog box. This option is not visible in the ANSI standard.

Add Multiple tail

Sets symbols to have an additional tail when multiple lines of text is available above the tail. This option is not visible in the ANSI standard.

NoteThis option is not available for the GOST standard.

Preset lists

Contains a set of buttons that let you customize the drop-down list that are displayed in the Surface Texture dialog box.

Edit list

Displays a dialog box that lets you customize the list at the position represented by the button location.

Majority Symbol

Sets options for the majority symbol, which indicates the state common to all surfaces, using a single collective symbol. This option is not visible of the drafting standard is ANSI.

Simplified

Sets the majority symbol to its simplified representation. Accordingly, only the basic symbol appears in parenthesis at the right of the collective indication.

Full list

Sets the majority symbol to its full representation. Accordingly, if surface texture symbols are present elsewhere in the drawing, their state is fully indicated in parenthesis at the right of the collective indication.

NoteThis option is not available for the GOST standard.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all surface texture symbols that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all surface texture symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all surface texture symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all surface texture symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all surface texture symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Taper and Slope Settings dialog box

Use the Taper and Slope Settings dialog box to configure the default settings of taper and slope symbols for the active standard.

Revision

Displays the name and revision of the drafting standard on which the symbol is based.

Preferred dimension type

Defines whether the calculated slope/taper rates are expressed as a percentage or a ratio, by default.

Format

Defines the format in which ratios are expressed.

Separator

Defines the ratio separator to use in the ratio format. You can use alphanumeric characters, including spaces. If you do not specify a separator, the AMTAPERSYM command uses the colon character (:) as the separator.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all taper/slope symbols which are set to ByNameOfCurrentDraftingStandard change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow sizes for all taper/slope symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all taper/slope symbols based on the current drafting standard changes automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all taper/slope symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all taper/slope symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Welding Settings dialog box

Revision

Displays most recent revision of the standard this symbol complies with.

Identification Line

Defines the appearance of identification lines. This section is not visible if the active drafting standard is ANSI, GOST, or JIS.

Line Type

Displays the linetype to use for identification lines. This option is available only for custom standards.

Gap

Sets the distance between the identification line and the reference line.

Weld Symbols

Allow ISO Standards

Makes additional ISO symbols available for selection. This option is available only for the JIS standard.

Show symbols for

Sets the symbol types. Available types are Weld Symbols, Contour Symbols, and Backing Symbols.

Symbols list

Displays a list of supplementary weld symbols supported by the system. Select the check box in front of a weld symbol to make it available for insertion via the AMWELDSYM command.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all welding symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow sizes for all welding symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader colors of all welding symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all welding symbols based on the current drafting standard changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts the selection to values in the list.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Set text object colors in the Object Property Settings dialog box.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text colors of all welding symbols based on the current drafting standard change automatically.

Restore Defaults

Returns all values to the default values for the current standard.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure text height and color
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dimension Settings dialog box

Use this dialog box to set preferences for Power Dimension commands for the current standard

Dimension style

Base dimension style

Sets the dimension style to be used as the base dimension style. All the dimension types are based on the dimension style or a variation (a sub-style).

Edit

Displays the Dimension Styles dialog box, enabling you to create, modify, and assign dimension styles.

Force power dimensions to use this dimension style

Prevents the dimension style from being overridden (via the DIMSTYLE command) during a drawing session.

Default representations

Chamfer

Displays the Chamfer Representation dialog box, enabling you to select the default chamfer dimension representation from a predefined list of representations.

Radius

Displays the Radius Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for radius.

Diameter

Displays the Diameter Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for diameter.

Dimension Text

Ignore AutoCAD scale factor for linear dimension measurements

Makes Power Dimensioning ignore the DIMLFAC system variable and other settings that control the linear scale.

AutoCAD Mechanical uses several scaling mechanisms such as scale areas, detail views, and annotation views, that are not available in AutoCAD. Power dimensioning recognizes the scales and automatically compensates for them. If you choose to honor AutoCAD scale factors and use different scales in different places in a drawing, AutoCAD Mechanical's scaling mechanisms may not reflect the correct dimension value.

NoteThis setting is not available for Inventor linked drawings.

Predefined Text

Displays the Predefined Text dialog box, which enables you to create predefined dimension text templates for Power DImensioning commands at draw time.

Fits and Tolerances

Fits

Displays the Fits Representation dialog box, which enables you to set the default fit representation. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing fit representations as well as create new ones.

Tolerances

Displays the Tolerance Representation dialog box, which enables you to set the default tolerance method. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing tolerance methods as well as create new ones.

When a fits list requires updates

Configures how fits lists rebuild. You can choose to update fits lists schematically, have the system prompt you, or update fits lists on demand by selecting the manual option.

Placement Options

Display visual aids when creating dimensions

Displays an icon on the crosshairs when a dimension is created, indicating the type of dimension being created.

In chain dimensions, replace arrows with points for lengths less than

Defines the distance at which arrowheads are replaced with points in chain dimensions.

Use distance snaps for placement

Turns on distance snaps, which cause dimensions to snap into place as you move the dimension line in the drawing area.

Snaps value

Sets the distance from the snap position to the object being dimensioned.

Display power dimension dialog

Sets how often the Power Dimension dialog box appears during one command session.

Show text override prompt

Enables the display of the text override prompt enabling you to modify the dimension text on the command line during the dimensioning process. By default, this check box is cleared.

Restore defaults

Resets all settings to the factory settings for the current standard. If the current standard is a custom standard, the settings default to the factory settings of the standard it is derived from.


Configure text height and color (Quick Reference)

Configure text height and color
Configure text height and color
Configure Leaders
Configuration and setup guide >
Configure text height and color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit Dimension Style dialog box

Use this dialog box to customize the base dimension style and its derivatives as applied to the different dimension types.

Dimension style

Shows a tree showing the base dimension style as the root and sub-styles as the leaves. Each sub-style controls the representation of the dimension type indicated by the name of the sub-style. The sub-styles have been derived from the base style and can be configured to customize the representation of one dimension type independently of the others.

Sub styles that are displayed in bold have at least one parameter that is different from the base dimension style. As you move the pointer over a sub-style, the tooltip shows the settings that have been customized.

If you change a setting in the base dimension style, the change is propagated to all sub-styles, unless the setting has been overridden in the sub-style.

Delete

Deletes dimension style overrides. This button is available only when an override is selected in the Dimension style list.

Reset

Removes overrides and synchronizes the selected dimension style with the base dimension style. If the dimension type corresponding to the selected dimension style requires mandatory overrides, they are automatically added.

Modify

Displays the Modify Dimension Style dialog box to let you change the setting for the selected dimension style.

Default format for Ordinate dimensions

Contains settings that apply to the Ordinate dimension style. The settings in this section has no impact on dimensions that already exist in the drawing.

Minus

Inserts whatever you type to the left of <> as a prefix to negative ordinate dimension text. Typically you use this to insert a “-” sign in front of the dimension text. Anything you type to the right of <> appears after the dimension text. If you delete <>, no dimension text appears.

Plus

Inserts whatever you type to the left of <> as a prefix to positive ordinate dimension text. Typically you use thito insert a “+” sign in front of the dimension text. Similarly, anything you type to the right of <> appears after the dimension text. If you delete <>, no dimension text appears.


Configure Leaders (Concept)

Configure text height and color
Configuration and setup guide
Configure Symbols
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings. By default, the text and leader settings for all annotations (elements of the standard) derive from the master settings. If you change the master settings, the corresponding settings in each of the elements of the standard follow. However, if you do not want specific element to follow the master settings, you can override the text settings for that element of the standard.

How master settings apply across leaders

By default, the leader color, arrowhead style, arrowhead size of annotations that use leaders are set to “By NameOfCurrentDraftingStandard.” When you change the master settings for leaders, they automatically acquire the new settings. You can override this behavior by explicitly setting a different arrowhead, color, or size for each annotation type, independently, if necessary.

Implications of linking to a dimension style

In AutoCAD, you control the appearance of leaders using the leader dimension style. If necessary, you can acquire the settings of this dimension style as the master settings for leaders. To do this, link the master settings to the leader dimension style.

Control all annotations from master settings

One of the objectives of linking dimension styles to leader and text settings is to use the Standard Settings dialog box as a single command center for controlling all annotations. To ensure that settings in this dialog box affect all dimensions, clear the Link to the leader dimension style only check box. Doing so ensures that the master settings are linked to the base dimension style. When you modify the master settings, all dimension substyles reflect the changes unless you override the settings in the substyle.

The link to dimension styles is a bi-directional link. When you modify the linked dimension style, the Standard Settings dialog box automatically reflects the changes.


Configure Leaders (Procedure)

Configure text height and color
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

To Link Text and Leader Master Settings to Dimension Styles

To Configure the Leader Settings of Leader Notes

To configure leader settings for surface texture symbols

To configure leader settings for welding symbols

To configure leader settings for datum and feature identifier symbols

To configure leader settings for datum target symbols

To configure leader settings for taper and slope symbols

To configure leader settings for feature control frame symbols

To Configure Leaders for Balloons


Configure Leaders (Quick Reference)

Configure text height and color
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Balloon Settings dialog box

Note Settings dialog box

Datum and Feature Identifier Settings dialog box

Datum Target Settings dialog box

Surface Texture Settings dialog box

Taper and Slope Settings dialog box

Welding Settings dialog box

Marking/Stamping Settings dialog box

Standard Settings dialog box


To Configure the Master Settings for Leaders (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


To Link Text and Leader Master Settings to Dimension Styles (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Link Text and Leader Master Settings to Dimension Styles

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Select the Link to dimension style check box.
  5. To link to the Leader substyle only, select the Link to leader dimension style only check box.
    NoteIf you clear the Link to leader dimension style only check box, the leader and text settings link to the base dimension style. If you modify text or leader settings, all dimension substyles update unless the substyle overrides the setting.
  6. In the Style list, select the dimension style to link to.
  7. Click OK until all dialog boxes close.


To Configure the Leader Settings of Leader Notes (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Leader Settings of Leader Notes

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Note. The Note Settings dialog box appears.
  4. Click the Leader and Text tab.
  5. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  6. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  7. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  8. Click OK until all dialog boxes close.


To configure leader settings for surface texture symbols (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for surface texture symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Surface Texture. The Surface Texture Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To configure leader settings for welding symbols (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for welding symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Welding. The Welding Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To configure leader settings for datum and feature identifier symbols (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for datum and feature identifier symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Datum and Feature Identifier. The Datum and Feature Identifier Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To configure leader settings for datum target symbols (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for datum target symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Datum Target. The Datum Target Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To configure leader settings for taper and slope symbols (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for taper and slope symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Taper and Slope. The Taper and Slope Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To configure leader settings for feature control frame symbols (Procedure)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for feature control frame symbols

  1. Click the None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Feature Control Frame. The Feature Control Frame Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure Leaders for Balloons (Procedure)

Configure Leaders
Configure Leaders
Configure Symbols
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Leaders for Balloons

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. In the Arrowhead list, select the arrowhead.
  6. In the Color list, select the color.
    NoteTo acquire the arrowhead shape and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard.”
  7. Click OK until all dialog boxes close.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Balloon Settings dialog box

Use this dialog box to configure the default settings for balloons.

Revision

Displays the name and the revision of the standard that controls the default settings of balloons.

Balloon

Provides options for setting the appearance for standard based balloons. These options are not available if the balloon style has been set to a custom balloon.

Balloon type

Displays a palette of predefined standard based balloons. The current selection is boxed. Click a balloon to set it as the default.

Balloon size factor

Specifies how many times larger than the balloon text a balloon is.

Horizontal spacing

Sets the horizontal distance (between the centers of two adjacent balloons) that must be maintained when balloons are automatically aligned.

Vertical spacing

Sets the vertical distance (between the centers of two adjacent balloons) that must be maintained when balloons are automatically aligned.

Arrowhead

Sets the arrowhead to be used for the leader termination. A palette containing standard compliant arrows appears to assist you select the desired arrowhead.

Inset Arrowhead

Sets the arrowhead to be used for leaders that do not terminate on object lines or the part reference icon ( [image] ). A palette containing standard compliant arrows appears to assist you select the desired arrowhead.

Fix balloon position

Locks balloons in the place you place them such that they won’t move when the objects they are attached to are moved.

Text

Provides options to set the text height and color for standard based balloons. These options are not available if the balloon type style is set to a custom balloon.

Height

Sets text height for balloon text.

When the height is set to ByNameOfCurrentDraftingStandard, the text height is derived from the master settings of the current drafting standard. If the master setting changes, the text height automatically changes to one size larger than the base height setting.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Sets text color for balloon text.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the balloon text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader Connection

Defines where on a custom balloon the leader connects to it. This option is not available if the current balloon style is a standard based balloon.

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Note Settings dialog box

Use the Note Settings dialog box to customize the default settings of leader notes for the current drafting standard.

Symbol tab

Options

Show reference line

Adds a reference line from the leader to the note text. The icon to the left of the check box shows the result.

Requirements

Variables

Displays a list of functions and references to the properties of the object note can be attached to. Select an item from the list to insert it into the multiline text editor. The item appears at the cursor position.

Insert symbol

Displays a palette to enable you to insert a special character at the current cursor position in the multi-line text editor. In the rendered text mode, the editor shows the special character while in the plain text mode the editor shows the corresponding control key sequence.

Multi-line text editor

Edits note text. Use this editor to edit text, formulas, and special symbols to be displayed as note text. Use the right-click menu to access special editing tools.

Right-click menu options

Enables you to specify the formatting for the segment of text selected in the multi-line text editor. The formatting options are:

  • Underline - Toggles underlining for the selected text
  • Overline - Toggles overlining for the selected text
  • Align - Specifies how the selected text aligns with stacked text on the same line
  • Stack- Stacks two segments of text, separated by a “/” character.
  • Text Color - Specifies a color for the selected text
  • Text Height - Applies a scale factor for the selected text
  • Text Font - Specifies a font for the selected text
  • Text Width - Applies a scale factor for the width of the selected text
  • Tracking Factor - Specifies the spacing between characters of the selected text
  • Dim Style - Applies a dimension style for a numerical expression. This option is available only when a numerical expression is selected.
  • Precision - Enables you to specify a precision for a numerical expression. This option is available only if a numerical expression is selected.

Preview display mode

Specifies how note text appears in the multi-line text editor.

  • Plain Text - Displays formulas and formatting signs that define the note text.
  • Rendered Text Colored - Renders all formulas and formatting signs to preview the note.
  • Rendered Text Mono - Displays monochromatically the same text as the Rendered Text Colored mode.
TipUse the Plain Text mode to define formulas, especially if you are inserting functions. It also gives you more control over where to place references. Use a rendered mode to check the formula.

Library

Category

Displays a list of object categories for which you can create note templates.

Templates

Displays the list of available templates for the selected category.

Menu options

Add

Saves the text in the multi-line text editor as a new note template. The new template is added to the symbol library.

Delete

Deletes the selected note template from the symbol library.

Rename

Makes the template name editable. AutoCAD Mechanical validates the name you provide to ensure that the names of templates for a given category are unique.

Set default

Makes the selected template the default template for the selected category. A blue tick mark appears next to the default template name. When you attach a note to an object described by the selected category, the default template loads automatically.

Remove default

Removes the default status of the selected template. This menu option is available only on the default template. When no default template is selected, no note text appears in the multi-line text editor.

Add

Saves the content of the multi-line text editor as a new template. Prompts to name the new item.

Import

Imports templates from the symbol library of another drawing. You can only import symbols of the same standard and revision as the one you are editing.

Leader and Text tab

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads of all notes that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all notes based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all notes based on the current drafting standard change automatically.

Text

Height

Specifies the text height for note text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all notes based on the current drafting standard change automatically.

Color

Specifies the color of note text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all notes based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader justification

Sets the position of the note text in relation to the leader end point.

NoteThis options is disabled for the GOST standard. However, it is available for custom standards based on the GOST standard.

Restore Defaults

Restores all settings of this dialog box to the preset default values for the current standard.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum and Feature Identifier Settings dialog box

Use the Datum and Feature Identifier Settings dialog box to specify the defaults settings of datum and feature identification symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all datum and feature identifier symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all datum and feature identifier symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all datum and feature identifier symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all datum and feature identifier symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all datum and feature identifier symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum Target Settings dialog box

Use the Datum Target Settings dialog box to configure the default settings of datum target symbols for the current standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Style

Target point size

Sets the size of the target point for datum targets with point terminations. The value you set refers to half the width of the “X” the target point.

Area hatch distance

Sets the distance between hatch lines for datum targets with rectangular and circular terminations.

Hatch angle

Sets the hatch angle for datum targets with rectangular and circular terminations.

Boundary linetype

Specifies the linetype to use for the datum target boundary for datum targets with rectangular and circular terminations.

Leader

Hidden linetype

Specifies the linetype to use for the leader of datum target symbols that indicate that the datum target target is on the far side.

Draw arrowhead for point termination

Specifies whether arrowheads are drawn for datum targets with point terminations. This setting has no affect on datum target symbols that already exist in a drawing. It only affects new symbols you create.

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all datum target symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all datum target symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all datum target symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all datum target symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all datum target symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surface Texture Settings dialog box

Use the Surface Texture Settings dialog box to specify the defaults settings of surface texture symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Symbol type

Make circle in the vee small

Sets the size of the Machining Prohibited designation. This option is available only in custom standards.

Force Tail

Controls the default state of the Force Tail button in the Surface Texture dialog box. This button controls the availability of a tail for symbols without text.

Allow all Around

Controls the visibility of the All Around button in the Surface Texture dialog box. This option is not visible in the ANSI standard.

Add Multiple tail

Sets symbols to have an additional tail when multiple lines of text is available above the tail. This option is not visible in the ANSI standard.

NoteThis option is not available for the GOST standard.

Preset lists

Contains a set of buttons that let you customize the drop-down list that are displayed in the Surface Texture dialog box.

Edit list

Displays a dialog box that lets you customize the list at the position represented by the button location.

Majority Symbol

Sets options for the majority symbol, which indicates the state common to all surfaces, using a single collective symbol. This option is not visible of the drafting standard is ANSI.

Simplified

Sets the majority symbol to its simplified representation. Accordingly, only the basic symbol appears in parenthesis at the right of the collective indication.

Full list

Sets the majority symbol to its full representation. Accordingly, if surface texture symbols are present elsewhere in the drawing, their state is fully indicated in parenthesis at the right of the collective indication.

NoteThis option is not available for the GOST standard.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all surface texture symbols that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all surface texture symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all surface texture symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all surface texture symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all surface texture symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Taper and Slope Settings dialog box

Use the Taper and Slope Settings dialog box to configure the default settings of taper and slope symbols for the active standard.

Revision

Displays the name and revision of the drafting standard on which the symbol is based.

Preferred dimension type

Defines whether the calculated slope/taper rates are expressed as a percentage or a ratio, by default.

Format

Defines the format in which ratios are expressed.

Separator

Defines the ratio separator to use in the ratio format. You can use alphanumeric characters, including spaces. If you do not specify a separator, the AMTAPERSYM command uses the colon character (:) as the separator.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all taper/slope symbols which are set to ByNameOfCurrentDraftingStandard change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow sizes for all taper/slope symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all taper/slope symbols based on the current drafting standard changes automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all taper/slope symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all taper/slope symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Welding Settings dialog box

Revision

Displays most recent revision of the standard this symbol complies with.

Identification Line

Defines the appearance of identification lines. This section is not visible if the active drafting standard is ANSI, GOST, or JIS.

Line Type

Displays the linetype to use for identification lines. This option is available only for custom standards.

Gap

Sets the distance between the identification line and the reference line.

Weld Symbols

Allow ISO Standards

Makes additional ISO symbols available for selection. This option is available only for the JIS standard.

Show symbols for

Sets the symbol types. Available types are Weld Symbols, Contour Symbols, and Backing Symbols.

Symbols list

Displays a list of supplementary weld symbols supported by the system. Select the check box in front of a weld symbol to make it available for insertion via the AMWELDSYM command.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all welding symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow sizes for all welding symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader colors of all welding symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all welding symbols based on the current drafting standard changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts the selection to values in the list.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Set text object colors in the Object Property Settings dialog box.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text colors of all welding symbols based on the current drafting standard change automatically.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Configure Leaders
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Marking/Stamping Settings dialog box

Use the Marking/Stamping Settings dialog box to specify the default settings for the marking symbol and stamping symbol.

Revision

Displays most recent revision of the standard with which this symbol complies.

Preset Lists

Select the items to appear in the marking or stamping method and content drop-down lists.

Show requirements for

Displays the items that can appear in each list. A check mark indicates that the item is included in the list.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to By NameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all marking/stamping symbols that are set to ByNameOfCurrentDraftingStandard changes automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all marking/stamping symbols based on the current drafting standard changes automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all marking/stamping symbols based on the current drafting standard changes automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to By NameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all marking/stamping symbols based on the current drafting standard changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to By NameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all marking/stamping symbols based on the current drafting standard changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Leaders (Quick Reference)

Configure Leaders
Configure Leaders
Select the Appropriate Revision of the Drafting Standard for Symbols
Configuration and setup guide >
Configure Leaders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Symbols

Configure Leaders
Configuration and setup guide
Overview of Configuration Tasks
Configuration and setup guide >
Configure Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview of Configuration Tasks
  • Select the Appropriate Revision of the Drafting Standard for Symbols
  • Configure the Symbol Library for Reusing Symbols
  • Surface Texture Symbols
  • Welding Symbols
  • Edge Symbols
  • Feature Control Frames
  • Taper and Slope symbols
  • Datum and Feature Identification Symbols
  • Datum target symbols
  • Marking/Stamping Symbol
  • Dead Joint Symbols
  • Leader Notes


Configure Symbols (Procedure)

Configure Leaders
Configure Symbols
Select the Appropriate Revision of the Drafting Standard for Symbols
Configuration and setup guide >
Configure Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Select the Appropriate Revision

To insert a symbol that is not supported by the GOST standard

To import the symbol libraries from another drawing


Overview of Configuration Tasks

Configure Symbols
Configure Symbols
Select the Appropriate Revision of the Drafting Standard for Symbols
Configuration and setup guide > Configure Symbols >
Overview of Configuration Tasks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When you select a drafting standard, AutoCAD Mechanical uses a set of symbols that comply with the standard. You can perform the following additional configuration operations:

  • Select the appropriate revision (in case more than one revision exists for a given standard)
  • Configure symbol text
  • Configure symbol leaders
  • Configure settings of each symbol type

In general, if you modify the settings of a symbol during a drawing session, all existing symbols update. However, if you change the drafting standard (or the revision) in the middle of a drawing session, and then change symbol settings, only the symbols you created after changing the standard update. Symbols that you created before changing standards do not update, since they are not based on the current drafting standard.

If you save a drawing containing symbols to an older version of AutoCAD Mechanical that does not support the options you have used, AutoCAD Mechanical may convert the symbols to blocks in order to maintain visual fidelity. However, if you limit configuration to overriding the master text or leader settings, the symbols do not convert to blocks. Instead, the text and leader overrides are reset to the master settings.


Select the Appropriate Revision of the Drafting Standard for Symbols (Concept)

Overview of Configuration Tasks
Configure Symbols
Configure the Symbol Library for Reusing Symbols
Configuration and setup guide > Configure Symbols >
Select the Appropriate Revision of the Drafting Standard for Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

For some drafting standards, AutoCAD Mechanical supports more than one revision of the standard for symbols.

For example, when the drafting standard is ISO, AutoCAD Mechanical supports ISO 13715 - 2000 edge symbols as well as ISO/DIS 13715 - 1984 edge symbols. Since the options supported for one revision differs from the other, selecting the drafting standard alone is not enough; you must also the correct revision of the standard. The AM:Standards tab of the Options dialog box lists the revisions below the symbol, as shown in the following figure.

If the revision you need is unavailable, insert the standard first.

In some cases, when the selected drafting standard doesn’t support a symbol, you can insert the symbol from another standard. For example, the GOST standard does not support datum target symbols. However you can insert the ISO datum target symbol and use it in a GOST drawing.


Select the Appropriate Revision of the Drafting Standard for Symbols (Procedure)

Configure Symbols
Up a level to ..
Select the Appropriate Revision of the Drafting Standard for Symbols
Configuration and setup guide > Configure Symbols >
Select the Appropriate Revision of the Drafting Standard for Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Select the Appropriate Revision

To insert a symbol that is not supported by the GOST standard


To Select the Appropriate Revision (Procedure)

Select the Appropriate Revision of the Drafting Standard for Symbols
Up a level to ..
Select the Appropriate Revision of the Drafting Standard for Symbols
Configuration and setup guide > Configure Symbols >
Select the Appropriate Revision of the Drafting Standard for Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Select the Appropriate Revision

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, expand the symbol node on the tree.
    NoteYou can expand the symbol node only if more than one revision exists for that symbol.
  4. Right-click the revision to select.
  5. In the context menu, click Set Current.

    If Set Current is unavailable, click Insert Standard.

  6. Click OK until all dialog boxes close.


To insert a symbol that is not supported by the GOST standard (Procedure)

Select the Appropriate Revision of the Drafting Standard for Symbols
Up a level to ..
Configure the Symbol Library for Reusing Symbols
Configuration and setup guide > Configure Symbols >
Select the Appropriate Revision of the Drafting Standard for Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a symbol that is not supported by the GOST standard

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Standard Elements list, right-click the unsupported symbol. A menu appears.
    NoteUnsupported symbols are dimmed in the Standard Elements list.
  3. From the menu, click Insert Standard. The program activates the symbol and makes it available for insertion to the drawing.


Select the Appropriate Revision of the Drafting Standard for Symbols (Quick Reference)

Configure Leaders
Select the Appropriate Revision of the Drafting Standard for Symbols
Configure the Symbol Library for Reusing Symbols
Configuration and setup guide > Configure Symbols >
Select the Appropriate Revision of the Drafting Standard for Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AM:Standards tab of the Options dialog box

Use this dialog box to set preferences that are typically governed by a drafting standard.

Standard

Standard

Specifies the drafting standard to be used in the drawing.

If you switch the standard, settings for all elements of the standard change accordingly. However, none of the existing drawing objects are affected. Only the new objects you draw follow the new standard.

To create a custom standard (user-defined standard), type a name for the standard in this box and press ENTER.

Apply new settings to layers when standard is created or changed

Controls if Layer and Object settings change (along with the settings for other elements of the standard) if the standard is switched.

Measurement

Sets the units of measurement to be used in the current drawing.

If you change the units, you are prompted to confirm if the system should perform text scaling. No length scaling is performed.

Model Scale

Sets the scale to be used for text and symbols for the drawing in model space.

Use 1:1 Scale in Layout

Specifies that a 1:1 scale is used in layout, irrespective of the scale selected for model space.

.

Use Selected Scale in Layout

Specifies that the model space scale is used in layout as well.

Default standards template

Specifies the template the system picks the standard settings from, in case you open an AutoCAD Drawing (as opposed to an AutoCAD Mechanical drawing) or if you choose to create a drawing without using a template.

Note
  1. Only standard dependent settings come from the default template.
  2. If there is a unit mismatch between the default template and the AutoCAD drawing you are opening, the default template setting is ignored and the system behaves as though no default template is specified.
  3. If you are creating a drawing without a template and the units you selected do not match the default template units, the default template setting is ignored and the system behaves as though no default template is specified.
  4. If no default template is specified, the system automatically selects the most appropriate standard based on the type of units in the drawing you are opening.

Standard Elements

Displays a list of elements of the standard in the form of a tree.

They root of the tree shows the current drafting standard. Double-click the root to display a dialog box containing the master settings for the standard. Double-click an element to display its properties dialog box. From this dialog box, you can override the default settings as well as the settings inherited from the master settings.

Overrides are applied only to the objects created under the current drafting standard. For example, if you created a note while the standard was set to ISO, and then switched the standard to DIN, and you then override the text color settings for notes, only the notes created after you switched to DIN are affected. The note you created under ISO does not change color.

TipTo find out what standard an object was created under, display the properties of that object.

For some items such as Feature Control Frames, more than one revision of a standard is available. Right click the revision you want to make active and select Set Current. If Set Current is not available, select Insert Standard

Setup Drawing

Starts a wizard that enables you to import the settings for the elements of the standard, from an AutoCAD Mechanical drawing or drawing template.

Right-click menu items

Remove

Makes the selected item unavailable for implementation. For example, if you remove notes, and later on if you invoke the AMNOTE command, a message appears to inform you that the feature is unavailable for the selected standard.

Properties

Displays a dialog box containing the properties for the selected item. This dialog box is used to override the default settings for this item.

Default

Removes all overrides for the selected item and resets its properties to the default settings.

Insert standard

Inserts an item that was removed previously. If the item contained overrides before removal, they are not available when you reinsert the item.


Configure the Symbol Library for Reusing Symbols (Concept)

Select the Appropriate Revision of the Drafting Standard for Symbols
Configure Symbols
Surface Texture Symbols
Configuration and setup guide > Configure Symbols >
Configure the Symbol Library for Reusing Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Several symbols support a symbol library. This feature enables you to save frequently used symbols in the library and insert them into a drawing directly from the ribbon.

Typically, the symbol library is built as you annotate drawings. After that, use the AMSETUPDWG command to update the company template. This enables others to reuse these symbols on drawings that use that template.

To update the company template, import the library from a drawing that already has a fully configured symbol library. When you import, use the Replace option and replace the symbol library in the template with the library from the drawing. Although this operation deletes the existing library in the template, it eliminates the need to clean up the symbol library after importing.

Often, it is not desirable to clean up the symbol library after importing it into a template. We recommend that you perform all clean-up operations in the source drawing before you import the symbol library into the company template. To access the symbol library and clean it up, create a symbol. Typically, drawing templates must not have any geometry or annotations related to parts in the drawing area.

A typical clean-up operation involves ensuring that the symbol library:

  • Contains all the symbols that are currently in the company template.
  • Does not contain duplicates (symbols that have the same settings, but with different names).

The AMSETUPDWG command can only import settings from a DWT file. Before importing the symbol libraries from a DWG file, save the file as a DWT file, making it selectable for import within AMSETUPDWG.

The following symbols currently support symbol libraries

  • Leader notes
  • Feature control frame symbols
  • Surface texture symbols
  • Edge symbols
  • Dead joint symbols


To import the symbol libraries from another drawing (Procedure)

Select the Appropriate Revision of the Drafting Standard for Symbols
Up a level to ..
Surface Texture Symbols
Configuration and setup guide > Configure Symbols >
Configure the Symbol Library for Reusing Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import the symbol libraries from another drawing

  1. Click [image] [image] Drawing Utilities [image] Setup Drawing.
  2. In the Drawing Setup dialog box, click Overwrite Settings.
  3. At the command prompt enter W for the Wizard option.
  4. Select the Import Settings from drawing template option.
  5. Click Browse
  6. Select the file to import the symbol library from and click Open.
    NoteTo import from a .dwg file, you must first save it as a .dwt file and then import from the dwt file.
  7. Click Next.
  8. Select the import options.
    1. Select the Custom import option.
    2. Select the Symbol libraries check box and click Next
    3. Select the standards you want to import the symbol librarys for and click Next.
      NoteDue to the dependency between the current standard and system variables, AutoCAD Mechanical does not let you clear the check box next to the current standard.
    4. Select the Symbol Libraries you want to import.
    5. Select the Replace option and click Next.
      NoteThe Replace option replaces the symbol library in the current drawing with the librarys in the drawing you are importing from. The Overwrite option replaces only the symbols that have the same names as the ones being imported. We do not recomend the use of the Append option in AMSETUPDWG.
  9. Review the changes and click Next to commit the changes.
  10. Click Import.
  11. Click Exit Wizard.


Configure the Symbol Library for Reusing Symbols (Quick Reference)

Select the Appropriate Revision of the Drafting Standard for Symbols
Configure the Symbol Library for Reusing Symbols
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols >
Configure the Symbol Library for Reusing Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG

Imports the drafting standards and the dependent settings from a template file

Ribbon: None tab [image] None panel [image] Setup Drawing. Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Setup Drawing Does not exist in the menus.
Command entry: amsetupdwg

You can use this command in the middle of a drawing session to replace the existing drawing template by another template. You can import entire standards, selectively or importing subsets of settings.

You can also use this command to clean up a drawing created using Genius 14. Typically, this option repairs or removes object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

COMMAND LINE OPTIONS

Select a source [drawing Template/confiGuration/Clean/Wizard] <Wizard>: Select an option.

Drawing Template

Replaces the standard settings in the current drawing with the settings of a drawing file you select.

Enter template file path [Browse] <<Last used template file>>: Specify the path to the file you want to import settings from or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the file to import settings from.

Configuration

Imports settings using an import configuration file. The import configuration file specifies what drawing to import from and the import options to use.

Enter configuration file path [Browse] <<Last used configuration file>>: Specify the path to the configuration file or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the configuration file.

Clean

Cleans up a drawing created using Genius 14. For example, this option repairs or remove object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

Wizard

Displays a wizard to walk you through the process of specifying import options.

NoteRunning the AMSETUPDWG command in the middle of a drawing session, and choosing another drawing template, might not fully convert the current drawing so that it appears as if it was created with the new template from the beginning.


Surface Texture Symbols

Configure the Symbol Library for Reusing Symbols
Configure Symbols
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols >
Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the appearance of surface texture symbols
  • Configure the Majority Symbol Representation of Surface Texture Symbols
  • Configure Preset Value Lists for Surface Texture Symbols


Surface Texture Symbols (Procedure)

Configure the Symbol Library for Reusing Symbols
Up a level to ..
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols >
Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure text height and color for surface texture symbols

To Configure the Default Symbol Type

To configure leader settings for surface texture symbols

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders

To Configure Majority Symbol Representation

To Add an Entry to a List

To Delete an Entry from a List

To Edit a List Entry


Configure the appearance of surface texture symbols (Concept)

Surface Texture Symbols
Surface Texture Symbols
Configure the Majority Symbol Representation of Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard (and the correct revision), the default settings for surface texture symbols change to match that drafting standard. You can customize these settings to suit your drafting requirements.

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

In the Surface Texture Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, surface texture symbols automatically acquire the new settings. If you do not want surface texture symbols to follow the master settings, you can override the text height and select a specific value.

You can also configure the options for symbol type, the appearance of the tail, and the appearance of the all around sign. When you insert a surface texture symbol into a drawing, these settings are the initial settings. You can change them. We recommend that you set these options to match the most frequently used settings to minimize the amount of customizing required when you insert a symbol.


Configure the appearance of surface texture symbols (Procedure)

Surface Texture Symbols
Up a level to ..
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for surface texture symbols

To Configure the Default Symbol Type

To configure leader settings for surface texture symbols

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the appearance of surface texture symbols (Quick Reference)

Configure the Symbol Library for Reusing Symbols
Configure the appearance of surface texture symbols
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surface Texture Settings dialog box

Standard Settings dialog box


To configure text height and color for surface texture symbols (Procedure)

Configure the appearance of surface texture symbols
Up a level to ..
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for surface texture symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Surface Texture. The Surface Texture Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To Configure the Default Symbol Type (Procedure)

Configure the appearance of surface texture symbols
Up a level to ..
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Default Symbol Type

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the Surface Texture symbol.
  4. In the Symbol type section, select the options to set as default.
  5. Click OK until all dialog boxes close.


To configure leader settings for surface texture symbols (Procedure)

Configure the appearance of surface texture symbols
Up a level to ..
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for surface texture symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Surface Texture. The Surface Texture Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure Master Settings for Text Height (Procedure)

Configure the appearance of surface texture symbols
Up a level to ..
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure the appearance of surface texture symbols
Up a level to ..
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the appearance of surface texture symbols
Up a level to ..
Configure the Majority Symbol Representation of Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the appearance of surface texture symbols (Quick Reference)

Configure the appearance of surface texture symbols
Configure the appearance of surface texture symbols
Configure the appearance of surface texture symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surface Texture Settings dialog box

Use the Surface Texture Settings dialog box to specify the defaults settings of surface texture symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Symbol type

Make circle in the vee small

Sets the size of the Machining Prohibited designation. This option is available only in custom standards.

Force Tail

Controls the default state of the Force Tail button in the Surface Texture dialog box. This button controls the availability of a tail for symbols without text.

Allow all Around

Controls the visibility of the All Around button in the Surface Texture dialog box. This option is not visible in the ANSI standard.

Add Multiple tail

Sets symbols to have an additional tail when multiple lines of text is available above the tail. This option is not visible in the ANSI standard.

NoteThis option is not available for the GOST standard.

Preset lists

Contains a set of buttons that let you customize the drop-down list that are displayed in the Surface Texture dialog box.

Edit list

Displays a dialog box that lets you customize the list at the position represented by the button location.

Majority Symbol

Sets options for the majority symbol, which indicates the state common to all surfaces, using a single collective symbol. This option is not visible of the drafting standard is ANSI.

Simplified

Sets the majority symbol to its simplified representation. Accordingly, only the basic symbol appears in parenthesis at the right of the collective indication.

Full list

Sets the majority symbol to its full representation. Accordingly, if surface texture symbols are present elsewhere in the drawing, their state is fully indicated in parenthesis at the right of the collective indication.

NoteThis option is not available for the GOST standard.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all surface texture symbols that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all surface texture symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all surface texture symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all surface texture symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all surface texture symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the appearance of surface texture symbols (Quick Reference)

Configure the appearance of surface texture symbols
Configure the appearance of surface texture symbols
Configure the Majority Symbol Representation of Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the appearance of surface texture symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the Majority Symbol Representation of Surface Texture Symbols (Concept)

Configure the appearance of surface texture symbols
Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the Majority Symbol Representation of Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical enables you to set a surface texture symbol as a majority symbol, enabling a single collective symbol to indicate a state common to all surfaces. You can opt to set the format of the majority symbol to the simplified representation or the full list representation. In the simplified representation, only the basic symbol appears in parenthesis to the right of the collective indication. In the full list representation, if surface texture symbols are present elsewhere in the drawing, a full representation of their states appears in parenthesis at the right of the collective indication.


To Configure Majority Symbol Representation (Procedure)

Configure the appearance of surface texture symbols
Up a level to ..
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the Majority Symbol Representation of Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Majority Symbol Representation

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the symbol.
  4. In the Majority symbol section, select the default representation.
  5. Click OK until all dialog boxes close.


Configure the Majority Symbol Representation of Surface Texture Symbols (Quick Reference)

Configure the appearance of surface texture symbols
Configure the Majority Symbol Representation of Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure the Majority Symbol Representation of Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surface Texture Settings dialog box

Use the Surface Texture Settings dialog box to specify the defaults settings of surface texture symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Symbol type

Make circle in the vee small

Sets the size of the Machining Prohibited designation. This option is available only in custom standards.

Force Tail

Controls the default state of the Force Tail button in the Surface Texture dialog box. This button controls the availability of a tail for symbols without text.

Allow all Around

Controls the visibility of the All Around button in the Surface Texture dialog box. This option is not visible in the ANSI standard.

Add Multiple tail

Sets symbols to have an additional tail when multiple lines of text is available above the tail. This option is not visible in the ANSI standard.

NoteThis option is not available for the GOST standard.

Preset lists

Contains a set of buttons that let you customize the drop-down list that are displayed in the Surface Texture dialog box.

Edit list

Displays a dialog box that lets you customize the list at the position represented by the button location.

Majority Symbol

Sets options for the majority symbol, which indicates the state common to all surfaces, using a single collective symbol. This option is not visible of the drafting standard is ANSI.

Simplified

Sets the majority symbol to its simplified representation. Accordingly, only the basic symbol appears in parenthesis at the right of the collective indication.

Full list

Sets the majority symbol to its full representation. Accordingly, if surface texture symbols are present elsewhere in the drawing, their state is fully indicated in parenthesis at the right of the collective indication.

NoteThis option is not available for the GOST standard.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all surface texture symbols that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all surface texture symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all surface texture symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all surface texture symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all surface texture symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Preset Value Lists for Surface Texture Symbols (Concept)

Configure the Majority Symbol Representation of Surface Texture Symbols
Surface Texture Symbols
Welding Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In the Surface Texture dialog box, select data for the symbol using drop-down lists. Depending on the active standard and its revision, the options that have drop-down lists differ. The following image shows the default drop-down list for JIS B 0031 - 2003.

You can customize these lists to suit your requirement. You can delete redundant list entries and add new entries. You can edit existing entries and manually add text and create custom lists like the ones in the following image.

NoteYou cannot add to or edit the Direction of Lay (D) list. You can only remove list entries or change the order of list entries.


Configure Preset Value Lists for Surface Texture Symbols (Procedure)

Configure the Majority Symbol Representation of Surface Texture Symbols
Up a level to ..
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Add an Entry to a List

To Delete an Entry from a List

To Edit a List Entry


Configure Preset Value Lists for Surface Texture Symbols (Quick Reference)

Configure the Majority Symbol Representation of Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surface Texture Settings dialog box

Edit List dialog box

Edit List for Direction of Lay dialog box


To Add an Entry to a List (Procedure)

Configure Preset Value Lists for Surface Texture Symbols
Up a level to ..
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Add an Entry to a List

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the Surface Texture symbol.
  4. In the Surface Texture Settings dialog box, click Edit List corresponding to the preset value list you want to edit.
  5. In the Standard values drop-down list, select the type of value to add.
  6. Select the entry to add to the preset value list and click Add.
  7. Click the Move up or Move down buttons to move the new entry.
  8. Click OK until all dialog boxes close.


To Delete an Entry from a List (Procedure)

Configure Preset Value Lists for Surface Texture Symbols
Up a level to ..
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Delete an Entry from a List

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the Surface Texture symbol.
  4. In the Surface Texture Settings dialog box, click Edit List corresponding to the preset value list you want to edit.
  5. In the Standard values drop-down list, select the type of value to add.
  6. In the Preset value list, select the entry to delete.
  7. Click Delete.
  8. Click OK until all dialog boxes close.


To Edit a List Entry (Procedure)

Configure Preset Value Lists for Surface Texture Symbols
Up a level to ..
Welding Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Edit a List Entry

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the Surface Texture symbol.
  4. In the Surface Texture Settings dialog box, click the Edit List button corresponding to the preset value list you want to edit.
  5. In the Preset value list, double-click the entry to edit.
  6. Add or delete text as required and press Enter.
  7. Click OK until all dialog boxes close.
NoteWhile editing a preset value list, press ESC to cancel changes.


Configure Preset Value Lists for Surface Texture Symbols (Quick Reference)

Configure Preset Value Lists for Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Surface Texture Settings dialog box

Use the Surface Texture Settings dialog box to specify the defaults settings of surface texture symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Symbol type

Make circle in the vee small

Sets the size of the Machining Prohibited designation. This option is available only in custom standards.

Force Tail

Controls the default state of the Force Tail button in the Surface Texture dialog box. This button controls the availability of a tail for symbols without text.

Allow all Around

Controls the visibility of the All Around button in the Surface Texture dialog box. This option is not visible in the ANSI standard.

Add Multiple tail

Sets symbols to have an additional tail when multiple lines of text is available above the tail. This option is not visible in the ANSI standard.

NoteThis option is not available for the GOST standard.

Preset lists

Contains a set of buttons that let you customize the drop-down list that are displayed in the Surface Texture dialog box.

Edit list

Displays a dialog box that lets you customize the list at the position represented by the button location.

Majority Symbol

Sets options for the majority symbol, which indicates the state common to all surfaces, using a single collective symbol. This option is not visible of the drafting standard is ANSI.

Simplified

Sets the majority symbol to its simplified representation. Accordingly, only the basic symbol appears in parenthesis at the right of the collective indication.

Full list

Sets the majority symbol to its full representation. Accordingly, if surface texture symbols are present elsewhere in the drawing, their state is fully indicated in parenthesis at the right of the collective indication.

NoteThis option is not available for the GOST standard.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all surface texture symbols that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all surface texture symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all surface texture symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all surface texture symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all surface texture symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure Preset Value Lists for Surface Texture Symbols (Quick Reference)

Configure Preset Value Lists for Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit List dialog box

Use this dialog box to customize the entries in the drop-down list (in the Surface Texture Symbol dialog box) that is named on the title bar.

Standard values (drop-down list)

Specifies the type of values that must be shown in the Standard Values list (the list below the drop-down list).

Standard values (list)

Contains a list of valid values based on the active drafting standard, corresponding to the item selected in the Standard Values drop-down list.

Add (list)

Adds the entry selected in Standard values list to the Preset value list.

Preset value list

Contains the list entries that appear in the drop-down list you are customizing.

New

Adds a new entry to the Preset Value list and enables you to enter text for it.

Edit

Enables you to edit the item selected in the preset values list. Press the ENTER or the Tab key to end editing. Press the ESC key to cancel editing.

Delete

Removes the selected item from the Preset values list.

Move Up

Moves the item selected in the Preset values list up one position.

Move Down

Moves the item selected in the Preset values list down one position.

Restore Defaults

Returns the Preset Value list to its original setting.


Configure Preset Value Lists for Surface Texture Symbols (Quick Reference)

Configure Preset Value Lists for Surface Texture Symbols
Configure Preset Value Lists for Surface Texture Symbols
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Surface Texture Symbols >
Configure Preset Value Lists for Surface Texture Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit List for Direction of Lay dialog box

Use this dialog box to customize the entries in the Direction of lay drop-down list (in the Surface Texture Symbol dialog box) that is named on the title bar.

Preset value list

Contains a list of machining lay specifications. The check box at the beginning of each row specifies whether the machining lay specification on that row is displayed in the Direction of lay drop-down list.

Move Up

Moves the item selected in the Preset values list up one position.

Move Down

Moves the item selected in the Preset values list down one position.

Restore Defaults

Returns the Preset Value list to its original setting.


Welding Symbols

Configure Preset Value Lists for Surface Texture Symbols
Configure Symbols
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols >
Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the Appearance of Welding Symbols


Welding Symbols (Procedure)

Configure Preset Value Lists for Surface Texture Symbols
Up a level to ..
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols >
Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure text height and color for welding symbols

To configure leader settings for welding symbols

To Configure which Supplementary Weld Symbols are Available for Insertion

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Welding Symbols (Concept)

Welding Symbols
Welding Symbols
Edge Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard (and the revision), the default settings for welding symbols change to match that drafting standard. If necessary, you can customize these settings to suit your drafting requirements

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you specify their default properties. These settings are the master settings.

In the Welding Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, welding symbols automatically acquire the new settings. If you do not want welding symbols to follow the master settings, you can override the text height and select a specific value.

You can also specify which supplementary weld symbols are available for selection when you insert a welding symbol into a drawing. You can also configure the gap between the identification line and reference line.


Configure the Appearance of Welding Symbols (Procedure)

Welding Symbols
Up a level to ..
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for welding symbols

To configure leader settings for welding symbols

To Configure which Supplementary Weld Symbols are Available for Insertion

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Welding Symbols (Quick Reference)

Configure Preset Value Lists for Surface Texture Symbols
Configure the Appearance of Welding Symbols
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Welding Settings dialog box

Standard Settings dialog box


To configure text height and color for welding symbols (Procedure)

Configure the Appearance of Welding Symbols
Up a level to ..
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for welding symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Welding. The Welding Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure leader settings for welding symbols (Procedure)

Configure the Appearance of Welding Symbols
Up a level to ..
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for welding symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Welding. The Welding Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure which Supplementary Weld Symbols are Available for Insertion (Procedure)

Configure the Appearance of Welding Symbols
Up a level to ..
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure which Supplementary Weld Symbols are Available for Insertion

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the standard elements list, double-click the Welding symbol.
  4. In the Show symbols for list, select a category.
  5. In the list of supplementary weld symbols, select the check boxes adjacent to the symbols to make available and clear the others.
  6. Repeat steps 4 and 5 for all required categories.
  7. Click OK until all dialog boxes close.


To Configure Master Settings for Text Height (Procedure)

Configure the Appearance of Welding Symbols
Up a level to ..
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure the Appearance of Welding Symbols
Up a level to ..
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the Appearance of Welding Symbols
Up a level to ..
Edge Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the Appearance of Welding Symbols (Quick Reference)

Configure the Appearance of Welding Symbols
Configure the Appearance of Welding Symbols
Configure the Appearance of Welding Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Welding Settings dialog box

Revision

Displays most recent revision of the standard this symbol complies with.

Identification Line

Defines the appearance of identification lines. This section is not visible if the active drafting standard is ANSI, GOST, or JIS.

Line Type

Displays the linetype to use for identification lines. This option is available only for custom standards.

Gap

Sets the distance between the identification line and the reference line.

Weld Symbols

Allow ISO Standards

Makes additional ISO symbols available for selection. This option is available only for the JIS standard.

Show symbols for

Sets the symbol types. Available types are Weld Symbols, Contour Symbols, and Backing Symbols.

Symbols list

Displays a list of supplementary weld symbols supported by the system. Select the check box in front of a weld symbol to make it available for insertion via the AMWELDSYM command.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all welding symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow sizes for all welding symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader colors of all welding symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all welding symbols based on the current drafting standard changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts the selection to values in the list.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Set text object colors in the Object Property Settings dialog box.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text colors of all welding symbols based on the current drafting standard change automatically.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the Appearance of Welding Symbols (Quick Reference)

Configure the Appearance of Welding Symbols
Configure the Appearance of Welding Symbols
Configure the Appearance of Edge Symbols
Configuration and setup guide > Configure Symbols > Welding Symbols >
Configure the Appearance of Welding Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Edge Symbols

Configure the Appearance of Welding Symbols
Configure Symbols
Configure the Appearance of Edge Symbols
Configuration and setup guide > Configure Symbols >
Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the Appearance of Edge Symbols
  • Configure the Majority Symbol Representation of Edge Symbols


Edge Symbols (Procedure)

Configure the Appearance of Welding Symbols
Up a level to ..
Configure the Appearance of Edge Symbols
Configuration and setup guide > Configure Symbols >
Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Configure Master Settings for Text Height

To Configure the Master Settings for Leaders

To Configure Symbol Leaders

To Configure Majority Symbol Representation


Configure the Appearance of Edge Symbols (Concept)

Edge Symbols
Edge Symbols
Configure the Majority Symbol Representation of Edge Symbols
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Appearance of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard (and the revision), the default settings for edge symbols change to match that drafting standard. If necessary, you can customize these settings to suit your drafting requirements.

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

In the Edge Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, edge symbols automatically acquire the new settings. However, if you do not want welding symbols to follow the master settings, you can override the text height and select a specific value.


Configure the Appearance of Edge Symbols (Procedure)

Edge Symbols
Up a level to ..
Configure the Appearance of Edge Symbols
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Appearance of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

To Configure the Master Settings for Leaders

To Configure Symbol Leaders


Configure the Appearance of Edge Symbols (Quick Reference)

Configure the Appearance of Welding Symbols
Configure the Appearance of Edge Symbols
Configure the Appearance of Edge Symbols
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Appearance of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edge Settings dialog box

Standard Settings dialog box


To Configure Master Settings for Text Height (Procedure)

Configure the Appearance of Edge Symbols
Up a level to ..
Configure the Appearance of Edge Symbols
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Appearance of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure the Master Settings for Leaders (Procedure)

Configure the Appearance of Edge Symbols
Up a level to ..
Configure the Appearance of Edge Symbols
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Appearance of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


To Configure Symbol Leaders (Procedure)

Configure the Appearance of Edge Symbols
Up a level to ..
Configure the Majority Symbol Representation of Edge Symbols
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Appearance of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Symbol Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the symbol.
  4. In the Leader section, select the arrowhead, arrowhead size, and color.
  5. Click OK until all dialog boxes close.


Configure the Appearance of Edge Symbols (Quick Reference)

Configure the Appearance of Edge Symbols
Configure the Appearance of Edge Symbols
Configure the Appearance of Edge Symbols
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Appearance of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edge Settings dialog box

Use the Edge Settings dialog box to specify the defaults settings of edge symbols, for the current drafting standard.

Revision

Displays the current standard.

Majority Symbol

Sets options for the majority symbol, which indicates the state common to all edges, using a single collective symbol.

Simplified

Sets the majority symbol to its simplified representation. Accordingly, only the basic symbol appears in parenthesis, at the right of the collective indication.

Full list

Sets the majority symbol to its full representation. Accordingly, if edge symbols are present elsewhere in the drawing, their state is fully indicated in parenthesis at the right of the collective indication.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all edge symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all edge symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all edge symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all edge symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all edge symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the Appearance of Edge Symbols (Quick Reference)

Configure the Appearance of Edge Symbols
Configure the Appearance of Edge Symbols
Configure the Majority Symbol Representation of Edge Symbols
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Appearance of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the Majority Symbol Representation of Edge Symbols (Concept)

Configure the Appearance of Edge Symbols
Edge Symbols
Feature Control Frames
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Majority Symbol Representation of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical enables you to set an edge symbol as a majority symbol, which enables a single collective symbol to indicate the state common to all edges. You can opt to set the format of the majority symbol to the simplified representation or the full list representation. In the simplified representation, only the basic symbol appears in parentheses to the right of the collective indication. In the full list representation, if edge symbols are present elsewhere in the drawing, their states appear in parentheses at the right of the collective indication.


To Configure Majority Symbol Representation (Procedure)

Configure the Appearance of Edge Symbols
Up a level to ..
Feature Control Frames
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Majority Symbol Representation of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Majority Symbol Representation

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the symbol.
  4. In the Majority symbol section, select the default representation.
  5. Click OK until all dialog boxes close.


Configure the Majority Symbol Representation of Edge Symbols (Quick Reference)

Configure the Appearance of Edge Symbols
Configure the Majority Symbol Representation of Edge Symbols
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Edge Symbols >
Configure the Majority Symbol Representation of Edge Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edge Settings dialog box

Use the Edge Settings dialog box to specify the defaults settings of edge symbols, for the current drafting standard.

Revision

Displays the current standard.

Majority Symbol

Sets options for the majority symbol, which indicates the state common to all edges, using a single collective symbol.

Simplified

Sets the majority symbol to its simplified representation. Accordingly, only the basic symbol appears in parenthesis, at the right of the collective indication.

Full list

Sets the majority symbol to its full representation. Accordingly, if edge symbols are present elsewhere in the drawing, their state is fully indicated in parenthesis at the right of the collective indication.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all edge symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all edge symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all edge symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all edge symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all edge symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Feature Control Frames

Configure the Majority Symbol Representation of Edge Symbols
Configure Symbols
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols >
Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the Appearance of Feature Control Frames


Feature Control Frames (Procedure)

Configure the Majority Symbol Representation of Edge Symbols
Up a level to ..
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols >
Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure text height and color for feature control frame symbols

To configure leader settings for feature control frame symbols

To Configure which GD&T Symbols are Available for Insertion

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Feature Control Frames (Concept)

Feature Control Frames
Feature Control Frames
Taper and Slope symbols
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard (and the revision), the default settings for feature control frames change to match that drafting standard. If necessary, you can customize these settings to suit your drafting requirements

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

In the Feature Control Frame Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, feature control frame symbols automatically acquire the new settings. If you do not want feature control frame symbols to follow the master settings, you can override the text height and select a specific value.

You can also specify what geometric dimensioning and tolerancing (GD&T) symbols are available for selection when you insert a feature control frame into a drawing.


Configure the Appearance of Feature Control Frames (Procedure)

Feature Control Frames
Up a level to ..
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for feature control frame symbols

To configure leader settings for feature control frame symbols

To Configure which GD&T Symbols are Available for Insertion

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Feature Control Frames (Quick Reference)

Configure the Majority Symbol Representation of Edge Symbols
Configure the Appearance of Feature Control Frames
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Feature Control Frame Settings dialog box

Standard Settings dialog box


To configure text height and color for feature control frame symbols (Procedure)

Configure the Appearance of Feature Control Frames
Up a level to ..
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for feature control frame symbols

  1. Click None tab [image] None panel. At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Feature Control Frame. The Feature Control Frame Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure leader settings for feature control frame symbols (Procedure)

Configure the Appearance of Feature Control Frames
Up a level to ..
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for feature control frame symbols

  1. Click the None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Feature Control Frame. The Feature Control Frame Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure which GD&T Symbols are Available for Insertion (Procedure)

Configure the Appearance of Feature Control Frames
Up a level to ..
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure which GD&T Symbols are Available for Insertion

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the standard elements list, double-click the Feature Control Frame symbol.
  4. In the Show symbols for list, select a category.
  5. In the list of Geometric Dimensioning and Tolerancing symbols, select the check boxes adjacent to the symbols to make available and clear the others.
  6. Repeat steps 4 and 5 for all required categories.
  7. Click OK until all dialog boxes close.


To Configure Master Settings for Text Height (Procedure)

Configure the Appearance of Feature Control Frames
Up a level to ..
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure the Appearance of Feature Control Frames
Up a level to ..
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the Appearance of Feature Control Frames
Up a level to ..
Taper and Slope symbols
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the Appearance of Feature Control Frames (Quick Reference)

Configure the Appearance of Feature Control Frames
Configure the Appearance of Feature Control Frames
Configure the Appearance of Feature Control Frames
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Feature Control Frame Settings dialog box

Use the Feature Control Frame Settings dialog box to configure the default settings of Feature Control Frames for the current standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Merge Styles

Provides options to merge cells by removing duplication of tolerance types, tolerance zones, and datum references.

Merge symbol

Merges symbol cells, if the cells contain the same symbol.

Merge tolerance

Merges vertically adjacent tolerance cells, if the tolerance values are identical.

Merge datums

Merges vertically adjacent datum cells, if the tolerances are identical.

Adjust cells to vertically align

Pads cell contents with spaces so that cells of similar zones are of the same width.

Geometric Dimensioning and Tolerancing

Provides options to select which geometric dimensioning and tolerancing symbols will be available for insertion in Feature Control Frames.

Show symbols for

Selects a symbols category to display in the list of symbols.

Symbols list

Displays a list of for the selected category. Select the check box in front of a symbol to make it available for insertion via the AMFCFRAME command.

Symbol text style

Sets a text style for the geometric symbols used in feature control frames. This option is available only for custom standards.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all feature control frame symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all feature control frame symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all feature control frame symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all feature control frame symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all feature control frame symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the Appearance of Feature Control Frames (Quick Reference)

Configure the Appearance of Feature Control Frames
Configure the Appearance of Feature Control Frames
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Feature Control Frames >
Configure the Appearance of Feature Control Frames
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Taper and Slope symbols

Configure the Appearance of Feature Control Frames
Configure Symbols
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the Appearance of Taper and Slope Symbols


Taper and Slope symbols (Procedure)

Configure the Appearance of Feature Control Frames
Up a level to ..
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols >
Taper and Slope symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure the default representation of slope/taper rate

To configure text height and color for taper and slope symbols

To configure leader settings for taper and slope symbols

To Configure which Graphical Symbols are Available for Insertion

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Taper and Slope Symbols (Concept)

Taper and Slope symbols
Taper and Slope symbols
Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard, the default settings for taper and slope symbols change to match that drafting standard. You can customize these settings to suit your drafting requirements

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

In the Taper and Slope Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, taper and slope symbols automatically acquire the new settings. If you do not want the taper and slope symbols to follow the master settings, override the text height and select a specific value.

You can also specify whether the slope/taper rate is expressed as a ratio or as a percentage, by default. If you select ratio, you can specify how to represent the ratio.


Configure the Appearance of Taper and Slope Symbols (Procedure)

Taper and Slope symbols
Up a level to ..
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure the default representation of slope/taper rate

To configure text height and color for taper and slope symbols

To configure leader settings for taper and slope symbols

To Configure which Graphical Symbols are Available for Insertion

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Taper and Slope Symbols (Quick Reference)

Configure the Appearance of Feature Control Frames
Configure the Appearance of Taper and Slope Symbols
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Taper and Slope Settings dialog box

Standard Settings dialog box


To configure the default representation of slope/taper rate (Procedure)

Configure the Appearance of Taper and Slope Symbols
Up a level to ..
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure the default representation of slope/taper rate

  1. Click the None tab [image] None panel. At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Taper and Slope. The Taper and Slope Settings dialog box appears.
  4. In the Preferred dimension type section, select the representation.
  5. If you selected ratio:
    1. In the Format list, select how the ratio must be represented.
    2. In the Separator box, specify one or more characters to separate the two numbers in the ratio.
  6. Click OK until all dialog boxes close.


To configure text height and color for taper and slope symbols (Procedure)

Configure the Appearance of Taper and Slope Symbols
Up a level to ..
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for taper and slope symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Taper and Slope. The Taper and Slope Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure leader settings for taper and slope symbols (Procedure)

Configure the Appearance of Taper and Slope Symbols
Up a level to ..
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for taper and slope symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Taper and Slope. The Taper and Slope Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure which Graphical Symbols are Available for Insertion (Procedure)

Configure the Appearance of Taper and Slope Symbols
Up a level to ..
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure which Graphical Symbols are Available for Insertion

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the standard elements list, double-click the Taper and Slope symbol.
  4. In the list of symbols, select the check boxes adjacent to the symbol to make available and clear the others.
  5. Click OK until all dialog boxes close.


To Configure Master Settings for Text Height (Procedure)

Configure the Appearance of Taper and Slope Symbols
Up a level to ..
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure the Appearance of Taper and Slope Symbols
Up a level to ..
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the Appearance of Taper and Slope Symbols
Up a level to ..
Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the Appearance of Taper and Slope Symbols (Quick Reference)

Configure the Appearance of Taper and Slope Symbols
Configure the Appearance of Taper and Slope Symbols
Configure the Appearance of Taper and Slope Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Taper and Slope Settings dialog box

Use the Taper and Slope Settings dialog box to configure the default settings of taper and slope symbols for the active standard.

Revision

Displays the name and revision of the drafting standard on which the symbol is based.

Preferred dimension type

Defines whether the calculated slope/taper rates are expressed as a percentage or a ratio, by default.

Format

Defines the format in which ratios are expressed.

Separator

Defines the ratio separator to use in the ratio format. You can use alphanumeric characters, including spaces. If you do not specify a separator, the AMTAPERSYM command uses the colon character (:) as the separator.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all taper/slope symbols which are set to ByNameOfCurrentDraftingStandard change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow sizes for all taper/slope symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all taper/slope symbols based on the current drafting standard changes automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all taper/slope symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all taper/slope symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the Appearance of Taper and Slope Symbols (Quick Reference)

Configure the Appearance of Taper and Slope Symbols
Configure the Appearance of Taper and Slope Symbols
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Taper and Slope symbols >
Configure the Appearance of Taper and Slope Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Datum and Feature Identification Symbols

Configure the Appearance of Taper and Slope Symbols
Configure Symbols
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols >
Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the Appearance of Datum and Feature Identification Symbols


Datum and Feature Identification Symbols (Procedure)

Configure the Appearance of Taper and Slope Symbols
Up a level to ..
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols >
Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure text height and color for datum and feature identifier symbols

To configure leader settings for datum and feature identifier symbols

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Datum and Feature Identification Symbols (Concept)

Datum and Feature Identification Symbols
Datum and Feature Identification Symbols
Datum target symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard, the default settings for datum identification symbols and feature identification symbols change to match that drafting standard. If necessary, you can customize these settings to suit your drafting requirements.

You cannot change settings of datum identification symbols independently of feature identification symbols. Both symbols derive their settings from the same set of configuration parameters. The only configurable options available for these symbols are the text and leader settings.

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

In the Datum And Feature Identification Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, datum and feature identification symbols automatically acquire the new settings. However, if you do not want datum and feature identification symbols to follow the master settings, you can override the text height and select a specific value.


Configure the Appearance of Datum and Feature Identification Symbols (Procedure)

Datum and Feature Identification Symbols
Up a level to ..
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for datum and feature identifier symbols

To configure leader settings for datum and feature identifier symbols

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Datum and Feature Identification Symbols (Quick Reference)

Configure the Appearance of Taper and Slope Symbols
Configure the Appearance of Datum and Feature Identification Symbols
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum and Feature Identifier Settings dialog box

Standard Settings dialog box


To configure text height and color for datum and feature identifier symbols (Procedure)

Configure the Appearance of Datum and Feature Identification Symbols
Up a level to ..
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for datum and feature identifier symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Datum and Feature Identifier. The Datum and Feature Identifier Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure leader settings for datum and feature identifier symbols (Procedure)

Configure the Appearance of Datum and Feature Identification Symbols
Up a level to ..
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for datum and feature identifier symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Datum and Feature Identifier. The Datum and Feature Identifier Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure Master Settings for Text Height (Procedure)

Configure the Appearance of Datum and Feature Identification Symbols
Up a level to ..
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure the Appearance of Datum and Feature Identification Symbols
Up a level to ..
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the Appearance of Datum and Feature Identification Symbols
Up a level to ..
Datum target symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the Appearance of Datum and Feature Identification Symbols (Quick Reference)

Configure the Appearance of Datum and Feature Identification Symbols
Configure the Appearance of Datum and Feature Identification Symbols
Configure the Appearance of Datum and Feature Identification Symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum and Feature Identifier Settings dialog box

Use the Datum and Feature Identifier Settings dialog box to specify the defaults settings of datum and feature identification symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all datum and feature identifier symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all datum and feature identifier symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all datum and feature identifier symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all datum and feature identifier symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all datum and feature identifier symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the Appearance of Datum and Feature Identification Symbols (Quick Reference)

Configure the Appearance of Datum and Feature Identification Symbols
Configure the Appearance of Datum and Feature Identification Symbols
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum and Feature Identification Symbols >
Configure the Appearance of Datum and Feature Identification Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Datum target symbols

Configure the Appearance of Datum and Feature Identification Symbols
Configure Symbols
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols >
Datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the appearance of datum target symbols


Datum target symbols (Procedure)

Configure the Appearance of Datum and Feature Identification Symbols
Up a level to ..
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols >
Datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure text height and color for datum target symbols

To configure leader settings for datum target symbols

To Configure Circular and Rectangular Terminations

To Configure Point Terminations

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the appearance of datum target symbols (Concept)

Datum target symbols
Datum target symbols
Marking/Stamping Symbol
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard (and the correct revision), the default settings for datum target symbols change to match that drafting standard. If necessary, you can customize these settings to suit your drafting requirements.

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

In the Datum Target Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, datum target symbols automatically acquire the new settings. If you do not want datum target symbols to follow the master settings, you can override the text height and select a specific value.

For datum target symbols with circular and rectangular terminations, you can specify the hatch angle, hatch spacing, and boundary line type. For datum target symbols with point terminations, you can specify the size of the point of termination and specify whether or not the symbol includes an arrowhead.


Configure the appearance of datum target symbols (Procedure)

Datum target symbols
Up a level to ..
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for datum target symbols

To configure leader settings for datum target symbols

To Configure Circular and Rectangular Terminations

To Configure Point Terminations

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the appearance of datum target symbols (Quick Reference)

Configure the Appearance of Datum and Feature Identification Symbols
Configure the appearance of datum target symbols
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum Target Settings dialog box

Standard Settings dialog box


To configure text height and color for datum target symbols (Procedure)

Configure the appearance of datum target symbols
Up a level to ..
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for datum target symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Datum Target. The Datum Target Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure leader settings for datum target symbols (Procedure)

Configure the appearance of datum target symbols
Up a level to ..
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for datum target symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Datum Target. The Datum Target Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure Circular and Rectangular Terminations (Procedure)

Configure the appearance of datum target symbols
Up a level to ..
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Circular and Rectangular Terminations

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the Datum Target symbol.
  4. In the Datum Target Settings dialog box, in the Area hatch distance box, select the hatch spacing for the termination.
  5. In the Hatch angle box, specify the hatch angle.
  6. In the Boundary linetype list, select the boundary line type for the termination.
  7. Click OK until all dialog boxes close.
NoteWhile editing a preset value list, press ESC to cancel changes.


To Configure Point Terminations (Procedure)

Configure the appearance of datum target symbols
Up a level to ..
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Point Terminations

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the symbol.
  4. To draw an arrowhead at the leader start point, In the Datum Target Settings dialog box, select the Draw arrowhead for point termination check box.
  5. Click OK until all dialog boxes close.
NoteWhile editing a preset value list, press ESC to cancel changes.


To Configure Master Settings for Text Height (Procedure)

Configure the appearance of datum target symbols
Up a level to ..
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure the appearance of datum target symbols
Up a level to ..
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the appearance of datum target symbols
Up a level to ..
Marking/Stamping Symbol
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the appearance of datum target symbols (Quick Reference)

Configure the appearance of datum target symbols
Configure the appearance of datum target symbols
Configure the appearance of datum target symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Datum Target Settings dialog box

Use the Datum Target Settings dialog box to configure the default settings of datum target symbols for the current standard.

Revision

Displays most recent revision of the standard this symbol complies with.

Style

Target point size

Sets the size of the target point for datum targets with point terminations. The value you set refers to half the width of the “X” the target point.

Area hatch distance

Sets the distance between hatch lines for datum targets with rectangular and circular terminations.

Hatch angle

Sets the hatch angle for datum targets with rectangular and circular terminations.

Boundary linetype

Specifies the linetype to use for the datum target boundary for datum targets with rectangular and circular terminations.

Leader

Hidden linetype

Specifies the linetype to use for the leader of datum target symbols that indicate that the datum target target is on the far side.

Draw arrowhead for point termination

Specifies whether arrowheads are drawn for datum targets with point terminations. This setting has no affect on datum target symbols that already exist in a drawing. It only affects new symbols you create.

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all datum target symbols that are set to ByNameOfCurrentDraftingStandard, change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all datum target symbols based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all datum target symbols based on the current drafting standard change automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all datum target symbols based on the current drafting standard change automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all datum target symbols based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the appearance of datum target symbols (Quick Reference)

Configure the appearance of datum target symbols
Configure the appearance of datum target symbols
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Datum target symbols >
Configure the appearance of datum target symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Marking/Stamping Symbol

Configure the appearance of datum target symbols
Configure Symbols
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols >
Marking/Stamping Symbol
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the appearance of marking/stamping symbols


Marking/Stamping Symbol (Procedure)

Configure the appearance of datum target symbols
Up a level to ..
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols >
Marking/Stamping Symbol
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure text height and color for marking and stamping symbols

To configure leader settings for marking and stamping symbols

To Configure Marking/stamping Preset Lists

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the appearance of marking/stamping symbols (Concept)

Marking/Stamping Symbol
Marking/Stamping Symbol
Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard, the default settings change to match that drafting standard. Using the options in the Marking/Stamping Settings dialog box, you can change the default appearance of symbols.

For example, you can select the preset lists to view, leader types, arrowhead types, and font colors.


Configure the appearance of marking/stamping symbols (Procedure)

Marking/Stamping Symbol
Up a level to ..
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for marking and stamping symbols

To configure leader settings for marking and stamping symbols

To Configure Marking/stamping Preset Lists

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the appearance of marking/stamping symbols (Quick Reference)

Configure the appearance of datum target symbols
Configure the appearance of marking/stamping symbols
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Marking/Stamping Settings dialog box

Standard Settings dialog box


To configure text height and color for marking and stamping symbols (Procedure)

Configure the appearance of marking/stamping symbols
Up a level to ..
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for marking and stamping symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Marking/Stamping. The Marking/Stamping Settings dialog box appears.
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure leader settings for marking and stamping symbols (Procedure)

Configure the appearance of marking/stamping symbols
Up a level to ..
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for marking and stamping symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Marking/Stamping. The Marking/Stamping Settings dialog box appears.
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure Marking/stamping Preset Lists (Procedure)

Configure the appearance of marking/stamping symbols
Up a level to ..
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Marking/stamping Preset Lists

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Settings dialog box, double-click Marking/Stamping. The Marking/Stamping Settings dialog box appears.
  4. In the Preset Lists section, select the appropriate marking or stamping requirement.

    Depending on the requirement you select, the options in the scrolling field change. Requirements include the following:

    • Marking Content
    • Marking Technique
    • Stamping Content
    • Stamping Technique
  5. Select the check boxes that correspond to the items to display in the Marking/Stamping symbol dialog box.
  6. Click OK to accept the changes and close the dialog box.


To Configure Master Settings for Text Height (Procedure)

Configure the appearance of marking/stamping symbols
Up a level to ..
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure the appearance of marking/stamping symbols
Up a level to ..
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the appearance of marking/stamping symbols
Up a level to ..
Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the appearance of marking/stamping symbols (Quick Reference)

Configure the appearance of marking/stamping symbols
Configure the appearance of marking/stamping symbols
Configure the appearance of marking/stamping symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Marking/Stamping Settings dialog box

Use the Marking/Stamping Settings dialog box to specify the default settings for the marking symbol and stamping symbol.

Revision

Displays most recent revision of the standard with which this symbol complies.

Preset Lists

Select the items to appear in the marking or stamping method and content drop-down lists.

Show requirements for

Displays the items that can appear in each list. A check mark indicates that the item is included in the list.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to By NameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all marking/stamping symbols that are set to ByNameOfCurrentDraftingStandard changes automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all marking/stamping symbols based on the current drafting standard changes automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all marking/stamping symbols based on the current drafting standard changes automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to By NameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all marking/stamping symbols based on the current drafting standard changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to By NameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all marking/stamping symbols based on the current drafting standard changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the appearance of marking/stamping symbols (Quick Reference)

Configure the appearance of marking/stamping symbols
Configure the appearance of marking/stamping symbols
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Marking/Stamping Symbol >
Configure the appearance of marking/stamping symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Dead Joint Symbols

Configure the appearance of marking/stamping symbols
Configure Symbols
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols >
Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the Appearance of Dead Joint Symbols


Dead Joint Symbols (Procedure)

Configure the appearance of marking/stamping symbols
Up a level to ..
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols >
Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure text height and color for dead joint symbols

To configure leader settings for dead joint symbols

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Dead Joint Symbols (Concept)

Dead Joint Symbols
Dead Joint Symbols
Leader Notes
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The dead joint symbol is supported only by the GOST standard.

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

In the Dead Joint Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, dead joint symbols automatically acquire the new settings. If you do not want dead joint symbols to follow the master settings, override the text height and select a specific value.


Configure the Appearance of Dead Joint Symbols (Procedure)

Dead Joint Symbols
Up a level to ..
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for dead joint symbols

To configure leader settings for dead joint symbols

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


Configure the Appearance of Dead Joint Symbols (Quick Reference)

Configure the appearance of marking/stamping symbols
Configure the Appearance of Dead Joint Symbols
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dead Joint Settings dialog box

Standard Settings dialog box


To configure text height and color for dead joint symbols (Procedure)

Configure the Appearance of Dead Joint Symbols
Up a level to ..
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for dead joint symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dead Joint. The Dead Joint Settings dialog box appears.
    NoteOnly the GOST standard and custom standards based on GOST supports dead joint symbols
  4. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To configure leader settings for dead joint symbols (Procedure)

Configure the Appearance of Dead Joint Symbols
Up a level to ..
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure leader settings for dead joint symbols

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dead Joint. The Dead Joint Settings dialog box appears.
    NoteOnly the GOST standard and custom standards based on GOST supports dead joint symbols
  4. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  6. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  7. Click OK until all dialog boxes close.


To Configure Master Settings for Text Color (Procedure)

Configure the Appearance of Dead Joint Symbols
Up a level to ..
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the Appearance of Dead Joint Symbols
Up a level to ..
Leader Notes
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the Appearance of Dead Joint Symbols (Quick Reference)

Configure the Appearance of Dead Joint Symbols
Configure the Appearance of Dead Joint Symbols
Configure the Appearance of Dead Joint Symbols
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dead Joint Settings dialog box

Use this dialog box to specify the defaults settings of dead joint symbols, for the current drafting standard.

Revision

Displays most recent revision of the standard with which this symbol complies.

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads for all dead joint symbols that are set to ByNameOfCurrentDraftingStandard change automatically.

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all dead joint symbols based on the current drafting standard changes automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all dead joint symbols based on the current drafting standard changes automatically.

Text

Height

Specifies the text height for symbol text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all dead joint symbols based on the current drafting standard changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Specifies the color of symbol text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all dead joint symbols based on the current drafting standard changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure the Appearance of Dead Joint Symbols (Quick Reference)

Configure the Appearance of Dead Joint Symbols
Configure the Appearance of Dead Joint Symbols
Configure the appearance of notes
Configuration and setup guide > Configure Symbols > Dead Joint Symbols >
Configure the Appearance of Dead Joint Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Leader Notes

Configure the Appearance of Dead Joint Symbols
Configure Symbols
Configure the appearance of notes
Configuration and setup guide > Configure Symbols >
Leader Notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure the appearance of notes
  • Customize the symbol library for note templates


Leader Notes (Procedure)

Configure the Appearance of Dead Joint Symbols
Up a level to ..
Configure the appearance of notes
Configuration and setup guide > Configure Symbols >
Leader Notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Configure Text Height and Color for Leader Notes

To Configure the Leader Settings of Leader Notes

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders

To enter a formula in a leader note

To add a leader note as a template to the symbol library

To import leader note templates from another drawing

To rename a leader note template

To set a default template for an object type


Configure the appearance of notes (Concept)

Leader Notes
Leader Notes
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Configure the appearance of notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard (and the revision), the default settings for notes change to match that drafting standard. You can customize these settings to suit your drafting requirements.

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

In the Note Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, note symbols automatically acquire the new settings. If you do not want note symbols to follow the master settings, you can override the text height and select a specific value.

AutoCAD Mechanical notes automatically pick up information from the objects to which they are attached. As such, note text can be compiled as a formula that contains attributes of the object to which the note is attached. You can save such formula-based note text as templates, enabling intelligent notes that automatically describe the objects to which they are attached. For example, when you attach a note to a hole, the note recognizes the attached object as a hole and applies the most appropriate template — by default a template that shows the hole type and its diameter. If necessary, you can modify the templates supplied with the drafting standard or add your own.


Configure the appearance of notes (Procedure)

Leader Notes
Up a level to ..
Configure the appearance of notes
Configuration and setup guide > Configure Symbols > Leader Notes >
Configure the appearance of notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Leader Notes

To Configure the Leader Settings of Leader Notes

To Configure Master Settings for Text Height

To Configure Master Settings for Text Color

To Configure the Master Settings for Leaders


To Configure Text Height and Color for Leader Notes (Procedure)

Configure the appearance of notes
Up a level to ..
Configure the appearance of notes
Configuration and setup guide > Configure Symbols > Leader Notes >
Configure the appearance of notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Leader Notes

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Note. The Note Settings dialog box appears.
  4. Click the Leader and Text tab.
  5. To change the text height, in the Text section, in the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  6. To change the text color, in the Text section, in the Color list, select the color.
  7. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can click inside the Height box and type any text height.


To Configure the Leader Settings of Leader Notes (Procedure)

Configure the appearance of notes
Up a level to ..
Configure the appearance of notes
Configuration and setup guide > Configure Symbols > Leader Notes >
Configure the appearance of notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Leader Settings of Leader Notes

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Note. The Note Settings dialog box appears.
  4. Click the Leader and Text tab.
  5. To change the Arrowhead shape, in the Leader section, in the Arrowhead list, select the arrowhead.
  6. To change the arrow size, in the Leader section, in the Arrow size list, select the size.
  7. To change the leader color, in the Leader section, in the Color list, select the color.
    NoteTo acquire the arrowhead shape, arrow size, and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard” in the respective lists.
  8. Click OK until all dialog boxes close.


To Configure Master Settings for Text Height (Procedure)

Configure the appearance of notes
Up a level to ..
Configure the appearance of notes
Configuration and setup guide > Configure Symbols > Leader Notes >
Configure the appearance of notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure Master Settings for Text Color (Procedure)

Configure the appearance of notes
Up a level to ..
Configure the appearance of notes
Configuration and setup guide > Configure Symbols > Leader Notes >
Configure the appearance of notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Color

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. Click Settings. The Object Property Settings dialog box appears.
  5. In the Category list, click Text. The Show Properties for Text list shows the text categories supported by AutoCAD Mechanical.
  6. Click the color icon in the row corresponding to the text category to change the color for. The Select Color dialog box appears.
  7. Click a color and then click OK.
  8. Click in the Lineweight column and select the lineweight from the drop-down list.
  9. Click OK until all dialog boxes close.
NoteThe text color settings reset to the selected color for all objects containing text.


To Configure the Master Settings for Leaders (Procedure)

Configure the appearance of notes
Up a level to ..
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Configure the appearance of notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


Configure the appearance of notes (Quick Reference)

Configure the Appearance of Dead Joint Symbols
Configure the appearance of notes
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Configure the appearance of notes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Note Settings dialog box

Use the Note Settings dialog box to customize the default settings of leader notes for the current drafting standard.

Symbol tab

Options

Show reference line

Adds a reference line from the leader to the note text. The icon to the left of the check box shows the result.

Requirements

Variables

Displays a list of functions and references to the properties of the object note can be attached to. Select an item from the list to insert it into the multiline text editor. The item appears at the cursor position.

Insert symbol

Displays a palette to enable you to insert a special character at the current cursor position in the multi-line text editor. In the rendered text mode, the editor shows the special character while in the plain text mode the editor shows the corresponding control key sequence.

Multi-line text editor

Edits note text. Use this editor to edit text, formulas, and special symbols to be displayed as note text. Use the right-click menu to access special editing tools.

Right-click menu options

Enables you to specify the formatting for the segment of text selected in the multi-line text editor. The formatting options are:

  • Underline - Toggles underlining for the selected text
  • Overline - Toggles overlining for the selected text
  • Align - Specifies how the selected text aligns with stacked text on the same line
  • Stack- Stacks two segments of text, separated by a “/” character.
  • Text Color - Specifies a color for the selected text
  • Text Height - Applies a scale factor for the selected text
  • Text Font - Specifies a font for the selected text
  • Text Width - Applies a scale factor for the width of the selected text
  • Tracking Factor - Specifies the spacing between characters of the selected text
  • Dim Style - Applies a dimension style for a numerical expression. This option is available only when a numerical expression is selected.
  • Precision - Enables you to specify a precision for a numerical expression. This option is available only if a numerical expression is selected.

Preview display mode

Specifies how note text appears in the multi-line text editor.

  • Plain Text - Displays formulas and formatting signs that define the note text.
  • Rendered Text Colored - Renders all formulas and formatting signs to preview the note.
  • Rendered Text Mono - Displays monochromatically the same text as the Rendered Text Colored mode.
TipUse the Plain Text mode to define formulas, especially if you are inserting functions. It also gives you more control over where to place references. Use a rendered mode to check the formula.

Library

Category

Displays a list of object categories for which you can create note templates.

Templates

Displays the list of available templates for the selected category.

Menu options

Add

Saves the text in the multi-line text editor as a new note template. The new template is added to the symbol library.

Delete

Deletes the selected note template from the symbol library.

Rename

Makes the template name editable. AutoCAD Mechanical validates the name you provide to ensure that the names of templates for a given category are unique.

Set default

Makes the selected template the default template for the selected category. A blue tick mark appears next to the default template name. When you attach a note to an object described by the selected category, the default template loads automatically.

Remove default

Removes the default status of the selected template. This menu option is available only on the default template. When no default template is selected, no note text appears in the multi-line text editor.

Add

Saves the content of the multi-line text editor as a new template. Prompts to name the new item.

Import

Imports templates from the symbol library of another drawing. You can only import symbols of the same standard and revision as the one you are editing.

Leader and Text tab

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads of all notes that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all notes based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all notes based on the current drafting standard change automatically.

Text

Height

Specifies the text height for note text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all notes based on the current drafting standard change automatically.

Color

Specifies the color of note text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all notes based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader justification

Sets the position of the note text in relation to the leader end point.

NoteThis options is disabled for the GOST standard. However, it is available for custom standards based on the GOST standard.

Restore Defaults

Restores all settings of this dialog box to the preset default values for the current standard.


Customize the symbol library for note templates (Concept)

Configure the appearance of notes
Leader Notes
Configure BOMs, Balloons, and Parts Lists
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Note templates contain predefined note text to be used as defaults for notes. They are usually formulas, providing notes the intelligence to determine the most appropriate note text to display, depending on the context.

There are two ways to create note templates:

  1. Create templates using the AMNOTE command.

    Attach a leader note to the appropriate object and specify a formula. Thereafter you save the formula to the symbol library, as a template. The advantages of this method are:

    • The template is automatically associated with the correct object type.
    • References (variables) are filtered and only the applicable references are selectable.
    • The ability to verify that the formula is correct immediately by rendering the formula
  2. Create templates from the Options dialog box.

    The advantages of this method are:

    • No need to create a note symbol in the drawing area.
    • When you import a library from another drawing, you can verify and eliminate duplicates by switching filters.

We recommend the following.

  • Use the AMNOTE command to create formulas and add them as templates to the symbol library.
  • Use the Options dialog box only if you are importing the symbol library from another drawing.

When you configure .dwt files for your company standard and you want to include all custom note templates in the .dwt files:

  • In a .dwg file, create all the formulas you need and add them to the symbol library.
  • Open the .dwt file and import the symbol library for notes.
  • Check all categories of note templates and eliminate duplicates.
  • Select a default template for each category.


Customize the symbol library for note templates (Procedure)

Configure the appearance of notes
Up a level to ..
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enter a formula in a leader note

To add a leader note as a template to the symbol library

To import leader note templates from another drawing

To rename a leader note template

To set a default template for an object type


Customize the symbol library for note templates (Quick Reference)

Configure the appearance of notes
Customize the symbol library for note templates
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMNOTE

Note Symbol dialog box

Note Settings dialog box


To enter a formula in a leader note (Procedure)

Customize the symbol library for note templates
Up a level to ..
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enter a formula in a leader note

NoteSee this example. The formula to be created is, =<if(equal(Hole:tapped,"0"),"%%c" Hole:dia,Hole:nominal)>; a formula to show the nominal diameter of a tapped hole, and if the hole is not tapped, to display the diameter of the hole.

  1. Click Dashboard tab [image] Symbols panel [image] . At the Command prompt, enter AMNOTE.
  2. Select the hole to attach the note to and click in the drawing area to place the note.
  3. From the Preview display mode list, select Plain text.
  4. In the multi-line text editor, delete any text that appears by default and type “=” as the first character of the note text.
  5. In the text editor, enter the required formula:
    1. In the Variables list, select Functions [image] IF. The text editor shows =<IF(,,)>.
    2. In the multi-line text editor, place the cursor after the open bracket.
    3. In the Variables list, select Functions [image] EQUAL.The text editor shows =<IF(<EQUAL(,)>,,)>.
    4. In the multi-line text editor, place the cursor after the second open bracket.
    5. In the Variables list, select Hole [image] TAPPED. The text editor shows =<IF(<EQUAL(<HOLE:TAPPED>,)>,,)>
    6. Continue until the text editor reads =<IF(EQUAL(HOLE:TAPPED,"0"),, )>
    7. Place the cursor between the two commas, click symbols and select the diameter symbol. The text editor shows <IF(EQUAL(HOLE:TAPPED,"0"),"%%c",)>
    8. Place the cursor after "%%c" and in the Variables list, select Hole [image] DIA. The text editor shows =<IF(EQUAL(HOLE:TAPPED,"0"),"%%c" HOLE:DIA,)>
    9. Place the cursor between HOLE:DIA, and in the Variables list, select Hole [image] NOMINAL. The text editor reads =<IF(EQUAL(HOLE:TAPPED,"0"),"%%c" HOLE:DIA,HOLE:NOMINAL)>
    10. Continue until the text editor reads =<IF(EQUAL(HOLE:TAPPED,"0"),"%%c" HOLE:DIA,HOLE:NOMINAL)>
  6. From the Preview display mode list, select Rendered text colored and verify that the formula renders correctly.
  7. Click OK.
See Also
    • About formulas
    • Examples of commonly used formulas


To add a leader note as a template to the symbol library (Procedure)

Customize the symbol library for note templates
Up a level to ..
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a leader note as a template to the symbol library

  1. In the drawing area, double-click the note to add to the symbol library. The Note Symbol dialog box is displayed.
  2. Click Add.
  3. Enter a name for the template.
  4. Click OK.


To import leader note templates from another drawing (Procedure)

Customize the symbol library for note templates
Up a level to ..
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import leader note templates from another drawing

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click Note. The Note Settings dialog box is displayed.
  4. Click Import. The Select File dialog box is displayed.
  5. Choose the .dwg or .dwt file that contains the desired library.
  6. Click OK. The program adds the imported leader note templates to the library.
  7. Click OK.


To rename a leader note template (Procedure)

Customize the symbol library for note templates
Up a level to ..
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To rename a leader note template

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click note. The Note Settings dialog box is displayed.
  4. In the category list, select the category of the template to rename.
  5. In the list of templates, click the template to rename.
  6. From the drop-down menu on the right, select Rename.
  7. Enter the new name for the leader note.
  8. Click OK.


To set a default template for an object type (Procedure)

Customize the symbol library for note templates
Up a level to ..
Configure BOMs, Balloons, and Parts Lists
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set a default template for an object type

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click Note. The Note Settings dialog box is displayed.
  4. In the category list, select the object type to assign to a default template.
  5. In the list of templates, click the template to set as default.
  6. From the drop-down menu on the right, select Set default. A blue tick indicates the default status.
  7. Click OK.


Customize the symbol library for note templates (Quick Reference)

Customize the symbol library for note templates
Customize the symbol library for note templates
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMNOTE

Creates a leader note and optionally, attaches it to an object in the drawing area.

Ribbon: Annotate tab [image] Text panel [image] Leader Note. Does not exist on the ribbon.
Toolbar: Symbols
Menu: Annotate [image] Leader Note Does not exist in the menus.
Command entry: amnote

Notes can contain plain text or formulas . A predefined set of templates containing formulas are available in the symbol library. An appropriate template is automatically applied when you attach a note to an object. Hence, notes automatically display meaningful context sensitive information immediately upon creation.

COMMAND LINE OPTIONS

Select Object to attach [rEorganize/Library]: Select an object in the drawing to attach the symbol. If you do not want to attach the symbol, select a start point of the leader. In this case the following prompt does not appear. Select the Reorganize option to align the note symbols in the drawing. See the instructions for the Reorganize Option.

Object to attach

Attaches the symbol to an object.

Specify next point or [Symbol/startPoint] <Symbol> Press ENTER to place note at the attach point. or enter P to redefine the attach point or click in the drawing area to.specify the next vertex of the leader.

Specify next point <Symbol>: Specify the next point of the leader or press ENTER to place the symbol. The Note Symbol dialog box appears when you press ENTER.

rEorganize

Aligns two or more leader to one another.

Select note: Select all note symbols you want to align.

Align [Horizontal/Vertical] <Vertical>: Press ENTER to select vertical alignment, or enter H to select horizontal alignment and then click in the drawing area to specify where to place the symbols.

Library

Specifies that the symbol text comes from the symbol library.

Enter category name or [?]: Enter the name of the category of the template you want to apply or enter ? to list the names of categories.

Enter symbol name or [?] <Default template name>: Enter the name of the template or enter ? to list the names of all templates for the selected category. Press ENTER to accept the default symbol. Press ENTER to list the names of all templates for the selected category.

Select object to attach [rEorganize/Library]: Although you return to the first prompt of the loop, the Note Symbol dialog box does not appear when you place the symbol in the drawing area.


Customize the symbol library for note templates (Quick Reference)

Customize the symbol library for note templates
Customize the symbol library for note templates
Customize the symbol library for note templates
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Note Symbol dialog box

Use this dialog box to specify the parameters of the leader note you are creating or editing.

Symbol tab

Options

Show reference line

Adds a reference line from the leader to the note text. The icon to the left of the check box shows the result of your selection. This option is checked but disabled for the GOST standard.

Flip symbol

Flips the symbol so that note text is placed to the left of the leader. The icon to the left of the check box shows the result of your selection.

Adds an additional reference line above the currently selected reference line. Note text you add thereafter is inserted on the new reference line.

This button is visible only for the GOST standard.

Deletes the current reference line. The current reference line is highlighted in the drawing.

This button is visible only for the GOST standard.

Selects the next reference line away from the leader arrowhead, and displays its settings in the dialog box.

This button is visible only for the GOST standard.

Selects the next reference line toward the leader arrowhead and displays its settings in the dialog box.

This button is visible only for the GOST standard.

Requirements

Variables

Displays a list of functions and references to the properties of the object the note is attached to. Select an item from the list to insert it to the multi-line text editor, at the current cursor position.

Insert symbol

Displays a palette to enable you to insert a special character at the current cursor position in the multi-line text editor. In the rendered text mode, the editor shows the special character while in the plain text mode the editor shows the corresponding control key sequence.

Multi-line text editor

Edits note text. You use this editor to edit text, formulas, and special characters to show as note text. Use the right-click menu to access special editing tools.

Right-click menu options

Enables you to specify the formatting for the segment of text selected in the multi-line text editor. The formatting options are:

  • Underline - Turns underlining on or off for the selected text
  • Overline - Turns overlining on or off for the selected text
  • Alignment - Specifies how the selected text aligns to a stacked text on the same line
  • Stacked- Stacks two segments of text, separated by a “/” character, one on top of the other.
  • Text Color - Specifies the color of the selected text
  • Text Height - Applies a scale factor for the selected text
  • Text Font - Specifies a font for the selected text
  • Text Width - Applies a scale factor for the width of the selected text
  • Tracking Factor - Specifies the spacing between characters of the selected text
  • Dim Style - Applies a dimension style for a numerical expression This option is available only if a numerical expression is selected.
  • Precision - Enables you to specify a precision for a numerical expression This option is available only if a numerical expression is selected.

Preview display mode

Selects how note text should appear in the multi-line text editor.

  • Plain Text - Displays formulas and formatting signs that define the note text.
  • Rendered Text Colored - Renders all formulas and formatting signs to show a true preview of how the note text appears.
  • Rendered Text Mono - Displays monochromatically the same text as the Rendered Text Colored mode.
TipUse the Plain Text mode to define formulas, especially if you are inserting functions. It also gives you more control over where references are placed. Use a rendered mode to check the formula.

Library

Lists all the note templates for the active drafting standard/revision in the symbol library. When you move the pointer over an item, all settings for that item appear in a tooltip. Each item in the library is associated with a context-sensitive menu.

Category

Displays a list of template categories that are applicable to the object the note is attached to. If the note is not attached to anything, only the category “Other” is available. The category acts as a filter for the list of templates.

Templates

Displays the list of available templates for the selected category.

Menu options

Add

Saves the text in the multi-line text editor as a new note template. The new template is added to the symbol library.

Delete

Deletes the selected note template from the symbol library. Only templates that have not been used in the drawing can be deleted.

Rename

Makes the template name editable. AutoCAD Mechanical validates the name you provide to ensure that the names of templates for a given category are unique.

Set default

Makes the selected template the default template for the selected category. A blue check mark appears next to the template name to indicate that it is the default template. The next time you attach a note to an object described by the selected category, the default template loads automatically and the multi-line text editor displays its content.

Remove default

Removes the default status of the selected template. This menu option is available only on the default template. When there is no default template selected, no note text is pre assigned to the multi-line text editor.

Add

Saves current content of the multi-line text editor as a new template. Name the new template once it is created.

Import

Imports templates from the symbol library of another drawing. You can only import symbols of the same standard and revision as the note symbol you are editing.

Leader and Text tab

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to By Standard, it acquires the arrowhead from the current drafting standard. Thereafter, if you change the arrowhead selected for the current drafting standard (in the Standard Settings dialog box or Note Settings dialog box) the arrowhead for this symbol is updated automatically.

Edit leader segments

Add

Adds a leader, leader segment, or leader node.

Remove

Deletes a leader, or leader segment.

Edit object attachment

Attach

Attaches the symbol to an object in the drawing. When attached, if you move the object the symbol moves with it.

Detach

Detaches the symbol. The symbol becomes a free-standing object.

Reference line angle

Adjust

Hides the dialog box so that you can set the direction of the reference line. This button is not available in the GOST standard.

Text

Text justification

Sets the justification of text.

NoteThis setting reverts to its default value if you flip the symbol.

Leader justification

Sets the position of the note text relative to the reference line.

NoteThis option is disabled for the GOST standard. However, it is available for custom standards based on the GOST standard.

Settings

Opens the Note Settings dialog box and enables you to edit the default settings for leader notes for the current drafting standard.


Customize the symbol library for note templates (Quick Reference)

Customize the symbol library for note templates
Customize the symbol library for note templates
Customize BOM properties
Configuration and setup guide > Configure Symbols > Leader Notes >
Customize the symbol library for note templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Note Settings dialog box

Use the Note Settings dialog box to customize the default settings of leader notes for the current drafting standard.

Symbol tab

Options

Show reference line

Adds a reference line from the leader to the note text. The icon to the left of the check box shows the result.

Requirements

Variables

Displays a list of functions and references to the properties of the object note can be attached to. Select an item from the list to insert it into the multiline text editor. The item appears at the cursor position.

Insert symbol

Displays a palette to enable you to insert a special character at the current cursor position in the multi-line text editor. In the rendered text mode, the editor shows the special character while in the plain text mode the editor shows the corresponding control key sequence.

Multi-line text editor

Edits note text. Use this editor to edit text, formulas, and special symbols to be displayed as note text. Use the right-click menu to access special editing tools.

Right-click menu options

Enables you to specify the formatting for the segment of text selected in the multi-line text editor. The formatting options are:

  • Underline - Toggles underlining for the selected text
  • Overline - Toggles overlining for the selected text
  • Align - Specifies how the selected text aligns with stacked text on the same line
  • Stack- Stacks two segments of text, separated by a “/” character.
  • Text Color - Specifies a color for the selected text
  • Text Height - Applies a scale factor for the selected text
  • Text Font - Specifies a font for the selected text
  • Text Width - Applies a scale factor for the width of the selected text
  • Tracking Factor - Specifies the spacing between characters of the selected text
  • Dim Style - Applies a dimension style for a numerical expression. This option is available only when a numerical expression is selected.
  • Precision - Enables you to specify a precision for a numerical expression. This option is available only if a numerical expression is selected.

Preview display mode

Specifies how note text appears in the multi-line text editor.

  • Plain Text - Displays formulas and formatting signs that define the note text.
  • Rendered Text Colored - Renders all formulas and formatting signs to preview the note.
  • Rendered Text Mono - Displays monochromatically the same text as the Rendered Text Colored mode.
TipUse the Plain Text mode to define formulas, especially if you are inserting functions. It also gives you more control over where to place references. Use a rendered mode to check the formula.

Library

Category

Displays a list of object categories for which you can create note templates.

Templates

Displays the list of available templates for the selected category.

Menu options

Add

Saves the text in the multi-line text editor as a new note template. The new template is added to the symbol library.

Delete

Deletes the selected note template from the symbol library.

Rename

Makes the template name editable. AutoCAD Mechanical validates the name you provide to ensure that the names of templates for a given category are unique.

Set default

Makes the selected template the default template for the selected category. A blue tick mark appears next to the default template name. When you attach a note to an object described by the selected category, the default template loads automatically.

Remove default

Removes the default status of the selected template. This menu option is available only on the default template. When no default template is selected, no note text appears in the multi-line text editor.

Add

Saves the content of the multi-line text editor as a new template. Prompts to name the new item.

Import

Imports templates from the symbol library of another drawing. You can only import symbols of the same standard and revision as the one you are editing.

Leader and Text tab

Leader

Arrowhead

Specifies the type of the leader arrowhead. When the arrowhead is set to ByNameOfCurrentDraftingStandard, it acquires the arrowhead from the master settings of the current drafting standard. If the master setting changes, the arrowheads of all notes that are set to ByNameOfCurrentDraftingStandard, change automatically..

Arrow size

Specifies the size of the leader arrowhead. When the arrow size is set to ByNameOfCurrentDraftingStandard, it acquires the arrow size from the master settings of the current drafting standard. If the master setting changes, the arrow size for all notes based on the current drafting standard change automatically.

Color

Specifies the color of the leader. When the leader color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the leader color of all notes based on the current drafting standard change automatically.

Text

Height

Specifies the text height for note text. When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the text height of all notes based on the current drafting standard change automatically.

Color

Specifies the color of note text. When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of all notes based on the current drafting standard change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader justification

Sets the position of the note text in relation to the leader end point.

NoteThis options is disabled for the GOST standard. However, it is available for custom standards based on the GOST standard.

Restore Defaults

Restores all settings of this dialog box to the preset default values for the current standard.


Configure BOMs, Balloons, and Parts Lists

Customize the symbol library for note templates
Configuration and setup guide
Overview
Configuration and setup guide >
Configure BOMs, Balloons, and Parts Lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview
  • Customize BOM properties
  • Configure the BOM
  • Configure parts lists
  • Configure balloons
  • Configure component property capturing


Configure BOMs, Balloons, and Parts Lists (Procedure)

Customize the symbol library for note templates
Configure BOMs, Balloons, and Parts Lists
Customize BOM properties
Configuration and setup guide >
Configure BOMs, Balloons, and Parts Lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure which component properties are visible

To create a user-defined component property

To set a component property to be automatically summed

To set the data type and format of a component property

To create a formula for a component property

To create a drop-down list for a component property

To add a component property to the BOM

To remove a component property from the BOM

To change the order component properties appear in the BOM

To set the default representation of the BOM

To specify what properties to display

To customize the display prompt of a component property

To change the order component properties appear


Overview

Configure BOMs, Balloons, and Parts Lists
Configure BOMs, Balloons, and Parts Lists
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The BOM is a table that contains information about the parts and assemblies within a drawing. The program uses this information to generate parts lists and balloons.

When you select a drafting standard, the default settings for parts lists and balloons change to match that standard. The BOM setting change to support the change in parts list and balloon settings. You can customize these settings to suit your drafting requirements.

Configuring the BOM, parts lists, and balloons are interlinked operations. Customize the component properties, including:

  • how properties are displayed in the BOM.
  • the parts list layout
  • balloons
  • what information the program captures from the parts and assemblies in the drawing, to be displayed in the BOM

We recommend customizing BOM Configuration before you start drawing. If you change the BOM configuration after you create a BOM, the BOM can include inconsistent data.


Customize BOM properties (Concept)

Overview
Configure BOMs, Balloons, and Parts Lists
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The entry point for all configuration operations for BOMs, balloons, and parts lists is the BOM Settings dialog box. This dialog box contains a list of available component properties. You can drag-and-drop properties to make them visible within parts lists, balloons, and the Component Properties sections of the Part Reference (for non-mechanical structure parts/assemblies) and Properties (for mechanical structure parts/assemblies) dialog boxes. These properties appear in the BOM automatically. If necessary, you can add properties to the BOM directly.

You can create user-defined component properties. We recommend that you use the predefined component properties USER1 to USER8 and customize them instead. If you use AutoCAD Mechanical with Autodesk Vault, the predefined component properties have more built-in support than user-defined component properties.

You can customize component properties to contain a specific data type. For numeric data, you can set the precision and specify whether the property is summed in BOMs and Parts Lists. You can customize the caption of a property, which appears as the column heading in BOMs and parts lists. You can also customize component properties to:

  • Contain formulas so that the properties are populated with context-sensitive information automatically as you add objects to a drawing. If necessary, you can lock the property, ensuring that the formula is not overridden.
  • Populate from a customizable drop-down list.

We recommend configuring component properties before you start drawing. If you add component properties after you create a BOM, the BOM may contain inconsistent data.


Customize BOM properties (Procedure)

Configure BOMs, Balloons, and Parts Lists
Up a level to ..
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure which component properties are visible

To create a user-defined component property

To set a component property to be automatically summed

To set the data type and format of a component property

To create a formula for a component property

To create a drop-down list for a component property


Customize BOM properties (Quick Reference)

Customize the symbol library for note templates
Customize BOM properties
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

More properties dialog box

Expression Builder dialog box (for formula)

Expression Builder dialog box (for pre-defined lists)

Pre-defined component properties- full list

Set Value for Item dialog box


To configure which component properties are visible (Procedure)

Customize BOM properties
Up a level to ..
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure which component properties are visible

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. Select the tab corresponding to the entity you want to make the property visible in:
    • To make the property visible in Parts Lists, click the Parts List tab.
    • To make the property visible in Part References or the Component Properties dialog box, click the Component Properties/Part Reference tab.
    • To make the property visible in the BOM only, click the BOM tab.
      NoteWhen you add a component property to the Parts List or the Component Properties/Part Reference tab, the program adds it automatically to the BOM tab as well.
  5. In the Available component properties list, click the row heading of the component property to make it visible, and then click Add to. The program adds the component property to the bottom of the list in the tab.
    NoteThe Add to button is unavailable if the selected component property already appears in the list.
  6. Use the Move up or Move down buttons to position the property.
  7. Click OK.


To create a user-defined component property (Procedure)

Customize BOM properties
Up a level to ..
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a user-defined component property

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. Click New. The program positions the insertion point in the first column of the last row in the Available component properties list.
  5. Add data to the new row, column by column. The program adds the new property to the Available component properties list as well as the BOM tab.
  6. Use the Move up or Move down buttons to position the property.
  7. Click OK.


To set a component property to be automatically summed (Procedure)

Customize BOM properties
Up a level to ..
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set a component property to be automatically summed

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. In the Available component properties list, in the row corresponding to the component property to be totaled, select the check box in the Sum column.
  5. Click OK.


To set the data type and format of a component property (Procedure)

Customize BOM properties
Up a level to ..
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set the data type and format of a component property

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. In the Available component properties list, in the row corresponding to the component property you want to change, select the data type from the drop-down list in the Data Type column.
  5. In the Precision column, click and select the precision from the drop-down list.
  6. In the Leading Zeros column, click and select the number of leading zeros from the drop-down list.
    NoteSteps 5 and 6 apply to numeric data only.
  7. Click OK.


To create a formula for a component property (Procedure)

Customize BOM properties
Up a level to ..
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a formula for a component property

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. In the Available component properties list, click in the value column of the row corresponding to the component property you want to edit. The [image] button appears.
  5. Click [image] . The Expression Builder dialog box is displayed.
  6. In the Select value type list, select Formula.
  7. In the expression box, add references, Operators, and Functions, as required.

    For example, if you create a formula for Cost, truncated to the nearest dollar (Integer value of Price × Quantity):

    1. In the Category list, select Function.
    2. In the Select list, select INT, and click Add. The Expression area shows =INT().
    3. In the Expression area, place the cursor between the brackets.
    4. In the Category list, select BOM Properties.
    5. In the Select list, select QTY and click Add. The program adds the reference <QTY> to the expression area.
    6. Type the asterisk character (*) after <QTY>.
    7. In the Select list, select PRICE, and click Add. The formula =INT(<QTY>*<PRICE>) is complete.
  8. Click OK.
See Also
    • About formulas


To create a drop-down list for a component property (Procedure)

Customize BOM properties
Up a level to ..
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a drop-down list for a component property

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. In the Available component properties list, in the row corresponding to the component property you want to edit, click in the value column. The [image] button appears.
  5. Click [image] . The Expression Builder dialog box is displayed.
  6. In the Select value type list, select Predefined list.
  7. To add an entry to the user-defined list:
    1. Click New. The program adds a row to the Predefined List.
    2. In the new row, click the value column and enter a valid value for the component property.
    3. Click the Description column and enter a short description.
  8. Click Move up or Move down to display the new row in the correct position
  9. Repeat Steps 7 and 8 as required.
  10. Click the row to set as the default selection for that property and click Set Default.
  11. Click OK until all dialog boxes close.


Customize BOM properties (Quick Reference)

Customize BOM properties
Customize BOM properties
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Use this dialog box to configure component properties and set up defaults for parts lists, balloons and data capture for the BOM.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Available component properties

Contains a list of component properties that can be used as columns for BOMs and parts lists. To make a property visible in the BOM, Parts list or in the Component Property section of the Part Reference dialog box and Properties dialog box, drag the property from this list to the list of properties in the corresponding tab.

Property

Defines the name of the component property. This name uniquely identifies a component property. This is the name by which a BOM column is referred to in formulas.

Caption

Defines the column header to be displayed for this property, when it is used as a column in a BOM table or parts list.

Data type

Specifies the data type for the property.

The text data type allows all alphanumeric characters while the numeric data type allows only numeric characters 0 -9. If you need to store a value such as 4 1/2”, you must set the data type to Text.

Value

Specifies the default value for the property. When you click in a cell, the [image] button appears. Click [image] to launch the expression builder, which will assist you create formulas and pre-defined lists (drop-down lists containing possible values) for the property. If required, you can enter the formula or the pre-defined list directly, without using the expression builder.

If the text in this column is red, it means that the expression contains a syntax error. If you invoke the expression builder at this time, it will show you entries up to the position the syntax error occurs.

NoteOnly syntax errors in expressions for pre-defined lists are shown in this manner.

Precision

Specifies the number of decimals to be used round off numerical data for that property. Precision is defined in the form of 0.000 where the number of zeros (0) after the decimal point indicates the number of decimals to use.

Lead zero

Specifies the number of leading zeros (0) to be used when displaying numerical data for that property. Leading zeros are defined in the form of 00.0 where the number of zeros (0) before the decimal point indicates the minimum number of digits that must exist before the decimal point.

Lock

Prevents the component property data from being edited in the BOM, Parts List, Part Reference and Properties dialog boxes.

Sum

Controls if the component property should be summed and displayed in the result bar of the BOM and Parts List dialog boxes.

New

Displays the last row of the Available component properties list, to enable you to add a new row and thereby create a user-defined component property.

TipIt is better to use the pre-defined component properties User1 to User8 (available via the More button) as these are better supported by the system. For example, when creating custom parts lists, to be able to properly fit text into columns, you must use property ids. The property ids for user defined columns are not known before hand and hence cannot be supported. However, the property ids for the pre-defined columns are known.

Delete

Removes the row selected in the Available component properties list. If the property is a user-defined property, the property is deleted. If not the property is added to the list of additional pre-defined component properties. The additional component properties are shown in the more component properties dialog box, which appears when you click the More button. This Delete button is available only if the entire row is selected.

More

Opens a list of additional pre-defined component properties to add to the Available component properties list.

Add to

Adds the row selected in the Available component property list, to the list of properties in the currently selected tab below the Available component properties list. This button is not available if the entire row is not selected or if the current tab is the Balloon tab.

Component properties tab

Component properties list

Displays the component properties that will be visible in the Part Reference dialog box and Properties dialog box.

Property

Displays the name of the component property.

Display prompt

Defines the prompt to be displayed for that property in the Part References dialog box and Properties dialog box. For example, you can set the caption for the Name property to Enter the name of the component.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in the Part Reference dialog box and the Properties dialog box.

NoteSync does not add QTY and ITEM.

BOM tab

Component properties list

Displays the component properties that will be visible in the BOM dialog box.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column headings are aligned in the BOM dialog box.

Value alignment

Defines the how the data rows are aligned in the BOM dialog box.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Default View

Sets how BOM items are displayed by default.

NoteThe Default view is not visible if you are working in the GOST standard.

Expanded (parts only)

Sets BOM representation to the expanded view, where BOM items correspond to parts and parts from the different assemblies are summed together. However, parts from xref assemblies are not merged with parts from the host drawing nor are they merged with parts from other xref assemblies.

Structured

Sets BOM representation to the structured view, where parts are collected under the assemblies they belong to and are summed only within that assembly.

Use Assembly Path

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly will typically be 2-1, 2-2 and so on.

Separator

Specifies the character to use as the separator.

Parts list tab

NoteThe Parts list tab is not visible if you are working in the GOST standard.

Component properties list

Displays the component properties that will be visible in Parts Lists, by default.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column heading are aligned in parts lists.

Value alignment

Defines the how the data rows are aligned in parts lists.

Width

Defines the column width for the property in the parts list.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in parts lists.

Default style

Standard

Switches the parts list style to a standard based parts list.

Displays a dialog box, which enables you to customize settings applicable to standard based parts lists.

Custom

Switches the parts list style to a custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).

Balloon tab

Category

Displays different categories of references or functions that you can use in the expression for balloon text. This option is not available for custom balloons (because the expression to use for balloon text is defined within the block used for the custom balloon).

Select

Displays a list of references that belong to the selected category or a list of functions, as the case may be.

Add

Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of any existing expression.

Expression

Defines the formula to be used for balloon text.

Default style

Standard

Switches the appearance of the balloon to that defined by the drafting standard.

Displays a dialog box, which enables you to customize settings applicable to standard based balloon.

Custom

Switches the appearance of the balloon to a custom style defined via a block. If the block to use is in an external drawing, select Browse (last entry in the list).

Restore Defaults

Resets all settings to the default settings for the current drafting standard.
See Also
    • About formulas


Customize BOM properties (Quick Reference)

Customize BOM properties
Customize BOM properties
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

More properties dialog box

Use this dialog box to add component properties, from a list of pre-configured component properties, to the list of available properties in the BOM settings dialog box.

List of properties

Displays a list of properties that you can add to the Available component properties list in the BOM settings dialog box. To select contiguous rows, SHIFT-click the first and the last property to add. To select non-contiguous rows, CTRL-click the rows.

OK

Makes the selected properties visible in the Available component properties list in the BOM Settings dialog box.


Customize BOM properties (Quick Reference)

Customize BOM properties
Customize BOM properties
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Expression Builder dialog box (for formula)

Use this dialog box to build a formula or a predefined list for a component property.

Select a value type Sets environment for defining a formula or a pre-defined list. If you select Formula, the dialog box changes to provide options for creating a formula. If you select Predefined list, the dialog box changes to provide options for creating a predefined list.
Formula Contains options to define a formula. This section is visible only if the Select value type is set to Formula.
 | Category Displays different categories of references or functions that you can use in the formula.
 |  | Select Displays a list of references that belong to the selected category or a list of functions, as the case may be.
 | Add Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of the existing expression.
 | Expression Defines the formula to be used.
See Also
    • About formulas


Customize BOM properties (Quick Reference)

Customize BOM properties
Customize BOM properties
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Expression Builder dialog box (for pre-defined lists)

Use this dialog box to build a formula or a predefined list for a component property.

Select a value type

Sets environment for defining a formula or a pre-defined list. If you select Formula, the dialog box changes to provide options for creating a formula. If you select Predefined list, the dialog box changes to provide options for creating a predefined list.

Predefined List

Contains a list that lets you add entries to. The contents of this list are displayed as a drop-down list in all dialog boxes that let you enter BOM data.

The entry marked [image] is the default value for the component property. Specifying the default is optional. The Value column contains valid values for that component property. The Description is for additional information you may wish to provide about the value.

New

Displays the last row of the Predefined list, to enable you to add a new row and thereby add a new entry to the list.

Delete

Deletes the selected row. This button is available only if entire rows are selected.

Move Up

Moves the selected row(s), one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row(s), one position down. This button is available only if entire rows are selected.

Set Default

Sets the selected row as the default value for the list. This button is visible only if the currently selected row is not set as the default. This button is available only if the entire row is selected.

Remove Default

Resets the default selection. This button is visible only if the currently selected row is the default value for the list. This button is available only if entire rows are selected.


Customize BOM properties (Quick Reference)

Customize BOM properties
Customize BOM properties
Customize BOM properties
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Pre-defined component properties- full list

Frequently used component properties

Default caption | Component property | Description | Comments
Item | ITEM | Item number assigned to the part or assembly. | Automatically assigned to the part or assembly by the system.
Qty | QTY | Total count of the part or assembly in the BOM. | Calculated and maintained automatically by the system.
Name | NAME | Name of the part or assembly. | Derived automatically for standard parts, through a formula. Can be overridden.
Description | DESCR | A description of the part or assembly.
Standard | STANDARD | Information related to the standard under which the part or assembly is created.
Material | MATERIAL | Material used to fabricate the part or assembly. |
Note | NOTE | Notes and comments related to the part or assembly. |
Vendor | VENDOR | Name of supplier of the part or assembly. |
Description 2 | DESCR2 | An additional description for the part or assembly. |
Standard 2 | STANDARD2 | An additional BOM attribute for additional standard related information. | Not automatically set by the system.
Mass | MASS | Mass of the part or assembly. |
Price | PRICE | Per unit cost of the part or subassembly. |
Measurement | DIM | Measurement of the part or subassembly. For example, The length of a steel shape. | Derived automatically for steel shapes, through a formula. Can be overridden.
Units | BOM_UNITS | Units of measurement of the part or subassembly. | The system validates content to ensure compatibility with Autodesk Vault Manufacturing. We recommend this option over the UNITS_OF_MEASURE attribute.
Format | FORMAT | Part or document sheet format. | Available only for the GOST standard.
Zone | ZONE | Zone in the drawing where the part is located. | Available only for the GOST standard.
Comments | COMMENTS | Notes about a part. | Available only for the GOST standard.

Additional component properties

Default caption | Component property | Description | Comments
Assembly number | ASSY | Assembly number. |
Currency | CURRENCY | Currency used for PRICE attribute. |
DWG Manager ID | DMID | Drawing Manager Identification number. |
Filter | FILTER | A property used to filter the BOM. |
ID Number | USERID | Identification number of the part or assembly. |
Manufacturer ID | MANUFACTURER_ID | Manufacturer identification number. |
Manufacturer Part No | MANUFACTURER_PART_NO | Manufacturer part number. |
Parts List Name | PLNAME | Parts list name. |
Parts List Path | PLPATH | Parts list path. |
Unit of Measure | UNIT_OF_MEASURE | Same as BOM_UNITS, but system does not validate contents for compatibility with Autodesk Vault Manufacturing. |
User 1 - User 8 | USER1 - USER 8 | System allocated properties to contain user-defined attributes. | Although it is possible to add user-defined columns, because Autodesk Vault and Autodesk Vault Manufacturing are aware of the existence of these attributes, they are better supported than user-defined attributes.
Vendor ID | VENDOR_ID | Vendor Identification number. |
Vendor Part No | VENDOR_PART_NO | Vendor part number. |


Customize BOM properties (Quick Reference)

Customize BOM properties
Customize BOM properties
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Customize BOM properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Set Value for Item dialog box

Use this dialog box to configure the default rule AutoCAD Mechanical must use to assign default values for the Item component property.

Start Value

Specifies the default item number for the first entry in a BOM.

You can override this setting in an individual BOM after you create it. The override applies to that BOM only. All other BOMs continue to use the default start item number you set in this dialog box.

Step

Specifies the default increment to use for the item number as items are added to a BOM.

You can override this setting in an individual BOM after you create it. The override applies to that BOM only. All other BOMs continue to use the default increment you set in this dialog box.


Configure the BOM (Concept)

Customize BOM properties
Configure BOMs, Balloons, and Parts Lists
Configure parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Configure the following options for the BOM:

  • Configure which component properties are visible in the BOM.

    When you add a component property to a parts list or to a part reference, the property is added to the BOM automatically. You can add component properties that parts lists do not usually use, directly to the BOM. For example, you can add component properties for downstream consumption by product lifecycle management tools.

    When you remove a component property from the BOM, the property disappears from parts lists or part references as well.

  • Change the order in which component properties appear in the BOM.

    The order in which component properties appear in the BOM Settings dialog box is the order in which they appear (as BOM columns) in the BOM. Use the Move Up and Move Down buttons in the BOM tab of the BOM Settings dialog box to change the order.

  • Select the default BOM representation.

    In the BOM Settings dialog box, you can specify whether the BOM is expanded or structured. In the expanded representation, BOM items correspond to parts while in the structured representation, BOM items correspond to assemblies. This setting serves only as a default setting, which you can change from the BOM dialog box any time during a drawing session.


Configure the BOM (Procedure)

Customize BOM properties
Up a level to ..
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a component property to the BOM

To remove a component property from the BOM

To change the order component properties appear in the BOM

To set the default representation of the BOM


Configure the BOM (Quick Reference)

Customize BOM properties
Configure the BOM
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Pre-defined component properties- full list


To add a component property to the BOM (Procedure)

Configure the BOM
Up a level to ..
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a component property to the BOM

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. In the Available component properties list, click the row heading of the component property to add to the BOM. The program selects the entire row.
  5. Click Add to. The program adds the component property to the bottom of the list in the BOM tab.
    NoteThe Add to button is unavailable if the selected component property already appears in the list.
  6. Use the Move Up or Move Down buttons to position the property.
  7. Click OK.


To remove a component property from the BOM (Procedure)

Configure the BOM
Up a level to ..
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove a component property from the BOM

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. In the BOM tab, click the row heading of the component property to delete. The program selects the entire row.
  5. Click Remove.
  6. Click OK.


To change the order component properties appear in the BOM (Procedure)

Configure the BOM
Up a level to ..
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the order component properties appear in the BOM

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. In the BOM tab, move the rows around to obtain the desired order.

    To move a row:

    1. Click the row heading of the row to move. The program selects the entire row.
    2. Click Move Up or Move Down, as appropriate.
  5. Click OK.


To set the default representation of the BOM (Procedure)

Configure the BOM
Up a level to ..
Configure parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set the default representation of the BOM

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click BOM. The BOM Settings dialog box is displayed.
  4. In the BOM tab, in the Default View section, select a representation.
  5. Click OK.


Configure the BOM (Quick Reference)

Configure the BOM
Configure the BOM
Configure the BOM
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Use this dialog box to configure component properties and set up defaults for parts lists, balloons and data capture for the BOM.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Available component properties

Contains a list of component properties that can be used as columns for BOMs and parts lists. To make a property visible in the BOM, Parts list or in the Component Property section of the Part Reference dialog box and Properties dialog box, drag the property from this list to the list of properties in the corresponding tab.

Property

Defines the name of the component property. This name uniquely identifies a component property. This is the name by which a BOM column is referred to in formulas.

Caption

Defines the column header to be displayed for this property, when it is used as a column in a BOM table or parts list.

Data type

Specifies the data type for the property.

The text data type allows all alphanumeric characters while the numeric data type allows only numeric characters 0 -9. If you need to store a value such as 4 1/2”, you must set the data type to Text.

Value

Specifies the default value for the property. When you click in a cell, the [image] button appears. Click [image] to launch the expression builder, which will assist you create formulas and pre-defined lists (drop-down lists containing possible values) for the property. If required, you can enter the formula or the pre-defined list directly, without using the expression builder.

If the text in this column is red, it means that the expression contains a syntax error. If you invoke the expression builder at this time, it will show you entries up to the position the syntax error occurs.

NoteOnly syntax errors in expressions for pre-defined lists are shown in this manner.

Precision

Specifies the number of decimals to be used round off numerical data for that property. Precision is defined in the form of 0.000 where the number of zeros (0) after the decimal point indicates the number of decimals to use.

Lead zero

Specifies the number of leading zeros (0) to be used when displaying numerical data for that property. Leading zeros are defined in the form of 00.0 where the number of zeros (0) before the decimal point indicates the minimum number of digits that must exist before the decimal point.

Lock

Prevents the component property data from being edited in the BOM, Parts List, Part Reference and Properties dialog boxes.

Sum

Controls if the component property should be summed and displayed in the result bar of the BOM and Parts List dialog boxes.

New

Displays the last row of the Available component properties list, to enable you to add a new row and thereby create a user-defined component property.

TipIt is better to use the pre-defined component properties User1 to User8 (available via the More button) as these are better supported by the system. For example, when creating custom parts lists, to be able to properly fit text into columns, you must use property ids. The property ids for user defined columns are not known before hand and hence cannot be supported. However, the property ids for the pre-defined columns are known.

Delete

Removes the row selected in the Available component properties list. If the property is a user-defined property, the property is deleted. If not the property is added to the list of additional pre-defined component properties. The additional component properties are shown in the more component properties dialog box, which appears when you click the More button. This Delete button is available only if the entire row is selected.

More

Opens a list of additional pre-defined component properties to add to the Available component properties list.

Add to

Adds the row selected in the Available component property list, to the list of properties in the currently selected tab below the Available component properties list. This button is not available if the entire row is not selected or if the current tab is the Balloon tab.

Component properties tab

Component properties list

Displays the component properties that will be visible in the Part Reference dialog box and Properties dialog box.

Property

Displays the name of the component property.

Display prompt

Defines the prompt to be displayed for that property in the Part References dialog box and Properties dialog box. For example, you can set the caption for the Name property to Enter the name of the component.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in the Part Reference dialog box and the Properties dialog box.

NoteSync does not add QTY and ITEM.

BOM tab

Component properties list

Displays the component properties that will be visible in the BOM dialog box.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column headings are aligned in the BOM dialog box.

Value alignment

Defines the how the data rows are aligned in the BOM dialog box.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Default View

Sets how BOM items are displayed by default.

NoteThe Default view is not visible if you are working in the GOST standard.

Expanded (parts only)

Sets BOM representation to the expanded view, where BOM items correspond to parts and parts from the different assemblies are summed together. However, parts from xref assemblies are not merged with parts from the host drawing nor are they merged with parts from other xref assemblies.

Structured

Sets BOM representation to the structured view, where parts are collected under the assemblies they belong to and are summed only within that assembly.

Use Assembly Path

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly will typically be 2-1, 2-2 and so on.

Separator

Specifies the character to use as the separator.

Parts list tab

NoteThe Parts list tab is not visible if you are working in the GOST standard.

Component properties list

Displays the component properties that will be visible in Parts Lists, by default.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column heading are aligned in parts lists.

Value alignment

Defines the how the data rows are aligned in parts lists.

Width

Defines the column width for the property in the parts list.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in parts lists.

Default style

Standard

Switches the parts list style to a standard based parts list.

Displays a dialog box, which enables you to customize settings applicable to standard based parts lists.

Custom

Switches the parts list style to a custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).

Balloon tab

Category

Displays different categories of references or functions that you can use in the expression for balloon text. This option is not available for custom balloons (because the expression to use for balloon text is defined within the block used for the custom balloon).

Select

Displays a list of references that belong to the selected category or a list of functions, as the case may be.

Add

Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of any existing expression.

Expression

Defines the formula to be used for balloon text.

Default style

Standard

Switches the appearance of the balloon to that defined by the drafting standard.

Displays a dialog box, which enables you to customize settings applicable to standard based balloon.

Custom

Switches the appearance of the balloon to a custom style defined via a block. If the block to use is in an external drawing, select Browse (last entry in the list).

Restore Defaults

Resets all settings to the default settings for the current drafting standard.
See Also
    • About formulas


Configure the BOM (Quick Reference)

Configure the BOM
Configure the BOM
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure the BOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Pre-defined component properties- full list

Frequently used component properties

Default caption | Component property | Description | Comments
Item | ITEM | Item number assigned to the part or assembly. | Automatically assigned to the part or assembly by the system.
Qty | QTY | Total count of the part or assembly in the BOM. | Calculated and maintained automatically by the system.
Name | NAME | Name of the part or assembly. | Derived automatically for standard parts, through a formula. Can be overridden.
Description | DESCR | A description of the part or assembly.
Standard | STANDARD | Information related to the standard under which the part or assembly is created.
Material | MATERIAL | Material used to fabricate the part or assembly. |
Note | NOTE | Notes and comments related to the part or assembly. |
Vendor | VENDOR | Name of supplier of the part or assembly. |
Description 2 | DESCR2 | An additional description for the part or assembly. |
Standard 2 | STANDARD2 | An additional BOM attribute for additional standard related information. | Not automatically set by the system.
Mass | MASS | Mass of the part or assembly. |
Price | PRICE | Per unit cost of the part or subassembly. |
Measurement | DIM | Measurement of the part or subassembly. For example, The length of a steel shape. | Derived automatically for steel shapes, through a formula. Can be overridden.
Units | BOM_UNITS | Units of measurement of the part or subassembly. | The system validates content to ensure compatibility with Autodesk Vault Manufacturing. We recommend this option over the UNITS_OF_MEASURE attribute.
Format | FORMAT | Part or document sheet format. | Available only for the GOST standard.
Zone | ZONE | Zone in the drawing where the part is located. | Available only for the GOST standard.
Comments | COMMENTS | Notes about a part. | Available only for the GOST standard.

Additional component properties

Default caption | Component property | Description | Comments
Assembly number | ASSY | Assembly number. |
Currency | CURRENCY | Currency used for PRICE attribute. |
DWG Manager ID | DMID | Drawing Manager Identification number. |
Filter | FILTER | A property used to filter the BOM. |
ID Number | USERID | Identification number of the part or assembly. |
Manufacturer ID | MANUFACTURER_ID | Manufacturer identification number. |
Manufacturer Part No | MANUFACTURER_PART_NO | Manufacturer part number. |
Parts List Name | PLNAME | Parts list name. |
Parts List Path | PLPATH | Parts list path. |
Unit of Measure | UNIT_OF_MEASURE | Same as BOM_UNITS, but system does not validate contents for compatibility with Autodesk Vault Manufacturing. |
User 1 - User 8 | USER1 - USER 8 | System allocated properties to contain user-defined attributes. | Although it is possible to add user-defined columns, because Autodesk Vault and Autodesk Vault Manufacturing are aware of the existence of these attributes, they are better supported than user-defined attributes.
Vendor ID | VENDOR_ID | Vendor Identification number. |
Vendor Part No | VENDOR_PART_NO | Vendor part number. |


Configure parts lists

Configure the BOM
Configure BOMs, Balloons, and Parts Lists
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Setup standard based parts lists
  • Set up custom parts lists
  • Set up GOST parts list


Configure parts lists (Procedure)

Configure the BOM
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To specify which columns to display in parts lists

To change the column order in parts lists

To format parts list columns

To set up the table layout for a parts list

To Configure Text Settings for Parts Lists

To Configure Master Settings for Text Height

To specify the location of the heading row

To enable column splitting

To create a block scheme for custom parts lists

To set a custom parts list as the default parts list style

To specify the location of the heading row

To create a custom parts list

To enable column splitting

To Specify Page Break Options

To Configure Text Settings for Parts Lists

To Configure Table Layout


Setup standard based parts lists (Concept)

Configure parts lists
Configure parts lists
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard, the default settings for parts lists change to match that drafting standard. If necessary, you can customize these settings to suit your drafting requirements.

Configuring a parts list involves:

  • Specifying which columns appear in parts lists.

    In parts lists, each column corresponds to a component property, so each column behaves in accordance to the settings of the component property. For example, the caption, data type, and precision set in the component properties are the same for the corresponding parts list column.

    NoteWhen you add a component property to a parts list, it appears in the BOM automatically.
  • Formatting parts list columns.

    After you add columns to a parts list, you can set the width of each column. You can also specify the alignment of the column header and the data rows.

    The order in which component properties appear in the Parts List tab of the BOM Settings dialog box is the order in which the columns appear in parts lists. Use the Move Up and Move Down buttons to change the order in which columns appear.

  • Setting up the layout of parts lists.

    You can set the visibility of the parts list title and column heading. You can specify whether they appear at the top or at the bottom of the parts list. You can set up the row and column margins for the heading row and data rows separately. You can select whether a grip frame appears, enabling grip editing in the drawing area.

  • Configuring parts list text options.

    Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

    When the text size for the parts list is “By NameOfCurrentDraftingStandard,” it acquires the base height master setting automatically. If you modify the master settings, the text size for parts lists automatically updates. If you do not want the text size for parts lists to follow the master settings, you can override the setting to a specific value.

    You can also configure how text appears within a parts list column. You can fit the text within the column, wrap it to the next line, or let it flow to the next column.

  • Specifying the location of the heading row.

    The system enables you to configure where the insertion point for parts lists appears. If the insertion point is at the top left or top right, the heading row is at the top of the parts list. If the insertion point is at the bottom left or bottom right, the heading row is at the bottom.

  • Enabling column splitting.

    Column splitting is the ability of parts list columns to wrap when the number of data rows exceeds a configurable threshold value. The following image shows one parts list with 18 data rows and another with 36. Column splitting occurs when the number of rows exceeds the threshold value of 20. The insertion point appears as a green dot.

    Instead of specifying the threshold value, you can define the number of sections to which the columns must split. In this case the data rows split evenly among the number of sections you define.

We recommend that you configure parts lists before you start drawing. Parts list follow the options you set. If you change the part list configuration settings after you create part lists, only text height settings apply to them. None of the other settings apply to existing parts lists.


Setup standard based parts lists (Procedure)

Configure parts lists
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To specify which columns to display in parts lists

To change the column order in parts lists

To format parts list columns

To set up the table layout for a parts list

To Configure Text Settings for Parts Lists

To Configure Master Settings for Text Height

To specify the location of the heading row

To enable column splitting


Setup standard based parts lists (Quick Reference)

Configure the BOM
Setup standard based parts lists
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

BOM Settings dialog box


To specify which columns to display in parts lists (Procedure)

Setup standard based parts lists
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To specify which columns to display in parts lists

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. To add a column to parts lists:
    1. In the Available component properties list, click the row heading of the component property to add as a Parts List column. The program selects the entire row.
    2. Click Add to. The program adds the component property to the bottom of the list in the Parts List tab.
      NoteThe Add to button is unavailable if the selected component property already appears in the list.
    3. Use the Move up or Move down buttons to position the property.
  5. To remove a parts list column:
    1. In the Parts List tab, click the row heading of the component property to remove.
    2. Click Remove.
  6. Click OK until all dialog boxes close.


To change the column order in parts lists (Procedure)

Setup standard based parts lists
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the column order in parts lists

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. In the Parts List tab, Use the Move up or Move down buttons to position the property.
  5. Click OK until all dialog boxes close.


To format parts list columns (Procedure)

Setup standard based parts lists
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To format parts list columns

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. To set the column width, enter the width in the Parts List tab, in the Width column.
  5. To set the heading row caption alignment, click in the Caption alignment column and select the alignment from the drop-down list.
  6. To set the data row alignment, click in the Value alignment column and select the alignment from the drop-down list.
  7. Click OK until all dialog boxes close.


To set up the table layout for a parts list (Procedure)

Setup standard based parts lists
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set up the table layout for a parts list

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. In the Parts List tab, click [image] .
  5. To insert the column headings and title at the top of the table, in the Attach Point list, select Top Left or Top Right. To insert the heading and the title at the bottom of the table, select Bottom Right or Bottom Left.
  6. To insert headings for each part list column, in the Layout section, select the Insert heading check box. You can override this setting while inserting a parts list.
  7. To insert a title line for the parts list, in the Layout section, select the Insert Title check box. You can override this setting while inserting a parts list.
  8. To include a grip frame to display the extents of the parts list, in the Layout section select the Show Grip Frame check box.
  9. To set the spacing between the heading row and the body rows, in the Internal margins section, set the Heading Top margin or the Bottom margin.
  10. To set the spacing between the body rows, in the Internal margins section, set the Data Top margin and/or the Bottom margin as required.
  11. Click OK until all dialog boxes close.
NoteChanges to parts list table layout have no impact on parts lists that exist in a drawing.


To Configure Text Settings for Parts Lists (Procedure)

Setup standard based parts lists
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Settings for Parts Lists

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box appears.
  4. In the Parts List tab, click [image] .
  5. To change the text height of part list column captions, in the Text section, below the Header row, from the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  6. To change the text height of the data rows, in the Text section, below the Data row, from the Height list, select the text height.
  7. To change the text color of part list column captions, in the Text section, below the Header row, from the Color list, select the color.
  8. To change the text color of the data rows, in the Text section, below the Data row, from the Color list, select the color.
  9. To specify how text works with columns:
    1. To resize text to fit the column width, in the Text section, in the appropriate Control list, select Fit.
    2. To wrap text into multiple lines, in the Text section, in the appropriate Control list, select Wrap.
  10. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can select a text style for part list text.


To Configure Master Settings for Text Height (Procedure)

Setup standard based parts lists
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To specify the location of the heading row (Procedure)

Setup standard based parts lists
Up a level to ..
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To specify the location of the heading row

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. In the Parts List tab, click [image] .
  5. To insert the column headings and title at the top of the table, in the Attach Point list, select Top Left or Top Right.
  6. To insert the heading and the title at the bottom of the table, select Bottom Right or Bottom Left.
  7. Click OK until all dialog boxes close.
NoteChanges to heading row location have no impact on parts lists that exist in a drawing.


To enable column splitting (Procedure)

Setup standard based parts lists
Up a level to ..
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enable column splitting

  1. Click the Assist menu [image] Options.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. In the Parts List tab, click [image] .
  5. Select the Enable column split check box.
  6. To split the column based on the number of data rows, select the Number of rows option and enter the row number to split.

    To split the column by distributing the data rows evenly among multiple sections, select the Number of sections option and enter the number of sections to split to.

  7. Click OK until all dialog boxes close.
NoteChanges to heading row location have no impact on parts lists that exist in a drawing.


Setup standard based parts lists (Quick Reference)

Setup standard based parts lists
Setup standard based parts lists
Setup standard based parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

Use this dialog box to customize the default settings for parts lists.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Insertion

Insertion point

Sets the placement of the base point for parts lists. This also controls where the title of the parts list appears. If the insertion point is at the bottom, the headings and title are displayed at the bottom of the parts list and the parts are listed from bottom to top. Similarly, if the insertion point is at the top, the headings and title are displayed at the top of the parts list and the parts are listed from top to bottom.

When the Insertion Point is set to ByNameOfCurrentDraftingStandard, the insertion point is acquired from the List Attach Point setting of the master settings of the current drafting standard. If the master settings change, the insertion point automatically follows the change.

Text

Controls the default text settings for parts list heading and body rows.

Header

Style

Defines the text style to be used for the heading row. This option is available only if the current standard is a custom standard.

Control

Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.

Height

Defines the text height to be used for the heading row.

When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the heading row text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Defines the text color to be used for the heading row.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of heading rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Data

Style

Defines the text style to be used for the data rows. This option is available only if the current standard is a custom standard.

Control

Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.

Height

Defines the text height to be used for data rows.

When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the data row text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Defines the text color to be used for the data rows.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of data rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Spacing

Defines the gap between two data rows.

Internal Margins

Header

Sets the amount of white space for the heading row.

Top

Sets the distance from the top of the row to the top of the text.

Bottom

Sets the distance from the bottom of the row to the bottom of the text.

Left

Sets the distance from the left edge of a column to the left edge of left aligned text.

Right

Sets the distance from the right edge of a column to the right edge of right aligned text.

Data

Sets the amount of white space for the data rows.

Top

Sets the distance from the top of the row to the top of the text.

Bottom

Sets the distance from the bottom of the row to the bottom of the text.

Left

Sets the distance from the left edge of a column to the left edge of left aligned text.

Right

Sets the distance from the right edge of a column to the right edge of right aligned text.

Layout

Insert header

Controls whether a header row appears in the parts lists. The header row displays the column headings of the parts lists columns.

Insert title

Controls whether parts lists have a title bar. The title bar displays the name of the parts list.

Show grip frame

Controls whether the grip frame of the parts list appears. The grip frame is a frame that shows the actual extent of the parts list, which, under certain conditions, may be larger than the visible extent of the parts list.

Bold style

Sets the line style on title, header and summation rows to bold.

Filter empty references

Controls if body blocks (of a custom parts list) should be hidden, if it contains no data. This option is available only if the parts list style is set to a custom parts list.

Evaluate DSK file

Sets grouping options for custom parts list by way of a DSK file. DSK files are created using the Mask Editor. See Miscellaneous Advanced Tools for documentation on the Mask Editor.

Column splitting

Contains options to configure if column splitting is to be performed and if so, how. Column splitting refers to the ability for the entire parts list to wrap as the number of data rows grow.

Enable column splitting

Turns on column splitting.

Wrap round title block

Wraps the parts list around the title block as in the following image. You must specify the title block before inserting the part list.

Wrap left

Wraps the parts list to the left as shown below.

Wrap right

Wraps the parts list to the right as shown below.

Number of rows

Performs split after the number of rows exceeds the number you specify in the adjacent box.

Number of sections

Splits the parts list onto the specified number of sections and distributes the entries evenly.

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Setup standard based parts lists (Quick Reference)

Setup standard based parts lists
Setup standard based parts lists
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Setup standard based parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Use this dialog box to configure component properties and set up defaults for parts lists, balloons and data capture for the BOM.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Available component properties

Contains a list of component properties that can be used as columns for BOMs and parts lists. To make a property visible in the BOM, Parts list or in the Component Property section of the Part Reference dialog box and Properties dialog box, drag the property from this list to the list of properties in the corresponding tab.

Property

Defines the name of the component property. This name uniquely identifies a component property. This is the name by which a BOM column is referred to in formulas.

Caption

Defines the column header to be displayed for this property, when it is used as a column in a BOM table or parts list.

Data type

Specifies the data type for the property.

The text data type allows all alphanumeric characters while the numeric data type allows only numeric characters 0 -9. If you need to store a value such as 4 1/2”, you must set the data type to Text.

Value

Specifies the default value for the property. When you click in a cell, the [image] button appears. Click [image] to launch the expression builder, which will assist you create formulas and pre-defined lists (drop-down lists containing possible values) for the property. If required, you can enter the formula or the pre-defined list directly, without using the expression builder.

If the text in this column is red, it means that the expression contains a syntax error. If you invoke the expression builder at this time, it will show you entries up to the position the syntax error occurs.

NoteOnly syntax errors in expressions for pre-defined lists are shown in this manner.

Precision

Specifies the number of decimals to be used round off numerical data for that property. Precision is defined in the form of 0.000 where the number of zeros (0) after the decimal point indicates the number of decimals to use.

Lead zero

Specifies the number of leading zeros (0) to be used when displaying numerical data for that property. Leading zeros are defined in the form of 00.0 where the number of zeros (0) before the decimal point indicates the minimum number of digits that must exist before the decimal point.

Lock

Prevents the component property data from being edited in the BOM, Parts List, Part Reference and Properties dialog boxes.

Sum

Controls if the component property should be summed and displayed in the result bar of the BOM and Parts List dialog boxes.

New

Displays the last row of the Available component properties list, to enable you to add a new row and thereby create a user-defined component property.

TipIt is better to use the pre-defined component properties User1 to User8 (available via the More button) as these are better supported by the system. For example, when creating custom parts lists, to be able to properly fit text into columns, you must use property ids. The property ids for user defined columns are not known before hand and hence cannot be supported. However, the property ids for the pre-defined columns are known.

Delete

Removes the row selected in the Available component properties list. If the property is a user-defined property, the property is deleted. If not the property is added to the list of additional pre-defined component properties. The additional component properties are shown in the more component properties dialog box, which appears when you click the More button. This Delete button is available only if the entire row is selected.

More

Opens a list of additional pre-defined component properties to add to the Available component properties list.

Add to

Adds the row selected in the Available component property list, to the list of properties in the currently selected tab below the Available component properties list. This button is not available if the entire row is not selected or if the current tab is the Balloon tab.

Component properties tab

Component properties list

Displays the component properties that will be visible in the Part Reference dialog box and Properties dialog box.

Property

Displays the name of the component property.

Display prompt

Defines the prompt to be displayed for that property in the Part References dialog box and Properties dialog box. For example, you can set the caption for the Name property to Enter the name of the component.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in the Part Reference dialog box and the Properties dialog box.

NoteSync does not add QTY and ITEM.

BOM tab

Component properties list

Displays the component properties that will be visible in the BOM dialog box.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column headings are aligned in the BOM dialog box.

Value alignment

Defines the how the data rows are aligned in the BOM dialog box.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Default View

Sets how BOM items are displayed by default.

NoteThe Default view is not visible if you are working in the GOST standard.

Expanded (parts only)

Sets BOM representation to the expanded view, where BOM items correspond to parts and parts from the different assemblies are summed together. However, parts from xref assemblies are not merged with parts from the host drawing nor are they merged with parts from other xref assemblies.

Structured

Sets BOM representation to the structured view, where parts are collected under the assemblies they belong to and are summed only within that assembly.

Use Assembly Path

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly will typically be 2-1, 2-2 and so on.

Separator

Specifies the character to use as the separator.

Parts list tab

NoteThe Parts list tab is not visible if you are working in the GOST standard.

Component properties list

Displays the component properties that will be visible in Parts Lists, by default.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column heading are aligned in parts lists.

Value alignment

Defines the how the data rows are aligned in parts lists.

Width

Defines the column width for the property in the parts list.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in parts lists.

Default style

Standard

Switches the parts list style to a standard based parts list.

Displays a dialog box, which enables you to customize settings applicable to standard based parts lists.

Custom

Switches the parts list style to a custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).

Balloon tab

Category

Displays different categories of references or functions that you can use in the expression for balloon text. This option is not available for custom balloons (because the expression to use for balloon text is defined within the block used for the custom balloon).

Select

Displays a list of references that belong to the selected category or a list of functions, as the case may be.

Add

Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of any existing expression.

Expression

Defines the formula to be used for balloon text.

Default style

Standard

Switches the appearance of the balloon to that defined by the drafting standard.

Displays a dialog box, which enables you to customize settings applicable to standard based balloon.

Custom

Switches the appearance of the balloon to a custom style defined via a block. If the block to use is in an external drawing, select Browse (last entry in the list).

Restore Defaults

Resets all settings to the default settings for the current drafting standard.
See Also
    • About formulas


Set up custom parts lists (Concept)

Setup standard based parts lists
Configure parts lists
Set up GOST parts list
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Customize the shape of the parts lists by creating a custom parts list using blocks.

Custom parts lists require at least two blocks: one block for the parts list heading row, and another for the body row. If necessary, you can have several blocks for the body row. The heading block and the body blocks must have the same name, with a digit at the end to differentiate them.

The heading block usually contains a frame with a heading text or attribute inside. The name of the heading block ends with the digit 0. For example MYPLIST0 is a valid name for the heading block.

The body blocks become a template for one parts list row. The name of the first body block must end with the digit 1, the second body block must end with the digit 2, and so on. For example, MYPLIST1 and MYPLIST2 are valid body block names for the heading block MYPLIST0.

Body blocks usually contain the frame for a row and attributes that indicate which component property they show. Set the tag name of the attribute to the name of the property to show. For example, if the Body block shows the component property Material, name the attribute tag MATERIAL.

One limitation of using the component property name as the attribute tag is that there is no mechanism to fit text within the space reserved for it. For example, if you use DESCRIPTION as the tag name and reserve a column width of 35 for it, if the description of an item in the parts lists exceeds 35, it will overflow to the next column. To work around this issue, use the internal representation.

The internal representation takes the form #GENST{#}, where #GENST is the Component Property ID and {#} is a number to indicate text fit. For example, the Component Property ID for DESCRIPTION is 5GENST (See full list). If the available space for the description is 35 and the text height is 3.5, divide the available space (35) by the text height (3.5), enter the resulting value (10) between curly brackets, and append it to the Component Property ID (5GENST{10}, in this case). If the description of an item exceeds 35 in width, the text compresses to fit into the available space.

You can create the heading block and the body blocks in the current drawing or in an external drawing. If you use an external drawing, the drawing must have the same name as the blocks. For example, the file containing the parts list blocks MYPLIST0, MYPLIST1, and MYPLIST2 must be saved as myplist.dwg.

After you create the blocks for the custom parts list, you can configure the system to use the custom parts list as the default parts list style. You can also set up whether the heading row appears at the top of the parts list or at the bottom and set up column splitting. For more information on the heading row position and column splitting, refer to Configuring standard-based parts lists.

Additional, the system enables you to keep standard style parts lists as well as custom style parts lists in the same drawing. You can select the parts list style when you create the parts list.

See an example...

The following image shows an example of the heading block MYPLIST0.

The following image shows an example of the first body block, MYPLIST1. Property IDs identify the component properties that appear in the row.

The following image shows an example of the second body block, MYPLIST2. Property IDs identify the component properties. They overlap because of their close proximity.

The following image shows a sample parts list based on the blocks. The data rows derive from the body blocks. The data row based on MYPLIST2 stacks on top of the data row based on MYPLIST1.

The Position and Summation sub folders of the MSK folder contain sample drawings containing blocks for custom parts lists. The blocks in these drawings contain translatable text (the samples work in all languages) in the heading block, which takes the form (genmsg “gendwg” 37){27.5}. If you implement a custom parts list, do not concern yourself with translatable text. Type the text directly.


Set up custom parts lists (Procedure)

Setup standard based parts lists
Up a level to ..
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a block scheme for custom parts lists

To set a custom parts list as the default parts list style

To specify the location of the heading row

To create a custom parts list

To enable column splitting


Set up custom parts lists (Quick Reference)

Setup standard based parts lists
Set up custom parts lists
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

Component Property Ids

BOM Settings dialog box


To create a block scheme for custom parts lists (Procedure)

Set up custom parts lists
Up a level to ..
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a block scheme for custom parts lists

  1. Create a block for the heading row. To create the block:
    1. In the drawing area, create the frame and heading text for the heading row.
    2. Use the BLOCK command to convert the geometry and text into a block.
      NoteThe block name must end with the digit 0.
  2. Create blocks for the parts list data rows. To create the blocks:
    1. In the drawing area, create the geometry for the parts list row pattern.
    2. Use the ATTDEF command to add attributes to display row data.
      Note
      • Place the attributes at the position you intend to display the component.
      • The tags of the attributes must be the component property name or the component property ID (See a full list of component propert ids).
    3. Use the BLOCK command to convert the geometry and attributes into blocks.
      Note
      • The body blocks must have the same name as the heading block, but must end with a digit other than 0.
      • The name of the first body block must end with the digit 1, the second with the digit 2, and so on.
    4. In the drawing area, move the blocks to obtain the desired appearance of a data row.
TipA formula can be used as the tag for attributes included in custom parts list blocks.


To set a custom parts list as the default parts list style (Procedure)

Set up custom parts lists
Up a level to ..
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set a custom parts list as the default parts list style

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. In the Parts List tab, in the Default style section, select Custom. The drop-down list next to Custom becomes available.
  5. In the drop-down list, select the name of the custom parts list scheme. To use a custom parts list scheme from an external file, select Browse and open the external file.
  6. Click OK until all dialog boxes close.


To specify the location of the heading row (Procedure)

Set up custom parts lists
Up a level to ..
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To specify the location of the heading row

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. In the Parts List tab, click [image] .
  5. To insert the column headings and title at the top of the table, in the Attach Point list, select Top Left or Top Right.
  6. To insert the heading and the title at the bottom of the table, select Bottom Right or Bottom Left.
  7. Click OK until all dialog boxes close.
NoteChanges to heading row location have no impact on parts lists that exist in a drawing.


To create a custom parts list (Procedure)

Set up custom parts lists
Up a level to ..
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a custom parts list

  1. Click None [image] None [image] At the Command prompt, enter AMBOM.
  2. In the list of BOMs on the left, double-click the BOM to create the parts list from.
  3. In the toolbar, click [image] . The Parts List dialog box is displayed.
  4. In the Parts List style list, select the name of the custom parts list. To use a custom parts list scheme from an external file, select Browse and open the external file.
  5. Click Apply. The columns corresponding to the custom parts list appear.
  6. Click OK. A preview of the parts list appears in the drawing.
  7. Select a location in the drawing to place the parts list.


To enable column splitting (Procedure)

Set up custom parts lists
Up a level to ..
Set up GOST parts list
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enable column splitting

  1. Click the Assist menu [image] Options.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box is displayed.
  4. In the Parts List tab, click [image] .
  5. Select the Enable column split check box.
  6. To split the column based on the number of data rows, select the Number of rows option and enter the row number to split.

    To split the column by distributing the data rows evenly among multiple sections, select the Number of sections option and enter the number of sections to split to.

  7. Click OK until all dialog boxes close.
NoteChanges to heading row location have no impact on parts lists that exist in a drawing.


Set up custom parts lists (Quick Reference)

Set up custom parts lists
Set up custom parts lists
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

Use this dialog box to customize the default settings for parts lists.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Insertion

Insertion point

Sets the placement of the base point for parts lists. This also controls where the title of the parts list appears. If the insertion point is at the bottom, the headings and title are displayed at the bottom of the parts list and the parts are listed from bottom to top. Similarly, if the insertion point is at the top, the headings and title are displayed at the top of the parts list and the parts are listed from top to bottom.

When the Insertion Point is set to ByNameOfCurrentDraftingStandard, the insertion point is acquired from the List Attach Point setting of the master settings of the current drafting standard. If the master settings change, the insertion point automatically follows the change.

Text

Controls the default text settings for parts list heading and body rows.

Header

Style

Defines the text style to be used for the heading row. This option is available only if the current standard is a custom standard.

Control

Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.

Height

Defines the text height to be used for the heading row.

When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the heading row text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Defines the text color to be used for the heading row.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of heading rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Data

Style

Defines the text style to be used for the data rows. This option is available only if the current standard is a custom standard.

Control

Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.

Height

Defines the text height to be used for data rows.

When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the data row text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Defines the text color to be used for the data rows.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of data rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Spacing

Defines the gap between two data rows.

Internal Margins

Header

Sets the amount of white space for the heading row.

Top

Sets the distance from the top of the row to the top of the text.

Bottom

Sets the distance from the bottom of the row to the bottom of the text.

Left

Sets the distance from the left edge of a column to the left edge of left aligned text.

Right

Sets the distance from the right edge of a column to the right edge of right aligned text.

Data

Sets the amount of white space for the data rows.

Top

Sets the distance from the top of the row to the top of the text.

Bottom

Sets the distance from the bottom of the row to the bottom of the text.

Left

Sets the distance from the left edge of a column to the left edge of left aligned text.

Right

Sets the distance from the right edge of a column to the right edge of right aligned text.

Layout

Insert header

Controls whether a header row appears in the parts lists. The header row displays the column headings of the parts lists columns.

Insert title

Controls whether parts lists have a title bar. The title bar displays the name of the parts list.

Show grip frame

Controls whether the grip frame of the parts list appears. The grip frame is a frame that shows the actual extent of the parts list, which, under certain conditions, may be larger than the visible extent of the parts list.

Bold style

Sets the line style on title, header and summation rows to bold.

Filter empty references

Controls if body blocks (of a custom parts list) should be hidden, if it contains no data. This option is available only if the parts list style is set to a custom parts list.

Evaluate DSK file

Sets grouping options for custom parts list by way of a DSK file. DSK files are created using the Mask Editor. See Miscellaneous Advanced Tools for documentation on the Mask Editor.

Column splitting

Contains options to configure if column splitting is to be performed and if so, how. Column splitting refers to the ability for the entire parts list to wrap as the number of data rows grow.

Enable column splitting

Turns on column splitting.

Wrap round title block

Wraps the parts list around the title block as in the following image. You must specify the title block before inserting the part list.

Wrap left

Wraps the parts list to the left as shown below.

Wrap right

Wraps the parts list to the right as shown below.

Number of rows

Performs split after the number of rows exceeds the number you specify in the adjacent box.

Number of sections

Splits the parts list onto the specified number of sections and distributes the entries evenly.

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Set up custom parts lists (Quick Reference)

Set up custom parts lists
Set up custom parts lists
Set up custom parts lists
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Component Property Ids

BOM Column Name | Component Property | Id | Description
Item | ITEM | 1GENST | Item number assigned to the part or assembly.
Qty | QTY | 2GENST | Total count of the part or assembly in the BOM.
Name | NAME | 28GENST | Name of the part or assembly.
Description | DESCR | 5GENST | A description of the part or assembly.
Standard | STANDARD | 7GENST | Information related to the standard under which the part or assembly is created.
Material | MATERIAL | 9GENST | Material used to fabricate the part or assembly.
Material 2 | MATERIAL 2 | 10GENST | Additional property for the material.
Note | NOTE | 24GENST | Notes and comments related to the part or assembly.
Vendor | VENDOR | 25GENST | Name of supplier of the part or assembly.
Description 2 | DESCR2 | 6GENST | Additional description for the part or assembly.
Standard 2 | STANDARD2 | 8GENST | Additional component property for additional standard related information.
Mass | MASS | 12GENST | Mass of the part or assembly.
Price | PRICE | 13GENST | Per unit cost of the part or subassembly.
Measurement | DIM | 14GENST | Measurement of the part or subassembly. For example, the length of a steel shape.
Assembly number | ASSY | 26GENST | Assembly number.
DWG Manager ID | DMID | 27GENST | Drawing Manager Identification number.
Filter | FILTER | 23GENST | Attribute used to filter the BOM.
ID Number | USERID | 11GENST | Identification number of the part or assembly.
Parts List Name | PLNAME | 3GENST | Parts list name.
Parts List Path | PLPATH | 4GENST | Parts list path.
User 1 - User 8 | USER1 - USER 8 | 15GENST - 22GENST | System allocated component properties to contain user-defined attributes.


Set up custom parts lists (Quick Reference)

Set up custom parts lists
Set up custom parts lists
Set up GOST parts list
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up custom parts lists
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Use this dialog box to configure component properties and set up defaults for parts lists, balloons and data capture for the BOM.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Available component properties

Contains a list of component properties that can be used as columns for BOMs and parts lists. To make a property visible in the BOM, Parts list or in the Component Property section of the Part Reference dialog box and Properties dialog box, drag the property from this list to the list of properties in the corresponding tab.

Property

Defines the name of the component property. This name uniquely identifies a component property. This is the name by which a BOM column is referred to in formulas.

Caption

Defines the column header to be displayed for this property, when it is used as a column in a BOM table or parts list.

Data type

Specifies the data type for the property.

The text data type allows all alphanumeric characters while the numeric data type allows only numeric characters 0 -9. If you need to store a value such as 4 1/2”, you must set the data type to Text.

Value

Specifies the default value for the property. When you click in a cell, the [image] button appears. Click [image] to launch the expression builder, which will assist you create formulas and pre-defined lists (drop-down lists containing possible values) for the property. If required, you can enter the formula or the pre-defined list directly, without using the expression builder.

If the text in this column is red, it means that the expression contains a syntax error. If you invoke the expression builder at this time, it will show you entries up to the position the syntax error occurs.

NoteOnly syntax errors in expressions for pre-defined lists are shown in this manner.

Precision

Specifies the number of decimals to be used round off numerical data for that property. Precision is defined in the form of 0.000 where the number of zeros (0) after the decimal point indicates the number of decimals to use.

Lead zero

Specifies the number of leading zeros (0) to be used when displaying numerical data for that property. Leading zeros are defined in the form of 00.0 where the number of zeros (0) before the decimal point indicates the minimum number of digits that must exist before the decimal point.

Lock

Prevents the component property data from being edited in the BOM, Parts List, Part Reference and Properties dialog boxes.

Sum

Controls if the component property should be summed and displayed in the result bar of the BOM and Parts List dialog boxes.

New

Displays the last row of the Available component properties list, to enable you to add a new row and thereby create a user-defined component property.

TipIt is better to use the pre-defined component properties User1 to User8 (available via the More button) as these are better supported by the system. For example, when creating custom parts lists, to be able to properly fit text into columns, you must use property ids. The property ids for user defined columns are not known before hand and hence cannot be supported. However, the property ids for the pre-defined columns are known.

Delete

Removes the row selected in the Available component properties list. If the property is a user-defined property, the property is deleted. If not the property is added to the list of additional pre-defined component properties. The additional component properties are shown in the more component properties dialog box, which appears when you click the More button. This Delete button is available only if the entire row is selected.

More

Opens a list of additional pre-defined component properties to add to the Available component properties list.

Add to

Adds the row selected in the Available component property list, to the list of properties in the currently selected tab below the Available component properties list. This button is not available if the entire row is not selected or if the current tab is the Balloon tab.

Component properties tab

Component properties list

Displays the component properties that will be visible in the Part Reference dialog box and Properties dialog box.

Property

Displays the name of the component property.

Display prompt

Defines the prompt to be displayed for that property in the Part References dialog box and Properties dialog box. For example, you can set the caption for the Name property to Enter the name of the component.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in the Part Reference dialog box and the Properties dialog box.

NoteSync does not add QTY and ITEM.

BOM tab

Component properties list

Displays the component properties that will be visible in the BOM dialog box.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column headings are aligned in the BOM dialog box.

Value alignment

Defines the how the data rows are aligned in the BOM dialog box.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Default View

Sets how BOM items are displayed by default.

NoteThe Default view is not visible if you are working in the GOST standard.

Expanded (parts only)

Sets BOM representation to the expanded view, where BOM items correspond to parts and parts from the different assemblies are summed together. However, parts from xref assemblies are not merged with parts from the host drawing nor are they merged with parts from other xref assemblies.

Structured

Sets BOM representation to the structured view, where parts are collected under the assemblies they belong to and are summed only within that assembly.

Use Assembly Path

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly will typically be 2-1, 2-2 and so on.

Separator

Specifies the character to use as the separator.

Parts list tab

NoteThe Parts list tab is not visible if you are working in the GOST standard.

Component properties list

Displays the component properties that will be visible in Parts Lists, by default.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column heading are aligned in parts lists.

Value alignment

Defines the how the data rows are aligned in parts lists.

Width

Defines the column width for the property in the parts list.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in parts lists.

Default style

Standard

Switches the parts list style to a standard based parts list.

Displays a dialog box, which enables you to customize settings applicable to standard based parts lists.

Custom

Switches the parts list style to a custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).

Balloon tab

Category

Displays different categories of references or functions that you can use in the expression for balloon text. This option is not available for custom balloons (because the expression to use for balloon text is defined within the block used for the custom balloon).

Select

Displays a list of references that belong to the selected category or a list of functions, as the case may be.

Add

Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of any existing expression.

Expression

Defines the formula to be used for balloon text.

Default style

Standard

Switches the appearance of the balloon to that defined by the drafting standard.

Displays a dialog box, which enables you to customize settings applicable to standard based balloon.

Custom

Switches the appearance of the balloon to a custom style defined via a block. If the block to use is in an external drawing, select Browse (last entry in the list).

Restore Defaults

Resets all settings to the default settings for the current drafting standard.
See Also
    • About formulas


Set up GOST parts list (Concept)

Set up custom parts lists
Configure parts lists
Configure balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up GOST parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard, the default settings for parts lists change to match that drafting standard. You can customize these settings to suit your drafting requirements.

Configuring a GOST parts lists includes the following:

  • Specify sort options.

    Automatically sort parts and categories when the dialog box appears and automatically sort parts when a part moves to a new category

  • Configure text options.

    Select font color, styles, and text options.

  • Configure table layout and item numbering

    Select margins for headers and data in the parts list.


Set up GOST parts list (Procedure)

Set up custom parts lists
Up a level to ..
Set up GOST parts list
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up GOST parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Specify Page Break Options

To Configure Text Settings for Parts Lists

To Configure Table Layout


Set up GOST parts list (Quick Reference)

Set up custom parts lists
Set up GOST parts list
Set up GOST parts list
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up GOST parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

BOM Settings dialog box


To Specify Page Break Options (Procedure)

Set up GOST parts list
Up a level to ..
Set up GOST parts list
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up GOST parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Specify Page Break Options

Before you configure the GOST parts list, be sure that GOST is the active standard.

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The Parts List Settings for GOST dialog box appears.
  4. In the General section, select the Split at page boundary check box.
  5. Click OK to accept the change and close the dialog box.


To Configure Text Settings for Parts Lists (Procedure)

Set up GOST parts list
Up a level to ..
Set up GOST parts list
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up GOST parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Settings for Parts Lists

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The BOM Settings dialog box appears.
  4. In the Parts List tab, click [image] .
  5. To change the text height of part list column captions, in the Text section, below the Header row, from the Height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  6. To change the text height of the data rows, in the Text section, below the Data row, from the Height list, select the text height.
  7. To change the text color of part list column captions, in the Text section, below the Header row, from the Color list, select the color.
  8. To change the text color of the data rows, in the Text section, below the Data row, from the Color list, select the color.
  9. To specify how text works with columns:
    1. To resize text to fit the column width, in the Text section, in the appropriate Control list, select Fit.
    2. To wrap text into multiple lines, in the Text section, in the appropriate Control list, select Wrap.
  10. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can select a text style for part list text.


To Configure Table Layout (Procedure)

Set up GOST parts list
Up a level to ..
Configure balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up GOST parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Table Layout

By default the fields in the Internal Margins section is disabled by default. However, if you create a custom parts list based on the GOST standard, the fields are activated.

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Parts List. The Parts List Settings for GOST dialog box appears.
  4. For the Heading cells, set the following margins:
    • Top - Text distance from table cell top border.
    • Left - Text distance from table cell left border.
    • Bottom - Text distance from table cell bottom border.
    • Right - Text distance from table cell right border.
  5. For the Data cells, set the following margins:
    • Top - Text distance from table cell top border.
    • Left - Text distance from table cell left border.
    • Bottom - Text distance from table cell bottom border.
    • Right - Text distance from table cell right border.
  6. Click OK to accept the changes and close the dialog box.


Set up GOST parts list (Quick Reference)

Set up GOST parts list
Set up GOST parts list
Set up GOST parts list
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up GOST parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

Use this dialog box to configure the default settings parts list based on the GOST standard.

Revision Displays the name and the revision of the standard that controls the default settings of parts lists.
General
 | Split at page boundary When checked, adds page breaks to the parts list if the drawing has multiple pages. the parts list divisions are equal to the number of pages in the drawing.
Text Controls the default text settings for parts list heading and body rows.
 | Header
 |  | Style Defines the text style to be used for the heading row. This option is available only if the current standard is a custom standard.
 |  | Height Defines the text height to be used for the heading row. If the current standard is a custom standard, you can set any text height. If not, the system restricts you to values allowed by the drafting standard; you must select a text height from the list. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Color Defines the text color to be used for the heading row. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Control Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.
 | Data
 |  | Style Defines the text style to be used for the data rows. This option is available only if the current standard is a custom standard.
 |  | Height Defines the text height to be used for the data rows. If the current standard is a custom standard, you can set any text height. If not, the system restricts you to values allowed by the drafting standard; you must select a text height from the list. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Color Defines the text color to be used for the data rows. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten.
 |  | Control Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.
 |  | Spacing Defines the gap between two data rows.
Internal Margins
 | Header Sets the amount of white space for the heading row.
 |  | Top Sets the distance from the top of the row to the top of the text.
 |  | Bottom Sets the distance from the bottom of the row to the bottom of the text.
 |  | Left Sets the distance from the left edge of a column to the left edge of left aligned text.
 |  | Right Sets the distance from the right edge of a column to the right edge of right aligned text.
 | Data Sets the amount of white space for the data rows.
 |  | Top Sets the distance from the top of the row to the top of the text.
 |  | Bottom Sets the distance from the bottom of the row to the bottom of the text.
 |  | Left Sets the distance from the left edge of a column to the left edge of left aligned text.
 |  | Right Sets the distance from the right edge of a column to the right edge of right aligned text.
Item numbering
 | Start from Specifies the starting item number used in the Renumber All operation.
 | Increase by Specifies the item number increment used in the Renumber All operation.
 | Skip after category Specifies the number of item numbers to skip between the last item in one category and the first item in the next category in the Renumber All operation.
Layout
 | Lines to skip after category Specifies the number of blank lines to insert at the end of each category. Blank lines cannot be edited or deleted.
 | Skip line after each part Controls whether to add a blank line after each part.
Restore Defaults Resets all settings to the default settings for the current drafting standard.


Set up GOST parts list (Quick Reference)

Set up GOST parts list
Set up GOST parts list
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure parts lists >
Set up GOST parts list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Use this dialog box to configure component properties and set up defaults for parts lists, balloons and data capture for the BOM.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Available component properties

Contains a list of component properties that can be used as columns for BOMs and parts lists. To make a property visible in the BOM, Parts list or in the Component Property section of the Part Reference dialog box and Properties dialog box, drag the property from this list to the list of properties in the corresponding tab.

Property

Defines the name of the component property. This name uniquely identifies a component property. This is the name by which a BOM column is referred to in formulas.

Caption

Defines the column header to be displayed for this property, when it is used as a column in a BOM table or parts list.

Data type

Specifies the data type for the property.

The text data type allows all alphanumeric characters while the numeric data type allows only numeric characters 0 -9. If you need to store a value such as 4 1/2”, you must set the data type to Text.

Value

Specifies the default value for the property. When you click in a cell, the [image] button appears. Click [image] to launch the expression builder, which will assist you create formulas and pre-defined lists (drop-down lists containing possible values) for the property. If required, you can enter the formula or the pre-defined list directly, without using the expression builder.

If the text in this column is red, it means that the expression contains a syntax error. If you invoke the expression builder at this time, it will show you entries up to the position the syntax error occurs.

NoteOnly syntax errors in expressions for pre-defined lists are shown in this manner.

Precision

Specifies the number of decimals to be used round off numerical data for that property. Precision is defined in the form of 0.000 where the number of zeros (0) after the decimal point indicates the number of decimals to use.

Lead zero

Specifies the number of leading zeros (0) to be used when displaying numerical data for that property. Leading zeros are defined in the form of 00.0 where the number of zeros (0) before the decimal point indicates the minimum number of digits that must exist before the decimal point.

Lock

Prevents the component property data from being edited in the BOM, Parts List, Part Reference and Properties dialog boxes.

Sum

Controls if the component property should be summed and displayed in the result bar of the BOM and Parts List dialog boxes.

New

Displays the last row of the Available component properties list, to enable you to add a new row and thereby create a user-defined component property.

TipIt is better to use the pre-defined component properties User1 to User8 (available via the More button) as these are better supported by the system. For example, when creating custom parts lists, to be able to properly fit text into columns, you must use property ids. The property ids for user defined columns are not known before hand and hence cannot be supported. However, the property ids for the pre-defined columns are known.

Delete

Removes the row selected in the Available component properties list. If the property is a user-defined property, the property is deleted. If not the property is added to the list of additional pre-defined component properties. The additional component properties are shown in the more component properties dialog box, which appears when you click the More button. This Delete button is available only if the entire row is selected.

More

Opens a list of additional pre-defined component properties to add to the Available component properties list.

Add to

Adds the row selected in the Available component property list, to the list of properties in the currently selected tab below the Available component properties list. This button is not available if the entire row is not selected or if the current tab is the Balloon tab.

Component properties tab

Component properties list

Displays the component properties that will be visible in the Part Reference dialog box and Properties dialog box.

Property

Displays the name of the component property.

Display prompt

Defines the prompt to be displayed for that property in the Part References dialog box and Properties dialog box. For example, you can set the caption for the Name property to Enter the name of the component.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in the Part Reference dialog box and the Properties dialog box.

NoteSync does not add QTY and ITEM.

BOM tab

Component properties list

Displays the component properties that will be visible in the BOM dialog box.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column headings are aligned in the BOM dialog box.

Value alignment

Defines the how the data rows are aligned in the BOM dialog box.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Default View

Sets how BOM items are displayed by default.

NoteThe Default view is not visible if you are working in the GOST standard.

Expanded (parts only)

Sets BOM representation to the expanded view, where BOM items correspond to parts and parts from the different assemblies are summed together. However, parts from xref assemblies are not merged with parts from the host drawing nor are they merged with parts from other xref assemblies.

Structured

Sets BOM representation to the structured view, where parts are collected under the assemblies they belong to and are summed only within that assembly.

Use Assembly Path

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly will typically be 2-1, 2-2 and so on.

Separator

Specifies the character to use as the separator.

Parts list tab

NoteThe Parts list tab is not visible if you are working in the GOST standard.

Component properties list

Displays the component properties that will be visible in Parts Lists, by default.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column heading are aligned in parts lists.

Value alignment

Defines the how the data rows are aligned in parts lists.

Width

Defines the column width for the property in the parts list.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in parts lists.

Default style

Standard

Switches the parts list style to a standard based parts list.

Displays a dialog box, which enables you to customize settings applicable to standard based parts lists.

Custom

Switches the parts list style to a custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).

Balloon tab

Category

Displays different categories of references or functions that you can use in the expression for balloon text. This option is not available for custom balloons (because the expression to use for balloon text is defined within the block used for the custom balloon).

Select

Displays a list of references that belong to the selected category or a list of functions, as the case may be.

Add

Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of any existing expression.

Expression

Defines the formula to be used for balloon text.

Default style

Standard

Switches the appearance of the balloon to that defined by the drafting standard.

Displays a dialog box, which enables you to customize settings applicable to standard based balloon.

Custom

Switches the appearance of the balloon to a custom style defined via a block. If the block to use is in an external drawing, select Browse (last entry in the list).

Restore Defaults

Resets all settings to the default settings for the current drafting standard.
See Also
    • About formulas


Configure balloons

Set up GOST parts list
Configure BOMs, Balloons, and Parts Lists
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Set up standard based balloons
  • Set up custom balloons


Configure balloons (Procedure)

Set up GOST parts list
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Select the Default Balloon Type

To Set up the Balloon Size

To Configure Leaders for Balloons

To Configure the Master Settings for Leaders

To Configure Text Height and Color for Balloons

To Configure Master Settings for Text Height

To Configure the Value to be Displayed in Standard Balloons

To Configure how Balloons are Distributed

To create blocks for custom balloons

To set a custom balloon as the default balloon style

To Configure how Balloons are Distributed

To Configure Leaders for Balloons


Set up standard based balloons (Concept)

Configure balloons
Configure balloons
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select the drafting standard, the default settings for balloons change to match that drafting standard. If necessary, you can customize these settings to suit your drafting requirements. The following configuration operations are available:

    • Select the default balloon type.

      For any selected drafting standard, the system supports several balloon types that comply with it. It selects one automatically as the default balloon type. You can change the default balloon type.

    • Set up the balloon size.

      AutoCAD Mechanical enables you to select a size factor for balloons. It calculates the balloon size by multiplying the balloon text height by the size factor.

    • Configure balloon text and leaders.

      Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

      In the Balloon Settings dialog box, the text and leader settings default to “By NameOfCurrentDraftingStandard.” If you modify the master settings, balloons update automatically. If you do not want balloons to follow the master settings, select a specific setting.

    • Configure what to display in balloons.

      Although it is customary to display the item number in balloons, you can display the value of any component property, including the results of a complex formula, in a balloon.

    • Configure how the program spaces balloons.

      Select the vertical and horizontal distance between balloons. The system uses this setting when it aligns balloons.

During a drawing session, you can override most settings made at configuration time. If you change a balloon setting during a drawing session, the changes apply to all balloons except ones for which you override that setting (the program retains overrides).


Set up standard based balloons (Procedure)

Configure balloons
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Select the Default Balloon Type

To Set up the Balloon Size

To Configure Leaders for Balloons

To Configure the Master Settings for Leaders

To Configure Text Height and Color for Balloons

To Configure Master Settings for Text Height

To Configure the Value to be Displayed in Standard Balloons

To Configure how Balloons are Distributed


Set up standard based balloons (Quick Reference)

Set up GOST parts list
Set up standard based balloons
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Balloon Settings dialog box

BOM Settings dialog box


To Select the Default Balloon Type (Procedure)

Set up standard based balloons
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Select the Default Balloon Type

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. In the Balloon list, select the balloon type.
    NoteIf the appropriate balloon type is not visible, use the scroll bar to bring it into view.
  6. Click OK until all dialog boxes close.


To Set up the Balloon Size (Procedure)

Set up standard based balloons
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set up the Balloon Size

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. In the Balloon size factor box, specify how much larger than the balloon text the balloon must be.
    NoteThe balloon size is determined by multiplying the balloon text height with the size factor.
  6. Click OK until all dialog boxes close.


To Configure Leaders for Balloons (Procedure)

Set up standard based balloons
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Leaders for Balloons

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. In the Arrowhead list, select the arrowhead.
  6. In the Color list, select the color.
    NoteTo acquire the arrowhead shape and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard.”
  7. Click OK until all dialog boxes close.


To Configure the Master Settings for Leaders (Procedure)

Set up standard based balloons
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Master Settings for Leaders

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the arrowhead shape, in the Arrowhead list, select the arrowhead.
  5. To change the arrow size, in the Arrow size list, select the size.
  6. To change the leader color, in the leader section, in the color list, select the color.
  7. Click OK until all dialog boxes close.


To Configure Text Height and Color for Balloons (Procedure)

Set up standard based balloons
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Balloons

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. To change the text height, in the Text Section, in the Height list, select the text height.
    NoteTo derive the text height from the master text settings automatically, select the text height marked “By NameOfCurrentDraftingStandard.”
  6. To change the text color, in the Text Section, in the Color list, select the color.
  7. Click OK until all dialog boxes close.


To Configure Master Settings for Text Height (Procedure)

Set up standard based balloons
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


To Configure the Value to be Displayed in Standard Balloons (Procedure)

Set up standard based balloons
Up a level to ..
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Value to be Displayed in Standard Balloons

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Balloon tab, in the expression box, make the first character an equal sign (=).
  5. In the Category list, select the category of reference to display in the balloon.
  6. From the Select list, select the reference and click [image] .
    NoteYou can combine as many references as required, along with functions and literal text.
  7. Click OK until all dialog boxes close.


To Configure how Balloons are Distributed (Procedure)

Set up standard based balloons
Up a level to ..
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure how Balloons are Distributed

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. In the Horizontal spacing box, specify the horizontal distance to maintain when balloons are aligned automatically.
  6. In the Vertical spacing box, specify the vertical distance to maintain when balloons are aligned automatically.
  7. Click OK until all dialog boxes close.


Set up standard based balloons (Quick Reference)

Set up standard based balloons
Set up standard based balloons
Set up standard based balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Balloon Settings dialog box

Use this dialog box to configure the default settings for balloons.

Revision

Displays the name and the revision of the standard that controls the default settings of balloons.

Balloon

Provides options for setting the appearance for standard based balloons. These options are not available if the balloon style has been set to a custom balloon.

Balloon type

Displays a palette of predefined standard based balloons. The current selection is boxed. Click a balloon to set it as the default.

Balloon size factor

Specifies how many times larger than the balloon text a balloon is.

Horizontal spacing

Sets the horizontal distance (between the centers of two adjacent balloons) that must be maintained when balloons are automatically aligned.

Vertical spacing

Sets the vertical distance (between the centers of two adjacent balloons) that must be maintained when balloons are automatically aligned.

Arrowhead

Sets the arrowhead to be used for the leader termination. A palette containing standard compliant arrows appears to assist you select the desired arrowhead.

Inset Arrowhead

Sets the arrowhead to be used for leaders that do not terminate on object lines or the part reference icon ( [image] ). A palette containing standard compliant arrows appears to assist you select the desired arrowhead.

Fix balloon position

Locks balloons in the place you place them such that they won’t move when the objects they are attached to are moved.

Text

Provides options to set the text height and color for standard based balloons. These options are not available if the balloon type style is set to a custom balloon.

Height

Sets text height for balloon text.

When the height is set to ByNameOfCurrentDraftingStandard, the text height is derived from the master settings of the current drafting standard. If the master setting changes, the text height automatically changes to one size larger than the base height setting.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Sets text color for balloon text.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the balloon text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader Connection

Defines where on a custom balloon the leader connects to it. This option is not available if the current balloon style is a standard based balloon.

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Set up standard based balloons (Quick Reference)

Set up standard based balloons
Set up standard based balloons
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up standard based balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Use this dialog box to configure component properties and set up defaults for parts lists, balloons and data capture for the BOM.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Available component properties

Contains a list of component properties that can be used as columns for BOMs and parts lists. To make a property visible in the BOM, Parts list or in the Component Property section of the Part Reference dialog box and Properties dialog box, drag the property from this list to the list of properties in the corresponding tab.

Property

Defines the name of the component property. This name uniquely identifies a component property. This is the name by which a BOM column is referred to in formulas.

Caption

Defines the column header to be displayed for this property, when it is used as a column in a BOM table or parts list.

Data type

Specifies the data type for the property.

The text data type allows all alphanumeric characters while the numeric data type allows only numeric characters 0 -9. If you need to store a value such as 4 1/2”, you must set the data type to Text.

Value

Specifies the default value for the property. When you click in a cell, the [image] button appears. Click [image] to launch the expression builder, which will assist you create formulas and pre-defined lists (drop-down lists containing possible values) for the property. If required, you can enter the formula or the pre-defined list directly, without using the expression builder.

If the text in this column is red, it means that the expression contains a syntax error. If you invoke the expression builder at this time, it will show you entries up to the position the syntax error occurs.

NoteOnly syntax errors in expressions for pre-defined lists are shown in this manner.

Precision

Specifies the number of decimals to be used round off numerical data for that property. Precision is defined in the form of 0.000 where the number of zeros (0) after the decimal point indicates the number of decimals to use.

Lead zero

Specifies the number of leading zeros (0) to be used when displaying numerical data for that property. Leading zeros are defined in the form of 00.0 where the number of zeros (0) before the decimal point indicates the minimum number of digits that must exist before the decimal point.

Lock

Prevents the component property data from being edited in the BOM, Parts List, Part Reference and Properties dialog boxes.

Sum

Controls if the component property should be summed and displayed in the result bar of the BOM and Parts List dialog boxes.

New

Displays the last row of the Available component properties list, to enable you to add a new row and thereby create a user-defined component property.

TipIt is better to use the pre-defined component properties User1 to User8 (available via the More button) as these are better supported by the system. For example, when creating custom parts lists, to be able to properly fit text into columns, you must use property ids. The property ids for user defined columns are not known before hand and hence cannot be supported. However, the property ids for the pre-defined columns are known.

Delete

Removes the row selected in the Available component properties list. If the property is a user-defined property, the property is deleted. If not the property is added to the list of additional pre-defined component properties. The additional component properties are shown in the more component properties dialog box, which appears when you click the More button. This Delete button is available only if the entire row is selected.

More

Opens a list of additional pre-defined component properties to add to the Available component properties list.

Add to

Adds the row selected in the Available component property list, to the list of properties in the currently selected tab below the Available component properties list. This button is not available if the entire row is not selected or if the current tab is the Balloon tab.

Component properties tab

Component properties list

Displays the component properties that will be visible in the Part Reference dialog box and Properties dialog box.

Property

Displays the name of the component property.

Display prompt

Defines the prompt to be displayed for that property in the Part References dialog box and Properties dialog box. For example, you can set the caption for the Name property to Enter the name of the component.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in the Part Reference dialog box and the Properties dialog box.

NoteSync does not add QTY and ITEM.

BOM tab

Component properties list

Displays the component properties that will be visible in the BOM dialog box.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column headings are aligned in the BOM dialog box.

Value alignment

Defines the how the data rows are aligned in the BOM dialog box.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Default View

Sets how BOM items are displayed by default.

NoteThe Default view is not visible if you are working in the GOST standard.

Expanded (parts only)

Sets BOM representation to the expanded view, where BOM items correspond to parts and parts from the different assemblies are summed together. However, parts from xref assemblies are not merged with parts from the host drawing nor are they merged with parts from other xref assemblies.

Structured

Sets BOM representation to the structured view, where parts are collected under the assemblies they belong to and are summed only within that assembly.

Use Assembly Path

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly will typically be 2-1, 2-2 and so on.

Separator

Specifies the character to use as the separator.

Parts list tab

NoteThe Parts list tab is not visible if you are working in the GOST standard.

Component properties list

Displays the component properties that will be visible in Parts Lists, by default.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column heading are aligned in parts lists.

Value alignment

Defines the how the data rows are aligned in parts lists.

Width

Defines the column width for the property in the parts list.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in parts lists.

Default style

Standard

Switches the parts list style to a standard based parts list.

Displays a dialog box, which enables you to customize settings applicable to standard based parts lists.

Custom

Switches the parts list style to a custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).

Balloon tab

Category

Displays different categories of references or functions that you can use in the expression for balloon text. This option is not available for custom balloons (because the expression to use for balloon text is defined within the block used for the custom balloon).

Select

Displays a list of references that belong to the selected category or a list of functions, as the case may be.

Add

Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of any existing expression.

Expression

Defines the formula to be used for balloon text.

Default style

Standard

Switches the appearance of the balloon to that defined by the drafting standard.

Displays a dialog box, which enables you to customize settings applicable to standard based balloon.

Custom

Switches the appearance of the balloon to a custom style defined via a block. If the block to use is in an external drawing, select Browse (last entry in the list).

Restore Defaults

Resets all settings to the default settings for the current drafting standard.
See Also
    • About formulas


Set up custom balloons (Concept)

Set up standard based balloons
Configure balloons
Configure component property capturing
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical gives you the ability to set up balloons of custom shape using blocks and attributes.

To create a custom shaped balloon, you must create the custom shape and then, in the place where you want the balloon text to appear, you must insert an attribute.

To create a custom shaped balloon, you first create the balloon geometry (the custom shape) and then, in the position you want the balloon text to appear, you must place an attribute. The tag name of the attribute must be the same as the name of the component property you want to show on the balloon. You can insert more than 1 attribute, if required. Finally you must create a block and add the custom shape balloon geometry and the attributes to it.

You can create blocks for custom balloons in the current drawing or in an external drawing. You can set the custom balloon as the default balloon style.

You can have standard-based balloons and custom balloons in the same drawing. In the BOM Settings dialog box, set the default balloon style to the style you intend to use for the majority of balloons. After you create balloons, you can edit them and change the balloon style to a standard-based balloon or custom balloon.


Set up custom balloons (Procedure)

Set up standard based balloons
Up a level to ..
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create blocks for custom balloons

To set a custom balloon as the default balloon style

To Configure how Balloons are Distributed

To Configure Leaders for Balloons


Set up custom balloons (Quick Reference)

Set up standard based balloons
Set up custom balloons
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Balloon Settings dialog box

BOM Settings dialog box


To create blocks for custom balloons (Procedure)

Set up custom balloons
Up a level to ..
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create blocks for custom balloons

  1. Create a geometry for the custom balloon.
  2. Click None [image] None [image] . At the Command prompt, enter ATTDEF.
  3. Place the attributes at the position you want the balloon text displayed. The tags of the attributes must be the same as the component property you want the balloon to display.
  4. Use the BLOCK command to convert the geometry and attributes to a block.


To set a custom balloon as the default balloon style (Procedure)

Set up custom balloons
Up a level to ..
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set a custom balloon as the default balloon style

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. Select the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box is displayed.
  4. In the Balloon tab, in the Default style section, select Custom. The drop-down list next to Custom becomes available.
  5. If the block to use as the custom balloon is in the current drawing, select the name of the block in the drop-down list.

    If the block is in another file:

    1. In the drop-down list, select Browse.
    2. Open the file that contains the blocks. The names of the blocks appear in the drop-down list.
    3. In the drop-down list, select the name of the block.
  6. In the Default style section, click [image] . The Balloon Settings dialog box is displayed.
  7. In the Leader connection section, select the position of the leader connection.
  8. Click OK until all dialog boxes close.


To Configure how Balloons are Distributed (Procedure)

Set up custom balloons
Up a level to ..
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure how Balloons are Distributed

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. In the Horizontal spacing box, specify the horizontal distance to maintain when balloons are aligned automatically.
  6. In the Vertical spacing box, specify the vertical distance to maintain when balloons are aligned automatically.
  7. Click OK until all dialog boxes close.


To Configure Leaders for Balloons (Procedure)

Set up custom balloons
Up a level to ..
Configure component property capturing
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Leaders for Balloons

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Balloon. The BOM Settings dialog box appears.
  4. In the Default style section, click [image] . The Balloon Settings dialog box appears.
  5. In the Arrowhead list, select the arrowhead.
  6. In the Color list, select the color.
    NoteTo acquire the arrowhead shape and leader color from master settings, select the list item marked “By NameOfCurrentDraftingStandard.”
  7. Click OK until all dialog boxes close.


Set up custom balloons (Quick Reference)

Set up custom balloons
Set up custom balloons
Set up custom balloons
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Balloon Settings dialog box

Use this dialog box to configure the default settings for balloons.

Revision

Displays the name and the revision of the standard that controls the default settings of balloons.

Balloon

Provides options for setting the appearance for standard based balloons. These options are not available if the balloon style has been set to a custom balloon.

Balloon type

Displays a palette of predefined standard based balloons. The current selection is boxed. Click a balloon to set it as the default.

Balloon size factor

Specifies how many times larger than the balloon text a balloon is.

Horizontal spacing

Sets the horizontal distance (between the centers of two adjacent balloons) that must be maintained when balloons are automatically aligned.

Vertical spacing

Sets the vertical distance (between the centers of two adjacent balloons) that must be maintained when balloons are automatically aligned.

Arrowhead

Sets the arrowhead to be used for the leader termination. A palette containing standard compliant arrows appears to assist you select the desired arrowhead.

Inset Arrowhead

Sets the arrowhead to be used for leaders that do not terminate on object lines or the part reference icon ( [image] ). A palette containing standard compliant arrows appears to assist you select the desired arrowhead.

Fix balloon position

Locks balloons in the place you place them such that they won’t move when the objects they are attached to are moved.

Text

Provides options to set the text height and color for standard based balloons. These options are not available if the balloon type style is set to a custom balloon.

Height

Sets text height for balloon text.

When the height is set to ByNameOfCurrentDraftingStandard, the text height is derived from the master settings of the current drafting standard. If the master setting changes, the text height automatically changes to one size larger than the base height setting.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Sets text color for balloon text.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the balloon text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Leader Connection

Defines where on a custom balloon the leader connects to it. This option is not available if the current balloon style is a standard based balloon.

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Set up custom balloons (Quick Reference)

Set up custom balloons
Set up custom balloons
Configure component property capturing
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists > Configure balloons >
Set up custom balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Use this dialog box to configure component properties and set up defaults for parts lists, balloons and data capture for the BOM.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Available component properties

Contains a list of component properties that can be used as columns for BOMs and parts lists. To make a property visible in the BOM, Parts list or in the Component Property section of the Part Reference dialog box and Properties dialog box, drag the property from this list to the list of properties in the corresponding tab.

Property

Defines the name of the component property. This name uniquely identifies a component property. This is the name by which a BOM column is referred to in formulas.

Caption

Defines the column header to be displayed for this property, when it is used as a column in a BOM table or parts list.

Data type

Specifies the data type for the property.

The text data type allows all alphanumeric characters while the numeric data type allows only numeric characters 0 -9. If you need to store a value such as 4 1/2”, you must set the data type to Text.

Value

Specifies the default value for the property. When you click in a cell, the [image] button appears. Click [image] to launch the expression builder, which will assist you create formulas and pre-defined lists (drop-down lists containing possible values) for the property. If required, you can enter the formula or the pre-defined list directly, without using the expression builder.

If the text in this column is red, it means that the expression contains a syntax error. If you invoke the expression builder at this time, it will show you entries up to the position the syntax error occurs.

NoteOnly syntax errors in expressions for pre-defined lists are shown in this manner.

Precision

Specifies the number of decimals to be used round off numerical data for that property. Precision is defined in the form of 0.000 where the number of zeros (0) after the decimal point indicates the number of decimals to use.

Lead zero

Specifies the number of leading zeros (0) to be used when displaying numerical data for that property. Leading zeros are defined in the form of 00.0 where the number of zeros (0) before the decimal point indicates the minimum number of digits that must exist before the decimal point.

Lock

Prevents the component property data from being edited in the BOM, Parts List, Part Reference and Properties dialog boxes.

Sum

Controls if the component property should be summed and displayed in the result bar of the BOM and Parts List dialog boxes.

New

Displays the last row of the Available component properties list, to enable you to add a new row and thereby create a user-defined component property.

TipIt is better to use the pre-defined component properties User1 to User8 (available via the More button) as these are better supported by the system. For example, when creating custom parts lists, to be able to properly fit text into columns, you must use property ids. The property ids for user defined columns are not known before hand and hence cannot be supported. However, the property ids for the pre-defined columns are known.

Delete

Removes the row selected in the Available component properties list. If the property is a user-defined property, the property is deleted. If not the property is added to the list of additional pre-defined component properties. The additional component properties are shown in the more component properties dialog box, which appears when you click the More button. This Delete button is available only if the entire row is selected.

More

Opens a list of additional pre-defined component properties to add to the Available component properties list.

Add to

Adds the row selected in the Available component property list, to the list of properties in the currently selected tab below the Available component properties list. This button is not available if the entire row is not selected or if the current tab is the Balloon tab.

Component properties tab

Component properties list

Displays the component properties that will be visible in the Part Reference dialog box and Properties dialog box.

Property

Displays the name of the component property.

Display prompt

Defines the prompt to be displayed for that property in the Part References dialog box and Properties dialog box. For example, you can set the caption for the Name property to Enter the name of the component.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in the Part Reference dialog box and the Properties dialog box.

NoteSync does not add QTY and ITEM.

BOM tab

Component properties list

Displays the component properties that will be visible in the BOM dialog box.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column headings are aligned in the BOM dialog box.

Value alignment

Defines the how the data rows are aligned in the BOM dialog box.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Default View

Sets how BOM items are displayed by default.

NoteThe Default view is not visible if you are working in the GOST standard.

Expanded (parts only)

Sets BOM representation to the expanded view, where BOM items correspond to parts and parts from the different assemblies are summed together. However, parts from xref assemblies are not merged with parts from the host drawing nor are they merged with parts from other xref assemblies.

Structured

Sets BOM representation to the structured view, where parts are collected under the assemblies they belong to and are summed only within that assembly.

Use Assembly Path

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly will typically be 2-1, 2-2 and so on.

Separator

Specifies the character to use as the separator.

Parts list tab

NoteThe Parts list tab is not visible if you are working in the GOST standard.

Component properties list

Displays the component properties that will be visible in Parts Lists, by default.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column heading are aligned in parts lists.

Value alignment

Defines the how the data rows are aligned in parts lists.

Width

Defines the column width for the property in the parts list.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in parts lists.

Default style

Standard

Switches the parts list style to a standard based parts list.

Displays a dialog box, which enables you to customize settings applicable to standard based parts lists.

Custom

Switches the parts list style to a custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).

Balloon tab

Category

Displays different categories of references or functions that you can use in the expression for balloon text. This option is not available for custom balloons (because the expression to use for balloon text is defined within the block used for the custom balloon).

Select

Displays a list of references that belong to the selected category or a list of functions, as the case may be.

Add

Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of any existing expression.

Expression

Defines the formula to be used for balloon text.

Default style

Standard

Switches the appearance of the balloon to that defined by the drafting standard.

Displays a dialog box, which enables you to customize settings applicable to standard based balloon.

Custom

Switches the appearance of the balloon to a custom style defined via a block. If the block to use is in an external drawing, select Browse (last entry in the list).

Restore Defaults

Resets all settings to the default settings for the current drafting standard.
See Also
    • About formulas


Configure component property capturing (Concept)

Set up custom balloons
Configure BOMs, Balloons, and Parts Lists
Configure hole charts
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure component property capturing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Mechanical structure and part references capture component property data differently.

If you use mechanical structure, you can capture component property data by editing the properties of a component. The program captures some data, such as the component name, automatically.

If you use part references, you can capture component property data when you place a part reference on an object in the drawing area. The dialog box that appears contains a Component Properties section, enabling you to enter the relevant data manually.

AutoCAD Mechanical enables you to configure the dialog boxes that capture component property data. You can:

  • Specify which properties to display in the dialog box.

    In the BOM settings dialog box, you can add component properties from the available properties list. Any property you add appears in the BOM automatically. The BOM is the database that stores the captured data.

  • Customize the caption for a component property.

    By default, the component property name acts as the caption. You can change this behavior. For example, if you set up the component property “Material” so that you can pick up its value using a drop-down list, you can change the caption to “Select Material” instead of using the component property name “Material.””The component property name appears as a tooltip in the relevant dialog box, regardless of the caption setting.

  • Change the order in which component properties appear.


Configure component property capturing (Procedure)

Set up custom balloons
Up a level to ..
Configure component property capturing
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure component property capturing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To specify what properties to display

To customize the display prompt of a component property

To change the order component properties appear


To specify what properties to display (Procedure)

Configure component property capturing
Up a level to ..
Configure component property capturing
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure component property capturing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To specify what properties to display

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Component Properties. The BOM Settings dialog box is displayed.
  4. To add a component property to dialog box capturing component property data:
    1. In the Available component properties list, click the row heading of the component property to include. The program selects the entire row.
    2. Click Add to. The program adds the component property to the bottom of the list in the Component Properties tab.
      NoteThe Add to button is unavailable if the selected component property already exists in the list.
    3. Use the Move up or Move down buttons to position the property.
  5. To remove a component property:
    1. In the Component Property tab, click the row heading of the component property to remove.
    2. Click Remove.
  6. Click OK until all dialog boxes close.


To customize the display prompt of a component property (Procedure)

Configure component property capturing
Up a level to ..
Configure component property capturing
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure component property capturing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To customize the display prompt of a component property

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Component Properties. The BOM Settings dialog box is displayed.
  4. In the Component Properties tab, in the Display Prompt column, enter the new caption.
  5. Click OK until all dialog boxes close.


To change the order component properties appear (Procedure)

Configure component property capturing
Up a level to ..
Configure hole charts
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure component property capturing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the order component properties appear

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Component Properties. The BOM Settings dialog box is displayed.
  4. In the Component Properties tab, Use the Move up or Move down buttons to position the property.
  5. Click OK until all dialog boxes close.


Configure component property capturing (Quick Reference)

Set up custom balloons
Configure component property capturing
Configure hole chart layout
Configuration and setup guide > Configure BOMs, Balloons, and Parts Lists >
Configure component property capturing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Use this dialog box to configure component properties and set up defaults for parts lists, balloons and data capture for the BOM.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Available component properties

Contains a list of component properties that can be used as columns for BOMs and parts lists. To make a property visible in the BOM, Parts list or in the Component Property section of the Part Reference dialog box and Properties dialog box, drag the property from this list to the list of properties in the corresponding tab.

Property

Defines the name of the component property. This name uniquely identifies a component property. This is the name by which a BOM column is referred to in formulas.

Caption

Defines the column header to be displayed for this property, when it is used as a column in a BOM table or parts list.

Data type

Specifies the data type for the property.

The text data type allows all alphanumeric characters while the numeric data type allows only numeric characters 0 -9. If you need to store a value such as 4 1/2”, you must set the data type to Text.

Value

Specifies the default value for the property. When you click in a cell, the [image] button appears. Click [image] to launch the expression builder, which will assist you create formulas and pre-defined lists (drop-down lists containing possible values) for the property. If required, you can enter the formula or the pre-defined list directly, without using the expression builder.

If the text in this column is red, it means that the expression contains a syntax error. If you invoke the expression builder at this time, it will show you entries up to the position the syntax error occurs.

NoteOnly syntax errors in expressions for pre-defined lists are shown in this manner.

Precision

Specifies the number of decimals to be used round off numerical data for that property. Precision is defined in the form of 0.000 where the number of zeros (0) after the decimal point indicates the number of decimals to use.

Lead zero

Specifies the number of leading zeros (0) to be used when displaying numerical data for that property. Leading zeros are defined in the form of 00.0 where the number of zeros (0) before the decimal point indicates the minimum number of digits that must exist before the decimal point.

Lock

Prevents the component property data from being edited in the BOM, Parts List, Part Reference and Properties dialog boxes.

Sum

Controls if the component property should be summed and displayed in the result bar of the BOM and Parts List dialog boxes.

New

Displays the last row of the Available component properties list, to enable you to add a new row and thereby create a user-defined component property.

TipIt is better to use the pre-defined component properties User1 to User8 (available via the More button) as these are better supported by the system. For example, when creating custom parts lists, to be able to properly fit text into columns, you must use property ids. The property ids for user defined columns are not known before hand and hence cannot be supported. However, the property ids for the pre-defined columns are known.

Delete

Removes the row selected in the Available component properties list. If the property is a user-defined property, the property is deleted. If not the property is added to the list of additional pre-defined component properties. The additional component properties are shown in the more component properties dialog box, which appears when you click the More button. This Delete button is available only if the entire row is selected.

More

Opens a list of additional pre-defined component properties to add to the Available component properties list.

Add to

Adds the row selected in the Available component property list, to the list of properties in the currently selected tab below the Available component properties list. This button is not available if the entire row is not selected or if the current tab is the Balloon tab.

Component properties tab

Component properties list

Displays the component properties that will be visible in the Part Reference dialog box and Properties dialog box.

Property

Displays the name of the component property.

Display prompt

Defines the prompt to be displayed for that property in the Part References dialog box and Properties dialog box. For example, you can set the caption for the Name property to Enter the name of the component.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in the Part Reference dialog box and the Properties dialog box.

NoteSync does not add QTY and ITEM.

BOM tab

Component properties list

Displays the component properties that will be visible in the BOM dialog box.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column headings are aligned in the BOM dialog box.

Value alignment

Defines the how the data rows are aligned in the BOM dialog box.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Default View

Sets how BOM items are displayed by default.

NoteThe Default view is not visible if you are working in the GOST standard.

Expanded (parts only)

Sets BOM representation to the expanded view, where BOM items correspond to parts and parts from the different assemblies are summed together. However, parts from xref assemblies are not merged with parts from the host drawing nor are they merged with parts from other xref assemblies.

Structured

Sets BOM representation to the structured view, where parts are collected under the assemblies they belong to and are summed only within that assembly.

Use Assembly Path

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly will typically be 2-1, 2-2 and so on.

Separator

Specifies the character to use as the separator.

Parts list tab

NoteThe Parts list tab is not visible if you are working in the GOST standard.

Component properties list

Displays the component properties that will be visible in Parts Lists, by default.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column heading are aligned in parts lists.

Value alignment

Defines the how the data rows are aligned in parts lists.

Width

Defines the column width for the property in the parts list.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in parts lists.

Default style

Standard

Switches the parts list style to a standard based parts list.

Displays a dialog box, which enables you to customize settings applicable to standard based parts lists.

Custom

Switches the parts list style to a custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).

Balloon tab

Category

Displays different categories of references or functions that you can use in the expression for balloon text. This option is not available for custom balloons (because the expression to use for balloon text is defined within the block used for the custom balloon).

Select

Displays a list of references that belong to the selected category or a list of functions, as the case may be.

Add

Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of any existing expression.

Expression

Defines the formula to be used for balloon text.

Default style

Standard

Switches the appearance of the balloon to that defined by the drafting standard.

Displays a dialog box, which enables you to customize settings applicable to standard based balloon.

Custom

Switches the appearance of the balloon to a custom style defined via a block. If the block to use is in an external drawing, select Browse (last entry in the list).

Restore Defaults

Resets all settings to the default settings for the current drafting standard.
See Also
    • About formulas


Configure hole charts

Configure component property capturing
Configuration and setup guide
Configure hole chart layout
Configuration and setup guide >
Configure hole charts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure hole chart layout
  • Configure hole tables layout
  • Configure hole labels


Configure hole charts (Procedure)

Configure component property capturing
Configure hole charts
Configure hole chart layout
Configuration and setup guide >
Configure hole charts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To configure text height and color for hole charts

To configure which columns are visible in a hole chart

To add a user-defined column to a hole chart

To configure the gaps between rows in a hole chart

To configure hole table text

To configure the gaps between rows in a hole table

To configure text height and color of hole labels

To configure the default position of hole labels

To prevent hole labels from changing when you delete or move holes


Configure hole chart layout (Concept)

Configure hole charts
Configure hole charts
Configure hole tables layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AutoCAD Mechanical enables you to pre-configure the format of hole charts, saving it with the drafting standard. At draw time, hole charts based on that standard default to that format automatically. You can:

  • Set the Text height and color for heading and data rows separately.
  • Set the gap between the heading and data rows, as well as the gap between adjacent data rows.
  • Determine the hole chart title.
  • Select which columns to show in a hole chart.
  • Add custom columns to a hole chart.
NoteIf you change the settings in the middle of a drawing session, existing hole charts will not reflect the change. However, any new hole chart you create will reflect the changes in the settings.


Configure hole chart layout (Procedure)

Configure hole charts
Up a level to ..
Configure hole chart layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for hole charts

To configure which columns are visible in a hole chart

To add a user-defined column to a hole chart

To configure the gaps between rows in a hole chart


Configure hole chart layout (Quick Reference)

Configure component property capturing
Configure hole chart layout
Configure hole chart layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hole Chart Settings dialog box

Formula dialog box


To configure text height and color for hole charts (Procedure)

Configure hole chart layout
Up a level to ..
Configure hole chart layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color for hole charts

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart settings dialog box appears.
  4. To change the text height of hole chart column labels, in the List of coordinates section, in the Heading text height list, select the text height.
    NoteTo acquire the base height setting from the master text settings, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text height of hole chart data rows, in the List of coordinates section, in the Data text height list, select the text height.
  6. To change the text height of the origin labels, in the Point and Origin Cartesian section, in the Text height list, select the text height.
  7. To change the text color of hole chart column labels, in the List of coordinates section, in the Heading text color list, select the color.
  8. To change the text color of hole chart data rows, in the List of coordinates section, in the Data text color list, select the color.
  9. To change the text color of the origin labels, in the Point and Origin Cartesian section, in the Text color list, select the color.
  10. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can select a text style for hole chart text.


To configure which columns are visible in a hole chart (Procedure)

Configure hole chart layout
Up a level to ..
Configure hole chart layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure which columns are visible in a hole chart

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart Settings dialog box appears.
  4. Click [image] . The Hole Chart Columns dialog box appears.
  5. To make a hole chart column visible in all types of hole charts, select the check box in column 1.

    To make a column visible in Cartesian Hole charts only, in the (1) Visible in hole Charts section, select the Cartesian check box. and clear the Polar check box.

    To make a column visible in Polar Hole charts only, in the (1) Visible in hole Charts section, clear the Cartesian check box and select the Polar check box.

  6. Click OK until all dialog boxes close.


To add a user-defined column to a hole chart (Procedure)

Configure hole chart layout
Up a level to ..
Configure hole chart layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a user-defined column to a hole chart

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart Settings dialog box appears.
  4. Click [image] . The Hole Chart Columns dialog box appears.
  5. Scroll to the bottom of the list of hole chart columns.
  6. In the last row, in the column named Column, enter a name for the new hole chart column.
  7. In the list of Hole Chart columns, enter information for the Caption, Width, Formula, Caption alignment, Data alignment, Data type, precision, and Wrap text.
  8. Click OK until all dialog boxes close.


To configure the gaps between rows in a hole chart (Procedure)

Configure hole chart layout
Up a level to ..
Configure hole tables layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure the gaps between rows in a hole chart

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart Settings dialog box appears.
  4. In the List of coordinates section, in the Heading gap box, type or select the gap between the heading row and data rows.
  5. In the Row gap box, type or select the gap between adjacent data rows.
  6. Click OK until all dialog boxes close.


Configure hole chart layout (Quick Reference)

Configure hole chart layout
Configure hole chart layout
Configure hole chart layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hole Chart Settings dialog box

Toolbar

Sets the default coordinates to the cartesian type. Once set, all new hole charts you create will have their coordinate type set to cartesian coordinates. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Sets the default coordinates to the polar type. Once set, all new hole charts you create will have their coordinate type set to polar coordinates. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Enables creation of a hole table by default. Consequently, whenever you place a hole chart in the drawing area, the AMHOLECHART command prompts you to place a hole table as well. This button is available only if you arrived at this dialog box via the AM:Standards tab. You typically use this option with ANSI hole charts.

Show

Specifies whether this dialog box displays hole chart or hole table details. Select “List of Coordinates” for hole chart details and “Hole Table” for hole table details. This option is available only if you arrived at this dialog box via the AM:Standards tab.

Displays the Hole Chart Columns dialog box. Use this dialog box to set the column defaults for hole charts. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Displays the Sort dialog box to set the default sort order. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts must display column headings by default. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts must display a table title by default. Once set, all new hole charts you create will contain titles. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts should display a grip frame by default. Once set, all new hole charts you create will contain grip frames. This button is available only if you arrived at this dialog box via the AM:Standards tab.

List of Coordinates/Hole Table

Attach Point

Sets the placement for the grip.

Title pattern

Sets the table title. You can add free text as well as a formula. To add a formula, type the equal sign character (=) as the first character of the title. The table title can display the <DefaultTitle> (evaluates to HOLE table or LIST OF COORDINATES) and <Origin> (evaluates to the hole chart origin name) variables. \P (backslash character followed by P followed by a space) inserts a line break. The [image] button enables you to pickup variables from a look up table.

Text style

Specifies the text style to use with hole chart text. This option is available only if the current drafting standard is a custom standard or if text settings are linked to dimension styles.

Heading Gap

Sets the gap between the heading and the first row in the table.

Row Gap

Sets the spacing between the rows in the table.

Line Spacing

Sets the height of the rows.

Heading text height

Sets the height of the text in the heading row.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

NoteWhen you change the text height, the color of the text is set to the default text object color for that text height. Text object colors are set from the Object Property Settings dialog box.

Heading text color

Defines the text color to be used for the heading row.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of heading rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Data text height

Defines the text height to be used for data rows.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

NoteWhen you change the text height, the color of the text is set to the default text object color for that text height. Text object colors are set from the Object Property Settings dialog box.

Data text color

Defines the text color to be used for data rows.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of data rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Points and Origin Cartesian

Label position

Specifies how labels are positioned in the drawing.

Point identifier

Specifies the format of points in the drawing.

Origin terminator

Specifies the format of the point origin in the drawing.

Text height

Sets the text height to use for hole labels and origin the origin label.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

Text color

Defines the text color to be used for hole labels and origin label.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Draw leader from point to label

Draws a leader at the point origin.

Show coordinate system

Displays coordinate system in the drawing.

Show 0 origin Indicator

Displays 0 at the point origin in the drawing.

Restore Defaults

Resets all values to default settings.


Configure hole chart layout (Quick Reference)

Configure hole chart layout
Configure hole chart layout
Configure hole tables layout
Configuration and setup guide > Configure hole charts >
Configure hole chart layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Formula dialog box

Variable drop down list

Selects a variable from the list and adds it to the formula. The variable is inserted at the cursor position in the expression box.

Clears the content in the expression box.

Inserts an equal sign in the expression box. An equal sign at the beginning of the expression instructs the system to evaluate the expression as a formula. If no equal sign exists, the system interprets the contents as text.

Expression

Contains the formula expression.

See Also
    • About formulas


Configure hole tables layout (Concept)

Configure hole chart layout
Configure hole charts
Configure hole labels
Configuration and setup guide > Configure hole charts >
Configure hole tables layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In the ANSI standard, when inserting a hole chart in the drawing area, a hole table is also created by default. The hole table provides a summary of the holes in the hole chart; usually the number of holes of a given diameter in the hole chart. You can:

  • Set text height and color for heading and data rows separately.
  • Set the gap between the heading and data rows, as well as the gap between adjacent data rows.
  • Specify the hole table title.


Configure hole tables layout (Procedure)

Configure hole chart layout
Up a level to ..
Configure hole tables layout
Configuration and setup guide > Configure hole charts >
Configure hole tables layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure hole table text

To configure the gaps between rows in a hole table


To configure hole table text (Procedure)

Configure hole tables layout
Up a level to ..
Configure hole tables layout
Configuration and setup guide > Configure hole charts >
Configure hole tables layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure hole table text

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart settings dialog box appears.
  4. In the Show list, select Hole table.
  5. To change the text height of hole chart column labels, in the Heading Text Height list, select the appropriate text height.
  6. To change the text height of the data rows of hole charts, in the Data Text Height list, select the appropriate text height.
  7. To change the text height of the origin labels, in the Text Height list under the Point and Origin Cartesian group, select the text height.
  8. To change the text color, click the Text Color button in the appropriate row and select a color from the dialog box.
  9. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom standard, you can select a text style for hole chart text.


To configure the gaps between rows in a hole table (Procedure)

Configure hole tables layout
Up a level to ..
Configure hole labels
Configuration and setup guide > Configure hole charts >
Configure hole tables layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure the gaps between rows in a hole table

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart Settings dialog box appears.
  4. In the Show list, select Hole table.
  5. In the Hole table section, in the Heading gap box, type or select the gap between the heading row and data rows.
  6. In the Row gap box, type or select the gap between adjacent data rows.
  7. Click OK until all dialog boxes close.


Configure hole tables layout (Quick Reference)

Configure hole chart layout
Configure hole tables layout
Configure hole labels
Configuration and setup guide > Configure hole charts >
Configure hole tables layout
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hole Chart Settings dialog box

Toolbar

Sets the default coordinates to the cartesian type. Once set, all new hole charts you create will have their coordinate type set to cartesian coordinates. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Sets the default coordinates to the polar type. Once set, all new hole charts you create will have their coordinate type set to polar coordinates. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Enables creation of a hole table by default. Consequently, whenever you place a hole chart in the drawing area, the AMHOLECHART command prompts you to place a hole table as well. This button is available only if you arrived at this dialog box via the AM:Standards tab. You typically use this option with ANSI hole charts.

Show

Specifies whether this dialog box displays hole chart or hole table details. Select “List of Coordinates” for hole chart details and “Hole Table” for hole table details. This option is available only if you arrived at this dialog box via the AM:Standards tab.

Displays the Hole Chart Columns dialog box. Use this dialog box to set the column defaults for hole charts. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Displays the Sort dialog box to set the default sort order. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts must display column headings by default. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts must display a table title by default. Once set, all new hole charts you create will contain titles. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts should display a grip frame by default. Once set, all new hole charts you create will contain grip frames. This button is available only if you arrived at this dialog box via the AM:Standards tab.

List of Coordinates/Hole Table

Attach Point

Sets the placement for the grip.

Title pattern

Sets the table title. You can add free text as well as a formula. To add a formula, type the equal sign character (=) as the first character of the title. The table title can display the <DefaultTitle> (evaluates to HOLE table or LIST OF COORDINATES) and <Origin> (evaluates to the hole chart origin name) variables. \P (backslash character followed by P followed by a space) inserts a line break. The [image] button enables you to pickup variables from a look up table.

Text style

Specifies the text style to use with hole chart text. This option is available only if the current drafting standard is a custom standard or if text settings are linked to dimension styles.

Heading Gap

Sets the gap between the heading and the first row in the table.

Row Gap

Sets the spacing between the rows in the table.

Line Spacing

Sets the height of the rows.

Heading text height

Sets the height of the text in the heading row.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

NoteWhen you change the text height, the color of the text is set to the default text object color for that text height. Text object colors are set from the Object Property Settings dialog box.

Heading text color

Defines the text color to be used for the heading row.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of heading rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Data text height

Defines the text height to be used for data rows.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

NoteWhen you change the text height, the color of the text is set to the default text object color for that text height. Text object colors are set from the Object Property Settings dialog box.

Data text color

Defines the text color to be used for data rows.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of data rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Points and Origin Cartesian

Label position

Specifies how labels are positioned in the drawing.

Point identifier

Specifies the format of points in the drawing.

Origin terminator

Specifies the format of the point origin in the drawing.

Text height

Sets the text height to use for hole labels and origin the origin label.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

Text color

Defines the text color to be used for hole labels and origin label.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Draw leader from point to label

Draws a leader at the point origin.

Show coordinate system

Displays coordinate system in the drawing.

Show 0 origin Indicator

Displays 0 at the point origin in the drawing.

Restore Defaults

Resets all values to default settings.


Configure hole labels (Concept)

Configure hole tables layout
Configure hole charts
Configure dimensions
Configuration and setup guide > Configure hole charts >
Configure hole labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In the drawing area, hole labels tag and identify the holes in the hole chart. The hole label is generated dynamically with a formula. The default formula for hole labels ensures that hole are relabeled whenever holes are added, deleted, or moved. In some cases, this behavior is not desirable. In the DIN, ISO, GB, and CSN standards, you can prevent holes from being relabeled by activating the User Item Order, a sort option under Sorting Styles.

In addition to customizing the formula for hole labels, you can:

  • Set text height and color.
  • Add a leader to the hole label
  • Select how holes are marked


Configure hole labels (Procedure)

Configure hole tables layout
Up a level to ..
Configure hole labels
Configuration and setup guide > Configure hole charts >
Configure hole labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color of hole labels

To configure the default position of hole labels

To prevent hole labels from changing when you delete or move holes


To configure text height and color of hole labels (Procedure)

Configure hole labels
Up a level to ..
Configure hole labels
Configuration and setup guide > Configure hole charts >
Configure hole labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure text height and color of hole labels

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart Settings dialog box appears.
  4. In the Points and origin section, in the Text height list, select the new text height.
  5. Click the colored button adjacent to the Text height list and select the required color from the Select Color dialog box.
  6. Click OK until all dialog boxes close.


To configure the default position of hole labels (Procedure)

Configure hole labels
Up a level to ..
Configure hole labels
Configuration and setup guide > Configure hole charts >
Configure hole labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure the default position of hole labels

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart Settings dialog box appears.
  4. In the Points and origin section, in the Label position list, select the default position for hole labels.
  5. Click OK until all dialog boxes close.


To prevent hole labels from changing when you delete or move holes (Procedure)

Configure hole labels
Up a level to ..
Configure dimensions
Configuration and setup guide > Configure hole charts >
Configure hole labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To prevent hole labels from changing when you delete or move holes

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Hole Chart. The Hole Chart Settings dialog box appears.
  4. Click
  5. In the Sorting style section, select the Use sorting style check box.
  6. In the Name list, select User item order.
  7. Click OK until all dialog boxes close.


Configure hole labels (Quick Reference)

Configure hole tables layout
Configure hole labels
Configure dimension styles
Configuration and setup guide > Configure hole charts >
Configure hole labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hole Chart Settings dialog box

Toolbar

Sets the default coordinates to the cartesian type. Once set, all new hole charts you create will have their coordinate type set to cartesian coordinates. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Sets the default coordinates to the polar type. Once set, all new hole charts you create will have their coordinate type set to polar coordinates. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Enables creation of a hole table by default. Consequently, whenever you place a hole chart in the drawing area, the AMHOLECHART command prompts you to place a hole table as well. This button is available only if you arrived at this dialog box via the AM:Standards tab. You typically use this option with ANSI hole charts.

Show

Specifies whether this dialog box displays hole chart or hole table details. Select “List of Coordinates” for hole chart details and “Hole Table” for hole table details. This option is available only if you arrived at this dialog box via the AM:Standards tab.

Displays the Hole Chart Columns dialog box. Use this dialog box to set the column defaults for hole charts. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Displays the Sort dialog box to set the default sort order. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts must display column headings by default. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts must display a table title by default. Once set, all new hole charts you create will contain titles. This button is available only if you arrived at this dialog box via the AM:Standards tab.

Specifies that hole charts should display a grip frame by default. Once set, all new hole charts you create will contain grip frames. This button is available only if you arrived at this dialog box via the AM:Standards tab.

List of Coordinates/Hole Table

Attach Point

Sets the placement for the grip.

Title pattern

Sets the table title. You can add free text as well as a formula. To add a formula, type the equal sign character (=) as the first character of the title. The table title can display the <DefaultTitle> (evaluates to HOLE table or LIST OF COORDINATES) and <Origin> (evaluates to the hole chart origin name) variables. \P (backslash character followed by P followed by a space) inserts a line break. The [image] button enables you to pickup variables from a look up table.

Text style

Specifies the text style to use with hole chart text. This option is available only if the current drafting standard is a custom standard or if text settings are linked to dimension styles.

Heading Gap

Sets the gap between the heading and the first row in the table.

Row Gap

Sets the spacing between the rows in the table.

Line Spacing

Sets the height of the rows.

Heading text height

Sets the height of the text in the heading row.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

NoteWhen you change the text height, the color of the text is set to the default text object color for that text height. Text object colors are set from the Object Property Settings dialog box.

Heading text color

Defines the text color to be used for the heading row.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of heading rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Data text height

Defines the text height to be used for data rows.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

NoteWhen you change the text height, the color of the text is set to the default text object color for that text height. Text object colors are set from the Object Property Settings dialog box.

Data text color

Defines the text color to be used for data rows.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of data rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Points and Origin Cartesian

Label position

Specifies how labels are positioned in the drawing.

Point identifier

Specifies the format of points in the drawing.

Origin terminator

Specifies the format of the point origin in the drawing.

Text height

Sets the text height to use for hole labels and origin the origin label.

When the text height is set to ByNameOfCurrentDraftingStandard, this setting acquires its value from the master settings of the current drafting standard. If the master setting changes, the text height changes automatically.

Text color

Defines the text color to be used for hole labels and origin label.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Draw leader from point to label

Draws a leader at the point origin.

Show coordinate system

Displays coordinate system in the drawing.

Show 0 origin Indicator

Displays 0 at the point origin in the drawing.

Restore Defaults

Resets all values to default settings.


Configure dimensions

Configure hole labels
Configuration and setup guide
Configure dimension styles
Configuration and setup guide >
Configure dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Configure dimension styles
  • Predefine dimension text templates
  • Configure distance snaps
  • Configure the default radius, diameter, and chamfer representations
  • Configure the default tolerance method and fit representation


Configure dimensions (Procedure)

Configure hole labels
Configure dimensions
Configure dimension styles
Configuration and setup guide >
Configure dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Modify a Dimension Style

To Create a Custom Dimension Style

To Set the Text Color and Height for Each Dimension Type Separately

To Set the Text Color and Height for all Dimension Types

To Add a New Dimension Text Template

To Delete a Power Dimension Text Template

To Configure Distance Snap Settings

To Set the Default Representation for Radius Dimensions

To Set the Default Representation for Diameter Dimensions

To Set the Default Representation for Chamfer Dimensions

To Set the Default Fit Representation

To Set the Default Tolerance Method


Configure dimension styles (Concept)

Configure dimensions
Configure dimensions
Predefine dimension text templates
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select a drafting standard for a drawing, a set of dimension styles that comply with the standard are automatically added to the drawing. You can change the dimension style settings.

There are two ways by which you can modify dimensions styles: using the AutoCAD DIMSTYLES command or by accessing Dimension Styles through the AM:Standards tab of the Options dialog box (AMOPTIONS). We recommend the AMOPTIONS method. AutoCAD Mechanical creates dimension styles on the fly and you may not have access to all the required dimension styles when you use the DIMSTYLES command.

Base Dimension Styles and Substyles

The dimension styles associated with a drafting standard consists of a base dimension style, which defines the basic settings for dimensions for that standard, and substyles, which explicitly define styles for the different dimension types. In most cases, substyles are identical to the base style. In some cases, when it is required to enforce a unique characteristic on a dimension type, the default settings for that dimension style have at least one setting that is different from the base dimension style.

When you change the base dimension style settings, the changes apply to the substyles. However, if the substyle setting does not match the base dimension style setting before the change (if you overrode the setting in the substyle), the setting does not apply to that substyle.

AutoCAD Mechanical provides options to reset a substyle in the Dimension Styles dialog box. When you reset the substyle, it is synchronized with the current base dimension style, removing all user-defined overrides on that substyle. Default preset overrides, required to enforce the unique characteristics of the corresponding dimension type, do not reset.


Configure dimension styles (Procedure)

Configure dimensions
Up a level to ..
Configure dimension styles
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Modify a Dimension Style

To Create a Custom Dimension Style

To Set the Text Color and Height for Each Dimension Type Separately

To Set the Text Color and Height for all Dimension Types


Configure dimension styles (Quick Reference)

Configure hole labels
Configure dimension styles
Configure dimension styles
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit Dimension Style dialog box

Dimension Settings dialog box

Dimension styles


To Modify a Dimension Style (Procedure)

Configure dimension styles
Up a level to ..
Configure dimension styles
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Modify a Dimension Style

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Edit. The Edit Dimension Styles dialog box appears.
  5. Select the type of dimension (substyle) to change and click Modify.
  6. In the displayed dialog box, make the necessary changes and click OK until all dialog boxes close.


To Create a Custom Dimension Style (Procedure)

Configure dimension styles
Up a level to ..
Configure dimension styles
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Create a Custom Dimension Style

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. In the Base Dimension Style edit box, enter a name for the custom dimension style, and then click Edit.
  5. In The Edit Dimension Styles dialog box, select the type of dimension to change, and then choose Modify.
  6. In the displayed dialog box, make your necessary entries and click OK until all dialog boxes close.


To Set the Text Color and Height for Each Dimension Type Separately (Procedure)

Configure dimension styles
Up a level to ..
Configure dimension styles
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Text Color and Height for Each Dimension Type Separately

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Edit. The Edit Dimension Styles dialog box appears.
  5. From the tree on the left, select the dimension type to set text color and height for and click Modify.
  6. Click the Text tab.
  7. In the Text color list, select a color for text.
  8. In the Text height box, type the new text height.
  9. Click OK until all dialog boxes close.

NoteIf the text color and height settings of a substyle are not the same as the base dimension style, the text color and height of the substyle do not change.


To Set the Text Color and Height for all Dimension Types (Procedure)

Configure dimension styles
Up a level to ..
Predefine dimension text templates
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Text Color and Height for all Dimension Types

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Edit. The Edit Dimension Styles dialog box appears.
  5. From the tree on the left, select the base dimension style and click Modify.
  6. Click the Text tab.
  7. In the Text color list, select a color for text.
  8. In the Text height box, type the new text height.
  9. Click OK until all dialog boxes close.
NoteIf the text color and height settings of a substyle are not the same as the base dimension style, the text color and height of the substyle do not change.


Configure dimension styles (Quick Reference)

Configure dimension styles
Configure dimension styles
Configure dimension styles
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit Dimension Style dialog box

Use this dialog box to customize the base dimension style and its derivatives as applied to the different dimension types.

Dimension style

Shows a tree showing the base dimension style as the root and sub-styles as the leaves. Each sub-style controls the representation of the dimension type indicated by the name of the sub-style. The sub-styles have been derived from the base style and can be configured to customize the representation of one dimension type independently of the others.

Sub styles that are displayed in bold have at least one parameter that is different from the base dimension style. As you move the pointer over a sub-style, the tooltip shows the settings that have been customized.

If you change a setting in the base dimension style, the change is propagated to all sub-styles, unless the setting has been overridden in the sub-style.

Delete

Deletes dimension style overrides. This button is available only when an override is selected in the Dimension style list.

Reset

Removes overrides and synchronizes the selected dimension style with the base dimension style. If the dimension type corresponding to the selected dimension style requires mandatory overrides, they are automatically added.

Modify

Displays the Modify Dimension Style dialog box to let you change the setting for the selected dimension style.

Default format for Ordinate dimensions

Contains settings that apply to the Ordinate dimension style. The settings in this section has no impact on dimensions that already exist in the drawing.

Minus

Inserts whatever you type to the left of <> as a prefix to negative ordinate dimension text. Typically you use this to insert a “-” sign in front of the dimension text. Anything you type to the right of <> appears after the dimension text. If you delete <>, no dimension text appears.

Plus

Inserts whatever you type to the left of <> as a prefix to positive ordinate dimension text. Typically you use thito insert a “+” sign in front of the dimension text. Similarly, anything you type to the right of <> appears after the dimension text. If you delete <>, no dimension text appears.


Configure dimension styles (Quick Reference)

Configure dimension styles
Configure dimension styles
Configure dimension styles
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dimension Settings dialog box

Use this dialog box to set preferences for Power Dimension commands for the current standard

Dimension style

Base dimension style

Sets the dimension style to be used as the base dimension style. All the dimension types are based on the dimension style or a variation (a sub-style).

Edit

Displays the Dimension Styles dialog box, enabling you to create, modify, and assign dimension styles.

Force power dimensions to use this dimension style

Prevents the dimension style from being overridden (via the DIMSTYLE command) during a drawing session.

Default representations

Chamfer

Displays the Chamfer Representation dialog box, enabling you to select the default chamfer dimension representation from a predefined list of representations.

Radius

Displays the Radius Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for radius.

Diameter

Displays the Diameter Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for diameter.

Dimension Text

Ignore AutoCAD scale factor for linear dimension measurements

Makes Power Dimensioning ignore the DIMLFAC system variable and other settings that control the linear scale.

AutoCAD Mechanical uses several scaling mechanisms such as scale areas, detail views, and annotation views, that are not available in AutoCAD. Power dimensioning recognizes the scales and automatically compensates for them. If you choose to honor AutoCAD scale factors and use different scales in different places in a drawing, AutoCAD Mechanical's scaling mechanisms may not reflect the correct dimension value.

NoteThis setting is not available for Inventor linked drawings.

Predefined Text

Displays the Predefined Text dialog box, which enables you to create predefined dimension text templates for Power DImensioning commands at draw time.

Fits and Tolerances

Fits

Displays the Fits Representation dialog box, which enables you to set the default fit representation. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing fit representations as well as create new ones.

Tolerances

Displays the Tolerance Representation dialog box, which enables you to set the default tolerance method. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing tolerance methods as well as create new ones.

When a fits list requires updates

Configures how fits lists rebuild. You can choose to update fits lists schematically, have the system prompt you, or update fits lists on demand by selecting the manual option.

Placement Options

Display visual aids when creating dimensions

Displays an icon on the crosshairs when a dimension is created, indicating the type of dimension being created.

In chain dimensions, replace arrows with points for lengths less than

Defines the distance at which arrowheads are replaced with points in chain dimensions.

Use distance snaps for placement

Turns on distance snaps, which cause dimensions to snap into place as you move the dimension line in the drawing area.

Snaps value

Sets the distance from the snap position to the object being dimensioned.

Display power dimension dialog

Sets how often the Power Dimension dialog box appears during one command session.

Show text override prompt

Enables the display of the text override prompt enabling you to modify the dimension text on the command line during the dimensioning process. By default, this check box is cleared.

Restore defaults

Resets all settings to the factory settings for the current standard. If the current standard is a custom standard, the settings default to the factory settings of the standard it is derived from.


Configure dimension styles (Quick Reference)

Configure dimension styles
Configure dimension styles
Predefine dimension text templates
Configuration and setup guide > Configure dimensions >
Configure dimension styles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dimension styles

Tabulates the default dimension styles and the system variables they control. For sub styles, only the system variables that differ from the base dimension style are specified.

AM_ANSI

Description | Variable | Dimension Style/ Sub Style
 |  | Base | Radial | Diameter | Half Shaft | Full Shaft | Leader
(DIMUPT) | DIMUPT | Off | On | On |  |  |
Alt precision | DIMALTD | 2 |  |  |  |  |
Alt prefix and suffix | DIMAPOST | mm |  |  |  |  |
Alt roundoff | DIMALTRND | 0.00 |  |  |  |  |
Alt scale factor | DIMALTF | 25.40 |  |  |  |  |
Alt tol precision | DIMALTTD | 4 |  |  |  |  |
Alt tol zeroes | DIMALTTZ | 0 |  |  |  |  |
Alt units | DIMALTU | 2 |  |  |  |  |
Alt zeroes | DIMALTZ | 0 |  |  |  |  |
Alternate units | DIMALT | Off |  |  |  |  |
Angle format | DIMAUNIT | 0 |  |  |  |  |
Angle precision | DIMADEC | 0 |  |  |  |  |
Angle zero suppression | DIMAZIN | 2 |  |  |  |  |
Arrow | DIMBLK | ClosedFilled |  |  |  |  |
Arrow 1 | DIMBLK1 | ClosedFilled |  |  | GENAXEH |  |
Arrow 2 | DIMBLK2 | ClosedFilled |  |  |  |  |
Arrow size | DIMASZ | 0.10 |  |  |  |  |
Center mark size | DIMCEN | 0.00 |  |  |  |  |
Decimal separator | DIMDSEP | . |  |  |  |  |
Dim line color | DIMCLRD | BYLAYER |  |  |  |  |
Dim line ext | DIMDLE | 0.00 |  |  |  |  |
Dim line forced | DIMTOFL | Off |  |  |  |  |
Dim line lineweight | DIMLWD | -1 |  |  |  |  |
Dim line spacing | DIMDLI | 0.50 |  |  |  |  |
Ext line color | DIMCLRE | BYLAYER |  |  |  |  |
Ext line extension | DIMEXE | 0.10 |  |  |  |  |
Ext line lineweight | DIMLWE | -1 |  |  |  |  |
Ext line offset | DIMEXO | 0.05 |  |  |  |  |
Fit: arrow and text | DIMATFIT | 3 | 0 | 0 |  |  |
Fit: text movement | DIMTMOVE | 0 |  |  |  |  |
Fraction format | DIMFRAC | 0 |  |  |  |  |
Leader arrow | DIMLDRBLK | ClosedFilled |  |  |  |  |
Length scale | DIMLFAC | 1.00 |  |  |  |  |
Length units | DIMLUNIT | 2 |  |  |  |  |
No dim line 1 | DIMSD1 | Off |  |  |  |  |
No dim line 2 | DIMSD2 | Off |  |  |  |  |
No dim lines outside | DIMSOXD | Off |  |  |  |  |
No ext line 1 | DIMSE1 | Off |  |  | On | On |
No ext line 2 | DIMSE2 | Off |  |  | On | On |
Overall scale | DIMSCALE | 1.00 |  |  |  |  |
Precision | DIMDEC | 4 |  |  |  |  |
Roundoff | DIMRND | 0.00 |  |  |  |  |
Separate arrows | DIMSAH | Off |  |  | On |  |
Text color | DIMCLRT | 2 (yellow) |  |  |  |  |
Text height | DIMTXT | 0.12 |  |  |  |  | 0.24
Text inside | DIMTIX | Off |  |  |  |  |
Text inside align | DIMTIH | On |  |  |  |  |
Text offset | DIMGAP | 0.06 |  |  |  |  |
Text outside align | DIMTOH | On |  |  |  |  |
Text pos hor | DIMJUST | 0 |  |  |  |  |
Text pos vert | DIMTAD | 0 |  |  |  |  |
Text prefix and suffix | DIMPOST |  |  |  |  |  |
Text style | DIMTXSTY | STANDARD |  |  |  |  |
Tol dev lower | DIMTM | 0.10 |  |  |  |  |
Tol dev upper | DIMTP | 0.10 |  |  |  |  |
Tol deviation | DIMTOL | Off |  |  |  |  |
Tol limits | DIMLIM | Off |  |  |  |  |
Tol pos vert | DIMTOLJ | 1 |  |  |  |  |
Tol precision | DIMTDEC | 4 |  |  |  |  |
Tol text scale factor | DIMTFAC | 0.71 |  |  |  |  |
Tol zero suppression | DIMTZIN | 7 |  |  |  |  |
Zero suppression | DIMZIN | 7 |  |  |  |  |
AM_BSI

Description | Variable | Dimension Style/ Sub Style
 |  | Base | Radial | Diameter | Half Shaft | Full Shaft | Leader | Ordinate
(DIMUPT) | DIMUPT | Off | On | On |  |  |  |
Alt precision | DIMALTD | 2 |  |  |  |  |  |
Alt prefix and suffix | DIMAPOST | " |  |  |  |  |  |
Alt roundoff | DIMALTRND | 0.00 |  |  |  |  |  |
Alt scale factor | DIMALTF | 0.04 |  |  |  |  |  |
Alt tol precision | DIMALTTD | 4 |  |  |  |  |  |
Alt tol zeroes | DIMALTTZ | 0 |  |  |  |  |  |
Alt units | DIMALTU | 2 |  |  |  |  |  |
Alt zeroes | DIMALTZ | 0 |  |  |  |  |  |
Alternate units | DIMALT | Off |  |  |  |  |  |
Angle format | DIMAUNIT | 0 |  |  |  |  |  |
Angle precision | DIMADEC | 0 |  |  |  |  |  |
Angle zero suppression | DIMAZIN | 2.00 |  |  |  |  |  |
Arrow | DIMBLK | ClosedFilled |  |  |  |  |  |
Arrow 1 | DIMBLK1 | ClosedFilled |  |  | GENAXEH |  |  |
Arrow 2 | DIMBLK2 | ClosedFilled |  |  |  |  |  |
Arrow size | DIMASZ | 4.00 |  |  |  |  | 2.50 |
Center mark size | DIMCEN | 0.00 |  |  |  |  |  |
Decimal separator | DIMDSEP | . |  |  |  |  |  |
Dim line color | DIMCLRD | BYLAYER |  |  |  |  |  |
Dim line ext | DIMDLE | 0.00 |  |  |  |  |  |
Dim line forced | DIMTOFL | On |  | Off |  |  |  |
Dim line lineweight | DIMLWD | -1 |  |  |  |  |  |
Dim line spacing | DIMDLI | 10 |  |  |  |  |  |
Ext line color | DIMCLRE | BYLAYER |  |  |  |  |  |
Ext line extension | DIMEXE | 1 |  |  |  |  |  |
Ext line lineweight | DIMLWE | -1 |  |  |  |  |  |
Ext line offset | DIMEXO | 0.05 |  |  |  |  |  |
Fit: arrow and text | DIMATFIT | 3 | 0 | 0 |  |  |  |
Fit: text movement | DIMTMOVE | 0 |  |  |  |  |  |
Fraction format | DIMFRAC | 0 |  |  |  |  |  |
Leader arrow | DIMLDRBLK | ClosedFilled |  |  |  |  |  |
Length scale | DIMLFAC | 1.00 |  |  |  |  |  |
Length units | DIMLUNIT | 2 |  |  |  |  |  |
No dim line 1 | DIMSD1 | Off |  |  |  |  |  |
No dim line 2 | DIMSD2 | Off |  |  |  |  |  |
No dim lines outside | DIMSOXD | Off |  |  |  |  |  |
No ext line 1 | DIMSE1 | Off |  |  | On | On |  |
No ext line 2 | DIMSE2 | Off |  |  | On | On |  |
Overall scale | DIMSCALE | 1.00 |  |  |  |  |  |
Precision | DIMDEC | 2 |  |  |  |  |  |
Roundoff | DIMRND | 0.00 |  |  |  |  |  |
Separate arrows | DIMSAH | Off |  |  | On |  |  |
Text color | DIMCLRT | 2 (yellow) |  |  |  |  |  |
Text height | DIMTXT | 3.50 | 5.00 |  |  |  |  |
Text inside | DIMTIX | Off |  |  |  |  |  |
Text inside align | DIMTIH | Off |  |  |  |  |  |
Text offset | DIMGAP | 1.5 |  |  |  |  |  |
Text outside align | DIMTOH | Off |  | On |  |  |  |
Text pos hor | DIMJUST | 0 |  |  |  |  |  |
Text pos vert | DIMTAD | 1.00 |  |  |  |  |  | 0
Text prefix and suffix | DIMPOST |  |  |  |  |  |  |
Text style | DIMTXSTY | STANDARD |  |  |  |  |  |
Tol dev lower | DIMTM | 0.10 |  |  |  |  |  |
Tol dev upper | DIMTP | 0.10 |  |  |  |  |  |
Tol deviation | DIMTOL | Off |  |  |  |  |  |
Tol limits | DIMLIM | Off |  |  |  |  |  |
Tol pos vert | DIMTOLJ | 0 |  |  |  |  |  |
Tol precision | DIMTDEC | 3 |  |  |  |  |  |
Tol text scale factor | DIMTFAC | 0.71 |  |  |  |  |  |
Tol zero suppression | DIMTZIN | 8 |  |  |  |  |  |
Zero suppression | DIMZIN | 8 |  |  |  |  |  |
AM_CSN

Description | Variable | Dimension Style/ Sub Style
 |  | Base | Radial | Diameter | Half Shaft | Full Shaft | Leader | Ordinate
(DIMUPT) | DIMUPT | Off | On | On |  |  |  |
Alt precision | DIMALTD | 2 |  |  |  |  |  |
Alt prefix and suffix | DIMAPOST | " |  |  |  |  |  |
Alt roundoff | DIMALTRND | 0.00 |  |  |  |  |  |
Alt scale factor | DIMALTF | 0.04 |  |  |  |  |  |
Alt tol precision | DIMALTTD | 4 |  |  |  |  |  |
Alt tol zeroes | DIMALTTZ | 0 |  |  |  |  |  |
Alt units | DIMALTU | 2 |  |  |  |  |  |
Alt zeroes | DIMALTZ | 0 |  |  |  |  |  |
Alternate units | DIMALT | Off |  |  |  |  |  |
Angle format | DIMAUNIT | 0 |  |  |  |  |  |
Angle precision | DIMADEC | 0 |  |  |  |  |  |
Angle zero suppression | DIMAZIN | 2.00 |  |  |  |  |  |
Arrow | DIMBLK | ClosedFilled |  |  |  |  |  |
Arrow 1 | DIMBLK1 | ClosedFilled |  |  | GENAXEH |  |  |
Arrow 2 | DIMBLK2 | ClosedFilled |  |  |  |  |  |
Arrow size | DIMASZ | 2.5 |  |  |  |  |  |
Center mark size | DIMCEN | 0.00 |  |  |  |  |  |
Decimal separator | DIMDSEP | . |  |  |  |  |  |
Dim line color | DIMCLRD | BYLAYER |  |  |  |  |  |
Dim line ext | DIMDLE | 0.00 |  |  |  |  |  |
Dim line forced | DIMTOFL | On |  | Off |  |  |  |
Dim line lineweight | DIMLWD | -1 |  |  |  |  |  |
Dim line spacing | DIMDLI | 10 |  |  |  |  |  |
Ext line color | DIMCLRE | BYLAYER |  |  |  |  |  |
Ext line extension | DIMEXE | 1 |  |  |  |  |  |
Ext line lineweight | DIMLWE | -1 |  |  |  |  |  |
Ext line offset | DIMEXO | 0.05 |  |  |  |  |  |
Fit: arrow and text | DIMATFIT | 3 | 0 | 0 |  |  |  |
Fit: text movement | DIMTMOVE | 0 |  |  |  |  |  |
Fraction format | DIMFRAC | 0 |  |  |  |  |  |
Leader arrow | DIMLDRBLK | ClosedFilled |  |  |  |  |  |
Length scale | DIMLFAC | 1.00 |  |  |  |  |  |
Length units | DIMLUNIT | 2 |  |  |  |  |  |
No dim line 1 | DIMSD1 | Off |  |  |  |  |  |
No dim line 2 | DIMSD2 | Off |  |  |  |  |  |
No dim lines outside | DIMSOXD | Off |  |  |  |  |  |
No ext line 1 | DIMSE1 | Off |  |  | On | On |  |
No ext line 2 | DIMSE2 | Off |  |  | On | On |  |
Overall scale | DIMSCALE | 1.00 |  |  |  |  |  |
Precision | DIMDEC | 2 |  |  |  |  |  |
Roundoff | DIMRND | 0.00 |  |  |  |  |  |
Separate arrows | DIMSAH | Off |  |  | On |  |  |
Text color | DIMCLRT | 2 (yellow) |  |  |  |  |  |
Text height | DIMTXT | 3.50 | 5.00 |  |  |  |  |
Text inside | DIMTIX | Off |  |  |  |  |  |
Text inside align | DIMTIH | Off |  |  |  |  |  |
Text offset | DIMGAP | 1.5 |  |  |  |  |  |
Text outside align | DIMTOH | Off |  | On |  |  |  |
Text pos hor | DIMJUST | 0 |  |  |  |  |  |
Text pos vert | DIMTAD | 1.00 |  |  |  |  |  | 0
Text prefix and suffix | DIMPOST |  |  |  |  |  |  |
Text style | DIMTXSTY | STANDARD |  |  |  |  |  |
Tol dev lower | DIMTM | 0.10 |  |  |  |  |  |
Tol dev upper | DIMTP | 0.10 |  |  |  |  |  |
Tol deviation | DIMTOL | Off |  |  |  |  |  |
Tol limits | DIMLIM | Off |  |  |  |  |  |
Tol pos vert | DIMTOLJ | 0 |  |  |  |  |  |
Tol precision | DIMTDEC | 3 |  |  |  |  |  |
Tol text scale factor | DIMTFAC | 0.71 |  |  |  |  |  |
Tol zero suppression | DIMTZIN | 8 |  |  |  |  |  |
Zero suppression | DIMZIN | 8 |  |  |  |  |  |
AM_DIN

Description | Variable | Dimension Style/ Sub Style
 |  | Base | Radial | Diameter | Half Shaft | Full Shaft | Leader | Ordinate
(DIMUPT) | DIMUPT | Off | On | On |  |  |  |
Alt precision | DIMALTD | 2 |  |  |  |  |  |
Alt prefix and suffix | DIMAPOST | " |  |  |  |  |  |
Alt roundoff | DIMALTRND | 0.00 |  |  |  |  |  |
Alt scale factor | DIMALTF | 0.04 |  |  |  |  |  |
Alt tol precision | DIMALTTD | 4 |  |  |  |  |  |
Alt tol zeroes | DIMALTTZ | 0 |  |  |  |  |  |
Alt units | DIMALTU | 2 |  |  |  |  |  |
Alt zeroes | DIMALTZ | 0 |  |  |  |  |  |
Alternate units | DIMALT | Off |  |  |  |  |  |
Angle format | DIMAUNIT | 0 |  |  |  |  |  |
Angle precision | DIMADEC | 0 |  |  |  |  |  |
Angle zero suppression | DIMAZIN | 2.00 |  |  |  |  |  |
Arrow | DIMBLK | ClosedFilled |  |  |  |  |  |
Arrow 1 | DIMBLK1 | ClosedFilled |  |  | GENAXEH |  |  |
Arrow 2 | DIMBLK2 | ClosedFilled |  |  |  |  |  |
Arrow size | DIMASZ | 2.5 |  |  |  |  |  |
Center mark size | DIMCEN | 0.00 |  |  |  |  |  |
Decimal separator | DIMDSEP | . |  |  |  |  |  |
Dim line color | DIMCLRD | BYLAYER |  |  |  |  |  |
Dim line ext | DIMDLE | 0.00 |  |  |  |  |  |
Dim line forced | DIMTOFL | On |  | Off |  |  |  |
Dim line lineweight | DIMLWD | -1 |  |  |  |  |  |
Dim line spacing | DIMDLI | 10 |  |  |  |  |  |
Ext line color | DIMCLRE | BYLAYER |  |  |  |  |  |
Ext line extension | DIMEXE | 1 |  |  |  |  |  |
Ext line lineweight | DIMLWE | -1 |  |  |  |  |  |
Ext line offset | DIMEXO | 0.05 |  |  |  |  |  |
Fit: arrow and text | DIMATFIT | 3 | 0 | 0 |  |  |  |
Fit: text movement | DIMTMOVE | 0 |  |  |  |  |  |
Fraction format | DIMFRAC | 0 |  |  |  |  |  |
Leader arrow | DIMLDRBLK | ClosedFilled |  |  |  |  |  |
Length scale | DIMLFAC | 1.00 |  |  |  |  |  |
Length units | DIMLUNIT | 2 |  |  |  |  |  |
No dim line 1 | DIMSD1 | Off |  |  |  |  |  |
No dim line 2 | DIMSD2 | Off |  |  |  |  |  |
No dim lines outside | DIMSOXD | Off |  |  |  |  |  |
No ext line 1 | DIMSE1 | Off |  |  | On | On |  |
No ext line 2 | DIMSE2 | Off |  |  | On | On |  |
Overall scale | DIMSCALE | 1.00 |  |  |  |  |  |
Precision | DIMDEC | 2 |  |  |  |  |  |
Roundoff | DIMRND | 0.00 |  |  |  |  |  |
Separate arrows | DIMSAH | Off |  |  | On |  |  |
Text color | DIMCLRT | 2 (yellow) |  |  |  |  |  |
Text height | DIMTXT | 3.50 | 5.00 |  |  |  |  |
Text inside | DIMTIX | Off |  |  |  |  |  |
Text inside align | DIMTIH | Off |  |  |  |  |  |
Text offset | DIMGAP | 1.5 |  |  |  |  |  |
Text outside align | DIMTOH | Off |  | On |  |  |  |
Text pos hor | DIMJUST | 0 |  |  |  |  |  |
Text pos vert | DIMTAD | 1.00 |  |  |  |  |  | 0
Text prefix and suffix | DIMPOST |  |  |  |  |  |  |
Text style | DIMTXSTY | STANDARD |  |  |  |  |  |
Tol dev lower | DIMTM | 0.10 |  |  |  |  |  |
Tol dev upper | DIMTP | 0.10 |  |  |  |  |  |
Tol deviation | DIMTOL | Off |  |  |  |  |  |
Tol limits | DIMLIM | Off |  |  |  |  |  |
Tol pos vert | DIMTOLJ | 0 |  |  |  |  |  |
Tol precision | DIMTDEC | 3 |  |  |  |  |  |
Tol text scale factor | DIMTFAC | 0.71 |  |  |  |  |  |
Tol zero suppression | DIMTZIN | 8 |  |  |  |  |  |
Zero suppression | DIMZIN | 8 |  |  |  |  |  |
AM_GB

Description | Variable | Dimension Style/ Sub Style
 |  | Base | Radial | Diameter | Half Shaft | Full Shaft | Leader | Ordinate
(DIMUPT) | DIMUPT | Off | On | On |  |  |  |
Alt precision | DIMALTD | 2 |  |  |  |  |  |
Alt prefix and suffix | DIMAPOST | " |  |  |  |  |  |
Alt roundoff | DIMALTRND | 0.00 |  |  |  |  |  |
Alt scale factor | DIMALTF | 0.04 |  |  |  |  |  |
Alt tol precision | DIMALTTD | 4 |  |  |  |  |  |
Alt tol zeroes | DIMALTTZ | 0 |  |  |  |  |  |
Alt units | DIMALTU | 2 |  |  |  |  |  |
Alt zeroes | DIMALTZ | 0 |  |  |  |  |  |
Alternate units | DIMALT | Off |  |  |  |  |  |
Angle format | DIMAUNIT | 0 |  |  |  |  |  |
Angle precision | DIMADEC | 0 |  |  |  |  |  |
Angle zero suppression | DIMAZIN | 2.00 |  |  |  |  |  |
Arrow | DIMBLK | ClosedFilled |  |  |  |  |  |
Arrow 1 | DIMBLK1 | ClosedFilled |  |  | GENAXEH |  |  |
Arrow 2 | DIMBLK2 | ClosedFilled |  |  |  |  |  |
Arrow size | DIMASZ | 2.5 |  |  |  |  |  |
Center mark size | DIMCEN | 0.00 |  |  |  |  |  |
Decimal separator | DIMDSEP | . |  |  |  |  |  |
Dim line color | DIMCLRD | BYLAYER |  |  |  |  |  |
Dim line ext | DIMDLE | 0.00 |  |  |  |  |  |
Dim line forced | DIMTOFL | On |  | Off |  |  |  |
Dim line lineweight | DIMLWD | -1 |  |  |  |  |  |
Dim line spacing | DIMDLI | 10 |  |  |  |  |  |
Ext line color | DIMCLRE | BYLAYER |  |  |  |  |  |
Ext line extension | DIMEXE | 1 |  |  |  |  |  |
Ext line lineweight | DIMLWE | -1 |  |  |  |  |  |
Ext line offset | DIMEXO | 0.05 |  |  |  |  |  |
Fit: arrow and text | DIMATFIT | 3 | 0 | 0 |  |  |  |
Fit: text movement | DIMTMOVE | 0 |  |  |  |  |  |
Fraction format | DIMFRAC | 0 |  |  |  |  |  |
Leader arrow | DIMLDRBLK | ClosedFilled |  |  |  |  |  |
Length scale | DIMLFAC | 1.00 |  |  |  |  |  |
Length units | DIMLUNIT | 2 |  |  |  |  |  |
No dim line 1 | DIMSD1 | Off |  |  |  |  |  |
No dim line 2 | DIMSD2 | Off |  |  |  |  |  |
No dim lines outside | DIMSOXD | Off |  |  |  |  |  |
No ext line 1 | DIMSE1 | Off |  |  | On | On |  |
No ext line 2 | DIMSE2 | Off |  |  | On | On |  |
Overall scale | DIMSCALE | 1.00 |  |  |  |  |  |
Precision | DIMDEC | 2 |  |  |  |  |  |
Roundoff | DIMRND | 0.00 |  |  |  |  |  |
Separate arrows | DIMSAH | Off |  |  | On |  |  |
Text color | DIMCLRT | 2 (yellow) |  |  |  |  |  |
Text height | DIMTXT | 3.50 | 5.00 |  |  |  |  |
Text inside | DIMTIX | Off |  |  |  |  |  |
Text inside align | DIMTIH | Off |  |  |  |  |  |
Text offset | DIMGAP | 1.5 |  |  |  |  |  |
Text outside align | DIMTOH | Off |  | On |  |  |  |
Text pos hor | DIMJUST | 0 |  |  |  |  |  |
Text pos vert | DIMTAD | 1.00 |  |  |  |  |  | 0
Text prefix and suffix | DIMPOST |  |  |  |  |  |  |
Text style | DIMTXSTY | STANDARD |  |  |  |  |  |
Tol dev lower | DIMTM | 0.10 |  |  |  |  |  |
Tol dev upper | DIMTP | 0.10 |  |  |  |  |  |
Tol deviation | DIMTOL | Off |  |  |  |  |  |
Tol limits | DIMLIM | Off |  |  |  |  |  |
Tol pos vert | DIMTOLJ | 0 |  |  |  |  |  |
Tol precision | DIMTDEC | 3 |  |  |  |  |  |
Tol text scale factor | DIMTFAC | 0.71 |  |  |  |  |  |
Tol zero suppression | DIMTZIN | 8 |  |  |  |  |  |
Zero suppression | DIMZIN | 8 |  |  |  |  |  |
AM_ISO

Description | Variable | Dimension Style/ Sub Style
 |  | Base | Radial | Diameter | Half Shaft | Full Shaft | Leader | Ordinate
(DIMUPT) | DIMUPT | Off | On | On |  |  |  |
Alt precision | DIMALTD | 2 |  |  |  |  |  |
Alt prefix and suffix | DIMAPOST | " |  |  |  |  |  |
Alt roundoff | DIMALTRND | 0.00 |  |  |  |  |  |
Alt scale factor | DIMALTF | 0.04 |  |  |  |  |  |
Alt tol precision | DIMALTTD | 4 |  |  |  |  |  |
Alt tol zeroes | DIMALTTZ | 0 |  |  |  |  |  |
Alt units | DIMALTU | 2 |  |  |  |  |  |
Alt zeroes | DIMALTZ | 0 |  |  |  |  |  |
Alternate units | DIMALT | Off |  |  |  |  |  |
Angle format | DIMAUNIT | 0 |  |  |  |  |  |
Angle precision | DIMADEC | 0 |  |  |  |  |  |
Angle zero suppression | DIMAZIN | 2.00 |  |  |  |  |  |
Arrow | DIMBLK | ClosedFilled |  |  |  |  |  |
Arrow 1 | DIMBLK1 | ClosedFilled |  |  | GENAXEH |  |  |
Arrow 2 | DIMBLK2 | ClosedFilled |  |  |  |  |  |
Arrow size | DIMASZ | 2.5 |  |  |  |  |  |
Center mark size | DIMCEN | 0.00 |  |  |  |  |  |
Decimal separator | DIMDSEP | . |  |  |  |  |  |
Dim line color | DIMCLRD | BYLAYER |  |  |  |  |  |
Dim line ext | DIMDLE | 0.00 |  |  |  |  |  |
Dim line forced | DIMTOFL | On |  | Off |  |  |  |
Dim line lineweight | DIMLWD | -1 |  |  |  |  |  |
Dim line spacing | DIMDLI | 10 |  |  |  |  |  |
Ext line color | DIMCLRE | BYLAYER |  |  |  |  |  |
Ext line extension | DIMEXE | 1 |  |  |  |  |  |
Ext line lineweight | DIMLWE | -1 |  |  |  |  |  |
Ext line offset | DIMEXO | 0.05 |  |  |  |  |  |
Fit: arrow and text | DIMATFIT | 3 | 0 | 0 |  |  |  |
Fit: text movement | DIMTMOVE | 0 |  |  |  |  |  |
Fraction format | DIMFRAC | 0 |  |  |  |  |  |
Leader arrow | DIMLDRBLK | ClosedFilled |  |  |  |  |  |
Length scale | DIMLFAC | 1.00 |  |  |  |  |  |
Length units | DIMLUNIT | 2 |  |  |  |  |  |
No dim line 1 | DIMSD1 | Off |  |  |  |  |  |
No dim line 2 | DIMSD2 | Off |  |  |  |  |  |
No dim lines outside | DIMSOXD | Off |  |  |  |  |  |
No ext line 1 | DIMSE1 | Off |  |  | On | On |  |
No ext line 2 | DIMSE2 | Off |  |  | On | On |  |
Overall scale | DIMSCALE | 1.00 |  |  |  |  |  |
Precision | DIMDEC | 2 |  |  |  |  |  |
Roundoff | DIMRND | 0.00 |  |  |  |  |  |
Separate arrows | DIMSAH | Off |  |  | On |  |  |
Text color | DIMCLRT | 2 (yellow) |  |  |  |  |  |
Text height | DIMTXT | 3.50 | 5.00 |  |  |  |  |
Text inside | DIMTIX | Off |  |  |  |  |  |
Text inside align | DIMTIH | Off |  |  |  |  |  |
Text offset | DIMGAP | 1.5 |  |  |  |  |  |
Text outside align | DIMTOH | Off |  | On |  |  |  |
Text pos hor | DIMJUST | 0 |  |  |  |  |  |
Text pos vert | DIMTAD | 1.00 |  |  |  |  |  | 0
Text prefix and suffix | DIMPOST |  |  |  |  |  |  |
Text style | DIMTXSTY | STANDARD |  |  |  |  |  |
Tol dev lower | DIMTM | 0.10 |  |  |  |  |  |
Tol dev upper | DIMTP | 0.10 |  |  |  |  |  |
Tol deviation | DIMTOL | Off |  |  |  |  |  |
Tol limits | DIMLIM | Off |  |  |  |  |  |
Tol pos vert | DIMTOLJ | 0 |  |  |  |  |  |
Tol precision | DIMTDEC | 3 |  |  |  |  |  |
Tol text scale factor | DIMTFAC | 0.71 |  |  |  |  |  |
Tol zero suppression | DIMTZIN | 8 |  |  |  |  |  |
Zero suppression | DIMZIN | 8 |  |  |  |  |  |
AM_JIS

Description | Variable | Dimension Style/ Sub Style
 |  | Base | Radial | Diameter | Half Shaft | Full Shaft | Leader | Ordinate
(DIMUPT) | DIMUPT | Off | On | On |  |  |  |
Alt precision | DIMALTD | 2 |  |  |  |  |  |
Alt prefix and suffix | DIMAPOST | " |  |  |  |  |  |
Alt roundoff | DIMALTRND | 0.00 |  |  |  |  |  |
Alt scale factor | DIMALTF | 0.04 |  |  |  |  |  |
Alt tol precision | DIMALTTD | 4 |  |  |  |  |  |
Alt tol zeroes | DIMALTTZ | 0 |  |  |  |  |  |
Alt units | DIMALTU | 2 |  |  |  |  |  |
Alt zeroes | DIMALTZ | 0 |  |  |  |  |  |
Alternate units | DIMALT | Off |  |  |  |  |  |
Angle format | DIMAUNIT | 0 |  |  |  |  |  |
Angle precision | DIMADEC | 0 |  |  |  |  |  |
Angle zero suppression | DIMAZIN | 2.00 |  |  |  |  |  |
Arrow | DIMBLK | Open30 |  |  |  |  |  |
Arrow 1 | DIMBLK1 | Open30 |  |  | GENAXEH |  |  |
Arrow 2 | DIMBLK2 | Open30 |  |  |  |  |  |
Arrow size | DIMASZ | 2.5 |  |  |  |  |  |
Center mark size | DIMCEN | 0.00 |  |  |  |  |  |
Decimal separator | DIMDSEP | . |  |  |  |  |  |
Dim line color | DIMCLRD | BYLAYER |  |  |  |  |  |
Dim line ext | DIMDLE | 0.00 |  |  |  |  |  |
Dim line forced | DIMTOFL | On |  | Off |  |  |  |
Dim line lineweight | DIMLWD | -1 |  |  |  |  |  |
Dim line spacing | DIMDLI | 10 |  |  |  |  |  |
Ext line color | DIMCLRE | BYLAYER |  |  |  |  |  |
Ext line extension | DIMEXE | 1 |  |  |  |  |  |
Ext line lineweight | DIMLWE | -1 |  |  |  |  |  |
Ext line offset | DIMEXO | 0.05 |  |  |  |  |  |
Fit: arrow and text | DIMATFIT | 3 | 0 | 0 |  |  |  |
Fit: text movement | DIMTMOVE | 0 |  |  |  |  |  |
Fraction format | DIMFRAC | 0 |  |  |  |  |  |
Leader arrow | DIMLDRBLK | ClosedFilled |  |  |  |  |  |
Length scale | DIMLFAC | 1.00 |  |  |  |  |  |
Length units | DIMLUNIT | 2 |  |  |  |  |  |
No dim line 1 | DIMSD1 | Off |  |  |  |  |  |
No dim line 2 | DIMSD2 | Off |  |  |  |  |  |
No dim lines outside | DIMSOXD | Off |  |  |  |  |  |
No ext line 1 | DIMSE1 | Off |  |  | On | On |  |
No ext line 2 | DIMSE2 | Off |  |  | On | On |  |
Overall scale | DIMSCALE | 1.00 |  |  |  |  |  |
Precision | DIMDEC | 2 |  |  |  |  |  |
Roundoff | DIMRND | 0.00 |  |  |  |  |  |
Separate arrows | DIMSAH | Off |  |  | On |  |  |
Text color | DIMCLRT | 2 (yellow) |  |  |  |  |  |
Text height | DIMTXT | 3.50 | 5.00 |  |  |  |  |
Text inside | DIMTIX | Off |  |  |  |  |  |
Text inside align | DIMTIH | Off |  |  |  |  |  |
Text offset | DIMGAP | 1.5 |  |  |  |  |  |
Text outside align | DIMTOH | Off |  | On |  |  |  |
Text pos hor | DIMJUST | 0 |  |  |  |  |  |
Text pos vert | DIMTAD | 3 |  |  |  |  |  | 0
Text prefix and suffix | DIMPOST |  |  |  |  |  |  |
Text style | DIMTXSTY | STANDARD |  |  |  |  |  |
Tol dev lower | DIMTM | 0.10 |  |  |  |  |  |
Tol dev upper | DIMTP | 0.10 |  |  |  |  |  |
Tol deviation | DIMTOL | Off |  |  |  |  |  |
Tol limits | DIMLIM | Off |  |  |  |  |  |
Tol pos vert | DIMTOLJ | 0 |  |  |  |  |  |
Tol precision | DIMTDEC | 3 |  |  |  |  |  |
Tol text scale factor | DIMTFAC | 0.71 |  |  |  |  |  |
Tol zero suppression | DIMTZIN | 8 |  |  |  |  |  |
Zero suppression | DIMZIN | 8 |  |  |  |  |  |


Predefine dimension text templates (Concept)

Configure dimension styles
Configure dimensions
Configure distance snaps
Configuration and setup guide > Configure dimensions >
Predefine dimension text templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you create dimensions using Power Dimensioning, you can select a dimension text template from a drop-down list showing rendered, predefined formats.

You can modify the existing formats and add them to the list so that they are available at draw time.


Predefine dimension text templates (Procedure)

Configure dimension styles
Up a level to ..
Predefine dimension text templates
Configuration and setup guide > Configure dimensions >
Predefine dimension text templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Add a New Dimension Text Template

To Delete a Power Dimension Text Template


Predefine dimension text templates (Quick Reference)

Configure dimension styles
Predefine dimension text templates
Predefine dimension text templates
Configuration and setup guide > Configure dimensions >
Predefine dimension text templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dimension Settings dialog box

Predefined Dimension Text dialog box


To Add a New Dimension Text Template (Procedure)

Predefine dimension text templates
Up a level to ..
Predefine dimension text templates
Configuration and setup guide > Configure dimensions >
Predefine dimension text templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Add a New Dimension Text Template

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Predefined Text. The Predefined Dimension Text dialog box appears.
  5. From the Predefined text list, select the template that is closest to the target format.
  6. To add a special character:
    1. Position the cursor where you want to insert the special character.
    2. Click
    3. From the displayed palette, click the special character to insert.
  7. To apply text formatting to a selected section of the dimension text:
    1. In the text editor, select the characters to format.
    2. Right-click and choose a formatting option from the Format menu.
  8. To stack two numbers vertically:
    1. In the text editor, enter the two numbers separated by the “/” character.
    2. Select the two numbers along with the separator and right-click.
    3. Select Format > Stacked and select the stacking method.
  9. Click Add. The program adds the new text template to the Predefined list
  10. Click OK until all dialog boxes close.
NoteTo add a symbol text from an existing Power Dimension text, from the Power Dimensioning dialog box, copy the text to the clipboard and paste it in the Dimension Text box.


To Delete a Power Dimension Text Template (Procedure)

Predefine dimension text templates
Up a level to ..
Configure distance snaps
Configuration and setup guide > Configure dimensions >
Predefine dimension text templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Delete a Power Dimension Text Template

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Predefined Text. The Predefined Dimension Text dialog box appears.
  5. From the Predefined Text list, select the dimension text template to delete.
  6. Click Remove.
  7. Click OK until all dialog boxes close.


Predefine dimension text templates (Quick Reference)

Predefine dimension text templates
Predefine dimension text templates
Predefine dimension text templates
Configuration and setup guide > Configure dimensions >
Predefine dimension text templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dimension Settings dialog box

Use this dialog box to set preferences for Power Dimension commands for the current standard

Dimension style

Base dimension style

Sets the dimension style to be used as the base dimension style. All the dimension types are based on the dimension style or a variation (a sub-style).

Edit

Displays the Dimension Styles dialog box, enabling you to create, modify, and assign dimension styles.

Force power dimensions to use this dimension style

Prevents the dimension style from being overridden (via the DIMSTYLE command) during a drawing session.

Default representations

Chamfer

Displays the Chamfer Representation dialog box, enabling you to select the default chamfer dimension representation from a predefined list of representations.

Radius

Displays the Radius Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for radius.

Diameter

Displays the Diameter Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for diameter.

Dimension Text

Ignore AutoCAD scale factor for linear dimension measurements

Makes Power Dimensioning ignore the DIMLFAC system variable and other settings that control the linear scale.

AutoCAD Mechanical uses several scaling mechanisms such as scale areas, detail views, and annotation views, that are not available in AutoCAD. Power dimensioning recognizes the scales and automatically compensates for them. If you choose to honor AutoCAD scale factors and use different scales in different places in a drawing, AutoCAD Mechanical's scaling mechanisms may not reflect the correct dimension value.

NoteThis setting is not available for Inventor linked drawings.

Predefined Text

Displays the Predefined Text dialog box, which enables you to create predefined dimension text templates for Power DImensioning commands at draw time.

Fits and Tolerances

Fits

Displays the Fits Representation dialog box, which enables you to set the default fit representation. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing fit representations as well as create new ones.

Tolerances

Displays the Tolerance Representation dialog box, which enables you to set the default tolerance method. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing tolerance methods as well as create new ones.

When a fits list requires updates

Configures how fits lists rebuild. You can choose to update fits lists schematically, have the system prompt you, or update fits lists on demand by selecting the manual option.

Placement Options

Display visual aids when creating dimensions

Displays an icon on the crosshairs when a dimension is created, indicating the type of dimension being created.

In chain dimensions, replace arrows with points for lengths less than

Defines the distance at which arrowheads are replaced with points in chain dimensions.

Use distance snaps for placement

Turns on distance snaps, which cause dimensions to snap into place as you move the dimension line in the drawing area.

Snaps value

Sets the distance from the snap position to the object being dimensioned.

Display power dimension dialog

Sets how often the Power Dimension dialog box appears during one command session.

Show text override prompt

Enables the display of the text override prompt enabling you to modify the dimension text on the command line during the dimensioning process. By default, this check box is cleared.

Restore defaults

Resets all settings to the factory settings for the current standard. If the current standard is a custom standard, the settings default to the factory settings of the standard it is derived from.


Predefine dimension text templates (Quick Reference)

Predefine dimension text templates
Predefine dimension text templates
Configure distance snaps
Configuration and setup guide > Configure dimensions >
Predefine dimension text templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Predefined Dimension Text dialog box

Use this dialog box to customize predefined dimension text templates for use with the AMPOWERDIM command and its variants.

Text editor

Shows a graphical representation of the dimension text currently selected from the list of predefined text strings. Place the cursor in the text editor to add or delete text.

Right-click menu options

Enables you to specify formatting for the selected segment of text. The formatting options are:

  • Underline - Toggles underlining for the selected text.
  • Overline - Toggles overlining for the selected text.
  • Alignment - Specifies how the selected text aligns to stacked text on the same line.
  • Stacked- Stacks two segments of text separated by a “/” character.
  • Text Color - Specifies a color for the selected text.
  • Text Height - Applies a scale factor for the selected text.
  • Text Font - Specifies a font for the selected text.
  • Text Width - Applies a scale factor for the width of the selected text.
  • Tracking Factor - Specifies the spacing between characters of the selected text.

Insert special characters

Displays a palette of special characters available for insertion at the cursor position in the Text editor.

Preview Mode

Selects the dimension text in the Text editor.

  • Plain Text - Displays variables and formatting signs that define the dimension text.
  • Rendered Text Colored - Renders all variables and formatting signs to preview the dimension text.
  • Rendered Text Mono - Displays monochromatically the same text as the Rendered Text Colored mode.
TipUse the Plain Text mode especially if you are inserting variables. It gives you more control over where to place variables. Use a rendered mode for a preview of the dimension text.

Predefined text list

Displays a list of predefined dimension text templates available for the AMPOWERDIM command and its variants.

Add

Adds the text in the Text editor to the list of predefined text strings.

Remove

Deletes the text that is selected in the Predefined text list.


Configure distance snaps (Concept)

Predefine dimension text templates
Configure dimensions
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure distance snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Distance snap enables you to insert the dimension line at a defined distance from the object you are dimensioning. If distance snap is active, when you drag the dimension to place it in the drawing area, it snaps into position and changes to red. Configuring distance snaps includes activating the feature and setting the snap distance.

For baseline dimensions, AutoCAD Mechanical maintains a consistent gap between the dimensions. This gap reflects the DIMDLI system variable and not the snap distance.


To Configure Distance Snap Settings (Procedure)

Predefine dimension text templates
Up a level to ..
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure distance snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Distance Snap Settings

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. To enable distance snaps, select the Use distance snap for placement check box.
  5. In the Snap value box, type the distance.
  6. Click OK until all dialog boxes close.


Configure distance snaps (Quick Reference)

Predefine dimension text templates
Configure distance snaps
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure distance snaps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dimension Settings dialog box

Use this dialog box to set preferences for Power Dimension commands for the current standard

Dimension style

Base dimension style

Sets the dimension style to be used as the base dimension style. All the dimension types are based on the dimension style or a variation (a sub-style).

Edit

Displays the Dimension Styles dialog box, enabling you to create, modify, and assign dimension styles.

Force power dimensions to use this dimension style

Prevents the dimension style from being overridden (via the DIMSTYLE command) during a drawing session.

Default representations

Chamfer

Displays the Chamfer Representation dialog box, enabling you to select the default chamfer dimension representation from a predefined list of representations.

Radius

Displays the Radius Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for radius.

Diameter

Displays the Diameter Representation dialog box, enabling you to select the default locations for dimension line, dimension text, and arrowhead for diameter.

Dimension Text

Ignore AutoCAD scale factor for linear dimension measurements

Makes Power Dimensioning ignore the DIMLFAC system variable and other settings that control the linear scale.

AutoCAD Mechanical uses several scaling mechanisms such as scale areas, detail views, and annotation views, that are not available in AutoCAD. Power dimensioning recognizes the scales and automatically compensates for them. If you choose to honor AutoCAD scale factors and use different scales in different places in a drawing, AutoCAD Mechanical's scaling mechanisms may not reflect the correct dimension value.

NoteThis setting is not available for Inventor linked drawings.

Predefined Text

Displays the Predefined Text dialog box, which enables you to create predefined dimension text templates for Power DImensioning commands at draw time.

Fits and Tolerances

Fits

Displays the Fits Representation dialog box, which enables you to set the default fit representation. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing fit representations as well as create new ones.

Tolerances

Displays the Tolerance Representation dialog box, which enables you to set the default tolerance method. It also provides access to the System Editor, which enables you to modify the Windows registry settings that define the existing tolerance methods as well as create new ones.

When a fits list requires updates

Configures how fits lists rebuild. You can choose to update fits lists schematically, have the system prompt you, or update fits lists on demand by selecting the manual option.

Placement Options

Display visual aids when creating dimensions

Displays an icon on the crosshairs when a dimension is created, indicating the type of dimension being created.

In chain dimensions, replace arrows with points for lengths less than

Defines the distance at which arrowheads are replaced with points in chain dimensions.

Use distance snaps for placement

Turns on distance snaps, which cause dimensions to snap into place as you move the dimension line in the drawing area.

Snaps value

Sets the distance from the snap position to the object being dimensioned.

Display power dimension dialog

Sets how often the Power Dimension dialog box appears during one command session.

Show text override prompt

Enables the display of the text override prompt enabling you to modify the dimension text on the command line during the dimensioning process. By default, this check box is cleared.

Restore defaults

Resets all settings to the factory settings for the current standard. If the current standard is a custom standard, the settings default to the factory settings of the standard it is derived from.


Configure the default radius, diameter, and chamfer representations (Concept)

Configure distance snaps
Configure dimensions
Configure the default tolerance method and fit representation
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Dimensions styles control how diameter dimensions and radius dimensions appear. AutoCAD Mechanical configurations dialog boxes contain only the options relevant to these dimension types, providing a quick way to change these settings. These dialog boxes automatically update the relevant dimension styles. Because these dialog boxes are easier to use than the corresponding dialog boxes for editing the dimension style directly, we recommend using AutoCAD Mechanical’s radius Representation dialog box and Diameter Representation dialog box.

Chamfer representations, unlike radius and diameter dimensions, do not reflect the dimension style. They are in the drawing file. You can save them to a template (.dwt) for use as a default settings across an entire organization. The Chamfer representation dialog box enables you to select a default representation for chamfer dimensions from a graphical list of preset representations.


Configure the default radius, diameter, and chamfer representations (Procedure)

Configure distance snaps
Up a level to ..
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Default Representation for Radius Dimensions

To Set the Default Representation for Diameter Dimensions

To Set the Default Representation for Chamfer Dimensions


Configure the default radius, diameter, and chamfer representations (Quick Reference)

Configure distance snaps
Configure the default radius, diameter, and chamfer representations
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Radius Representations dialog box

Diameter Representations dialog box

Chamfer Representations dialog box


To Set the Default Representation for Radius Dimensions (Procedure)

Configure the default radius, diameter, and chamfer representations
Up a level to ..
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Default Representation for Radius Dimensions

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Radius. The Radius Representation dialog box appears.
  5. Select the check boxes corresponding to the behaviors to enable. The preview updates.
  6. Click OK until all dialog boxes close.


To Set the Default Representation for Diameter Dimensions (Procedure)

Configure the default radius, diameter, and chamfer representations
Up a level to ..
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Default Representation for Diameter Dimensions

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Diameter. The Diameter Representation dialog box appears.
  5. Select the check boxes corresponding to the behaviors to enable. The preview updates.
  6. Click OK until all dialog boxes close.


To Set the Default Representation for Chamfer Dimensions (Procedure)

Configure the default radius, diameter, and chamfer representations
Up a level to ..
Configure the default tolerance method and fit representation
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Default Representation for Chamfer Dimensions

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Chamfer. The Chamfer Representation dialog box appears.
  5. From the drop-down list, select the default representation for chamfer dimensions.
  6. Click OK until all dialog boxes close.


Configure the default radius, diameter, and chamfer representations (Quick Reference)

Configure the default radius, diameter, and chamfer representations
Configure the default radius, diameter, and chamfer representations
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Radius Representations dialog box

Use this dialog box to configure the default locations for dimension line, dimension text and arrowhead for radius dimensions

When dimension text is outside, draw dimension line inside arc/circle

Draws a dimension line inside the circle or arc and places the text, arrowheads, and leader outside. This option is applicable only when the radius is small and the dimension text must be outside the arc or circle. The preview updates to reflect the selection.

Draw arrows inside

Places the arrow inside the circle or arc.

When dimension text is inside, hide dimension line inside arc/circle

Suppresses the dimension line inside the circle or arc. This option is applicable only when the dimension text is inside the arc or circle. The preview updates to reflect the selection.

Create landing line

Draws dimension text horizontally when dimension text is outside the circle. This option is not available for the ANSI drafting standard.

Draw center cross

Draws a center mark if you place the dimension line outside the circle or arc. This option is available only for the ANSI drafting standard.


Configure the default radius, diameter, and chamfer representations (Quick Reference)

Configure the default radius, diameter, and chamfer representations
Configure the default radius, diameter, and chamfer representations
Configure the default radius, diameter, and chamfer representations
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Diameter Representations dialog box

Use this dialog box to configure the default locations for dimension line, dimension text and arrowhead for diameter dimensions.

When dimension text is outside, draw dimension line inside arc/circle

Draws a dimension line inside the circle or arc and places the text, arrowheads, and leader outside. This option is applicable only when the diameter is small and the dimension text must be outside the arc or circle. The preview updates to reflect the selection.

Draw arrows

Places the arrow inside the circle or arc.

When dimension text is inside, hide dimension line inside arc/circle

Suppresses the dimension line inside the circle or arc. This option is applicable only when the dimension text is inside the arc or circle. The preview updates to reflect the selection.

Create landing line

Draws dimension text horizontally when dimension text is outside the circle. This option is not available for the ANSI drafting standard.

Draw center cross

Draws a center mark if you place the dimension line outside the circle or arc. This option is available only for the ANSI drafting standard.


Configure the default radius, diameter, and chamfer representations (Quick Reference)

Configure the default radius, diameter, and chamfer representations
Configure the default radius, diameter, and chamfer representations
Configure the default tolerance method and fit representation
Configuration and setup guide > Configure dimensions >
Configure the default radius, diameter, and chamfer representations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Chamfer Representations dialog box

Use this dialog box to configure the default representation for chamfer dimensions.

Image showing chamfer representations

Shows the current default chamfer representations. Click the drop-down arrow next to the image to display a list of representations and click the representation to set as default.


Configure the default tolerance method and fit representation (Concept)

Configure the default radius, diameter, and chamfer representations
Configure dimensions
Configure drawing sheets
Configuration and setup guide > Configure dimensions >
Configure the default tolerance method and fit representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Tolerance methods and fit representations do not reflect the dimension style. They are stored in the Windows registry.

AutoCAD Mechanical enables you to select a tolerance method and a fit representation as the defaults for the Power Dimension family of commands. Because these settings are in the Windows registry, they do not transfer from one computer to another through templates.

See Also
    • Change the representation of fits and tolerances


Configure the default tolerance method and fit representation (Procedure)

Configure the default radius, diameter, and chamfer representations
Up a level to ..
Configure the default tolerance method and fit representation
Configuration and setup guide > Configure dimensions >
Configure the default tolerance method and fit representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Default Fit Representation

To Set the Default Tolerance Method


Configure the default tolerance method and fit representation (Quick Reference)

Configure the default radius, diameter, and chamfer representations
Configure the default tolerance method and fit representation
Configure the default tolerance method and fit representation
Configuration and setup guide > Configure dimensions >
Configure the default tolerance method and fit representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Fit Representations dialog box

Tolerance Methods dialog box


To Set the Default Fit Representation (Procedure)

Configure the default tolerance method and fit representation
Up a level to ..
Configure the default tolerance method and fit representation
Configuration and setup guide > Configure dimensions >
Configure the default tolerance method and fit representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Default Fit Representation

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Fits. The Fit Representations dialog box appears.
  5. From the drop-down list, select the default representation for fits.
  6. Click OK until all dialog boxes close.


To Set the Default Tolerance Method (Procedure)

Configure the default tolerance method and fit representation
Up a level to ..
Configure drawing sheets
Configuration and setup guide > Configure dimensions >
Configure the default tolerance method and fit representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Default Tolerance Method

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Dimension. The Dimension Settings dialog box appears.
  4. Click Tolerance. The Tolerance Method dialog box appears.
  5. From the drop-down list, select the default method for tolerances.
  6. Click OK until all dialog boxes close.


Configure the default tolerance method and fit representation (Quick Reference)

Configure the default tolerance method and fit representation
Configure the default tolerance method and fit representation
Configure the default tolerance method and fit representation
Configuration and setup guide > Configure dimensions >
Configure the default tolerance method and fit representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Fit Representations dialog box

Use this dialog box to set the defaults for fits.

Choose the default representation for fits

Graphically shows the default fit representation. Click the drop-down arrow next to the image to display a list of representations and click the representation to set as default.

Customize fit representations

System Editor

Displays the System Editor, which enables you to modify the Windows registry settings that define the existing set of fit representations as well as create new ones.


Configure the default tolerance method and fit representation (Quick Reference)

Configure the default tolerance method and fit representation
Configure the default tolerance method and fit representation
Configure drawing sheets
Configuration and setup guide > Configure dimensions >
Configure the default tolerance method and fit representation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Tolerance Methods dialog box

Use this dialog box to set the defaults for tolerance methods.

Choose the default method for tolerances

Graphically shows the default tolerance representation. Click the drop-down arrow next to the image to display a list of representations and click the representation to set as default.

Customize tolerance methods

System Editor

Displays the System Editor, which enables you to modify the Windows registry settings that define the existing set of tolerance representations as well as create new ones.


Configure drawing sheets (Concept)

Configure the default tolerance method and fit representation
Configuration and setup guide
Configure section lines and section view labels
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you select a drafting standard for a drawing, the drawing sheet formats that correspond to the standard become available for selection in the AMTITLE command. Drawing sheet formats consist of two individually configurable areas:

  • The drawing border
  • The title block

Each of these items exists as separate .dwg files, which you can customize. Usually, you do not modify the original files supplied with the product, but rather create a copy and modify that. Configure your system to use the modified files with the AMTITLE command.

Once you add the required drawing borders and title blocks, you may want to remove all other selections from the AMTITLE command.

NoteIf you change the settings in the middle of a drawing session, they may not take effect if you already have a drawing border in the drawing area. To make the latest settings take effect, delete existing drawing borders and purge all blocks and then invoke the AMTITLE command.


Configure drawing sheets (Procedure)

Configure the default tolerance method and fit representation
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To customize drawing border and title block

To add a title block to the list of available title blocks

To remove a title block from the list of available title blocks

To create a customized drawing border

To add a drawing border to the paper formats list

To remove a drawing border from the paper formats list

To add title block extensions


Configure drawing sheets (Quick Reference)

Configure the default tolerance method and fit representation
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTITLE

Drawing Borders with Title Block dialog box

Edit Drawing Border / Title Block dialog box

Drawing Sheet Settings dialog box


To customize drawing border and title block (Procedure)

Configure drawing sheets
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To customize drawing border and title block

Title blocks are DWG files that the program inserts into a drawing when you execute the AMTITLE command. These DWG files contain key information. We recommend that you create a copy of the supplied title block closest to your requirements and modify it per your requirements.

  1. Click None [image] None [image] . At the Command prompt, enter OPEN.
  2. Select the file containing the title block closest to the one you need.
    NoteThe program stores title blocks in the Title subfolder of the folder containing title border files.
  3. Save the file with another name in the same folder.
  4. From the View menu, select Zoom [image] Zoom All. The title block appears. Static text (title block captions such as the text “File Name”) and variable text (title block entries such as the file name) are shown as tags.
    Illustration of an ISO title block

    Title block captions appear in red and title block data (implemented as attributes) appears in blue

  5. To edit a static text, double-click the static text and type the new caption.
    NoteAlthough default title block captions are implemented as tags (for example, Igenmsg “gentitis” 60{22.7}), when you insert your own captions, they do not need to be inserted as tags. Type the text to display.
    Illustration of a custom title block

    Title block captions appear in red and title block data (implemented as attributes) appears in blue

  6. To edit a variable text:
    1. Double-click the variable text. The Edit attributes dialog box is displayed.
    2. In the Tag box, type the name of the title block attribute, ending it with a pair of curly brackets.
    3. Between the curly brackets, type the width to height ratio of the variable text. For example, if the text height is 5 units, and the available width is 100 units, enter 20 between the curly brackets.
    4. In the prompt box, type the caption for this variable text.
      NoteAlthough default title block captions are implemented as tags (for example, Igenmsg “gentitis” 60), custom captions do not need to be inserted as tags. Type the text to display.
    5. In the default box, type the default value for the variable text.
    6. Click OK
  7. Use the MOVE and ERASE commands to reorganize entries as required.
  8. Save and close the file.
  9. In the file you want to add the title block to, add this file to the list of available title blocks.


To add a title block to the list of available title blocks (Procedure)

Configure drawing sheets
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a title block to the list of available title blocks

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Drawing Sheet. The Drawing Sheet Properties dialog box is displayed.
  4. In the Default Title section, click the Additional button. The Select File dialog box is displayed.
    NoteThe program stores title blocks in theTitle subfolder of the folder containing title border files.
  5. Select the file containing the desired title block and click Open.
  6. Click OK until all dialog boxes close.

The program saves the title block details to the current drafting standard. When you execute the AMTITLE command after changing the title block details, the selected title block is available for selection.


To remove a title block from the list of available title blocks (Procedure)

Configure drawing sheets
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove a title block from the list of available title blocks

The drafting standard keeps track of the names of the files selected for use as title blocks. Renaming a file removes the title block from the selection set, and therefore the AMTITLE command. To remove unnecessary selections from the AMTITLE command:

  1. At the Command prompt, enter AMOPTIONS
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Drawing Sheet. The Drawing Sheet Properties dialog box is displayed.
  4. In the Default Title Block section, click the Additional button. The Select File dialog box is displayed.
  5. Right-click the file to remove from the selection set and rename it.
  6. Click Cancel until you return to the AM:Standards tab of the Options dialog box.
  7. In the Standard Elements list, double-click Drawing Sheet again. The Drawing Sheet Properties dialog box is displayed.
  8. In the Default Title section, click the Additional button. The Select File dialog box is displayed.
  9. Right-click the file you renamed and restore it to its original name.
  10. Click Cancel until you return to the AM:Standards tab of the Options dialog box.
  11. Click OK.

The program saves the title block details to the current drafting standard. When you execute the AMTITLE command after changing the title block details, the renamed title block is no longer available for selection.


To create a customized drawing border (Procedure)

Configure drawing sheets
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a customized drawing border

The drawing border is a DWG file that the program inserts into a drawing when you execute the AMTITLE command. DWG files used for borders contain keywords at strategic positions. We recommend that you create a copy of the supplied borders closest to your requirements and modify it per your requirements.

  1. Click None [image] None [image] . At the Command prompt, enter OPEN.
  2. Select the file containing the drawing border closest to the one you need.
    NoteThe program stores drawing borders in the Format subfolder of the folder containing title border files.
  3. Save the file under another name.
  4. Change the border (change color, add objects, and so on).
    NoteIf necessary, you can add attributes. When you insert the border (through the AMTITLE command), the program prompts you to specify the attributes.
  5. Save and close the DWG file.
  6. In the file to add the new border to, add this file to the list of available drawing borders.
NoteAMTITLE uses keywords to define the insertion point for the title block and for the available vacant drawing surface. To calculate these points, AMTITLE searches in the inserted border block for the text !GENTITLE-INSERT or the attribute INSERT that defines the insertion point of the title block. Therefore, when you create a drawing border, it is necessary to enter !GENTITLE-INSERT into the border with the TEXT command.


To add a drawing border to the paper formats list (Procedure)

Configure drawing sheets
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add a drawing border to the paper formats list

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Drawing Sheet. The Drawing Sheet Settings dialog box is displayed.
  4. In the Default Paper Format section, click the Additional button. The Select File dialog box is displayed.
    NoteThe program stores drawing borders in the Format subfolder of the folder containing title border files.
  5. Select the file containing the desired drawing border and click Open.
  6. Click OK until all dialog boxes close.

The program saves the drawing border details to the current drafting standard. When you execute the AMTITLE command after changing the drawing border details, the selected drawing border is available for selection.


To remove a drawing border from the paper formats list (Procedure)

Configure drawing sheets
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove a drawing border from the paper formats list

The drafting standard keeps track of the names of the files selected for use as title blocks. Renaming a file removes the drawing border from the paper formats list, and therefore the dialog box opened by the AMTITLE command. To remove unnecessary drawing border formats:

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Standards tab.
  3. In the Standard Elements list, double-click Drawing Sheet. The Drawing Sheet Properties dialog box is displayed.
  4. In the Default Paper Format section, click the Additional button. The Select File dialog box is displayed.
  5. Right-click the file to remove from the selection set and rename it.
  6. Click Cancel until you return to the AM:Standards tab of the Options dialog box.
  7. In the Standard Elements list, double-click Drawing Sheet again. The Drawing Sheet Properties dialog box is displayed.
  8. In the Default Paper Format section, click the Additional button. The Select File dialog box is displayed.
  9. Right-click the file you renamed and restore it to its original name.
  10. Click Cancel until you return to the AM:Standards tab of the Options dialog box.
  11. Click OK.

The program saves the drawing border details to the current drafting standard. When you execute the AMTITLE command after changing the drawing border details, the renamed drawing border is no longer available for selection.


To add title block extensions (Procedure)

Configure drawing sheets
Configure drawing sheets
Configure section lines and section view labels
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add title block extensions

The Extensions Title Block button opens the Extensions Title Block dialog box so that you can add two additional title blocks. If you change the paper format, the options in the Extensions Title Block dialog box change to conform to the new format.

  1. From the Command prompt, enter AMTITLE or double-click the title block on the drawing.
  2. In the Title Block section, click the Extension Title Blocks button.
  3. In the Extensions Title Block dialog box, click the extensions you want to add to the drawing. When you click the extension, the field is automatically populated with a default extension.
  4. To change the extension type, click the down arrow in the field to choose a different extension type.
  5. Click OK to accept the changes and close the dialog box.


Configure drawing sheets (Quick Reference)

Configure drawing sheets
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMTITLE

Inserts a drawing border with a title block

Ribbon: Annotate tab [image] Layout panel [image] . Does not exist on the ribbon.
Toolbar: Drawing Title and Revision
Menu: Annotate [image] Drawing Title and Revision [image] Drawing Title/Borders Does not exist in the menus.
Command entry: amtitle

You can also use this command to edit an existing drawing border. You can set options for Title Block, Paper Format, and Scale.

AMTITLE is controlled by the Drawing Borders with Title Block dialog box. Set options for Title Block, Paper Format, and Scale. The command line options depend on the settings in the dialog box.

COMMAND LINE OPTIONS

Insertion Point: Click a point in the drawing to insert the drawing title/border or press ENTER to insert the border on 0,0,0.

You can make additional entries in the Change Title Block Entry dialog box.

Objects for centering and re-scaling:

Select objects: Specify objects.

Select objects: Specify another object, or press ENTER to continue.

New location for objects: Select a point to insert the object(s) in the drawing border.

Note
  • When a title block exists in the drawing, the Edit Drawing Border/Title Block dialog box appears. Select the New Drawing Border/Title Block option to insert a new title block or select the Change Drawing Border/Title Block option to modify the existing drawing border or title block.
  • The Microsoft Windows short date format determines the date format. To change the date format of an existing title block, change the Microsoft Windows short date format (using the Regional and Language Settings applet in the Control Panel) and insert the title block again.


Configure drawing sheets (Quick Reference)

Configure drawing sheets
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Drawing Borders with Title Block dialog box

Paper Format

Contains standardized drawing borders, saved in the title border folder. You can use one of the standardized format or select a customer format. To use a custom format, start the AMOPTIONS command and double-click Drawing Sheets in the AM:Standards tab (Options dialog box). In the Drawing Sheet Settings dialog box, under Default Paper Format, choose Additional to select and add a customer paper format to the existing list.

Title Block

Contains standardized title blocks, which are saved in the title border folder. You can use one of the standardized format or select and use a customer format. To use a custom format, start the AMOPTIONS command and double-click Drawing Sheets in the AM:Standards tab (Options dialog box). In the Drawing Sheet Settings dialog box, under Default Title Block, choose Additional to select and add a customer paper format to the existing list.

Extension Title Blocks

Opens the Extension Title Blocks dialog box so that you can add title block extensions to the drawing. This option is available only in the GOST standard.

Scale

Displays all standard scale factors. You can also enter your own scale factor.

Calculate

Suggests a scale factor for a drawing section or for the size of the existing objects in the drawing of a pre-selected border. The calculated scale factor appears in the scale box. The Calculate option is not available in layout.

Set Base Scale Factor

When selected, the section scale factor is stored in the configuration as base scale factor (only in Model space).

Set Drawing Defaults

Sets grid, snap, limits, linetype scale, and other options, to the default values that correspond to the selected scale factor you selected. Affects the following system variables:

  • CHAMFERA
  • CHAMFERB
  • FILLETRAD
  • GRIDUNIT
  • SNAPUNIT
  • LUPREC
  • LTSCALE

Perform Rescale

Adjusts text, symbols, dimensions, tables, and other elements to conform to the changed scale factor.

Move Objects

Places existing objects in the drawing editor within the inserted drawing border. If you select the Automatic Placement option as well, selected objects move to the center of the border.

Automatic Placement

Moves selected objects to the center of the border. Selects all objects located within an inserted drawing border automatically, if the Objects to Rescale: Automatic Selection option is selected in the Drawing Sheet Settings dialog box (accessed through the AM:Standards tab of the Options dialog box). If no border exists, selects all objects. If objects are outside the border, clear the Automatic Selection check box in the Drawing Sheet Settings dialog box (accessed through the AM:Standards tab of the Options dialog box). Otherwise, the objects outside the border are not part of the selected border.

Thaw All Layers

Selects all layers containing objects, moves them into the border, and thaws them. Restores the state of the layers when complete.

Retrieve from Part Reference

Retrieves values for the title block from the part reference. If the drawing contains more than one part reference, select the part reference.

Retrieve from Assembly Properties

Retrieves values for the title block from the assembly property.

Read from External File

  • Import

Displays a list of files ending with .tit. When you import files from an external location or if you frequently use drawing border and title block entries you may want to import the title block and border information from an external file. This import file is the interface for the drawing administration.


Configure drawing sheets (Quick Reference)

Configure drawing sheets
Configure drawing sheets
Configure drawing sheets
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edit Drawing Border / Title Block dialog box

New Drawing Border/Title Block

Inserts an additional drawing border to an existing one. Displays the Drawing Border with Title Block dialog box for selecting a new border and title block. Zooms all existing drawing borders so that you can insert the new border.

Change Drawing Border/Title Block

Activates the options for editing drawing border/title block, title block entries, and scale factor.

Change Title Block Entry

Displays the Change Title Block Entry dialog box for entering or editing title block entries. All entries can be edited except the scale factor.

Change Drawing Border

Displays the Drawing Border with Title Block dialog box for changing the paper format of the border.

Change Title Block

Displays the Drawing Border with Title Block dialog box for changing the title block style.

Change Scale

Displays the Drawing Border with Title Block dialog box for changing the scale of the border. When a new scale factor is selected, selects the Perform Rescaling option.


Configure drawing sheets (Quick Reference)

Configure drawing sheets
Configure drawing sheets
Configure section lines and section view labels
Configuration and setup guide >
Configure drawing sheets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Drawing Sheet Settings dialog box

Specify entries for the title block, paper format, and scale factor of the drawing for the current standard.

Revision Displays most recent revision of the standard this symbol complies with.
Default Paper Format
 | Drop-down list Sets the default drawing border for the current drawing.
 | Displays the Select File dialog box, in which you can add a drawing file (containing a drawing border) to the drop-down list and set it as the default drawing border.
Default Title Block
 | Drop-down list Sets the default title block for the current drawing.
 | Displays the Select File dialog box, in which you can add a drawing file (containing a title block) to the drop-down list and set it as the default drawing border.
 | Extension Title Blocks button Displays the Extension Title Blocks dialog box so that you can add up to two additional title block extensions to the drawing. NoteThis option is available only in the GOST standard.
 | Invert Part Number Inserts the part number as an upside-down text within a rectangular box, at the top left of the paper format. NoteThis option is available only if the current drafting standard is set to GB.
Default Revision List NoteRevision lists are not available in the GOST standard.
 | First Drop-down list Selects a default revision list block for the current drawing.
 | Displays the Select File dialog box, in which you can add a drawing file (containing a revision block) to the drop-down list and set it as the default revision list.
 | Second Drop-down list Sets a base point for the revision block.
Scale Change Settings
 | Objects to Rescale Specifies whether the drawing objects are to be selected automatically or manually.
Read from External File Sets the default standard import file (.tit file) name to be used with the Import button on the Drawing Borders with Title Block dialog box, which appears when you invoke the AMTITLE command.
 | Path Displays the name of the folder that contains the default .tit file.
 | File Displays the name of the default .tit file.
 | Browse Displays the Select File dialog box, enabling you to select the .tit file.
 | Display Title Block Dialog after Import check box Sets the AMTITLE command to display the data of the selected .tit file, giving you the opportunity to accept or reject the settings while inserting drawing borders.
Views Created From Sets the AMTITLE command to create six views, which are accessible via the AutoCAD VIEW command, within the drawing border.
 | Don't create views Does not create views.
 | Limits Creates views defined by the outer points of the frame.
 | Drawing Area Creates views defined by the maximum drawing area within the frame.
Set Limits
 | Don't Set Limits Keeps the adjusted limits unchanged.
 | Limits to Corners Sets a size limit for the new border area.
 | Limits to Maximum Sets the limits to maximum, if the border space exceeds the predefined limit space.
Restore Defaults Resets all settings to their default values.


Configure section lines and section view labels (Concept)

Configure drawing sheets
Configuration and setup guide
Configure standard parts
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The drafting standard controls the appearance of section lines and section view labels. When you select a drafting standard, the default settings for the AMSECTIONLINE command change accordingly. You can customize these settings to suit your drafting requirements.

Because text and leader lines are the most common objects used for annotations, AutoCAD Mechanical provides a single configuration point (the Standard Settings dialog box) enabling you to specify their default properties. These settings are the master settings.

When the text size for section line and section view labels is “By NameOfCurrentDraftingStandard,” they automatically take on a text height that is one size larger than the base height master setting. Section line and section view labels become larger than dimension, note, and symbol text. If you modify the master settings, the text size for section line and section view labels automatically updates. If you do not want the text size for section line and section view labels to follow the master settings, you can override the setting with a specific value.

In addition to the text height and color, you can configure:

  • How labels appear.

    You can select how section lines are named and edit the variables that define the section view label.

    The labeling options do not affect section lines and section views that exist in a drawing. We recommend that you configure section line and section view labels before you create any section lines.

  • The appearance of section lines.

    You can select the line weight for the end, bend, and plane line segments and specify how the arrowheads appear at the ends.


Configure section lines and section view labels (Procedure)

Configure drawing sheets
Configure section lines and section view labels
Configure section lines and section view labels
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Section Labels

To Configure how Section Labels Appear

To Configure the Appearance of Section Lines

To Configure Master Settings for Text Height


Configure section lines and section view labels (Quick Reference)

Configure drawing sheets
Configure section lines and section view labels
Configure section lines and section view labels
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Section View Settings dialog box

Standard Settings dialog box


To Configure Text Height and Color for Section Labels (Procedure)

Configure section lines and section view labels
Configure section lines and section view labels
Configure section lines and section view labels
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Section Labels

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Section View. The Section View Settings dialog box appears.
  4. To change the section line and section view label text heights, in the Text section, in the Height list, select the text height.
    NoteTo derive the text height from the master text settings automatically, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Text section, in the Color list in the Text section, select a color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom drafting standard, you can select a text style for the section line/view labels.


To Configure how Section Labels Appear (Procedure)

Configure section lines and section view labels
Configure section lines and section view labels
Configure section lines and section view labels
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure how Section Labels Appear

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Section View. The Section View Settings dialog box appears.
  4. To enable displaying of labels, select the Show label check box.
  5. To display a label at all vertices of the section line, select the Show all plane symbols check box.
  6. To label the section line using the same alpha character at the ends and vertices, clear the Use continuous naming check box.

    To label the section line using consecutive alpha characters (A,B,C), select the Use continuous naming check box.

  7. Edit the formula that defines the section view label as appropriate.
    • To add a valid reference:
      1. In the Pattern box, click where you want to insert the reference.
      2. Click [image] . A list of references appears.
      3. Select the reference from the list.
    • To delete a reference:
      1. In the Pattern box, select the reference. Make sure to select the characters “<“ and “>” that wrap the reference.
      2. Press DEL.
    • To add plain text:
      1. In the Pattern box, click in the position to insert the text.
      2. Use the keyboard to enter the text
  8. In the Position box, select where to display the section view label.
  9. Click OK until all dialog boxes close.


To Configure the Appearance of Section Lines (Procedure)

Configure section lines and section view labels
Configure section lines and section view labels
Configure section lines and section view labels
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Appearance of Section Lines

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click Section View. The Section View Settings dialog box appears.
  4. To display arrows at the ends of the section line, select the Show arrows check box.

    To configure the appearance of the arrowhead:

    1. In the Arrowhead list, select the type of arrowhead to use.
    2. In the Arrowhead size box, specify a length for the arrowhead.
    3. In the Color list, in the Arrow section, select a color for the arrowhead.
  5. To specify the line weight for the end and bend line segments, in the Lineweight box, select the line weight to use.
  6. To set a color for the ends and bends, in the Color list, in the Section line section, select a color.
  7. Configure plane lines (segment between ends and bends) as appropriate.
    • To disable plane lines, in the Visibility list, select None.
    • To draw plane lines in the same linetype and line weight as the ends and bends, in the Visibility list, select continuous.
    • To draw plane lines with the linetype and line weight assigned to the Section/Viewing Plane Line object in the Layer/Objects Settings dialog box (PHANTOM2 by default), in the Visibility list, select Between planes.
  8. Click OK until all dialog boxes close.


To Configure Master Settings for Text Height (Procedure)

Configure section lines and section view labels
Configure section lines and section view labels
Configure standard parts
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Master Settings for Text Height

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. To change the text height, in the text section, in the Base height box, select a text height.
Note If the current drafting standard is a custom standard or if the Link to Dimension Style check box is selected, you can do the following additional operations:
  • Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  • Click in the Base height box and type any text height.


Configure section lines and section view labels (Quick Reference)

Configure section lines and section view labels
Configure section lines and section view labels
Configure section lines and section view labels
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Section View Settings dialog box

Use this dialog box to specify the defaults for the AMSECTIONLINE command.

Revision

Displays most recent revision of the standard this symbol complies with.

Section label

Contains options to label the section line and section view. The settings in this section have no effect on section lines that already exist in the drawing.

Show label

Displays labels for section lines and section views.

Plane

Show all plane symbols

Labels all vertices of the section line.

Use continuous naming

Labels vertices using consecutive alphabetic characters

View

Pattern

Contains the formula that defines the label for the section view.

Displays a list of variables that can be used with the formula.

Position

Specifies the positioning of the section view label, relative to the section view.

Section line

Contains options to define the appearance of the section line.

End and bend lines

Contains options to define the line weight and color of the end portion and bends of section lines.

Lineweight

Defines the line weight of the end portion and bends of section lines.

Color

Defines the color of the end portion and bends of section lines. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Plane lines

Visibility

Specifies how plane lines (the section line segment between the end portion and bends) should be drawn. The available options are:

  • None - Does not draw a plane lines.
  • Continuous - Draws plane lines using the same line type and line weight as the ends and bends.
  • Between planes - Draws plane lines using the line type and line weight assigned to the Section/Viewing Plane Line object (PHANTOM2 by default) in the Object Property Settings dialog box.

Arrow

Contains options to define the appearance of the arrowhead on section lines.

Show arrows

Toggles the visibility of arrowheads on section lines.

Arrowhead

Provides a list of arrowheads to let you choose the type of arrowhead.

Arrowhead Size

Specifies the length of the arrowheads.

Color

Specifies the color of the arrowheads. Color dialog box appears. You can also enter a color name or number.

Text

Style

Sets a text style to be used for section line and section view labels. This option is available only if the drafting standard is a custom standard.

Height

Defines the text height to be used for section line and section view labels.

When the height is set to ByNameOfCurrentDraftingStandard, the text height derives from the master settings of the current drafting standard. If the master setting changes, the text height automatically changes to one size larger than the base height setting.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Sets a color for the arrows. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color changes automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set in the Object Property Settings dialog box.

Restore Defaults

Returns all values to the default values for the current standard.


Configure section lines and section view labels (Quick Reference)

Configure section lines and section view labels
Configure section lines and section view labels
Configure standard parts
Configuration and setup guide >
Configure section lines and section view labels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Standard Settings dialog box

Sets up master settings for the current drafting standard. The elements of the standard that have their settings configured as ByNameOfCurrentDraftingStandard, automatically acquire their settings from this dialog box.

Dimension link

Link to dimension style

Links the text and leader settings to a dimension style, so that dimension styles are controlled by the drafting standard. Any change you make on this dialog box is applied to the linked dimension style. Any change you make to the linked dimension style is applied back to the text and leader settings.

When this option is selected, you can specify non-standard text heights.

Link to leader dimension style only

Restricts linking of dimension styles to the Leader dimension sub-style. Hence changes to text and leader settings are applied only to the Leader sub-style.

If this option is not selected, you link to the base dimension style. Changes to the base dimension style are automatically applied to all sub-styles, unless that setting is overridden in the sub-style. This means that if you modify the text and leader settings in this dialog box, the change is applied across all sub-styles, unless the settings are explicitly overridden in the sub-style.

Style

Displays the name of the dimension style to which leader and text settings are linked.

Text

Style

Sets the text style for use with all annotations. This setting is controlled by the drafting standard. Hence this setting can be changed only if the current drafting standard is a custom drafting standard or if the text and leader settings are linked to a dimension style.

Base height

Sets the text height to use as the base height for annotation text. If the Link to dimension style check box is selected, or if the current drafting standard is a custom drafting standard, you can specify non-standard text heights. If not, you can only select the standard text heights that are available on the list.

By default, all symbols use the base text height for symbol text. Annotations such as annotation view labels, section line labels, detail view labels and balloons, use a text height that is one size larger than the base height.

Color

Sets the color for the text category selected for base text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Leader

Arrowhead

Sets the default leader arrowhead type for all annotations.

Arrow size

Sets the default leader arrowhead size for all annotations.

Color

Displays and sets the leader color for all annotations. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number. If the Link to dimension style check box is selected, this setting affects the dimension line and extension line colors.

Symbols

List attach point

Sets the default attachment point for lists such as parts lists and hole charts, which are controlled by the drafting standard.

Color

Sets the color for all symbol geometry. If you click Select Color (at the bottom of the Color list), the Select Color dialog box appears. You can also enter a color name or number.

Object Properties

Let AutoCAD Mechanical manage object properties

Specifies that all objects created using AutoCAD Mechanical commands are automatically assigned properties as specified in the Object Properties Settings dialog box.

Settings

Displays the Object Property Settings dialog box, which enables you to pre configure the settings of all objects created using AutoCAD Mechanical commands.

Projection angle

Projection angle for drawing views:

Specifies the projection angle to use when generating drawing views and shaft generator views.

Restore Defaults

Returns all values to the default values for the current standard.


Configure standard parts (Concept)

Configure section lines and section view labels
Configuration and setup guide
Configure mechanical structure
Configuration and setup guide >
Configure standard parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The Content Library included with AutoCAD Mechanical contains more than 600,000 predrawn standard parts and standard features that comply with 18 international standards. However all standards are not installed by default. You can install standard parts with Add/Remove Programs applet in the Windows Control Panel.

Regardless of the drafting standard you select in the AM:Standards tab (in the Options dialog box) you have access to all the standard parts installed on your computer. For example, AutoCAD Mechanical does not prevent you from selecting a UNC (Regular Thread- Inch) tapped hole, even when the current drafting standard is ISO and the measurement is metric.

Because the content library contains a large number of parts, dialog boxes for selecting items from the content library may take a considerable time to load. You can configure AutoCAD Mechanical to exclude standard parts that belong to standards you use infrequently or not at all. You can also configure the order in which content library items appear in dialog boxes so that parts from frequently used standards appear at the beginning of the selection lists.

By default, standard parts and standard features appear on special mechanical layers called standard part layers. By default, the names of these layers end with the letter “N.” Standard part layers enable you to turn on or turn off the visibility of standard parts by clicking the pointing device once. You can configure AutoCAD Mechanical to create standard parts on regular mechanical layers instead of standard part layers.

You can also change the representation of standard parts and standard features. You can do this at any time during a drawing session.

Standard part settings are saved in the Windows registry. Once you set them, they remain in force regardless of the selected drafting standard. Since these settings are not in the drawing, they do not move from one computer to another through template (.dwt) files.


Configure standard parts (Procedure)

Configure section lines and section view labels
Configure standard parts
Configure standard parts
Configuration and setup guide >
Configure standard parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Disable or Enable the Creation of Standard Part on Standard Part Layers

To set the type of holes and threads available for selection

To set how standard content is displayed in drawings

To set which standard content will be available for selection

To Install Standard Parts from Standards not Installed by Default


To Disable or Enable the Creation of Standard Part on Standard Part Layers (Procedure)

Configure standard parts
Configure standard parts
Configure standard parts
Configuration and setup guide >
Configure standard parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Disable or Enable the Creation of Standard Part on Standard Part Layers

By default AutoCAD Mechanical creates standard parts on standard part layers, a special set of mechanical layers with names that end with “N.” You can configure AutoCAD Mechanical to create standard parts on regular mechanical layers instead.

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Select the AM:Content tab.
  3. To disable the creation of standard parts of standard part layers, clear the Use Standard Parts Layer check box.

    To enable the creation of standard parts on standard part layers, select the Use Standard Parts Layer check box.

  4. Click OK until all dialog boxes close.
NoteBy creating standard parts on layers other than standard part layers you lose the ability to turn on/turn off the visibility of standard parts


To set the type of holes and threads available for selection (Procedure)

Configure standard parts
Configure standard parts
Configure standard parts
Configuration and setup guide >
Configure standard parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set the type of holes and threads available for selection

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Content tab.
  3. In the Selection Group section, select the check boxes corresponding to hole types and thread types to be made available for selection and clear the other check boxes.
  4. Click OK.


To set how standard content is displayed in drawings (Procedure)

Configure standard parts
Configure standard parts
Configure standard parts
Configuration and setup guide >
Configure standard parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set how standard content is displayed in drawings

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Content tab.
  3. In the Representation section, make the necessary entries, and click OK.


To set which standard content will be available for selection (Procedure)

Configure standard parts
Configure standard parts
Configure standard parts
Configuration and setup guide >
Configure standard parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set which standard content will be available for selection

To specify the standards available for selection:

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Content tab.
  3. In the Available Standard list, move appropriate standards to the Selected Standard list. (Ensure that the standards you will not use remain in the Available Standard list).
  4. Use the arrows of the Selected Standard list to change the order of the standards. Place the preferred standard at the top of the list.
  5. Click OK to close the Options dialog box.


To Install Standard Parts from Standards not Installed by Default (Procedure)

Configure standard parts
Configure standard parts
Configure mechanical structure
Configuration and setup guide >
Configure standard parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Install Standard Parts from Standards not Installed by Default

NoteThis procedure outlines the installation procedure in Windows XP Professional. The procedure for other versions of Windows are similar, but not identical.

Insert the installation CD.

  1. Click Start, click Settings, and click Control Panel. The Control Panel appears.
  2. Double-click Add or Remove Programs. The Add or Remove Programs dialog box appears.
  3. Select the row corresponding to AutoCAD Mechanical and click Change.
    NoteThe row representing AutoCAD Mechanical depends on the options you selected at the time of Installation. For example, if you installed Mechanical Desktop from the Autodesk Inventor Professional (AIP) installation CD, the row corresponding to AutoCAD Mechanical is Autodesk Mechanical Desktop.
  4. Select Add or Remove Features and click Next.
  5. Click Next until the Standard Libraries step of the installation wizard appears.
  6. Select the check boxes next to the content libraries you need and clear the other check boxes.
  7. Keep clicking Next.
  8. When the library installation completes, click Finish.


Configure standard parts (Quick Reference)

Configure section lines and section view labels
Configure standard parts
Configure mechanical structure
Configuration and setup guide >
Configure standard parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AM:Content tab of the Options dialog box

Content library management
 | File Locations Specifies path, selection group, and standards.
 | Standard Content Filters Specifies filters for standard content.
Content behavior on insertion
 | Hide background objects Automatically creates a hide situation when the standard part is placed on top of another object in the drawing area. If mechanical structure is enabled, AutoCAD Mechanical uses the AMSHIDE command to create the hide situation. If not, it uses the AM2DHIDE command.
 | 2D Hide button Specifies whether hidden edges are drawn as invisible lines or as dashed lines. The button face graphically shows the current selection.
 | Draw centerlines Draws centerlines when symmetric standard parts are inserted to the drawing.
 | Draw standard/custom parts on standard parts layers Instructs system to create standard parts and features on the Standard Parts Layers (layer names end with the letter N). If this option is not selected, standard parts are created on regular mechanical layers and you loose the ability to turn on/off the visibility of standard parts.
 | Enforce Projection Length Rules for Screw Connection Sets the projection length of centerlines for screw connections to follow a rule like that of VDI 2230, where the projection length of the screw centerline should have a length of 1.5 times the length of the nut associated with it.
Object properties overrides
 | Create standard/custom parts on layer group Specifies that standard parts are created on a specific layer group and provides space for you to specify the name of the layer group.
 | Create front view of standard/custom features on hidden layer Instructs system to draw front views of standard features using hidden lines.
Default representation for standard content
 | Specifies whether standard content are represented in drawings as Standard, Symbolic, or Simplified. The image shows the results of the selection.


Configure mechanical structure (Concept)

Configure standard parts
Configuration and setup guide
Distribute configuration files
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To use mechanical structure in a drawing, enable mechanical structure first. If you use mechanical structure regularly, you can configure AutoCAD Mechanical to enable mechanical structure automatically in any new drawing you create.

NoteYou can only disable mechanical structure before you create any structure entities.

The other mechanical structure-related settings that you can configure are:

  • Mechanical browser defaults.

    Associates commands with the New and Insert mechanical browser shortcut menus.

  • Default names for mechanical structure entities.

    Sets default names for components, component views, folders, and annotation views.

  • Default behavior when you copy component views.

    When you create component views in response to the COPY, ARRAY, MIRROR, or PASTECLIP commands, you can make them new instances of components or additional component views of the component from which they were original copied. You can opt to have the system prompt you when you issue the command.

  • Labels for subviews of Annotation views

    The drafting standard controls the placement labels for subviews in Annotation Views. When you apply the master settings for text across all elements of the standard, the text size for annotation view labels change to one size larger than the master text height. The labels become larger than dimension, note, and symbol text.

    The content for the annotation view label is defined with a formula. The label text can provide context-sensitive labels.


Configure mechanical structure (Procedure)

Configure standard parts
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enable mechanical structure for the current drawing

To Set the Mechanical Browser Defaults

To Specify how to Create Component Views when Copying, Mirroring, or Arraying

To configure the default options for AMSHIDE

To Configure the Default Names of Mechanical Structure Entities

To Configure Text Height and Color for Annotation View Labels

To Configure Annotation View Label Default Settings


Configure mechanical structure (Quick Reference)

Configure standard parts
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

OPTIONS command (AM:Structure tab)

Annotation View Settings dialog box


To enable mechanical structure for the current drawing (Procedure)

Configure mechanical structure
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enable mechanical structure for the current drawing

  • Click the STRUCT status bar button to enable.


To Set the Mechanical Browser Defaults (Procedure)

Configure mechanical structure
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Set the Mechanical Browser Defaults

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Structure tab.
  3. To set the New and Insert right-click menus to trigger the dialog box versions of the commands:
    1. In the Browser right-click menu for creation list, select Use dialog box (AMSNEW).
    2. In the Browser right-click menu for insertion list, select Use dialog box (AMSNEW).

    To set the New and Insert right-click menus to trigger the command line versions of the commands:

    1. In the Browser Create list, select Use command line (AMSCREATE).
    2. In the Browser Insert list, select Use command line (AMSINSERT).
  4. Click OK until all dialog boxes close.


To Specify how to Create Component Views when Copying, Mirroring, or Arraying (Procedure)

Configure mechanical structure
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Specify how to Create Component Views when Copying, Mirroring, or Arraying

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Structure tab.
  3. To prompt for input when you create views:
    • In the Structure object type section, clear the Do not prompt check box.

    To pre-configure the component view creation behavior:

    1. In the Structure object type section, select the Do not prompt check box.
    2. To create component views as new component instances, select Component instances.

      To create component views as views of the original component, select Component instances

  4. Click OK until all dialog boxes close.


To configure the default options for AMSHIDE (Procedure)

Configure mechanical structure
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To configure the default options for AMSHIDE

  1. Click None [image] None [image] . At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Structure tab.
  3. Click Hide Options.
  4. To set the default hide style to dashed lines, select the Display hidden lines check box. If this check box is not selected, hidden lines are not visible.
  5. To set only the outer contour as a foreground object, select the Use outer contour only check box. If this check box is not selected, all contours selected for the foreground are set as foreground objects.
  6. To set the background objects that fall outside the foreground perimeter as hidden, select the Inverse foreground check box. If this check box is not selected, background objects that fall within the foreground perimeter are hidden.
  7. To limit foreground selection to objects on contour layers only, select the Use contours only check box. If this check box is not selected, any object may be treated as a foreground object.
  8. To make hide situations respect the Usage in Hide object setting, select the Hide appropriate objects only check box. If this box is cleared, the Usage in Hide object setting is ignored.
  9. To set the AMSHIDE command to automatically select the background when the foreground objects are selected, select the Select background objects automatically check box.
  10. To enable a dynamic preview of hide situations in model space, select the Dynamic preview when editing check box.
  11. To set the limit for automatic background selection, in the Limit background entities selection to box, type the limit.
  12. To set the limit for foreground objects, in the Prompt when number of foreground entities exceed box, type the limit.
  13. Click OK.


To Configure the Default Names of Mechanical Structure Entities (Procedure)

Configure mechanical structure
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure the Default Names of Mechanical Structure Entities

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Structure tab.
  3. To set the default name of components:
    • In the Component box, type a name to be used as the default prefix for component names.
  4. To set the default name of folders:
    • In the Folder box, type a name to be used as the default prefix for folder names.
  5. To set the default name of annotation views:
    • In the Annotation View box, type a name to be used as the default suffix for annotation view names.
  6. To set the default names of component views:
    1. If the name you want to set is not available in the component names list, in the Component Views frame, click Add. The Add view name dialog box appears.
    2. In the Enter new view name box, type a name and click OK.
    3. If any of the views in the list are redundant, select the view and click Remove.
    4. Use the Move Up and Move Down buttons to reposition the views in the order you are most likely to use them during a drawing session.


To Configure Text Height and Color for Annotation View Labels (Procedure)

Configure mechanical structure
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Text Height and Color for Annotation View Labels

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Annotation View. The Annotation View Settings dialog box appears.
  4. To change the annotation view label text height, in the Height list, select the text height.
    NoteTo derive the text height from the master text settings automatically, select the text height marked “By NameOfCurrentDraftingStandard.”
  5. To change the text color, in the Color list, select the color.
  6. Click OK until all dialog boxes close.
NoteIf the current drafting standard is a custom drafting standard, you can select a text style as well.


To Configure Annotation View Label Default Settings (Procedure)

Configure mechanical structure
Configure mechanical structure
Define preferences
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Configure Annotation View Label Default Settings

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. In the Options dialog box, click the AM:Standards tab.
  3. In the Standard Elements list, double-click Annotation View. The Annotation View Settings dialog box appears.
  4. Edit the formula that defines the default label.
    • To add a valid reference:
      1. In the Pattern box, click where you want to insert the reference.
      2. Click [image] . A list of references appears.
      3. Select the reference from the list.
    • To delete a reference:
      1. In the Pattern box, select the reference. Ensure that you include the characters “<” and “>” (which wrap the reference) in the selection.
      2. Press DEL.
    • To add plain text:
      1. In the Pattern box, click where you want to insert the text.
      2. Enter the text
  5. In the Position box, select where to display the label.
  6. To change the default label text height and color:
    1. In the Height list in the Text section, select the text height.
    2. In the Color list, select the color for the text.
  7. Click OK until all dialog boxes close.


Configure mechanical structure (Quick Reference)

Configure mechanical structure
Configure mechanical structure
Configure mechanical structure
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

OPTIONS command (AM:Structure tab)

The AMOPTIONS command manages settings and standards for parts, assemblies, drawings, standard parts, and general desktop preferences from the Options dialog box. The AutoCAD Mechanical AMOPTIONS command is merged with the AutoCAD OPTIONS command.

The AM:Structure tab sets mechanical structure-related preferences.

Ribbon: None tab [image] None panel [image] Options.... Does not exist on the ribbon.
Toolbar: None
Menu: Default Menu [image] Tools [image] Options Does not exist in the menus.
Command entry: options

DIALOG BOX DEFINITIONS

General

Always enable structure for new drawings

Automatically enables mechanical structure in a drawing at the time the drawing file is created.

NoteThis setting has no effect on new drawings based on a customized template that contains mechanical structure entities.

Selection Mode

Sets the default object selection mode for mechanical structure. Functions the same as the AMSSMODE command.

In the top-down selection mode, the first click on an object selects the highest level component the object belongs to. If a component view is activated, the first click selects the highest level component with respect to the activated component view.

Clicking the object again, selects the next level component. By default, the name of the selected entity is shown in a tooltip window as you click. The lowest level that can be selected is the elemental geometry.

In bottom-up selection mode, the first click on an object always selects elemental geometry. Clicking the object again selects the next highest level component.

Browser right-click menu for creation

Maps the options in the submenu below the New right-click menu option in the mechanical browser to the AMSNEW command or AMSCREATE command.

Browser right-click menu for insertion

Maps the options in the submenu below the Insert right-click menu option in the mechanical browser to the AMSNEW command or AMSINSERT command.

Hide options

Displays a dialog box that where you can set the defaults for the AMSHIDE command.

Structure object type

Provides options to customize AutoCAD Mechanical ’s behavior when mechanical structure component views are created in response to a COPY, ARRAY, MIRROR or PASTECLIP command.

Component instances

Creates the component views as new component instances.

Views of the original components

Creates the component views as additional views of the component they were originally copied from.

Do not prompt

Prevents a dialog box from being displayed at the time the component views are created. This dialog box prompts you to select between the above two options at draw time.

Default Names

Sets default names for the various mechanical structure entities that are created using the AMSNEW and AMSCREATE commands.

Component

Sets the default component name prefix. Can be left blank.

Folder

Sets the default folder name prefix. Can be left blank.

View

Contains a list of component view names to be used as default values at the time components or component views are created. The first component view to be created defaults to the first name in the list and the next component view, to the next in the list, and so on.

Add

Displays a dialog box that where you can add a new component view name to the list. The new name is inserted above the component view name that is selected in the list.

Remove

Deletes the selected component view name.

Move Up

Moves the selected component view name one level up.

Move Down

Moves the selected component view name one level down.

Annotation View

Sets the default annotation view identifier. Can be left blank.


Configure mechanical structure (Quick Reference)

Configure mechanical structure
Configure mechanical structure
Define standard, system, and personal preferences
Configuration and setup guide >
Configure mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Annotation View Settings dialog box

Use this dialog box to set up the default labels for Annotation views.

Label

Pattern

Defines what the label of the subview should display. You can select a references to the formula from a predefined list of applicable reference by clicking [image] .

Position

Defines the position (relative to the subview) the label is displayed.

Text

Style

Defines the text style to use for labels. This option is available only if the current standard is a custom standard.

Height

Defines the text height of annotation view label. If the current standard is a custom standard, you can set any text height. If not, the system restricts you to values allowed by the drafting standard. You must select a text height from the list. If you modify the master settings for text, and apply it to all elements of the standard, the changes you make here are overwritten (by one size larger than the master text setting).

NoteWhen a text height is selected, the text color automatically changes to the default text object color for that text height. Text object colors are set from the Layer/Objects Settings dialog box (OPTIONS/AMOPTIONS command > AM:Standards tab > Layer/Objects).

Color

Sets the color for annotation view labels.

Restore Defaults

Resets all settings to the default for the current drafting standard.


Distribute configuration files

Configure mechanical structure
Configuration and setup guide
Where are my configuration settings stored?
Configuration and setup guide >
Distribute configuration files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Where are my configuration settings stored?
  • Which files should I distribute?


Distribute configuration files (Procedure)

Customize background color
Distribute configuration files
Which files should I distribute?
Configuration and setup guide >
Distribute configuration files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Export Windows Registry-based Settings to a .CFG File

To Import Settings from a CFG File

To Specify the Path to the Folder Containing Drawing Templates


Where are my configuration settings stored? (Concept)

Distribute configuration files
Distribute configuration files
Which files should I distribute?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Most of the configuration settings are in a template (.dwt) file, while some settings are in the Windows registry. In the Options dialog box and other dialog boxes that control the configuration, the [image] icon indicates settings stored in templates.

Support files supplement the settings in template files, such as drawing files that contain custom parts lists, title borders, and so on. Starting with AutoCAD Mechanical 2009, the default location of some of these files have changed to facilitate the following:

  • Limited user rights on a workstation. You can run AutoCAD Mechanical as a limited user. This means that you no longer need power user or Administrator permissions to run AutoCAD Mechanical.
  • Roaming profiles. Roaming profiles enable you to log on to any computer within a network and retain your user settings. Some files, such as your personal settings and documents, follow you from computer to computer, while other files, such as templates, reside only on your system. Refer to AutoCAD documentation for more information on roaming profiles.

See the Quick Reference tab for details of file locations.


Where are my configuration settings stored? (Quick Reference)

Define standard, system, and personal preferences
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of form files

Location of library files

Location of Mask files

Location of script generator files

Location of Val files

Location of GDB files

Location of MLD files

Location of material library files

Location of OPT files

Location of thread XML files

Location of drawing template files

Location of tutorial files

Location of title border files

Location of revision block files

Location of parts list files

Location of DSK files

Location of CCF files

Location of xls template files

Location of folder nesting all support files


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of form files

Form files are the files used by the AMCOMP2D, AMEXT2D, AMOR2D, and AMBELL2D commands to insert forms for springs in a drawing.

The path to the folder containing form files is in the system editor key Acad/M [image] Paths [image] FormPath, (Configuration setting gen@Paths@FormPath).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Form

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Form


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of library files

The AMLIBRARY command uses library files to store blocks and drawing files for reuse.

The path to the folder containing library files is in the system editor key Acad/M [image] Paths [image] LibPath (Configuration setting gen@Paths@LibPath).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Lib

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Lib


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of Mask files

The Mask Editor uses Mask files to format parts lists for printing.

The path to the folder containing Mask (.msk) files is in the system editor key Acad/M [image] Paths [image] MaskFiles (Configuration setting gen@Paths@MaskFiles).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Msk

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Msk


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of script generator files

Script generator files refer to the lisp files used with the AMSCRIPT command.

The path to the folder containing script generator files is in the system editor key Acad/M [image] Paths [image] ScrPath (Configuration file setting gen@Paths@ScrPath).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Scr

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Scr


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of Val files

Val files refer to a special set of database files that contain parameters for standard parts.

The path to the folder containing Val files is in the system editor key Acad/M [image] Paths [image] ValPath (Configuration file setting gen@Paths@ValPath).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Val

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Val


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of GDB files

GDB files refer to the files used to implement the standard parts library.

The path to the folder containing GDB files is in the system editor key PowerPack [image] Paths [image] GdbPath (Configuration file setting gef@Paths@GdbPath).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gef\Gdb

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gef\Gdb


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of MLD files

MLD files refer to the multi-language dictionary files used by the AMLANGCONV command.

The path to the folder containing MLD files is in the system editor keys PowerPack [image] Paths [image] MldPath and Acad/M [image] Paths [image] MldPath(Configuration file settings gef@Paths@MldPath and gen@Paths@MldPath).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gef\Gdb

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gef\Gdb


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of material library files

The AMEDITMAT command uses material library files to store information on predefined physical materials.

The path to the folder containing material library files is:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gef\Gdb

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gef\Gdb


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of OPT files

The IGES translator uses OPT files.

The path to the folder containing OPT files is:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Support

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Support


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of thread XML files

The AMTHREAD command uses thread XML files to refer to thread data.

The path to the folder containing thread XML files is:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of drawing template files

Template files are in a unique location for each user.

To locate drawing template files:

  1. At the Command prompt, enter AMOPTIONS.
  2. Click the Files tab.
  3. In the Search paths list, expand the Template settings node.
  4. Expand the Drawing Template file location.

    The path to the folder containing drawing template files is listed below this node. If the path is truncated, move the pointer over the path to display the path in a tooltip.


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of tutorial files

Tutorial files are sample data sets referenced by the tutorials in the User’s Guide and Online Tutorials.

The path to the folder containing tutorial files is:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Tutorial

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Tutorial


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of title border files

The AMTITLE command uses Title border files to insert drawing borders and title blocks into a drawing.

Title blocks are in a folder named Title and paper formats are in a folder name Format. The path to the folder containing these folders is in the system editor key Acad/M [image] Paths [image] DwgTitle (Configuration file settings gef@Paths@DwgTitle).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Dwg

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Dwg


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of revision block files

The AMREVLINE command uses title border files to insert revision blocks into a drawing.

Revision blocks are in a folder named Revisionlist. The path to the folder containing the Revisionlist folder is in the system editor key Acad/M [image] Paths [image] DwgTitle (Configuration file settings gef@Paths@DwgTitle).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Dwg\RevisionList

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Dwg\RevisionList


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of parts list files

Parts list files contain custom blocks used to implement custom parts lists.

The path to the folder containing parts list files is in the system editor key Acad/M [image] Paths [image] DwgMask (Configuration file settings gef@Paths@DwgMask).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Dwg\Msk

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Dwg\Msk


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of DSK files

The mask editor and the AMPARTLIST command use DSK files to implement special formatting options for custom parts lists.

The path to the folder containing parts list files is in the system editor key Acad/M [image] Paths [image] DskPath (Configuration file settings gef@Paths@DskPath).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Dwg\Dsk

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Dwg\Dsk


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of CCF files

The AMCONVDWG command uses CCF files to convert a drawing from one format to another.

The path to the folder containing parts list files is in the system editor key Acad/M [image] Paths [image] Conv (Configuration file settings gef@Paths@Conv).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Conv

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Conv


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Where are my configuration settings stored?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of xls template files

AutoCAD Mechanical uses xls files as templates to generate some reports. The table shows the name of the report and the corresponding xls template file.

Template File Name | Report used for | Comments
AMSETUPDWGReportTemplate.xls | Report Generated from AMSETUPDWG Wizard, Preview changes step. | The xls file has no user editable parameters.
bom_list.xls | BOM List |
bom+summary_list.xls | BOM+Summary List |
detail_list.xls | Detail List |
PartListTemplate.xls | Template for GOST Parts Lists | The xls file has no user editable parameters.
summary_list.xls | Summary List Report |

The path to the folder containing parts list files is in the system editor key Acad/M [image] Paths [image] XlsPath (Configuration file settings gef@Paths@Xls).

By default, the key points to:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\Gen\Xls

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\Gen\Xls


Where are my configuration settings stored? (Quick Reference)

Where are my configuration settings stored?
Where are my configuration settings stored?
Which files should I distribute?
Configuration and setup guide > Distribute configuration files >
Where are my configuration settings stored?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Location of folder nesting all support files

All support files used by AutoCAD Mechanical during draw time are in various folders, nested under the folder in the following list:

  • Windows Vista: C:\Users\Public\Public Documents\Autodesk\ACADM 2010\Acadm\

  • Windows XP: C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM 2010\Acadm\


Which files should I distribute? (Concept)

Where are my configuration settings stored?
Distribute configuration files
Import Drafting Standard Settings
Configuration and setup guide > Distribute configuration files >
Which files should I distribute?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Configuration settings are saved in

  1. the Windows registry
  2. drawing templates
  3. support files

To distribute configuration settings to other computers, port all configuration settings.

Copying Windows settings

You can export configuration settings stored in the Windows registry to a .cfg file using the Export feature in the AM:Preferences tab of the Options dialog box. You can import the .cfg file on another computer, copying the settings to the Windows registry of that computer.

Copying template files

A user-specific area on your hard disk stores template files. You can copy templates from your computer to the user-specified areas of another user’s computer. Alternatively, you can store the templates in a common location shared by all users and configure AutoCAD Mechanical to use template files from that location.

Copying support files

Support files are files that a template refers to at draw time. Drawings containing the blocks for a custom parts list and drawing border files are examples of support files. Support files are distributed among several folders with all these folders nested under a single main folder. If you are distributing support files, we recommend distributing the content of the main folder. Unlike with templates, it is not possible to use support files from a common location shared by all users.


Which files should I distribute? (Procedure)

Distribute configuration files
Up a level to ..
Which files should I distribute?
Configuration and setup guide > Distribute configuration files >
Which files should I distribute?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Export Windows Registry-based Settings to a .CFG File

To Import Settings from a CFG File

To Specify the Path to the Folder Containing Drawing Templates


To Export Windows Registry-based Settings to a .CFG File (Procedure)

Which files should I distribute?
Up a level to ..
Which files should I distribute?
Configuration and setup guide > Distribute configuration files >
Which files should I distribute?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Export Windows Registry-based Settings to a .CFG File

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Preferences tab.
  3. In the Administration Tools section, click Export.
  4. In the message that appears, click OK.
  5. Browse to the location to save the settings to.
  6. Name the file and click Save. The program saves the settings to a CFG file.


To Import Settings from a CFG File (Procedure)

Which files should I distribute?
Up a level to ..
Which files should I distribute?
Configuration and setup guide > Distribute configuration files >
Which files should I distribute?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Import Settings from a CFG File

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Preferences tab.
  3. In the Administration Tools section, click Import.
  4. Select the CFG file and click Open.
  5. In the message that appears, click Close. The settings are imported and written to the Windows registry.


To Specify the Path to the Folder Containing Drawing Templates (Procedure)

Which files should I distribute?
Up a level to ..
Import Drafting Standard Settings
Configuration and setup guide > Distribute configuration files >
Which files should I distribute?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To Specify the Path to the Folder Containing Drawing Templates

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the Files tab.
  3. In the Search paths, file names and file locations list, expand the Template settings node.
  4. Expand the Drawing Template file location.
  5. Double-click [image] .
  6. In the Browse for Folder dialog box, select the folder containing templates.
  7. Click OK until all dialog boxes close.


Which files should I distribute? (Quick Reference)

Where are my configuration settings stored?
Which files should I distribute?
Overview
Configuration and setup guide > Distribute configuration files >
Which files should I distribute?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

OPTIONS command (AM:Preferences tab)

The AMOPTIONS command manages settings and standards for parts, assemblies, drawings, standard parts, and general desktop preferences from the Options dialog box. The AutoCAD Mechanical AMOPTIONS command is merged with the AutoCAD OPTIONS command.

Ribbon: Output tab [image] Output - Export to DWF/PDF panel [image] Options.... Does not exist on the ribbon.
Toolbar: None
Menu: Default Menu [image] Tools [image] Options Does not exist in the menus.
Command entry: options

DIALOG BOX DEFINITIONS

Snap Settings Sets object snaps to User Settings, System Settings, or Suppress Object Snaps.
 | User Settings Enables snap modes selected in the Power Snap Settings dialog box and disables the snap modes assigned to AutoCAD commands.
 | System Settings Enables the snap modes assigned to AutoCAD commands in addition to snap modes selected in the Power Snap Settings dialog box. When these commands are used, the assigned snap modes are automatically activated.
 | Suppress Object Snaps Disables all object snaps.
Snap Defaults button Displays the Power Snap dialog box for setting snap modes, polar snap, or filters for object snaps. The setting you make in this dialog box is saved in the registry.
Administration Tools Sets preferences when no predefined administrator configuration exists.
 | Automatic Update of Local Settings Reads the administrator configuration file, and automatically updates the windows registry every time AutoCAD Mechanical starts. This option is not available unless the AdminCfgPath registry entry has been set.
 | System button Displays the System Editor dialog box to enable you to view and edit settings saved in the Windows registry.
 | Import button Displays the Open dialog box. Setting affects all tabs in the Options dialog box. You can browse to a location to import any of these file types: drawing files (.dwg), template drawings (.dwt), and configuration files (.cfg).
 | Export button Exports system settings (settings saved in the windows registry) to a CFG file. Does not export settings marked with a drawing icon.
File Safety Precautions Controls the auditing and saving of drawing files.
Enable UCS per View Controls whether each viewport has a unique UCS.
Object Selection Tooltip Shows a tooltip when you use power commands and move the cursor over an object.
Dynamic Object Selection Highlights applicable objects as you move the cursor to select objects, when you use mechanical commands (commands that begins with AM).
Turn off Layers for Hidden Objects Turns off layers assigned to the “behind” object (typically AM_9, AM_9N and AM_INV) at the time they are created. This setting has no impact on layers that are already created.
Preserve Translation Information Instructs system to store translation information with objects, at the time they are created. For example, when this option is enabled, title blocks created with the AMTITLE command contain information about the multi language dictionary (.mld) files that contain title block specific translation strings. If the option is not selected, during language conversion, title block text is treated as user-defined text and are translated using the dictionaries set up for user-defined text.
Make Predefined Hatches Associative Turns associativity on or off. Associative hatches update automatically when changes are made to predefined hatches.
Synchronize Browser with Modes Switches browser tabs when modes are changed.
Dialog Controls Opens the Dialog Controls dialog box, where you control settings for recent values and spinner controls.
Show Messages Opens the Show Messages dialog box. You use this dialog box to control whether Message dialog boxes appear when you edit external files or open files with bills of materials and balloons from earlier releases.
Desktop Symbol Size Adjust slider to specify symbol size.


Import Drafting Standard Settings

Which files should I distribute?
Configuration and setup guide
Overview
Configuration and setup guide >
Import Drafting Standard Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview
  • Import Drafting Standards
  • Import Some Settings Only
  • Save and Reuse AMSETUPDWG Settings


Import Drafting Standard Settings (Procedure)

Which files should I distribute?
Import Drafting Standard Settings
Import Drafting Standards
Configuration and setup guide >
Import Drafting Standard Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To import all standards from a drawing.

To import one or more standards selectively

To import the symbol libraries from another drawing

To import preset edit lists for surface texture symbols

To create a configuration file for importing from a given file

To import a standard using a configuration file.


Overview (Concept)

Import Drafting Standard Settings
Import Drafting Standard Settings
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

There are several scenarios where you may want to import the drafting standard settings of one drawing into another. For example:

  • You receive a drawing from a client. You want to convert that drawing to your company standard before working on it.
  • Your company revises the company standards template after you have started work on the current drawing. You now want to update the current drawing to the latest company standard.
  • You make some useful changes to the settings of the drafting standard on the drawing you are working on. You want to propagate the changes across the company by updating the company standards template. Examples of such changes are:
    • You update the symbol libraries for some symbols.
    • You add a complex formula to a component property in the BOM.
  • You need to use some surface texture symbol preset lists (or note templates or symbol libraries) in the current drawing which reside in another drawing or template.

Use the AMSETUPDWG command to import the drafting standard from a template (a.dwt file) into the current drawing. AMSETUPDWG provides the ability to:

  • Import all standards from a drawing template.
  • Import only selected standards (rather than all standards in a drawing template)
  • Import any of the following without importing anything else:
    • Symbol libraries
    • Note templates
    • Surface texture edit lists
  • Review the changes to the current drawing before they are committed and save the report to Microsoft Excel
  • Save an import configuration for later use.

In most cases, objects controlled by the drafting standard react to a change in settings in the middle of a drawing session. Hole charts and title blocks are known exceptions to this rule. Sometimes other objects do not react to changes in settings, under special circumstances; typically due to the net effects of a combination of changes usually involving a change in the current drafting standard and the Object/Layer settings.

NoteBefore you import settings from a DWG file, you must save it as a DWT file. This is because AMSETUPDWG does not support import from DWG files.


Overview (Quick Reference)

Which files should I distribute?
Overview
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMSETUPDWG

Imports the drafting standards and the dependent settings from a template file

Ribbon: None tab [image] None panel [image] Setup Drawing. Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Setup Drawing Does not exist in the menus.
Command entry: amsetupdwg

You can use this command in the middle of a drawing session to replace the existing drawing template by another template. You can import entire standards, selectively or importing subsets of settings.

You can also use this command to clean up a drawing created using Genius 14. Typically, this option repairs or removes object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

COMMAND LINE OPTIONS

Select a source [drawing Template/confiGuration/Clean/Wizard] <Wizard>: Select an option.

Drawing Template

Replaces the standard settings in the current drawing with the settings of a drawing file you select.

Enter template file path [Browse] <<Last used template file>>: Specify the path to the file you want to import settings from or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the file to import settings from.

Configuration

Imports settings using an import configuration file. The import configuration file specifies what drawing to import from and the import options to use.

Enter configuration file path [Browse] <<Last used configuration file>>: Specify the path to the configuration file or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the configuration file.

Clean

Cleans up a drawing created using Genius 14. For example, this option repairs or remove object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

Wizard

Displays a wizard to walk you through the process of specifying import options.

NoteRunning the AMSETUPDWG command in the middle of a drawing session, and choosing another drawing template, might not fully convert the current drawing so that it appears as if it was created with the new template from the beginning.


Import Drafting Standards (Concept)

Overview
Import Drafting Standard Settings
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The AMSETUPDWG command provides several methods to import drafting standard settings from another drawing. You can use the command line to import all the drafting standards from a template or use a wizard to selectively import one or more drafting standards.

Some behaviors required by the drafting standard are implemented using AutoCAD system variables. When AMSETUPDWG imports a drafting standard, it imports the dependant system variables as well.

In a drawing, system variables derive their values from the current drafting standard. Because of this dependency, AutoCAD Mechanical makes it mandatory that you select the current drafting standard for import, regardless of what other standard you import. After the import process, the current drafting standard of the source drawing becomes the current drafting standard of the current drawing.

Importing Custom Standards

A custom standard is a user-defined standard that is derived from one of the drafting standards included with AutoCAD Mechanical. When importing a custom standard, you may already have a custom standard by the same name in the current drawing, which may be derived from a different base standard. Running AMSETUPDWG in such a case can change existing geometry significantly.

For example, your current drawing is based on a custom standard that is derived from the ANSI standard. The drawing you are importing from is based on a custom standard of the same name, but is derived from the ISO standard. If you proceed with AMSETUPDWG on the current drawing, the text heights change so significantly that annotations may overlap geometry.

Because of the significance of the changes that can occur, AMSETUPDWG displays a warning when it discovers a base standard mismatch. However, AMSETUPDWG does not prevent you from importing a custom standard when a base standard conflict exists. The wizard continues only when you confirm it is OK to proceed.


Import Drafting Standards (Procedure)

Import Drafting Standard Settings
Up a level to ..
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import all standards from a drawing.

To import one or more standards selectively


Import Drafting Standards (Quick Reference)

Overview
Import Drafting Standards
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG

Setup Drawing Wizard - How would you like to set up drawing? step

Setup Drawing Wizard - What settings would you like to import? step

Setup Drawing Wizard - Which standards would you like to import? step

Setup Drawing Wizard - Which symbol libraries would you like to import? step

Setup Drawing Wizard - Review changes to be made to the current drawing step

Setup Drawing Wizard - The wizard is ready to import step


To import all standards from a drawing. (Procedure)

Import Drafting Standards
Up a level to ..
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import all standards from a drawing.

  1. Click [image] [image] Drawing Utilities [image] Setup Drawing.
  2. In the Drawing Setup dialog box, click Overwrite Settings.
  3. At the command prompt enter T and press ENTER for the Drawing Template option.
  4. At the command prompt enter B and press ENTER.
  5. In the Select Template Drawing dialog box, select the file to import the standard from and click Open.
    NoteTo import from a .dwg file, you must first save it as a .dwt file and then import from the dwt file.

    AMSETUPDWG replaces the standards in the current drawing with the standards of the file you are importing from.


To import one or more standards selectively (Procedure)

Import Drafting Standards
Up a level to ..
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import one or more standards selectively

  1. Click [image] [image] Drawing Utilities [image] Setup Drawing.
  2. In the Drawing Setup dialog box, click Overwrite Settings.
  3. At the command prompt enter W for the Wizard option.
  4. Select the Import Settings from drawing template option.
  5. Click Browse
  6. Select the file to import the standard from and click Open.
    NoteTo import from a .dwg file, you must first save it as a .dwt file and then import from the dwt file.
  7. Click Next.
  8. Select the import options.
    1. Select the Full import option and click Next.
    2. Select the standards you want to import and click Next.
      NoteDue to the dependency between the current standard and system variables, AutoCAD Mechanical does not let you clear the check box next to the current standard.
    3. Select the Symbol Libraries you want to import.
    4. Select the Replace option and click Next.
      NoteThe Replace option replaces the symbol library in the current drawing with the librarys in the drawing you are importing from. The Overwrite option replaces only the symbols that have the same names as the ones being imported. We do not recomend the use of the Append option in AMSETUPDWG.
  9. Review the changes and click Next to commit the changes.
  10. Click Import.
  11. Click Exit Wizard.


Import Drafting Standards (Quick Reference)

Import Drafting Standards
Import Drafting Standards
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG

Imports the drafting standards and the dependent settings from a template file

Ribbon: None tab [image] None panel [image] Setup Drawing. Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Setup Drawing Does not exist in the menus.
Command entry: amsetupdwg

You can use this command in the middle of a drawing session to replace the existing drawing template by another template. You can import entire standards, selectively or importing subsets of settings.

You can also use this command to clean up a drawing created using Genius 14. Typically, this option repairs or removes object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

COMMAND LINE OPTIONS

Select a source [drawing Template/confiGuration/Clean/Wizard] <Wizard>: Select an option.

Drawing Template

Replaces the standard settings in the current drawing with the settings of a drawing file you select.

Enter template file path [Browse] <<Last used template file>>: Specify the path to the file you want to import settings from or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the file to import settings from.

Configuration

Imports settings using an import configuration file. The import configuration file specifies what drawing to import from and the import options to use.

Enter configuration file path [Browse] <<Last used configuration file>>: Specify the path to the configuration file or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the configuration file.

Clean

Cleans up a drawing created using Genius 14. For example, this option repairs or remove object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

Wizard

Displays a wizard to walk you through the process of specifying import options.

NoteRunning the AMSETUPDWG command in the middle of a drawing session, and choosing another drawing template, might not fully convert the current drawing so that it appears as if it was created with the new template from the beginning.


Import Drafting Standards (Quick Reference)

Import Drafting Standards
Import Drafting Standards
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - How would you like to set up drawing? step

Import settings from a drawing template Imports settings from the Standard Settings dialog box, settings of each element of the standard, system variables required to implement standard settings, text styles, and dimension styles.
 | Browse Displays a dialog box, enabling you to navigate to the file from which you want to import settings.
Load an import configuration file Loads settings for the wizard from a configuration file. You can create configuration files by saving the wizard settings to a file.
 | Browse Displays a dialog box, enabling you to navigate to the configuration file.
Clean up the drawing Checks drawing for obsolete Genius 14 objects and removes them from the drawing. For example, this option repairs or remove object relationships, cleans up Vario blocks, and freezes Genius Vario layers.
Skip Configuration Jumps to the Review changes to the drawing step. If you selected Import settings from a drawing, the wizard uses the default options for the steps you skip. If you selected Load an import configuration file, the wizard uses the settings saved in the configuration file for the steps you skip. If any of the settings in the pages you are skipping are invalid, the wizard displays an error message and does not jump to the Review changes to the drawing step.


Import Drafting Standards (Quick Reference)

Import Drafting Standards
Import Drafting Standards
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - What settings would you like to import? step

Full import Imports all settings from the Standard Settings dialog box and all settings of the elements of the drafting standard. It also imports the system variables and styles (text styles and dimension styles) required to implement the drafting standard in a drawing.
Custom import Patches the standard in the current drawing with the settings you select for import.
 | Surface texture symbol preset value lists Imports the preset lists used as drop-down lists in the surface texture symbols. In a later step, you can select the standards for which you are importing presets.
 | Note symbol templates Imports the note templates from the drawing template.
 | Symbol libraries Imports the symbol libraries without importing any other settings. In a later step, you can select the symbols for which you are importing the libraries.


Import Drafting Standards (Quick Reference)

Import Drafting Standards
Import Drafting Standards
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Which standards would you like to import? step

List of standards

Displays a list of standards that are loaded in the drawing from which you are importing. Select the standards you want to import.

NoteThe system variables and styles in a drawing are set to values dictated by the current drafting standard. If you do not import the current drafting standard, a mismatch between the system variables and standard occur. Hence, AMSETUPDWG makes it mandatory for you to import the current standard. Accordingly, the check box corresponding to the current standard is always selected and unavailable.

Select All

Selects all standards for import.

Clear All

Clears all standards except the current drafting standard, which is mandatory to import.

Restore Defaults

Restores the default selection. If you selected the Import settings from a drawing template option in the How would you like to set up drawing? step, clicking this button selects all standards. If you selected the Load an import configuration file option, clicking this button selects the standards specified in the configuration file.


Import Drafting Standards (Quick Reference)

Import Drafting Standards
Import Drafting Standards
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Which symbol libraries would you like to import? step

List of symbol libraries Displays a list of symbol libraries that you can import. Select the check boxes corresponding to the symbol libraries you want to import.
Clear All Clears all check boxes in the list of symbol libraries.
Select All Selects all check boxes in the list of symbol libraries.
Restore Defaults Restores the default selection. If you selected the Import settings from a drawing template option in the How would you like to set up drawing? step, clicking this button selects all symbol libraries. If you selected the Load an import configuration file option, clicking this button selects the symbol libraries specified in the configuration file.
Options
 | Append Appends the imported symbols to the symbol library in the current drawing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG renames the imported symbols.
 | Overwrite Appends the imported symbols to the symbol library in the current drawing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG overwrites the symbols in the current drawing with the imported ones.
 | Replace Replaces the symbol library in the current drawing with the library you are importing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG overwrites the symbols in the current drawing with the imported ones.


Import Drafting Standards (Quick Reference)

Import Drafting Standards
Import Drafting Standards
Import Drafting Standards
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Review changes to be made to the current drawing step

List of settings

Displays a list of settings, system variables, and styles that will be affected by AMSETUPDWG. The following states are possible:

  • Update - The setting exists in the current drawing, but will be changed.
  • New - The setting does not exist in the current drawing.

Save Report

Saves the list of settings as an xls file.


Import Drafting Standards (Quick Reference)

Import Drafting Standards
Import Drafting Standards
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Drafting Standards
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - The wizard is ready to import step

Import options summary

Displays a list of options you specified for the wizard, system variables, and styles that will be affected by AMSETUPDWG.

Save Configuration

Saves all import options to a configuration file. When you are running the wizard again, you can load the configuration file at the How would you like to set up drawing? step, so that you do not have to specify the import options manually.


Import Some Settings Only (Concept)

Import Drafting Standards
Import Drafting Standard Settings
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG supports a custom import mode, which enables you to import one or more of the following, without importing anything else.

  • Symbol libraries
  • Note templates
  • Surface texture preset edit lists

In this mode, AMSETUPDWG can only update the settings of a standard if it is loaded in the current drawing. In the current drawing, the standard you are importing from must be in the loaded state. For example, if you are importing the ISO symbol library, the ISO standard must be loaded in the current drawing. For this reason, if you are importing using the Setup Drawing Wizard, only those standards that are loaded in both the current drawing and the template are displayed.

AMSETUPDWG performs additional checks on custom standards to verify whether the base standards match. AMSETUPDWG does not allow you to patch a custom standard if it detects a base standard mismatch.

If you are importing symbol libraries, AMSETUPDWG prompts you to specify the symbols you are importing the library for. You also specify if you want to overwrite, replace, or append to the library, if it exists. If you choose Replace, AMSETUPDWG removes the symbol library for the selected standard (and symbol) and replaces it with the imported symbol library. If you choose to overwrite, and AMSETUPDWG detects duplicate names, it replaces the existing symbol with the one you are importing. If you choose to append, and AMSETUPDWG detects duplicate names, it automatically renames the symbol you are importing. As a result, you run the risk of having duplicate symbol library items with different names, which you have to clean up manually. We recommend that you use the Replace or Overwrite options when importing symbol libraries with AMSETUPDWG.

Some symbols support more than one revision for a given standard. Each revision has its own symbol library. When you select such a symbol type for symbol library import, AMSETUPDWG imports symbol libraries for all revisions of that standard.


Import Some Settings Only (Procedure)

Import Drafting Standards
Up a level to ..
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import the symbol libraries from another drawing

To import preset edit lists for surface texture symbols


Import Some Settings Only (Quick Reference)

Import Drafting Standards
Import Some Settings Only
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG

Setup Drawing Wizard - How would you like to set up drawing? step

Setup Drawing Wizard - What settings would you like to import? step

Setup Drawing Wizard - Which standards would you like to import? step

Setup Drawing Wizard - Which symbol libraries would you like to import? step

Setup Drawing Wizard - Review changes to be made to the current drawing step

Setup Drawing Wizard - The wizard is ready to import step


To import the symbol libraries from another drawing (Procedure)

Import Some Settings Only
Up a level to ..
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import the symbol libraries from another drawing

  1. Click [image] [image] Drawing Utilities [image] Setup Drawing.
  2. In the Drawing Setup dialog box, click Overwrite Settings.
  3. At the command prompt enter W for the Wizard option.
  4. Select the Import Settings from drawing template option.
  5. Click Browse
  6. Select the file to import the symbol library from and click Open.
    NoteTo import from a .dwg file, you must first save it as a .dwt file and then import from the dwt file.
  7. Click Next.
  8. Select the import options.
    1. Select the Custom import option.
    2. Select the Symbol libraries check box and click Next
    3. Select the standards you want to import the symbol librarys for and click Next.
      NoteDue to the dependency between the current standard and system variables, AutoCAD Mechanical does not let you clear the check box next to the current standard.
    4. Select the Symbol Libraries you want to import.
    5. Select the Replace option and click Next.
      NoteThe Replace option replaces the symbol library in the current drawing with the librarys in the drawing you are importing from. The Overwrite option replaces only the symbols that have the same names as the ones being imported. We do not recomend the use of the Append option in AMSETUPDWG.
  9. Review the changes and click Next to commit the changes.
  10. Click Import.
  11. Click Exit Wizard.


To import preset edit lists for surface texture symbols (Procedure)

Import Some Settings Only
Up a level to ..
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import preset edit lists for surface texture symbols

  1. Click [image] [image] Drawing Utilities [image] Setup Drawing.
  2. In the Drawing Setup dialog box, click Overwrite Settings.
  3. At the command prompt enter W for the Wizard option.
  4. Select the Import Settings from drawing template option.
  5. Click Browse
  6. Select the file to import the preset edit lists from and click Open.
    NoteTo import from a .dwg file, you must first save it as a .dwt file and then import from the dwt file.
  7. Click Next.
  8. Select the import options.
    1. Select the Custom import option.
    2. Select the Surface texture symbol preset lists check box and click Next
    3. Select the standards you want to import the lists for and click Next.
      NoteDue to the dependency between the current standard and system variables, AutoCAD Mechanical does not let you clear the check box next to the current standard.
  9. Review the changes and click Next to commit the changes.
  10. Click Import.
  11. Click Exit Wizard.


Import Some Settings Only (Quick Reference)

Import Some Settings Only
Import Some Settings Only
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG

Imports the drafting standards and the dependent settings from a template file

Ribbon: None tab [image] None panel [image] Setup Drawing. Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Setup Drawing Does not exist in the menus.
Command entry: amsetupdwg

You can use this command in the middle of a drawing session to replace the existing drawing template by another template. You can import entire standards, selectively or importing subsets of settings.

You can also use this command to clean up a drawing created using Genius 14. Typically, this option repairs or removes object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

COMMAND LINE OPTIONS

Select a source [drawing Template/confiGuration/Clean/Wizard] <Wizard>: Select an option.

Drawing Template

Replaces the standard settings in the current drawing with the settings of a drawing file you select.

Enter template file path [Browse] <<Last used template file>>: Specify the path to the file you want to import settings from or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the file to import settings from.

Configuration

Imports settings using an import configuration file. The import configuration file specifies what drawing to import from and the import options to use.

Enter configuration file path [Browse] <<Last used configuration file>>: Specify the path to the configuration file or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the configuration file.

Clean

Cleans up a drawing created using Genius 14. For example, this option repairs or remove object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

Wizard

Displays a wizard to walk you through the process of specifying import options.

NoteRunning the AMSETUPDWG command in the middle of a drawing session, and choosing another drawing template, might not fully convert the current drawing so that it appears as if it was created with the new template from the beginning.


Import Some Settings Only (Quick Reference)

Import Some Settings Only
Import Some Settings Only
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - How would you like to set up drawing? step

Import settings from a drawing template Imports settings from the Standard Settings dialog box, settings of each element of the standard, system variables required to implement standard settings, text styles, and dimension styles.
 | Browse Displays a dialog box, enabling you to navigate to the file from which you want to import settings.
Load an import configuration file Loads settings for the wizard from a configuration file. You can create configuration files by saving the wizard settings to a file.
 | Browse Displays a dialog box, enabling you to navigate to the configuration file.
Clean up the drawing Checks drawing for obsolete Genius 14 objects and removes them from the drawing. For example, this option repairs or remove object relationships, cleans up Vario blocks, and freezes Genius Vario layers.
Skip Configuration Jumps to the Review changes to the drawing step. If you selected Import settings from a drawing, the wizard uses the default options for the steps you skip. If you selected Load an import configuration file, the wizard uses the settings saved in the configuration file for the steps you skip. If any of the settings in the pages you are skipping are invalid, the wizard displays an error message and does not jump to the Review changes to the drawing step.


Import Some Settings Only (Quick Reference)

Import Some Settings Only
Import Some Settings Only
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - What settings would you like to import? step

Full import Imports all settings from the Standard Settings dialog box and all settings of the elements of the drafting standard. It also imports the system variables and styles (text styles and dimension styles) required to implement the drafting standard in a drawing.
Custom import Patches the standard in the current drawing with the settings you select for import.
 | Surface texture symbol preset value lists Imports the preset lists used as drop-down lists in the surface texture symbols. In a later step, you can select the standards for which you are importing presets.
 | Note symbol templates Imports the note templates from the drawing template.
 | Symbol libraries Imports the symbol libraries without importing any other settings. In a later step, you can select the symbols for which you are importing the libraries.


Import Some Settings Only (Quick Reference)

Import Some Settings Only
Import Some Settings Only
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Which standards would you like to import? step

List of standards

Displays a list of standards that are loaded in the drawing from which you are importing. Select the standards you want to import.

NoteThe system variables and styles in a drawing are set to values dictated by the current drafting standard. If you do not import the current drafting standard, a mismatch between the system variables and standard occur. Hence, AMSETUPDWG makes it mandatory for you to import the current standard. Accordingly, the check box corresponding to the current standard is always selected and unavailable.

Select All

Selects all standards for import.

Clear All

Clears all standards except the current drafting standard, which is mandatory to import.

Restore Defaults

Restores the default selection. If you selected the Import settings from a drawing template option in the How would you like to set up drawing? step, clicking this button selects all standards. If you selected the Load an import configuration file option, clicking this button selects the standards specified in the configuration file.


Import Some Settings Only (Quick Reference)

Import Some Settings Only
Import Some Settings Only
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Which symbol libraries would you like to import? step

List of symbol libraries Displays a list of symbol libraries that you can import. Select the check boxes corresponding to the symbol libraries you want to import.
Clear All Clears all check boxes in the list of symbol libraries.
Select All Selects all check boxes in the list of symbol libraries.
Restore Defaults Restores the default selection. If you selected the Import settings from a drawing template option in the How would you like to set up drawing? step, clicking this button selects all symbol libraries. If you selected the Load an import configuration file option, clicking this button selects the symbol libraries specified in the configuration file.
Options
 | Append Appends the imported symbols to the symbol library in the current drawing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG renames the imported symbols.
 | Overwrite Appends the imported symbols to the symbol library in the current drawing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG overwrites the symbols in the current drawing with the imported ones.
 | Replace Replaces the symbol library in the current drawing with the library you are importing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG overwrites the symbols in the current drawing with the imported ones.


Import Some Settings Only (Quick Reference)

Import Some Settings Only
Import Some Settings Only
Import Some Settings Only
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Review changes to be made to the current drawing step

List of settings

Displays a list of settings, system variables, and styles that will be affected by AMSETUPDWG. The following states are possible:

  • Update - The setting exists in the current drawing, but will be changed.
  • New - The setting does not exist in the current drawing.

Save Report

Saves the list of settings as an xls file.


Import Some Settings Only (Quick Reference)

Import Some Settings Only
Import Some Settings Only
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Import Some Settings Only
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - The wizard is ready to import step

Import options summary

Displays a list of options you specified for the wizard, system variables, and styles that will be affected by AMSETUPDWG.

Save Configuration

Saves all import options to a configuration file. When you are running the wizard again, you can load the configuration file at the How would you like to set up drawing? step, so that you do not have to specify the import options manually.


Save and Reuse AMSETUPDWG Settings (Concept)

Import Some Settings Only
Import Drafting Standard Settings
Annotating Inventor 3D Models
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can save the AMSETUPDWG wizard options to an import configuration file. Thereafter when you run AMSETUPDWG, you need not specify the options manually, but load the configuration file instead.

Once you load the configuration file, you can use the Skip Configuration button to skip all wizard pages that require input. When you click the button, AMSETUPDWG validates the file. If AMSETUPDWG finds that the options saved in the file are not valid, AMSETUPDWG displays an error message. You can then go through the wizard and correct the invalid options.

AMSETUPDWG enables you to specify configuration files directly from the command line. If AMSETUPDWG finds that the options saved in the file are not valid, AMSETUPDWG displays an error message and returns you to the command prompt. You can then start the wizard and correct the invalid options.


Save and Reuse AMSETUPDWG Settings (Procedure)

Import Some Settings Only
Up a level to ..
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a configuration file for importing from a given file

To import a standard using a configuration file.


Save and Reuse AMSETUPDWG Settings (Quick Reference)

Import Some Settings Only
Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG

Setup Drawing Wizard - How would you like to set up drawing? step

Setup Drawing Wizard - What settings would you like to import? step

Setup Drawing Wizard - Which standards would you like to import? step

Setup Drawing Wizard - Which symbol libraries would you like to import? step

Setup Drawing Wizard - Review changes to be made to the current drawing step

Setup Drawing Wizard - The wizard is ready to import step


To create a configuration file for importing from a given file (Procedure)

Save and Reuse AMSETUPDWG Settings
Up a level to ..
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a configuration file for importing from a given file

  1. Click [image] [image] Drawing Utilities [image] Setup Drawing.
  2. In the Drawing Setup dialog box, click Overwrite Settings.
  3. At the command prompt enter W for the Wizard option.
  4. Select the Import Settings from drawing template option.
  5. Click Browse, select the file to import from, and click Open.
    NoteTo import from a .dwg file, you must first save it as a .dwt file and then import from the dwt file.
  6. Click Next.
  7. Select the import options and click Next at each step until you arrive at the The Wizard is ready to import page.
  8. Click Save Configuration.
  9. Specify a file name and click Save.
  10. Click Cancel.
  11. Click Exit Wizard.
  12. Click Yes.


To import a standard using a configuration file. (Procedure)

Save and Reuse AMSETUPDWG Settings
Up a level to ..
Create a Drawing that is Linked to an Inventor Part or Assembly
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To import a standard using a configuration file.

  1. Click [image] [image] Drawing Utilities [image] Setup Drawing.
  2. In the Drawing Setup dialog box, click Overwrite Settings.
  3. At the command prompt enter W for the Wizard option.
  4. Select the Load an import configuration option.
  5. Click Browse
  6. Click Browse, select the configuration file and click Open.
  7. Click Next at each step. Verify that the wizard does not show any error messages. Continue until you see the The Wizard is ready to import page.
  8. Click Import.
  9. Click Exit Wizard.


Save and Reuse AMSETUPDWG Settings (Quick Reference)

Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSETUPDWG

Imports the drafting standards and the dependent settings from a template file

Ribbon: None tab [image] None panel [image] Setup Drawing. Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Setup Drawing Does not exist in the menus.
Command entry: amsetupdwg

You can use this command in the middle of a drawing session to replace the existing drawing template by another template. You can import entire standards, selectively or importing subsets of settings.

You can also use this command to clean up a drawing created using Genius 14. Typically, this option repairs or removes object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

COMMAND LINE OPTIONS

Select a source [drawing Template/confiGuration/Clean/Wizard] <Wizard>: Select an option.

Drawing Template

Replaces the standard settings in the current drawing with the settings of a drawing file you select.

Enter template file path [Browse] <<Last used template file>>: Specify the path to the file you want to import settings from or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the file to import settings from.

Configuration

Imports settings using an import configuration file. The import configuration file specifies what drawing to import from and the import options to use.

Enter configuration file path [Browse] <<Last used configuration file>>: Specify the path to the configuration file or enter B to display a file open dialog box.

Browse

Displays a file open dialog box to assist you select the configuration file.

Clean

Cleans up a drawing created using Genius 14. For example, this option repairs or remove object relationships, cleans up Vario blocks, and freezes Genius Vario layers.

Wizard

Displays a wizard to walk you through the process of specifying import options.

NoteRunning the AMSETUPDWG command in the middle of a drawing session, and choosing another drawing template, might not fully convert the current drawing so that it appears as if it was created with the new template from the beginning.


Save and Reuse AMSETUPDWG Settings (Quick Reference)

Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - How would you like to set up drawing? step

Import settings from a drawing template Imports settings from the Standard Settings dialog box, settings of each element of the standard, system variables required to implement standard settings, text styles, and dimension styles.
 | Browse Displays a dialog box, enabling you to navigate to the file from which you want to import settings.
Load an import configuration file Loads settings for the wizard from a configuration file. You can create configuration files by saving the wizard settings to a file.
 | Browse Displays a dialog box, enabling you to navigate to the configuration file.
Clean up the drawing Checks drawing for obsolete Genius 14 objects and removes them from the drawing. For example, this option repairs or remove object relationships, cleans up Vario blocks, and freezes Genius Vario layers.
Skip Configuration Jumps to the Review changes to the drawing step. If you selected Import settings from a drawing, the wizard uses the default options for the steps you skip. If you selected Load an import configuration file, the wizard uses the settings saved in the configuration file for the steps you skip. If any of the settings in the pages you are skipping are invalid, the wizard displays an error message and does not jump to the Review changes to the drawing step.


Save and Reuse AMSETUPDWG Settings (Quick Reference)

Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - What settings would you like to import? step

Full import Imports all settings from the Standard Settings dialog box and all settings of the elements of the drafting standard. It also imports the system variables and styles (text styles and dimension styles) required to implement the drafting standard in a drawing.
Custom import Patches the standard in the current drawing with the settings you select for import.
 | Surface texture symbol preset value lists Imports the preset lists used as drop-down lists in the surface texture symbols. In a later step, you can select the standards for which you are importing presets.
 | Note symbol templates Imports the note templates from the drawing template.
 | Symbol libraries Imports the symbol libraries without importing any other settings. In a later step, you can select the symbols for which you are importing the libraries.


Save and Reuse AMSETUPDWG Settings (Quick Reference)

Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Which standards would you like to import? step

List of standards

Displays a list of standards that are loaded in the drawing from which you are importing. Select the standards you want to import.

NoteThe system variables and styles in a drawing are set to values dictated by the current drafting standard. If you do not import the current drafting standard, a mismatch between the system variables and standard occur. Hence, AMSETUPDWG makes it mandatory for you to import the current standard. Accordingly, the check box corresponding to the current standard is always selected and unavailable.

Select All

Selects all standards for import.

Clear All

Clears all standards except the current drafting standard, which is mandatory to import.

Restore Defaults

Restores the default selection. If you selected the Import settings from a drawing template option in the How would you like to set up drawing? step, clicking this button selects all standards. If you selected the Load an import configuration file option, clicking this button selects the standards specified in the configuration file.


Save and Reuse AMSETUPDWG Settings (Quick Reference)

Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Which symbol libraries would you like to import? step

List of symbol libraries Displays a list of symbol libraries that you can import. Select the check boxes corresponding to the symbol libraries you want to import.
Clear All Clears all check boxes in the list of symbol libraries.
Select All Selects all check boxes in the list of symbol libraries.
Restore Defaults Restores the default selection. If you selected the Import settings from a drawing template option in the How would you like to set up drawing? step, clicking this button selects all symbol libraries. If you selected the Load an import configuration file option, clicking this button selects the symbol libraries specified in the configuration file.
Options
 | Append Appends the imported symbols to the symbol library in the current drawing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG renames the imported symbols.
 | Overwrite Appends the imported symbols to the symbol library in the current drawing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG overwrites the symbols in the current drawing with the imported ones.
 | Replace Replaces the symbol library in the current drawing with the library you are importing. If the imported symbol libraries have symbols with the same name as those in the current drawing, AMSETUPDWG overwrites the symbols in the current drawing with the imported ones.


Save and Reuse AMSETUPDWG Settings (Quick Reference)

Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - Review changes to be made to the current drawing step

List of settings

Displays a list of settings, system variables, and styles that will be affected by AMSETUPDWG. The following states are possible:

  • Update - The setting exists in the current drawing, but will be changed.
  • New - The setting does not exist in the current drawing.

Save Report

Saves the list of settings as an xls file.


Save and Reuse AMSETUPDWG Settings (Quick Reference)

Save and Reuse AMSETUPDWG Settings
Save and Reuse AMSETUPDWG Settings
Create a Drawing that is Linked to an Inventor Part or Assembly
Configuration and setup guide > Import Drafting Standard Settings >
Save and Reuse AMSETUPDWG Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Setup Drawing Wizard - The wizard is ready to import step

Import options summary

Displays a list of options you specified for the wizard, system variables, and styles that will be affected by AMSETUPDWG.

Save Configuration

Saves all import options to a configuration file. When you are running the wizard again, you can load the configuration file at the How would you like to set up drawing? step, so that you do not have to specify the import options manually.


Annotating Inventor 3D Models

Save and Reuse AMSETUPDWG Settings
Create a Drawing that is Linked to an Inventor Part or Assembly
Annotating Inventor 3D Models
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Create a Drawing that is Linked to an Inventor Part or Assembly
  • Generate Drawing Views
  • Add iProperties as BOM Columns
  • When the Inventor Model is Modified at the Source
  • Override Visibility of a Part or Subassembly


Create a Drawing that is Linked to an Inventor Part or Assembly (Concept)

Annotating Inventor 3D Models
Annotating Inventor 3D Models
Generate Drawing Views
Annotating Inventor 3D Models >
Create a Drawing that is Linked to an Inventor Part or Assembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The Inventor Link feature enables you to link Autodesk Inventor assembly (.iam) and part (.ipt) documents to .dwg files. Once linked, the 3D model is displayed in model space. Then you can generate drawing views in paper space and annotate them.

NoteYou must download and install Microsoft Visual Basic for Applications (VBA) before you use Inventor link. You can download the VBA installation files from http://autodesk.com/vba-download.

The link between the .dwg file and the part file or assembly file is fully associative. Whenever you modify the part file or assembly file (in Autodesk Inventor), AutoCAD Mechanical highlights the changed file. You can update the .dwg file by right-clicking the highlighted file in the browser and choosing the Update menu option.

You cannot modify the part file or assembly file from AutoCAD Mechanical.

The link also extracts the following details from the part/assembly file:

  • Parametric dimensions
  • iProperties (inclusive of custom iProperties)
  • Thread and Hole annotation information

Parametric Dimensions

The Autodesk Inventor Link automatically reads the following parametric dimensions and makes them available for display on drawing views.

Sketch dimensions:

  • Two-point distance
  • Two-line angle
  • Three-point angle
  • Diameter
  • Radius
  • Ellipse radius
  • Offset
  • Tangent Distance

Feature dimensions: (dimensions created based on the existing features of the model)

  • Extrusion
  • Revolution

If the part or assembly file does not contain nominal dimensions, the program does not import parametric dimensions. A message appears when you link to the part or assembly file.

Since the program obtains parametric dimensions from the part/assembly file, you cannot modify them. You can, however, change (override) tolerance values. If you change the file in Autodesk Inventor and then update the linked drawing, the program discards all overrides.

The drafting standard used in the drawing (.dwg) file controls the precision of tolerances.

AutoCAD Mechanical does not have an equivalent for MIN and MAX tolerance types and treats them as dimensions with no tolerance.

iProperties

iProperties read from the part/assembly file are available to be added as columns of the Bill of Materials (BOM). You can use them for parts lists.

The BOM database in AutoCAD Mechanical does not count parts that have their Reference property set in Autodesk Inventor. Parts excluded from the BOM in Autodesk Inventor are excluded from the BOM database and parts lists in AutoCAD Mechanical as well.

If you override the BOM properties from AutoCAD Mechanical, the program discards the overrides when you update the drawing file.

Thread and Hole Annotations

You can annotate thread and hole details extracted from the part/assembly with the AMNOTE command. AMNOTE recognizes a thread as:

  • an external thread, if the picked face belongs to an extrusion add.
  • a whole thread, if the picked face belongs to an extrusion cut.


Create a Drawing that is Linked to an Inventor Part or Assembly (Procedure)

Save and Reuse AMSETUPDWG Settings
Create a Drawing that is Linked to an Inventor Part or Assembly
Create a Drawing that is Linked to an Inventor Part or Assembly
Annotating Inventor 3D Models >
Create a Drawing that is Linked to an Inventor Part or Assembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a drawing from an Autodesk Inventor part or assembly

To update an Autodesk Inventor linked model


Create a Drawing that is Linked to an Inventor Part or Assembly (Quick Reference)

Save and Reuse AMSETUPDWG Settings
Create a Drawing that is Linked to an Inventor Part or Assembly
Create a Drawing that is Linked to an Inventor Part or Assembly
Annotating Inventor 3D Models >
Create a Drawing that is Linked to an Inventor Part or Assembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMIVLINK

AMIVUPDATE

Reference data for troubleshooting drawings linked to Autodesk Inventor models

AMIVPROJECT


To create a drawing from an Autodesk Inventor part or assembly (Procedure)

Create a Drawing that is Linked to an Inventor Part or Assembly
Create a Drawing that is Linked to an Inventor Part or Assembly
Create a Drawing that is Linked to an Inventor Part or Assembly
Annotating Inventor 3D Models >
Create a Drawing that is Linked to an Inventor Part or Assembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a drawing from an Autodesk Inventor part or assembly

  1. Click None [image] None [image] At the Command prompt, enter AMIVCOMPONLY.
  2. Click None [image] None [image] [image] At the Command prompt, enter NEW.
  3. In the Select template dialog box, select a template.
  4. In the Link Autodesk Inventor File dialog box, double-click the part (.ipt) or assembly (.asm) file you are linking to. A new drawing file containing a 3D model is created.
NoteBy default, the front view plane of the 3D model is XZ(AutoCAD style). You can set your front view plane to the XY (Autodesk Inventor style) by choosing Assist > Options > AM:Drawing tab.


To update an Autodesk Inventor linked model (Procedure)

Create a Drawing that is Linked to an Inventor Part or Assembly
Create a Drawing that is Linked to an Inventor Part or Assembly
Generate Drawing Views
Annotating Inventor 3D Models >
Create a Drawing that is Linked to an Inventor Part or Assembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To update an Autodesk Inventor linked model

  1. In the Model tab of the browser, right click the name of the file. A menu is displayed.
  2. Select Update. The 3D model and all views in paper space are updated.
Note
  1. All tolerance overrides on parametric dimension are lost during the update operation. Reference dimensions are not affected.
  2. BOM table overrides are also lost when you during the update operation.


Create a Drawing that is Linked to an Inventor Part or Assembly (Quick Reference)

Create a Drawing that is Linked to an Inventor Part or Assembly
Create a Drawing that is Linked to an Inventor Part or Assembly
Create a Drawing that is Linked to an Inventor Part or Assembly
Annotating Inventor 3D Models >
Create a Drawing that is Linked to an Inventor Part or Assembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMIVLINK

Use AMIVLINK to create a link between a drawing file and an Autodesk Inventor assembly (.iam) or part (.ipt) document.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amivlink

You can use this command only on an Autodesk Inventor linked drawing file that has had the link to the Inventor document deleted.

Note: The program allows only one link per document.

NoteYou must download and install Microsoft Visual Basic for Applications (VBA) before you use Inventor link. You can download the VBA installation files from http://autodesk.com/vba-download.


Create a Drawing that is Linked to an Inventor Part or Assembly (Quick Reference)

Create a Drawing that is Linked to an Inventor Part or Assembly
Create a Drawing that is Linked to an Inventor Part or Assembly
Create a Drawing that is Linked to an Inventor Part or Assembly
Annotating Inventor 3D Models >
Create a Drawing that is Linked to an Inventor Part or Assembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMIVUPDATE

Use AMIVUPDATE to reread the Autodesk Inventor part or assembly files and refresh the 3D model in model space and all views in paper space.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amivupdate

When a drawing file that is linked to an Autodesk Inventor part or assembly is out of synchronization, the browser highlights the affected part, assembly view nodes, in yellow. Additionally, a bubble window in the status bar may appear, notifying you that a newer version is available.

Note: When the drawing file is out of synchronization, you cannot update views and the program does not make new annotations associative.


Create a Drawing that is Linked to an Inventor Part or Assembly (Quick Reference)

Create a Drawing that is Linked to an Inventor Part or Assembly
Create a Drawing that is Linked to an Inventor Part or Assembly
Create a Drawing that is Linked to an Inventor Part or Assembly
Annotating Inventor 3D Models >
Create a Drawing that is Linked to an Inventor Part or Assembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Reference data for troubleshooting drawings linked to Autodesk Inventor models

Browser Highlight Color Coding

When AutoCAD Mechanical/Mechanical Desktop detects a condition that requires your attention, it highlights the file name, part nodes, and views on the browser. The color of the highlight indicates the status of the linked Autodesk Inventor document.

Color of highlight | Status
Red | The Autodesk Inventor document is missing or does not contain the assembly or part that was linked originally. A bubble window in the status bar may appear, indicating that the program cannot find the document.
Yellow | The Autodesk Inventor document has changed. A bubble window in the status bar may appear, indicating that the document is out of date.

Messages

Message

Why are you seeing this message?

What you can do

IVL001

Feature data from derived components is not available in AutoCAD Mechanical/Mechanical Desktop. As a result, AMNOTE cannot pick up feature data automatically.

Check with the designer of the Autodesk Inventor Document for feature data.

IVL002

You have selected a template that has options specific to AutoCAD Mechanical mechanical structure or MDT components turned on.

Use a template that does not have these incompatible options turned on.

IVL003

Only one session of Autodesk Inventor can run at a given time. The version that is currently running is not compatible with the version of AutoCAD Mechanical/Mechanical Desktop you are running.

Close Autodesk Inventor.

If the message persists, use task manager to check for sessions that have not terminated completely and end them.

IVL004

The file you are trying to connect to may not be a valid Autodesk Inventor document.

Use Autodesk Inventor to verify the status of the file.

IVL005

AutoCAD Mechanical/Mechanical Desktop has no equivalent for MAX tolerances. The program treats dimensions set to MAX tolerance as dimensions with no tolerance.

Contact the designer of the Autodesk Inventor document for tolerance values. If appropriate, you may override tolerance values from AutoCAD Mechanical/Mechanical Desktop.

IVL006

AutoCAD Mechanical/Mechanical Desktop has no equivalent for MIN tolerances. The program treats dimensions set to MIN tolerance as dimensions with no tolerance.

Contact the designer of the Autodesk Inventor document for tolerance values. If appropriate, you may override tolerance values from AutoCAD Mechanical/Mechanical Desktop.

IVL007

Some parts do not contain nominal dimensions and the program may not draw them to scale.

Contact the designer of the Autodesk Inventor document to identify the parts containing non-nominal dimensions. If appropriate, request for a file with nominal dimensions.

IVL008

You must close all Autodesk Inventor documents when you change the active project file.

If Autodesk Inventor is currently running, close the application. If an Autodesk Inventor linked drawing is open, close it as well.

If the message persists, use Task Manager to check for sessions that have not terminated completely and end them.

IVL009

Autodesk Inventor link support files may not exist or may have been overwritten by a subsequent installation.

Install a compatible version of Autodesk Inventor or install Autodesk Inventor link support files.

IVL010

The Autodesk Inventor link does not support assembly features. The document you attempted to link to contained assembly features, so the program could not open it.

IVL011

The Autodesk Inventor link is unable to find the part files for the assembly in the last known location. AutoCAD Mechanical/Mechanical Desktop can locate part files using the project (.ipj) file corresponding to the assembly file.

Use the AMIVPROJECT command to set the correct .ipj file or copy all the inventor files to the folder containing the linked drawing.

IVL012

The unit type used for the standard/template you chose to create the linked drawing is different than the unit type used to create the Autodesk Inventor document.

Create a new linked drawing using a standard with the correct unit type.

IVL013

One of the file you are linking to contains virtual components. The Autodesk Inventor link does not support virtual components.

Click OK. The program creates an Autodesk Inventor linked drawing, but the drawing contains no virtual components.


Create a Drawing that is Linked to an Inventor Part or Assembly (Quick Reference)

Create a Drawing that is Linked to an Inventor Part or Assembly
Create a Drawing that is Linked to an Inventor Part or Assembly
Create Base, Orthographic, and Isometric Views
Annotating Inventor 3D Models >
Create a Drawing that is Linked to an Inventor Part or Assembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMIVPROJECT

Use AMIVPROJECT to set the current Autodesk Inventor Project (.ipj) file that AutoCAD Mechanical/Mechanical Desktop uses when opening Autodesk Inventor assembly (.iam) files.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amivproject

Autodesk Inventor Project (.ipj) files contain information about where the program saves the part (.ipt) files of an assembly. If AutoCAD Mechanical/Mechanical Desktop is unable to determine where to find an assembly's part files, use the AMIVPROJECT command to point to the appropriate .ipj file.

You must close all Autodesk Inventor documents before running the AMIVPROJECT command. When you issue the AMIVPROJECT command, a File Open dialog box appears to help you locate the .ipj file.


Generate Drawing Views

Create a Drawing that is Linked to an Inventor Part or Assembly
Annotating Inventor 3D Models
Create Base, Orthographic, and Isometric Views
Annotating Inventor 3D Models >
Generate Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Create Base, Orthographic, and Isometric Views
  • Create Section Views
  • Create Detail Views
  • Edit drawing views
  • Copy and Move Drawing Views
  • Add Dimensions to Drawing Views
  • Add User-defined Symbols

  • Redefine Drawing View Viewport Borders
  • Control the Creation of Automatic Centerlines in Drawing Views
  • Export Drawing Views to AutoCAD


Generate Drawing Views (Procedure)

Create a Drawing that is Linked to an Inventor Part or Assembly
Generate Drawing Views
Create Base, Orthographic, and Isometric Views
Annotating Inventor 3D Models >
Generate Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a base view:

To create an orthographic view

To create multiple drawing views

To create a full section view

To create an aligned section view

To create a breakout section view

To specify a new cutline for a breakout section view:

To modify the cutline used to generate a breakout section view:

To specify a new cutline for a breakout section view:

To modify the cutline used to generate a breakout section view:

To create an offset section view

To create a radial section view

To create a detail view with a circle as its border

To create a detail view with a rectangle as its border

To create a detail view with an ellipse as its border

To create detail view with a polygon as its border

To create a detail view with a a closed clipping curve as its border

To rename drawing views listed in the Browser

To hide obscured hatch patterns in drawing views

To change the color of part edges in a view

To change the layer of part edges in a view

To change the linetype and scale of part edges in a view

To hide selected edges in a view

To display edges when interfering solid bodies make edges disappear

To copy a view

To copy an entire layout

To move a drawing view to a new layout

To delete a drawing view

To delete a drawing view

To enable parametric dimensions to be transferred at drawing view creation

To transfer parametric dimensions after creating drawing views

To temporarily hide parametric dimensions

To temporarily hide reference dimensions

To redisplay hidden dimensions

To create a user-defined annotation on a drawing view

To detach user-defined annotations

To remove user-defined annotations

To manage orphaned annotations

To make viewport boundaries visible

To grip edit a viewport border

To redefine viewport boundaries for detail views

To redefine viewport boundaries for broken views

To control drawing viewport layers

To set the default to create centerlines automatically

To control the display of centerlines for individual views

To define centerline properties for individual views

To hide or unhide centerline visibility using the Desktop Visibility dialog box

To export drawing views of an Autodesk Inventor linked model to AutoCAD


Create Base, Orthographic, and Isometric Views (Concept)

Generate Drawing Views
Generate Drawing Views
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Base, Orthographic, and Isometric Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You create drawing views to plot your design and guide the manufacturing of a mechanical part. You can create traditional 2D orthographic, isometric, auxiliary, section, and detail views of parts and assemblies, as well as exploded views. The program creates these views complete with dimensions derived from the models. Because the program derives the views from the models, it updates them automatically whenever you update the model.

You can create a variety of drawing view types for a part or an assembly, but you must create a base view first.

Every layout must have a base view so that dependent views can refer to it. In defining the base view, specify the orientation of the view and then position it on the layout.

After you create the views, you can hide or unhide parametric dimensions and add annotations, reference dimensions, mechanical symbols, balloons, BOMs, and parts lists title blocks.


Create Base, Orthographic, and Isometric Views (Procedure)

Generate Drawing Views
Up a level to ..
Create Base, Orthographic, and Isometric Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Base, Orthographic, and Isometric Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a base view:

To create an orthographic view

To create multiple drawing views


To create a base view: (Procedure)

Create Base, Orthographic, and Isometric Views
Up a level to ..
Create Base, Orthographic, and Isometric Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Base, Orthographic, and Isometric Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a base view:

  1. In the Browser, choose the Drawing tab.
  2. Double-click a Layout to make it the active layout.
  3. Right-click the Layout icon, and then choose New View.
  4. In the Create Drawing View dialog box,
    • View Type: Base
    • Data Set: Select
    • Orientation: Front

      (Note: if you wish to generate parametric dimensions for this base view, click options and verify that the Active Part Views option in the Parametric Dimensions Display section is selected)

    • Choose OK.
  5. In the upper-left part of the drawing area, click a location for the base view, and then press ENTER.


To create an orthographic view (Procedure)

Create Base, Orthographic, and Isometric Views
Up a level to ..
Create Base, Orthographic, and Isometric Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Base, Orthographic, and Isometric Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an orthographic view

  1. In the Browser, right-click the Base view icon, and then choose New View.
  2. In the Create Drawing View dialog box, select the view type Ortho, and choose OK.
  3. Select a location for the orthographic view directly below the base view, and then press ENTER. The completed drawing views is displayed.


To create multiple drawing views (Procedure)

Create Base, Orthographic, and Isometric Views
Up a level to ..
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Base, Orthographic, and Isometric Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create multiple drawing views

  1. In the Browser, choose the Drawing tab.
  2. Double-click a Layout to make it the active layout.
  3. Right-click the Layout icon, and then choose New View.
  4. In the Create Drawing View dialog box,
    • View Type: Multiple
    • Data Set: Select
    • Choose OK.
  5. Select the location of the projected view.
  6. Continue placing as many views as desired.
  7. Press ENTER to exit the command.


Create Base, Orthographic, and Isometric Views (Quick Reference)

Create a Drawing that is Linked to an Inventor Part or Assembly
Create Base, Orthographic, and Isometric Views
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Base, Orthographic, and Isometric Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDWGVIEW

Creates a new drawing view for an Inventor linked

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Layout
Menu: Drawing Default [image] New View Does not exist in the menus.
Command entry: amdwgview

You can create a variety of drawing view types for a 3D model, but you must first create a base view.

DIALOG BOX DEFINITIONS

Create Drawing View Dialog Box

View Type Specifies the type of view to create.
 | Base Creates the first drawing view of a part according to the orientation you select.
 | Multiple Creates multiple projected views of a parent view without returning to the dialog box. Places ortho and iso views as desired.
 | Ortho Generates an orthographic projection view based upon an existing view. Requires a parent view, a project direction, and the view placement location.
 | Auxiliary Creates an auxiliary view based on an existing view of a part. Requires a parent view, two points to specify a projection direction, and the placement location.
 | Iso Creates a view of the parent view using a front/left, front/right, back/left, or back/right display.
 | Detail Creates an enlarged view of a portion of the parent view. You can create a nonrectangular viewport to define the view portion of the parent view.
 | Broken Creates a broken view based on an existing view of an elongated part.
Data Set Specifies the data set to use for the new view.
 | Active Part Uses the active part for the view.
 | Scene Uses a selected scene for the view.
 | Select Uses selected objects for the view. NoteOnly object selection is supported on drawing files linked to Autodesk Inventor documents.
 | Group Uses a specified group of objects. This option is only available if you have defined a group of objects in the drawing.
Layout Places the view on the selected layout.
Orientation Selects the orientation for the drawing view.
Properties Controls view properties.
 | Scale Sets the scale for the view.
 | Relative to Parent Specifies whether the view is scaled relative to its parent view.
 | Detail Symbol Controls the character labels for details and section views.
 | Label Pattern Names a view according to a pattern controlled by symbol standards. The pattern uses the detail label <Detail_Label> and the detail scale <Detail_Scale> as variables in the pattern that serves as the view's name.
 | Independent View Display This option is only available when the View Type is set to Detail. Makes the display properties of the detail view independent of the parent view.
Options Opens the Options dialog box where you can set options for your drawing views. See the OPTIONS command for more information.
Hidden Lines Tab Controls the settings for hidden lines in drawing views.
 | Calculate Hidden Lines Turns on the Calculate Hidden Line option. If off, hidden lines are not calculated or displayed in the view.
 | Display Hidden Lines Displays hidden lines in the view.
 | Display Tangencies Displays tangent silhouettes in the view.
 | Remove Coincident Edges Removes duplicate edges in the view.
 | Display Interference Edges Calculates and displays the resulting edge when mating parts interfere in an assembly.
 | Display As Controls the display of hidden edges when the Calculate Hidden Lines option is disabled.
Section Tab Controls the settings for section views.
 | Type Controls the type of section view.
 | Label Specifies the label for the section view.
 | Symbol Specifies the symbol to use for section views.
 | Hatch Specifies whether a section view is hatched.
 | Pattern Sets the hatch pattern and parameters for a section view. Opens the AutoCAD Hatch Patterns dialog box.
 | Hide Obscured Hatch Hides hatch patterns normally out of view or obscured.
Standard Part Tab Controls the representation of a part in the drawing view.
 | 2D Representation Sets 2D representation for standard 3D parts in the drawing view. This does not change the part in any way.

None

Does not create a section view.

Full

Creates a full section view for base, auxiliary, broken, and orthographic views.

Half

Creates a half section view through a work plane or work point.

Offset

Creates an offset section view from base, orthographic, broken, or auxiliary views.

Aligned

Creates an aligned section view from base, orthographic, or auxiliary views.

Breakout

Creates a breakout section view from base, orthographic, or auxiliary views.

Radial

Creates a radial section view from base, orthographic, or auxiliary views.

True

Represents a projected view of the part with all its details, as it is generated in Mechanical Desktop.

Standard

Represents a sectional view of the part with its details displayed.

Simplified

Represents a simplified sectional view of the part without the details.

Hatch Pattern Dialog Box

Pattern Type

Specifies the type of hatch to use for section views. Cycle through the available patterns, by clicking the image tile, or select a type from the drop-down list. Valid types include Predefined, User-defined, and custom.

Hatch Style

Specifies the way hatch is applied. Cycle through the available styles, by clicking the image tile, or select a style from the drop-down list.

Pattern Properties

Specifies the properties of the selected hatch pattern.

ISO Pen Width

Specifies the ISO pen width to apply to the hatch pattern.

Pattern

Specifies the hatch pattern to use.

Custom Pattern

Specifies the custom hatch pattern to use.

Scale

Specifies the hatch pattern scale factor.

Angle

Specifies the angle to apply to the hatch pattern.

Spacing

Specifies the spacing to apply to user-defined hatch patterns.

Double

Specifies whether to double user-defined hatch patterns.

Exploded

Specifies whether to explode the hatch pattern.


Create Section Views (Concept)

Create Base, Orthographic, and Isometric Views
Generate Drawing Views
Create Detail Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Once you create the base view, you can generate the following types of section views:

  • Full section views

    A full section view cuts through a part along a work plane. To specify the section plane for the full section view, at least a base view must exist.

  • Aligned section views

    An aligned section view cuts through a part along two non parallel work planes. To specify the two section planes for the aligned section view, at least a base view must exist.

  • Breakout section views

    A breakout section view is used in drawings to remove material partially to reveal details behind it. You need at least a base view and another orthogonal view, one to specify the cut line and the other to indicate the depth.

    Once you generate the breakout section view, the cut line hides. If you want to specify a new cut line or modify the existing cut line, use the AMEDITPSCUTLINE command to make it visible.

  • Offset section views

    By offsetting or bending the cutting plane, an offset section view shows the features of an object that do not lie in a straight line. To specify the offset cut line, at least a base view must exist.

  • Radial section views

    A radial section view rotates an auxiliary section view about a point in the parent view to make it appear like an orthographic section view. To specify the pivot point and cutting plane, at least a base view must exist.


Create Section Views (Procedure)

Create Base, Orthographic, and Isometric Views
Up a level to ..
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a full section view

To create an aligned section view

To create a breakout section view

To specify a new cutline for a breakout section view:

To modify the cutline used to generate a breakout section view:

To specify a new cutline for a breakout section view:

To modify the cutline used to generate a breakout section view:

To create an offset section view

To create a radial section view


Create Section Views (Quick Reference)

Create Base, Orthographic, and Isometric Views
Create Section Views
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDWGVIEW

AMSTYLEI

AMHLCALC System Variable

AMLINETHICK

AMPROJTYPE System Variable

AMVANISH System Variable

AMMODE

AMEDITPSCUTLINE


To create a full section view (Procedure)

Create Section Views
Up a level to ..
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a full section view

A full section view cuts through a part along a work plane.

Before you begin, at least the base view of the part must have been created.

  1. Choose the Drawing tab [image] New View.
  2. In the Create Drawing View dialog box,
    • View Type: Ortho
    • Choose the Section tab.
    • Type: Full
    • Label: Accept the default.
    • Label Pattern: Accept the default.
    • Choose OK.
  3. Select the parent view.
  4. Specify the location for the orthogonal view, and then press ENTER.
  5. At the prompt to Enter section through type [Point] <Point>, press ENTER again.
  6. Select a point on the parent view to indicate the depth of the plane that cuts through the part. The full cross section view is displayed.


To create an aligned section view (Procedure)

Create Section Views
Up a level to ..
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an aligned section view

Before you begin, at least the base view of the part must have been created.

  1. Click None [image] None [image] [image] At the Command prompt, enter PLINE.
  2. Draw a cut line in the parent view. The first line segment of the cut line must start outside the part or assembly and end inside the part or assembly. The second line segment must start inside the part or assembly and end outside. Only two line segments are allowed when creating a cut line for an aligned section view.
  3. Choose the Drawing tab [image] New View.
  4. In the Create Drawing View dialog box,
    • View Type: Ortho
    • Choose the Section tab.
    • Type: Aligned
    • Choose OK.
  5. Select the parent view.
  6. Specify a location for the orthogonal view, and then press ENTER.
  7. Select the cut line. The aligned section view is displayed.


To create a breakout section view (Procedure)

Create Section Views
Up a level to ..
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a breakout section view

Before you begin, at least two orthogonal views of the part must have been created. One view is used to indicate the cut line while the other is used to indicate the depth.

  1. Click None [image] None [image] [image] At the Command prompt, enter PLINE.
  2. Draw a closed polyline on one of the views to indicate the cut line.
  3. Choose the Drawing tab [image] New View.
  4. In the Create Drawing View dialog box,
    • View Type: Base
    • Choose the Section tab.
    • Type: Breakout
    • Choose OK.
  5. When prompted to select the parent view, select the view containing the cut line.
  6. When prompted to specify the location of the base view, click to indicate the location of the breakout section view, and press ENTER.
  7. Select the cut line.
  8. Select the other orthogonal view for depth indication.
  9. Select a point on the orthogonal view to indicate depth. The breakout section view is displayed.


To specify a new cutline for a breakout section view: (Procedure)

Create Section Views
Up a level to ..
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To specify a new cutline for a breakout section view:

NoteTo modify the cutline, the view containing the cutline must not be deleted.
  1. In the view containing the original cutline, create a closed polyline to be used as the new cutline.
  2. In the Browser, right-click the icon representing the breakout section view and select Reselect Cutline.
  3. At the Command prompt, enter S.


To modify the cutline used to generate a breakout section view: (Procedure)

Create Section Views
Up a level to ..
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To modify the cutline used to generate a breakout section view:

NoteTo modify the cutline, the view containing the cutline must not be deleted.
  1. In the Browser, right-click the icon representing the breakout section view and select Re-select Cutline.
  2. At the Command prompt, enter D.
  3. Modify the cutline.
  4. In the Browser, right-click the icon representing the breakout section view and select Reselect Cutline.
  5. At the Command prompt, enter S.


To create an offset section view (Procedure)

Create Section Views
Up a level to ..
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create an offset section view

Before you begin, at least the base view of the part must have been created.

  1. Click None [image] None [image] [image] At the Command prompt, enter PLINE.
  2. Draw a cut line on the part in the parent view. The first line segment of the cut line must start outside the part and end inside. Intermediate line segments must start and end inside the part. The last line segment must start inside the part and end outside. Offset cut-line segments can change direction in 90-degree increments only.
  3. Choose the Drawing tab [image] New View.
  4. In the Create Drawing View dialog box,
    • View Type: Ortho
    • Choose the Section tab.
    • Type: Offset
    • Choose OK.
  5. Select the parent view.
  6. Specify a location for the orthogonal view, and then press ENTER.
  7. Select the cut line. The offset section view is displayed.


To create a radial section view (Procedure)

Create Section Views
Up a level to ..
Create Detail Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a radial section view

Before you begin, at least the base view of the part must have been created.

  1. Click None [image] None [image] [image] At the Command prompt, enter LINE.
  2. Draw a cut line through the part in the parent view.
  3. Choose the Drawing tab [image] New View.
  4. In the Create Drawing View dialog box,
    • View Type: Ortho
    • Choose the Section tab.
    • Type: Radial.
    • Label: Accept the default.
    • Label Pattern: Accept the default.
    • Choose OK.
  5. Select the parent view.
  6. Specify the location for the orthographic view, and then press ENTER.
  7. Select the work plane. This is the line that cuts through the part.
  8. Select the pivot point by clicking the outside edge of the circle. The radial section view is displayed next to the base view.


Create Section Views (Quick Reference)

Create Section Views
Create Section Views
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDWGVIEW

Creates a new drawing view for an Inventor linked

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Layout
Menu: Drawing Default [image] New View Does not exist in the menus.
Command entry: amdwgview

You can create a variety of drawing view types for a 3D model, but you must first create a base view.

DIALOG BOX DEFINITIONS

Create Drawing View Dialog Box

View Type Specifies the type of view to create.
 | Base Creates the first drawing view of a part according to the orientation you select.
 | Multiple Creates multiple projected views of a parent view without returning to the dialog box. Places ortho and iso views as desired.
 | Ortho Generates an orthographic projection view based upon an existing view. Requires a parent view, a project direction, and the view placement location.
 | Auxiliary Creates an auxiliary view based on an existing view of a part. Requires a parent view, two points to specify a projection direction, and the placement location.
 | Iso Creates a view of the parent view using a front/left, front/right, back/left, or back/right display.
 | Detail Creates an enlarged view of a portion of the parent view. You can create a nonrectangular viewport to define the view portion of the parent view.
 | Broken Creates a broken view based on an existing view of an elongated part.
Data Set Specifies the data set to use for the new view.
 | Active Part Uses the active part for the view.
 | Scene Uses a selected scene for the view.
 | Select Uses selected objects for the view. NoteOnly object selection is supported on drawing files linked to Autodesk Inventor documents.
 | Group Uses a specified group of objects. This option is only available if you have defined a group of objects in the drawing.
Layout Places the view on the selected layout.
Orientation Selects the orientation for the drawing view.
Properties Controls view properties.
 | Scale Sets the scale for the view.
 | Relative to Parent Specifies whether the view is scaled relative to its parent view.
 | Detail Symbol Controls the character labels for details and section views.
 | Label Pattern Names a view according to a pattern controlled by symbol standards. The pattern uses the detail label <Detail_Label> and the detail scale <Detail_Scale> as variables in the pattern that serves as the view's name.
 | Independent View Display This option is only available when the View Type is set to Detail. Makes the display properties of the detail view independent of the parent view.
Options Opens the Options dialog box where you can set options for your drawing views. See the OPTIONS command for more information.
Hidden Lines Tab Controls the settings for hidden lines in drawing views.
 | Calculate Hidden Lines Turns on the Calculate Hidden Line option. If off, hidden lines are not calculated or displayed in the view.
 | Display Hidden Lines Displays hidden lines in the view.
 | Display Tangencies Displays tangent silhouettes in the view.
 | Remove Coincident Edges Removes duplicate edges in the view.
 | Display Interference Edges Calculates and displays the resulting edge when mating parts interfere in an assembly.
 | Display As Controls the display of hidden edges when the Calculate Hidden Lines option is disabled.
Section Tab Controls the settings for section views.
 | Type Controls the type of section view.
 | Label Specifies the label for the section view.
 | Symbol Specifies the symbol to use for section views.
 | Hatch Specifies whether a section view is hatched.
 | Pattern Sets the hatch pattern and parameters for a section view. Opens the AutoCAD Hatch Patterns dialog box.
 | Hide Obscured Hatch Hides hatch patterns normally out of view or obscured.
Standard Part Tab Controls the representation of a part in the drawing view.
 | 2D Representation Sets 2D representation for standard 3D parts in the drawing view. This does not change the part in any way.

None

Does not create a section view.

Full

Creates a full section view for base, auxiliary, broken, and orthographic views.

Half

Creates a half section view through a work plane or work point.

Offset

Creates an offset section view from base, orthographic, broken, or auxiliary views.

Aligned

Creates an aligned section view from base, orthographic, or auxiliary views.

Breakout

Creates a breakout section view from base, orthographic, or auxiliary views.

Radial

Creates a radial section view from base, orthographic, or auxiliary views.

True

Represents a projected view of the part with all its details, as it is generated in Mechanical Desktop.

Standard

Represents a sectional view of the part with its details displayed.

Simplified

Represents a simplified sectional view of the part without the details.

Hatch Pattern Dialog Box

Pattern Type

Specifies the type of hatch to use for section views. Cycle through the available patterns, by clicking the image tile, or select a type from the drop-down list. Valid types include Predefined, User-defined, and custom.

Hatch Style

Specifies the way hatch is applied. Cycle through the available styles, by clicking the image tile, or select a style from the drop-down list.

Pattern Properties

Specifies the properties of the selected hatch pattern.

ISO Pen Width

Specifies the ISO pen width to apply to the hatch pattern.

Pattern

Specifies the hatch pattern to use.

Custom Pattern

Specifies the custom hatch pattern to use.

Scale

Specifies the hatch pattern scale factor.

Angle

Specifies the angle to apply to the hatch pattern.

Spacing

Specifies the spacing to apply to user-defined hatch patterns.

Double

Specifies whether to double user-defined hatch patterns.

Exploded

Specifies whether to explode the hatch pattern.


Create Section Views (Quick Reference)

Create Section Views
Create Section Views
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSTYLEI

Imports dimension styles from another drawing

AMSTYLEI opens the Select Drawing dialog box, where you choose the drawing from which to import dimension styles. Then, it opens the Dim Style Importer dialog box.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Format [image] Style Importer Does not exist in the menus.
Command entry: amstylei

DIALOG BOX DEFINITIONS

Select Drawing Dialog Box

Look in

Specifies the directory for the file.

File Name

Displays the name of the selected file.

Files of Type

Displays files with the specified extension type.

Preview

Displays a bitmap of the selected file. The Preview area is blank if you do not select a file, if you select a file that is not an AutoCAD file, or if you select a file from a previous version of AutoCAD.

Locate

Searches for the file name displayed in the File name field.

Find File

Displays the Browse/Search dialog box. See AMRECOVER.

Dim Style Importer Dialog Box

Dimension Styles to Import

Displays the dimension styles available to import.

Current Dimension Styles

Displays the dimension styles available in the current drawing.

To import a dimension style, select a style from the Dimension Styles to Import list, and click the arrow button. The style name appears in the Current Dimension Styles list. If the style being imported duplicates the name of a current style, the Substitute Dimension Style Name dialog box is displayed.

Substitute Dimension Style Name Dialog Box

New Name

Specifies a new name for the imported dimension style.


Create Section Views (Quick Reference)

Create Section Views
Create Section Views
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMHLCALC System Variable

Suppresses or activates hidden line calculations in drawing views.

Type: | Integer
Initial value: | 1
Possible values: | 0 - Hidden lines are not removed 1 - Removes hidden lines with full occlusion


Create Section Views (Quick Reference)

Create Section Views
Create Section Views
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLINETHICK

Sets the line thickness used in calculating thread annotation for ISO and DIN standards.

Type: | Real
Initial value: | .0275
Possible values: | No limits


Create Section Views (Quick Reference)

Create Section Views
Create Section Views
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPROJTYPE System Variable

Controls the drawing view projection method for orthographic or ancillary views. You can set AMPROJTYPE settings on the command line or from the Standards tab of the AMOPTIONS dialog box by right clicking on the standard in the browser tree.

Type: | Integer
Initial value: | 1
Possible values: | 0 - Uses first angle projection 1 - Uses third angle projection

Accelerator Keys Use First Angle/Third Angle Settings from AMPROJTYPE

The accelerator keys 3 (three viewports) and 4 (four viewports) use the settings from AMPROJTYPE to control projections in both Model and Drawing mode. For example,

  • When AMPROJTYPE is set to 0, viewports display views in first angle.
  • When set to 1, viewports show views in third angle.


Create Section Views (Quick Reference)

Create Section Views
Create Section Views
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVANISH System Variable

The AMVANISH system variable controls the vanish lines for tapped holes when the tap does not extend the full length of the hole. This system variable is only available for the ANSI standard.

Type: | Integer
Initial value: | 0
Possible values: | 0 - Off 1 - On


Create Section Views (Quick Reference)

Create Section Views
Create Section Views
Create Section Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMMODE

Use AMMODE to control Model and Drawing mode.

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Layout
Menu: None Does not exist in the menus.
Command entry: ammode

Selecting the Model or Scene tab in the Desktop Browser activates Model mode. Selecting the Drawing tab activates Drawing mode.

Choosing the Part, Assembly, or Scene toolbutton on the Desktop Tools toolbar activates Model mode. Choosing the Drawing Layout toolbutton activates Drawing mode.

NoteIf you use the Browser, toolbutton, or menu method to switch modes, AMMODE functions automatically unless you have disabled Synchronize Browser/Toolbars with Modes in the Options dialog box.
TOOLBUTTON | Select the appropriate toolbutton from the Desktop Tools toolbar.
BROWSER | Select the Model, Scene, or Drawing tab.
COMMAND | AMMODE

COMMAND LINE OPTIONS

Switching to Model Mode

If you are in Drawing mode, the following prompt appears:

Restore mode [Drawing/Model] <Model>: Press ENTER to switch to Model mode

Switching to Drawing Mode

If you are in Model mode, the following prompt appears:

Restore mode [Drawing/Model] <Drawing>: Press ENTER to switch to Drawing mode


Create Section Views (Quick Reference)

Create Section Views
Create Section Views
Create Detail Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Section Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMEDITPSCUTLINE

Use AMEDITPSCUTLINE to edit or specify a new cutline for a breakout section view of an Autodesk Inventor linked model.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: ameditpscutline

Editing a cutline using AMEDITPSCUTLINE is a three-stage process. Use the command to display the cutline. Modify the cutline. Issue the AMEDITPSCUTLINE command again and select the cutline again.

COMMAND LINE OPTIONS

Select breakout section view: In paper space, select the view containing the breakout section view or press ENTER to end the command. If you select an invalid view, the program shows the prompt again.

Enter an option for paper space cutline [Display/Select] <Display>: Type S to select a new cutline or press ENTER to display the cutline. If you have not erased the original cutline, the program updates the breakout section view. If you have erased the cutline, the program prompts you to select a new cutline.


Create Detail Views (Concept)

Create Section Views
Generate Drawing Views
Edit drawing views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can create detail views from a base, orthographic, or isometric drawing view. A detail view border can be elliptical, polygonal, rectangular, or a shape and size based on a specific selection. It is important to note that the current drafting standard drives the type of detail symbols on a drawing. For example, if ANSI is the drafting standard, the detail symbol appears as a three-quarter circle with arrows on either end, and the “A” is just a label. This detail symbol display differs, however, from other standards such as ISO and DIN. If you select ANSI, the viewport border is not displayed in the detail view.


Create Detail Views (Procedure)

Create Section Views
Up a level to ..
Create Detail Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a detail view with a circle as its border

To create a detail view with a rectangle as its border

To create a detail view with an ellipse as its border

To create detail view with a polygon as its border

To create a detail view with a a closed clipping curve as its border


To create a detail view with a circle as its border (Procedure)

Create Detail Views
Up a level to ..
Create Detail Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a detail view with a circle as its border

Before you begin, create a base view of a part. Make sure you are working in the Drawing tab and the Base View icon in the Browser is highlighted.

  1. In the drawing area, right-click and choose New View.
  2. In the Create Drawing View dialog box:
    • View Type: Detail
    • Scale: Enter a value for the view scale.
    • Accept the other defaults, and then choose OK.
  3. Select the vertex in the base view to attach the detail view.
  4. Specify the center point for the circular area.
  5. Specify the radius of the circle by moving the mouse until you have defined the desired shape of the circle, and then click once.
  6. Specify the location for the detail view by moving the mouse until the circular viewport is in the desired location, and then click once.
  7. Press ENTER.


To create a detail view with a rectangle as its border (Procedure)

Create Detail Views
Up a level to ..
Create Detail Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a detail view with a rectangle as its border

Before you begin, create a base view of a part. Make sure you are working in the Drawing tab and the Base View icon in the Browser is highlighted.

  1. In the drawing area, right-click and choose New View.
  2. In the Create Drawing View dialog box:
    • View Type: Detail
    • Scale: Enter a value for the view scale.
    • Accept the other defaults, and then choose OK.
  3. Select the vertex in the base view to attach the detail view.
  4. On the command line, enter r.
  5. Specify the first corner of the rectangular area.
  6. Specify the opposite corner.
  7. Specify the location for the detail view, and then press ENTER.


To create a detail view with an ellipse as its border (Procedure)

Create Detail Views
Up a level to ..
Create Detail Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a detail view with an ellipse as its border

Before you begin, create a base view of a part. Make sure you are working in the Drawing tab and the Base View icon in the Browser is highlighted.

  1. In the drawing area, right-click and choose New View.
  2. In the Create Drawing View dialog box:
    • View Type: Detail
    • Scale: Enter a value for the view scale.
    • Accept the other defaults, and then choose OK.
  3. Select the vertex in the base view to attach the detail view.
  4. On the command line, enter e to create an elliptical viewport border, and then press ENTER.
  5. Specify the center point for the elliptical area.
  6. Specify the radius of the X axis.
  7. Once you define the X axis, move the mouse back and forth or up and down to define the Y axis. You have complete control to create the desired elliptical shape.
  8. When you have created the desired shape, click the mouse button.
  9. Specify the location for the detail view by moving the mouse until the elliptical viewport is in the desired location, and then click the mouse button.
  10. Press ENTER.


To create detail view with a polygon as its border (Procedure)

Create Detail Views
Up a level to ..
Create Detail Views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create detail view with a polygon as its border

Before you begin, create a base view of a part. Make sure you are working in the Drawing tab and the Base View icon in the Browser is highlighted.

  1. In the drawing area, right-click and choose New View.
  2. In the Create Drawing View dialog box:
    • View Type: Detail
    • Scale: Enter a value for the view scale.
    • Accept the other defaults, and then choose OK.
  3. Select the vertex in the base view to attach the detail view.
  4. On the command line, enter p to create a polygonal viewport border, and then press ENTER.
  5. Specify the start point of the polygon area.
  6. Specify more points to draw the desired polygonal shape, and then close the polygon. Once you define two segments of the polygon, you can close the shape automatically by pressing ENTER.
  7. Press ENTER.
  8. Specify the location for the detail view by moving the mouse until the polygonal viewport is in the desired location.
  9. Press ENTER.


To create a detail view with a a closed clipping curve as its border (Procedure)

Create Detail Views
Up a level to ..
Edit drawing views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a detail view with a a closed clipping curve as its border

Before you begin, create a closed curved shape around the portion of the view to detail. You can use a closed spline or create any closed curved shape.

  1. In the drawing area, right-click and choose New View.
  2. In the Create Drawing View dialog box:
    • View Type: Detail
    • Scale: Enter a value for the view scale.
    • Accept the other defaults, and then choose OK.
  3. Select the vertex in the base view to attach the detail view.
  4. On the command line, enter s to select the curved shape.
  5. Select the closed curve you created to define the detail area.
  6. Specify a location for the detail view by moving the mouse until the curve shaped viewport is in the desired location.
  7. Press ENTER.


Create Detail Views (Quick Reference)

Create Section Views
Create Detail Views
Edit drawing views
Annotating Inventor 3D Models > Generate Drawing Views >
Create Detail Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDWGVIEW

Creates a new drawing view for an Inventor linked

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Layout
Menu: Drawing Default [image] New View Does not exist in the menus.
Command entry: amdwgview

You can create a variety of drawing view types for a 3D model, but you must first create a base view.

DIALOG BOX DEFINITIONS

Create Drawing View Dialog Box

View Type Specifies the type of view to create.
 | Base Creates the first drawing view of a part according to the orientation you select.
 | Multiple Creates multiple projected views of a parent view without returning to the dialog box. Places ortho and iso views as desired.
 | Ortho Generates an orthographic projection view based upon an existing view. Requires a parent view, a project direction, and the view placement location.
 | Auxiliary Creates an auxiliary view based on an existing view of a part. Requires a parent view, two points to specify a projection direction, and the placement location.
 | Iso Creates a view of the parent view using a front/left, front/right, back/left, or back/right display.
 | Detail Creates an enlarged view of a portion of the parent view. You can create a nonrectangular viewport to define the view portion of the parent view.
 | Broken Creates a broken view based on an existing view of an elongated part.
Data Set Specifies the data set to use for the new view.
 | Active Part Uses the active part for the view.
 | Scene Uses a selected scene for the view.
 | Select Uses selected objects for the view. NoteOnly object selection is supported on drawing files linked to Autodesk Inventor documents.
 | Group Uses a specified group of objects. This option is only available if you have defined a group of objects in the drawing.
Layout Places the view on the selected layout.
Orientation Selects the orientation for the drawing view.
Properties Controls view properties.
 | Scale Sets the scale for the view.
 | Relative to Parent Specifies whether the view is scaled relative to its parent view.
 | Detail Symbol Controls the character labels for details and section views.
 | Label Pattern Names a view according to a pattern controlled by symbol standards. The pattern uses the detail label <Detail_Label> and the detail scale <Detail_Scale> as variables in the pattern that serves as the view's name.
 | Independent View Display This option is only available when the View Type is set to Detail. Makes the display properties of the detail view independent of the parent view.
Options Opens the Options dialog box where you can set options for your drawing views. See the OPTIONS command for more information.
Hidden Lines Tab Controls the settings for hidden lines in drawing views.
 | Calculate Hidden Lines Turns on the Calculate Hidden Line option. If off, hidden lines are not calculated or displayed in the view.
 | Display Hidden Lines Displays hidden lines in the view.
 | Display Tangencies Displays tangent silhouettes in the view.
 | Remove Coincident Edges Removes duplicate edges in the view.
 | Display Interference Edges Calculates and displays the resulting edge when mating parts interfere in an assembly.
 | Display As Controls the display of hidden edges when the Calculate Hidden Lines option is disabled.
Section Tab Controls the settings for section views.
 | Type Controls the type of section view.
 | Label Specifies the label for the section view.
 | Symbol Specifies the symbol to use for section views.
 | Hatch Specifies whether a section view is hatched.
 | Pattern Sets the hatch pattern and parameters for a section view. Opens the AutoCAD Hatch Patterns dialog box.
 | Hide Obscured Hatch Hides hatch patterns normally out of view or obscured.
Standard Part Tab Controls the representation of a part in the drawing view.
 | 2D Representation Sets 2D representation for standard 3D parts in the drawing view. This does not change the part in any way.

None

Does not create a section view.

Full

Creates a full section view for base, auxiliary, broken, and orthographic views.

Half

Creates a half section view through a work plane or work point.

Offset

Creates an offset section view from base, orthographic, broken, or auxiliary views.

Aligned

Creates an aligned section view from base, orthographic, or auxiliary views.

Breakout

Creates a breakout section view from base, orthographic, or auxiliary views.

Radial

Creates a radial section view from base, orthographic, or auxiliary views.

True

Represents a projected view of the part with all its details, as it is generated in Mechanical Desktop.

Standard

Represents a sectional view of the part with its details displayed.

Simplified

Represents a simplified sectional view of the part without the details.

Hatch Pattern Dialog Box

Pattern Type

Specifies the type of hatch to use for section views. Cycle through the available patterns, by clicking the image tile, or select a type from the drop-down list. Valid types include Predefined, User-defined, and custom.

Hatch Style

Specifies the way hatch is applied. Cycle through the available styles, by clicking the image tile, or select a style from the drop-down list.

Pattern Properties

Specifies the properties of the selected hatch pattern.

ISO Pen Width

Specifies the ISO pen width to apply to the hatch pattern.

Pattern

Specifies the hatch pattern to use.

Custom Pattern

Specifies the custom hatch pattern to use.

Scale

Specifies the hatch pattern scale factor.

Angle

Specifies the angle to apply to the hatch pattern.

Spacing

Specifies the spacing to apply to user-defined hatch patterns.

Double

Specifies whether to double user-defined hatch patterns.

Exploded

Specifies whether to explode the hatch pattern.


Edit drawing views (Concept)

Create Detail Views
Generate Drawing Views
Copy and Move Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Edit drawing views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can edit drawing views using the Edit Drawing View dialog box and the Browser. The Edit Drawing View dialog box contains options for modifying part edges, changing hatch patterns, modifying hidden lines, and changing the display of annotations. You can use the Browser right-click menu to rename, edit, move, or delete drawing views


Edit drawing views (Procedure)

Create Detail Views
Up a level to ..
Edit drawing views
Annotating Inventor 3D Models > Generate Drawing Views >
Edit drawing views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To rename drawing views listed in the Browser

To hide obscured hatch patterns in drawing views

To change the color of part edges in a view

To change the layer of part edges in a view

To change the linetype and scale of part edges in a view

To hide selected edges in a view

To display edges when interfering solid bodies make edges disappear


Edit drawing views (Quick Reference)

Create Detail Views
Edit drawing views
Edit drawing views
Annotating Inventor 3D Models > Generate Drawing Views >
Edit drawing views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMEDITVIEW

Select Layer Dialog Box

Select Linetype Dialog Box


To rename drawing views listed in the Browser (Procedure)

Edit drawing views
Up a level to ..
Edit drawing views
Annotating Inventor 3D Models > Generate Drawing Views >
Edit drawing views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To rename drawing views listed in the Browser

  1. In the Browser, right-click the name of the drawing to rename.
  2. Choose Rename. The cursor is positioned in the highlighted area.
  3. At the cursor, enter the new name.
  4. Press ENTER.


To hide obscured hatch patterns in drawing views (Procedure)

Edit drawing views
Up a level to ..
Edit drawing views
Annotating Inventor 3D Models > Generate Drawing Views >
Edit drawing views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To hide obscured hatch patterns in drawing views

  1. In the Browser, right-click the drawing view. A menu is displayed.
  2. Click Edit.
  3. In the Edit Drawing View dialog box, click the Section tab.
  4. Select the Hide Obsecured Hatch check box.
  5. Click OK until all dialog boxes close.


To change the color of part edges in a view (Procedure)

Edit drawing views
Up a level to ..
Edit drawing views
Annotating Inventor 3D Models > Generate Drawing Views >
Edit drawing views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the color of part edges in a view

  1. In the Browser, right-click the drawing view. A menu is displayed.
  2. Click Edit.
  3. In the Edit Drawing View dialog box, click the Display tab
  4. Click Edge Properties. The Edge Properties dialog box is displayed.
  5. Click Select Edges.
  6. Select the individual edges to change color and press ENTER.
  7. In the Edge Properties dialog box, click Color to display the Select Color dialog box.
  8. Select the color for the lines, and then click OK.
  9. Click OK until all dialog boxes close.


To change the layer of part edges in a view (Procedure)

Edit drawing views
Up a level to ..
Edit drawing views
Annotating Inventor 3D Models > Generate Drawing Views >
Edit drawing views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the layer of part edges in a view

  1. In the Browser, right-click the drawing view. A menu is displayed.
  2. Click Edit.
  3. In the Edit Drawing View dialog box, click Edge Properties.
  4. Click Select Edges.
  5. Select the individual edges to change layers and press ENTER.
  6. In the Edge Properties dialog box, click Layer.
  7. In the Select Layer dialog box, select a layer, and then click OK.
  8. Click OK until all dialog boxes close.


To change the linetype and scale of part edges in a view (Procedure)

Edit drawing views
Up a level to ..
Edit drawing views
Annotating Inventor 3D Models > Generate Drawing Views >
Edit drawing views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the linetype and scale of part edges in a view

  1. In the Browser, right-click the drawing view. A menu is displayed.
  2. Click Edit.
  3. In the Edit Drawing View dialog box, click the Display tab
  4. Click Edge Properties.
  5. Click Select Edges.
  6. Select the individual edges to change linetypes and press ENTER.
  7. In the Edge Properties dialog box, click Linetype.
  8. In the Select Linetype dialog box, in the scroll window, select a linetype and then click OK.
  9. Specify a value for the linetype scale.
  10. Click OK until all dialog boxes close.


To hide selected edges in a view (Procedure)

Edit drawing views
Up a level to ..
Edit drawing views
Annotating Inventor 3D Models > Generate Drawing Views >
Edit drawing views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To hide selected edges in a view

  1. In the Browser, right-click the drawing view. A menu is displayed.
  2. Click Edit.
  3. In the Edit Drawing View dialog box, click Edge Properties.
  4. Click Select Edges.
  5. Select the individual edges to hide, and then press ENTER.
  6. Select Hide Edges check box.
  7. Click OK until all dialog boxes close.


To display edges when interfering solid bodies make edges disappear (Procedure)

Edit drawing views
Up a level to ..
Copy and Move Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Edit drawing views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To display edges when interfering solid bodies make edges disappear

When one or more solid bodies interfere with each other, during operations like press fits, drawing views can have missing edges. You can calculate and display the interfering edges. However, choose this option only if you know that there are interfering edges in your model as these calculations are time-consuming.

  1. Choose Drawing [image] Edit View.
  2. Select the view to edit.
  3. In the Edit Drawing View dialog box, select the Hidden Lines tab.
  4. Select the Display Interference Edges option.
  5. Choose OK. Mechanical Desktop calculates and displays any interfering edges. Interfering edges take on the edge properties of the part that appears first in the browser.
NoteInterfering edges along with their edge properties are lost when the view is updated and all annotations attached to the interfering edges are orphaned. Plot the view before updating to display the interfering edges in the plot.


Edit drawing views (Quick Reference)

Edit drawing views
Edit drawing views
Edit drawing views
Annotating Inventor 3D Models > Generate Drawing Views >
Edit drawing views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMEDITVIEW

Provides the ability to modify attributes of a drawing view

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Layout
Menu: Drawing Default [image] Edit View... Does not exist in the menus.
Command entry: ameditview

You can modify the scale, associativity, and hidden line display of a drawing view, as well as controls visibility of centerlines and viewport borders and layers.

Select view to edit: Select a drawing view

DIALOG BOX DEFINITIONS

Edit Drawing View Dialog Box

Properties Controls the properties of the selected view.
 | Scale Specifies a scale factor for the view.
 | Parametric Border Sizing When you select this option, view ports you define will persist after you update the view. If you clear this option, view ports you define will be lost when you update the view.
 | Relative to Parent Defines the scale factor relative to the parent view.
Hidden Lines Tab Controls the settings for hidden lines in drawing views.
 | Display Hidden Lines Displays hidden lines in the view.
 | Calculate Hidden Lines Turns on the Calculate Hidden Line option. If off, hidden lines are not calculated or displayed in the view.
 | Display Tangencies Displays tangent silhouettes in the view.
 | Remove Coincident Edges Removes duplicate edges in the view.
 | Display Interference Edges Calculates and displays the resulting edge when mating parts interfere in an assembly.
 | Display As Controls the display of hidden edges when the Calculate Hidden Lines option is disabled.
Display Tab Controls the display of annotations and edge properties for the selected view.
 | Annotation Creation Controls the display of tapped holes and parametric dimensions.
 | Tapped Hole Thread Lines Controls the display of tapped hole thread lines in a drawing view.
 | Parametric dimensions Controls the display of parametric dimensions in a drawing view.
 | Automatic Centerlines Controls the display of centerlines in a drawing view.
 | Centerline Settings Opens the Centerlines dialog box, where you control how centerlines and center marks appear in drawing views.

Detail Symbol

Controls the character labels for details and section views.

Label Pattern

Names a view according to a pattern controlled by symbol standards. The pattern uses the detail label <Detail_Label> and the detail scale <Detail_Scale> as variables in the pattern that serves as the view's name.

Redefine Boundary

Redraws the viewport boundary of a drawing view.

Drag rectangle around detail: Drag the cursor around the new view area.

Independent View Display

Controls whether or not the detail view's display properties are dependent on the parent view. If checked, options on the tabs become available. If unchecked, options on the tabs are not available.

Placement

Controls the placement of the selected view.

Move with Parent

If the view has an associated parent view, specifies whether the view moves when the parent view is moved.

No Alignment

Specifies no alignment with its parent view.

Horizontal

Aligns the view horizontally with its parent view.

Vertical

Aligns the view vertically with its parent view.

Automatic Centerlines dialog box

Controls the display of centerlines.

Holes

Displays centerlines for holes.

Fillets

Displays centerlines for fillets.

Circular Edges

Displays centerlines for circular edges.

Profile Projection

Displays centerlines in profile views.

Axial Projection

Displays centerlines in axial views.

View Layer Control dialog box

Freezes and thaws layers within the view.

Name

Lists layer names.

Current VP Freeze

Displays whether the layer is frozen or thawed.

Edge Properties Dialog Box

Controls the properties of selected edges.

COMMAND LINE OPTIONS

Enter an option (edge properties) [Remove all/Select/Unhide]<Select>: Choose an option or press ENTER

COMMAND LINE DEFINITIONS

Select

Selects edges to modify and then opens the Edge Properties dialog box.

Select Edges: Select an edge

Select Edges: Select another edge or press ENTER

Remove

Removes all edge property modifications made to the view.

Unhide All

Unhides all hidden edges in the view.

DIALOG BOX DEFINITIONS

Hide Edges

Specifies that selected edges are hidden.

Color

Specifies the color for the selected edges.

Layer

Specifies the layer for the selected edges.

Linetype

Specifies the linetype for the selected edges.

Linetype Scale

Specifies the linetype scale for the selected edges.

Standard Part Tab

Controls the representation of a part in the drawing view.

2D Representation

Sets 2D representation for standard 3D parts in the drawing view. This does not change the part in any way.

True

Represents a projected view of the part with all its details, as it is generated in Mechanical Desktop.

Standard

Represents a sectional view of the part with its details displayed.

Simplified

Represents a simplified sectional view of the part without the details.

Section Tab

Controls the settings for section views.

Type

Controls the type of section view.

None

Does not create a section view.

Full

Creates a full section view for base, auxiliary, broken, and orthographic views.

Half

Creates a half section view through a work plane or work point.

Offset

Creates an offset section view from base, orthographic, broken, or auxiliary views.

Aligned

Creates an aligned section view from base, orthographic, or auxiliary views.

Breakout

Creates a breakout section view from base, orthographic, or auxiliary views.

Radial

Creates a radial section view from base, orthographic, or auxiliary views.

Symbol

Specifies the symbol to use for section views.

Label

Specifies the label for the section view.

Hatch

Specifies whether a section view is hatched.

Pattern

Sets the hatch pattern and parameters for a section view. Opens the AutoCAD Hatch Patterns dialog box.

Hide Obscured Hatch

Hides hatch patterns normally out of view or obscured.

Hatch Pattern Dialog Box

Pattern Type

Specifies the type of hatch to use for section views. Cycle through the available patterns, by clicking the image tile, or select a type from the drop-down list. Valid types include Predefined, User-defined, and custom.

Hatch Style

Specifies the way hatch is applied. Cycle through the available styles, by clicking the image tile, or select a style from the drop-down list.

Pattern Properties

Specifies the properties of the selected hatch pattern.

ISO Pen Width

Specifies the ISO pen width to apply to the hatch pattern.

Pattern

Specifies the hatch pattern to use.

Custom Pattern

Specifies the custom hatch pattern to use.

Scale

Specifies the hatch pattern scale factor.

Angle

Specifies the angle to apply to the hatch pattern.

Spacing

Specifies the spacing to apply to user-defined hatch patterns.

Double

Specifies whether to double user-defined hatch patterns.

Exploded

Specifies whether to explode the hatch pattern.


Edit drawing views (Quick Reference)

Edit drawing views
Edit drawing views
Edit drawing views
Annotating Inventor 3D Models > Generate Drawing Views >
Edit drawing views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select Layer Dialog Box

Use this dialog box to select a layer to hide or show with the Desktop Visibility dialog box.

Current Layer

Shows the layer that is currently selected on the Objects tab of the Desktop Visibility dialog box.

Layer list

Shows the layers that you can select. Double-click a layer to select it.

Set Layer

Shows the layer that the Objects tab of the Desktop Visibility dialog box is set to, if the OK button is clicked. You can type the name of the layer in this box.


Edit drawing views (Quick Reference)

Edit drawing views
Edit drawing views
Copy and Move Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Edit drawing views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Select Linetype Dialog Box

Use this dialog box to select a linetype to hide or display with the Desktop Visibility dialog box.

Current Linetype

Shows the linetype that is currently selected on the Objects tab of the Desktop Visibility dialog box.

Linetype list

Shows all line types that you can select. Double-click a linetype to select it.

Set Layer

Shows the linetype that the Objects tab of the Desktop Visibility dialog box will be set to, if the OK button is clicked. You can type the name of the linetype, in this box.


Copy and Move Drawing Views (Concept)

Edit drawing views
Generate Drawing Views
Add Dimensions to Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Copy and Move Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

After you create a view, you use the Drawing tab in the Desktop Browser to move it, update it, and change it. Once you are in Drawing mode, the Edit Drawing View dialog box and the graphics area right-click menu offer a variety of ways to manage drawing views.

You can copy views within the current layout or to a new layout. You can also copy a view and its dependent views. However, you cannot copy a dependent view only. When you copy an orthographic, isometric, or auxiliary view to the same layout, the copy remains aligned with the parent view.


Copy and Move Drawing Views (Procedure)

Edit drawing views
Up a level to ..
Copy and Move Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Copy and Move Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To copy a view

To copy an entire layout

To move a drawing view to a new layout

To delete a drawing view

To delete a drawing view


Copy and Move Drawing Views (Quick Reference)

Edit drawing views
Copy and Move Drawing Views
Copy and Move Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Copy and Move Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCOPYVIEW

AMDELVIEW

AMEDITVIEW

AMLISTVIEW

AMMOVEVIEW


To copy a view (Procedure)

Copy and Move Drawing Views
Up a level to ..
Copy and Move Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Copy and Move Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To copy a view

  1. In the drawing area, right-click and choose Copy View.
  2. Select the view to copy. If the base view has a dependent view and you want to copy them as well, on the command line, enter Y.
  3. To copy the view within the same drawing view, specify a location.
  4. To copy the view to a new layout, on the command line, enter L, and then press ENTER.
  5. Enter the destination layout name for the copied view, and then press ENTER.
  6. Specify the location for the view in the new layout, and then press ENTER.


To copy an entire layout (Procedure)

Copy and Move Drawing Views
Up a level to ..
Copy and Move Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Copy and Move Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To copy an entire layout

  1. At the bottom of the drawing area, right-click the Layout tab to copy.
  2. Click Move or Copy.
  3. In the Move or Copy dialog box, select the layout to copy.
  4. Select Create a copy.
  5. Click OK. Notice that three things happen:
    • The new layout name is displayed in the Browser.
    • Beneath the layout name, all of the drawing views from the original layout are named in the new layout hierarchy.
    • A new tab is created at the bottom of the graphics screen with the new layout name.
  6. Click the new layout tab to activate it. All of the drawing views from the original layout are copied.


To move a drawing view to a new layout (Procedure)

Copy and Move Drawing Views
Up a level to ..
Copy and Move Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Copy and Move Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To move a drawing view to a new layout

  1. Click None [image] None [image] [image] At the Command prompt, enter AMMOVEVIEW.
  2. Select the view to move.
  3. On the Command line, enter L.
  4. Press ENTER.
  5. On the Command line, enter the name of the layout to move the view to.
  6. Press ENTER.
  7. Click in the layout to specify a location for the view.
  8. Press ENTER


To delete a drawing view (Procedure)

Copy and Move Drawing Views
Up a level to ..
Copy and Move Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Copy and Move Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete a drawing view

  1. In the Browser, choose the Drawing tab.
  2. Double-click the Layout containing the view you want to delete.
  3. Right-click the view you want to delete, and then choose Delete. If the view has dependent drawings, the system prompts you to choose whether to delete them as well. To delete dependent views, click Yes.


To delete a drawing view (Procedure)

Copy and Move Drawing Views
Up a level to ..
Add Dimensions to Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Copy and Move Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To delete a drawing view

  1. In the Browser, choose the Drawing tab.
  2. Double-click the Layout containing the view you want to delete.
  3. Right-click the view you want to delete, and then choose Delete. If the view has dependent drawings, the system prompts you to choose whether to delete them as well. To delete dependent views, click Yes.


Copy and Move Drawing Views (Quick Reference)

Copy and Move Drawing Views
Copy and Move Drawing Views
Copy and Move Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Copy and Move Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCOPYVIEW

Copies a drawing view to the same layout or to a different layout

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Layout
Menu: Drawing Default [image] Copy View Does not exist in the menus.
Command entry: amcopyview

If the selected drawing view has dependent views, you can copy the view and its dependent views, or copy only the selected view.

COMMAND LINE OPTIONS

Select view to copy: Select a view

View has 1 dependent views

View has 1 dependent views. Copy them also? [Yes/No] <No>: Choose Yes or No

Specify new view location or [Layout]: Specify a new location for the view or enterl

Layout

Specifies a new layout for the copied views.

Enter destination layout name or [?] <Layout>: Specify a layout name for the copied views

Regenerating layout.

Specify new view location: Specify a new location for the view


Copy and Move Drawing Views (Quick Reference)

Copy and Move Drawing Views
Copy and Move Drawing Views
Copy and Move Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Copy and Move Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMDELVIEW

Deletes a drawing view

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Layout
Menu: Drawing Default [image] Delete View Does not exist in the menus.
Command entry: amdelview

If the selected drawing view has dependent views, you can delete the view and its dependent views, or delete only the selected view.

COMMAND LINE OPTIONS

Select view to delete: Select the view to delete

NoteIf the view you are deleting has dependent views, the Delete Dependent Views dialog box is displayed. Use this dialog box to delete or retain dependent views.


Copy and Move Drawing Views (Quick Reference)

Copy and Move Drawing Views
Copy and Move Drawing Views
Copy and Move Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Copy and Move Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMEDITVIEW

Provides the ability to modify attributes of a drawing view

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Layout
Menu: Drawing Default [image] Edit View... Does not exist in the menus.
Command entry: ameditview

You can modify the scale, associativity, and hidden line display of a drawing view, as well as controls visibility of centerlines and viewport borders and layers.

Select view to edit: Select a drawing view

DIALOG BOX DEFINITIONS

Edit Drawing View Dialog Box

Properties Controls the properties of the selected view.
 | Scale Specifies a scale factor for the view.
 | Parametric Border Sizing When you select this option, view ports you define will persist after you update the view. If you clear this option, view ports you define will be lost when you update the view.
 | Relative to Parent Defines the scale factor relative to the parent view.
Hidden Lines Tab Controls the settings for hidden lines in drawing views.
 | Display Hidden Lines Displays hidden lines in the view.
 | Calculate Hidden Lines Turns on the Calculate Hidden Line option. If off, hidden lines are not calculated or displayed in the view.
 | Display Tangencies Displays tangent silhouettes in the view.
 | Remove Coincident Edges Removes duplicate edges in the view.
 | Display Interference Edges Calculates and displays the resulting edge when mating parts interfere in an assembly.
 | Display As Controls the display of hidden edges when the Calculate Hidden Lines option is disabled.
Display Tab Controls the display of annotations and edge properties for the selected view.
 | Annotation Creation Controls the display of tapped holes and parametric dimensions.
 | Tapped Hole Thread Lines Controls the display of tapped hole thread lines in a drawing view.
 | Parametric dimensions Controls the display of parametric dimensions in a drawing view.
 | Automatic Centerlines Controls the display of centerlines in a drawing view.
 | Centerline Settings Opens the Centerlines dialog box, where you control how centerlines and center marks appear in drawing views.

Detail Symbol

Controls the character labels for details and section views.

Label Pattern

Names a view according to a pattern controlled by symbol standards. The pattern uses the detail label <Detail_Label> and the detail scale <Detail_Scale> as variables in the pattern that serves as the view's name.

Redefine Boundary

Redraws the viewport boundary of a drawing view.

Drag rectangle around detail: Drag the cursor around the new view area.

Independent View Display

Controls whether or not the detail view's display properties are dependent on the parent view. If checked, options on the tabs become available. If unchecked, options on the tabs are not available.

Placement

Controls the placement of the selected view.

Move with Parent

If the view has an associated parent view, specifies whether the view moves when the parent view is moved.

No Alignment

Specifies no alignment with its parent view.

Horizontal

Aligns the view horizontally with its parent view.

Vertical

Aligns the view vertically with its parent view.

Automatic Centerlines dialog box

Controls the display of centerlines.

Holes

Displays centerlines for holes.

Fillets

Displays centerlines for fillets.

Circular Edges

Displays centerlines for circular edges.

Profile Projection

Displays centerlines in profile views.

Axial Projection

Displays centerlines in axial views.

View Layer Control dialog box

Freezes and thaws layers within the view.

Name

Lists layer names.

Current VP Freeze

Displays whether the layer is frozen or thawed.

Edge Properties Dialog Box

Controls the properties of selected edges.

COMMAND LINE OPTIONS

Enter an option (edge properties) [Remove all/Select/Unhide]<Select>: Choose an option or press ENTER

COMMAND LINE DEFINITIONS

Select

Selects edges to modify and then opens the Edge Properties dialog box.

Select Edges: Select an edge

Select Edges: Select another edge or press ENTER

Remove

Removes all edge property modifications made to the view.

Unhide All

Unhides all hidden edges in the view.

DIALOG BOX DEFINITIONS

Hide Edges

Specifies that selected edges are hidden.

Color

Specifies the color for the selected edges.

Layer

Specifies the layer for the selected edges.

Linetype

Specifies the linetype for the selected edges.

Linetype Scale

Specifies the linetype scale for the selected edges.

Standard Part Tab

Controls the representation of a part in the drawing view.

2D Representation

Sets 2D representation for standard 3D parts in the drawing view. This does not change the part in any way.

True

Represents a projected view of the part with all its details, as it is generated in Mechanical Desktop.

Standard

Represents a sectional view of the part with its details displayed.

Simplified

Represents a simplified sectional view of the part without the details.

Section Tab

Controls the settings for section views.

Type

Controls the type of section view.

None

Does not create a section view.

Full

Creates a full section view for base, auxiliary, broken, and orthographic views.

Half

Creates a half section view through a work plane or work point.

Offset

Creates an offset section view from base, orthographic, broken, or auxiliary views.

Aligned

Creates an aligned section view from base, orthographic, or auxiliary views.

Breakout

Creates a breakout section view from base, orthographic, or auxiliary views.

Radial

Creates a radial section view from base, orthographic, or auxiliary views.

Symbol

Specifies the symbol to use for section views.

Label

Specifies the label for the section view.

Hatch

Specifies whether a section view is hatched.

Pattern

Sets the hatch pattern and parameters for a section view. Opens the AutoCAD Hatch Patterns dialog box.

Hide Obscured Hatch

Hides hatch patterns normally out of view or obscured.

Hatch Pattern Dialog Box

Pattern Type

Specifies the type of hatch to use for section views. Cycle through the available patterns, by clicking the image tile, or select a type from the drop-down list. Valid types include Predefined, User-defined, and custom.

Hatch Style

Specifies the way hatch is applied. Cycle through the available styles, by clicking the image tile, or select a style from the drop-down list.

Pattern Properties

Specifies the properties of the selected hatch pattern.

ISO Pen Width

Specifies the ISO pen width to apply to the hatch pattern.

Pattern

Specifies the hatch pattern to use.

Custom Pattern

Specifies the custom hatch pattern to use.

Scale

Specifies the hatch pattern scale factor.

Angle

Specifies the angle to apply to the hatch pattern.

Spacing

Specifies the spacing to apply to user-defined hatch patterns.

Double

Specifies whether to double user-defined hatch patterns.

Exploded

Specifies whether to explode the hatch pattern.


Copy and Move Drawing Views (Quick Reference)

Copy and Move Drawing Views
Copy and Move Drawing Views
Copy and Move Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Copy and Move Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMLISTVIEW

Lists information about a selected view.

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Layout
Menu: None Does not exist in the menus.
Command entry: amlistview

The information includes the type of drawing view, view directions, center point of the view, name of the visible layer, names of hidden layers, number of dependent views, dimensions and notes, whether or not a detail view's display properties are dependent on its parent view.

COMMAND LINE OPTIONS

Select view: Specify a drawing view


Copy and Move Drawing Views (Quick Reference)

Copy and Move Drawing Views
Copy and Move Drawing Views
Add Dimensions to Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Copy and Move Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMMOVEVIEW

Moves a drawing view to another location within the same layout or to another layout.

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Layout
Menu: Drawing Default [image] Move View Does not exist in the menus.
Command entry: ammoveview

The following restrictions apply:

  • An orthogonal view must remain aligned with its parent view.
  • An auxiliary view must remain aligned with the edge of the plane selected from the parent view.
  • Moving a parent view also moves all dependent views.

COMMAND LINE OPTIONS

Select view to move: Specify a point in the view

View location: Specify a new location

View location: Specify another location or press ENTER

NoteIn the Browser method, the prompt to select a view is not displayed.


Add Dimensions to Drawing Views (Concept)

Copy and Move Drawing Views
Generate Drawing Views
Add User-defined Symbols
Annotating Inventor 3D Models > Generate Drawing Views >
Add Dimensions to Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Inventor Link exposes you to two types of dimensions; parametric dimensions and reference dimensions. A parametric dimension controls a parametric part feature. If you change the dimension, you change the part. You place a reference dimension on a part in Drawing mode. Unlike parametric dimensions, reference dimensions do not control parts but follow modifications to the part. Inventor Link gives you the ability to display parametric dimensions defined in Inventor and add reference dimensions in AutoCAD Mechanical.

Although Inventor Link can read parametric dimensions from the part/assembly file, it is unable to display parametric dimensions on a drawing view unless you transfer the parametric dimension information from the model to the drawing views. In the Options dialog box, you can configure AutoCAD Mechanical to transfer parametric dimension information automatically when you generate the base view. However, in some cases (for example a drawing view of an assembly that looks cluttered when all parametric dimensions appear), transferring parametric dimensions is not desirable. In such cases, you can opt not to transfer parametric dimensions automatically, but to transfer parametric dimensions manually after you create the view.

Once parametric dimensions appear, you can use the AMPOWERDIM or AMAUTODIM command to add more dimensions as required. Such dimensions act as reference dimensions.

AutoCAD Mechanical also provides the capability to hide the types of dimensions.

Although it is possible to double-click and override parametric dimensions (for example, add tolerances) we do not recommend it. Whenever you update the layout or drawing view, the program discards all overrides. Instead of overriding parametric dimensions, you can delete the parametric dimension and replace it with a reference dimension created with the AMPOWERDIM command.

See Also
    • Create dimensions


Add Dimensions to Drawing Views (Procedure)

Copy and Move Drawing Views
Up a level to ..
Add Dimensions to Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Add Dimensions to Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enable parametric dimensions to be transferred at drawing view creation

To transfer parametric dimensions after creating drawing views

To temporarily hide parametric dimensions

To temporarily hide reference dimensions

To redisplay hidden dimensions


Add Dimensions to Drawing Views (Quick Reference)

Copy and Move Drawing Views
Add Dimensions to Drawing Views
Add Dimensions to Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Add Dimensions to Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMOPTIONS (Part tab)

AMPOWERDIM

AMREFDIM

AMREUSEDIM System Variable

AMSECTIONDIM System Variable


To enable parametric dimensions to be transferred at drawing view creation (Procedure)

Add Dimensions to Drawing Views
Up a level to ..
Add Dimensions to Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Add Dimensions to Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enable parametric dimensions to be transferred at drawing view creation

When an Autodesk Inventor linked file is created, the link is able to read parametric dimensions from the part/assembly file. However, to display parametric dimensions on a drawing view, they must be transferred to paper space, typically, at the same time the drawing view is generated. You can however opt to add parametric dimensions later.

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. Click the AM:Drawing Tab
  3. From the Parametric Dimension Display section, select the Active Part Views option.
  4. Click OK. Whenever a drawing view is created, parametric dimensions will also be created.


To transfer parametric dimensions after creating drawing views (Procedure)

Add Dimensions to Drawing Views
Up a level to ..
Add Dimensions to Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Add Dimensions to Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To transfer parametric dimensions after creating drawing views

  1. In the browser, right-click the view you want to generate dimensions for. A menu is displayed.
  2. Click Edit. The Edit Drawing View dialog box is displayed.
  3. Click the Display tab and select the Parametric Dimensions option.
  4. Click OK. Parametric dimensions are generated and displayed on the drawing view.


To temporarily hide parametric dimensions (Procedure)

Add Dimensions to Drawing Views
Up a level to ..
Add Dimensions to Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Add Dimensions to Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To temporarily hide parametric dimensions

  1. In the browser, right-click the view you want to hide the dimensions of. A menu is displayed.
  2. Click Dimensions [image] Hide Parametric Dimensions. All parametric dimensions are hidden.


To temporarily hide reference dimensions (Procedure)

Add Dimensions to Drawing Views
Up a level to ..
Add Dimensions to Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Add Dimensions to Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To temporarily hide reference dimensions

  1. In the browser, right-click the view you want to hide the dimensions of. A menu is displayed.
  2. Click Dimensions [image] Hide Reference Dimensions. All reference dimensions are hidden.


To redisplay hidden dimensions (Procedure)

Add Dimensions to Drawing Views
Up a level to ..
Add User-defined Symbols
Annotating Inventor 3D Models > Generate Drawing Views >
Add Dimensions to Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To redisplay hidden dimensions

  1. In the browser, right-click the view you want to redisplay the dimensions of. A menu is displayed.
  2. Click Dimensions [image] Unhide All. All hidden dimensions are displayed.


Add Dimensions to Drawing Views (Quick Reference)

Add Dimensions to Drawing Views
Add Dimensions to Drawing Views
Add Dimensions to Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Add Dimensions to Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMOPTIONS (Part tab)

The AMOPTIONS command manages settings and standards for parts, assemblies, surfaces, drawings, shaft generators, calculations, standard parts, and general desktop preferences from a single Options dialog box.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amoptions

DIALOG BOX DEFINITIONS

Sketch Setting Specifies the way sketches are handled when they are analyzed and constrained.
 | Apply Constraint Rules Applies constraint sizes, such as pickbox size and angular tolerance, to a sketch.
 | Assume Rough Sketch Applies horizontal and vertical constraints to a sketch.
 | Angular Tolerance Sets the tolerance of a line assumed to be horizontal or vertical. If the angle is greater than this setting, the line is not forced horizontally or vertically.
 | Apply to Linetype Selects the linetype to apply constraints to. Any object drawn with a different linetype is ignored, when the sketch is constrained. NoteLinetype names must be capitalized, or you receive an error message.
 | Constraint Size Defines the size of the constraint symbol. Use AMSHOWCON, AMADDCON, or AMDELCON to view the constraints.
Suppressed Dimensions and DOFs Specifies the color applied to suppressed dimensions and degrees of freedom symbols.
Saved File Format Reduces the file size when the drawing is saved.
Naming Prefixes Specifies the prefix that is added to the name of a new part or toolbody when it is created. Double-click the appropriate field to specify a name.

Constraint Size dialog box

Min

Sets the constraint symbol to the smallest size.

Max

Sets the constraint symbol to the largest size.


Add Dimensions to Drawing Views (Quick Reference)

Add Dimensions to Drawing Views
Add Dimensions to Drawing Views
Add Dimensions to Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Add Dimensions to Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMPOWERDIM

Creates multiple types of dimensions within a single command session and provides the ability to specify tolerances or fits as appropriate.

Ribbon: Home tab [image] Dimension panel [image] Power Dimension. Does not exist on the ribbon.
Toolbar: Dimension [image] Desktop Annotation
Menu: Default Menu [image] Annotate [image] Power Dimension Does not exist in the menus.
Command entry: ampowerdim

COMMAND LINE OPTIONS

Specify first extension line origin or [Linear/Angular/Radial/Baseline/Chain/Options/Update] <select object>: Specify a point or press ENTER to select an object to dimension or select an option.

First Extension Line

Creates a linear dimension when you select two points.

Specify second extension line origin: Specify the second point that defines the linear dimension (2)
Specify dimension line location or [Horizontal/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. Depending on the direction you move the dimension, the dimension changes to a horizontal, vertical or aligned dimension.
 | Horizontal Sets the dimension type to horizontal linear dimensions.
 | Specify dimension line location or [Drag/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Vertical Sets the dimension type to vertical linear dimensions.
 | Specify dimension line location or [Drag/Horizontal/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Aligned Sets the dimension type to aligned linear dimensions.
 | Specify dimension line location or [Drag/Horizontal/Vertical/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Rotated Sets the dimension type to rotated linear dimensions.
 | Specify angle of dimension line <0>:Specify an angle or press ENTER
 | Specify dimension line location or [Drag/Horizontal/Vertical/Aligned/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 | Placement Options Provides options to override the default distance snap settings.
 | Select object to include for distance snap calculation or [Options] <eXit> Select an object to base the distance snap calculation on or enter O to display a dialog box, enabling you to override the snap distance or toggle distance snap temporarily.

Select Objects

Automatically selects an applicable dimension type for the objects you select.

Select arc, circle, line, or dimension: Select the object to dimension. The subsequent prompts depend on the type of object you select.
 | Arc selected Defaults the dimension type to radius dimensions.
 | Specify dimension line location or [Diameter/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1; when you place the dimension, the Power Dimensioning dialog box appears. Set options and click OK to create the dimension.
 |  | Diameter Sets the dimension type to diameter dimensions.
 |  | Specify dimension line location or [Radius/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Radius Forces the dimension type back to radius dimensions.
 |  |  | Options Displays the Diameter Dimension Options dialog box enabling you to configure the appearance of the dimension.
 |  | Jogged Radius Sets the dimension type to jogged radius dimensions.
 |  | Specify center location override: Specify the point to use in place of the true center point of the arc or circle.
 |  | Specify dimension line location: Specify a point to indicate the angle of the dimension line. If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 |  | Specify jog location: Move the jog to the desired position and click to place the dimension. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Arc length Sets the dimension type to arc length dimensions.
 |  | Specify arc length dimension location or [Partial/Leader]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Partial Creates the arc length dimension for only a section of the arc.
 |  |  | Specify first point for arc length dimension: Specify a point for the origin of the first extension line of the arc length dimension.
 |  |  | Specify second point for arc length dimension: Specify a point for the origin of the second extension line of the arc length dimension.
 |  |  | Leader Draws a leader from the center of the dimension, pointing toward the center of the arc you are dimensioning. The leader appears only if the arc (or arc segment) is greater than 90 degrees.
 |  | Linear Forces the dimension type to linear dimensions. For an explanation of the subsequent prompts, refer to the prompts that appear when you select a line.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 | Circle selected Defaults the dimension type to diameter dimensions.
 | Specify dimension line location or [Radius/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Radius Sets the dimension type to radius dimensions.
 |  | Specify dimension line location or [Diameter/Jogged radius/Arc length/Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Diameter Forces the dimension type back to diameter dimensions
 |  |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 |  | Jogged Radius Sets the dimension type to jogged radius dimensions.
 |  | Specify center location override: Specify the point to use in place of the true center point of the arc or circle.
 |  | Specify dimension line location: Specify a point to indicate the angle of the dimension line. If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 |  | Specify jog location: Move the jog to the desired position and click to place the dimension. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions. For an explanation of the subsequent prompts, refer to the prompts that appear when you select a line.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
 | Line selected Defaults the dimension type to linear dimensions.
 |  | Specify dimension line location or [Horizontal/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. Depending on the direction you move the dimension, the dimension changes to a horizontal, vertical or aligned dimension.
 |  |  | Horizontal Sets the dimension type to horizontal linear dimensions.
 |  |  | Specify dimension line location or [ Drag/Vertical/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Vertical Sets the dimension type to vertical linear dimensions.
 |  |  | Specify dimension line location or [Drag/Horizontal/Aligned/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Aligned Sets the dimension type to aligned linear dimensions.
 |  |  | Specify dimension line location or [Drag/Horizontal/Vertical/Rotated/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Rotated Sets the dimension type to rotated linear dimensions.
 |  |  | Specify angle of dimension line <0>:Specify an angle or press ENTER
 |  |  | Specify dimension line location or [Drag/Horizontal/Vertical/Aligned/Placement options]: Select an option or move the dimension line to the desired position and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  |  | Placement Options Provides options to override the default distance snap settings.
 |  |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily.
 | Dimension selected Displays the Power Dimensioning dialog box enabling you to modify the dimension options.
 | Ellipse selected Defaults to options set for selecting a line.

Linear

Creates a linear dimension with a horizontal, vertical, or rotated dimension line.

Select option [Horizontal/Vertical/Aligned/Rotated/eXit]: Select an option or press ENTER to terminate the command.
 | Horizontal Sets the dimension type to horizontal linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the horizontal linear dimension (1)
 | Specify second extension line origin: Specify the second point that defines the horizontal linear dimension (2)
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click (3) to place it. The dimension line moves only in the vertical direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.
 | Vertical Sets the dimension type to vertical linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the vertical linear dimension (1).
 | Specify second extension line origin: Specify the second point that defines the vertical linear dimension (2).
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click to place it (3). The dimension line moves only in the horizontal direction. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.
 | Aligned Sets the dimension type to aligned linear dimensions.
 | Specify first extension line origin or [eXit] <select object>: Specify the first point that defines the aligned linear dimension (1).
 | Specify second extension line origin: Specify the second point that defines the aligned linear dimension (2).
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position and click to place it (3). The dimension line moves only in the direction perpendicular to the two points. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit>: Select an object to base the distance snap calculation on or enter O to display a dialog box, which enables you to override the snap distance or toggle distance snap temporarily.
 | Rotated Sets the dimension type to rotated linear dimensions.
 | Specify angle of dimension line <0>:Specify an angle or press ENTER
 | Specify first extension line origin or <select object>: Select the object to dimension or specify the first point that defines the rotated linear dimension (1)
 |  | Specify First Extension Line Defines the dimension by letting you select the extension line origins and the dimension line location.
 | Specify second extension line origin: Specify the second point that defines the linear dimension (2)
 | Specify dimension line location or [Placement options]: Enter P for placement options or move the dimension line to the desired position (3) and click to place it. The dimension line moves only in the direction perpendicular to the specified angle. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Select Object Defines the dimension by letting you select the object to dimension and the dimension line location.
 |  | Specify second extension line origin: Specify the second point that defines the linear dimension (2)
 |  | Select object to dimension: Specify an object to dimension. Applicable objects are highlighted in the drawing area as you move the crosshairs over them.
 |  | Placement Options Provides options to override the default distance snap settings.
 |  | Select object to include for distance snap calculation or [Options] <eXit> Select an object to base the distance snap calculation on or enter O to display a dialog box enabling you to override the snap distance or toggle distance snap temporarily.

Angular

Creates an angular dimension showing the angle between three points by or the angle between two lines.

Select arc, circle, line or [Baseline/Chain/eXit] <specify vertex>: Select an object or press ENTER to define the angle by specifying three points.
 | Specify Vertex Creates a dimension based on three points you specify.
 | Specify angle vertex: Specify the point to use as the vertex of the angle. (1 in the illustration)
 | Specify first angle endpoint: Specify a point. (2)
 | Specify second angle endpoint: Specify a point. (3 in the illustration) The dimension line appears as an arc between the extension lines. The extension lines appear from the angle endpoints to the intersection of the dimension line.
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line (4) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to lock the dimension to.
 | Arc selected Uses the endpoints of the selected arc and its center as the defining points for a three-point angular dimension. The center of the arc is the vertex.
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line (2) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate to which quadrant the dimension is locked.
 | Circle selected Uses two points on a circle and the center of the circle as the defining points for a three-point angular dimension. The center of the circle is the vertex and the first selection point (1) is the origin of the first extension line.
 | Specify second angle endpoint: Specify the origin of the second extension line (2).
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line to the desired position (3) and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to which the dimension is locked.
 | Line selected Creates a dimension for the angle between two lines. The line you selected (1) is the first line that defines the angle.
 | Specify second line: Select the second line (2).
 | Specify dimension arc line location [Quadrant]: Enter Q to specify the quadrant for the arc line or move the dimension line to the desired position and click to place it. Depending on the position of the dimension, the quadrant for the dimension changes. If the dimension line does not intersect the lines you are dimensioning, additional extension lines extend one or both lines. The dimension arc line is always less than 180 degrees.
 |  | Quadrant Specifies the quadrant to which the dimension is locked. When quadrant behavior is on, the dimension line extends past the extension line when the dimension text is outside of the angular dimension.
 |  | Specify quadrant: Click in the drawing area to indicate the quadrant to which the dimension is locked.

Radial

Creates dimensions for circles and arcs

Select option [Radius/Diameter/Jogged radius/Arc length/eXit]: Select the type of dimension to create or press ENTER to exit the command or enter X to go back to the previous prompt.
Radius Sets the dimension type to radius dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension or enter X to return to the previous prompt.
 | Specify dimension line location or [Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions.
 |  | Options Displays the Radius Dimension Options dialog box enabling you to configure the appearance of the dimension.
Diameter Sets the dimension type to diameter dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension or enter X to return to the previous prompt.
 | Specify dimension line location or [Linear/Options]: Select an option or move the dimension line to the desired position and click to place it. If you place the dimension off of an arc resulting in the dimension pointing outside an arc, AutoCAD Mechanical automatically draws an arc extension line. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Linear Forces the dimension type to linear dimensions.
 |  | Options Displays the Diameter Dimension Options dialog box enabling you to configure the appearance of the dimension.
Jogged Radius Sets the dimension type to jogged radius dimensions.
 | Select arc or circle [eXit]: Select an arc or circle to dimension (1) or enter X to return to the previous prompt.
 | Specify center location override: Specify the point to use in place of the true center point of the arc or circle (2).
 | Specify dimension line location: Specify a point to indicate the angle of the dimension line (3). If you place the dimension such that the dimension points outside the arc, AutoCAD Mechanical automatically draws an arc extension line.
 | Specify jog location: Move the jog to the desired position and click to place the dimension (4). If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
Arc length Sets the dimension type to arc length dimensions.
 | Select arc or polyline arc segment [eXit]: Select an arc to dimension or enter X to return to the previous prompt.
 | Specify arc length dimension location or [Partial/Leader]: Select an option or move the dimension line to the desired position and click to place it. If the CMDDIA system variable equals 1, the Power Dimensioning dialog box appears when you place the dimension. Set options and click OK to create the dimension.
 |  | Partial Creates the arc length dimension for only a section of the arc.
 |  | Specify first point for arc length dimension: Specify a point for the origin of the first extension line of the arc length dimension.
 |  | Specify second point for arc length dimension: Specify a point for the origin of the second extension line of the arc length dimension.

Baseline

Creates a linear or angular dimension from the baseline of a selected dimension.

Select base dimension [eXit]: Select a linear or angular dimension to use as the base for the baseline dimension (1).
Specify next extension line origin or [Undo/Select/Chain] <Select>: Specify a point (2) or select an option.
 | Undo Undoes the last baseline dimension entered during this command session.
 | Select Prompts you to select a different dimension for use as the base for the baseline dimension.
 | Chain Switches to creating a chain dimension instead of a baseline dimension.

Chain

Creates a linear or angular dimension from the second extension line of a selected dimension.

Select base dimension [eXit]: Select a linear, angular, or arc length dimension to use as the base for the chain dimension (1).
Specify next extension line origin or [Undo/Select/Baseline] <Select>: Specify a point (2) or select an option.
 | Undo Undoes the last chain dimension entered during this command session.
 | Select Enables you to select a different dimension to use as the base for the chain dimension.
 | Baseline Enables you to switch to creation of baseline dimensions.

Options

Displays the Power Dimension Options dialog box enabling you to pre-configure options for this command session.

Update

Updates fits and tolerances of dimensions that you select, to reflect the most current settings configured for text height and color in AMOPTIONS. It also updates the upper and lower deviating values of a fit, sometimes necessary when you stretch a dimension.

Select dimension <All>: Select a dimension to update or press ENTER to select all.


Add Dimensions to Drawing Views (Quick Reference)

Add Dimensions to Drawing Views
Add Dimensions to Drawing Views
Add Dimensions to Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Add Dimensions to Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMREFDIM

  • Lines
  • Arcs
    • Circles
    • Ellipses
  • Centerlines

Note: Before Drawing mode entities can be used in a reference dimension, they must be associated to a drawing view.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amrefdim
NoteMenu options are available in Mechanical Desktop only.

COMMAND LINE OPTIONS

Select first object: Select first object

Select second object or place dimension: Select second object or place dimension

Specify placement point or [Undo/Hor/Ver/Align/Par/aNgle/Ord/reF/Basic]: Specify another point to relocate the dimension, choose an option, or press ENTER

Select first object: Place another dimension or press ENTER

COMMAND LINE DEFINITIONS

Undo

Undoes the previous selection.

Hor

Forces a horizontal dimension.

Ver

Forces a vertical dimension.

Align

Forces an aligned dimension.

Par

Forces a parallel dimension.

Angle

Forces an angular dimension.

Ord

Forces an ordinate dimension.

Ref

Places dimension text in brackets.

Basic

Places a box around the dimension text.

Placement Point

Allows you to respecify the dimension location.


Add Dimensions to Drawing Views (Quick Reference)

Add Dimensions to Drawing Views
Add Dimensions to Drawing Views
Add Dimensions to Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Add Dimensions to Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMREUSEDIM System Variable

Toggles automatic display of parametric dimensions in drawing views.

Type: | Integer
Initial value: | 1
Possible values: | 0 - Off 1 - On


Add Dimensions to Drawing Views (Quick Reference)

Add Dimensions to Drawing Views
Add Dimensions to Drawing Views
Add User-defined Symbols
Annotating Inventor 3D Models > Generate Drawing Views >
Add Dimensions to Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSECTIONDIM System Variable

Controls whether parametric dimensions are placed in section views. May also be set as an option in AMOPTIONS.

Type: | Integer
Initial value: | 0
Possible values: | 0 - Off 1 - On


Add User-defined Symbols (Concept)

Add Dimensions to Drawing Views
Generate Drawing Views
Redefine Drawing View Viewport Borders
Annotating Inventor 3D Models > Generate Drawing Views >
Add User-defined Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If the symbols provided with AutoCAD Mechanical do not meet your requirements, you can create custom symbols and attach them to the object you are annotating. Whenever you move the object, the attached symbol moves with it.

See Also
    • Create Symbols


Add User-defined Symbols (Procedure)

Add Dimensions to Drawing Views
Up a level to ..
Add User-defined Symbols
Annotating Inventor 3D Models > Generate Drawing Views >
Add User-defined Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a user-defined annotation on a drawing view

To detach user-defined annotations

To remove user-defined annotations

To manage orphaned annotations


Add User-defined Symbols (Quick Reference)

Add Dimensions to Drawing Views
Add User-defined Symbols
Add User-defined Symbols
Annotating Inventor 3D Models > Generate Drawing Views >
Add User-defined Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMANNOTE

AMANNOTEPRESERVE System Variable


To create a user-defined annotation on a drawing view (Procedure)

Add User-defined Symbols
Up a level to ..
Add User-defined Symbols
Annotating Inventor 3D Models > Generate Drawing Views >
Add User-defined Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a user-defined annotation on a drawing view

For this procedure, you use user-defined text annotations. Before you begin, create a drawing view of a part.

  1. Click Dashboard tab [image] Dimension panel [image] [image] At the Command prompt, enter AMPOWERDIM.
  2. Click None [image] None [image] [image] At the Command prompt, enter LINE.
  3. Select the start point of the line, and then draw the line to an end point. Press ENTER.
  4. Click None [image] None [image] [image] At the Command prompt, enter TEXT.
  5. In the drawing, click at the end of the newly drawn line.
  6. Press ENTER to accept the height and rotation angle defaults.
  7. Enter the text to associate with the view, and then press ENTER.
  8. Press ENTER again.
  9. Click None [image] None [image] [image] At the Command prompt, enter AMANNOTE.
  10. In the command line, select Create.
  11. In the drawing, select the newly created line and the text, and then press ENTER.
  12. Select a point within the view to attach the annotation.
  13. To verify that the annotation is associated and attached to the view, enter AMMOVEVIEW in the command line.
  14. Select the view to move.
  15. Select the view location. The annotation moves with the view to the new location.


To detach user-defined annotations (Procedure)

Add User-defined Symbols
Up a level to ..
Add User-defined Symbols
Annotating Inventor 3D Models > Generate Drawing Views >
Add User-defined Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To detach user-defined annotations

When you detach user-defined annotations, you disassociate all the annotations associated with a view by selecting any one object in the annotation.

Before you begin, create at least two user-defined annotations on a drawing view.

  1. In the command line, enter AMANNOTE and enter T.
  2. Select any annotation object. If multiple annotations are associated with the drawing view, you only need to select one object to detach all of them.
  3. To verify that all annotations have become disassociated from the view, enter AMMOVEVIEW in the command line.
  4. Select the view to move.
  5. Select the view location. All annotations are disassociated from the view, and none of them move with it.


To remove user-defined annotations (Procedure)

Add User-defined Symbols
Up a level to ..
Add User-defined Symbols
Annotating Inventor 3D Models > Generate Drawing Views >
Add User-defined Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To remove user-defined annotations

When you remove user-defined annotations, you disassociate individual annotations from a view without erasing them.

Before you begin, create at least two user-defined annotations on a drawing view. If the Browser is not displayed, enter AMBROWSER in the command line and enter ON.

  1. In the command line, enter AMANNOTE and enter R.
  2. Select any individual annotation object to remove. If multiple annotations are associated with the drawing view, you can remove only one object at a time.
  3. To verify that an individually selected annotation has become disassociated from a view, enter AMMOVEVIEW in the command line.
  4. Select the view to move.
  5. Select the view location. The individually selected annotation is disassociated from the view and does not move with it.


To manage orphaned annotations (Procedure)

Add User-defined Symbols
Up a level to ..
Redefine Drawing View Viewport Borders
Annotating Inventor 3D Models > Generate Drawing Views >
Add User-defined Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To manage orphaned annotations

Orphaned annotations during a view update are saved to an AM_Orphan group. All orphaned annotations can be viewed.

Before you begin, create a drawing view of a part with a feature, and place a reference dimension on the feature. Also, make sure AMANNOTEPRESERVE is set to 1.

  1. Choose the Model tab.
  2. In the Browser, right-click the feature name, and then choose Delete.
  3. On the command line, enter y to approve the deletion.
  4. Choose the Drawing tab. A warning box is displayed, stating that the annotations associated with that feature failed to update and were appended to the AM_Orphan group. Notice that the feature is no longer displayed with the part. Only the orphaned annotation is displayed.
  5. Choose OK.
  6. To view the failed (orphaned) annotation, on the command line, enter group, and then press ENTER.
  7. In the Object Grouping dialog box, select (highlight) the annotation group, and then make the desired changes. For example, you can remove, rename, or reorder the annotation group.
  8. Choose OK.
NoteUse the AMANNOTEPRESERVE system variable to save or delete orphaned annotations. If you set the variable to 0, the annotations are deleted instead of saved in a group.


Add User-defined Symbols (Quick Reference)

Add User-defined Symbols
Add User-defined Symbols
Add User-defined Symbols
Annotating Inventor 3D Models > Generate Drawing Views >
Add User-defined Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMANNOTE

Creates a textual annotation that can be attached to an object in a drawing view.

You can also use AMANNOTE to parametrically attach items such as surface finish symbols and GD&T symbols to drawing views.

Ribbon: None Does not exist on the ribbon.
Toolbar: Desktop Annotation
Menu: None Does not exist in the menus.
Command entry: amannote

This command works only in a layout. When you move a view, the annotation moves with the view.

COMMAND LINE OPTIONS

Enter option [Add/Remove/Delete/deTach/Move/Create] <Create>: Choose an option or press ENTER

COMMAND LINE DEFINITIONS

Add

Adds additional objects to an existing annotation.

Select annotation by selecting any of its objects: Select an existing annotation

Select objects to add to annotation.

Select objects: Select an object to add

Select objects: Select another object or press ENTER

Remove

Removes selected objects from an existing annotation.

Select annotation by selecting any of its objects: Select an existing annotation

Select objects to remove from annotation.

Select objects: Select an object to remove

Select objects: Select another object or press ENTER

Delete

Deletes an existing annotation.

Select annotation by selecting any of its objects: Select an annotation

Detach

Detaches an annotation from the view it is associated with, but does not delete it.

Select annotation by selecting any of its objects: Select an annotation

Move

Moves an annotation to another location, maintaining its association with the view to which it is attached.

Select annotation by selecting any of its objects: Select an annotation

Annotation location: Specify a new location

Annotation location: Respecify a location or press ENTER

Create

Creates an annotation object from selected geometry and associates it to a specified view.

Select objects to associate to view.

Select objects: Select geometry

Select objects: Select more geometry or press ENTER to continue

Select point in view to attach annotation: Select a point

Annotation containing n objects attached to view.


Add User-defined Symbols (Quick Reference)

Add User-defined Symbols
Add User-defined Symbols
Redefine Drawing View Viewport Borders
Annotating Inventor 3D Models > Generate Drawing Views >
Add User-defined Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMANNOTEPRESERVE System Variable

Controls whether annotations that do not update are deleted or saved to a group. Occasionally, dimensions or other annotations, are not updated correctly.

Type: | Integer
Initial value: | 1
Possible values: | 0 - Orphaned objects are deleted. 1 - Orphaned objects are placed in an AutoCAD group.


Redefine Drawing View Viewport Borders (Concept)

Add User-defined Symbols
Generate Drawing Views
Control the Creation of Automatic Centerlines in Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Redefine Drawing View Viewport Borders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you create a drawing view, the program automatically creates a viewport around it. It looks like a border, and it can any shape or size. viewport borders created automatically for base, ortho, iso, multiple, and auxiliary views fit parametrically around the part. However, you can turn parametric sizing Off to size a viewport border manually.

By default, viewport borders are not visible. To redefine viewport borders, make them visible first.

The size of the part or geometry controls viewport borders for base, ortho, iso, multiple, and auxiliary views parametrically, but not borders for detail views. You can redefine the viewport boundary for detail views.

As with viewport borders for detail views, you can create a custom boundary for broken views. However, unlike detail views, you cannot modify viewport borders for broken views by grip editing the viewport borders. Doing so provides unpredictable results.


Redefine Drawing View Viewport Borders (Procedure)

Add User-defined Symbols
Up a level to ..
Redefine Drawing View Viewport Borders
Annotating Inventor 3D Models > Generate Drawing Views >
Redefine Drawing View Viewport Borders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To make viewport boundaries visible

To grip edit a viewport border

To redefine viewport boundaries for detail views

To redefine viewport boundaries for broken views

To control drawing viewport layers


Redefine Drawing View Viewport Borders (Quick Reference)

Add User-defined Symbols
Redefine Drawing View Viewport Borders
Redefine Drawing View Viewport Borders
Annotating Inventor 3D Models > Generate Drawing Views >
Redefine Drawing View Viewport Borders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMEDITVIEW

AMOPTIONS (Drawing tab)


To make viewport boundaries visible (Procedure)

Redefine Drawing View Viewport Borders
Up a level to ..
Redefine Drawing View Viewport Borders
Annotating Inventor 3D Models > Generate Drawing Views >
Redefine Drawing View Viewport Borders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To make viewport boundaries visible

  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. Click the AM:Drawing tab.
  3. In the Suppress section, clear the Drawing Viewport Borders check box.


To grip edit a viewport border (Procedure)

Redefine Drawing View Viewport Borders
Up a level to ..
Redefine Drawing View Viewport Borders
Annotating Inventor 3D Models > Generate Drawing Views >
Redefine Drawing View Viewport Borders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To grip edit a viewport border

  1. In the drawing area, right-click and select Edit View.
  2. Select the view to edit.
  3. In the Edit Drawing View dialog box, clear the Parametric Border Sizing check box.
  4. Click OK.
  5. Click any part of the viewport border. The border highlights and square “grips” are displayed at the corners of the border.
    NoteIf the viewport border is not visible, follow the instructions in the linked procedure page.
  6. Select any grip and move the mouse to enlarge or decrease the view area.
  7. When the viewport border is the desired size, click once.


To redefine viewport boundaries for detail views (Procedure)

Redefine Drawing View Viewport Borders
Up a level to ..
Redefine Drawing View Viewport Borders
Annotating Inventor 3D Models > Generate Drawing Views >
Redefine Drawing View Viewport Borders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To redefine viewport boundaries for detail views

  1. In the drawing area, right-click and select Edit View.
  2. Select the view to edit.
  3. In the Edit Drawing View dialog box, select Redefine Boundary.
  4. Click OK.
  5. You can redefine the boundary by selecting a centerpoint if you want a circular boundary, or on the command line, entering e, p, r, or s to create an elliptical, polygonal, or rectangular boundary, or to select a closed clipping curve boundary.

  6. To redefine the boundary as an ellipse

    1. In the command line, enter E.
    2. Specify the center point for the elliptical area.
    3. Specify the radius of the X axis or specify a value for the diameter.
    4. Specify the radius of the Y axis or specify a value for the diameter. The boundary is redrawn in an elliptical shape.
    NoteIf the viewport border is visible, the border shape can be tweaked by grip editing and stretching the border.

    To redefine the boundary as a polygon

    1. In the command line, enter P.
    2. Specify the start point of the polygon area.
    3. Specify the next point.
    4. Continue to specify points until you create the polygon shape you want.
    5. Press ENTER. The boundary is redrawn in the polygon shape.

    To redefine the boundary as a rectangle

    1. In the command line enter R.
    2. Specify the first corner of the rectangular area.
    3. Specify the opposite corner. The boundary is redrawn as a rectangle.

    To select a closed clipping curve as the boundary

    1. Select a closed clipping curve to define the detail area. The boundary is redrawn using the closed curve.


To redefine viewport boundaries for broken views (Procedure)

Redefine Drawing View Viewport Borders
Up a level to ..
Redefine Drawing View Viewport Borders
Annotating Inventor 3D Models > Generate Drawing Views >
Redefine Drawing View Viewport Borders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To redefine viewport boundaries for broken views

  1. In the drawing area, right-click and select Edit View.
  2. Select one of the portions of the broken view.
  3. In the Edit Drawing View dialog box, select Modify Sub Views.
  4. Select Redefine Boundary, and then click OK.
  5. Select the sub-view to redefine.
  6. Select a vertex in the temporary view for the sub-view center.
  7. Drag a rectangle to redefine the sub-view. The boundary is redrawn for the broken view.


To control drawing viewport layers (Procedure)

Redefine Drawing View Viewport Borders
Up a level to ..
Control the Creation of Automatic Centerlines in Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Redefine Drawing View Viewport Borders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To control drawing viewport layers

You can thaw or freeze layers in a drawing viewport using the Viewport Layer Control dialog box from within the Edit Drawing View dialog box

Before you begin, create a base view with some annotations or geometry on different layers.

  1. In the drawing area, right-click and choose Edit View.
  2. Select the view to edit.
  3. In the Edit View dialog box, choose the Display tab.
  4. Choose Advanced Layer Control.
  5. In the Viewport Layer Control dialog box, select the Current VP Freeze icon for the layer(s) to thaw or freeze.
  6. Click OK.


Redefine Drawing View Viewport Borders (Quick Reference)

Redefine Drawing View Viewport Borders
Redefine Drawing View Viewport Borders
Redefine Drawing View Viewport Borders
Annotating Inventor 3D Models > Generate Drawing Views >
Redefine Drawing View Viewport Borders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMEDITVIEW

Provides the ability to modify attributes of a drawing view

Ribbon: None Does not exist on the ribbon.
Toolbar: Drawing Layout
Menu: Drawing Default [image] Edit View... Does not exist in the menus.
Command entry: ameditview

You can modify the scale, associativity, and hidden line display of a drawing view, as well as controls visibility of centerlines and viewport borders and layers.

Select view to edit: Select a drawing view

DIALOG BOX DEFINITIONS

Edit Drawing View Dialog Box

Properties Controls the properties of the selected view.
 | Scale Specifies a scale factor for the view.
 | Parametric Border Sizing When you select this option, view ports you define will persist after you update the view. If you clear this option, view ports you define will be lost when you update the view.
 | Relative to Parent Defines the scale factor relative to the parent view.
Hidden Lines Tab Controls the settings for hidden lines in drawing views.
 | Display Hidden Lines Displays hidden lines in the view.
 | Calculate Hidden Lines Turns on the Calculate Hidden Line option. If off, hidden lines are not calculated or displayed in the view.
 | Display Tangencies Displays tangent silhouettes in the view.
 | Remove Coincident Edges Removes duplicate edges in the view.
 | Display Interference Edges Calculates and displays the resulting edge when mating parts interfere in an assembly.
 | Display As Controls the display of hidden edges when the Calculate Hidden Lines option is disabled.
Display Tab Controls the display of annotations and edge properties for the selected view.
 | Annotation Creation Controls the display of tapped holes and parametric dimensions.
 | Tapped Hole Thread Lines Controls the display of tapped hole thread lines in a drawing view.
 | Parametric dimensions Controls the display of parametric dimensions in a drawing view.
 | Automatic Centerlines Controls the display of centerlines in a drawing view.
 | Centerline Settings Opens the Centerlines dialog box, where you control how centerlines and center marks appear in drawing views.

Detail Symbol

Controls the character labels for details and section views.

Label Pattern

Names a view according to a pattern controlled by symbol standards. The pattern uses the detail label <Detail_Label> and the detail scale <Detail_Scale> as variables in the pattern that serves as the view's name.

Redefine Boundary

Redraws the viewport boundary of a drawing view.

Drag rectangle around detail: Drag the cursor around the new view area.

Independent View Display

Controls whether or not the detail view's display properties are dependent on the parent view. If checked, options on the tabs become available. If unchecked, options on the tabs are not available.

Placement

Controls the placement of the selected view.

Move with Parent

If the view has an associated parent view, specifies whether the view moves when the parent view is moved.

No Alignment

Specifies no alignment with its parent view.

Horizontal

Aligns the view horizontally with its parent view.

Vertical

Aligns the view vertically with its parent view.

Automatic Centerlines dialog box

Controls the display of centerlines.

Holes

Displays centerlines for holes.

Fillets

Displays centerlines for fillets.

Circular Edges

Displays centerlines for circular edges.

Profile Projection

Displays centerlines in profile views.

Axial Projection

Displays centerlines in axial views.

View Layer Control dialog box

Freezes and thaws layers within the view.

Name

Lists layer names.

Current VP Freeze

Displays whether the layer is frozen or thawed.

Edge Properties Dialog Box

Controls the properties of selected edges.

COMMAND LINE OPTIONS

Enter an option (edge properties) [Remove all/Select/Unhide]<Select>: Choose an option or press ENTER

COMMAND LINE DEFINITIONS

Select

Selects edges to modify and then opens the Edge Properties dialog box.

Select Edges: Select an edge

Select Edges: Select another edge or press ENTER

Remove

Removes all edge property modifications made to the view.

Unhide All

Unhides all hidden edges in the view.

DIALOG BOX DEFINITIONS

Hide Edges

Specifies that selected edges are hidden.

Color

Specifies the color for the selected edges.

Layer

Specifies the layer for the selected edges.

Linetype

Specifies the linetype for the selected edges.

Linetype Scale

Specifies the linetype scale for the selected edges.

Standard Part Tab

Controls the representation of a part in the drawing view.

2D Representation

Sets 2D representation for standard 3D parts in the drawing view. This does not change the part in any way.

True

Represents a projected view of the part with all its details, as it is generated in Mechanical Desktop.

Standard

Represents a sectional view of the part with its details displayed.

Simplified

Represents a simplified sectional view of the part without the details.

Section Tab

Controls the settings for section views.

Type

Controls the type of section view.

None

Does not create a section view.

Full

Creates a full section view for base, auxiliary, broken, and orthographic views.

Half

Creates a half section view through a work plane or work point.

Offset

Creates an offset section view from base, orthographic, broken, or auxiliary views.

Aligned

Creates an aligned section view from base, orthographic, or auxiliary views.

Breakout

Creates a breakout section view from base, orthographic, or auxiliary views.

Radial

Creates a radial section view from base, orthographic, or auxiliary views.

Symbol

Specifies the symbol to use for section views.

Label

Specifies the label for the section view.

Hatch

Specifies whether a section view is hatched.

Pattern

Sets the hatch pattern and parameters for a section view. Opens the AutoCAD Hatch Patterns dialog box.

Hide Obscured Hatch

Hides hatch patterns normally out of view or obscured.

Hatch Pattern Dialog Box

Pattern Type

Specifies the type of hatch to use for section views. Cycle through the available patterns, by clicking the image tile, or select a type from the drop-down list. Valid types include Predefined, User-defined, and custom.

Hatch Style

Specifies the way hatch is applied. Cycle through the available styles, by clicking the image tile, or select a style from the drop-down list.

Pattern Properties

Specifies the properties of the selected hatch pattern.

ISO Pen Width

Specifies the ISO pen width to apply to the hatch pattern.

Pattern

Specifies the hatch pattern to use.

Custom Pattern

Specifies the custom hatch pattern to use.

Scale

Specifies the hatch pattern scale factor.

Angle

Specifies the angle to apply to the hatch pattern.

Spacing

Specifies the spacing to apply to user-defined hatch patterns.

Double

Specifies whether to double user-defined hatch patterns.

Exploded

Specifies whether to explode the hatch pattern.


Redefine Drawing View Viewport Borders (Quick Reference)

Redefine Drawing View Viewport Borders
Redefine Drawing View Viewport Borders
Control the Creation of Automatic Centerlines in Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Redefine Drawing View Viewport Borders
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMOPTIONS (Drawing tab)

Suppress Suppresses calculations to speed up working in Drawing mode.
 | Hidden Line Calculations Suppresses hidden lines calculations in all views when you enter Drawing mode.
 | Automatic View Updates Suppresses updating geometry in all views automatically when you enter Drawing mode.
 | Drawing Viewport Borders Hides drawing view borders.
 | Tapped Hole Thread Lines Suppresses the thread lines of a tapped hole in a drawing view.
Hatch
 | Pattern.. Opens the Hatch Patterns dialog box.
 | One Layer for Hatch Patterns Specifies that all hatch patterns are placed on the same layer.
 | Display Hatch in Iso Views Specifies that the hatch shows in isometric views.
View Entity Color Specifies the view color for visible edges, hidden edges, and hatch lines. You can use the part color, layer color, or part and feature color.
Parametric Dimension Display Sets the display of parametric dimensions for active part views, multiple part views, and section views. Also hides zero-length parametric dimensions, and arranges dimensions automatically.
Automatic Centerlines Defines the display of centerlines in a view automatically.
Settings Displays the Centerlines dialog box, where you control how centerlines and centermarks appear in drawing views.
Save Orphaned Annotations Saves orphaned annotations in a group named AM_ORPHAN, instead of removing them.
Copy Cutting Lines with Section Views Copies cutting lines when section views are copied.

Options - Hatch Pattern dialog box

Pattern Type Selects the type of pattern to use in the view: Pre-defined, User-defined, or Custom.
Hatch Style Defines the hatch style to use in the view: Normal, Outer, or Ignore.
Pattern Properties Modifies the properties of the selected hatch pattern.
 | Pattern Lists available hatch patterns for the selected pattern type.
 | Custom Pattern Specifies a predefined pattern in the acad.pat file or a custom pattern in its own PAT file.
 | Scale Expands or contracts a predefined or custom pattern. AutoCAD stores the scale in the HPSCALE system variable. This option is available only if the pattern type is set to Predefined or Custom.
 | Angle Specifies the angle for the hatch pattern in relation to the X-axis of the current UCS. AutoCAD stores the angle in the HPANG system variable.
 | Spacing Specifies the spacing of lines in a user-defined pattern. AutoCAD stores the spacing in the HPSPACE system variable. This option is available only if the pattern is set to User-defined.
 | Double Draws lines at 90-degree angles to the original.
 | Exploded Explodes a hatch pattern so that it no longer is a single entity, and each line can be moved separately and exhibit different properties.

Options - Centerlines dialog box

Apply to

Specifies which features the centerlines are applied to: holes, fillets, or circular edges.

In View Types

Specifies the type of view the centerlines are applied to: base, ortho, auxiliary, broken, detail, section, or iso.

Projection

Specifies whether the centerlines should be applied to axial or profile projects, or both.


Control the Creation of Automatic Centerlines in Drawing Views (Concept)

Redefine Drawing View Viewport Borders
Generate Drawing Views
Export Drawing Views to AutoCAD
Annotating Inventor 3D Models > Generate Drawing Views >
Control the Creation of Automatic Centerlines in Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Use centerlines and centermarks to designate holes, fillets, and circular edges in drawing views. The program creates both centerlines and centermarks on the current layer; both are attached to a view and move with it as you change the model.

You can set a default so that the program creates centerlines automatically on all drawing views with holes, fillets, or circular edges. You can also show centerlines for individual views.

You can define the size and characteristics of the centermark with the Options dialog box. You can also define them for individual views using the Settings button in the Edit Drawing View dialog box.

The AMCENLINE command uses four system variables to determine the size of centermarks and centerlines: AMCLGAP, AMCLOSHT, AMCLCM.and AMCLPAR


Control the Creation of Automatic Centerlines in Drawing Views (Procedure)

Redefine Drawing View Viewport Borders
Up a level to ..
Control the Creation of Automatic Centerlines in Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Control the Creation of Automatic Centerlines in Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set the default to create centerlines automatically

To control the display of centerlines for individual views

To define centerline properties for individual views

To hide or unhide centerline visibility using the Desktop Visibility dialog box


Control the Creation of Automatic Centerlines in Drawing Views (Quick Reference)

Redefine Drawing View Viewport Borders
Control the Creation of Automatic Centerlines in Drawing Views
Control the Creation of Automatic Centerlines in Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Control the Creation of Automatic Centerlines in Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCENLINE

AMCLFEAT System Variable

AMCLVIEW System Variable

AMAUTOCL System Variable

AMCLCM System Variable

AMCLGAP System Variable

AMCLOSHT System Variable

AMCLPAR System Variable


To set the default to create centerlines automatically (Procedure)

Control the Creation of Automatic Centerlines in Drawing Views
Up a level to ..
Control the Creation of Automatic Centerlines in Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Control the Creation of Automatic Centerlines in Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set the default to create centerlines automatically

  1. In the command line, enter AMOPTIONS, then click on the AM:Drawing tab.
  2. Select Automatic Centerlines.
  3. Choose Apply, and then click OK. Centerlines are displayed for any view you create from this point forward.


To control the display of centerlines for individual views (Procedure)

Control the Creation of Automatic Centerlines in Drawing Views
Up a level to ..
Control the Creation of Automatic Centerlines in Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Control the Creation of Automatic Centerlines in Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To control the display of centerlines for individual views

NoteThe procedure assumes that Automatic Centerlines is turned on in the Options dialog box. It also assumes that a base view and another view of a part that includes a hole, a circular edge, or a fillet already exists in the drawing area
  1. In the drawing area, right-click and choose Edit View.
  2. Select the view to edit.
  3. In the Edit Drawing View dialog box, choose the Display tab.
  4. Clear Centerlines, and then click OK. The centerlines are no longer displayed for that view. However, the centerlines in any other view remain visible.


To define centerline properties for individual views (Procedure)

Control the Creation of Automatic Centerlines in Drawing Views
Up a level to ..
Control the Creation of Automatic Centerlines in Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Control the Creation of Automatic Centerlines in Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To define centerline properties for individual views

NoteThe procedure assumes that Automatic Centerlines is turned on in the Options dialog box. It also assumes that a base view and another view of a part that includes a hole, a circular edge, or a fillet already exists in the drawing area
  1. In the drawing area, right-click and choose Edit View.
  2. Select the base view to edit.
  3. In the Edit Drawing View dialog box, choose the Display tab.
  4. Select Automatic Centerlines, and then choose Centerline Settings.
  5. In the Automatic Centerlines dialog box, change the centerline display to apply to holes, fillets, or circular edges. Remember that this is not just a visibility toggle. Centerlines are either created or deleted based on these settings.
  6. Define the projection display of the centerlines. The view type you are editing is already selected.
  7. Click OK.


To hide or unhide centerline visibility using the Desktop Visibility dialog box (Procedure)

Control the Creation of Automatic Centerlines in Drawing Views
Up a level to ..
Export Drawing Views to AutoCAD
Annotating Inventor 3D Models > Generate Drawing Views >
Control the Creation of Automatic Centerlines in Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To hide or unhide centerline visibility using the Desktop Visibility dialog box

NoteThe procedure assumes that Automatic Centerlines is turned on in the Options dialog box. It also assumes that a base view and another view of a part that includes a hole, a circular edge, or a fillet already exists in the drawing area
  1. Click None [image] None [image] At the Command prompt, enter AMVISIBLE.
  2. In the Desktop Visibility dialog box, select Hide.
  3. Select Centerlines, and then choose OK. The centerlines are no longer displayed in any drawing view.
  4. To redisplay the centerlines, enter AMVISIBLE.
  5. Select Unhide.
  6. Select Centerlines, and then choose OK. The centerlines are displayed in all views.
  7. To turn off the display of centerlines in one specific view, follow steps 1-2.
  8. Choose By View.
  9. Select the views to hide centerlines, and then press ENTER.
  10. Click OK.


Control the Creation of Automatic Centerlines in Drawing Views (Quick Reference)

Control the Creation of Automatic Centerlines in Drawing Views
Control the Creation of Automatic Centerlines in Drawing Views
Control the Creation of Automatic Centerlines in Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Control the Creation of Automatic Centerlines in Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCENLINE

The centerline is created on the current layer and is parametrically attached to the geometry it references.

You can create a centerline

  • Between two edges
  • Along the midpoint of an edge
  • At the center of a circle or arc

AMCENLINE uses the system variables AMCLGAP, AMCLOSHT, and AMCLCM to determine the size of the centermark and centerlines. Center mark size remains fixed throughout updates unless AMCLPAR is turned on.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcenline

COMMAND LINE OPTIONS

Select Edge: Select an edge, circle, or arc

Select mirrored edge or <RETURN>: Select another edge, circle, or arc, or press ENTER

Single Edge

If only one edge is selected, a centerline is created perpendicular to the selected linear edge through the midpoint. Trim the start and endpoints of the centerline.

Select first trim point: Specify a start point for the centerline

Select second trim point: Specify an endpoint for the centerline

Single Circle or Arc

If only one circle or arc is selected, a center mark is created at the center of the circle or arc.

Mirrored Edge

Creates the centerline along the mirror line between two selected edges or arcs. Trims the centerline to specified start and endpoints.

Select first trim point: Specify a start point for the centerline

Select second trim point: Specify an endpoint for the centerline


Control the Creation of Automatic Centerlines in Drawing Views (Quick Reference)

Control the Creation of Automatic Centerlines in Drawing Views
Control the Creation of Automatic Centerlines in Drawing Views
Control the Creation of Automatic Centerlines in Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Control the Creation of Automatic Centerlines in Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCLFEAT System Variable

Controls whether automatic centerlines are generated and for which features they are generated.

Type: | Integer
Initial value: | 5 (Circular extrusions and holes)
Possible values: | 0 - No features 1 - Holes 2 - Fillets 4 - Circular extrusions

Note: To obtain the combinations of settings, simply add the values. For example, to create centerlines for just holes and fillets, set AMCLFEAT=3.


Control the Creation of Automatic Centerlines in Drawing Views (Quick Reference)

Control the Creation of Automatic Centerlines in Drawing Views
Control the Creation of Automatic Centerlines in Drawing Views
Control the Creation of Automatic Centerlines in Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Control the Creation of Automatic Centerlines in Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCLVIEW System Variable

Defines the view types for which automatic centerlines are generated.

Type: | Integer
Initial value: | 63 (All except ISO)
Possible values: | 0 - No views 1 - Base views 2 - Ortho views 4 - Auxiliary views 8 - Broken views 16 - Detail views 32 - Section views 64 - Isometric views

Note: To obtain the combinations of settings, simply add the values. For example, to create centerlines for Ortho and Detail views, set AMCLVIEW=18.


Control the Creation of Automatic Centerlines in Drawing Views (Quick Reference)

Control the Creation of Automatic Centerlines in Drawing Views
Control the Creation of Automatic Centerlines in Drawing Views
Control the Creation of Automatic Centerlines in Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Control the Creation of Automatic Centerlines in Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMAUTOCL System Variable

Controls whether automatic centerlines are created at view creation for features.

Type: | Integer
Initial value: | 0
Possible values: | 0 - Off 1 - On


Control the Creation of Automatic Centerlines in Drawing Views (Quick Reference)

Control the Creation of Automatic Centerlines in Drawing Views
Control the Creation of Automatic Centerlines in Drawing Views
Control the Creation of Automatic Centerlines in Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Control the Creation of Automatic Centerlines in Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCLCM System Variable

Controls the length of centerline annotations.

Type: | Real
Initial value: | English drawings: 0.1 Metric drawings: 2.8
Possible values: | Only positive numbers are allowed.


Control the Creation of Automatic Centerlines in Drawing Views (Quick Reference)

Control the Creation of Automatic Centerlines in Drawing Views
Control the Creation of Automatic Centerlines in Drawing Views
Control the Creation of Automatic Centerlines in Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Control the Creation of Automatic Centerlines in Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCLGAP System Variable

Controls gaps in centerline annotations.

Type: | Real
Initial value: | English drawings: 0.156 Metric drawings: 4
Possible values: | Only positive numbers are allowed.


Control the Creation of Automatic Centerlines in Drawing Views (Quick Reference)

Control the Creation of Automatic Centerlines in Drawing Views
Control the Creation of Automatic Centerlines in Drawing Views
Control the Creation of Automatic Centerlines in Drawing Views
Annotating Inventor 3D Models > Generate Drawing Views >
Control the Creation of Automatic Centerlines in Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCLOSHT System Variable

Controls the length of centerline overshoot beyond an object.

Type: | Real
Initial value: | English drawings: 0.11 Metric drawings: 2.8
Possible values: | Only positive numbers are allowed.


Control the Creation of Automatic Centerlines in Drawing Views (Quick Reference)

Control the Creation of Automatic Centerlines in Drawing Views
Control the Creation of Automatic Centerlines in Drawing Views
Export Drawing Views to AutoCAD
Annotating Inventor 3D Models > Generate Drawing Views >
Control the Creation of Automatic Centerlines in Drawing Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCLPAR System Variable

Controls whether the overshoot line length of a centerline is parametrically changed during updates.

Type: | Integer
Initial value: | 1
Possible values: | 0 - Off 1 - On


Export Drawing Views to AutoCAD (Concept)

Control the Creation of Automatic Centerlines in Drawing Views
Generate Drawing Views
Add iProperties as BOM Columns
Annotating Inventor 3D Models > Generate Drawing Views >
Export Drawing Views to AutoCAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Because the program requires special library files to open an Inventor linked file, even if you use the Save As option and save the file to the AutoCAD format, information loss occurs. You can however use the AMVIEWOUT command to export drawing views to AutoCAD.

AMVIEWOUT enables you to export drawing views or an entire layout. However, if the layout contains two or more base views with different scales, the program cannot export them true scale at the same time. It can export them at their current scales, and it can export them true scale separately.


To export drawing views of an Autodesk Inventor linked model to AutoCAD (Procedure)

Control the Creation of Automatic Centerlines in Drawing Views
Up a level to ..
Add iProperties as BOM Columns
Annotating Inventor 3D Models > Generate Drawing Views >
Export Drawing Views to AutoCAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To export drawing views of an Autodesk Inventor linked model to AutoCAD

  1. Click None [image] None [image] At the Command prompt, enter AMVIEWOUT.
  2. To export the current layout, from the Source list, select Current Layout. To export specific views only:
    1. From the source list, select Select Views/Entities.
    2. Click Select. The dialog box hides.
    3. From the layout, click the drawing views you want to export and press ENTER The dialog box is displayed again.
  3. In the File Name box, type the name of the file you want to export to.
  4. Under Export Options, select the To new external file option and from the adjacent list, select the destination (Model Space or Layout).
  5. In the Save as type box select the format you want to export to.
  6. Click OK.
NoteIf the layout contains two or more base views with different scales, they cannot be exported true scale via AMVIEWOUT at the same time. They can be exported at their current scales, and they can be exported true scale separately; but they cannot be exported true scale at the same time.


Export Drawing Views to AutoCAD (Quick Reference)

Control the Creation of Automatic Centerlines in Drawing Views
Export Drawing Views to AutoCAD
Add iProperties as BOM Columns
Annotating Inventor 3D Models > Generate Drawing Views >
Export Drawing Views to AutoCAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMVIEWOUT

Exports drawing views to an AutoCAD drawing file.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amviewout

You typically use this command to export and convert drawing views of Inventor linked 3D models into 2D AutoCAD data. Data can be exported to a new layout in the current file or to an external file.

DIALOG BOX DEFINITIONS

Export Drawing Views Dialog Box

Source Specifies the data to be exported. The Current Layout option will export all entities on the current layout. Use Select Views/Entities to select specific views and/or entities that you want to export. The Select button is unavailable unless the Select Views/Entities option is selected in the source field.
Data Handling Determines how to handle the export data.
 | Export Views True Scale Exports views true scale. Any views not already (1:1) are automatically scaled on export (excluding iso and detail views). If two or more base views have different scales, a warning dialog box appears, and the operation is disallowed.
 | Flatten all Selected Objects Flattens all source data automatically (including any 3D AutoCAD entities). If this option is not checked, then only Mechanical Desktop objects are flattened.
 | Convert Circular/Linear Splines to Circles/Lines Converts splines that project to 2D arcs, circles, and lines.
Generate Preview Image Provides the choice of generating a quick preview of the exported data. This preview is the same one that is generated for WBLOCK operations.
File name Specifies the name of the output file. The default file name is the current drawing name plus “views” and an increment.
Export Options Provides choice of exporting to a new layout in the current file or to a new external file. When exporting to a new external file, the destination can be model space or in layout.
Save as type The user can specify the format of the new file. The choices include past and present versions of AutoCAD, past and present versions of DXF and AutoCAD template (.DWT)
Binary Format (only available for DXF files) Exports the file in binary format when exporting in .dxf file format. If this check box is checked (ON), then the DXF Precision check box is unavailable.
DXF Precision (only available for DXF files) Exports the ASCII data with a specific precision when exporting in .dxf file format.


Add iProperties as BOM Columns (Concept)

Export Drawing Views to AutoCAD
Annotating Inventor 3D Models
When the Inventor Model is Modified at the Source
Annotating Inventor 3D Models >
Add iProperties as BOM Columns
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When you create an Autodesk Inventor linked file, the program adds iProperties from the part/assembly file to the Bill of Materials (BOM). iProperties are available for display in places such as the title blocks and parts lists. Common iProperties such as Quantity, Material, and Vendor are selected as BOM columns automatically. To use other iProperties like custom iProperties, explicitly add them as BOM columns


Add iProperties as BOM Columns (Quick Reference)

Export Drawing Views to AutoCAD
Add iProperties as BOM Columns
Add iProperties as BOM Columns
Annotating Inventor 3D Models >
Add iProperties as BOM Columns
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBOM

BOM Settings dialog box

More properties dialog box


To add iProperties of an Autodesk Inventor model as BOM columns (Procedure)

Export Drawing Views to AutoCAD
Add iProperties as BOM Columns
When the Inventor Model is Modified at the Source
Annotating Inventor 3D Models >
Add iProperties as BOM Columns
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add iProperties of an Autodesk Inventor model as BOM columns

  1. Click None [image] None [image] At the Command prompt, enter AMBOM.
    NoteWhen the menu command is invoked for the very first time, the BOM dialog box may not display immediately.
  2. Click Settings. The BOM Settings dialog box is displayed.
  3. To add an iProperty to the BOM:
    1. In the Available component properties list, click the row heading of the component property you want to add to the BOM. The entire row is selected.
    2. Click Add to. The component property is added to the bottom of the list in the BOM tab.
      NoteThe Add to button is unavailable if the selected component property is already added.
  4. If the iProperty you want to add to the BOM is not visible:
    1. Click More. The More Properties dialog box is displayed.
    2. With the CTRL key pressed, click the iProperties you need.
  5. Click OK. You are returned to the BOM Settings dialog box.
  6. In the BOM tab, select the iProperties one by one and use the Move up or Move down buttons to position them appropriately.
  7. Click OK until all dialog boxes close.


Add iProperties as BOM Columns (Quick Reference)

Add iProperties as BOM Columns
Add iProperties as BOM Columns
Add iProperties as BOM Columns
Annotating Inventor 3D Models >
Add iProperties as BOM Columns
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMBOM

Creates, edits, or deletes Bills of Materials (BOMs)

Ribbon: Annotate tab [image] BOM panel [image] BOM Database. Does not exist on the ribbon.
Toolbar: Bill of Materials
Menu: Annotate [image] BOM Database Does not exist in the menus.
Command entry: ambom
NoteThis command displays the BOM dialog box only if the CMDDIA system variable equals 1.

COMMAND LINE OPTIONS

Specify BOM to create or set current [Main/?] <Main>: To select or create the main BOM, enter M. To select or create a Border BOM, click the corresponding border in model space. To see a list of existing BOM databases, enter ?. To create or set the current database to one of the listed BOMs, type the name of the BOM and press ENTER.

If a BOM exists in the drawing, the following prompt appears:

BOM table [Delete/Edit] <Edit>: Press ENTER to edit the BOM or enter D to delete the BOM.


Add iProperties as BOM Columns (Quick Reference)

Add iProperties as BOM Columns
Add iProperties as BOM Columns
Add iProperties as BOM Columns
Annotating Inventor 3D Models >
Add iProperties as BOM Columns
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

BOM Settings dialog box

Use this dialog box to configure component properties and set up defaults for parts lists, balloons and data capture for the BOM.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Available component properties

Contains a list of component properties that can be used as columns for BOMs and parts lists. To make a property visible in the BOM, Parts list or in the Component Property section of the Part Reference dialog box and Properties dialog box, drag the property from this list to the list of properties in the corresponding tab.

Property

Defines the name of the component property. This name uniquely identifies a component property. This is the name by which a BOM column is referred to in formulas.

Caption

Defines the column header to be displayed for this property, when it is used as a column in a BOM table or parts list.

Data type

Specifies the data type for the property.

The text data type allows all alphanumeric characters while the numeric data type allows only numeric characters 0 -9. If you need to store a value such as 4 1/2”, you must set the data type to Text.

Value

Specifies the default value for the property. When you click in a cell, the [image] button appears. Click [image] to launch the expression builder, which will assist you create formulas and pre-defined lists (drop-down lists containing possible values) for the property. If required, you can enter the formula or the pre-defined list directly, without using the expression builder.

If the text in this column is red, it means that the expression contains a syntax error. If you invoke the expression builder at this time, it will show you entries up to the position the syntax error occurs.

NoteOnly syntax errors in expressions for pre-defined lists are shown in this manner.

Precision

Specifies the number of decimals to be used round off numerical data for that property. Precision is defined in the form of 0.000 where the number of zeros (0) after the decimal point indicates the number of decimals to use.

Lead zero

Specifies the number of leading zeros (0) to be used when displaying numerical data for that property. Leading zeros are defined in the form of 00.0 where the number of zeros (0) before the decimal point indicates the minimum number of digits that must exist before the decimal point.

Lock

Prevents the component property data from being edited in the BOM, Parts List, Part Reference and Properties dialog boxes.

Sum

Controls if the component property should be summed and displayed in the result bar of the BOM and Parts List dialog boxes.

New

Displays the last row of the Available component properties list, to enable you to add a new row and thereby create a user-defined component property.

TipIt is better to use the pre-defined component properties User1 to User8 (available via the More button) as these are better supported by the system. For example, when creating custom parts lists, to be able to properly fit text into columns, you must use property ids. The property ids for user defined columns are not known before hand and hence cannot be supported. However, the property ids for the pre-defined columns are known.

Delete

Removes the row selected in the Available component properties list. If the property is a user-defined property, the property is deleted. If not the property is added to the list of additional pre-defined component properties. The additional component properties are shown in the more component properties dialog box, which appears when you click the More button. This Delete button is available only if the entire row is selected.

More

Opens a list of additional pre-defined component properties to add to the Available component properties list.

Add to

Adds the row selected in the Available component property list, to the list of properties in the currently selected tab below the Available component properties list. This button is not available if the entire row is not selected or if the current tab is the Balloon tab.

Component properties tab

Component properties list

Displays the component properties that will be visible in the Part Reference dialog box and Properties dialog box.

Property

Displays the name of the component property.

Display prompt

Defines the prompt to be displayed for that property in the Part References dialog box and Properties dialog box. For example, you can set the caption for the Name property to Enter the name of the component.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in the Part Reference dialog box and the Properties dialog box.

NoteSync does not add QTY and ITEM.

BOM tab

Component properties list

Displays the component properties that will be visible in the BOM dialog box.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column headings are aligned in the BOM dialog box.

Value alignment

Defines the how the data rows are aligned in the BOM dialog box.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Default View

Sets how BOM items are displayed by default.

NoteThe Default view is not visible if you are working in the GOST standard.

Expanded (parts only)

Sets BOM representation to the expanded view, where BOM items correspond to parts and parts from the different assemblies are summed together. However, parts from xref assemblies are not merged with parts from the host drawing nor are they merged with parts from other xref assemblies.

Structured

Sets BOM representation to the structured view, where parts are collected under the assemblies they belong to and are summed only within that assembly.

Use Assembly Path

Appends the item number of the assembly to the front of the item number of a part. For example, if the item number of the assembly is 2 and the separator is “-”, the item numbers of the parts that belong to that assembly will typically be 2-1, 2-2 and so on.

Separator

Specifies the character to use as the separator.

Parts list tab

NoteThe Parts list tab is not visible if you are working in the GOST standard.

Component properties list

Displays the component properties that will be visible in Parts Lists, by default.

Property

Displays the name of the component property.

Caption alignment

Defines the how the column heading are aligned in parts lists.

Value alignment

Defines the how the data rows are aligned in parts lists.

Width

Defines the column width for the property in the parts list.

Move Up

Moves the selected row or range of rows in the Component properties list, one position up. This button is available only if entire rows are selected.

Move Down

Moves the selected row or range of rows in the Component properties list, one position down. This button is available only if entire rows are selected.

Remove

Removes the selected row or range of rows from the Component properties list. This button is available only if entire rows are selected.

Sync

Synchronizes the component properties list with the component properties list in the BOM tab. Consequently, all component properties visible in the BOM will be made visible in parts lists.

Default style

Standard

Switches the parts list style to a standard based parts list.

Displays a dialog box, which enables you to customize settings applicable to standard based parts lists.

Custom

Switches the parts list style to a custom parts list. The list shows all blocks that can be used as custom parts lists. If the blocks to use are in an external drawing, select Browse (last entry in the list).

Balloon tab

Category

Displays different categories of references or functions that you can use in the expression for balloon text. This option is not available for custom balloons (because the expression to use for balloon text is defined within the block used for the custom balloon).

Select

Displays a list of references that belong to the selected category or a list of functions, as the case may be.

Add

Inserts the reference selected in the Select list to the Expression box. The reference is inserted at the insertion point within the Expression box. If there is no explicit insertion point, the reference is appended to the end of any existing expression.

Expression

Defines the formula to be used for balloon text.

Default style

Standard

Switches the appearance of the balloon to that defined by the drafting standard.

Displays a dialog box, which enables you to customize settings applicable to standard based balloon.

Custom

Switches the appearance of the balloon to a custom style defined via a block. If the block to use is in an external drawing, select Browse (last entry in the list).

Restore Defaults

Resets all settings to the default settings for the current drafting standard.
See Also
    • About formulas


Add iProperties as BOM Columns (Quick Reference)

Add iProperties as BOM Columns
Add iProperties as BOM Columns
When the Inventor Model is Modified at the Source
Annotating Inventor 3D Models >
Add iProperties as BOM Columns
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

More properties dialog box

Use this dialog box to add component properties, from a list of pre-configured component properties, to the list of available properties in the BOM settings dialog box.

List of properties

Displays a list of properties that you can add to the Available component properties list in the BOM settings dialog box. To select contiguous rows, SHIFT-click the first and the last property to add. To select non-contiguous rows, CTRL-click the rows.

OK

Makes the selected properties visible in the Available component properties list in the BOM Settings dialog box.


When the Inventor Model is Modified at the Source (Concept)

Add iProperties as BOM Columns
Annotating Inventor 3D Models
Override Visibility of a Part or Subassembly
Annotating Inventor 3D Models >
When the Inventor Model is Modified at the Source
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When a part or assembly file to which you have linked changes, the program highlights the changed file in the browser. When you right-click the highlighted file and select Update from the menu, the program updates the model as well as all generated drawings views.

If you have overridden parametric dimensions (for example, adding tolerance values to a parametric dimension), the program discards those overrides. None of the other dimensions are affected.

As with parametric dimensions, if you override any of the BOM columns derived from iProperties, they are overridden.


To update an Autodesk Inventor linked model (Procedure)

Add iProperties as BOM Columns
When the Inventor Model is Modified at the Source
Override Visibility of a Part or Subassembly
Annotating Inventor 3D Models >
When the Inventor Model is Modified at the Source
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To update an Autodesk Inventor linked model

  1. In the Model tab of the browser, right click the name of the file. A menu is displayed.
  2. Select Update. The 3D model and all views in paper space are updated.
Note
  1. All tolerance overrides on parametric dimension are lost during the update operation. Reference dimensions are not affected.
  2. BOM table overrides are also lost when you during the update operation.


When the Inventor Model is Modified at the Source (Quick Reference)

Add iProperties as BOM Columns
When the Inventor Model is Modified at the Source
Customize standard parts with the Val-Editor
Annotating Inventor 3D Models >
When the Inventor Model is Modified at the Source
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMIVUPDATE

Use AMIVUPDATE to reread the Autodesk Inventor part or assembly files and refresh the 3D model in model space and all views in paper space.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amivupdate

When a drawing file that is linked to an Autodesk Inventor part or assembly is out of synchronization, the browser highlights the affected part, assembly view nodes, in yellow. Additionally, a bubble window in the status bar may appear, notifying you that a newer version is available.

Note: When the drawing file is out of synchronization, you cannot update views and the program does not make new annotations associative.


Override Visibility of a Part or Subassembly (Concept)

When the Inventor Model is Modified at the Source
Annotating Inventor 3D Models
Miscellaneous advanced tools
Annotating Inventor 3D Models >
Override Visibility of a Part or Subassembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

AutoCAD Mechanical gives you the ability to override the visibility of parts and subassemblies in an Inventor linked .dwg file. When you enable visibility overrides, the program ignores visibility settings made in Inventor even when you update the .dwg file.


Override Visibility of a Part or Subassembly (Procedure)

When the Inventor Model is Modified at the Source
Override Visibility of a Part or Subassembly
Override Visibility of a Part or Subassembly
Annotating Inventor 3D Models >
Override Visibility of a Part or Subassembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To enable visibility overrides

To turn off the visibility of a part or subassembly

To turn on the visibility of a part or subassembly:

To disable visibility overrides


To enable visibility overrides (Procedure)

Override Visibility of a Part or Subassembly
Override Visibility of a Part or Subassembly
Override Visibility of a Part or Subassembly
Annotating Inventor 3D Models >
Override Visibility of a Part or Subassembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To enable visibility overrides

  1. In the browser, right-click the root node. A menu is displayed.
  2. If there is a tick mark in front of the Override Visibility menu option, visibility overrides are already enabled. If not, select the Override Visibility menu option.


To turn off the visibility of a part or subassembly (Procedure)

Override Visibility of a Part or Subassembly
Override Visibility of a Part or Subassembly
Override Visibility of a Part or Subassembly
Annotating Inventor 3D Models >
Override Visibility of a Part or Subassembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To turn off the visibility of a part or subassembly

  1. In the browser, right-click the part or subassembly. A menu is displayed.
  2. Select Visible. The tick mark in front of the menu option disappears.


To turn on the visibility of a part or subassembly: (Procedure)

Override Visibility of a Part or Subassembly
Override Visibility of a Part or Subassembly
Override Visibility of a Part or Subassembly
Annotating Inventor 3D Models >
Override Visibility of a Part or Subassembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To turn on the visibility of a part or subassembly:

  1. In the browser, right-click the part or subassembly. A menu is displayed.
  2. Select Visible. A tick mark appears in front of the menu option.


To disable visibility overrides (Procedure)

Override Visibility of a Part or Subassembly
Override Visibility of a Part or Subassembly
The Val-Editor
Annotating Inventor 3D Models >
Override Visibility of a Part or Subassembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To disable visibility overrides

  1. In the browser, right-click the root node. A menu is displayed.
  2. If there is no tick mark in front of the Override Visibility menu option, visibility overrides are already disabled. If not, select the Override Visibility menu option.


Miscellaneous advanced tools

Override Visibility of a Part or Subassembly
The Val-Editor
Miscellaneous advanced tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • The Val-Editor
  • The Mask Editor
  • Script Generator
  • System Editor


The Val-Editor

Miscellaneous advanced tools
Miscellaneous advanced tools
Customize standard parts with the Val-Editor
Miscellaneous advanced tools >
The Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Customize standard parts with the Val-Editor
  • Share val-tables with other computers
  • Migrate val-tables to a newer version


The Val-Editor (Procedure)

Override Visibility of a Part or Subassembly
The Val-Editor
Customize standard parts with the Val-Editor
Miscellaneous advanced tools >
The Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To add standard parts of user defined sizes

To create a custom field for a standard part

To migrate val-tables to a newer version

To validate a val-table

To share val-tables over the network

Working with the val-table window

To set the standard part sizes that a preselection filters will pick

To edit standard parts using the Val-Editor

To customize a material in the standard parts database

To change material of standard part library items

To share val-tables over the network

To migrate val-tables to a newer version


Customize standard parts with the Val-Editor (Concept)

The Val-Editor
The Val-Editor
Share val-tables with other computers
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The Val-Editor (Value Editor) is a database editor that enables you to modify val-tables; a collection of database tables that store the parameters of standard parts.

The standard parts database included with AutoCAD Mechanical is based on standard books and generally does not require modification. However, the Val-Editor is useful for modifying the database for these reasons:

  • To add a part to an existing family of parts. For example, a screw identical to one in the standard parts database, but with a different length.
  • To change the material of a specific item in the parts library.
  • To add a custom material to the standard parts database or modify a property such as the density of an existing material.
  • To exclude some parts (or include already excluded parts) from the company preselection filter, giving designers access to only standard parts that are readily available from your suppliers.


Customize standard parts with the Val-Editor (Procedure)

The Val-Editor
Up a level to ..
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add standard parts of user defined sizes

To create a custom field for a standard part

To migrate val-tables to a newer version

To validate a val-table

To share val-tables over the network

Working with the val-table window

To set the standard part sizes that a preselection filters will pick

To edit standard parts using the Val-Editor

To customize a material in the standard parts database

To change material of standard part library items


Customize standard parts with the Val-Editor (Quick Reference)

When the Inventor Model is Modified at the Source
Customize standard parts with the Val-Editor
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Find dialog box

Restrictions dialog box

Replace dialog box

Valsearch window

Value Table Header dialog box

Column Properties dialog box

Program Options dialog box

Value table window


To add standard parts of user defined sizes (Procedure)

Customize standard parts with the Val-Editor
Up a level to ..
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add standard parts of user defined sizes

While creating a standard part of a customized size, you will have to fill the columns of a table. Although the columns to be filled differ from part to part, the process of adding the part is similar. This help page uses the example of adding an ANSI 1/4-20 x 5 1/2 inch socket head cap screw to the standard parts database. By default, there is no such size in the standard parts database and has to be added using the VAL-Editor.

To add the screw:

  1. From AutoCAD Mechanical, in the command line, enter AMOPTIONS. The Options dialog box is displayed.
  2. Click the AM:Content tab.
  3. Under the database section, click the Edit button. The Edit Standard Parts Database dialog box is displayed.
  4. From the list on the left, expand the tree: Standard Content >ANSI > Fasteners > Screws and Threaded Bolts > Socket Head Types > Hexagon Socket Head Cap Screw - UNC (Regular Thread - Inch).
  5. Click Edit ValueTable. The VAL-Editor starts.
  6. Expand the Size column to view the complete description and scroll down to find the 1/4-20 - 5 screw.
  7. Select the entire row by clicking the row label on the left.
  8. From the VAL-Editor menu bar, select Insert > Insert Row. A new row is added. The RID column contains a value.
  9. Copy and paste all of the data, with the exception of the RID (ID Number), from the 5 inch screw to the new row.

    Both screws are now identical with the exception of the RID (ID number).

  10. In the Size column for the newly added screw, change the description to reflect the new length. For this example, use 1/4-20 - 5 1/2.
  11. In the Nominal Length column, change the value to 5.50000.
  12. From the VAL-Editor menu bar, select File > Save.
  13. Close the VAL-Editor.

    You now have an ANSI 1/4-20- 5 1/2 screw in the standard parts database.


To create a custom field for a standard part (Procedure)

Customize standard parts with the Val-Editor
Up a level to ..
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a custom field for a standard part

Custom fields are usually used to link a standard part table to another database application.

  1. From AutoCAD Mechanical, in the command line, enter AMOPTIONS. The Options dialog box is displayed.
  2. Click the AM:Content tab.
  3. Under the database section, click the Edit button. The Edit Standard Parts Database dialog box is displayed.
  4. Expand the tree and select the part you want to add the custom field to.
  5. Click Edit ValueTable. The VAL-Editor starts.
  6. Scroll to the position that you want to insert the column and right click the column header.
  7. From the menu that is displayed, select Insert Column. The Column properties dialog box is displayed.
  8. If the column is to contain a calculated value:
    1. In the Column Type list, select Calculated
    2. In the Formula box, type the formula.

    If the column is to contain a constant value across all rows:

    1. In the Column Type list, select Global
    2. In the Constant Value box, type the value.

    If the column is to be populated via data entry from the val-table window:

    1. In the Column Type list, select Normal
    2. In the Default Value box, type a value that new cells of this column should default to.
  9. In the Column Name box, type a unique name for the column.
  10. In the Description box, type a description that is short enough to be displayed on the column header.
  11. In the format box, select the data type and data width of the column contents.
  12. If the column is to contain a measurable entity:
    1. In the Dimension box, select or type the name of the entity to be measured.
    2. In the Unit box, select or type the units of measurement.

      If the column will not contain a measurable entity, set both Dimension and Unit to [none].

    3. If the new field is to update the BOM when a part is inserted to a drawing, in the Position in Bill of Materials list, select the BOM column to update.
    4. Click OK.
  13. From the VAL-Editor menu bar, select File > Save.
  14. Close the VAL-Editor.


To migrate val-tables to a newer version (Procedure)

Customize standard parts with the Val-Editor
Up a level to ..
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To migrate val-tables to a newer version

Migrating customized standard parts involves backing up all *.val files and restoring them back to the same folder on the newer version. There are many ways to backup standard parts. This help page uses the example of the XCOPY command as used in a Windows XP based system.

Migrating is performed in three stages

    • Stage 1 - Backup standard part files
    • Stage 2 - Uninstall existing version of AutoCAD Mechanical and install the newer version
    • Stage 3 - Restore standard part files.

This help page provides instructions for stages 1 and 3 only.

Stage 1 - Backup Standard Part files:

On the C drive of your computer, create a folder to hold a backup copy of the standard parts (e.g. C:\STD_PRT_BACKUP).

  1. From the Start menu, click run. The run dialog box is displayed
  2. In the Open box type CMD. A Command window opens.
  3. Use the CD command and change to the GEF sub directory of the ACADM folder.
  4. Type XCOPY *.val C:\STD_PRT_BACKUP /s and press ENTER. All customized standard parts are copied to the STD_PRT_BACKUP folder, including those in sub folders.

Stage 3- Restore Standard Part files

  1. From the Start menu, click run. The run dialog box is displayed
  2. In the Open box type CMD. A Command window opens.
  3. Use the CD command and change to the GDB folder.
  4. Type XCOPY C:\STD_PRT_BACKUP /s and press ENTER. All customized standard parts are restored to the correct sub folders, under the GDB folder.


To validate a val-table (Procedure)

Customize standard parts with the Val-Editor
Up a level to ..
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To validate a val-table

To validate the table:

  • From the VAL-Editor menu bar, click Tools > Check Table.

To validate formulas only:

  • From the VAL-Editor menu bar, click Tools > Check Formulas.

To validate imports only:

  • From the VAL-Editor menu bar, click Tools > Check Imports.


To share val-tables over the network (Procedure)

Customize standard parts with the Val-Editor
Up a level to ..
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To share val-tables over the network

The following tasks have to be performed to share val-tables over the network.

  • Task 1 - Share the GDB folder on the computer containing the modified files, such that other computers on the network can access the GDB folder over the network.
  • Task 2 - Point to the shared folder from other computers so that AutoCAD Mechanical can access the shared resource instead of referring the standard part database on the local hard disk.

This help page provides instructions for task 2 only. Please refer to the Windows' Help and Support Center for instructions on how to share a folder.

Task 2 - Pointing to the shared folder:

From AutoCAD Mechanical, in the command line, enter AMOPTIONS. The Options dialog box is displayed.

  1. Click the AM:Content tab.
  2. Click [image] next to the Database Configuration File box. A dialog box that lets you locate files is displayed.
  3. Locate the shared folder, select the file Database.cfg and click Open.
  4. Click OK to close the options dialog box. Standard part information will now be picked up from the shared folder.


Working with the val-table window (Procedure)

Customize standard parts with the Val-Editor
Up a level to ..
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Working with the val-table window

You can perform the following operations from the val-table window:

Display/Hide columns

To hide a column:

  • Right-click the column header and select Hide Columns.

To display a hidden column:

  1. Right-click any column header and select Show Hidden Columns. The Unhide Columns dialog box is displayed.
  2. From the Hidden columns list, select the column you want to unhide and click Show.

To display/hide special columns:

  1. From the VAL-Editor menu bar, select Tools > Settings. The Program Options dialog box is displayed.
  2. Click the Visibility tab.
  3. To make the columns of a specific type visible, select the check box adjacent to the column type. To hide columns of a specific type, clear the check box adjacent to the column type.
  4. Click OK.
Add a new row

Adding a new row to a val-table amounts to adding a user defined size for an existing standard part. In order to preserve the integrity of the val-table, it is recommended that you locate the part that is closest to the one you require, copy all its parameters to a new row and customize properties to suit.

  1. Scroll down to find the part that is closest to the one you wish to add.
  2. Select the entire row by clicking the row label on the left-hand side.
  3. From the VAL-Editor menu bar, select Insert > Insert Row. A new row is added. The RID column contains a value.
  4. Copy and paste all of the data, with the exception of the RID (ID Number), from the row you selected in step 2. Both rows are now identical with the exception of the RID (ID number).
  5. Modify the appropriate columns as required.
Add a new column

Adding a new column amounts to adding a new field to a val-table. New fields are usually added to either update the BOM table with a custom value or to contain information to link the standard part database with a third party database application such as an EDM system.

  1. Scroll to the position that you want to insert the column and right click the column header.
  2. From the menu that is displayed, select Insert Column. The Column properties dialog box is displayed.
  3. If the column is to contain a calculated value:
    1. In the Column Type list, select Calculated
    2. In the Formula box, type the formula.

    If the column is to contain a constant value across all rows:

    1. In the Column Type list, select Global
    2. In the Constant Value box, type the value.

    If the column is to be able to accept data entry from the val-table window:

    1. In the Column Type list, select Normal
    2. In the Default Value box, type a value that new cells of this column should default to.
  4. In the Column Name box, type a unique name for the column.
  5. In the Description box, type a description that is short enough to be displayed on the column header.
  6. In the format box, select the data type and data width of the column contents.
  7. If the column is to contain a measurable entity:
    1. In the Dimension box, select or type the name of the entity to be measured.
    2. In the Unit box, select or type the units of measurement.

    If the column will not contain a measurable entity set both Dimension and Unit to [none].

  8. If the new field is to update the BOM when a part is inserted to a drawing, in the Position in Bill of Materials list, select the BOM column to update.
  9. Click OK.
Size rows/columns to fit

To size a row to fit:

  1. Click anywhere inside the row.
  2. From the VAL-Editor menu bar, select Format > Optimal height. The row height adjusts to fit all information in that row.

To size a column to fit:

  1. Click anywhere inside the column.
  2. From the VAL-Editor menu bar, select Format > Optimal width. The row height adjusts to fit all information in that row.
Freeze Panes

Freezing panes lets you fix rows/columns such that they remain visible while you scroll.

  1. Click the cell below and to the right of the rows and columns you want to freeze.
  2. From the VAL-Editor menu bar, select Window > Fix /Cancel Fixing.


To set the standard part sizes that a preselection filters will pick (Procedure)

Customize standard parts with the Val-Editor
Up a level to ..
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set the standard part sizes that a preselection filters will pick

The AM:Content tab on the Options dialog box lets you setup filters that eliminate unnecessary standard parts from selection lists. Preselection filters group standard parts as Standard and Company parts and give you the ability to filter by them. This help page discusses how to specify the sizes of a standard part that belong to each group. The procedure is explained using the example of a hexagon socket head cap screw. The same procedure can be used for other standard parts.

To setup which sizes of a hexagon socket head cap screw belong to each preselection filter:

  1. From AutoCAD Mechanical, in the command line, enter AMOPTIONS. The Options dialog box is displayed.
  2. Click the AM:Content tab.
  3. Under the database section, click the Edit button. The Edit Standard Parts Database dialog box is displayed.
  4. From the list on the left, expand the tree: Standard Content > ANSI > Fasteners > Screws and Threaded Bolts > Socket Head Types > Hexagon Socket Head Cap Screw - UNC.
  5. Click Edit ValueTable. The VAL-Editor starts.
  6. Expand the Size column to view the complete description.
  7. To make a size available for all preselection filters:
    • Scroll down to find the screw of the appropriate size and in the PAST Part Status Column, select A.

    To make a size available only for the preselection filter named Standard:

    • Scroll down to find the screw of the appropriate size and in the PAST Part Status Column, select S.

    To make a size available only for the preselection filter named Company:

    • Scroll down to find the screw of the appropriate size and in the PAST Part Status Column, select C.

    To make a size available only for the preselection filter named All:

    • Scroll down to find the screw of the appropriate size and in the PAST Part Status Column, select N.
  8. Once preselection filters for all sizes have been set, from the VAL-Editor menu bar, select File > Save.
  9. Close the VAL-Editor.


To edit standard parts using the Val-Editor (Procedure)

Customize standard parts with the Val-Editor
Up a level to ..
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To edit standard parts using the Val-Editor

  1. Click Content tab [image] Library pnale [image] Parts Library At the Command prompt, enter AMCONENTMANAGER.
  2. In theContent panel, locate the part whose data you want to edit.
  3. Click on the part to select it.
  4. Click Edit. In the Content Properties Table, you can edit standard content database values.
  5. Save the changes you have made. The dialog box closes.
NoteNormally there is no reason to change, delete, or add any values. AutoCAD Mechanical uses standard values from standard books for the delivered standards.


To customize a material in the standard parts database (Procedure)

Customize standard parts with the Val-Editor
Up a level to ..
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To customize a material in the standard parts database

Although it is possible to directly customize a material, it is recommended that you create a new material with properties identical to the one you wish to customize and modify the new material to suit. This help page uses the example of customizing an ANSI material by changing its density. You can use the same procedure for other standards.

To customize the material:

  1. From AutoCAD Mechanical, in the command line, enter AMOPTIONS. The Options dialog box is displayed.
  2. Click the AM:Content tab.
  3. Under the database section, click the Edit button. The Edit Standard Parts Database dialog box is displayed.
  4. From the list on the left, expand the tree: Standard Content > ANSI > Materials.
  5. Click Edit ValueTable. The VAL-Editor starts.
  6. Locate the material definition you want to edit by moving the cursor slowly over the items listed in the BZ1 (Designation) column and inspecting the name that is displayed in the tooltip window that appears.
  7. Select the entire row by clicking the row label on the left-hand side.
  8. From the VAL-Editor menu bar, select Insert > Insert Row. A new row is added. The RID column contains a value.
  9. Copy and paste all of the data, with the exception of the RID (ID Number), from the row you want to customize. Both rows are now identical with the exception of the RID (ID number).
  10. In the RHO (Density) column, type the new density value.
  11. In the BZ1 (Designation) column, modify the contents so that you are able differentiate the customized material from the original material.
  12. From the VAL-Editor menu bar, select File > Save.
  13. Close the VAL-Editor.


To change material of standard part library items (Procedure)

Customize standard parts with the Val-Editor
Up a level to ..
Share val-tables with other computers
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change material of standard part library items

This help page uses the example of changing the material of a rectangular hollow section. You can use the same procedure for other standard parts.

To change the material:

  1. From AutoCAD Mechanical, in the command line, enter AMOPTIONS. The Options dialog box is displayed.
  2. Click the AM:Content tab.
  3. Under the database section, click the Edit button. The Edit Standard Parts Database dialog box is displayed.
  4. From the list on the left, expand the tree:

    DIN > Steel shapes > Square - Rectangular Hollow Section > DIN EN 10210-2.

  5. Click Edit ValueTable. The VAL-Editor starts.
  6. From the VAL-Editor menu, select Tools > Settings. The Program Options dialog box is displayed.
  7. On the Visibility tab, select the Show Global Columns check box and click OK. Some columns that may originally not have been visible are displayed.
  8. Right-click anywhere inside the MAT Material column and select Column Properties from the menu that appears. The Column Properties dialog box is displayed.
  9. In the Constant Value box, type name of the new material and click OK.
  10. From the VAL-Editor menu bar, select File > Save.
  11. Close the VAL-Editor.


Customize standard parts with the Val-Editor (Quick Reference)

Customize standard parts with the Val-Editor
Customize standard parts with the Val-Editor
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Find dialog box

Use this dialog box to locate a record on the value table window by specifying a keyword or keywords in the record. You can also use it to search for a text string and replace it with another.

Options

Search for | Use this space to type a keyword contained in the record you want to find.
Search Order | Specify the order in which the program performs the search. Choose “In Columns” to search from top to bottom, starting from the leftmost column. Choose “In rows” to search from left to right, starting from the first row.
Case Sensitive | Select this option to find only records that match the capitalization of the text in the Search for box.
Search only for whole cells | Select this option to find only records where the text in the Search for box matches the cell contents completely.
Find Next | Find the next occurrence of the text in the Search for box.
Replace | Loads the Replace dialog box, enabling you to perform a search and replace operation.


Customize standard parts with the Val-Editor (Quick Reference)

Customize standard parts with the Val-Editor
Customize standard parts with the Val-Editor
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Restrictions dialog box

Use this dialog box to specify a filter condition for the Valsearch window.

Available Options

 | Sets a condition where the column value must be equal to the value you select.
 | Sets a condition where the column value must be greater than the value you type. Click the button to toggle the condition to greater than or equal to.
 | Sets a condition where the column value must be less than the value you type. Click the button to toggle the condition to less than or equal to.
Clear | Removes the corresponding filter condition.


Customize standard parts with the Val-Editor (Quick Reference)

Customize standard parts with the Val-Editor
Customize standard parts with the Val-Editor
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Replace dialog box

Use this dialog box to search for occurrences of a text in the value table and replace it with another.

Available Options

Search for | Use this space to type the text you want to search for.
Replace with | Use this space to type the replacement text. To delete the text in the Search for box from the value table, leave this box blank.
Search Order | Specify the order in which the program performs the search. Choose “In Columns” to search from top to bottom, starting from the leftmost column. Choose “In rows” to search from left to right, starting from the first row.
Case Sensitive | Select this option to find only text that matches the capitalization of the text in the Search for box.
Search only for whole cells | Select this option to find only records where the text in the Search for box matches the cell contents completely.
Find Next | Find the next occurrence of the text in Search for box.
Replace | Replace the selected occurrence of the text with the text in the Replace with box and find the next occurrence.
Replace All | Replace all occurrences of the text in the Search for box with the text in the Replace with box.


Customize standard parts with the Val-Editor (Quick Reference)

Customize standard parts with the Val-Editor
Customize standard parts with the Val-Editor
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Valsearch window

The Valsearch window contains the columns in the value table that have their “Visible” property enabled. Use the Valsearch window to set up a filter and limit the number of sizes on display. You can access the operations in this window by right-clicking a column header.

Right-click menu items

Restrictions | Introduces a filter to limit the number of records on display, based on the selected column. When you select this menu item, the restrictions dialog box appears to capture the filter condition settings.
Remove all restrictions for... | Removes the filter from the selected column. This menu item is unavailable if the selected column has no filter.
Remove all restrictions | Removes filters from all columns. This menu item is available only on the first column of the window.
Change Units | Displays a submenu enabling you to select a unit of measurement for the selected column. A tick mark indicates the current unit. This option is not available if the column does not contain a measurable entity.


Customize standard parts with the Val-Editor (Quick Reference)

Customize standard parts with the Val-Editor
Customize standard parts with the Val-Editor
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Value Table Header dialog box

The Value Table Header dialog box enables you to edit the header section of a value table. The header section contains global information such as the standard information, version, comments, global descriptions, and formulas.

The Value Table Header dialog box is for Autodesk internal standard part data creation teams only. Do not modify anything on this dialog box.


Customize standard parts with the Val-Editor (Quick Reference)

Customize standard parts with the Val-Editor
Customize standard parts with the Val-Editor
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Column Properties dialog box

Use this dialog box to customize the properties of a column.

Options

Basic Properties | Contains options that define the general properties of the column.
 | Column Type | Use to set the column type for this column. If the entire column is to contain a single constant value, select Global. The Constant Value box becomes available for you to type the constant value. If the column is to contain a calculated value based on a formula, select Calculated. The formula box becomes available for you to type the formula. If the column is to be able to accept entries that you type, select Normal. The Default Value box becomes available for you to set a default value.
 | Column Name | Use this space to type a name to identify the column. The name must be unique and can only contain alphanumeric characters and the underscore character (_).
 | Description | Use this space to type a short description for the column. This description appears on the column header in the value table window.
Format | Specify the types of contents for the columns. Select Character String to store text in the column. In this case, set the maximum number characters allowed for the column. Select Integer Number to store whole numbers in the column. Select Floating Point Number to store numbers containing decimal points in this column. Specify the maximum number of digits for the column.
Dimensions | Contains options that define the properties of measurable entities.
 | Units | Use to select the unit of measurement for the column contents. If the desired type of unit is not available in the list, type the unit name in this box. If units do not apply to this column, select [none].
 | Position in Bill of Materials | Use to select the parameter in the BOM table this column updates, whenever you insert the part into a drawing. If this column does not update the BOM, select [none].
 | Dimension | Use to select the measurable entity the column contains. If the desired entity is not available in the list, type it in this box. If the column does not contain a measurable entity, select [none].


Customize standard parts with the Val-Editor (Quick Reference)

Customize standard parts with the Val-Editor
Customize standard parts with the Val-Editor
Customize standard parts with the Val-Editor
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Program Options dialog box

Use this dialog box to customize the appearance and behavior of the Val-Editor.

Options

Handling tab | Use the Handling tab to make settings concerning the handling of cell initialization
 | A new column is inserted | If selected, new cells are initialized to the default column value when you insert a column.
 | A new row is inserted | If selected, new cells are initialized to the default column value when you insert a row.
Visibility tab | Use the Visibility tab to set the visibility of special columns.
 | Show Global Columns | Sets the visibility of columns that belong to the column type Global. Global columns contain constant values that do not change from row to row.
 | Show Calculated Columns | Sets the visibility of columns that belong to the column type Calculated. Calculated columns contain values derived from a formula.
 | Show Invisible Columns | Sets the visibility of invisible columns. Invisible columns are columns that have their Visible property (in the Column Properties dialog box) cleared. Invisible columns do not appear in the Val-Search dialog box.
 | Show Translated Messages | Enables the program to show translated messages in a tooltip window. Some columns contain tokens that look like (gefmsg “gefseal” 20). These tokens correspond to intelligent phrases in the language translation database. When this option is available, as you move the pointer over a cell that contains a token, the program translates the token to a real message (corresponding to the current language setting) and shows it in a tooltip window.
Validating tab | Use the Validating tab to set the validation options of the value table.
 | Check table before saving | Select to validate the table every time you save the value table.
 | Write log file | Select to save any progress messages and error messages that appear during validation to a log file. To view the log file, select View > Log File from the Val-Editor menu bar.
 | Log File directory | Specify the folder where the program creates the log file.
Columns and Row colors tab | Use the Columns and Row Colors tab to choose the colors for different kinds of columns and rows.
 | Constant Columns | Sets color for columns of type Global. Click [image] to select a color.
 | Standard Columns | Sets color for columns of type Normal. Click [image] to select a color.
 | Formula Columns | Sets color for columns of type Calculated. Click [image] to select a color.
 | Deleted Rows | Sets color for deleted rows. Click [image] to select a color.


Customize standard parts with the Val-Editor (Quick Reference)

Customize standard parts with the Val-Editor
Customize standard parts with the Val-Editor
Before you define each section
Miscellaneous advanced tools > The Val-Editor >
Customize standard parts with the Val-Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Value table window

The value table window consists of a table containing a grid of rows and columns. Each column contains the properties of the part selected in the Edit Standard Parts dialog box ( Options command > AM:Content tab > Edit button) when you click the Edit Value Table button. Most columns differ from standard part to standard part. The column header explains what the column contains. The following special status columns are common to all standard parts.

RID (ID Number) column

Uniquely identifies the row. The RID is system generated and cannot be edited. The program prefixes the RID for user-defined standard parts with the character “U”.

PAST (Part Status) column

Specifies the preselection filter that the part belongs to. Select S to make the size available for the “Standard” pre-selection filter, C for the “Company” preselection filter, A for all preselection filters, and N for none.

Preselection filters define which sizes of individual standard parts are available for selection. Set them in the AM:Content tab of the Options dialog box.

REST (Record Status) column

Indicates the status of the record (part size). Possible statuses are:

  • O - Properties are at factory default state.
  • M - At least one property has been modified.
  • U - User-defined part
  • D - Standard part that the product includes, but that you have deleted.

Note The value table window categorizes columns into three groups. You can set their visibility under Program Options (Tools > Settings). These column types are:
  • Global columns - columns that contain a constant value across all rows. These columns are not displayed by default. You can change their color to differentiate them from other types of columns. You can change the constant value only from the Column Properties dialog box (right-click the column and select Column Properties).
  • Calculated columns - columns that derive their values from a formula. These columns do not appear by default. You can change their color to differentiate them from other types of columns. You can change the formula only from the Column Properties dialog box.
  • Invisible columns- columns that do not appear in the Valsearch window. You can make any column an invisible column by resetting its Visible property in the Column Properties dialog box.

The procedure tab of this Help page describes the operations that you can perform from this window.


Share val-tables with other computers (Concept)

Customize standard parts with the Val-Editor
The Val-Editor
Migrate val-tables to a newer version
Miscellaneous advanced tools > The Val-Editor >
Share val-tables with other computers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Standard part information is stored in a complex folder structure below the GDB folder. When you customize a standard part using the Val-Editor, the program saves customized part information in val-tables (files with the file extension .VAL) which are stored within that folder structure. To share val-tables with other computers on the network, copy the val-tables to the corresponding subfolders on the other computers or share the GDB folder on the network.


To share val-tables over the network (Procedure)

Customize standard parts with the Val-Editor
Up a level to ..
Migrate val-tables to a newer version
Miscellaneous advanced tools > The Val-Editor >
Share val-tables with other computers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To share val-tables over the network

The following tasks have to be performed to share val-tables over the network.

  • Task 1 - Share the GDB folder on the computer containing the modified files, such that other computers on the network can access the GDB folder over the network.
  • Task 2 - Point to the shared folder from other computers so that AutoCAD Mechanical can access the shared resource instead of referring the standard part database on the local hard disk.

This help page provides instructions for task 2 only. Please refer to the Windows' Help and Support Center for instructions on how to share a folder.

Task 2 - Pointing to the shared folder:

From AutoCAD Mechanical, in the command line, enter AMOPTIONS. The Options dialog box is displayed.

  1. Click the AM:Content tab.
  2. Click [image] next to the Database Configuration File box. A dialog box that lets you locate files is displayed.
  3. Locate the shared folder, select the file Database.cfg and click Open.
  4. Click OK to close the options dialog box. Standard part information will now be picked up from the shared folder.


Migrate val-tables to a newer version (Concept)

Share val-tables with other computers
The Val-Editor
The Mask Editor
Miscellaneous advanced tools > The Val-Editor >
Migrate val-tables to a newer version
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

When you migrate val-tables, it helps to understand how AutoCAD Mechanical stores part information on your computer.

AutoCAD Mechanical stores standard part information in files with the extension .gpl. When you customize a standard part using the Val-Editor, the program extracts part information from .gpl files and saves the custom descriptions as .val files.

The program stores .val files in a complex folder structure under the GDB folder. When migrating customized parts, you must back up all .val files below the GDB folder. After you install the newer version of AutoCAD Mechanical, restore the .val files to the original location below the GDB folder.


To migrate val-tables to a newer version (Procedure)

Share val-tables with other computers
Up a level to ..
Format parts lists for printing
Miscellaneous advanced tools > The Val-Editor >
Migrate val-tables to a newer version
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To migrate val-tables to a newer version

Migrating customized standard parts involves backing up all *.val files and restoring them back to the same folder on the newer version. There are many ways to backup standard parts. This help page uses the example of the XCOPY command as used in a Windows XP based system.

Migrating is performed in three stages

    • Stage 1 - Backup standard part files
    • Stage 2 - Uninstall existing version of AutoCAD Mechanical and install the newer version
    • Stage 3 - Restore standard part files.

This help page provides instructions for stages 1 and 3 only.

Stage 1 - Backup Standard Part files:

On the C drive of your computer, create a folder to hold a backup copy of the standard parts (e.g. C:\STD_PRT_BACKUP).

  1. From the Start menu, click run. The run dialog box is displayed
  2. In the Open box type CMD. A Command window opens.
  3. Use the CD command and change to the GEF sub directory of the ACADM folder.
  4. Type XCOPY *.val C:\STD_PRT_BACKUP /s and press ENTER. All customized standard parts are copied to the STD_PRT_BACKUP folder, including those in sub folders.

Stage 3- Restore Standard Part files

  1. From the Start menu, click run. The run dialog box is displayed
  2. In the Open box type CMD. A Command window opens.
  3. Use the CD command and change to the GDB folder.
  4. Type XCOPY C:\STD_PRT_BACKUP /s and press ENTER. All customized standard parts are restored to the correct sub folders, under the GDB folder.


The Mask Editor

Migrate val-tables to a newer version
Miscellaneous advanced tools
Format parts lists with the Mask Editor
Miscellaneous advanced tools >
The Mask Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Format parts lists with the Mask Editor
  • Format parts lists for printing
  • Format custom parts lists for display in drawing


Format parts lists with the Mask Editor

The Mask Editor
The Mask Editor
Format parts lists for printing
Miscellaneous advanced tools > The Mask Editor >
Format parts lists with the Mask Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Mask Editor is a report generator for creating and presenting parts lists. Although you can create parts lists within the drawing easily with the built-in tools, you may want to format hard copies of the parts list differently. For example, you may want to add your company logo at the top of every page.

The Mask Editor creates templates (mask files). The program uses mask files primarily to format printouts of parts lists. You can also use the Mask Editor to format the appearance of custom parts lists in the drawing.


Format parts lists for printing

Format parts lists with the Mask Editor
The Mask Editor
Overview
Miscellaneous advanced tools > The Mask Editor >
Format parts lists for printing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview
  • Before you define each section
  • Define the banner page
  • Define the page heading
  • Define the line section
  • Define the filler section
  • Define the footer section
  • Define the end page
  • Print a parts list using a mask file


Format parts lists for printing (Procedure)

Migrate val-tables to a newer version
Format parts lists for printing
Before you define each section
Miscellaneous advanced tools > The Mask Editor >
Format parts lists for printing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To select a paper size for the parts list

To set the page margins

To change the parts list type to Summation

To set grid size for snap to grid

To insert images

To insert static text

To set text alignment within the field rectangles

To set font style and color

To insert variables

To create a Configuration Variable

To insert the date such that it updates automatically

To create a Prompt Variable

To create a Static Variable

To create a Title Block Variable

To draw lines

To draw lines behind field rectangles

To add background color

To select multiple field rectangles

To adjust the column width and height

To add borders

To insert images

To insert static text

To set text alignment within the field rectangles

To set font style and color

To insert the date such that it updates automatically

To insert page numbers

To insert variables

To create a Prompt Variable

To create a Static Variable

To create a Title Block Variable

To create a Configuration Variable

To draw lines

To draw lines behind field rectangles

To add borders

To draw lines

To draw lines behind field rectangles

To insert static text

To set column width and height precisely

To insert variables

To create a Configuration Variable

To create a Mathematical Variable

To create a Prompt Variable

To create a Static Variable

To create a Summary Variable

To create a Title Block Variable

To insert variables

To insert images

To insert static text

To set text alignment within the field rectangles

To set font style and color

To insert variables

To create a Configuration Variable

To insert the date such that it updates automatically

To create a Prompt Variable

To create a Static Variable

To create a Title Block Variable

To draw lines

To draw lines behind field rectangles

To add borders

To print a BOM

To print a parts list


Overview

Format parts lists for printing
Format parts lists for printing
Before you define each section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following illustration shows a report created in the Mask Editor. The enhancements, including the company logo on the front page and the last page, make the printout look more professional.

1 - | Banner Page
2 - | Parts List proper
3 - | End Page

Banner page

The banner page is the title or cover page. It prints on its own page. Typically, the banner page includes information such as the company logo, the title of the report, the date, and contact numbers.

Parts List Proper

The parts list proper includes the following sections:

Header Section

The previous image shows the header section of a parts list. It includes information that you want to put at the top of each page. The header can include the report name, organization name, date, and titles of the columns in the parts list.

Line Section

The line section includes data for the body of the parts list. This section includes the bulk of the parts list. The structure of the table is configurable. It can contain columns not present in the parts lists shown in the drawing.

Filler section

The filler section defines the appearance of the section between the page footer and the line section. This section generally includes vertical lines to match the columns in the line/data section.

Footer section

The footer section contains the information you want to display at the bottom of every page. This section generally contains summation of items in each column.

End Page

You can use the end page to include additional information that you want to show only at the end of the parts list.

Use the Mask Editor to define the appearance of each of these sections. Once defined, save the report as a mask file (.msk). When printing a parts list, you can specify that the parts list prints using a mask file and select the mask file to use in the Print dialog box.


Before you define each section (Concept)

Overview
Format parts lists for printing
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Before you define each section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Before adding content to the mask file, decide on the paper size and the margins. Configure the options from the Mask Editor main menu.

The margins determine the extent of the printable area on the parts list.

Decide whether the report is a position parts list or summation parts list. A position parts list places each item on a separate entry; a summation parts list combines similar items into one entry, with the quantity specified. By default, the parts list is a position parts list.

When creating a summation parts list, specify:

  • Which component properties must be the same for the system to consider two parts to be of the same type.
  • Which component properties must be summed (typically the QTY component property).


Before you define each section (Procedure)

Format parts lists for printing
Up a level to ..
Before you define each section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Before you define each section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To select a paper size for the parts list

To set the page margins

To change the parts list type to Summation

To set grid size for snap to grid


Before you define each section (Quick Reference)

Customize standard parts with the Val-Editor
Before you define each section
Before you define each section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Before you define each section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Measure dialog box

Document Size in Editor dialog box

Page Format dialog box

Type of Parts List dialog box

Accumulating String dialog box


To select a paper size for the parts list (Procedure)

Before you define each section
Up a level to ..
Before you define each section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Before you define each section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To select a paper size for the parts list

  1. Click Document menu [image] Document Size. The Document Size in Editor dialog box appears.
  2. In the displayed dialog box, enter the width and height of the paper used.
  3. NoteClick Get from Printer Setup to obtain the paper size from the printer automatically.
    Click OK.


To set the page margins (Procedure)

Before you define each section
Up a level to ..
Before you define each section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Before you define each section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set the page margins

  1. Click Document menu [image] Page Format. The Page Format dialog box appears.
  2. In the Page Layout section, enter the Header and Footer sizes.
  3. In the Margins section, enter the left, right, top and bottom margins.
  4. Click OK.


To change the parts list type to Summation (Procedure)

Before you define each section
Up a level to ..
Before you define each section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Before you define each section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To change the parts list type to Summation

  1. Click Partslist menu [image] Type. The Type of Parts List dialog box appears.
  2. Under Parts List Type, click Sum Parts List.
  3. Under Fields to be summed up, click Add. The New Field Index dialog box appears.
  4. Enter or select from the list the field index number of the desired sorting criteria and click OK. The specified field appears in the Fields to be summed up box.
  5. Under Fields to be compared, click Add. The New Indices dialog box appears.
  6. Decide on the field range to determine identical items. The Lower Index and Upper Index determine a range.
  7. Enter or select from the list the field index number of the desired sorting criteria for the Lower Index.
  8. Click the Upper Index box and enter or select from the list the field index number of the desired sorting criteria.
  9. Click OK until all dialog boxes close.


To set grid size for snap to grid (Procedure)

Before you define each section
Up a level to ..
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Before you define each section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set grid size for snap to grid

  1. Click Document menu [image] Snap Size. The Snap Size dialog box appears.
  2. Enter the accuracy range for the horizontal and vertical parts of the grid.
  3. Click OK.


Before you define each section (Quick Reference)

Before you define each section
Before you define each section
Before you define each section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Before you define each section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Measure dialog box

Use this dialog box to specify the measurement units for the document. You can only adjust the units upon opening a new document.

Unit
 | mm Sets millimeters as the measurement units.
 | inch Sets inches as the measurement units.


Before you define each section (Quick Reference)

Before you define each section
Before you define each section
Before you define each section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Before you define each section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Document Size in Editor dialog box

Use this dialog box to set the size of the document to match the available paper.

Document Size
 | Height Specifies the vertical size of the document.
 | Width Specifies the horizontal size of the document.
Get from Printer Setup Automatically adjusts the Height and Width to the settings of the printer.


Before you define each section (Quick Reference)

Before you define each section
Before you define each section
Before you define each section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Before you define each section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Page Format dialog box

Use this dialog box to specify the page margins, headers, and footers for printing.

Page Layout
 | Header Height Specifies the vertical size of the page header.
 | Footer Height Specifies the vertical size of the page footer.
Margins Sets the space from the edges of the paper.
 | Left Specifies the left margin.
 | Right Specifies the right margin.
 | Top Specifies the upper margin.
 | Bottom Specifies the lower margin.


Before you define each section (Quick Reference)

Before you define each section
Before you define each section
Before you define each section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Before you define each section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Type of Parts List dialog box

Use this dialog box to specify the type and properties of the Parts List.

Parts List Type
 | Position Parts List Lists each item on the list on its own line.
 | Sum Parts List If there are multiple items of the same type, they are condensed into a single line with the summation (quantity, price, and so on) shown.
Fields to be summed up Specifies the field indexes that are summed up in case of multiple items.
 | Add Adds a new index to the field. You can select it from the variables list.
 | Delete Removes a field index from the list.
Fields to be compared Specifies the field indexes that are compared before two items are considered the same for summation.
 | Add Adds a new index to the field. You can select it from the variables list.
 | Delete Removes a field index from the list.


Before you define each section (Quick Reference)

Before you define each section
Before you define each section
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Before you define each section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Accumulating String dialog box

Use this dialog box to specify the accumulation of similar items in the parts list. For example, if the accumulate index is 1 (item number) and the separator is the colon character. If there are three items assigned to part number 1, when expanded they appear as 1:1, 1:2, 1:3.

Accumulate in expansion

Specifies whether you can expand the summation parts list to show all the items instead of the quantity for each.

Accumulate index

Specifies field index used for accumulation.

Separator

Specifies the character used to separate the index numbers.


Define the banner page (Concept)

Before you define each section
Format parts lists for printing
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Typically, the banner page includes information such as the company logo, title of report, date, and contact number. In the Mask Editor main window, the banner page appears in the Banner page section, as shown in the following image.

To include your company logo on the banner page, the logo must be a .bmp file. Create a field rectangle in the appropriate position and set options to import an image file as the content.

You can insert the date and the name of the person who generated the report using variables in the Mask Editor. The program picks up this information from the system dynamically when you print the parts list.

You can also use variables in place of long strings of text that appear on multiple pages, such as your company address and contact information. For example, you can assign the company address to the variable #address and insert it into a field rectangle.

The Mask Editor provides several built-in variables and you can create your own custom variables. These variables are categorized by the type of information they contain. The categories typically used on banner pages are:

Variable category | Explanation
Configuration Variables | Used for information read from System Editor keys. Typically, the drawing creator name is stored in the key @GEN@User@User Name
Static Variable | Used to store values that do not change. For example, the company address.
Prompt Variables | The program prompts for the value when you print the parts list. For example, the draft state.
Title Block Variables | Used to contain information read from Title Block Attributes.


Define the banner page (Procedure)

Before you define each section
Up a level to ..
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert images

To insert static text

To set text alignment within the field rectangles

To set font style and color

To insert variables

To create a Configuration Variable

To insert the date such that it updates automatically

To create a Prompt Variable

To create a Static Variable

To create a Title Block Variable

To draw lines

To draw lines behind field rectangles

To add background color

To select multiple field rectangles

To adjust the column width and height

To add borders


Define the banner page (Quick Reference)

Before you define each section
Define the banner page
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Line Thickness dialog box

Color dialog box

Position dialog box

Border thickness dialog box

Style and Type for Field dialog box

Snap Size dialog box

Background Color dialog box

Variable Definitions dialog box

New Variable dialog box


To insert images (Procedure)

Define the banner page
Up a level to ..
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert images

  1. On the toolbar, click
  2. Click and drag to draw a rectangle at the position for the image. The size of the rectangle determines the size of the placed image.
  3. Right-click the field rectangle and select Style and Type.
  4. In the displayed dialog box, select Bitmap. Click OK.
  5. Select Field [image] Bitmap. The Open dialog box appears
  6. Browse for the image to insert.
  7. Click OK.


To insert static text (Procedure)

Define the banner page
Up a level to ..
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert static text

  1. On the toolbar, click [image] .
  2. Click and drag to draw a rectangle at the position for the text.
  3. Double-click the field rectangle. The Text dialog box appears.
  4. Enter the text.
  5. Select Multi Line to enable the text to wrap to a new line when there is not enough horizontal space.
  6. Click OK.


To set text alignment within the field rectangles (Procedure)

Define the banner page
Up a level to ..
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set text alignment within the field rectangles

  1. Click a field rectangle to select it.
  2. Click Field menu [image] Alignment. The Text Alignment dialog box appears.
  3. Select the horizontal and vertical alignment of the text.
  4. Click OK.


To set font style and color (Procedure)

Define the banner page
Up a level to ..
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set font style and color

  1. Select the field that contains the text.
  2. Select Field menu [image] Font. The Font dialog box appears.
  3. After making selections, click OK.


To insert variables (Procedure)

Define the banner page
Up a level to ..
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert variables

  1. On the toolbar, click [image] .
  2. Click and drag to draw a rectangle at the position for the variable.
  3. Double-click the rectangle. The Text dialog box appears alongside a list of component properties and variables.
  4. In the list box, find the desired variable and click it.
  5. Click OK.


To create a Configuration Variable (Procedure)

Define the banner page
Up a level to ..
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Configuration Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Configuration Variable from the list.
  4. Click OK. The Configuration Variable dialog box appears.
  5. In the Designation box, enter a name for the variable.
  6. In the Configuration Variable box, enter the desired configuration information.
  7. Click OK until all dialog boxes close.


To insert the date such that it updates automatically (Procedure)

Define the banner page
Up a level to ..
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert the date such that it updates automatically

  1. On the toolbar, click [image] .
  2. Click and drag to draw a rectangle at the position for the date.
  3. Double-click the text field.
  4. Enter #d #m #y for day, month, and year in the Text Value box.
    NoteUse #w to generate the month by name rather than number. (For example, ‘June’ instead of ‘06.’)
  5. Click OK.


To create a Prompt Variable (Procedure)

Define the banner page
Up a level to ..
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Prompt Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Prompt Variable from the list.
  4. Click OK. The Prompt Variable dialog box appears.
  5. In the Designation box, enter a name for the variable.
  6. In the Prompt box enter the prompt to show when someone prints the document.
  7. Click OK until all dialog boxes close.


To create a Static Variable (Procedure)

Define the banner page
Up a level to ..
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Static Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Static Variable from the list.
  4. Click OK. The Static Text Variable dialog box appears.
  5. In the Designation box, enter a name for the variable.
  6. In the Output Text box, type the text for this variable.
  7. Click OK until all dialog boxes close.


To create a Title Block Variable (Procedure)

Define the banner page
Up a level to ..
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Title Block Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Title Block Entry from the list.
  4. Click OK. The Title Block Variable dialog box appears.
  5. In the Designation box, enter the name of the Title Block attribute you want the variable to store.
  6. In the Title Block Entry box, enter a prompt to display if the Title Block Attribute is not available when you print the parts list.
  7. Click OK until all dialog boxes close.


To draw lines (Procedure)

Define the banner page
Up a level to ..
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw lines

  1. On the toolbar, click
  2. Click and drag on the page to create a line.
  3. To adjust the color, thickness, and position of the line, select the Line menu, or right-click on the drawn line.


To draw lines behind field rectangles (Procedure)

Define the banner page
Up a level to ..
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw lines behind field rectangles

  1. Click the Line to adjust.
  2. Click Line menu [image] Draw behind fields.


To add background color (Procedure)

Define the banner page
Up a level to ..
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add background color

  1. Click the field to edit.
  2. Click Field menu [image] Background Color. The Color dialog box appears.
  3. Click the desired color.
    NoteTo add your own colors, click one of the custom colors and then click Define Custom Colors.
  4. Click OK.


To select multiple field rectangles (Procedure)

Define the banner page
Up a level to ..
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To select multiple field rectangles

  1. On the toolbar, click [image] .
  2. Click and drag to draw a rectangle to cover the fields you want to select.


To adjust the column width and height (Procedure)

Define the banner page
Up a level to ..
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To adjust the column width and height

  1. Click the field rectangle to adjust.
  2. Move the cursor to the corner of the field so it turns into the resize pointer.
  3. Drag to adjust the size of the field.


To add borders (Procedure)

Define the banner page
Up a level to ..
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add borders

  1. Click the field to edit.
  2. Click Field menu [image] Border. The Border Thickness dialog box appears.
  3. Enter the thickness of the left, right, top, and bottom borders.
  4. Click OK.


Define the banner page (Quick Reference)

Define the banner page
Define the banner page
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Line Thickness dialog box

Use this dialog box to specify the thickness of the selected line.


Define the banner page (Quick Reference)

Define the banner page
Define the banner page
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Color dialog box

Use this dialog box to specify the color of the line.

Basic colors

Shows the available colors.

Custom colors

Shows the available custom colors from a color matrix.


Define the banner page (Quick Reference)

Define the banner page
Define the banner page
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Position dialog box

Use this dialog box to specify the start and end point coordinates of a line precisely, as an alternative to dragging.

Start Point

Defines the x and y coordinates of the starting point of the line.

End Point

Defines the x and y coordinates of the ending point of the line.


Define the banner page (Quick Reference)

Define the banner page
Define the banner page
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Border thickness dialog box

Use this dialog box to specify the thickness of the borders for a field rectangle. Setting any of the values to zero clears that border.


Define the banner page (Quick Reference)

Define the banner page
Define the banner page
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Style and Type for Field dialog box

Use this dialog box to specify the type and background color of the selected field.

No Background Color

Removes the background color from the text field.

Field Type

Specifies whether the field contains text or a bitmap image.


Define the banner page (Quick Reference)

Define the banner page
Define the banner page
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Snap Size dialog box

Use this dialog box to specify the granularity of the grid used for snap-to-grid. Set snap size to low values to have more control over the size and direction of the fields. Set snap size higher to help with aligning multiple lines and fields.

Horizontal

Sets the horizontal snap distance to the grid.

Vertical

Sets the vertical snap distance to the grid.


Define the banner page (Quick Reference)

Define the banner page
Define the banner page
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Background Color dialog box

Use this dialog box to specify the background color for the text field.

Basic colors

Shows the available colors.

Custom colors

Shows the available custom colors from a color matrix.


Define the banner page (Quick Reference)

Define the banner page
Define the banner page
Define the banner page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Variable Definitions dialog box

Use this dialog box to view and manage the variables declared in the parts list. You can change the order of the list, but the change does not affect the execution of the variables.

Add

Specifies a new variable. (opens the New Variable dialog box)

Edit

Modifies the selected variable.

Copy

Creates a copy of the selected variable.

Delete

Removes the selected variable.

Move

Moves the position of the selected variable up or down the list.


Define the banner page (Quick Reference)

Define the banner page
Define the banner page
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the banner page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

New Variable dialog box

Use this dialog box to create new variables. Select from the available types.

Configuration Variable

Enables information to carry over from the AutoCAD configuration file, for example, User Name, Organization name.

Mathematical Variable

Creates a variable for calculation values. Use this variable if you do not want the calculated value to show up in the parts list but want to store the value temporarily.

Prompt Variable

Before the parts list prints, it prompts you for any additional information you want to appear in the parts list. This information can be name, date, and so on.

Static Variable

Declares a specific unchanging value. Saves you from entering the same value in the parts list multiple times.

Summary Variable

Creates totals of elements within a group, page, or the whole parts list. Used like the Math variables.

Title Block Entry

Allows you to copy values from the Title Block to the parts list.


Define the page heading (Concept)

Define the banner page
Format parts lists for printing
Define the line section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In the Mask Editor main window, the page heading appears in the header section, as shown in the following image.

The information in the header section appears at the top of every page. Headers typically show the page number and column headers. Since this information can change from page to page, we recommend using variables for them.

The column header is a text field where you set the format (font, bold, and background color). To use lines as table borders, draw lines around the column headers manually. You can also adjust the width of the text fields used for column headers to fit within the table borders manually.


Define the page heading (Procedure)

Define the banner page
Up a level to ..
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert images

To insert static text

To set text alignment within the field rectangles

To set font style and color

To insert the date such that it updates automatically

To insert page numbers

To insert variables

To create a Prompt Variable

To create a Static Variable

To create a Title Block Variable

To create a Configuration Variable

To draw lines

To draw lines behind field rectangles

To add borders


Define the page heading (Quick Reference)

Define the banner page
Define the page heading
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Line Thickness dialog box

Color dialog box

Position dialog box

Border thickness dialog box

Style and Type for Field dialog box

Snap Size dialog box

Variable Definitions dialog box

Background Color dialog box

New Variable dialog box

Text Value dialog box


To insert images (Procedure)

Define the page heading
Up a level to ..
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert images

  1. On the toolbar, click
  2. Click and drag to draw a rectangle at the position for the image. The size of the rectangle determines the size of the placed image.
  3. Right-click the field rectangle and select Style and Type.
  4. In the displayed dialog box, select Bitmap. Click OK.
  5. Select Field [image] Bitmap. The Open dialog box appears
  6. Browse for the image to insert.
  7. Click OK.


To insert static text (Procedure)

Define the page heading
Up a level to ..
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert static text

  1. On the toolbar, click [image] .
  2. Click and drag to draw a rectangle at the position for the text.
  3. Double-click the field rectangle. The Text dialog box appears.
  4. Enter the text.
  5. Select Multi Line to enable the text to wrap to a new line when there is not enough horizontal space.
  6. Click OK.


To set text alignment within the field rectangles (Procedure)

Define the page heading
Up a level to ..
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set text alignment within the field rectangles

  1. Click a field rectangle to select it.
  2. Click Field menu [image] Alignment. The Text Alignment dialog box appears.
  3. Select the horizontal and vertical alignment of the text.
  4. Click OK.


To set font style and color (Procedure)

Define the page heading
Up a level to ..
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set font style and color

  1. Select the field that contains the text.
  2. Select Field menu [image] Font. The Font dialog box appears.
  3. After making selections, click OK.


To insert the date such that it updates automatically (Procedure)

Define the page heading
Up a level to ..
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert the date such that it updates automatically

  1. On the toolbar, click [image] .
  2. Click and drag to draw a rectangle at the position for the date.
  3. Double-click the text field.
  4. Enter #d #m #y for day, month, and year in the Text Value box.
    NoteUse #w to generate the month by name rather than number. (For example, ‘June’ instead of ‘06.’)
  5. Click OK.


To insert page numbers (Procedure)

Define the page heading
Up a level to ..
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert page numbers

  1. On the toolbar, click [image] .
  2. Click and drag to draw a rectangle at the position for the text.
  3. Double-click the text field.
  4. Enter a text value using #p for the page number (for example, Page #p shows Page 1).
    NotePage numbers do not include the Banner Page and the End Page.
  5. Click OK.


To insert variables (Procedure)

Define the page heading
Up a level to ..
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert variables

  1. On the toolbar, click [image] .
  2. Click and drag to draw a rectangle at the position for the variable.
  3. Double-click the rectangle. The Text dialog box appears alongside a list of component properties and variables.
  4. In the list box, find the desired variable and click it.
  5. Click OK.


To create a Prompt Variable (Procedure)

Define the page heading
Up a level to ..
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Prompt Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Prompt Variable from the list.
  4. Click OK. The Prompt Variable dialog box appears.
  5. In the Designation box, enter a name for the variable.
  6. In the Prompt box enter the prompt to show when someone prints the document.
  7. Click OK until all dialog boxes close.


To create a Static Variable (Procedure)

Define the page heading
Up a level to ..
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Static Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Static Variable from the list.
  4. Click OK. The Static Text Variable dialog box appears.
  5. In the Designation box, enter a name for the variable.
  6. In the Output Text box, type the text for this variable.
  7. Click OK until all dialog boxes close.


To create a Title Block Variable (Procedure)

Define the page heading
Up a level to ..
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Title Block Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Title Block Entry from the list.
  4. Click OK. The Title Block Variable dialog box appears.
  5. In the Designation box, enter the name of the Title Block attribute you want the variable to store.
  6. In the Title Block Entry box, enter a prompt to display if the Title Block Attribute is not available when you print the parts list.
  7. Click OK until all dialog boxes close.


To create a Configuration Variable (Procedure)

Define the page heading
Up a level to ..
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Configuration Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Configuration Variable from the list.
  4. Click OK. The Configuration Variable dialog box appears.
  5. In the Designation box, enter a name for the variable.
  6. In the Configuration Variable box, enter the desired configuration information.
  7. Click OK until all dialog boxes close.


To draw lines (Procedure)

Define the page heading
Up a level to ..
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw lines

  1. On the toolbar, click
  2. Click and drag on the page to create a line.
  3. To adjust the color, thickness, and position of the line, select the Line menu, or right-click on the drawn line.


To draw lines behind field rectangles (Procedure)

Define the page heading
Up a level to ..
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw lines behind field rectangles

  1. Click the Line to adjust.
  2. Click Line menu [image] Draw behind fields.


To add borders (Procedure)

Define the page heading
Up a level to ..
Define the line section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add borders

  1. Click the field to edit.
  2. Click Field menu [image] Border. The Border Thickness dialog box appears.
  3. Enter the thickness of the left, right, top, and bottom borders.
  4. Click OK.


Define the page heading (Quick Reference)

Define the page heading
Define the page heading
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Line Thickness dialog box

Use this dialog box to specify the thickness of the selected line.


Define the page heading (Quick Reference)

Define the page heading
Define the page heading
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Color dialog box

Use this dialog box to specify the color of the line.

Basic colors

Shows the available colors.

Custom colors

Shows the available custom colors from a color matrix.


Define the page heading (Quick Reference)

Define the page heading
Define the page heading
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Position dialog box

Use this dialog box to specify the start and end point coordinates of a line precisely, as an alternative to dragging.

Start Point

Defines the x and y coordinates of the starting point of the line.

End Point

Defines the x and y coordinates of the ending point of the line.


Define the page heading (Quick Reference)

Define the page heading
Define the page heading
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Border thickness dialog box

Use this dialog box to specify the thickness of the borders for a field rectangle. Setting any of the values to zero clears that border.


Define the page heading (Quick Reference)

Define the page heading
Define the page heading
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Style and Type for Field dialog box

Use this dialog box to specify the type and background color of the selected field.

No Background Color

Removes the background color from the text field.

Field Type

Specifies whether the field contains text or a bitmap image.


Define the page heading (Quick Reference)

Define the page heading
Define the page heading
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Snap Size dialog box

Use this dialog box to specify the granularity of the grid used for snap-to-grid. Set snap size to low values to have more control over the size and direction of the fields. Set snap size higher to help with aligning multiple lines and fields.

Horizontal

Sets the horizontal snap distance to the grid.

Vertical

Sets the vertical snap distance to the grid.


Define the page heading (Quick Reference)

Define the page heading
Define the page heading
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Variable Definitions dialog box

Use this dialog box to view and manage the variables declared in the parts list. You can change the order of the list, but the change does not affect the execution of the variables.

Add

Specifies a new variable. (opens the New Variable dialog box)

Edit

Modifies the selected variable.

Copy

Creates a copy of the selected variable.

Delete

Removes the selected variable.

Move

Moves the position of the selected variable up or down the list.


Define the page heading (Quick Reference)

Define the page heading
Define the page heading
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Background Color dialog box

Use this dialog box to specify the background color for the text field.

Basic colors

Shows the available colors.

Custom colors

Shows the available custom colors from a color matrix.


Define the page heading (Quick Reference)

Define the page heading
Define the page heading
Define the page heading
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

New Variable dialog box

Use this dialog box to create new variables. Select from the available types.

Configuration Variable

Enables information to carry over from the AutoCAD configuration file, for example, User Name, Organization name.

Mathematical Variable

Creates a variable for calculation values. Use this variable if you do not want the calculated value to show up in the parts list but want to store the value temporarily.

Prompt Variable

Before the parts list prints, it prompts you for any additional information you want to appear in the parts list. This information can be name, date, and so on.

Static Variable

Declares a specific unchanging value. Saves you from entering the same value in the parts list multiple times.

Summary Variable

Creates totals of elements within a group, page, or the whole parts list. Used like the Math variables.

Title Block Entry

Allows you to copy values from the Title Block to the parts list.


Define the page heading (Quick Reference)

Define the page heading
Define the page heading
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the page heading
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Text Value dialog box

Use this dialog box to enter text into a field.

List of Variables Shows the variables you can place in the text.
Text Line Specifies the way text is inserted in the field.
 | Single Line Text appears in a single line without breaks.
 | Multi Line Allows you to insert line breaks for multiple lines of text in a field.
Text Value Type the text to insert here.


Define the line section

Define the page heading
Format parts lists for printing
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the line section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Add columns for display
  • Sort and Group parts list data
  • Suppress display of specific parts


Define the line section (Procedure)

Define the page heading
Up a level to ..
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the line section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To insert a component property as a column

To create a mathematical relationship as a new field

To insert a mathematical variable as a calculated column

To set the precision of a component property or variable

To set column width and height precisely

To set text alignment within the field rectangles

To set a decimal tab alignment within the field rectangles

To truncate text when data is wider than available column width

To draw lines

To draw lines behind field rectangles

To add borders

To sort the parts list

To print the parts list according to categories

To suppress the display of a row based on a condition


Add columns for display (Concept)

Define the line section
Define the line section
Sort and Group parts list data
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In the Mask Editor main window, configure the columns to show in the line section, as shown in the following image.

The line section defines the appearance of the data rows.

Columns are added by placing a row of field rectangles in this section, aligned to match the column headings in the header section. In these fields, users enter the index number corresponding to the component property to be displayed in that column. The index numbers are available in a list box when you enter a value for the field.

The Mask Editor enables you to insert calculated columns in the line section. To insert a calculated column, first define a mathematical variable to hold the result of the calculation. For example, to create a calculated column for cost (Quantity * Price), create a mathematical variable named Cost and assign it the value #2*#13 where #2 is the index for the component property QTY and #13 is the index for PRICE. You can use the multiplication (*), addition (+), subtraction(-), and division (/) operators in the formula. Once you define the variable, you can insert it as a column, just like you would insert a component property.

You may also want to insert lines as row and column separators. Ensure that the vertical lines align with the column separators in the header section.


Add columns for display (Procedure)

Define the line section
Up a level to ..
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a component property as a column

To create a mathematical relationship as a new field

To insert a mathematical variable as a calculated column

To set the precision of a component property or variable

To set column width and height precisely

To set text alignment within the field rectangles

To set a decimal tab alignment within the field rectangles

To truncate text when data is wider than available column width

To draw lines

To draw lines behind field rectangles

To add borders


Add columns for display (Quick Reference)

Define the page heading
Add columns for display
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Line Thickness dialog box

Color dialog box

Position dialog box

Border thickness dialog box

Style and Type for Field dialog box

Snap Size dialog box

Background Color dialog box

Variable Definitions dialog box

New Variable dialog box

Size and Position dialog box

Decimal Tabulation dialog box

Truncation dialog box


To insert a component property as a column (Procedure)

Add columns for display
Up a level to ..
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a component property as a column

  1. On the toolbar, click [image] .
  2. In the line section, click and drag to draw a rectangle aligned below the corresponding column header in the header section.
  3. Double-click the newly created field rectangle. The text dialog box appears alongside a list of component properties.
    NoteComponent properties range from #1 to #29
  4. In the list box, find the desired component property and click it. AutoCAD Mechanical adds the selected index number to the Text Value box.
  5. Click OK.


To create a mathematical relationship as a new field (Procedure)

Add columns for display
Up a level to ..
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a mathematical relationship as a new field

  1. Click Partslist menu [image] Math Operations. The Mathematical Operations dialog box appears.
  2. Click Add.
  3. Enter an unused field number in the Result Field box.
  4. In the Operation field, enter the columns to calculate, including the mathematical operations.
    NoteThe mathematical operators are +,-,*, and /
  5. Click OK until all dialog boxes close.


To insert a mathematical variable as a calculated column (Procedure)

Add columns for display
Up a level to ..
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert a mathematical variable as a calculated column

  1. Create a mathematical variable to represent the calculated column.
    1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
    2. Click Add. The New Variable dialog box appears.
    3. Select Mathematical Variable from the list.
    4. Click OK. Mathematical Variable dialog box appears.
    5. In the Designation box enter the name of the variable.
    6. In the Operation box enter the formula to evaluate to assign a value to this variable.
    7. Click OK until all dialog boxes close.
  2. On the toolbar, click [image] .
  3. In the line section, click and drag to draw a rectangle aligned below the corresponding column header in the header section.
  4. Double-click the newly created field rectangle. The text dialog box appears alongside a list of component properties and variables.
  5. In the list box, find the desired mathematical variable and click it. AutoCAD Mechanical adds the selected index number to the Text Value box.
  6. Click OK.


To set the precision of a component property or variable (Procedure)

Add columns for display
Up a level to ..
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set the precision of a component property or variable

  1. Click Partslist menu [image] Precision. The Precision Definitions dialog box appears.
  2. Find the component property or variable in the list of component properties and variables and click it. The Precision Definition dialog box appears.
  3. In the Integer part box specify the number of digits for the integer part. Leave it blank to enable unrestricted display of the integer part.
  4. In the Decimal part box specify the number of decimals you require. Leave it blank to ignore decimal precision.
  5. To suppress trailing zeroes, select the Skip Trailing Zeroes check box.
  6. Click OK until all dialog boxes close.
NoteTo change the default value for all precision, select the Default entry in the Precision Definitions dialog box and click Edit.


To set column width and height precisely (Procedure)

Add columns for display
Up a level to ..
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set column width and height precisely

  1. Click a field rectangle.
  2. Click Field menu [image] Size and Position. The Size and Position dialog box appears.
  3. Enter the desired height and width in the size section.
  4. Click OK.


To set text alignment within the field rectangles (Procedure)

Add columns for display
Up a level to ..
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set text alignment within the field rectangles

  1. Click a field rectangle to select it.
  2. Click Field menu [image] Alignment. The Text Alignment dialog box appears.
  3. Select the horizontal and vertical alignment of the text.
  4. Click OK.


To set a decimal tab alignment within the field rectangles (Procedure)

Add columns for display
Up a level to ..
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set a decimal tab alignment within the field rectangles

  1. Click a field rectangle to select it.
  2. Click Field menu [image] Tab. The Decimal Tabulation dialog box appears.
  3. Select the desired distance of the decimal tab.
  4. Click OK.
  5. A red line appears in the field rectangle to indicate the position of the decimal tab.


To truncate text when data is wider than available column width (Procedure)

Add columns for display
Up a level to ..
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To truncate text when data is wider than available column width

  1. Click a field rectangle to select it.
  2. Click Field menu [image] Truncation. The Truncation dialog box appears.
  3. Select the Mark Truncation check box.
  4. Click OK.


To draw lines (Procedure)

Add columns for display
Up a level to ..
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw lines

  1. On the toolbar, click
  2. Click and drag on the page to create a line.
  3. To adjust the color, thickness, and position of the line, select the Line menu, or right-click on the drawn line.


To draw lines behind field rectangles (Procedure)

Add columns for display
Up a level to ..
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw lines behind field rectangles

  1. Click the Line to adjust.
  2. Click Line menu [image] Draw behind fields.


To add borders (Procedure)

Add columns for display
Up a level to ..
Sort and Group parts list data
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add borders

  1. Click the field to edit.
  2. Click Field menu [image] Border. The Border Thickness dialog box appears.
  3. Enter the thickness of the left, right, top, and bottom borders.
  4. Click OK.


Add columns for display (Quick Reference)

Add columns for display
Add columns for display
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Line Thickness dialog box

Use this dialog box to specify the thickness of the selected line.


Add columns for display (Quick Reference)

Add columns for display
Add columns for display
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Color dialog box

Use this dialog box to specify the color of the line.

Basic colors

Shows the available colors.

Custom colors

Shows the available custom colors from a color matrix.


Add columns for display (Quick Reference)

Add columns for display
Add columns for display
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Position dialog box

Use this dialog box to specify the start and end point coordinates of a line precisely, as an alternative to dragging.

Start Point

Defines the x and y coordinates of the starting point of the line.

End Point

Defines the x and y coordinates of the ending point of the line.


Add columns for display (Quick Reference)

Add columns for display
Add columns for display
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Border thickness dialog box

Use this dialog box to specify the thickness of the borders for a field rectangle. Setting any of the values to zero clears that border.


Add columns for display (Quick Reference)

Add columns for display
Add columns for display
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Style and Type for Field dialog box

Use this dialog box to specify the type and background color of the selected field.

No Background Color

Removes the background color from the text field.

Field Type

Specifies whether the field contains text or a bitmap image.


Add columns for display (Quick Reference)

Add columns for display
Add columns for display
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Snap Size dialog box

Use this dialog box to specify the granularity of the grid used for snap-to-grid. Set snap size to low values to have more control over the size and direction of the fields. Set snap size higher to help with aligning multiple lines and fields.

Horizontal

Sets the horizontal snap distance to the grid.

Vertical

Sets the vertical snap distance to the grid.


Add columns for display (Quick Reference)

Add columns for display
Add columns for display
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Background Color dialog box

Use this dialog box to specify the background color for the text field.

Basic colors

Shows the available colors.

Custom colors

Shows the available custom colors from a color matrix.


Add columns for display (Quick Reference)

Add columns for display
Add columns for display
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Variable Definitions dialog box

Use this dialog box to view and manage the variables declared in the parts list. You can change the order of the list, but the change does not affect the execution of the variables.

Add

Specifies a new variable. (opens the New Variable dialog box)

Edit

Modifies the selected variable.

Copy

Creates a copy of the selected variable.

Delete

Removes the selected variable.

Move

Moves the position of the selected variable up or down the list.


Add columns for display (Quick Reference)

Add columns for display
Add columns for display
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

New Variable dialog box

Use this dialog box to create new variables. Select from the available types.

Configuration Variable

Enables information to carry over from the AutoCAD configuration file, for example, User Name, Organization name.

Mathematical Variable

Creates a variable for calculation values. Use this variable if you do not want the calculated value to show up in the parts list but want to store the value temporarily.

Prompt Variable

Before the parts list prints, it prompts you for any additional information you want to appear in the parts list. This information can be name, date, and so on.

Static Variable

Declares a specific unchanging value. Saves you from entering the same value in the parts list multiple times.

Summary Variable

Creates totals of elements within a group, page, or the whole parts list. Used like the Math variables.

Title Block Entry

Allows you to copy values from the Title Block to the parts list.


Add columns for display (Quick Reference)

Add columns for display
Add columns for display
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Size and Position dialog box

Use this dialog box to adjust the position and size of a field rectangle precisely.

Position

Defines the x and y coordinates of the starting point of the field rectangle.

Size

Defines the x and y coordinates of the ending point of the line.


Add columns for display (Quick Reference)

Add columns for display
Add columns for display
Add columns for display
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Decimal Tabulation dialog box

Use this dialog box to create a vertical red line in a text field rectangle. You can use it to mark the position of decimal points in a list of numbers to make them easier to read, for example.

The red line appears only in the editor; it does not appear in the printed parts list.


Add columns for display (Quick Reference)

Add columns for display
Add columns for display
Sort and Group parts list data
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Add columns for display
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Truncation dialog box

Use this dialog box to specify how the editor handles text that runs longer than its field rectangle. In the printed parts list, the complete text appears even if it runs longer than the field rectangle.

Mark Truncation

Determines whether truncated text is marked by a special symbol. If this check box is cleared, truncated text appears cut off.

Truncate Character

Specifies a special character indicate the truncation.


Sort and Group parts list data (Concept)

Add columns for display
Define the line section
Suppress display of specific parts
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Sort and Group parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can specify the sort criteria of the hard-copy parts list in the mask file. You can sort by a single column or by multiple columns. If you do not specify a sort criteria, the parts list sorts by item number.

Mask files also enable you to group parts, with each group printing on a separate page. When the value of a selected field for multiple parts falls within a specified range, the program treats those parts as a group.

For example, the component property Description 2 (field index #6) stores the part number; electrical components have part numbers within the user-defined range E3000 through E3999. You can create a group named Electrical Components and specify the minimum and maximum values for field index #6 so that all parts with numbers between E3000 and E3999 group as Electrical Components. You can similarly define a group for mechanical components. Once you define all groups, items that do not belong to any groups go into a “remainder” group.

When you print the parts list, each group prints on a separate page. Parts that fall outside the range of any category print on the last page under a catch-all remainder group which you can name when you define groups.


Sort and Group parts list data (Procedure)

Add columns for display
Up a level to ..
Sort and Group parts list data
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Sort and Group parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To sort the parts list

To print the parts list according to categories


Sort and Group parts list data (Quick Reference)

Add columns for display
Sort and Group parts list data
Sort and Group parts list data
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Sort and Group parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sorting Directives dialog box

Group Definition dialog box


To sort the parts list (Procedure)

Sort and Group parts list data
Up a level to ..
Sort and Group parts list data
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Sort and Group parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To sort the parts list

  1. Click Partslist menu [image] Sorting. The Sorting Directives dialog box appears.
  2. To add new sorting criteria, click Add. The New Field Index dialog box appears.
  3. Enter or select from the list the field index number of the desired sorting criteria and click OK. The specified sorting criteria appears in the Sorting Fields box.
  4. To arrange the sorting criteria by priority, click the desired sorting criteria and use the Move buttons until it is in the desired order.
  5. To enable Case Sensitive Sorting, check the corresponding box.
  6. After the sorting fields box is in the desired order, click OK.


To print the parts list according to categories (Procedure)

Sort and Group parts list data
Up a level to ..
Suppress display of specific parts
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Sort and Group parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To print the parts list according to categories

  1. Click Partslist menu [image] Grouping. The Group Definitions dialog box appears.
  2. Click Add.
  3. In the Designation box, enter the name of the group.
  4. Enter the range of the items contained in the group in the Minimum value and Maximum value boxes.
  5. Click OK. Repeat to insert more groups.
  6. Enter the field index number to use for grouping in the Group by index box.
  7. Click OK.


Sort and Group parts list data (Quick Reference)

Sort and Group parts list data
Sort and Group parts list data
Sort and Group parts list data
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Sort and Group parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sorting Directives dialog box

Use this dialog box to specify how the program sorts data in the parts list.

Sorting Fields Defines the fields used as a criteria for sorting. The program sorts items according to the first field on the list, then sorts items considered similar by the first criteria according to the next field on the list, and so on.
 | Add Specifies a new field for sorting criteria.
 | Delete Removes the selected index from the list.
 | Move Moves the position of the index up or down the list.
Read decimal character as Sets the decimal separator to the comma or period character.
 | Point Specifies that a period represents decimal points.
 | Comma Specifies that a comma represents decimal points.
Case Sensitive Sorting Treats words in lowercase as different from the same words in uppercase.


Sort and Group parts list data (Quick Reference)

Sort and Group parts list data
Sort and Group parts list data
Suppress display of specific parts
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Sort and Group parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Group Definition dialog box

Use this dialog box to create a group for the parts.

Designation

Specifies a name for the group.

Maximum value

Specifies the highest number in the group. This number can be parts number, quantity, or anything else, depending on the field index designated in the Group by Index box.

Minimum value

Specifies the lowest number in the group. This number can be parts number, quantity, or anything else, depending on the field index designated in the Group by Index box.


Suppress display of specific parts (Concept)

Sort and Group parts list data
Define the line section
Define the filler section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Suppress display of specific parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The menu command Field [image] Suppression Condition opens a dialog box that enables you to stop a part from appearing when a condition is met.

For example, to prevent all parts where the quantity is greater than 20 from appearing, set the suppression condition to QTY > 20. In the dialog box, set the condition as #2>20, where #2 is the field index for QTY.


To suppress the display of a row based on a condition (Procedure)

Sort and Group parts list data
Up a level to ..
Define the filler section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Suppress display of specific parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To suppress the display of a row based on a condition

  1. Click the field rectangle to filter.
  2. Click Field menu [image] Suppression Condition. The Suppression dialog box appears.
  3. Enter the range to filter in the Condition for Suppression box.
  4. Click OK.


Suppress display of specific parts (Quick Reference)

Sort and Group parts list data
Suppress display of specific parts
Define the filler section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing > Define the line section >
Suppress display of specific parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Suppression Condition dialog box

Use this dialog box to specify the conditions for suppressing output values. Use the greater than (>), less than (<), or equal (=) sign to define the condition.


Define the filler section (Concept)

Suppress display of specific parts
Format parts lists for printing
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the filler section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In the Mask Editor main window, the filler section is configured in the corresponding area, as shown in the following image.

The filler section usually contains lines to fill up the page in case the parts list ends in the middle of a page. This section is optional, but when present, it should fit seamlessly with the rows above it. If left blank, the footer section follows the line section immediately.

Generally, the filler section contains only vertical lines, appearing as an extension of the columns.


Define the filler section (Procedure)

Suppress display of specific parts
Up a level to ..
Define the filler section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the filler section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw lines

To draw lines behind field rectangles


Define the filler section (Quick Reference)

Suppress display of specific parts
Define the filler section
Define the filler section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the filler section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Snap Size dialog box

Position dialog box


To draw lines (Procedure)

Define the filler section
Up a level to ..
Define the filler section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the filler section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw lines

  1. On the toolbar, click
  2. Click and drag on the page to create a line.
  3. To adjust the color, thickness, and position of the line, select the Line menu, or right-click on the drawn line.


To draw lines behind field rectangles (Procedure)

Define the filler section
Up a level to ..
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the filler section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw lines behind field rectangles

  1. Click the Line to adjust.
  2. Click Line menu [image] Draw behind fields.


Define the filler section (Quick Reference)

Define the filler section
Define the filler section
Define the filler section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the filler section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Snap Size dialog box

Use this dialog box to specify the granularity of the grid used for snap-to-grid. Set snap size to low values to have more control over the size and direction of the fields. Set snap size higher to help with aligning multiple lines and fields.

Horizontal

Sets the horizontal snap distance to the grid.

Vertical

Sets the vertical snap distance to the grid.


Define the filler section (Quick Reference)

Define the filler section
Define the filler section
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the filler section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Position dialog box

Use this dialog box to specify the x coordinates of a vertical line in the filler section.

X

Defines a point in the filler section, which will be drawn as a vertical line to fill in the gap between the last data line of the parts list and the page footer.


Define the footer section (Concept)

Define the filler section
Format parts lists for printing
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The footer defines text and graphics that appear at the bottom of every page, excluding the banner and end pages. Typically this section shows the totals of columns that are summed.

You can use summary variables to display group totals as well as grand totals. You can also use built-in variables such as the page number (#p), inserting them into field rectangles.

The Mask Editor provides several built-in variables that you can use in this area. You can also create your own custom variables. These variables are categorized by the type of information they contain. The categories typically used on the banner page are:

Variable category | Explanation
Configuration Variables | Used to contain information read from System Editor keys. Typically, the drawing creator name that is in the key @GEN@User@User Name
Static Variables | Used to store values that do not change. For example, the company address.
Prompt Variables | The program prompts for the value when you print the parts list. For example, the draft state.
Summary Variables | Used to store a group totals, page totals, or grand totals. For example cost.
Title Block Variables | Used for information read from Title Block Attributes.

As with the other sections of the mask file, you can use lines as row and column separators to make parts lists look more appealing.


Define the footer section (Procedure)

Define the filler section
Up a level to ..
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert static text

To set column width and height precisely

To insert variables

To create a Configuration Variable

To create a Mathematical Variable

To create a Prompt Variable

To create a Static Variable

To create a Summary Variable

To create a Title Block Variable

To insert variables


Define the footer section (Quick Reference)

Define the filler section
Define the footer section
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Mathematical Definition dialog box

Mathematical Operations dialog box

Snap Size dialog box

Background Color dialog box

Variable Definitions dialog box

New Variable dialog box


To insert static text (Procedure)

Define the footer section
Up a level to ..
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert static text

  1. On the toolbar, click [image] .
  2. Click and drag to draw a rectangle at the position for the text.
  3. Double-click the field rectangle. The Text dialog box appears.
  4. Enter the text.
  5. Select Multi Line to enable the text to wrap to a new line when there is not enough horizontal space.
  6. Click OK.


To set column width and height precisely (Procedure)

Define the footer section
Up a level to ..
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set column width and height precisely

  1. Click a field rectangle.
  2. Click Field menu [image] Size and Position. The Size and Position dialog box appears.
  3. Enter the desired height and width in the size section.
  4. Click OK.


To insert variables (Procedure)

Define the footer section
Up a level to ..
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert variables

  1. On the toolbar, click [image] .
  2. Click and drag to draw a rectangle at the position for the variable.
  3. Double-click the rectangle. The Text dialog box appears alongside a list of component properties and variables.
  4. In the list box, find the desired variable and click it.
  5. Click OK.


To create a Configuration Variable (Procedure)

Define the footer section
Up a level to ..
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Configuration Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Configuration Variable from the list.
  4. Click OK. The Configuration Variable dialog box appears.
  5. In the Designation box, enter a name for the variable.
  6. In the Configuration Variable box, enter the desired configuration information.
  7. Click OK until all dialog boxes close.


To create a Mathematical Variable (Procedure)

Define the footer section
Up a level to ..
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Mathematical Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Mathematical Variable from the list.
  4. Click OK. The Mathematical Variable dialog box appears.
  5. In the Designation box, enter a name for the variable.
  6. In the Operation box enter the formula that assigns a value to this variable.
  7. Click OK until all dialog boxes close.


To create a Prompt Variable (Procedure)

Define the footer section
Up a level to ..
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Prompt Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Prompt Variable from the list.
  4. Click OK. The Prompt Variable dialog box appears.
  5. In the Designation box, enter a name for the variable.
  6. In the Prompt box enter the prompt to show when someone prints the document.
  7. Click OK until all dialog boxes close.


To create a Static Variable (Procedure)

Define the footer section
Up a level to ..
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Static Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Static Variable from the list.
  4. Click OK. The Static Text Variable dialog box appears.
  5. In the Designation box, enter a name for the variable.
  6. In the Output Text box, type the text for this variable.
  7. Click OK until all dialog boxes close.


To create a Summary Variable (Procedure)

Define the footer section
Up a level to ..
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Summary Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Summary Variable from the list.
  4. Click OK. The Summary Variable dialog box appears.
  5. If you want the variable to:
    • contain page-wise totals only, in the Summary Type area, select Page.
    • contain group-wise totals only, in the Summary Type area, select Group.
    • contain the grand totals for the entire parts list, in the Summary Type area, select Total.
  6. In the Designation box, enter a name for the variable.
  7. In the Operation box, enter the formula that assigns a value to this variable.
    NoteThe formula can contain numbers, variables that evaluate to a number and the mathematical operators “+”, “-”, “*” (multiplication), and “/” (division)
  8. Click OK until all dialog boxes close.


To create a Title Block Variable (Procedure)

Define the footer section
Up a level to ..
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Title Block Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Title Block Entry from the list.
  4. Click OK. The Title Block Variable dialog box appears.
  5. In the Designation box, enter the name of the Title Block attribute you want the variable to store.
  6. In the Title Block Entry box, enter a prompt to display if the Title Block Attribute is not available when you print the parts list.
  7. Click OK until all dialog boxes close.


To insert variables (Procedure)

Define the footer section
Up a level to ..
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert variables

  1. On the toolbar, click [image] .
  2. Click and drag to draw a rectangle at the position for the variable.
  3. Double-click the rectangle. The Text dialog box appears alongside a list of component properties and variables.
  4. In the list box, find the desired variable and click it.
  5. Click OK.


Define the footer section (Quick Reference)

Define the footer section
Define the footer section
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Mathematical Definition dialog box

Use this dialog box to specify a new mathematical operation for use in the Parts List. Only the basic operators +, -, *, and / are allowed.

Result Field

Specifies the field index number used to place the results.

Operation

Specifies the mathematical operation. This setting can be between multiple fields or between fields and real numbers


Define the footer section (Quick Reference)

Define the footer section
Define the footer section
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Mathematical Operations dialog box

Use this dialog box to view and manage the mathematical operations used in the parts list. The operations listed are performed in sequence.

Add

Specifies a new mathematical operation. (opens the Mathematical Definition dialog box)

Edit

Modifies the selected operation.

Copy

Creates a copy of the selected operation.

Delete

Removes the selected operation.

Move

Moves the position of operation up or down the list.


Define the footer section (Quick Reference)

Define the footer section
Define the footer section
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Snap Size dialog box

Use this dialog box to specify the granularity of the grid used for snap-to-grid. Set snap size to low values to have more control over the size and direction of the fields. Set snap size higher to help with aligning multiple lines and fields.

Horizontal

Sets the horizontal snap distance to the grid.

Vertical

Sets the vertical snap distance to the grid.


Define the footer section (Quick Reference)

Define the footer section
Define the footer section
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Background Color dialog box

Use this dialog box to specify the background color for the text field.

Basic colors

Shows the available colors.

Custom colors

Shows the available custom colors from a color matrix.


Define the footer section (Quick Reference)

Define the footer section
Define the footer section
Define the footer section
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Variable Definitions dialog box

Use this dialog box to view and manage the variables declared in the parts list. You can change the order of the list, but the change does not affect the execution of the variables.

Add

Specifies a new variable. (opens the New Variable dialog box)

Edit

Modifies the selected variable.

Copy

Creates a copy of the selected variable.

Delete

Removes the selected variable.

Move

Moves the position of the selected variable up or down the list.


Define the footer section (Quick Reference)

Define the footer section
Define the footer section
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the footer section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

New Variable dialog box

Use this dialog box to create new variables. Select from the available types.

Configuration Variable

Enables information to carry over from the AutoCAD configuration file, for example, User Name, Organization name.

Mathematical Variable

Creates a variable for calculation values. Use this variable if you do not want the calculated value to show up in the parts list but want to store the value temporarily.

Prompt Variable

Before the parts list prints, it prompts you for any additional information you want to appear in the parts list. This information can be name, date, and so on.

Static Variable

Declares a specific unchanging value. Saves you from entering the same value in the parts list multiple times.

Summary Variable

Creates totals of elements within a group, page, or the whole parts list. Used like the Math variables.

Title Block Entry

Allows you to copy values from the Title Block to the parts list.


Define the end page (Concept)

Define the footer section
Format parts lists for printing
Print a parts list using a mask file
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In the Mask Editor main window, the section at the bottom of the window represents the end page.

Defining the end page is identical to defining the banner page. To disable the end page, leave this section blank.


Define the end page (Procedure)

Define the footer section
Up a level to ..
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert images

To insert static text

To set text alignment within the field rectangles

To set font style and color

To insert variables

To create a Configuration Variable

To insert the date such that it updates automatically

To create a Prompt Variable

To create a Static Variable

To create a Title Block Variable

To draw lines

To draw lines behind field rectangles

To add borders


Define the end page (Quick Reference)

Define the footer section
Define the end page
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Line Thickness dialog box

Color dialog box

Position dialog box

Border thickness dialog box

Style and Type for Field dialog box

Text Alignment dialog box

Snap Size dialog box

Background Color dialog box

Variable Definitions dialog box

New Variable dialog box


To insert images (Procedure)

Define the end page
Up a level to ..
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert images

  1. On the toolbar, click
  2. Click and drag to draw a rectangle at the position for the image. The size of the rectangle determines the size of the placed image.
  3. Right-click the field rectangle and select Style and Type.
  4. In the displayed dialog box, select Bitmap. Click OK.
  5. Select Field [image] Bitmap. The Open dialog box appears
  6. Browse for the image to insert.
  7. Click OK.


To insert static text (Procedure)

Define the end page
Up a level to ..
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert static text

  1. On the toolbar, click [image] .
  2. Click and drag to draw a rectangle at the position for the text.
  3. Double-click the field rectangle. The Text dialog box appears.
  4. Enter the text.
  5. Select Multi Line to enable the text to wrap to a new line when there is not enough horizontal space.
  6. Click OK.


To set text alignment within the field rectangles (Procedure)

Define the end page
Up a level to ..
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set text alignment within the field rectangles

  1. Click a field rectangle to select it.
  2. Click Field menu [image] Alignment. The Text Alignment dialog box appears.
  3. Select the horizontal and vertical alignment of the text.
  4. Click OK.


To set font style and color (Procedure)

Define the end page
Up a level to ..
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set font style and color

  1. Select the field that contains the text.
  2. Select Field menu [image] Font. The Font dialog box appears.
  3. After making selections, click OK.


To insert variables (Procedure)

Define the end page
Up a level to ..
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert variables

  1. On the toolbar, click [image] .
  2. Click and drag to draw a rectangle at the position for the variable.
  3. Double-click the rectangle. The Text dialog box appears alongside a list of component properties and variables.
  4. In the list box, find the desired variable and click it.
  5. Click OK.


To create a Configuration Variable (Procedure)

Define the end page
Up a level to ..
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Configuration Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Configuration Variable from the list.
  4. Click OK. The Configuration Variable dialog box appears.
  5. In the Designation box, enter a name for the variable.
  6. In the Configuration Variable box, enter the desired configuration information.
  7. Click OK until all dialog boxes close.


To insert the date such that it updates automatically (Procedure)

Define the end page
Up a level to ..
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To insert the date such that it updates automatically

  1. On the toolbar, click [image] .
  2. Click and drag to draw a rectangle at the position for the date.
  3. Double-click the text field.
  4. Enter #d #m #y for day, month, and year in the Text Value box.
    NoteUse #w to generate the month by name rather than number. (For example, ‘June’ instead of ‘06.’)
  5. Click OK.


To create a Prompt Variable (Procedure)

Define the end page
Up a level to ..
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Prompt Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Prompt Variable from the list.
  4. Click OK. The Prompt Variable dialog box appears.
  5. In the Designation box, enter a name for the variable.
  6. In the Prompt box enter the prompt to show when someone prints the document.
  7. Click OK until all dialog boxes close.


To create a Static Variable (Procedure)

Define the end page
Up a level to ..
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Static Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Static Variable from the list.
  4. Click OK. The Static Text Variable dialog box appears.
  5. In the Designation box, enter a name for the variable.
  6. In the Output Text box, type the text for this variable.
  7. Click OK until all dialog boxes close.


To create a Title Block Variable (Procedure)

Define the end page
Up a level to ..
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a Title Block Variable

  1. Click Partslist menu [image] Variables. The Variable Definitions dialog box appears.
  2. Click Add. The New Variable dialog box appears.
  3. Select Title Block Entry from the list.
  4. Click OK. The Title Block Variable dialog box appears.
  5. In the Designation box, enter the name of the Title Block attribute you want the variable to store.
  6. In the Title Block Entry box, enter a prompt to display if the Title Block Attribute is not available when you print the parts list.
  7. Click OK until all dialog boxes close.


To draw lines (Procedure)

Define the end page
Up a level to ..
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw lines

  1. On the toolbar, click
  2. Click and drag on the page to create a line.
  3. To adjust the color, thickness, and position of the line, select the Line menu, or right-click on the drawn line.


To draw lines behind field rectangles (Procedure)

Define the end page
Up a level to ..
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To draw lines behind field rectangles

  1. Click the Line to adjust.
  2. Click Line menu [image] Draw behind fields.


To add borders (Procedure)

Define the end page
Up a level to ..
Print a parts list using a mask file
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add borders

  1. Click the field to edit.
  2. Click Field menu [image] Border. The Border Thickness dialog box appears.
  3. Enter the thickness of the left, right, top, and bottom borders.
  4. Click OK.


Define the end page (Quick Reference)

Define the end page
Define the end page
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Line Thickness dialog box

Use this dialog box to specify the thickness of the selected line.


Define the end page (Quick Reference)

Define the end page
Define the end page
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Color dialog box

Use this dialog box to specify the color of the line.

Basic colors

Shows the available colors.

Custom colors

Shows the available custom colors from a color matrix.


Define the end page (Quick Reference)

Define the end page
Define the end page
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Position dialog box

Use this dialog box to specify the start and end point coordinates of a line precisely, as an alternative to dragging.

Start Point

Defines the x and y coordinates of the starting point of the line.

End Point

Defines the x and y coordinates of the ending point of the line.


Define the end page (Quick Reference)

Define the end page
Define the end page
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Border thickness dialog box

Use this dialog box to specify the thickness of the borders for a field rectangle. Setting any of the values to zero clears that border.


Define the end page (Quick Reference)

Define the end page
Define the end page
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Style and Type for Field dialog box

Use this dialog box to specify the type and background color of the selected field.

No Background Color

Removes the background color from the text field.

Field Type

Specifies whether the field contains text or a bitmap image.


Define the end page (Quick Reference)

Define the end page
Define the end page
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Text Alignment dialog box

Use this dialog box to specify how text is placed in the field rectangle if the field is bigger than the text. .

Horizontal Defines the text alignment with respect to the left and right edges of the field.
 | Left Aligns text to the left edge.
 | Center Aligns text to the horizontal center of the field.
 | Right Aligns text to the right edge.
Vertical Defines the text alignment with respect to the top and bottom edges of the field.
 | Top Aligns text to the top edge.
 | Middle Aligns text to the vertical center of the field.
 | Bottom Aligns text to the bottom edge.


Define the end page (Quick Reference)

Define the end page
Define the end page
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Snap Size dialog box

Use this dialog box to specify the granularity of the grid used for snap-to-grid. Set snap size to low values to have more control over the size and direction of the fields. Set snap size higher to help with aligning multiple lines and fields.

Horizontal

Sets the horizontal snap distance to the grid.

Vertical

Sets the vertical snap distance to the grid.


Define the end page (Quick Reference)

Define the end page
Define the end page
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Background Color dialog box

Use this dialog box to specify the background color for the text field.

Basic colors

Shows the available colors.

Custom colors

Shows the available custom colors from a color matrix.


Define the end page (Quick Reference)

Define the end page
Define the end page
Define the end page
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Variable Definitions dialog box

Use this dialog box to view and manage the variables declared in the parts list. You can change the order of the list, but the change does not affect the execution of the variables.

Add

Specifies a new variable. (opens the New Variable dialog box)

Edit

Modifies the selected variable.

Copy

Creates a copy of the selected variable.

Delete

Removes the selected variable.

Move

Moves the position of the selected variable up or down the list.


Define the end page (Quick Reference)

Define the end page
Define the end page
Overview
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Define the end page
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

New Variable dialog box

Use this dialog box to create new variables. Select from the available types.

Configuration Variable

Enables information to carry over from the AutoCAD configuration file, for example, User Name, Organization name.

Mathematical Variable

Creates a variable for calculation values. Use this variable if you do not want the calculated value to show up in the parts list but want to store the value temporarily.

Prompt Variable

Before the parts list prints, it prompts you for any additional information you want to appear in the parts list. This information can be name, date, and so on.

Static Variable

Declares a specific unchanging value. Saves you from entering the same value in the parts list multiple times.

Summary Variable

Creates totals of elements within a group, page, or the whole parts list. Used like the Math variables.

Title Block Entry

Allows you to copy values from the Title Block to the parts list.


Print a parts list using a mask file (Concept)

Define the end page
Format parts lists for printing
Format custom parts lists for display in drawing
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Print a parts list using a mask file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

When you print a parts list, the Print options dialog box appears. You can specify whether AutoCAD Mechanical uses a mask file. When you select this option, the program prompts you to select the mask file to use.


Print a parts list using a mask file (Procedure)

Define the end page
Up a level to ..
Print a parts list using a mask file
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Print a parts list using a mask file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To print a BOM

To print a parts list


To print a BOM (Procedure)

Print a parts list using a mask file
Up a level to ..
Print a parts list using a mask file
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Print a parts list using a mask file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To print a BOM

  1. Click the Annotate tab [image] BOM panel [image] Main BOM. At the Command prompt, enter AMBOM.
  2. In the BOM List panel, right-click the BOM to edit and select Set current. The [image] icon indicates the current BOM.
  3. In the toolbar in the BOM List panel, click [image] . The Print dialog box is displayed.
  4. Select the printer from the Name list.
  5. Click Properties and select the paper size.
  6. Click OK to return to the Print dialog box.
    NoteThe procedure for selecting paper size varies from printer to printer.
  7. To use a mask file:
    1. Select the Use Mask File check box.
    2. Click
    Select the MSK file to use.
  8. Click Print.


To print a parts list (Procedure)

Print a parts list using a mask file
Up a level to ..
Format custom parts lists for display in drawing
Miscellaneous advanced tools > The Mask Editor > Format parts lists for printing >
Print a parts list using a mask file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To print a parts list

  1. In the drawing area, double-click the parts list to print. The Parts List dialog box is displayed.
  2. In the toolbar, click [image] . The Print dialog box is displayed.
  3. Select the Printer from the Name list.
  4. Click Properties and select the appropriate paper size and return to the Print dialog box.
    NoteThe procedure for selecting paper size varies from printer to printer.
  5. To use a mask file:
    1. Select the Use Mask File check box.
    2. Click
    Select the MSK file to use.
  6. To preview the hard copy of the parts list, click Preview.
  7. Click Print.


Format custom parts lists for display in drawing

Print a parts list using a mask file
The Mask Editor
Overview
Miscellaneous advanced tools > The Mask Editor >
Format custom parts lists for display in drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • Overview
  • Set the precision of a parts list column
  • Sort and Group parts list data


Format custom parts lists for display in drawing (Procedure)

Print a parts list using a mask file
Format custom parts lists for display in drawing
Overview
Miscellaneous advanced tools > The Mask Editor >
Format custom parts lists for display in drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To link a .dsk file to a .dwg file

To set the precision of a component property or variable

To sort the parts list

To print the parts list according to categories

To rename the “remainder” group


Overview (Concept)

Format custom parts lists for display in drawing
Format custom parts lists for display in drawing
Set the precision of a parts list column
Miscellaneous advanced tools > The Mask Editor > Format custom parts lists for display in drawing >
Overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When we introduced the mask editor, the formatting options for displaying parts lists were limited and they required mask files to implement. The capabilities of parts lists are enhanced in the current version and there is no advantage in using masks to format custom parts lists for display. The features are included only for the sake of completeness.

Mask files for custom parts list have the file extension .dsk. The .dsk file must have the same name as the blocks used to define a custom parts list. For example, for a custom parts list where the heading block is MYPLIST0 (and the body blocks are MYPLIST1 through MYPLIST9), the corresponding mask file must be named MYPLIST.dsk. This file must be stored in the folder reserved for .dsk files. This location varies by operating system.

If you install AutoCAD Mechanical from an AutoCAD Mechanical installation CD, the default location for .dsk files is:

OS | Default location for Files
Windows XP | C:\Documents and Settings\All Users\Shared Documents\Autodesk\ACADM ProductVersion\Acadm\Gen\Dsk
Windows Vista | C:Users\Public\Public Documents\Autodesk\ACADM ProductVersion\Acadm\Gen\Dsk

If you installed AutoCAD Mechanical from an Autodesk Mechanical Desktop installation CD, the default location for .dsk files is:

OS | Default location for Files
Windows XP | C:\Documents and Settings\All Users\Shared Documents\Autodesk\MDT ProductVersion\Acadm\Gen\Dsk
Windows Vista | C:\Users\Public\Public Documents\Autodesk\MDT ProductVersion\Acadm\Gen\Dsk

When you open or create a .dsk file, unlike .msk files, the mask editor shows the content of the file as free-form text. This may look intimidating, but you neither need to edit the text directly nor know the structure of a .dsk file. Everything in the file is configured using the main menu and dialog boxes. There is no need to modify the content directly.

The menus work the same way as they do with .msk files, except that you cannot see the result of your edits directly. To see the changes, place the corresponding custom parts list on the drawing. Some menu options are unavailable because they are not relevant for .dsk files.


To link a .dsk file to a .dwg file (Procedure)

Format custom parts lists for display in drawing
Up a level to ..
Set the precision of a parts list column
Miscellaneous advanced tools > The Mask Editor > Format custom parts lists for display in drawing >
Overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To link a .dsk file to a .dwg file

  1. At the command prompt, enter AMOPTIONS.
  2. Select the AM:Standards tab.
  3. Double-click Parts List in the Standard Elements list. The BOM settings dialog box appears.
  4. In the Default Style section, select Custom and then Browse.
  5. Select the drawing containing the custom parts list corresponding to the .dsk file you want to use.
  6. In the BOM settings dialog box, In the Parts List tab, click [image] . The Parts List Settings dialog box appears.
  7. In the layout section, select the Evaluate DSK file check box.
  8. Click OK until all dialog boxes close.


Overview (Quick Reference)

Define the end page
Overview
Set the precision of a parts list column
Miscellaneous advanced tools > The Mask Editor > Format custom parts lists for display in drawing >
Overview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Parts List Settings dialog box

Use this dialog box to customize the default settings for parts lists.

Revision

Displays the name and the revision of the standard that controls the default settings of parts lists.

Insertion

Insertion point

Sets the placement of the base point for parts lists. This also controls where the title of the parts list appears. If the insertion point is at the bottom, the headings and title are displayed at the bottom of the parts list and the parts are listed from bottom to top. Similarly, if the insertion point is at the top, the headings and title are displayed at the top of the parts list and the parts are listed from top to bottom.

When the Insertion Point is set to ByNameOfCurrentDraftingStandard, the insertion point is acquired from the List Attach Point setting of the master settings of the current drafting standard. If the master settings change, the insertion point automatically follows the change.

Text

Controls the default text settings for parts list heading and body rows.

Header

Style

Defines the text style to be used for the heading row. This option is available only if the current standard is a custom standard.

Control

Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.

Height

Defines the text height to be used for the heading row.

When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the heading row text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Defines the text color to be used for the heading row.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of heading rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Data

Style

Defines the text style to be used for the data rows. This option is available only if the current standard is a custom standard.

Control

Defines how text fits within a column, if the length of the text exceeds the column width. The fit option compresses text to fit within one line. The wrap option wraps text to the next line. The None option lets text flow to the next column.

Height

Defines the text height to be used for data rows.

When the height is set to ByNameOfCurrentDraftingStandard, it acquires the text height from the master settings of the current drafting standard. If the master setting changes, the data row text height changes automatically.

If the current standard is a custom standard, you can specify a non-standard text height. If not, the AutoCAD Mechanical restricts you to selecting a value from the list.

Color

Defines the text color to be used for the data rows.

When the text color is set to ByNameOfCurrentDraftingStandard, it acquires the color from the master settings of the current drafting standard. If the master setting changes, the text color of data rows change automatically.

NoteIf the text height changes, the color automatically changes to the default color corresponding to that text height. Text object colors are set from the Object Property Settings dialog box.

Spacing

Defines the gap between two data rows.

Internal Margins

Header

Sets the amount of white space for the heading row.

Top

Sets the distance from the top of the row to the top of the text.

Bottom

Sets the distance from the bottom of the row to the bottom of the text.

Left

Sets the distance from the left edge of a column to the left edge of left aligned text.

Right

Sets the distance from the right edge of a column to the right edge of right aligned text.

Data

Sets the amount of white space for the data rows.

Top

Sets the distance from the top of the row to the top of the text.

Bottom

Sets the distance from the bottom of the row to the bottom of the text.

Left

Sets the distance from the left edge of a column to the left edge of left aligned text.

Right

Sets the distance from the right edge of a column to the right edge of right aligned text.

Layout

Insert header

Controls whether a header row appears in the parts lists. The header row displays the column headings of the parts lists columns.

Insert title

Controls whether parts lists have a title bar. The title bar displays the name of the parts list.

Show grip frame

Controls whether the grip frame of the parts list appears. The grip frame is a frame that shows the actual extent of the parts list, which, under certain conditions, may be larger than the visible extent of the parts list.

Bold style

Sets the line style on title, header and summation rows to bold.

Filter empty references

Controls if body blocks (of a custom parts list) should be hidden, if it contains no data. This option is available only if the parts list style is set to a custom parts list.

Evaluate DSK file

Sets grouping options for custom parts list by way of a DSK file. DSK files are created using the Mask Editor. See Miscellaneous Advanced Tools for documentation on the Mask Editor.

Column splitting

Contains options to configure if column splitting is to be performed and if so, how. Column splitting refers to the ability for the entire parts list to wrap as the number of data rows grow.

Enable column splitting

Turns on column splitting.

Wrap round title block

Wraps the parts list around the title block as in the following image. You must specify the title block before inserting the part list.

Wrap left

Wraps the parts list to the left as shown below.

Wrap right

Wraps the parts list to the right as shown below.

Number of rows

Performs split after the number of rows exceeds the number you specify in the adjacent box.

Number of sections

Splits the parts list onto the specified number of sections and distributes the entries evenly.

Restore Defaults

Resets all settings to the default settings for the current drafting standard.


Set the precision of a parts list column (Concept)

Overview
Format custom parts lists for display in drawing
Sort and Group parts list data
Miscellaneous advanced tools > The Mask Editor > Format custom parts lists for display in drawing >
Set the precision of a parts list column
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The precision setting functionality of .dsk files have been superseded by the ability to set the precision of a component property in the BOM Settings dialog box. The following sections are included only for the sake of completeness.

The Parts List menu provides an option to set the precision of any component property. In the dialog box that appears, provide the field index of the component property and the number of decimals for the precision. The text in the .dsk file is updated when you press the OK button.

See Also
    • Customize BOM properties


Set the precision of a parts list column (Quick Reference)

Overview
Set the precision of a parts list column
Set the precision of a parts list column
Miscellaneous advanced tools > The Mask Editor > Format custom parts lists for display in drawing >
Set the precision of a parts list column
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Precision Definition dialog box

Precision Definitions dialog box


To set the precision of a component property or variable (Procedure)

Overview
Up a level to ..
Sort and Group parts list data
Miscellaneous advanced tools > The Mask Editor > Format custom parts lists for display in drawing >
Set the precision of a parts list column
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To set the precision of a component property or variable

  1. Click Partslist menu [image] Precision. The Precision Definitions dialog box appears.
  2. Find the component property or variable in the list of component properties and variables and click it. The Precision Definition dialog box appears.
  3. In the Integer part box specify the number of digits for the integer part. Leave it blank to enable unrestricted display of the integer part.
  4. In the Decimal part box specify the number of decimals you require. Leave it blank to ignore decimal precision.
  5. To suppress trailing zeroes, select the Skip Trailing Zeroes check box.
  6. Click OK until all dialog boxes close.
NoteTo change the default value for all precision, select the Default entry in the Precision Definitions dialog box and click Edit.


Set the precision of a parts list column (Quick Reference)

Set the precision of a parts list column
Set the precision of a parts list column
Set the precision of a parts list column
Miscellaneous advanced tools > The Mask Editor > Format custom parts lists for display in drawing >
Set the precision of a parts list column
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Precision Definition dialog box

Use this dialog box to specify the precision of the fields in the parts list.

Variable Specifies the field index or variable that has its precision specified.
Precision
 | Integer part Specifies the minimum digit for the integer portion of the value.
 | Decimal part Specifies the number of digits used for the decimal portion of the value.
Skip trailing zeros Specifies whether trailing zeros in the decimal portion are displayed. If you check this box, 2.000000 appears as 2.


Set the precision of a parts list column (Quick Reference)

Set the precision of a parts list column
Set the precision of a parts list column
Sort and Group parts list data
Miscellaneous advanced tools > The Mask Editor > Format custom parts lists for display in drawing >
Set the precision of a parts list column
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Precision Definitions dialog box

Use this dialog box to modify the degree of precision used in each field or variable.

Add

Specifies the precision for a new field or variable not on the list. (opens the Precision Definition dialog box)

Edit

Modifies the selected precision. (opens the Precision Definition dialog box)

Copy

Creates a copy of the selected precision.

Delete

Removes the selected precision.


Sort and Group parts list data (Concept)

Set the precision of a parts list column
Format custom parts lists for display in drawing
Script Generator
Miscellaneous advanced tools > The Mask Editor > Format custom parts lists for display in drawing >
Sort and Group parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The sort and group functionality of .dsk files have been superseded by the sorting and grouping features available in the Parts List dialog box. The following sections are included only for the sake of completeness.

You can specify the sort criteria for a custom parts list in the mask file. You can sort by a single column or by multiple columns. If you do not specify sort criteria, the parts list sorts by item number.

Mask files enable you to group parts, with each group printing on a separate page. The parts list shows a single entry for the group and the quantity is the sum of all the parts within that group.

Groups are defined by selecting a component property and setting a range for all items that fit into a group. Items that do not belong to any groups go into a ‘remainder’ group.

See Also
    • Edit parts list data


Sort and Group parts list data (Procedure)

Set the precision of a parts list column
Up a level to ..
Sort and Group parts list data
Miscellaneous advanced tools > The Mask Editor > Format custom parts lists for display in drawing >
Sort and Group parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To sort the parts list

To print the parts list according to categories

To rename the “remainder” group


Sort and Group parts list data (Quick Reference)

Set the precision of a parts list column
Sort and Group parts list data
Sort and Group parts list data
Miscellaneous advanced tools > The Mask Editor > Format custom parts lists for display in drawing >
Sort and Group parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sorting Directives dialog box

Group Definition dialog box


To sort the parts list (Procedure)

Sort and Group parts list data
Up a level to ..
Sort and Group parts list data
Miscellaneous advanced tools > The Mask Editor > Format custom parts lists for display in drawing >
Sort and Group parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To sort the parts list

  1. Click Partslist menu [image] Sorting. The Sorting Directives dialog box appears.
  2. To add new sorting criteria, click Add. The New Field Index dialog box appears.
  3. Enter or select from the list the field index number of the desired sorting criteria and click OK. The specified sorting criteria appears in the Sorting Fields box.
  4. To arrange the sorting criteria by priority, click the desired sorting criteria and use the Move buttons until it is in the desired order.
  5. To enable Case Sensitive Sorting, check the corresponding box.
  6. After the sorting fields box is in the desired order, click OK.


To print the parts list according to categories (Procedure)

Sort and Group parts list data
Up a level to ..
Sort and Group parts list data
Miscellaneous advanced tools > The Mask Editor > Format custom parts lists for display in drawing >
Sort and Group parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To print the parts list according to categories

  1. Click Partslist menu [image] Grouping. The Group Definitions dialog box appears.
  2. Click Add.
  3. In the Designation box, enter the name of the group.
  4. Enter the range of the items contained in the group in the Minimum value and Maximum value boxes.
  5. Click OK. Repeat to insert more groups.
  6. Enter the field index number to use for grouping in the Group by index box.
  7. Click OK.


To rename the “remainder” group (Procedure)

Sort and Group parts list data
Up a level to ..
Script Generator
Miscellaneous advanced tools > The Mask Editor > Format custom parts lists for display in drawing >
Sort and Group parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To rename the “remainder” group

  1. Click Partslist menu [image] Grouping. The Group Definition dialog box appears.
  2. In the Designation for Remaining Page box, enter the desired group name for the non-categorized parts.
  3. Click OK.


Sort and Group parts list data (Quick Reference)

Sort and Group parts list data
Sort and Group parts list data
Sort and Group parts list data
Miscellaneous advanced tools > The Mask Editor > Format custom parts lists for display in drawing >
Sort and Group parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sorting Directives dialog box

Use this dialog box to specify how the program sorts data in the parts list.

Sorting Fields Defines the fields used as a criteria for sorting. The program sorts items according to the first field on the list, then sorts items considered similar by the first criteria according to the next field on the list, and so on.
 | Add Specifies a new field for sorting criteria.
 | Delete Removes the selected index from the list.
 | Move Moves the position of the index up or down the list.
Read decimal character as Sets the decimal separator to the comma or period character.
 | Point Specifies that a period represents decimal points.
 | Comma Specifies that a comma represents decimal points.
Case Sensitive Sorting Treats words in lowercase as different from the same words in uppercase.


Sort and Group parts list data (Quick Reference)

Sort and Group parts list data
Sort and Group parts list data
About the script generator
Miscellaneous advanced tools > The Mask Editor > Format custom parts lists for display in drawing >
Sort and Group parts list data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Group Definition dialog box

Use this dialog box to create a group for the parts.

Designation

Specifies a name for the group.

Maximum value

Specifies the highest number in the group. This number can be parts number, quantity, or anything else, depending on the field index designated in the Group by Index box.

Minimum value

Specifies the lowest number in the group. This number can be parts number, quantity, or anything else, depending on the field index designated in the Group by Index box.


Script Generator

Sort and Group parts list data
Miscellaneous advanced tools
About the script generator
Miscellaneous advanced tools >
Script Generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • About the script generator
  • Supplied LISP files
  • Convert drawings
  • Analyze a drawing


Script Generator (Procedure)

Sort and Group parts list data
Script Generator
About the script generator
Miscellaneous advanced tools >
Script Generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To analyze a current drawing

To create a .ccf file for converting drawings

To convert a current drawing from one format to another

To analyze a current drawing

To create a .ccf file for converting drawings

To convert a current drawing from one format to another

To analyze a current drawing

To create a .ccf file for converting drawings

To convert a current drawing from one format to another

To analyze a current drawing

To create a .ccf file for converting drawings

To convert a current drawing from one format to another


About the script generator (Concept)

Script Generator
Script Generator
Supplied LISP files
Miscellaneous advanced tools > Script Generator >
About the script generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can use the script generator to specify the input files and associated LISP routines in a script file without leaving the drawing session. You can incorporate not only the LISP files provided with AutoCAD Mechanical, but also user-defined and modified copies of those LISP files. You can integrate any LISP routine into the script.

AutoCAD Mechanical includes these built-in LISP routines:

  • Drawing Analysis
  • Exchange of Blocks
  • Edit Configuration
  • Layer Conversion
  • Convert Genius 12 Drawings
  • Convert DXF Files to DWG files
  • Make DXF Files
  • Make Slides
  • Minimize Size of Drawing
  • Exchange Text Strings
  • Exchange Title Blocks
  • Translate Text Entities
  • Zoom to Extent


About the script generator (Procedure)

Script Generator
Up a level to ..
About the script generator
Miscellaneous advanced tools > Script Generator >
About the script generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To analyze a current drawing

To create a .ccf file for converting drawings

To convert a current drawing from one format to another


About the script generator (Quick Reference)

Sort and Group parts list data
About the script generator
About the script generator
Miscellaneous advanced tools > Script Generator >
About the script generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMANALYSEDWG

AMCONVDWG

AMSCRIPT

Script Generator dialog box


To analyze a current drawing (Procedure)

About the script generator
Up a level to ..
About the script generator
Miscellaneous advanced tools > Script Generator >
About the script generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To analyze a current drawing

Converting a drawing needs three files: An analyze file (.alz), a converting file (.ccf), and a drawing file (.dwg) containing the layers you want to convert to. This drawing must have the same name as the .ccf file and must be located in the same directory.

  1. Open the drawing you want to convert.
  2. Click None [image] None [image] At the Command prompt, enter AMANALYSEDWG.
  3. In the File name for Analysis info (.ALZ file) dialog box, enter a file name and the folder to analyze the current DWG.
  4. In the AutoCAD question dialog box, choose Yes to show the drawing information.
NoteYou can use the .alz file to enter the necessary entries for creating a ccf-file. The ccf-file can be used to convert drawings.


To create a .ccf file for converting drawings (Procedure)

About the script generator
Up a level to ..
About the script generator
Miscellaneous advanced tools > Script Generator >
About the script generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a .ccf file for converting drawings

Converting a drawing needs three files: An analyze file (.alz), a converting file (.ccf), and a drawing file (.dwg) containing the layers you want to convert to. This drawing must have the same name as the .ccf file and must be located in the same directory.

  1. Open the drawing you want to convert.
  2. Click None [image] None [image] At the Command prompt, enter AMANALYSEDWG.
  3. In the File name for Analysis info (ALZ file) dialog box, enter a file name and the folder to analyze the current DWG.
  4. In the AutoCAD question dialog box, choose Yes to show the drawing information.
  5. Open the .alz file with any text editor, include the line [Entity] at the top of the file, determine all target layers (which are defined in e.g. conv.dwg), and save this file as e.g. conv.ccf.
  6. Switch to the drawing you want to convert.
  7. Click None [image] None [image] At the Command prompt, enter AMCONVDWG.
  8. In the Select Conversion Control file (CCF) dialog box, choose the .ccf file. A .dwg must exist with the same name in the same directory containing the layers you want to convert to.
  9. Choose Open.


To convert a current drawing from one format to another (Procedure)

About the script generator
Up a level to ..
Supplied LISP files
Miscellaneous advanced tools > Script Generator >
About the script generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To convert a current drawing from one format to another

Use the Script feature to generate script files. Several options are available from the Generate Script dialog box.

Use AMANALYSEDWG to analyze a current drawing, which can then be used as the basis for generating a conversion file. Use AMCONVDWG to convert a current drawing. Use AMSCRIPT to convert a selected set of drawings.

A simple example is used here to demonstrate how to generate a script file for converting DXF drawing files to DWG drawing files.

  1. Click None [image] None [image] At the Command prompt, enter AMSCRIPT.
  2. In the Generate Script dialog box, under Selected Function list, select DXF2DWG Convert DXF to DWG.
  3. Select the files to which the Lisp routine is to be applied. The default is the current drawing.
  4. Choose OK.
  5. A script file with the file name script.scr is created. Specify a directory for this script file.
  6. When prompted to start the script, choose Yes.


About the script generator (Quick Reference)

About the script generator
About the script generator
About the script generator
Miscellaneous advanced tools > Script Generator >
About the script generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMANALYSEDWG

Analyzes the current drawing and writes layer information to an .alz file.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Tools [image] Script [image] Analyse Current dwg... Does not exist in the menus.
Command entry: amanalysedwg

Details include the layer type, the linetype, lineweight and color. The internal representation for lineweights is 100 x mm. This means a value of 0.01 mm appears as 1.00, or a value of 1 mm appears as 100 in the .alz file.

COMMAND OPTIONS

You are prompted to specify a file for analysis info (.alz). Specify a path and a name for the analyze file in the dialog box and click OK to continue.

In a question dialog box click YES to display the analyze results.

Note: The internal representation for lineweights is 100 x mm. This means a value of 0.01 mm appears as 1.00, or a value of 1 mm appears as 100 in the created .alz file.


About the script generator (Quick Reference)

About the script generator
About the script generator
About the script generator
Miscellaneous advanced tools > Script Generator >
About the script generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCONVDWG

Changes layers properties (layer name, color, linetype, lineweight) to that specified in a CCF file.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Tools [image] Script [image] Analyse Current dwg... Does not exist in the menus.
Command entry: amanalysedwg

You are prompted to specify a conversion control file (.ccf).


About the script generator (Quick Reference)

About the script generator
About the script generator
About the script generator
Miscellaneous advanced tools > Script Generator >
About the script generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCRIPT

Generates Scripts to apply a specified operation on selected drawings or entire folders.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Tools [image] Script [image] Analyse Current dwg... Does not exist in the menus.
Command entry: amscript

The Script Generator dialog box appears. You can set the Lisp routine and files where the Lisp routine is applied and generates a script.


About the script generator (Quick Reference)

About the script generator
About the script generator
Supplied LISP files
Miscellaneous advanced tools > Script Generator >
About the script generator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Script Generator dialog box

Path

Provides a space to specify the path in which the files you want to process are located. The path always terminates with a backslash (\).

Browse

Displays the Select File dialog box to choose a file.

Selected Files for Script

Displays a list of the files you selected to generate a script file.

Selected Function

Provides a list of Lisp routines to choose from.

List box (upper-right corner)

Displays a list of the files and directories to choose from and to insert into the Selected Files for Script window.

Add (upper button)

Inserts the files or directories selected in the List box into the Selected Files for Script window.

Add All

Inserts all files of the directory you selected into the Selected Files for Script window, and all files of subdirectories if the option Include Subdir is selected.

Remove (upper button)

Removes selected files or directories from the Selected Files for Script window.

Include Subdir

Includes all files located in the respective directory in the selection process.

Add (lower button)

Adds new Lisp files to the list of Lisp routines.

Remove (lower button)

Removes Lisp files from the Lisp list.


Supplied LISP files (Concept)

About the script generator
Script Generator
Convert drawings
Miscellaneous advanced tools > Script Generator >
Supplied LISP files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The LISP files supplied with AutoCAD Mechanical are ASCII files which you can edit with any text editor. They are in the same directory as the script files, for example, \AutoCAD Mechanical\GEN\SCR. To enable AutoCAD Mechanical to use your custom LISP routines, copy them into that directory.

\GEN\SRC\DUMMY.LSP is an example LISP file for testing. With this file, you can run and test the functionality of the script generator. The DUMMY.LSP file does not modify any drawing data. You can use the file as a template for your own routines.

The main LISP files are as follows:

ANALYZE.LSP

Analyzes a drawing.

CONVERT.LSP

Modifies a drawing so that the layers, linetypes, lineweights, and colors match the AutoCAD Mechanical defaults.

DXF2DWG.LSP

Converts DXF files to DWG files.

DXFOUT.LSP

Converts DWG files to DXF files.

MAKESLD.LSP

Creates slides.

SIZEMINI.LSP

Minimizes the size of a drawing. The program deletes all non-inserted blocks and unused layers. Blocks on switched-off layers remain unchanged.

NoteThe program deletes non-inserted blocks irretrievably. Do not use this command if you intend to work with non-inserted blocks.

CONFIG.LSP

Changes the configuration settings of the user name.

BLOCKEXG.LSP

Changes blocks within a drawing.

TEXTEXG.LSP

Changes text within a drawing.

TITLEEXG.LSP

Changes title blocks within a drawing.

ZOOMEXT.LSP

Zooms the drawings to extent.

CVT12.LSP

Converts A12 drawings.

TRANSL.LSP

Translates text objects into another language.


Supplied LISP files (Procedure)

About the script generator
Up a level to ..
Supplied LISP files
Miscellaneous advanced tools > Script Generator >
Supplied LISP files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To analyze a current drawing

To create a .ccf file for converting drawings

To convert a current drawing from one format to another


Supplied LISP files (Quick Reference)

About the script generator
Supplied LISP files
Supplied LISP files
Miscellaneous advanced tools > Script Generator >
Supplied LISP files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMANALYSEDWG

AMCONVDWG

AMSCRIPT

Script Generator dialog box


To analyze a current drawing (Procedure)

Supplied LISP files
Up a level to ..
Supplied LISP files
Miscellaneous advanced tools > Script Generator >
Supplied LISP files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To analyze a current drawing

Converting a drawing needs three files: An analyze file (.alz), a converting file (.ccf), and a drawing file (.dwg) containing the layers you want to convert to. This drawing must have the same name as the .ccf file and must be located in the same directory.

  1. Open the drawing you want to convert.
  2. Click None [image] None [image] At the Command prompt, enter AMANALYSEDWG.
  3. In the File name for Analysis info (.ALZ file) dialog box, enter a file name and the folder to analyze the current DWG.
  4. In the AutoCAD question dialog box, choose Yes to show the drawing information.
NoteYou can use the .alz file to enter the necessary entries for creating a ccf-file. The ccf-file can be used to convert drawings.


To create a .ccf file for converting drawings (Procedure)

Supplied LISP files
Up a level to ..
Supplied LISP files
Miscellaneous advanced tools > Script Generator >
Supplied LISP files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a .ccf file for converting drawings

Converting a drawing needs three files: An analyze file (.alz), a converting file (.ccf), and a drawing file (.dwg) containing the layers you want to convert to. This drawing must have the same name as the .ccf file and must be located in the same directory.

  1. Open the drawing you want to convert.
  2. Click None [image] None [image] At the Command prompt, enter AMANALYSEDWG.
  3. In the File name for Analysis info (ALZ file) dialog box, enter a file name and the folder to analyze the current DWG.
  4. In the AutoCAD question dialog box, choose Yes to show the drawing information.
  5. Open the .alz file with any text editor, include the line [Entity] at the top of the file, determine all target layers (which are defined in e.g. conv.dwg), and save this file as e.g. conv.ccf.
  6. Switch to the drawing you want to convert.
  7. Click None [image] None [image] At the Command prompt, enter AMCONVDWG.
  8. In the Select Conversion Control file (CCF) dialog box, choose the .ccf file. A .dwg must exist with the same name in the same directory containing the layers you want to convert to.
  9. Choose Open.


To convert a current drawing from one format to another (Procedure)

Supplied LISP files
Up a level to ..
Convert drawings
Miscellaneous advanced tools > Script Generator >
Supplied LISP files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To convert a current drawing from one format to another

Use the Script feature to generate script files. Several options are available from the Generate Script dialog box.

Use AMANALYSEDWG to analyze a current drawing, which can then be used as the basis for generating a conversion file. Use AMCONVDWG to convert a current drawing. Use AMSCRIPT to convert a selected set of drawings.

A simple example is used here to demonstrate how to generate a script file for converting DXF drawing files to DWG drawing files.

  1. Click None [image] None [image] At the Command prompt, enter AMSCRIPT.
  2. In the Generate Script dialog box, under Selected Function list, select DXF2DWG Convert DXF to DWG.
  3. Select the files to which the Lisp routine is to be applied. The default is the current drawing.
  4. Choose OK.
  5. A script file with the file name script.scr is created. Specify a directory for this script file.
  6. When prompted to start the script, choose Yes.


Supplied LISP files (Quick Reference)

Supplied LISP files
Supplied LISP files
Supplied LISP files
Miscellaneous advanced tools > Script Generator >
Supplied LISP files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMANALYSEDWG

Analyzes the current drawing and writes layer information to an .alz file.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Tools [image] Script [image] Analyse Current dwg... Does not exist in the menus.
Command entry: amanalysedwg

Details include the layer type, the linetype, lineweight and color. The internal representation for lineweights is 100 x mm. This means a value of 0.01 mm appears as 1.00, or a value of 1 mm appears as 100 in the .alz file.

COMMAND OPTIONS

You are prompted to specify a file for analysis info (.alz). Specify a path and a name for the analyze file in the dialog box and click OK to continue.

In a question dialog box click YES to display the analyze results.

Note: The internal representation for lineweights is 100 x mm. This means a value of 0.01 mm appears as 1.00, or a value of 1 mm appears as 100 in the created .alz file.


Supplied LISP files (Quick Reference)

Supplied LISP files
Supplied LISP files
Supplied LISP files
Miscellaneous advanced tools > Script Generator >
Supplied LISP files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCONVDWG

Changes layers properties (layer name, color, linetype, lineweight) to that specified in a CCF file.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Tools [image] Script [image] Analyse Current dwg... Does not exist in the menus.
Command entry: amanalysedwg

You are prompted to specify a conversion control file (.ccf).


Supplied LISP files (Quick Reference)

Supplied LISP files
Supplied LISP files
Supplied LISP files
Miscellaneous advanced tools > Script Generator >
Supplied LISP files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCRIPT

Generates Scripts to apply a specified operation on selected drawings or entire folders.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Tools [image] Script [image] Analyse Current dwg... Does not exist in the menus.
Command entry: amscript

The Script Generator dialog box appears. You can set the Lisp routine and files where the Lisp routine is applied and generates a script.


Supplied LISP files (Quick Reference)

Supplied LISP files
Supplied LISP files
Convert drawings
Miscellaneous advanced tools > Script Generator >
Supplied LISP files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Script Generator dialog box

Path

Provides a space to specify the path in which the files you want to process are located. The path always terminates with a backslash (\).

Browse

Displays the Select File dialog box to choose a file.

Selected Files for Script

Displays a list of the files you selected to generate a script file.

Selected Function

Provides a list of Lisp routines to choose from.

List box (upper-right corner)

Displays a list of the files and directories to choose from and to insert into the Selected Files for Script window.

Add (upper button)

Inserts the files or directories selected in the List box into the Selected Files for Script window.

Add All

Inserts all files of the directory you selected into the Selected Files for Script window, and all files of subdirectories if the option Include Subdir is selected.

Remove (upper button)

Removes selected files or directories from the Selected Files for Script window.

Include Subdir

Includes all files located in the respective directory in the selection process.

Add (lower button)

Adds new Lisp files to the list of Lisp routines.

Remove (lower button)

Removes Lisp files from the Lisp list.


Convert drawings (Concept)

Supplied LISP files
Script Generator
Analyze a drawing
Miscellaneous advanced tools > Script Generator >
Convert drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

A conversion control file is divided into two sections, General and Entity, each with a header.

Both sections begin with the section name in square brackets, followed by the data for the section. Comment lines begin with a semicolon.

The following is an example of a CCF file:

[General]

Verbose=0 (0/1 switch off/on a protocol file)

RetainBackup=0 (0/1 creates no/a backup file with the extension .old)

WBlockSave=0 (0/1 determines whether the converted drawing is saved with wblock/qsave)

Layer0Convert=1 (0/1/2 determines that there is no conversion/objects in blocks are not touched/all objects on layer 0 are converted)

[Entity]

Layername:Linetype:Color:Lineweight => Layername:Linetype:Color:Lineweight

0:BYLAYER:BYLAYER:BYLAYER => *:*:*:*

CONTOUR:BYLAYER:5:BYLAYER => AM_6:BYLAYER:BYLAYER:BYLAYER

CONTOUR:BYLAYER:BYLAYER:BYLAYER => AM_0:BYLAYER:BYLAYER:BYLAYER

EDGES:BYLAYER:250:BYLAYER => AM_5:BYLAYER:BYLAYER:BYLAYER

EDGES:BYLAYER:BYLAYER:BYLAYER => AM_5:BYLAYER:BYLAYER:BYLAYER

EDGES:DASHDOT:*:BYLAYER => AM_3:BYLAYER:BYLAYER:BYLAYER

Converting from an ALZ file to a CCF file requires minimal editing to the CCF file. As shown in this example, you can either keep the text from the ALZ file exactly as is done with the EDGES:BYLAYER: lines, or you can change them into a wildcard character.

The analysis file is a guide for writing your CCF file. You can modify it. The analysis file sorts alphabetically.

The conversion file modifies a drawing so that layer name, linetypes, colors, and lineweights convert to a new drawing format.

The AMCONVDWG command can perform a conversion on the currently loaded drawing. Alternatively, if you start this command from the Script Generator dialog box, you can select the files to convert.

Conversion Requirements
  • Two files must exist before you start AMCONVDWG: a conversion control file (CCF, which usually has the extension .ccf), and a layer definition file, which is an AutoCAD DWG file.
  • The base name of the two files must be the same. If the control file name for converting from the hypothetical application XYZ to AutoCAD Mechanical is XYZ2GEN.CCF, then the layer definition file must be called XYZ2GEN.DWG. The XYZ2GEN.DWG file must contain all layers (in one group), linetypes, and so on, to convert, with their attributes already defined. These files must be in the same directory.


Convert drawings (Procedure)

Supplied LISP files
Up a level to ..
Convert drawings
Miscellaneous advanced tools > Script Generator >
Convert drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To analyze a current drawing

To create a .ccf file for converting drawings

To convert a current drawing from one format to another


Convert drawings (Quick Reference)

Supplied LISP files
Convert drawings
Convert drawings
Miscellaneous advanced tools > Script Generator >
Convert drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMANALYSEDWG

AMCONVDWG

AMSCRIPT

Script Generator dialog box


To analyze a current drawing (Procedure)

Convert drawings
Up a level to ..
Convert drawings
Miscellaneous advanced tools > Script Generator >
Convert drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To analyze a current drawing

Converting a drawing needs three files: An analyze file (.alz), a converting file (.ccf), and a drawing file (.dwg) containing the layers you want to convert to. This drawing must have the same name as the .ccf file and must be located in the same directory.

  1. Open the drawing you want to convert.
  2. Click None [image] None [image] At the Command prompt, enter AMANALYSEDWG.
  3. In the File name for Analysis info (.ALZ file) dialog box, enter a file name and the folder to analyze the current DWG.
  4. In the AutoCAD question dialog box, choose Yes to show the drawing information.
NoteYou can use the .alz file to enter the necessary entries for creating a ccf-file. The ccf-file can be used to convert drawings.


To create a .ccf file for converting drawings (Procedure)

Convert drawings
Up a level to ..
Convert drawings
Miscellaneous advanced tools > Script Generator >
Convert drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a .ccf file for converting drawings

Converting a drawing needs three files: An analyze file (.alz), a converting file (.ccf), and a drawing file (.dwg) containing the layers you want to convert to. This drawing must have the same name as the .ccf file and must be located in the same directory.

  1. Open the drawing you want to convert.
  2. Click None [image] None [image] At the Command prompt, enter AMANALYSEDWG.
  3. In the File name for Analysis info (ALZ file) dialog box, enter a file name and the folder to analyze the current DWG.
  4. In the AutoCAD question dialog box, choose Yes to show the drawing information.
  5. Open the .alz file with any text editor, include the line [Entity] at the top of the file, determine all target layers (which are defined in e.g. conv.dwg), and save this file as e.g. conv.ccf.
  6. Switch to the drawing you want to convert.
  7. Click None [image] None [image] At the Command prompt, enter AMCONVDWG.
  8. In the Select Conversion Control file (CCF) dialog box, choose the .ccf file. A .dwg must exist with the same name in the same directory containing the layers you want to convert to.
  9. Choose Open.


To convert a current drawing from one format to another (Procedure)

Convert drawings
Up a level to ..
Analyze a drawing
Miscellaneous advanced tools > Script Generator >
Convert drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To convert a current drawing from one format to another

Use the Script feature to generate script files. Several options are available from the Generate Script dialog box.

Use AMANALYSEDWG to analyze a current drawing, which can then be used as the basis for generating a conversion file. Use AMCONVDWG to convert a current drawing. Use AMSCRIPT to convert a selected set of drawings.

A simple example is used here to demonstrate how to generate a script file for converting DXF drawing files to DWG drawing files.

  1. Click None [image] None [image] At the Command prompt, enter AMSCRIPT.
  2. In the Generate Script dialog box, under Selected Function list, select DXF2DWG Convert DXF to DWG.
  3. Select the files to which the Lisp routine is to be applied. The default is the current drawing.
  4. Choose OK.
  5. A script file with the file name script.scr is created. Specify a directory for this script file.
  6. When prompted to start the script, choose Yes.


Convert drawings (Quick Reference)

Convert drawings
Convert drawings
Convert drawings
Miscellaneous advanced tools > Script Generator >
Convert drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMANALYSEDWG

Analyzes the current drawing and writes layer information to an .alz file.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Tools [image] Script [image] Analyse Current dwg... Does not exist in the menus.
Command entry: amanalysedwg

Details include the layer type, the linetype, lineweight and color. The internal representation for lineweights is 100 x mm. This means a value of 0.01 mm appears as 1.00, or a value of 1 mm appears as 100 in the .alz file.

COMMAND OPTIONS

You are prompted to specify a file for analysis info (.alz). Specify a path and a name for the analyze file in the dialog box and click OK to continue.

In a question dialog box click YES to display the analyze results.

Note: The internal representation for lineweights is 100 x mm. This means a value of 0.01 mm appears as 1.00, or a value of 1 mm appears as 100 in the created .alz file.


Convert drawings (Quick Reference)

Convert drawings
Convert drawings
Convert drawings
Miscellaneous advanced tools > Script Generator >
Convert drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCONVDWG

Changes layers properties (layer name, color, linetype, lineweight) to that specified in a CCF file.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Tools [image] Script [image] Analyse Current dwg... Does not exist in the menus.
Command entry: amanalysedwg

You are prompted to specify a conversion control file (.ccf).


Convert drawings (Quick Reference)

Convert drawings
Convert drawings
Convert drawings
Miscellaneous advanced tools > Script Generator >
Convert drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCRIPT

Generates Scripts to apply a specified operation on selected drawings or entire folders.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Tools [image] Script [image] Analyse Current dwg... Does not exist in the menus.
Command entry: amscript

The Script Generator dialog box appears. You can set the Lisp routine and files where the Lisp routine is applied and generates a script.


Convert drawings (Quick Reference)

Convert drawings
Convert drawings
Analyze a drawing
Miscellaneous advanced tools > Script Generator >
Convert drawings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Script Generator dialog box

Path

Provides a space to specify the path in which the files you want to process are located. The path always terminates with a backslash (\).

Browse

Displays the Select File dialog box to choose a file.

Selected Files for Script

Displays a list of the files you selected to generate a script file.

Selected Function

Provides a list of Lisp routines to choose from.

List box (upper-right corner)

Displays a list of the files and directories to choose from and to insert into the Selected Files for Script window.

Add (upper button)

Inserts the files or directories selected in the List box into the Selected Files for Script window.

Add All

Inserts all files of the directory you selected into the Selected Files for Script window, and all files of subdirectories if the option Include Subdir is selected.

Remove (upper button)

Removes selected files or directories from the Selected Files for Script window.

Include Subdir

Includes all files located in the respective directory in the selection process.

Add (lower button)

Adds new Lisp files to the list of Lisp routines.

Remove (lower button)

Removes Lisp files from the Lisp list.


Analyze a drawing (Concept)

Convert drawings
Script Generator
System Editor
Miscellaneous advanced tools > Script Generator >
Analyze a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To convert drawings from one application format to another, it is important to know the drawing parameters the application uses. To find out exactly which combination of layers, linetypes, lineweight, and colors an application uses, use AMANALYSEDWG to analyze the current drawing.

The analysis routine asks for the file name of the analysis (ALZ) file. The analysis file contains a list of layer-linetype-color-lineweight combinations that exist in the drawing. You can use the ALZ file to create a conversion control file (CCF) file. The following list shows an example of the contents of an ALZ file:

0:BYLAYER:BYLAYER:BYLAYER

CONTOUR:BYLAYER:5:BYLAYER

CONTOUR:BYLAYER:BYLAYER:BYLAYER

EDGES:BYLAYER:250:BYLAYER

EDGES:BYLAYER:BYLAYER:BYLAYER

EDGES:DASHDOT:250:BYLAYER

EDGES:DASHDOT:250:BYLAYER

The preceding list indicates, for example, that the drawing contains entities on the contour layer, with color 5 and with the color BYLAYER, and entities on the edges layer.

As you can see, converting this file to a CCF file is easy. Add the =>-sign and the destination layer-linetype-color-lineweight combination desired, add the section entry (for example, [General]), and add any comments.


Analyze a drawing (Procedure)

Convert drawings
Up a level to ..
Analyze a drawing
Miscellaneous advanced tools > Script Generator >
Analyze a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To analyze a current drawing

To create a .ccf file for converting drawings

To convert a current drawing from one format to another


Analyze a drawing (Quick Reference)

Convert drawings
Analyze a drawing
Analyze a drawing
Miscellaneous advanced tools > Script Generator >
Analyze a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMANALYSEDWG

AMCONVDWG

AMSCRIPT

Script Generator dialog box


To analyze a current drawing (Procedure)

Analyze a drawing
Up a level to ..
Analyze a drawing
Miscellaneous advanced tools > Script Generator >
Analyze a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To analyze a current drawing

Converting a drawing needs three files: An analyze file (.alz), a converting file (.ccf), and a drawing file (.dwg) containing the layers you want to convert to. This drawing must have the same name as the .ccf file and must be located in the same directory.

  1. Open the drawing you want to convert.
  2. Click None [image] None [image] At the Command prompt, enter AMANALYSEDWG.
  3. In the File name for Analysis info (.ALZ file) dialog box, enter a file name and the folder to analyze the current DWG.
  4. In the AutoCAD question dialog box, choose Yes to show the drawing information.
NoteYou can use the .alz file to enter the necessary entries for creating a ccf-file. The ccf-file can be used to convert drawings.


To create a .ccf file for converting drawings (Procedure)

Analyze a drawing
Up a level to ..
Analyze a drawing
Miscellaneous advanced tools > Script Generator >
Analyze a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a .ccf file for converting drawings

Converting a drawing needs three files: An analyze file (.alz), a converting file (.ccf), and a drawing file (.dwg) containing the layers you want to convert to. This drawing must have the same name as the .ccf file and must be located in the same directory.

  1. Open the drawing you want to convert.
  2. Click None [image] None [image] At the Command prompt, enter AMANALYSEDWG.
  3. In the File name for Analysis info (ALZ file) dialog box, enter a file name and the folder to analyze the current DWG.
  4. In the AutoCAD question dialog box, choose Yes to show the drawing information.
  5. Open the .alz file with any text editor, include the line [Entity] at the top of the file, determine all target layers (which are defined in e.g. conv.dwg), and save this file as e.g. conv.ccf.
  6. Switch to the drawing you want to convert.
  7. Click None [image] None [image] At the Command prompt, enter AMCONVDWG.
  8. In the Select Conversion Control file (CCF) dialog box, choose the .ccf file. A .dwg must exist with the same name in the same directory containing the layers you want to convert to.
  9. Choose Open.


To convert a current drawing from one format to another (Procedure)

Analyze a drawing
Up a level to ..
System Editor
Miscellaneous advanced tools > Script Generator >
Analyze a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To convert a current drawing from one format to another

Use the Script feature to generate script files. Several options are available from the Generate Script dialog box.

Use AMANALYSEDWG to analyze a current drawing, which can then be used as the basis for generating a conversion file. Use AMCONVDWG to convert a current drawing. Use AMSCRIPT to convert a selected set of drawings.

A simple example is used here to demonstrate how to generate a script file for converting DXF drawing files to DWG drawing files.

  1. Click None [image] None [image] At the Command prompt, enter AMSCRIPT.
  2. In the Generate Script dialog box, under Selected Function list, select DXF2DWG Convert DXF to DWG.
  3. Select the files to which the Lisp routine is to be applied. The default is the current drawing.
  4. Choose OK.
  5. A script file with the file name script.scr is created. Specify a directory for this script file.
  6. When prompted to start the script, choose Yes.


Analyze a drawing (Quick Reference)

Analyze a drawing
Analyze a drawing
Analyze a drawing
Miscellaneous advanced tools > Script Generator >
Analyze a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMANALYSEDWG

Analyzes the current drawing and writes layer information to an .alz file.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Tools [image] Script [image] Analyse Current dwg... Does not exist in the menus.
Command entry: amanalysedwg

Details include the layer type, the linetype, lineweight and color. The internal representation for lineweights is 100 x mm. This means a value of 0.01 mm appears as 1.00, or a value of 1 mm appears as 100 in the .alz file.

COMMAND OPTIONS

You are prompted to specify a file for analysis info (.alz). Specify a path and a name for the analyze file in the dialog box and click OK to continue.

In a question dialog box click YES to display the analyze results.

Note: The internal representation for lineweights is 100 x mm. This means a value of 0.01 mm appears as 1.00, or a value of 1 mm appears as 100 in the created .alz file.


Analyze a drawing (Quick Reference)

Analyze a drawing
Analyze a drawing
Analyze a drawing
Miscellaneous advanced tools > Script Generator >
Analyze a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMCONVDWG

Changes layers properties (layer name, color, linetype, lineweight) to that specified in a CCF file.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Tools [image] Script [image] Analyse Current dwg... Does not exist in the menus.
Command entry: amanalysedwg

You are prompted to specify a conversion control file (.ccf).


Analyze a drawing (Quick Reference)

Analyze a drawing
Analyze a drawing
Analyze a drawing
Miscellaneous advanced tools > Script Generator >
Analyze a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

AMSCRIPT

Generates Scripts to apply a specified operation on selected drawings or entire folders.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: Tools [image] Script [image] Analyse Current dwg... Does not exist in the menus.
Command entry: amscript

The Script Generator dialog box appears. You can set the Lisp routine and files where the Lisp routine is applied and generates a script.


Analyze a drawing (Quick Reference)

Analyze a drawing
Analyze a drawing
Change the representation of fits and tolerances
Miscellaneous advanced tools > Script Generator >
Analyze a drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Script Generator dialog box

Path

Provides a space to specify the path in which the files you want to process are located. The path always terminates with a backslash (\).

Browse

Displays the Select File dialog box to choose a file.

Selected Files for Script

Displays a list of the files you selected to generate a script file.

Selected Function

Provides a list of Lisp routines to choose from.

List box (upper-right corner)

Displays a list of the files and directories to choose from and to insert into the Selected Files for Script window.

Add (upper button)

Inserts the files or directories selected in the List box into the Selected Files for Script window.

Add All

Inserts all files of the directory you selected into the Selected Files for Script window, and all files of subdirectories if the option Include Subdir is selected.

Remove (upper button)

Removes selected files or directories from the Selected Files for Script window.

Include Subdir

Includes all files located in the respective directory in the selection process.

Add (lower button)

Adds new Lisp files to the list of Lisp routines.

Remove (lower button)

Removes Lisp files from the Lisp list.


System Editor

Analyze a drawing
Miscellaneous advanced tools
About the System Editor
Miscellaneous advanced tools >
System Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

Topics in this section

  • About the System Editor
  • Change the representation of fits and tolerances
  • Change transparency settings for design navigation mode tooltips


System Editor (Procedure)

Analyze a drawing
System Editor
Change the representation of fits and tolerances
Miscellaneous advanced tools >
System Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To create a custom fit representation

To create a custom tolerance representation


About the System Editor

System Editor
System Editor
Change the representation of fits and tolerances
Miscellaneous advanced tools > System Editor >
About the System Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The System Editor is an advanced tool for viewing and changing the configuration variables stored in the Windows registry. It helps AutoCAD Mechanical administrators manipulate the behavior of the system under exceptional circumstances. We do not recommend changing any variable values in this dialog box unless it is necessary.

NoteThe System Editor does not validate any changes. This behavior can result in your making changes that break your system. We recommend that you note the original value of any configuration variable before changing it. You can alternatively make a backup of the Windows Registry before changing anything.


Change the representation of fits and tolerances (Concept)

About the System Editor
System Editor
Change transparency settings for design navigation mode tooltips
Miscellaneous advanced tools > System Editor >
Change the representation of fits and tolerances
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To add fits or tolerances to dimensions, start the AMPOWERDIM command and add fits or tolerances from the Power Dimensioning dialog box. If the default representation of the fit or tolerance is not satisfactory, select another representation from a predefined set available in the Fit Representation dialog box or the Tolerance Method dialog boxes.

If the predefined set is inadequate, you can use the System Editor and create your own customized fit representations and tolerance methods. The information on this page explains the related System Editor entries and keys.

The 9 graphical representation of tolerances in the Tolerance Methods dialog box correspond to the first eight entries under Acad/M > DimSet > Tols, in the System Editor. The names of these entries begin with “Tol” (for example, TolHigh). The remaining entries refer to the alternative unit representation of tolerances; their names end with “-Alt.” For example, TolHigh-Alt is the alternative unit representation of TolHigh.

System Editor entry mappings to tolerance representations

The entries under Acad/M [image] DimSet [image] Tols, from top to bottom, correspond to the tolerance representations in the list, from left to right.

Like tolerances, the 12 representation in the list in the Fit Representations dialog box correspond to the first 11 entries under Acad/M > DimSet > Fits in the System Editor. The names of these entries begin with “Fit” (for example, FitNrm). The remaining entries refer to the alternative unit representation of fits; their names end with “-Alt.” For example, FitNrm -Alt, is the alternative unit representation of FitNrm.

System Editor entry mappings to fit representations

The entries under Acad/M [image] DimSet [image] Fits, from top to bottom, correspond to the tolerance representations in the Select Fit Type dialog box, from left to right.

The keys for the entries below “Fits” and “Tols”

The keys for the entries below “Fits” and “Tols” are the same, regardless of whether the entry is for a fit or a tolerance.

The keys for the entries below “Fits” and “Tols”

The keys for the entries below “Fits” and “Tols” are the same, regardless of whether the entry is for a fit or a tolerance.

The keys and the values they contain are:

Slide | Contains the name of the graphic to show on the button face. This usually is the name of a slide file created with the MSLIDE command.
Text | Contains the text for the button caption.
TolStr | Contains the tolerance expression. Usually a combination of MTEXT format codes and special characters.
TolStrSym | Contains the tolerance expression to use for symmetric tolerances, where the tolerance is expressed in the form ±; 9.9999 . If this key does not exist, the system follows TolStr.
TolStrOne | Contains the tolerance expression to use for one-sided tolerances. If this key does not exist, the system follows TolStr.
TolStrNeg | Contains the tolerance expression to use for one-sided tolerances where the non-zero tolerance is negative. If this key does not exist, the system follows TolStrOne.
DIM___ | Contains a numeric value to use for setting an AutoCAD dimension variable that has the same name as this key.
MTEXT format codes used in tolerance expressions

MTEXT format codes begin with a backslash (“\”) and end with a semicolon (“;”). Any set of MTEXT formatting characters can be used in tolerance expressions. The following list shows the formatting codes most commonly used in tolerance expressions.

\Hnnn; | Changes the text height to nnn (absolute dimension).
\Hnnnx; | Changes the text height to nnn times the current text height.
\Cnnn; | Changes the color to nnn.
\Fnnn; | Changes the text font to nnn.
\Annn; | Sets the alignment value to nnn; valid values: 0, 1, 2 (bottom, center, top)
\Snnnn^mmm; | Stacks two texts on top of each other (text nnnn stacks on top of text mmm).
{ .... } | Formatting enclosed in parentheses applies only to the text within the parentheses.
NoteFor more detail about MTEXT format codes, refer to the AutoCAD documentation.
Special Characters used in tolerance expressions

The special characters most commonly used in tolerance expressions are:

$T | Inserts a fit symbol; for example, "h7" or "js6".
$X | Specifies a second (bore) fit symbol to support two types of fit. If this is used, the "$T" is always the shaft fit.
$P | Denotes the upper deviation, without the sign.
$+ | Denotes the sign for the upper deviation. The appropriate sign ("+" or "-") is assigned based on the value of the deviation.
$CP | Denotes the sum of the dimension value and the upper deviation. Example: A dimension value of 30 units with an upper deviation of +0.010 is expressed as 30.010.
$M | Denotes the lower deviation, without the sign.
$- | Denotes the sign of the lower deviation. The appropriate sign ("+" or "-") is assigned based on the value of the deviation.
$CM | Denotes the sum of the dimension value and the lower deviation. Example: A dimension value of 30 units with a lower deviation of -0.030 is expressed as 29.970.
$a_ | Denotes the alternative units. They are:
 | $aD - Dimension value.
 | $aP - The upper deviation.
 | $aM - The lower deviation.
 | $aCP - The sum of the dimension and the upper deviation.
 | $aCM - The sum of the dimension and the lower deviation.
$2 | Changes the color to the color assigned to small text (2.5 mm).
$3 | Changes the color to the color assigned to large text (3.5 mm).
Examples
  1. Example of an expression for a fit

    $T {\H0.7x;$2 \A0;\S$+$P^$-$M;}

    $T

    Fit symbol, “lc3”in this case. No formatting information is appended to this special character, so it has the same height as the dimension text.

    {

    Opening brace, begins parentheses to apply format codes to the text within parentheses.

    \H0.7x;

    Sets the text height to 0.7 times the height of dimension text.

    $2

    Sets the text color to the color defined for small text.

    \A0;

    Sets the vertical alignment to bottom.

    \S

    Sets the upper deviation ($+$P) to be stacked on top of the lower ($-$M) deviation. The expression “\S$+$P^$-$M;” (using “\S” in combination with the caret character "^" and the semicolon character “;”) maps to the form \Snnnn^mmm;.

    $+

    The plus (+) sign in the upper deviation.

    $P

    The value of the upper deviation.

    $-

    The minus (-) sign in the lower deviation.

    $M

    The value of the lower deviation.

    }

    Closing brace, closes parentheses to apply format codes to the text between parentheses.

  2. Example of an expression for an alternative unit representation of a fit

    $T {\H0.71x;$2\S$+$P^$-$M;}{\H1.4x;[}$aD{\H0.71x;$2\S$+$aP^$-$aM;}{\H1.4x;]}

    NoteAutoCAD Mechanical does not depend on AutoCAD to implement alternative units. Instead, it builds the alternative unit into the tolerance expression.

    $T

    Fit symbol; “lc3” in this case.

    { ... }

    The deviations +.0000 and -.0018. See the previous example for an analysis of how the deviation is implemented.

    {H\1.4x;[}

    Sets text height to 1.4 times the height of dimension text and draws the left square bracket that marks the beginning of the alternative units.

    $aD

    The dimension value in alternative units; 238.43 mm in this case.

    { ... }

    The deviations +0.0000mm and - 0.0457mm. See the previous example for an analysis of how the deviation is implemented.

    {\H1.4x]}

    Sets text height to 1.4 times the height of dimension text and draws the right square bracket that marks the end of the alternative units.


Change the representation of fits and tolerances (Procedure)

System Editor
Up a level to ..
Change the representation of fits and tolerances
Miscellaneous advanced tools > System Editor >
Change the representation of fits and tolerances
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a custom fit representation

To create a custom tolerance representation


To create a custom fit representation (Procedure)

Change the representation of fits and tolerances
Up a level to ..
Change the representation of fits and tolerances
Miscellaneous advanced tools > System Editor >
Change the representation of fits and tolerances
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a custom fit representation

To create a custom fit representation, you must perform the following operations:

Add a fit entry to the system settings
  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Preferences tab and click System. The System Editor opens.
  3. In the navigation area (the left side of the dialog box), select Acad/M [image] DimSet [image] Fits and right-click.
  4. From the shortcut menu, choose New.
  5. In the Modify/Create Configuration Object dialog box, in the Key box, specify a name for the fit representation.
    NoteThe name must begin with “Fit”.
  6. Leave the Value box empty.
  7. From the Type list, select Object.
  8. Select the Cfg check box.
  9. Click OK until all dialog boxes close.
NoteThe program appends the name of the fit representation specified in Step 5 to the tree displayed in the System Area navigation area.
Assign format codes to the fit entry you created
  1. Select the fit entry you created earlier and right-click.
  2. From the Context menu, choose New.
  3. In the Modify/Create Configuration Object dialog box, specify a keyword in the Key box.
    NoteFor a list of valid keywords, click the Concept tab and expand the section The keys under the entries “Fits” and “Tols”.
  4. In the Value box, enter a valid tolerance expression (a combination of MTEXT format codes and special characters). For example, $T {\H0.7x;$2 \A0;\S$+$P^$-$M;}.
    Note
    • To see a list of MTEXT format codes commonly used in tolerance expressions, click the Concept tab and expand the section MTEXT format codes used in Tolerance Expressions.
    • To see a list of special characters commonly used in tolerance expressions, click the Concept tab and expand the section Special Characters used in Tolerance Expressions.
    • To see examples, click the Concept tab and expand the section Examples.
  5. From the Type list, select String.
  6. Select the Cfg check box.
  7. Click OK until all dialog boxes close.

Create a slide for the fit representation
  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMPOWERDIM.
  2. Insert a dimension into your drawing.
  3. In the Power Dimensioning dialog box, click [image] or [image] .
  4. Click the preview of the dimension text at the lower right of the Power Dimensioning dialog box.
  5. In the Fit Representation dialog box, click the drop-down arrow next to the illustration and select the Fit representation with no illustration.
  6. Click OK until all dialog boxes close.
  7. In the drawing area, zoom in on the dimension text.
  8. Click None [image] None [image] At the Command prompt, enter MSLIDE.
  9. In the Create Slide File dialog box, select the folder containing support files.
  10. Select acadm [image] gen [image] slb.
  11. Specify a name for the slide (for example, MySlide) and click Save.
Assign a slide to the fit entry
  1. Select the fit entry you created earlier and right-click.
  2. From the context menu, choose New.
  3. In the Modify / Create Configuration dialog box, enter Slide in the Key box.
  4. In the Value box, enter the file name of the slide to use. For example, enter MySlide for MySlide.sld (do not enter the extension).
  5. From the Type list, select String.
  6. Select the Cfg check box.
  7. Click OK until all dialog boxes close.
Assign a caption to the slide
  1. Select the fit entry you created earlier and right-click.
  2. From the context menu, choose New.
  3. In the Modify / Create Configuration dialog box, enter Text in the Key box.
  4. In the Value box, enter the caption to display below the slide.
  5. From the Type list, select String.
  6. Select the Cfg check box.
  7. Click OK until all dialog boxes close.
NoteThe slide for the fit representation you created appears in the Fit Representation dialog box.


To create a custom tolerance representation (Procedure)

Change the representation of fits and tolerances
Up a level to ..
Miscellaneous advanced tools > System Editor >
Change the representation of fits and tolerances
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To create a custom tolerance representation

To create a custom tolerance representation, proceed as follows:

Add a tolerance entry to the system settings
  1. Click None [image] None [image] At the Command prompt, enter AMOPTIONS.
  2. In the Options dialog box, select the AM:Preferences tab and click System. The System Editor opens.
  3. In the navigation area (the left side of the dialog box), select Acad/M [image] DimSet [image] Tols and right-click.
  4. From the shortcut menu, choose New.
  5. In the Modify/Create Configuration Object dialog box, in the Key box, specify a name for the tolerance representation.
    NoteThe name must begin with “Tol”.
  6. Leave the Value box empty.
  7. From the Type list, select Object.
  8. Select the Cfg check box.
  9. Click OK until all dialog boxes close.
NoteThe program appends the name of the tolerance representation specified in Step 5 to the tree displayed in the navigation area of the System Editor. You can assign format codes to the entry.
Assign format codes to the tolerance entry
  1. Select the tolerance entry and right-click.
  2. From the context menu, choose New.
  3. In the Modify/Create Configuration Object dialog box, specify a keyword in the Key box.
    NoteFor a list of valid keywords, click the Concept tab and expand the section The keys under the entries “Fits” and “Tols”.
  4. In the Value box, enter a valid tolerance expression (a combination of MTEXT format codes and special characters). For example, {\H0.71x;$2\S$+$P^$-$M;}.
    Note
    • To see a list of MTEXT format codes commonly used in tolerance expressions, click the Concept tab and expand the section MTEXT format codes used in Tolerance Expressions.
    • To see a list of special characters commonly used in tolerance expressions, click the Concept tab and expand the section Special Characters used in Tolerance Expressions.
    • To see examples, click the Concept tab and expand the section Examples.
  5. From the Type list, select String.
  6. Select the Cfg check box.
  7. Click OK until all dialog boxes close.
Create a slide for a tolerance representation
  1. Click Dashboard tab [image] Dimension panel [image] . At the Command prompt, enter AMPOWERDIM.
  2. Insert a dimension into your drawing.
  3. In the Power Dimensioning dialog box, click [image] .
  4. Click the preview of the dimension text at the lower right of the Power Dimensioning dialog box.
  5. In the Tolerance Method dialog box, click the drop-down arrow next to the illustration and select the Tolerance Method with no illustration.
  6. Click OK until all dialog boxes close.
  7. In the drawing area, zoom in on the dimension text.
  8. Click None [image] None [image] At the Command prompt, enter MSLIDE.
  9. In the Create Slide File dialog box, select the folder containing support files.
  10. Select acadm [image] gen [image] slb.
  11. Specify a name for the slide (for example, MySlide) and click Save.
Assign a slide to a tolerance entry
  1. Select the tolerance entry and right-click.
  2. From the context menu, choose New.
  3. In the Modify / Create Configuration dialog box, enter Slide in the Key box.
  4. In the Value box, enter the file name of the slide to use. For example, enter MySlide for MySlide.sld (without the extension).
  5. From the Type list, select String.
  6. Select the Cfg check box.
  7. Click OK until all dialog boxes close.
Assign a caption to a slide
  1. Select the tolerance entry you created earlier and right-click.
  2. From the context menu, choose New.
  3. In the Modify / Create Configuration dialog box, enter Text in the Key box.
  4. In the Value box, enter the caption to display below the slide.
  5. From the Type list, select String.
  6. Select the Cfg check box.
  7. Click OK until all dialog boxes close.
NoteThe slide for the tolerance representation appears in the Tolerance Method dialog box.


Change the representation of fits and tolerances (Quick Reference)

Analyze a drawing
Change the representation of fits and tolerances
About formulas
Miscellaneous advanced tools > System Editor >
Change the representation of fits and tolerances
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

System Editor dialog box

Use this dialog box to edit settings stored in the Windows Registry. In most cases, other dialog boxes expose these settings. These settings are not for end-user manipulation. This dialog box is for advanced users only.

Show/Hide dialog box

NoteThe System Editor does not validate changes. Some changes can disable your system. We recommend that you note the original values of configuration variables before changing them and that you make a backup of the Windows Registry before changing anything.

Navigation Area (Left side of dialog box)

Shows categories of configuration variables in a tree-structured list. The categories displayed depend on where the system editor is opened. If you open the dialog box by clicking the System button in the AM:Preferences tab of the Options dialog box, it shows all categories. If you open the dialog box from the Fit Representation dialog box, or the Tolerance Method dialog box, only the relevant categories appear.

Variable Area (Top-right side of dialog box)

Shows the keys (configuration variables) that belong to the category selected in the navigation area. Double-click a variable to change its value.

Description Area (Bottom-right of dialog box)

Describes what is controlled by the key selected in the variable area.


Change transparency settings for design navigation mode tooltips

Change the representation of fits and tolerances
System Editor
Create and use formulas
Miscellaneous advanced tools > System Editor >
Change transparency settings for design navigation mode tooltips
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When the design navigation mode is on, as you move the cursor through model space, each component the cursor moves over highlights (in model space as well as in the mechanical browser) and a tooltip shows the hierarchical structure of the component. If you press the CTRL key, the tooltips become transparent.

In the System Editor, in the Acad/M > CIT branch, the key NavigationToolTipOpacity controls the opacity of the tooltip. This key contains the percentage of opacity; 100 means that the tooltip is opaque; 0 means that the tooltip is invisible.

The key NavigationMode shows the current state of the Design Navigation Mode. If NavigationMode is 0, it means that the Design Navigation Mode is off. If NavigationMode is 1, the Design Navigation Mode is on.


Create and use formulas

Change transparency settings for design navigation mode tooltips
About formulas
Create and use formulas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • About formulas

    References to drawing properties

  • Examples of commonly used formulas


About formulas (Concept)

Create and use formulas
Create and use formulas
Examples of commonly used formulas
Create and use formulas >
About formulas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

A formula is a set of instructions, which the program can evaluate and use to perform calculations and process or transform textual content. Many AutoCAD Mechanical objects have the ability to contain and evaluate formulas.

For example, formulas used with notes (AMNOTE command) provide the intelligence for notes to show the most appropriate note text, depending on the context. In the BOM, the program uses formulas to perform mathematical calculations and fill in BOM columns automatically.

If the result of a formula is a text, the formula typically contains a sequence of expressions and text strings. If the result of the formula is a numeric, the formula contains only an expression.

Examples of formulas that return a numeric result:

  1. =(10+20)*40
  2. =QTY*PRICE
  3. =PI()*RADIUS

Examples of formulas that return a textual result:

  1. =<(10+20)*40>
  2. =<QTY> at a cost of <PRICE> each
  3. =Perimeter of part <ITEM> is <PI()*RADIUS>
  4. =This is screw number <ITEM>
  5. =<NAME>

Note the following:

  • A formula always begins with the equal sign (=).
  • In a text formula, enclose the expressions between angle brackets (< >). Numeric formulas do not contain angle brackets.

In text formulas, the program evaluates expressions only if they are between angle brackets. Anything outside brackets is interpreted as literal text.

Expressions can contain numbers, functions, references, and mathematical operators. Example 1, previous, contains numerics and mathematical operators. Example 2 contains the references QTY and PRICE, which refer to the quantity and the prices of a BOM item. Example 3 contains the function PI().

References

A reference identifies a property of an object and tells a formula what data to get and use. For example, the reference STDP:STD refers to the name of the standard part. If a note contains the formula =<STDP:STD>, when the note is attached to an ISO M5X35 countersunk screw, the formula renders <STDP:STD> to the text “ISO 2009 M5 X 35” and shows it as part of the note text. If you change the length of the screw, the formula ensures that the note text changes to reflect the new length.

The types of references that you can use in formulas are:

  • References to drawing properties.
  • References to BOM items - refer to the component properties of a BOM item.
  • References to Hole charts - refer to some selected properties of a hole chart
  • References to structure - refer to some selected properties of mechanical structure objects.
  • References to standard parts - refer to some selected properties of standard parts and features.
  • References to standard holes - refer to some selected properties unique to standard holes.

Please see the reference tab for a detailed description of these variables.

Functions

A function is a predefined formula. If you specify input values, called arguments, the function processes them and return the result. For example, the formula =INT(QTY*PRICE), uses the function INT. INT uses the product of QTY (Quantity of a BOM item) and PRICE (The unit price of a BOM item) as arguments. It returns the rounded down value of QTY x PRICE, to the nearest dollar.

NoteThe expressions in the previous example are not enclosed within angle brackets because the formula returns a numerical value and not a text value.


About formulas (Quick Reference)

Change the representation of fits and tolerances
About formulas
About formulas
Create and use formulas >
About formulas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

References to drawing properties

References to BOM items

References to MDT parts

References to Standard Parts

References to hole chart properties

References to standard holes

References to structure properties

Numerical Functions

Logical functions

Text functions


About formulas (Quick Reference)

About formulas
About formulas
About formulas
Create and use formulas >
About formulas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

References to drawing properties

References to drawing properties refer to the properties you set in the Drawing Properties dialog box (Menu path File [image] Drawing Properties). Drawing properties are typically used in formulas in the BOM.

SI:TITLE

Refers to the title of the drawing.

SI:SUBJECT

Refers to the subject defined in the Drawing Properties dialog box.

SI:AUTHOR

Refers to the author of the drawing, as defined in the Drawing Properties dialog box.

SI:KEYWORDS

Refers to the keywords associated with drawing, as per the Drawing Properties dialog box.

SI:COMMENTS

Refers to the comments as per the Drawing Properties dialog box.

SI:LAST_SAVED_BY

Refers to the name of the person who saved the drawing last time.

SI:REVISION_NUMBER

Refers to the current revision number.

SI:HYPERLINK_BASE

Refers to the current base address for all partial hyperlinks in the drawing, as defined in the Drawing Properties dialog box.

Where can these references be used?

Formulas in... | Yes/No
Notes (Created with AMNOTE) | Yes
BOM/Parts list columns | Yes
Balloons | Yes
Hole chart columns | Yes
Hole chart table titles | Yes
Detail view labels | Yes
Annotation View labels | Yes
Section line labels | Yes


About formulas (Quick Reference)

About formulas
About formulas
About formulas
Create and use formulas >
About formulas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

References to BOM items

References to BOM items refer to the data listed in the columns of the BOM (or parts list), for a given BOM (or parts list) row. You can refer to any component property visible in the BOM through a reference to a BOM item. For example, if you have a user-defined component property named MY_COMP_PROPERTY, you can refer to it in a formula as MY_COMP_PROPERTY.

Because you can refer to any of the available component properties, and the list of available component properties is user-defined, the following list contains only the typical references.

ITEM

Refers to the item number of the BOM Item.

QTY

Refers to the quantity of the BOM Item.

NAME

Refers to the NAME component property of the BOM Item.

DESCR

Refers to the description (DESCR) component property of the BOM Item.

STANDARD

Refers to the drafting standard (STANDARD) component property of the BOM Item.

MATERIAL

Refers to the material component property of the BOM Item.

DENSITY

Refers to the density component property of the BOM item.

Where can these references be used?

Formulas in... | Yes/No
Notes (Created with AMNOTE) | Yes
BOM/Parts list columns | Yes
Balloons | Yes
Hole chart columns | No
Hole chart table titles | No
Detail view labels | No
Annotation View labels | No
Section line labels | No
See Also
    • Component properties (full list)


About formulas (Quick Reference)

About formulas
About formulas
About formulas
Create and use formulas >
About formulas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

References to MDT parts

References to MDT parts refer to the properties of a Mechanical Desktop part definition. Although this category of references are sometimes visible in AutoCAD Mechanical, do not use them in formulas.

PART:MASS

Refers to the mass of the part.

PART:VOLUME

Refers to the volume of the part.

PART:SURFAREA

Refers to the surface area of the part.

PART:NAME

Refers to name of the part.

PART:TVER

Refers to the version of the part.

The part can also keep the user-defined attributes. The arbitrary name is set by the user. For example, it is PART:WIDTH.

Where can these references be used?

Formulas in... | Yes/No
Notes (Created with AMNOTE) | Yes
BOM/Parts list columns | Yes
Balloons | Yes
Hole chart columns | No
Hole chart table titles | No
Detail view labels | No
Annotation View labels | No
Section line labels | No


About formulas (Quick Reference)

About formulas
About formulas
About formulas
Create and use formulas >
About formulas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

References to Standard Parts

References to standard parts refer to the properties of a selected set of properties of standard parts and standard features.

STDP:DESC

Refers to the description of the standard part.

STDP:STD

Refers to the name of the standard that the part is based on.

STDP:SIZE

Refers to the size of the standard part.

Where can these references be used?

Formulas in... | Yes/No
Notes (Created with AMNOTE) | Yes
BOM/Parts list columns | Yes
Balloons | Yes
Hole chart columns | Yes
Hole chart table titles | No
Detail view labels | No
Annotation View labels | No
Section line labels | No


About formulas (Quick Reference)

About formulas
About formulas
About formulas
Create and use formulas >
About formulas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

References to hole chart properties

Refers to the properties of a hole chart as well as each row of the hole chart. These references can be use within hole charts and hole tables only.

Diameter

Refers to the value of the diameter of the hole in the row under consideration.

DefaultTitle

Refers to the default name title that the system gives to a hole chart.

Description

If you use the reference in a hole chart row, it refers to the description of the hole in the row under consideration. If you use the reference in a hole chart title, it refers to the description of the hole chart.

HoleIndex

Refers to the ordinal position of the hole in the row under consideration, in relation to other holes of the same size.

HoleItem

Refers to the Hole size identifier of the hole in the row under consideration, as used in the ANSI standard.

Item

Refers to the Item number that the program assigns automatically to the hole in the row under consideration, when you create the hole.

Index

Refers to the row number of the hole in the row under consideration, in the current sort order.

Label

Refers to the Hole Label of the hole in the row under consideration.

Origin

Refers to the name of the origin.

ParentOrigin

Refers to the coordinates of the master origin, in the case of a nested hole chart.

PolarAngle

Refers to the value of the angular coordinate of the center of the hole in the row under consideration (in polar coordinates).

PolarRadius

Refers to the value of the radial coordinate of the center of the hole in the row under consideration (in polar coordinates).

UserItem

Refers to the value of the user-defined item number of the hole in the row under consideration.

X

Refers to the X coordinate of the center of the hole in the row under consideration (in cartesian coordinates).

Y

Refers to the Y coordinate of the center of the hole in the row under consideration (in cartesian coordinates).

Where can these references be used?

Formulas in... | Yes/No
Notes (Created with AMNOTE) | No
BOM/Parts list columns | No
Balloons | No
Hole chart columns | Yes. You cannot use DefaultTitle within columns.
Hole chart table titles | Only Parent Origin, Origin, Description, and DefaultTitle
Detail view labels | No
Annotation View labels | No
Section line labels | No


About formulas (Quick Reference)

About formulas
About formulas
About formulas
Create and use formulas >
About formulas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

References to standard holes

References to standard holes refer to selected properties that are unique to standard holes. The program typically uses them in hole charts and notes to annotate holes (Hole notes).

HOLE:CTANGLE

Refers to the countersink angle of the hole.

HOLE:CTDEPTH

Refers to the counterbore depth of the hole.

HOLE:CTDIA

Refers to the counterbore or countersink diameter of the hole.

HOLE:DEPTH

Refers to the depth of the hole.

HOLE:DESC

Refers to the description of the hole.

HOLE:DIA

Refers to the diameter of the hole.

HOLE:DRILLDIRECTION

Refers to the drill direction of the hole in the unit vector format. For example, if the direction is parallel to the x-axis of WCS, contains a value of 1 0 0.

HOLE:DRPNTANGLE

Refers to the Pt' angle of a blind hole.

HOLE:FITCLASS

Refers to the fit class of the hole.

HOLE:NOMINAL

Refers to the nominal size of the hole.

HOLE:PITCH

Refers to the thread pitch of the hole.

HOLE:PITCHDESC

Refers to the description of the thread pitch of the hole.

HOLE:STD

Refers to a string indicating the standard of the hole.

HOLE:TAPDEPTH

Refers to the tap depth of the hole.

HOLE:TAPDRILLDIA

Refers to the tap drill diameter of the hole.

HOLE:TAPMAJDIA

Refers to the taper major diameter value of a tapered hole.

HOLE:TAPMINDIA

Refers to the taper minor diameter value of a tapered hole.

HOLE:TAPPED

Refers to a numeric value that indicates the type of tap used for a hole.

  • 0 - No thread
  • 1 - full length of the hole is not threaded
  • 2 - full length of the hole is threaded

HOLE:TERMINATION

Refers to a numeric value that indicates the type of termination of a hole.

  • 0 - blind hole
  • 2 - through hole

HOLE:UNITS

Refers to a numeric value that indicates the type of units of the hole

  • 0 - inches
  • 1 - metric.

STDP:AMBOREDEPTH

Refers to depth of the hole.

STDP:AMBOREDIA

Refers to the diameter of the bore hole.

STDP:AMCBOREDEPTH

Refers to the counterbore depth of the hole.

STDP:AMCBOREDIA

Refers to the counterbore diameter of the hole.

STDP:AMCSNKDIA

Refers to the countersink depth of the hole.

STDP:AMCSNKANGLE

Refers to the countersink angle of the hole.

STDP:AMTHREADDEPTH

Refers to the depth of the thread hole.

STDP:AMTHREADDIA

Refers to the diameter of the thread hole.

Where can these references be used?

Formulas in... | Yes/No
Notes (Created with AMNOTE) | Yes
BOM/Parts list columns | No
Balloons | No
Hole chart columns | Yes
Hole chart table titles | No
Detail view labels | No
Annotation View labels | No
Section line labels | No


About formulas (Quick Reference)

About formulas
About formulas
About formulas
Create and use formulas >
About formulas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

References to structure properties

References to structure properties refer to the properties of mechanical structure objects. The program typically uses these references in formulas to define the labels of annotation views.

STRUCT:COMP_NAME

Refers to the name of a component.

STRUCT:VIEW_NAME

Refers to the name of a component view or folder.

STRUCT:SCALE

Refers to the scale of an annotation view.

Where can these references be used?

Formulas in... | Yes/No
Notes (Created with AMNOTE) | Yes
BOM/Parts list columns | No
Balloons | No
Hole chart columns | No
Hole chart table titles | No
Detail view labels | Yes
Annotation View labels | Yes
Section line labels | No


About formulas (Quick Reference)

About formulas
About formulas
About formulas
Create and use formulas >
About formulas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Numerical Functions

NoteEven if the argument x is a text, the function converts it to a number. If conversion is not possible, the program generates an error.

ABS(x)

Returns the absolute value of x.

ACOS(x)

Returns the arccosine (inverse cosine) of x, in radians.

ASIN(x)

Returns the arcsine (inverse sine) of x, in radians.

ATAN(x)

Returns the arctangent (inverse tangent) of x, in radians.

COS(x)

Returns the cosine value of x, where x is an angle measured in radians.

EXP(x)

Returns e raised to the power of x. The constant e is taken as 2.718282

CEILING(x, number_of_decimal_places)

Rounds up x to the specified number of decimal places. For example, CEILING(8.546, 1) is equal to 8.6.

FLOOR (x, number_of_decimal_places)

Rounds down x to the specified number of decimal places. For example, FLOOR(8.546, 1) is equal to 8.5.

INT(x)

Rounds down x to the integer. For example, INT(2.97) is equal to 2. For negative values, x the return value is zero.

LN(x)

Returns the natural logarithm of x.

MAX(x1, x2,...)

Returns the biggest number. The function can take up to 20 arguments.

MIN( x1, x2,...)

Returns the smallest number. The function can take up to 20 arguments.

MOD(x1, x2)

Returns the remainder of the integer division x1/x2. Both arguments must be integers.

PI()

Returns the value of the constant PI (3.141592653589....)

SIN(x)

Returns the sine value of x, where x is an angle measured in radians.

SQRT(x)

Returns the square root of x.

TAN(x)

Returns the tangent value of x, where x is an angle measured in radians.

TEXT(x, format)

Converts x to a text, formatted with leading zeros and decimal places as specified in format argument. The format argument is a text like “0.00” or “000.00”, and so on. For example, TEXT(5.1246,”000.00”) evaluates to “005.12”.

DIMSTYLEANG(x, style)

Converts x to the angular data format. The style value is a valid dimstyle name existing in the current drawing. The text is formatted by using the dimstyle setting. The result text can contain other MTEXT formatting sequences (color, font, text size).

DIMSTYLELIN(x, style)

Converts x to a linear value. The style value is a valid dimstyle name existing in the current drawing.


About formulas (Quick Reference)

About formulas
About formulas
About formulas
Create and use formulas >
About formulas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Logical functions

The arguments logical_expression1, logical_expression2, and so on, must be logical expressions or values convertible to a logical value.

AND(logical_expression1, logical_expression2,...)

Returns FALSE if at least one of the arguments is FALSE. Otherwise returns TRUE.

OR(logical_expression1, logical_expression2,...)

Returns TRUE if at least one of the arguments is TRUE. Otherwise returns FALSE.

NOT(logical_expression)

Returns negation of the logical_expression argument.

CHOOSE(index,value1,value2,...)

Returns value corresponding to the index. Index must be an integer value.

FALSE()

Returns logical FALSE value.

IF(logical_expression,value_true, value_false)

Returns value_true, when the result of the logical_expression is TRUE, or value_false when the result of the logical_expression is FALSE.

ISBLANK(x)

Returns TRUE if x contains only invisible characters or spaces.

TRUE()

Returns logical TRUE value.

GT(x1,x2)

Returns TRUE if x1 is greater than x2. Otherwise returns FALSE.

GTE(x1,x2)

Returns TRUE if x1 is equal to or greater than x2 . Otherwise returns FALSE.

EQUAL(x1,x2)

Returns TRUE if x1 is equal to x2. Otherwise returns FALSE.

LTE(x1,x2)

Returns TRUE if x1 is equal to or less than x2. Otherwise returns FALSE.

LT(x1,x2)

Returns TRUE if x1 is less than x2 . Otherwise returns FALSE.


About formulas (Quick Reference)

About formulas
About formulas
Migration of BOMs and Symbols
Create and use formulas >
About formulas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Text functions

The position of characters in the text indexes beginning at zero. That means the last character in the text has the index equal to (LEN(text)-1).

To use a literal text as an argument of a function, enclose the text in quotes (“ string_constant ”).

FIND(find_text, within_text, start_index)

Locates the argument find_text in the argument within_text and returns the starting position of find_text in within_text. The start_index argument specifies the character at which the search starts. If find_text is not found, the function returns -1.

LEFT(text, num_chars)

Returns the first num_chars characters of the argument text.

MID( text, start_at, num_chars)

Returns num_chars characters from the argument text, starting from the position start_at.

RIGHT( text, num_chars)

Returns the last num_chars characters of the argument text.

LEN(text)

Returns the number of characters (length) of the argument text.

LOWER(text)

Returns the argument text, converted completely to lower case.

UPPER(text)

Returns the argument text, converted completely to upper case letters.

REPLACE(original_text,start_position,num_chars,inserted_string)

Returns a text string created by way of replacing num_chars characters in original_text, with inserted_string, starting at start_postion.

TRIM(text)

Returns a text string with all leading and trailing spaces from the argument text removed.


Examples of commonly used formulas

About formulas
Create and use formulas
Migrating Genius drawings to AutoCAD Mechanical
Create and use formulas >
Examples of commonly used formulas
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This page contains examples of two complex formulas. The purpose of providing these examples is to demonstrate how complex formulas can be perceived as a combination of several simple expressions and thereby interpret them with greater ease. The results of the formula are shown as a screen capture at the end of each section.

=<if(equal(Hole:tapped,"0"),"%%c" Hole:dia,Hole:nominal)>

Typical usage

Typically used in a note (AMNOTE command) to annotate a standard hole. This expression is part of the default formula used in Template 1 for the Hole Drilled category for the AMNOTE command.

Description

Expression | Explanation
If( ) | Evaluates a logical value; in this case evaluates the result of the function equal(Hole:tapped,”0”). In case the function evaluates to TRUE, returns the expression marked 0, otherwise returns the expression marked 1.
equal(Hole:tapped, “0”) | Compares the reference hole:tapped with the value 0. For a tapped hole, hole:tapped evaluates to 1, if not, it evaluates to 0.
“%%c” | The diameter symbol.
Hole:dia | Evaluates to the diameter of the hole.
Hole:nominal | Evaluates to the nominal diameter of the hole.

Results

The following image shows two holes annotated by a note containing the previous formula. Observe the difference in the note texts for the through hole and the tapped hole.

=<Origin><IF(OR(ISBLANK(Origin),ISBLANK(Index)),"",".")><Index>

Typical usage

Typically used in a hole chart. This expression is the default formula for a hole label in the DIN standard.

Description

This formula contains three expressions, each one delimited by angle brackets. The resulting text is a concatenation of all three expressions.

Expression | Explanation
<Origin> | Evaluates to the name of the origin of the hole chart.
If( ) | Evaluates a logical value; in this case evaluates the result of the function OR(...). In case the function evaluates to FALSE, returns the text marked 1, otherwise returns the text marked 2.
OR( ) | Returns TRUE if any of the arguments evaluates to TRUE.
ISBLANK( ) | Returns TRUE if the references Origin and Index evaluate to a blank text. If the hole chart origin is unnamed, ISBLANK(Origin) returns TRUE.
Origin | Evaluates to the name of the hole chart.
Index | Evaluates to the index number of the hole

Results

The following image shows two holes. The hole on the left is in a hole chart that has its origin labeled 1. The hole label is 1.1. The hole on the right is in a hole chart that does not have its origin labeled. The hole label is 1.


Migrating Genius drawings to AutoCAD Mechanical

Examples of commonly used formulas
Migration of BOMs and Symbols
Migrating Genius drawings to AutoCAD Mechanical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Migration of BOMs and Symbols


Migration of BOMs and Symbols (Concept)

Migrating Genius drawings to AutoCAD Mechanical
Migrating Genius drawings to AutoCAD Mechanical
AutoCAD Mechanical Commands and System Variables
Migrating Genius drawings to AutoCAD Mechanical >
Migration of BOMs and Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Use the AMMIGRATEBB command to migrate BOMs, balloons, and parts lists. Use the AMMIGRATESYM command to migrate symbols.

Setting standard for the Migrated File

Mechanical Desktop requires drawings from previous releases of Mechanical Desktop that contain balloons and BOMs to have a standard defined with them. When you open a pre-Mechanical Desktop R4 drawing with balloons and BOMs, a Standards dialog box appears prompting you to choose a standard setting for balloons and BOMs. The default settings are ANSI and Millimeters.

The Standards dialog box appears for pre-Mechanical Desktop R5 drawings that have specified standards. The default is the standard setting of the file.

NoteIt is important to review your choices carefully before saving the migrated file. Once you save the drawing with the chosen standards, you cannot undo it.
TipThere is an option on the Standards dialog box that enables you to disable this dialog box. The setting determines the file conversion permanently. We recommend that you leave the Settings dialog box enabled until you understand the process for setting standards.

External BOM tables

You must save external references, including assemblies, subassemblies, and parts, in the latest Mechanical Desktop format to set up the proper BOM table. Otherwise, the program does not show those external references in the BOM table.

Regenerating the BOM Table

If the program does not migrate the BOM table or balloons properly, delete the BOM database in the Browser. Right-click the BOM icon under the Assembly icon, and then create a new one. The item numbers of parts in the BOM table might not be identical to the item numbers in the original file. You can modify the item numbers in the BOM table by selecting the ITEM column and clicking the SET VALUE icon on the toolbar.

Migration of Scenes and Views

To ensure integrity of BOM data in pre-Mechanical Desktop R5 releases, we recommend that you do an update in the Scene environment before opening a file. Otherwise, the BOM table in Paper space may not be visible when you open the drawing file.

In some pre-Mechanical Desktop R5 drawings, the UCS in the drawing view may not be parallel to the World UCS. When this happens, new balloons and parts lists may look like lines. To work around this issue, use the UCS command to rotate the UCS back to the World UCS, and to make the balloons and parts lists perpendicular to the view direction.

Migration of Genius Standard Parts

You can add parts created with Genius 14 to the standard parts database of the current AutoCAD Mechanical release. When you add Genius 14 user-created parts whose original names have been changed in Genius 14, the progam adds those parts and shows them in the current AutoCAD Mechanical database with their original names. The program does not import newly assigned names.

Migration of BOMs from Genius

Drawings created with Genius 12 or earlier do not contain any intelligent objects. The program migrates BOM data in these files. Original balloons and parts lists geometry remains unchanged in the drawing. To modify these balloons and parts lists, recreate them from scratch.

Migration of Symbols from Genius

The program migrates symbols from Genius 13 or Genius 14 using Genius Intelligent Objects data. If you change only the representation of the symbol — the block reference — the result after migration may change. In such cases, you can do any of the following: upgrade migrated symbols manually, do not save the drawing, or correct the symbol data in Genius using POWEREDIT.

The program does not migrate Genius Leaders.


Migration of BOMs and Symbols (Quick Reference)

About formulas
Migration of BOMs and Symbols
Migration of BOMs and Symbols
Migrating Genius drawings to AutoCAD Mechanical >
Migration of BOMs and Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMMIGRATEBB

AMMIGRATESYM

AMCVT12

AMCVTDETA12

AMCVTDIM12

AMCVTDIMFIT12

AMCVTDIMTOL12

AMCVTFRAME12

AMCVTLIB12


Migration of BOMs and Symbols (Quick Reference)

Migration of BOMs and Symbols
Migration of BOMs and Symbols
Migration of BOMs and Symbols
Migrating Genius drawings to AutoCAD Mechanical >
Migration of BOMs and Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMMIGRATEBB

Use AMMIGRATEBB to convert infopoints, position numbers, and parts lists from Genius 13 / Genius 14 to the current AutoCAD Mechanical format.

The balloons and parts lists, which could not be migrated correctly, are inserted as blocks to a special layer AMMIGRATEBB_FAILED.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: ammigratebb
NoteAMMIGRATEBB and AMMIGRATESYM are combined in the Script Generator under the MIGRATE option.

DIALOG BOX DEFINITIONS

File Migration: Setup Symbol Standard dialog box

List of standards

Select a drafting standard to use for migration. If needed, expand the standard and edit the standard properties for symbols and other items.

NoteThe standard setting for symbols can be changed later by the AMOPTIONS command.


Migration of BOMs and Symbols (Quick Reference)

Migration of BOMs and Symbols
Migration of BOMs and Symbols
Migration of BOMs and Symbols
Migrating Genius drawings to AutoCAD Mechanical >
Migration of BOMs and Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMMIGRATESYM

Use AMMIGRATESYM to convert symbols from Genius 13/ Genius 14 to AutoCAD format.

The symbols, which could not be migrated correctly, are inserted as blocks to a special layer AMMIGRATEBB_FAILED.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: ammigratesym
NoteAMMIGRATEBB and AMMIGRATESYM are combined in the Script Generator under the MIGRATE option.

DIALOG BOX DEFINITIONS

File Migration: Setup Symbol Standard dialog box

List of standards

Select a drafting standard to use for migration. If needed, expand the standard and edit the standard properties for symbols and other items.

NoteThe standard setting for symbols can be changed later by the AMOPTIONS command.


Migration of BOMs and Symbols (Quick Reference)

Migration of BOMs and Symbols
Migration of BOMs and Symbols
Migration of BOMs and Symbols
Migrating Genius drawings to AutoCAD Mechanical >
Migration of BOMs and Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCVT12

Use AMCVT12 to convert the dimensions of a Genius 12 drawing to an AutoCAD Mechanical drawing.AutoCAD recognizes a Genius 12 drawing file. When you open a Genius 12 drawing, the Genius 12 Drawing dialog box appears. Select the desired options and AutoCAD executes the conversion process. The configuration values are read into the current AutoCAD configuration structure.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcvt12

Note: Genius 12 drawings do not contain any layering information. So use AMSETUPDWG or AMSCRIPT with one of the predefined templates /scripts.


Migration of BOMs and Symbols (Quick Reference)

Migration of BOMs and Symbols
Migration of BOMs and Symbols
Migration of BOMs and Symbols
Migrating Genius drawings to AutoCAD Mechanical >
Migration of BOMs and Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCVTDETA12

Use AMCVTDETA12 to convert Genius 12 details to a readable format for AutoCAD Mechanical.

After you start the COMMAND, you select the detail first. Then, you enter the scale under which the detail are represented.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcvtdeta12

COMMAND LINE OPTIONS

Select detail border (circle or closed polyline): Select a detail.

Scale for Detail (current scale 1:1): Enter a scale and press ENTER.


Migration of BOMs and Symbols (Quick Reference)

Migration of BOMs and Symbols
Migration of BOMs and Symbols
Migration of BOMs and Symbols
Migrating Genius drawings to AutoCAD Mechanical >
Migration of BOMs and Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCVTDIM12

Use AMCVTDIM12 to remove problems associated with converting AutoCAD 12 drawing dimensions.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcvtdim12

The conversion is initiated manually or automatically:

Manual: Enter AMCVTDIM12 on the COMMAND line. Select the objects.

automatic: If the variable “TranslateoldDIM” is set in the configuration, AutoCAD Mechanical automatically processes, during the drawing conversion, all AutoCAD 12 dimensions.

Cfg-Variable: Gen@System@TranslateoldDIM Object name = TranslateoldDIM Object type = GenCfgShortObject value = 1

automatic: gen@system@TranslateoldDIM=1 (short); a block is created, if necessary.

So that this conversion process works, copy the following files into the AutoCAD Mechanical directory:

Genbas0.lsp => acadm\gen\Genbas.mld => acadm\gen\mld\G12f13.shx => acadm\

Converting dimensions

The program tries to convert dimensions, and it checks whether the dimension text has remained in its original position. If not, the conversion process is canceled and the dimension is saved as block (new Power Object). If an AutoCAD 12 dimension is recognized by the Power Edit/Power Copy/Power Recall, the following message appears: This old acad12-dimension entity cannot be handled. Please erase and create a new one.

Note:

  • For dimensions within a block, with Explode the dimensions are changed.
  • Dimension texts in angle dimensioning that were written with a certain angle, can be rewritten in the standard angle.
  • Decimal places are recognized and considered.
  • alternative entries, such as 25.4[2.00"], are recognized.
  • Radius dimensions are always converted into blocks.
  • With dimensions in details, the dimension style is changed.
  • Styles, dimension styles, and configuration entries are changed: Gen-iso.shx becomes g12f13.shx.
  • DIMGAP is set if the value is less than 0.25*text height (new value=text height*0.5).

    COMMAND LINE OPTIONS

Select objects: Select objects and press ENTER.

Upgraded dimension successfully.


Migration of BOMs and Symbols (Quick Reference)

Migration of BOMs and Symbols
Migration of BOMs and Symbols
Migration of BOMs and Symbols
Migrating Genius drawings to AutoCAD Mechanical >
Migration of BOMs and Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCVTDIMFIT12

Use AMCVTDIMFIT12 to convert Genius 12 fits to a readable format for AutoCAD Mechanical.

Select the dimension first. This dimension is a Genius 12 dimension. Then select the fit (H7). The fit is deleted and the new fit is added to the dimension. The representation of the fit depends on the current style.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcvtdimfit12

COMMAND LINE OPTIONS

Select text of dimension: Select the text of a dimension.

Upgraded dimension successfully.

Select fit: Select a fit.

Select text of dimension: Select the text of a further dimension or press ENTER to exit the COMMAND.


Migration of BOMs and Symbols (Quick Reference)

Migration of BOMs and Symbols
Migration of BOMs and Symbols
Migration of BOMs and Symbols
Migrating Genius drawings to AutoCAD Mechanical >
Migration of BOMs and Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCVTDIMTOL12

Use AMCVTDIMTOL12 to convert Genius 12 tolerances to a readable format for AutoCAD Mechanical.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcvtdimtol12

Select the dimension first. This dimension is a Genius 12 dimension. Select the lower and the upper tolerance. The tolerance(s) (the text, for example +0.05) are deleted, and the tolerance is added to the dimension. If the lower tolerance is not available, press ENTER. The representation of the tolerance depends on the current style. With Power Edit, you can easily modify the style.

COMMAND LINE OPTIONS

Select text of dimension: Select the text of a dimension.

Upgraded dimension successfully.

Select upper or single tolerance: Select a tolerance.

Select lower tolerance or Return: Select a lower tolerance or press ENTER.

Select text of dimension: Select the text of further dimensions or press ENTER to exit the COMMAND.


Migration of BOMs and Symbols (Quick Reference)

Migration of BOMs and Symbols
Migration of BOMs and Symbols
Migration of BOMs and Symbols
Migrating Genius drawings to AutoCAD Mechanical >
Migration of BOMs and Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCVTFRAME12

Use AMCVTFRAME12 to convert Genius 12 frames and title blocks to a current AutoCAD Mechanical format.after you start the COMMAND, select the frame and the title block.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcvtframe12

COMMAND LINE OPTIONS

Select border block: Select the border.

Select title block: Select the title block.

Scale <1:2>: 1:10

Frame and title block converted to Power Objects!

The border and the title block are converted into objects. You can use the Power COMMANDs on this border and title block.


Migration of BOMs and Symbols (Quick Reference)

Migration of BOMs and Symbols
Migration of BOMs and Symbols
Accelerator Keys Reference
Migrating Genius drawings to AutoCAD Mechanical >
Migration of BOMs and Symbols
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

AMCVTLIB12

Use AMCVTLIB12 to convert a Genius 12 library to a current AutoCAD Mechanical library structure.

After the COMMAND has been called, the Select Genius 12 Library dialog box appears, from which you can select the file genlib.dir. After choosing Open, drawings of this library are connected as “Genius 12 library” to the AutoCAD Mechanical library.

Ribbon: None Does not exist on the ribbon.
Toolbar: None
Menu: None Does not exist in the menus.
Command entry: amcvtlib12


AutoCAD Mechanical Commands and System Variables

Migration of BOMs and Symbols
Accelerator Keys Reference
AutoCAD Mechanical Commands and System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Accelerator Keys Reference

    Accelerator Keys Reference

  • Shortcut Keys Reference
  • Commands by Alphabetical Order

    Commands by Alphabetical Order

  • Annotate commands

    Annotate commands

  • Assist commands

    Assist commands

  • Content commands

    Content commands

  • Design commands

    Design commands

  • Insertion Commands

    Insertion Commands

  • Modify commands

    Modify commands

  • Mechanical Structure Commands

    Mechanical Structure Commands

  • View Commands

    View Commands

  • System Variables by Alphabetical Order

    System Variables by Alphabetical Order

  • Using the block editor in AutoCAD Mechanical


Accelerator Keys Reference (Quick Reference)

Migration of BOMs and Symbols
Accelerator Keys Reference
Shortcut Keys Reference
AutoCAD Mechanical Commands and System Variables >
Accelerator Keys Reference
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Accelerator Keys Reference

You can use accelerator keys to execute many commands. Accelerator keys are available for AutoCAD as well as for AutoCAD Mechanical

Warning! Accelerator keys are automatically loaded when you install AutoCAD Mechanical. Accelerator keys specific to AutoCAD Mechanical are appended to the end of the file acad.pgp. If you created custom accelerator keys with the same letter combinations as those in the following table, they are superseded because the last entry in the file is activated by the keystrokes. To restore your custom accelerator keys, move the definition to the end of the acad.pgp file.

To use an accelerator key to start a command

  1. On the command line, enter the keys that correspond to the command you want to use.
  2. Press Enter, the Spacebar, or the right-click to execute the command.
AutoCAD Mechanical commands
Command | Key | Function
AMAUTODIM | dau | Automatic Dimensioning
AMBALLOON | bal | Place Balloon
AMCENCRHOLE | cb | Centerline Cross with Hole
AMCENCROSS | cs | Centerline Cross
AMCENTLINE | cl | Centerline
AMCHAM2D | cha | Chamfer
AMCLINEO | cloo | C-Lines ON/OFF
AMCONSTLINES | clin | Draw C-Lines
AMDIMMEDIT | dmed | Multi Edit
AMDWGVIEW | Q | Create View
AMEDITVIEW | QQ | Edit View
AMFILLET2D | f | Fillet
AMLANGCONV | txl | Language Converter
AMLAYER | l0 | Layer AM_0
AMLAYER | l1 | Layer AM_1
AMLAYER | l2 | Layer AM_2
AMLAYER | l3 | Layer AM_3
AMLAYER | l4 | Layer AM_4
AMLAYER | l5 | Layer AM_5
AMLAYER | l6 | Layer AM_6
AMLAYER | l7 | Layer AM_7
AMLAYER | l8 | Layer AM_8
AMLAYER | l10 | Layer AM_10
AMLAYER | l11 | Layer AM_11
AMLAYER | lg | Mechanical Layer Manager
AMLAYINVO | hioo | Invisible Lines ON/OFF
AMLAYMOVE | lmo | Move to another Layer
AMLAYPARTO | stoo | Standard Parts Layer ON/OFF
AMLAYPARTREFO | proo | Part Reference Layer ON/OFF
AMLAYTIBLO | tioo | Title Block Layer ON/OFF
AMLAYVISENH | lgv | Layer Group Visibility
AMLAYVPO | vpoo | Viewport Layer ON/OFF
AMLGMOVE | lgmo | Move to another Layer Group
AMLIBRARY | lib | Library
AMOFFSET | o | Offset
AMPARTREF | par | Create Part Reference
AMPOWERCOPY | pc | Power Copy
AMPOWERDIM | pd | Power Dimensioning
AMPOWERDIM_ANG | dan | Angle Dimensioning
AMPOWEREDIT | ped | Power Edit
AMPOWERERASE | per | Power Erase
AMPOWERRECALL | prc | Power Recall
AMPOWERSNAP | pss | Power Snap Settings 1-4
AMPSNAP1 | s1 | Power Snap Settings 1
AMPSNAP2 | s2 | Power Snap Settings 2
AMPSNAP3 | s3 | Power Snap Settings 3
AMPSNAP4 | s4 | Power Snap Settings 4
AMRECTANG | rec | Rectangle
AMSCMONITOR | sm | Scale Monitor
AMUNIT_0 | u0 | Units 0
AMUNIT_1 | u1 | Units 1
AMUNIT_2 | u2 | Units 2
AMUNIT_3 | u3 | Units 3
AMUNIT_4 | u4 | Units 4
AMUSERHATCH | h | User Defined Hatch
AMVIEWALL | val | View All
AMVIEWCEN | v5 | Center
AMVIEWLL | v3 | Lower Left
AMVIEWLR | v4 | Lower Right
AMVIEWUL | v1 | Upper Left
AMVIEWUR | v2 | Upper Right
AutoCAD commands
Command | Key | Function
3DORBIT | oo | Dynamically rotates parts on the screen
ARC | a | Draws an arc
BREAK | b | Splits an object
CIRCLE | c | Draws a circle
COPY | mm | Copies a selection
DDVIEW | v | Restores a view
DVIEW | d | Displays a perspective view
ERASE | e | Erases
HATCH | h | Draws hatch
INSERT | i | Inserts a block
LINE | l | Draws a line
MOVE | m | Moves a selection
MTEXT | t | Creates paragraph text
OFFSET | o | Offsets an object
PAN | p | Pans the model
REDRAW | r | Redraws the screen
REGENALL | rr | Regenerates all views
SPLINE | s | Draws a spline
TRIM | tt | Trims an object
UCS | dd | Sets the UCS parallel to the current view and sets the view depth
UCS/VIEW | uu | Sets the UCS to the view
UNDO | u | Undoes the last action
XLINE | j | Draws a vertical construction line
ZOOM | xx | Zooms in
ZOOM | z | Zooms out
ZOOM/EXTENTS | ff | Zooms to the extents of the screen
ZOOM/FIT | f | Fits objects to the screen
ZOOM/REALTIME | zz | Realtime zoom
Viewing commands
Function | Key | Definition
Viewports | 1 2 3 4 | One viewport Two viewport Three viewport Four viewport
Top | 5 5d 5u | Top view Top view, sets depth Top view with construction plane
Bottom | 55 | Bottom view
Front | 6 6d 6u | Front view Front view, sets depth Front view with construction plane
Back | 66 | Back view
Right | 7 7d 7u | Right view Right view, sets depth Right view with construction plane
Left | 77 | Left view
Isometric | 8 88 | Isometric view Isometric SW view
UCS | 9 | UCS Sketch view
Hide | 0 | Hides
Rotate | [ ] = - | Rotates left Rotates right Rotates ups Rotates down


Shortcut Keys Reference (Quick Reference)

Accelerator Keys Reference
Shortcut Keys Reference
Commands by Alphabetical Order
AutoCAD Mechanical Commands and System Variables >
Shortcut Keys Reference
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Many frequently used commands are accessible using automated shortcuts known as shortcut keys. .

Mechanical Structure Commands
Key | Function | Command
F4 | Toggles the object selection mode between top-down and bottom-up. | AMSSMODE
CTRL+D | Toggles the design navigation mode on or off. | AMSNAVMODE
CTRL+SHIFT+X | Activates a component view or a folder. | AMSACTIVATE
CTRL+SHIFT+B | Changes the base point of an active component view or folder. | AMSBASE
CTRL+SHIFT+E | Edits active component view or folder. | AMSEDIT
CTRL+SHIFT+Q | Purges all uninstanced component and folder definitions. | AMSPURGE
Power Commands
Key | Function | Command
CTRL+ALT+D | Creates power dimensions or adds fits and tolerances to existing power dimensions. | AMPOWERDIM
CTRL+ALT+C | Copies an object, along with its mechanical intelligence, to another position in the drawing. | AMPOWERCOPY
CTRL+ALT+E | Edits power objects by automatically invoking the appropriate editing command. | AMPOWEREDIT
CTRL+ALT+V | Creates top, bottom or side views of standard parts. | AMPOWERVIEW
CTRL+ALT+R | Invokes the command used to create a power object you select. | AMPOWERRECALL


Commands by Alphabetical Order (Quick Reference)

Shortcut Keys Reference
Commands by Alphabetical Order
Annotate commands
AutoCAD Mechanical Commands and System Variables >
Commands by Alphabetical Order
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Commands by Alphabetical Order

Commands | Description
AM2DHIDE | Hides invisible edges.
AM2DHIDEDIT | Edits existing hide situations.
AMADJRINGS2D | Creates an adjusting ring on a shaft.
AMANALYSEDWG | Creates a file in which the current layer structure of the drawing is written.
AMASSOHATCH | Suits an existing hatch to a changed contour.
AMATTACHSYM | Displays or attaches non-attached symbols.
AMAUTOCLINES | Draws predefined construction lines on a selected drawing element.
AMAUTODETAIL | Creates an external detail drawing (xref) of selected elements from an assembly drawing.
AMAUTODIM | Creates ordinate, parallel, shaft, and symmetric dimensions and gives the chance to rearrange dimensions into a new style.
AMBALLOON | Creates and places balloons.
AMBEARCALC | Performs calculation on bearings.
AMBELL2D | Selects, calculates, and inserts Belleville springs.
AMBHOLE2D | Creates a standard related blind hole.
AMBOM | Creates a BOM database containing a list of attributes.
AMBREAKATPT | Breaks a line, polyline, or a spline on a specified point.
AMBROUTLINE | Draws a special spline to show the breakout borders.
AMBROWSER | Displays the mechanical browser.
AMBROWSERCLOSE | Closes the mechanical browser.
AMBROWSEROPEN | Displays the mechanical browser.
AMBSLOT2D | Creates a blind slot.
AMCAM | Designs and calculates cams
AMCARRAY | Creates multiple copies of content objects in a pattern.
AMCARRAYEDIT AMCARRAY | Edits an existing content array object..
AMCENCRANGLE | Draws a centerline cross with an angle.
AMCENCRCORNER | Draws a centerline cross in a corner.
AMCENCRFULLCIRCLE | Draws a centerline cross on a full circle.
AMCENCRHOLE | Draws a centerline cross with a hole.
AMCENCRINHOLE | Draws a centerline cross in a hole.
AMCENCROSS | Draws a centerline cross.
AMCENCRPLATE | Draws a centerline cross on a plate.
AMCENINBET | Draws a centerline in between two edges.
AMCENTERHOLE2D | Creates a centerhole.
AMCENTLINE | Draws a centerline.
AMCHAINDRAW | Draws chain or belt links.
AMCHAINLENGTHCAL | Determines the tangent definition between sprockets/pulleys.
AMCHAM2D | Draws a chamfer.
AMCHAM2D_DIM | Creates chamfer dimensions.
AMCHATCH | Defines content hatch objects in templates for part or features views.
AMCLEVISPIN2D | Creates a clevis pin.
AMCLINEL | Locks or unlocks the construction line layer.
AMCLINEO | Freezes or thaws the construction line layer.
AMCOMP2D | Selects, calculates, and inserts compression springs.
AMCONST_CIRCLE | Creates a construction line circle.
AMCONSTC2 | Creates a construction line circle tangent to a line.
AMCONSTCC | Creates a concentric construction line circle to a circle.
AMCONSTCCREA | Creates a construction line circle to the end of a shaft.
AMCONSTCIRCLI | Creates a construction line rectangle around a circle.
AMCONSTCRS | Creates a construction line cross.
AMCONSTHB | Creates a construction line by defining two points or an angle.
AMCONSTHM | Creates a bisecting construction line of an angle.
AMCONSTHOR | Creates a horizontal construction line.
AMCONSTHW | Creates a construction line with a relative angle from a line.
AMCONSTKR | Creates a construction line circle tangent to two lines.
AMCONSTLINES | Draws construction lines.
AMCONSTLOT | Creates a construction line perpendicular to a line.
AMCONSTLOT2 | Creates a construction line perpendicular to two points.
AMCONSTPAR | Creates a parallel construction line with full distance.
AMCONSTPAR2 | Creates a parallel construction line with half distance.
AMCONSTSWI | Switches construction lines between lines and rays.
AMCONSTTAN | Creates two parallel construction lines tangent to a circle.
AMCONSTTC | Creates a construction line tangent to two circles.
AMCONSTVER | Creates a vertical construction line.
AMCONSTXLINE | Creates infinite construction lines starting from one point.
AMCONSTXRAY | Creates construction lines starting from one point.
AMCONSTZ | Creates a construction line in Z direction
AMCONTENTADD | Creates content from scratch, using the current drawing, or by selecting a block definition from the current drawing.
AMCONTENTLIB | Opens the Content Library for selection and insertion of content.
AMCONTENTLIBMIGRATE | Migrates Vario libraries to the current release of AutoCAD Mechanical.
AMCONTENTMANAGER | Create, edit, activate, deactivate, and reorder file locations for standard and custom content.
AMCONTENTMIGRATE | Migrated legacy Vario parts and features to the current AutoCAD Mechanical format.
AMCONTIN | Displays the inner contour of an object.
AMCONTOUT | Displays the outer contour of an object.
AMCONTRACE | Traces all points of a contour.
AMCONVDWG | Converts the current drawing.
AMCOPYLG | Copies objects from a layer group to a new layer group.
AMCOTTERPIN2D | Creates a cotter pin.
AMCOUNTB2D | Creates a standard related counterbore.
AMCOUNTS2D | Creates a standard related countersink.
AMCPARTREF | Places one content part reference in a view.
AMCSETTINGS | Defines if content is a part or feature and the hide behavior of the view of the content being authored.
AMCRIVET2D | Creates a countersunk rivet.
AMCSWITCHVIEW | Creates a new view for standard content.
AMCTABLE | Creates content families by attaching a Family Table to parts or features.
AMCTESTCONTENT | Tests the view of the part or feature authored in its current state.
AMCVT12 | Converts a Genius 12 drawing into an AutoCAD Mechanical drawing.
AMCVTDETA12 | Converts Genius 12 details into a readable format for AutoCAD Mechanical.
AMCVTDIM12 | Solves problems associated with converting AutoCAD 12 drawing dimensions.
AMCVTDIMFIT12 | Converts Genius 12 fits into a readable format for AutoCAD Mechanical.
AMCVTDIMTOL12 | Converts Genius 12 tolerances into a readable format for AutoCAD Mechanical.
AMCVTFRAME12 | Converts Genius 12 frames and title blocks into a current AutoCAD Mechanical format.
AMCVTLIB12 | Converts a Genius 12 library into a current AutoCAD Mechanical library structure.
AMCYLPIN2D | Creates a cylindrical pin.
AMDATUMID | Creates a datum identifier symbol.
AMDATUMTGT | Creates and edits datum target symbols.
AMDEADJOINT | Creates a dead joint symbol
AMDEFLINE | Calculates the deflection line or moment line of an object that has various force elements acting on it.
AMDETAIL | Enlarges selected parts of a drawing.
AMDIMALIGN | Aligns dimensions to a selected dimension.
AMDIMARRANGE | Arranges selected dimensions in accordance with a selected edge.
AMDIMBREAK | Creates breaks in an existing dimension.
AMDIMFORMAT | Edits individual dimensions with the dialog box.
AMDIMINSERT | Edits linear, aligned, rotated, and angular dimensions by inserting new dimensions of the same type simultaneously.
AMDIMJOIN | Edits linear, aligned, and angular (3-point or 2-line) dimensions by joining similar dimensions into a single dimension.
AMDIMMEDIT | Edits multiple dimensions at the same time.
AMDIMSTRETCH | Shortens or lengthens linear or symmetric dimensions.
AMDRBUSH2D | Creates a single drill bushing.
AMDRBUSHHOLE2D | Creates a drill bushing and the corresponding hole.
AMDWGVIEW | Creates a paper space drawing view.
AMEDGESYM | Creates edge symbols.
AMEDIT | Edits balloons, parts lists, and symbols.
AMEDITPSCUTLINE | Displays or selects paper space cutline for breakout section views.
AMEDITVIEW | Edits paper space drawing view properties.
AMEQUATEDIT | Generates and organizes equations.
AMERASEALLCL | Erases all construction lines.
AMERASECL | Erases only selected construction lines.
AMEXPLODE | In the mechanical structure environment, moves objects from structure to model space.
AMEXT2D | Selects, calculates, and inserts extension springs.
AMEXTHREAD2D | Creates an external thread.
AMFEA2D | Calculates stress and deformation in a plane for plates with a given thickness or in a cross section with individual forces and stretching loads.
AMFEATID | Creates feature identifier symbols.
AMFCFRAME | Creates feature control frame symbols.
AMFILLET2D | Creates filleted edges.
AMFITSLIST | Inserts a fits list from placed dimensions.
AMGROOVE2D | Inserts a retaining ring/circlip with the appropriate groove in a shaft.
AMGROOVESTUD2D | Creates a grooved drive stud.
AMHATCH_135_11 | Creates a 135-degree and 11 mm/0.4 inch hatch.
AMHATCH_135_2 | Creates a 135-degree and 2.7 mm/0.12 inch hatch.
AMHATCH_135_4 | Creates a 135-degree and 4.7 mm/0.19 inch hatch.
AMHATCH_45_13 | Creates a 45-degree and 13 mm/0.5 inch hatch.
AMHATCH_45_2 | Creates a 45-degree and 2.5 mm/0.1 inch hatch.
AMHATCH_45_5 | Creates a 45-degree and 5 mm/0.22 inch hatch.
AMHATCH_DBL | Creates a double hatch of 45 degree and 135 degree and 2.3 mm/0.09 inch.
AMHELP | Displays the online help.
AMHOLECHART | Creates coordinate dimensions for holes in a work piece and generates hole charts.
AMINERTIA | Calculates the moment of inertia.
AMINERTIAPROF | Defines profile sections for deflection lines (moment of inertia).
AMIVLINK | Creates an associative link between a dwg file and an Autodesk Inventor assembly (.iam) or part (.ipt) document.
AMIVPROJECT | Selects an Autodesk Inventor Project (.ipj) file to use as the active project file for opening Autodesk Inventor assembly (.iam) files.
AMIVUPDATE | Rereads associated Autodesk Inventor document and updates the dwg file.
AMJOIN | Joins different entities.
AMLANGCONV | Translates text strings in your drawing into another language.
AMLANGTEXT | Displays and uses text from the Language Converter.
AMLAYER | Manages layers, layer definition and their properties .
AMLAYERGROUP | Manages layer groups and their properties.
AMLAYINVO | Switches the invisible lines on or off.
AMLAYMOVE | Moves lines to another layer.
AMLAYMOVEPL | Moves lines to parts layers.
AMLAYMOVEWL | Moves lines to working layers.
AMLAYPARTO | Thaws or freezes parts layers.
AMLAYPARTREFO | Switches part reference layers on or off.
AMLAYRESET | Sets all layers back.
AMLAYTIBLO | Switches the layer for border and title block on/off.
AMLAYVISENH | Specifies the layer group setting during a working session.
AMLAYVPO | Switches the viewport layer on or off.
AMLGCOLORMODE | Changes the color mode of the AMLAYER command.
AMLGMOVE | Moves lines or blocks to another layer group.
AMLIBRARY | Displays a library for drawings.
AMLUBRI2D | Creates a lubricator.
AMMARKSTAMP | Creates a GOST marking or stamping symbol.
AMMCONTV | Makes a contour visible.
AMMIGRATEBB | Migrates the infopoint data, position numbers and parts list of Genius 13/14 drawings to the AutoCAD 2004 format.
AMMIGRATESYM | Migrates symbols of Genius 13/14 drawings to the AutoCAD format.
AMNOTE | Creates a leader note symbol with the ability to intelligently pick up information from the object it is attached to and where possible, automatically provide context-sensitive note text.
AMNUT2D | Creates a nut.
AMOFFSET | Creates new objects at specified distances from an existing object.
AMOFFSETLAYMODE | Changes the layer mode of the AMOFFSET command.
AMOPTIONS | Sets drawing configuration.
AMPARTLIST | Creates and places a parts list in a drawing.
AMPARTREF | Creates part references.
AMPARTREFEDIT | Edits part reference data.
AMPIN2D | Creates cylindrical pins, cotter pins, taper pins, and grooved drive studs.
AMPLBEAR2D | Inserts a plain bearing on a shaft or in a housing.
AMPLOTDATE | Inserts the current date in the lower right corner of the title block.
AMPLRIVET2D | Creates a plain rivet.
AMPLUG2D | Creates a plug.
AMPOWERCOPY | Copies an object with its internal information to another position in the drawing.
AMPOWERDIM | Creates linear, angular, or radial dimensions, as appropriate, by intelligently identifying the object selected for dimensioning or by letting you explicitly specify the dimension type to create.
AMPOWERDIM_ALI | Creates aligned linear dimensions.
AMPOWERDIM_ANG | Creates linear, angular, or radial dimensions, as appropriate, by intelligently identifying the object selected for dimensioning or by letting you explicitly specify the dimension type to create.
AMPOWERDIM_ALI | Creates aligned linear dimensions.
AMPOWERDIM_BAS | Creates angular or linear baseline dimensions.
AMPOWERDIM_CHAIN | Creates angular, linear or arc length chain dimensions.
AMPOWERDIM_DIA | Creates diameter dimensions for arcs and circles.
AMPOWERDIM_HOR | Creates horizontal linear dimensions.
AMPOWERDIM_JOG | Creates a radius dimension with a jog at a convenient location and the origin at any location you wish.
AMPOWERDIM_RAD | Creates a radius dimension with a jog at a convenient location and the origin of the dimension at any location you wish.
AMPOWERDIM_ROT | Creates rotated linear dimensions.
AMPOWERDIM_VER | Creates vertical linear dimensions.
AMPOWEREDIT | Starts the command with which the selected object was created, to edit the object.
AMPOWERERASE | Deletes selected objects.
AMPOWERRECALL | Starts the command with which the selected object was created, to create a new object.
AMPOWERSNAP | Sets object snap modes, polar snap, and filters for object snaps.
AMPOWERVIEW | Creates top or side views of standard parts.
AMPROJO | Creates a projection crosshairs used for creating orthographic views.
AMPSNAP1 | Sets user-defined snap settings on tab 1.
AMPSNAP2 | Sets user-defined snap settings on tab 2.
AMPSNAP3 | Sets user-defined snap settings on tab 3.
AMPSNAP4 | Sets user-defined snap settings on tab 4.
AMPSNAPCEN | Snaps the rectangle center.
AMPSNAPFILTERO | Switches the entity filter on or off.
AMPSNAPMID | Snaps to the middle of two points.
AMPSNAPREF | Snaps to a reference point.
AMPSNAPREL | Snaps to a relative point.
AMPSNAPVINT | Snaps to a virtual intersection point of two lines.
AMPSNAPZO | Switches snapping of the Z coordinate on or off.
AMRECTANG | Creates rectangles.
AMREFCLOSE | Saves back changes to an xref or a block while in-place editing.
AMREFCOPY | Copies objects to the working set while editing a reference in place.
AMRESCALE | Rescales dimensions and symbols in model space and in layout.
AMREV | Switches revision lists on or off.
AMREVLINE | Inserts a revision list into a drawing or adds an additional revision line to an existing revision list.
AMREVUPDATE | Updates revision lists.
AMRIVET2D | Creates rivets.
AMROLBEAR2D | Inserts a radial or axial roller bearing on a shaft or in a housing.
AMSACTIVATE | Makes a folder or view the active edit target for adding content to structure objects with other AutoCAD Mechanical creation commands.
AMSBASE | Modifies the base point of an active folder or view in a mechanical structure.
AMSCALEXY | Allows scaling in X and Y direction.
AMSCAREA | Creates scale defining areas.
AMSCATALOG | Displays the structure catalog dialog box.
AMSCATALGCLOSE | Closes the structure catalog dialog box.
AMSCATALOGOPEN | Displays the structure catalog dialog box.
AMSCMONITOR | Views and edits the scale of scale areas or viewports.
AMSCOPYDEF | Copies the definitions of instanced objects in a mechanical structure.
AMSCREATE | Creates new components, component views, folders, and annotation views in drawings in a mechanical structure.
AMSCREW2D | Creates a screw or stud.
AMSCREWCALC | Checks a screw connection.
AMSCREWCON2D | Opens the Screw Connection dialog box.
AMSCREWMACRO2D | Opens the Screw Assembly Templates dialog box.
AMSCRIPT | Generates scripts.
AMSEALRING2D | Creates a sealing ring for use under a plug.
AMSEALS2D | Inserts a seal/O-ring with the appropriate groove in a shaft.
AMSECTIONLINE | Creates a cutting plane line. Section lines can be created with or without arrows.
AMSEDIT | Directly manipulates the contents of an active folder or view in a mechanical structure.
AMSEXTERNALIZE | Converts local components/folders to external reference components/folders by moving their definitions to a new drawing file
AMSHIDE | Defines hide situations by specifying objects that are entirely or partially hidden by other objects in a drawing..
AMSHIDEEDIT | Modifies hide situations created with AMSHIDE without affecting other instances or occurrences in a mechanical structure.
AMSINSERT | Inserts existing components, component views, folders, and annotation views in drawings in a mechanical structure.
AMSETUPDWG | Sets up a drawing.
AMSHAFT2D | Creates rotationally symmetric shaft parts and inner and outer shaft contours.
AMSHAFTCALC | Calculates deflection line, bending moment, torsion moment, supporting force, torque rotation angle, equivalent tension, and the safety factor of shafts.
AMSHAFTEND | Creates a zigzag line, a free-hand line, or a loop to represent a shaft end.
AMSHAFTKEY2D | Inserts a parallel or woodruff key with the appropriate keyseat in a shaft.
AMSHAFTLNUT2D | Creates a shaft lock nut including the lock washer and inserts both in a shaft.
AMSHIMRING2D | Creates a shim ring on a shaft.
AMSIMPLEWELD | Creates seam and fillet simple welds.
AMSLOCALIZE | Converts an external reference folder/component to local a folder/component.
AMSMOVE | Moves objects and their associated occurrences in one or more folders or views to another folder or view in a mechanical structure.
AMSNAVMODE | Turns the Design Navigation Mode on or off..
AMSNEW | Creates and manages new folders, components, and views in a mechanical structure.
AMSPROCKET | Draws sprockets or pulleys.
AMSPURGE | Removes unused structure objects, including folders, components, views, and annotation views in a mechanical structure.
AMSREPLACEDEF | Replaces the definition of a folder or view with another definition objects in a mechanical structure.
AMSSMODE | Toggles the object selection mode between top-down and bottom-up.
AMSTDPLIB | Displays the Standard Parts Database dialog box.
AMSTDPLIBEDIT | Edits the Standard Parts Database.
AMSTDPREP | Changes the representation of standard parts.
AMSTLSHAP2D | Creates a steel shape.
AMSTYLEITAL | Changes the text style to Italic.
AMSTYLESIMP | Changes the text style to Simplex.
AMSTYLESTAND | Changes the text style to Standard.
AMSTYLETXT | Changes the text style to TXT.
AMSURFSYM | Creates surface texture symbols.
AMSYMLEADER | Edits the leader of symbols in the drawing.
AMSYMLINE | Draws symmetrical lines.
AMTAPBHOLE2D | Creates a standard related tapped blind hole.
AMTAPERPIN2D | Creates a taper pin.
AMTAPERSYM | Creates a taper or slope symbol.
AMTAPETHREAD2D | Creates a taper hole with an external thread.
AMTAPITHREAD2D | Creates a taper hole with an internal thread.
AMTAPTHOLE2D | Creates a standard related tapped through hole.
AMTEXT3 | Inserts text with a height of 3.5 mm.
AMTEXT5 | Inserts text with a height of 5 mm.
AMTEXT7 | Inserts text with a height of 7 mm.
AMTEXTCENT | Centers text horizontally and vertically.
AMTEXTHORIZ | Aligns text to the center.
AMTEXTRIGHT | Aligns text to the right.
AMTEXTSIZE | Sets text to its default size in model and layout, and defines the height for an inserted text.
AMTHOLE2D | Creates a standard related through hole.
AMTHREADEND2D | Creates a thread end.
AMTITLE | Inserts a title block and a drawing border.
AMTOR2D | Selects, calculates and inserts torsion springs.
AMTRCONT | Traces contours on construction lines.
AMTSLOT2D | Creates a slot.
AMUBHOLE2D | Inserts user-defined blind holes.
AMUBSLOT2D | Creates a user-defined blind slot.
AMUCOUNTB2D | Inserts user-defined counterbores.
AMUCOUNTS2D | Inserts user-defined countersinks.
AMUNDERCUT2D | Creates an undercut on a shaft.
AMUSERHATCH | Inserts a user-defined hatch.
AMUTHOLE2D | Inserts user-defined through holes.
AMUTSLOT2D | Creates a user-defined slot.
AMVALMIGRATE | Migrates the schema of the selected VAL file format to the current AutoCAD Mechanical format.
AMVARIODB | Connects to a database.
AMVIEWALL | Zooms the view according to the limits.
AMVIEWCEN | Zooms the center of the drawing.
AMVIEWLL | Zooms the predefined lower-left quarter of the drawing.
AMVIEWLR | Zooms the predefined lower-right quarter of the drawing.
AMVIEWOUT | Exports views created for Autodesk Inventor documents to AutoCAD.
AMVIEWUL | Zooms the predefined upper-left quarter of the drawing.
AMVIEWUR | Zooms the predefined upper-right quarter of the drawing.
AMVPORT | Creates viewports.
AMVPORTAUTO | Creates viewports automatically.
AMVPZOOMALL | Zooms all viewports.
AMWASHER2D | Creates a washer.
AMWELDSYM | Creates welding symbols.
AMXREFSET | Controls the representation of xrefs.
AMZIGZAGLINE | Draws zigzag lines.
AMZOOMVP | Displays a selected area in another viewport.


Annotate commands (Quick Reference)

Commands by Alphabetical Order
Annotate commands
Assist commands
AutoCAD Mechanical Commands and System Variables >
Annotate commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Annotate commands

Command | Description
AMATTACHSYM | Displays or attaches non-attached symbols.
AMAUTODIM | Creates ordinate, parallel, shaft, and symmetric dimensions and gives the chance to rearrange dimensions into a new style.
AMBALLOON | Creates and places balloons.
AMBOM | Creates a BOM database containing a list of attributes.
AMDATUMID | Creates datum identifier symbols.
AMDATUMTGT | Creates and edits datum target symbols.
AMDEADJOINT | Creates a dead joint symbol
AMDIMALIGN | Aligns dimensions to a selected dimension.
AMDIMARRANGE | Arranges selected dimensions in accordance with a selected edge.
AMDIMBREAK | Creates breaks in leader lines.
AMDIMFORMAT | Edits individual dimensions with the dialog box.
AMDIMINSERT | Inserts dimensions.
AMDIMJOIN | Joins dimensions.
AMDIMMEDIT | Edits several dimension descriptions.
AMDIMSTRETCH | Shortens or lengthens linear or symmetric dimensions.
AMEDGESYM | Creates edge symbols.
AMEDIT | Edits balloons, parts lists, and symbols.
AMFEATID | Creates feature identifier symbols.
AMFCFRAME | Creates feature control frame symbols.
AMFITSLIST | Inserts a fits list from placed dimensions.
AMHOLECHART | Creates hole charts.
AMMARKSTAMP | Creates a GOST marking or stamping symbol.
AMNOTE | Creates a leader note symbol with the ability to intelligently pick up information from the object it is attached to and where possible, automatically provide context-sensitive note text.
AMPARTLIST | Creates and places a parts list in a drawing.
AMPARTREF | Creates part references.
AMPARTREFEDIT | Edits part reference data.
AMPLOTDATE | Inserts the current date in the lower right corner of the title block.
AMPOWERDIM | Creates angular dimensions showing the angle between 3 points or the angle between two lines, or the angle an arc subtends on its center.
AMPOWERDIM_ALI | Creates aligned linear dimensions.
AMPOWERDIM_ANG | Creates linear, angular, or radial dimensions, as appropriate, by intelligently identifying the object selected for dimensioning or by letting you explicitly specify the dimension type to create.
AMPOWERDIM_ALI | Creates aligned linear dimensions.
AMPOWERDIM_BAS | Creates angular or linear baseline dimensions.
AMPOWERDIM_CHAIN | Creates angular, linear or arc length chain dimensions.
AMPOWERDIM_DIA | Creates diameter dimensions for arcs and circles.
AMPOWERDIM_HOR | Creates horizontal linear dimensions.
AMPOWERDIM_JOG | Creates a radius dimension with a jog at a convenient location and the origin at any location you wish.
AMPOWERDIM_RAD | Creates a radius dimension with a jog at a convenient location and the origin of the dimension at any location you wish.
AMPOWERDIM_ROT | Creates rotated linear dimensions.
AMPOWERDIM_VER | Creates vertical linear dimensions.
AMREV | Switches revision lists on or off.
AMREVLINE | Inserts a revision list into a drawing or adds an additional revision line to an existing revision list.
AMREVUPDATE | Updates revision lists.
AMSIMPLEWELD | Creates seam and fillet simple welds.
AMSURFSYM | Creates surface texture symbols.
AMSYMLEADER | Edits the leader of symbols in the drawing.
AMTAPERSYM | Creates a taper or slope symbol.
AMTEXTHORIZ | Aligns text to the center.
AMTEXT3 | Inserts text with a height of 3.5 mm.
AMTEXT5 | Inserts text with a height of 5 mm.
AMTEXT7 | Inserts text with a height of 7 mm.
AMTEXTCENT | Centers text horizontally and vertically.
AMTEXTRIGHT | Aligns text to the right.
AMTITLE | Inserts a title block and a drawing border.
AMWELDSYM | Creates welding symbols.


Assist commands (Quick Reference)

Annotate commands
Assist commands
Content commands
AutoCAD Mechanical Commands and System Variables >
Assist commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Assist commands

Command | Description
AMANALYSEDWG | Analyzes the current drawing file.
AMAUTODETAIL | Creates an external detail drawing (xref) of selected elements from an assembly drawing.
AMCLINEL | Locks or unlocks the construction line layer.
AMCLINEO | Freezes/Off or thaws/On the construction line layer.
AMOPTIONS | Sets configurations for AutoCAD Mechanical.
AMCONVDWG | Converts the current drawing.
AMCOPYLG | Copies objects from a layer group to a new layer group.
AMLANGCONV | Translates text strings in your drawing into another language.
AMLANGTEXT | Displays and uses text from the Language Converter.
AMLAYER | Manages layers, layer definition and their properties .
AMLAYERGROUP | Manages layer groups and their properties.
AMLAYINVO | Switches the invisible lines on or off.
AMLAYPARTO | Thaws or freezes parts layers.
AMLAYPARTREFO | Switches part reference layers on or off.
AMLAYRESET | Sets all layers back.
AMLAYTIBLO | Switches the layer for border and title block on/off..
AMLAYVISENH | Gives you visible control of the layer groups.
AMLAYVPO | Switches the viewport layer on or off.
AMLGCOLORMODE | Changes the color mode of the AMLAYER command.
AMPOWERSNAP | Sets object snap modes, polar snap, and filters for object snap.
AMPSNAP1 | User-defined snap settings.
AMPSNAP2 | User-defined snap settings.
AMPSNAP3 | User-defined snap settings.
AMPSNAP4 | User-defined snap settings.
AMPSNAPCEN | Snaps the rectangle center.
AMPSNAPFILTERO | Switches the entity filter on or off.
AMPSNAPMID | Snaps to the middle of two points.
AMPSNAPREF | Snaps a reference point.
AMPSNAPREL | Snaps a relative point.
AMPSNAPVINT | Snaps a virtual intersection point of two lines.
AMPSNAPZO | Switches snapping of the z-coordinate on or off.
AMSCRIPT | Generates a script.
AMSETUPDWG | Sets up a drawing.
AMSTYLEITAL | Changes the text style to Italic.
AMSTYLESIMP | Changes the text style to Simplex.
AMSTYLESTAND | Changes the text style to Standard.
AMSTYLETXT | Changes the text style to TXT.


Content commands (Quick Reference)

Assist commands
Content commands
Design commands
AutoCAD Mechanical Commands and System Variables >
Content commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Content commands

Command | Description
AMADJRINGS2D | Creates an adjusting ring on a shaft.
AMBEARCALC | Performs calculation on bearings.
AMBELL2D | Selects, calculates, and inserts Belleville springs.
AMBHOLE2D | Creates a standard related blind hole.
AMBSLOT2D | Creates an oblong blind hole.
AMCAM | Designs and creates cams.
AMCARRAY | Creates multiple copies of content objects in a pattern.
AMCHAINDRAW | Draws chain or belt links.
AMCHAINLENGTHCAL | Determines the tangent definition between sprockets/pulleys.
AMCHATCH | Defines content hatch objects in templates for part or features views.
AMCLEVISPIN2D | Creates a clevis pin.
AMCOMP2D | Selects, calculates, and inserts compression springs.
AMCONTENTADD | Creates content from scratch, using the current drawing, or by selecting a block definition from the current drawing.
AMCONTENTLIBMIGRATE | Migrates Vario libraries to the current release of AutoCAD Mechanical.
AMCONTENTMIGRATE | Migrated legacy Vario parts and features to the current AutoCAD Mechanical format.
AMCOTTERPIN2D | Creates a cotter pin.
AMCOUNTB2D | Creates a standard related counterbore.
AMCOUNTS2D | Creates a standard related countersink.
AMCPARTREF | Places one content part reference in a view.
AMCRIVET2D | Creates a countersunk rivet.
AMCSETTINGS | Defines if content is a part or feature and the hide behavior of the view of the content being authored.
AMCSWITCHVIEW | Creates a new view for standard content.
AMCTABLE | Creates content families by attaching a Family Table to parts or features.
AMCTESTCONTENT | Tests the view of the part or feature authored in its current state.
AMCYLPIN2D | Creates a cylindrical pin.
AMDEFLINE | Creates deflection lines.
AMDRBUSH2D | Creates a single drill bushing.
AMDRBUSHHOLE2D | Creates a drill bushing and the corresponding hole.
AMEDIT | Edits balloons, parts lists, and symbols.
AMEXT2D | Selects, calculates, and inserts extension springs.
AMEXTHREAD2D | Creates an external thread.
AMFEA2D | Calculates stress and deformation in a plane for plates with a given thickness or in a cross section with individual forces and stretching loads.
AMGROOVE2D | Inserts a retaining ring/circlip with the appropriate groove in a shaft.
AMGROOVESTUD2D | Creates a grooved drive stud.
AMINERTIA | Calculates the moment of inertia.
AMINERTIAPROF | Defines profile sections for deflection lines (moment of inertia).
AMLUBRI2D | Creates a lubricator.
AMNUT2D | Creates a nut.
AMPIN2D | Creates cylindrical pins, cotter pins, taper pins, and grooved drive studs.
AMPLBEAR2D | Inserts a plain bearing on a shaft or in a housing.
AMPLRIVET2D | Creates a plain rivet.
AMPLUG2D | Creates a plug.
AMPOWERVIEW | Creates top or side views of standard parts.
AMRIVET2D | Creates rivets.
AMROLBEAR2D | Inserts a radial or axial roller bearing on a shaft or in a housing.
AMSCREW2D | Creates a screw or bolt.
AMSCREWCON2D | Opens the Screw Connection dialog box.
AMSCREWMACRO2D | Opens the Screw Assembly Templates dialog box.
AMSEALRING2D | Creates a sealing ring for use under a plug.
AMSEALS2D | Inserts a seal/O-ring with the appropriate groove in a shaft.
AMSHAFT2D | Creates rotationally symmetric shaft parts and inner and outer shaft contours.
AMSHAFTCALC | Calculates deflection line, bending moment, torsion moment, supporting force, torque rotation angle, equivalent tension, and the safety factor of shafts.
AMSHAFTEND | Creates a zigzag line, a free-hand line, or a loop to represent a shaft end.
AMSHAFTKEY2D | Inserts a parallel or woodruff key with the appropriate keyseat in a shaft.
AMSHAFTLNUT2D | Creates a shaft lock nut including the lock washer and inserts both in a shaft.
AMSHIMRING2D | Creates a shim ring on a shaft.
AMSPROCKET | Draws sprockets or pulleys.
AMSTDPLIB | Displays the Standard Parts Database dialog box.
AMSTDPREP | Changes the representation of standard parts.
AMSTLSHAP2D | Creates a steel shape.
AMTAPBHOLE2D | Creates a standard related tapped hole.
AMTAPERPIN2D | Creates a taper pin.
AMTAPETHREAD2D | Creates a taper hole with an external thread.
AMTAPITHREAD2D | Creates a taper hole with an internal thread.
AMTAPTHOLE2D | Creates a standard related tapped through hole.
AMTHOLE2D | Creates a standard related through hole.
AMTHREADEND2D | Creates a thread end.
AMTOR2D | Selects, calculates, and inserts torsion springs.
AMTSLOT2D | Creates a slot.
AMUBHOLE2D | Inserts user-defined blind holes.
AMUBSLOT2D | Creates a user-defined blind slot.
AMUCOUNTB2D | Inserts user-defined counterbores.
AMUCOUNTS2D | Inserts user-defined countersinks.
AMUNDERCUT2D | Creates an undercut on a shaft.
AMUTHOLE2D | Inserts user-defined through holes.
AMUTSLOT2D | Creates a user-defined slot.
AMVALMIGRATE | Migrates the schema of the selected VAL file format to the current AutoCAD Mechanical format.
AMWASHER2D | Creates a washer.


Design commands (Quick Reference)

Content commands
Design commands
Insertion Commands
AutoCAD Mechanical Commands and System Variables >
Design commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Design commands

Command | Description
AMASSOHATCH | Suits an existing hatch to a changed contour.
AMAUTOCLINES | Draws predefined construction lines on a selected drawing element.
AMBROUTLINE | Draws a special spline to show the breakout borders.
AMCENCRANGLE | Draws a centerline cross with an angle.
AMCENCRCORNER | Draws a centerline cross in a corner.
AMCENCRFULLCIRCLE | Draws a centerline cross on a full circle.
AMCENCRHOLE | Draws a centerline cross with a hole.
AMCENCROSS | Draws a centerline cross.
AMCENCRPLATE | Draws a centerline cross on a plate.
AMCENINBET | Draws a centerline in between two edges.
AMCENTLINE | Draws a centerline.
AMCONSTLINES | Draws construction lines.
AMCONTIN | Displays the inner contour of an object.
AMCONTOUT | Displays the outer contour of an object.
AMCONTRACE | Traces all points of a contour.
AMHATCH_135_11 | Creates a 135-degree and 11 mm/0.4 inch hatch.
AMHATCH_135_2 | Creates a 135-degree and 2.7 mm/0.12 inch hatch.
AMHATCH_135_4 | Creates a 135-degree and 4.7 mm/0.19 inch hatch.
AMHATCH_45_13 | Creates a 45-degree and 13 mm/0.5 inch hatch.
AMHATCH_45_2 | Creates a 45-degree and 2.5 mm/0.1 inch hatch.
AMHATCH_45_5 | Creates a 45-degree and 5 mm/0.22 inch hatch.
AMHATCH_DBL | Creates a double hatch of 45- and 135-degree and 2.3 mm/0.09 inch.
AMMCONTV | Makes a contour visible that is hidden by construction lines.
AMPROJO | Sets the projection on or off.
AMRECTANG | Creates a rectangle and includes additional options.
AMSECTIONLINE | Creates a cutting plane line. Section lines can be created with or without arrows.
AMSYMLINE | Draws a symmetrical line.
AMUSERHATCH | Inserts a user-defined hatch.
AMXREFSET | Controls the representation of xrefs.
AMZIGZAGLINE | Draws a zigzag line.


Insertion Commands (Quick Reference)

Design commands
Insertion Commands
Modify commands
AutoCAD Mechanical Commands and System Variables >
Insertion Commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Insertion Commands

Command | Description
AMLIBRARY | Creates a library for drawing files.


Modify commands (Quick Reference)

Insertion Commands
Modify commands
Mechanical Structure Commands
AutoCAD Mechanical Commands and System Variables >
Modify commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Modify commands

Command | Description
AM2DHIDE | Hides invisible edges.
AM2DHIDEDIT | Edits invisible/hidden edges.
AMBREAKATPT | Breaks a line, polyline, or a spline on a shown point.
AMCHAM2D | Draws a chamfer.
AMERASEALLCL | Erases all construction lines.
AMERASECL | Erases only selected construction lines.
AMFILLET2D | Creates filleted edges.
AMJOIN | Joins different entities.
AMLAYMOVE | Moves lines to another layer.
AMLAYMOVEPL | Moves lines to parts layers.
AMLAYMOVEWL | Moves lines to working layers.
AMLGMOVE | Moves lines or blocks to another layer group.
AMOFFSET | Creates new objects at specified distances from an existing object.
AMOFFSETLAYMODE | Changes the layer mode of the AMOFFSET command.
AMPOWERCOPY | Copies an object with its internal information to another position in the drawing.
AMPOWEREDIT | Starts the command with which the selected object was created, to edit the object.
AMPOWERERASE | Deletes the selected object.
AMPOWERRECALL | Starts the command with which the selected object was created, to create a new object.
AMPOWERVIEW | Creates a top or side view of a standard part.
AMSCALEXY | Allows scaling in X and Y direction.


Mechanical Structure Commands (Quick Reference)

Modify commands
Mechanical Structure Commands
View Commands
AutoCAD Mechanical Commands and System Variables >
Mechanical Structure Commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Mechanical Structure Commands

Command | Description
AMBROWSER | Displays the mechanical browser.
AMBOWSERCLOSE | Closes the mechanical browser.
AMBROWSEROPEN | Displays the mechanical browser.
AMSACTIVATE | Makes a folder or view the active edit target for adding content to structure objects with other AutoCAD Mechanical creation commands.
AMSBASE | Modifies the base point of an active folder or view in a mechanical structure.
AMSCATALOG | Displays the structure catalog dialog box.
AMSCATALGCLOSE | Closes the structure catalog dialog box.
AMSCATALOGOPEN | Displays the structure catalog dialog box.
AMSCOPYDEF | Copies the definitions of instanced objects in a mechanical structure.
AMSCREATE | Creates new components, component views, folders, and annotation views in drawings in a mechanical structure.
AMSEDIT | Directly manipulates the contents of an active folder or view in a mechanical structure.
AMEXPLODE | In the mechanical structure environment, moves objects from structure to model space.
AMSEXTERNALIZE | Converts local components/folders to external reference components/folders by moving their definitions to a new drawing file
AMSHIDE | Creates hide situations by specifying objects that are entirely or partially hidden in a view without affecting other instances or occurrences in a mechanical structure.
AMSHIDEEDIT | Modifies hide situations created with AMSHIDE.
AMSINSERT | Inserts existing components, component views, folders, and annotation views in drawings in a mechanical structure.
AMSLOCALIZE | Converts an external reference folder/component to local a folder/component.
AMSMOVE | Moves objects and their associated occurrences in one or more folders or views to another folder or view in a mechanical structure.
AMSNAVMODE | Turns the Design Navigation Mode on or off..
AMSNEW | Creates and manages new folders, components, and views in a mechanical structure.
AMSPURGE | Removes unused structure objects, including folders, components, views, and annotation views in a mechanical structure.
AMSREPLACEDEF | Replaces the definition of a folder or view with another definition objects in a mechanical structure.
AMSSMODE | Toggles the object selection mode between top-down and bottom-up.


View Commands (Quick Reference)

Mechanical Structure Commands
View Commands
System Variables by Alphabetical Order
AutoCAD Mechanical Commands and System Variables >
View Commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

View Commands

Commands | Description
AMSCAREA | Creates a scale defining area.
AMSCMONITOR | Scales in a viewport.
AMVIEWALL | Zooms all viewports.
AMVIEWCEN | Shows the center of the drawing title.
AMVIEWLL | Zooms the predefined lower-left quarter of the drawing.
AMVIEWLR | Zooms the predefined lower-right quarter of the drawing.
AMVIEWUL | Zooms the predefined upper-left quarter of the drawing.
AMVIEWUR | Zooms the predefined upper-right quarter of the drawing.
AMVISIBLE | Hides or shows individual geometry, balloons, parts lists, dimensions and drawing view edges.
AMVPORT | Creates a viewport.
AMVPORTAUTO | Creates a viewport automatically.
AMVPZOOMALL | Zooms all viewports.
AMZOOMVP | Zooms an area in a viewport.


System Variables by Alphabetical Order (Quick Reference)

View Commands
System Variables by Alphabetical Order
AMHELP
AutoCAD Mechanical Commands and System Variables >
System Variables by Alphabetical Order
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

System Variables by Alphabetical Order

Variable | Description
AMANNOTEPRESERVE | Controls whether orphaned annotation objects are deleted or saved to a group.
AMAUTOCL | Defines the features for which centerlines are automatically created.
AMCLCM | Controls the length of centerline annotations.
AMCLFEAT | Controls whether automatic centerlines are generated as well as what features they are generated for.
AMCLGAP | Controls gaps in centerline annotations.
AMCLOSHT | Controls the length of centerline overshoot beyond an object.
AMCLVIEW | Defines the view types for which automatic centerlines are generated.
AMDWGCOLOR | Sets the color of part edges and hatch patterns in drawing views.
AMHATCHISO | Controls the automatic calculation of hatch in an ISO view.
AMHLCALC | Suppresses or activates hidden line calculations in drawing views.
AMLINETHICK | Sets the line thickness used in calculating thread annotation for ISO and DIN standards.
AMOFFSETLAYMODE | Controls if objects created with the AMOFFSET command are created on the current layer or on the same layer as the source object..
AMPROJTYPE | Controls the drawing view projection method for orthographic or ancillary views.
AMREUSEDIM | Controls whether parametric dimensions are placed in drawing views of Inventor linked models.
AMSECTIONDIM | Controls whether parametric dimensions are placed in section views of Inventor linked models.
AMSINGLEHATLAY | Controls whether hatch patterns are placed on a single layer or individual layers.
AMVANISH | Controls vanish lines for tapped holes, when the tap does not extend the full length of the hole.
AMSYMSCALE | Controls the scale to be used for text and symbols for the drawing in model space.
AMVIEWREFRESH | Controls drawing view updates.
AMVPBORDER | Controls display of drawing viewport borders.


Using the block editor in AutoCAD Mechanical

System Variables by Alphabetical Order
AutoCAD Mechanical Commands and System Variables
Glossary
AutoCAD Mechanical Commands and System Variables >
Using the block editor in AutoCAD Mechanical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The AutoCAD BEDIT command invokes the block editor, an environment for creating block definitions and adding dynamic behavior. The following AutoCAD Mechanical commands cannot be used within the block editor.

Commands | Description | Comments
AMANALYSEDWG | Creates a file in which the current layer structure of the drawing is written. |
AMAUTODETAIL | Creates an external detail drawing (xref) of selected elements from an assembly drawing. |
AMBALLOON | Creates and places balloons. |
AMBOM | Creates a BOM database containing a list of attributes. |
AMBROUTLINE | Draws a special spline to show the breakout borders. |
AMCENCRCORNER | Draws a centerline cross in a corner. |
AMCENCRHOLE | Draws a centerline cross with a hole. |
AMCENCRINHOLE | Draws a centerline cross in a hole. |
AMCENCROSS | Draws a centerline cross. |
AMCENCRPLATE | Draws a centerline cross on a plate. |
AMCHAINDRAW | Draws chain or belt links. | Only if mechanical structure is enabled
AMCHAINLENGTHCAL | Determines the tangent definition between sprockets/pulleys. | Only if mechanical structure is enabled
AMCONVDWG | Converts the current drawing. |
AMCONSTKR | Creates a construction line circle tangent to two lines. |
AMCONSTTAN | Creates two parallel construction lines tangent to a circle. |
AMCVT12 | Converts a Genius 12 drawing into an AutoCAD Mechanical drawing. |
AMCVTDIM12 | Solves problems associated with converting AutoCAD 12 drawing dimensions. |
AMCVTDIMFIT12 | Converts Genius 12 fits into a readable format for AutoCAD Mechanical. |
AMDEFLINE | Calculates the deflection line or moment line of an object that has various force elements acting on it. | Only if mechanical structure is enabled
AMEXPLODE | In the mechanical structure environment, moves objects from structure to model space. |
AMEXT2D | Selects, calculates, and inserts extension springs. |
AMEXTHREAD2D | Creates an external thread. |
AMFEA2D | Calculates stress and deformation in a plane for plates with a given thickness or in a cross section with individual forces and stretching loads. | Only if mechanical structure is enabled
AMHATCH_135_11 | Creates a 135-degree and 11 mm/0.4 inch hatch. |
AMHATCH_135_2 | Creates a 135-degree and 2.7 mm/0.12 inch hatch. |
AMHATCH_135_4 | Creates a 135-degree and 4.7 mm/0.19 inch hatch. |
AMHATCH_45_13 | Creates a 45-degree and 13 mm/0.5 inch hatch. |
AMHATCH_45_2 | Creates a 45-degree and 2.5 mm/0.1 inch hatch. |
AMHATCH_45_5 | Creates a 45-degree and 5 mm/0.22 inch hatch. |
AMHATCH_DBL | Creates a double hatch of 45- and 135-degree and 2.3 mm/0.09 inch. |
AMINERTIA | Calculates the moment of inertia. | Only if mechanical structure is enabled
AMINERTIAPROF | Defines profile sections for deflection lines (moment of inertia). | Only if mechanical structure is enabled
AMIVLINK | Creates an associative link between a dwg file and an Autodesk Inventor assembly (.iam) or part (.ipt) document. |
AMIVPROJECT | Selects an Autodesk Inventor Project (.ipj) file to use as the active project file for opening Autodesk Inventor assembly (.iam) files. |
AMIVUPDATE | Rereads associated Autodesk Inventor document and updates the dwg file. |
AMLANGCONV | Translates text strings in your drawing into another language. |
AMPARTLIST | Creates and places a parts list in a drawing. |
AMPOWERVIEW | Creates top or side views of standard parts. | Only if mechanical structure is enabled
AMSACTIVATE | Makes a folder or view the active edit target for adding content to structure objects with other AutoCAD Mechanical creation commands. |
AMRECTANG | Creates a rectangle and includes additional options. |
AMSBASE | Modifies the base point of an active folder or view in a mechanical structure. |
AMSCALEXY | Allows scaling in X andY direction. |
AMSCAREA | Creates scale defining areas. |
AMSCATALOG | Displays the structure catalog dialog box. |
AMSCATALOGCLOSE | Closes the structure catalog dialog box. |
AMSCATALOGOPEN | Displays the structure catalog dialog box. |
AMSCMONITOR | Views and edits the scale of scale areas or viewports. |
AMSCOPYDEF | Copies the definitions of instanced objects in a mechanical structure. |
AMSCREATE | Creates new components, component views, folders, and annotation views in drawings in a mechanical structure. |
AMSEDIT | Directly manipulates the contents of an active folder or view in a mechanical structure. |
AMSEXTERNALIZE | Converts local components/folders to external reference components/folders by moving their definitions to a new drawing file |
AMSHIDE | Creates hide situations by specifying objects that are entirely or partially hidden in a view without affecting other instances or occurrences in a mechanical structure. |
AMSHIDEEDIT | Modifies hide situations created with AMSHIDE. |
AMSINSERT | Inserts existing components, component views, folders, and annotation views in drawings in a mechanical structure. |
AMSHAFTCALC | Calculates deflection line, bending moment, torsion moment, supporting force, torque rotation angle, equivalent tension, and the safety factor of shafts. | Only if mechanical structure is enabled
AMSIMPLEWELD | Creates seam and fillet simple welds. |
AMSLOCALIZE | Converts an external reference folder/component to local a folder/component. |
AMSMOVE | Moves objects and their associated occurrences in one or more folders or views to another folder or view in a mechanical structure. |
AMSNEW | Creates and manages new folders, components, and views in a mechanical structure. |
AMSPROCKET | Draws sprockets or pulleys. |
AMSPURGE | Removes unused structure objects, including folders, components, views, and annotation views in a mechanical structure. |
AMSREPLACEDEF | Replaces the definition of a folder or view with another definition objects in a mechanical structure. |
AMSTDPLIBEDIT | Edits the Standard Parts Database. |
AMUSERHATCH | Inserts a user-defined hatch. |
AMVIEWALL | Zooms the view according to the limits. |
AMVIEWCEN | Zooms the center of the drawing. |
AMVIEWLL | Zooms the predefined lower-left quarter of the drawing. |
AMVIEWLR | Zooms the predefined lower-right quarter of the drawing. |
AMVIEWUL | Zooms the predefined upper-left quarter of the drawing. |
AMVIEWUR | Zooms the predefined upper-right quarter of the drawing. |
AMVISIBLE | Hides or shows individual geometry, balloons, parts lists, dimensions and drawing view edges. |
AMVPORT | Creates viewports. |
AMVPORTAUTO | Creates viewports automatically. |
AMVPZOOMALL | Zooms all viewports. |
AMZOOMVP | Displays a selected area in another viewport. |


Glossary

Using the block editor in AutoCAD Mechanical
Glossary
Glossary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Glossary


Glossary
Glossary
Tutorials
Glossary >
Glossary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

acceleration

Graph of acceleration of the straight driven element of the rotation angle acceleration of a rocker and the cam plate angle of rotation.

ACIS

Alan, Charles, Ian Systems. An open-architecture, object-oriented software program providing a geometric engine for application developers. ACIS supports methods for creating and editing a broad range of 3D geometric objects including splines, surfaces, and solids.

action pane

The area in the Dimension Formatter dialog box where your change to a control is dynamically reflected on your drawing.

administrator configuration file

A file that contains the system settings. The path to this file is contained in the AdminCfgPath entry of the windows registry subkey \HKEY_LOCAL_MACHINE\SOFTWARE\Autodesk\AutoCAD\[AutoCAD Version Number]\[PRODUCT_ID]\Mechanical\SYSTEM.

Where

* AutoCAD Version Number is the version ID for AutoCAD. The AutoCAD version ID for AutoCAD 2008 is R17.1

* PRODUCT_ID is a product- & language-dependent number and will typically look like ACAD-4003:409.

The registry subkey will typically look like:

\HKEY_LOCAL_MACHINE\SOFTWARE\Autodesk\AutoCAD\R17.1\ ACAD-4003:409\Mechanical\SYSTEM.

alloy steel

An alloy steel contains elements other than carbon which have been added to obtain definite mechanical or physical properties, such as higher strength at elevated temperatures, toughness, etc.

annotation

A group of AutoCAD 2D objects, such as text or geometry that is attached to a Mechanical Desktop drawing to describe a design. Examples are surface finish symbols, callout balloons, and BOMs (bills of material).

annotation view

A folder that contains one or more views of a single component dedicated to annotating and detailing parts and assemblies. Annotation views are used to instance component views without incrementing the component quantity in the bill of materials (BOM).

attach

The act of connecting a reference file to the current assembly file. The attachment remains with the current file after the file is saved.

auto detailing

A function where component detail drawings can be inserted automatically into the drawing under a specific scale, with a border and a title block. Layer groups or selected elements can be set as components for the auto detailing.

automatic dimension

A function that offers various options to dimension a 2D contour automatically. You determine the point marking the origin of the dimension. The function searches for the edges of the work piece and dimensions according to the selected dimension type.

background

A contour that is covered by another contour or by objects that are lying behind another contour, in the 3D sense. A background may be a foreground for an additional contour.

balloon

Circular annotation tag that ties components in an assembly into a bill of materials.

base dimension

The first dimension selected for joining, inserting, and aligning dimensions.

base layer

A layer made up of working layers and standard parts layers. Base layers are repeated in every layer group.

base standard

Predefined drafting standard that conforms to International Drafting Standards ANSI, ISO, DIN, BSI, GB, CSN, and JIS.

baseline dimensioning

A dimension that is aligned to extension lines and read from the bottom or right side of the drawing.

basic size

The basic size is that size from which the limits of size are derived by the application of allowances and tolerances.

bearing calculation

Calculates limiting value, dynamic and static load rating, dynamic and static equivalent load, and fatigue life in revolutions and hours.

Belleville spring washer

Washer-type spring that can sustain relatively large loads with small deflections. The loads and deflections can be increased by stacking the springs.

bill of material (BOM)

A dynamic database containing a list of parts. Used to generate part lists that contain associated attributes such as part number, manufacturer, and quantity.

binding head

The binding head has a rounded top surface, slightly tapered side surface and a flat bearing surface, a portion of which is sometimes undercut adjacent to the shank.

body

The body of a threaded fastener is the unthreaded portion of the shank.

body diameter

The body diameter is the diameter of the body of a threaded fastener.

BOM attribute

An entity that contains attributes by default (the attribute is invisible) that can add information to and describe details of a part in the drawing. The values of these attributes are transformed into the parts list attributes when converting BOM attributes and creating a parts list.

border BOM

A BOM database that contains a list of all the parts within the confines of a drawing border. For a border BOM to be created, the drawing must contain one or more drawing borders.

breakout line

Shows a partial area of a broken view.

button head

A button head as applied to threaded fasteners has a low rounded top surface with a large flat bearing surface.

calculation object

An object in model space that is a result of an engineering calculation. Examples include cams, deflection lines, moment lines, moment of inertia, screw calculations and shaft calculations.

cam

Types of gears for obtaining unusual and irregular motions that would be difficult to produce otherwise.

carbon steel

Carbon steel is a steel that does not contain any substantial amounts of alloying materials other than carbon.

centerline

Line in the center of a symmetrical object. When you create centerlines, you specify the starting and endpoints.

chain dimensioning

A dimensioning that always refers to the end of the last dimension.

chamfer

A placed feature that bevels a part edge and is defined by its placement, size, and angle.

chamfer point

A chamfer point is a truncated cone point, the end of which is approximately flat and perpendicular to the fastener axis. These points on threaded fasteners generally have point included angles of 45 to 90 degrees and a point diameter equal to or slightly less than the minor diameter of the thread. This point is intended to facilitate entry of fasteners into holes at assembly.

class of thread.

An alphanumerical designation to indicate the standard grade of tolerance and allowance specified for a thread.

clearance

A mating where the parts fit together loosely.

clearance fit

A fit between mating assembled parts that provides a clearance at their maximum material condition.

clearance flank

The flank that does not take the externally applied axial load in an assembly.

closed end

The end of the rivet, as manufactured, is solid and remains closed on the blind side after setting.

coating

Coating is the application of some material such as a metal, organic compound, etc. to the surface of a fastener.

collinear

The relative position of any number of lines or linear edges that have the same slope and are coincident with one another.

component

An element of mechanical structure that represents a part or subassembly. In 2D drawings, a part or assembly is represented by one or more views. Hence a component can be considered to be a container for component views, and the views of the part or assembly are collected under the component node in the mechanical browser.

component definition

A non-graphical description of a mechanical structure component that AutoCAD Mechanical saves in the data area of a drawing, similar to how it saves a block definition.

component view

A folder that contains the geometry representing a view of a part or subassembly. On the mechanical browser, a component view is always a child of a component node.

compression spring

A spring type that can be compressed and can absorb pressure forces.

concentric

The relative position of any number of arcs or circles that shares the same center point or projected center point.

cone

A solid object with a round base and a point at the top.

cone head

A cone head is a high conical head with a small, flat, truncated top and a flat bearing surface.

cone point

A cone point is a sharp conical point designed to perform perforating or aligning functions at assembly.

construction geometry

Any line or arc created with construction lines. Using construction geometry in 2D drawings helps you to define your contour shape.

construction line (C-line)

A line that is infinite in both directions or infinite starting at a point which can be inserted into the drawing area. You use C-lines to transfer important points (for example, center points of bore holes) into other views or drawing areas.

contour inside

Displays the inner contour of an object. You need to select the boundary edges on underlying layers (0, AM_0, AM_1, AM_2).

contour layer

A special mechanical layer that AutoCAD Mechanical uses to draw object lines on. Up to four mechanical layers can be set as contour layer in the Object/Settings dialog box. By default only the layers AM_0, AM_1, AM_2 are contour layers.

contour outside

Displays the outer contour of an object. You need to select the boundary edges on underlying layers (0, AM_0, AM_1, AM_2).

contour trace

A function that can combine a number of entities to form a closed polyline consisting of individual segments. This polyline can be copied and processed, (to calculate the dimensions for example).

coordinate system

The set of magnitudes (visually represented by the X, Y, and Z axes) that determines the position of points, lines, curves, and planes in part and assembly files. By default, a grid displays on the active sketch plane of the coordinate system.

counterbore

A blind hole of a larger diameter drilled concentric with a hole to allow bolt and screw heads to be flush or below the part surface.

countersink

A chamfered hole that allows bolt and screw heads to be flush or below the part surface.

countersunk head

A countersunk head is a circular head having a flat top surface and a conical bearing surface with head angles that vary with the rivet type.

cross section

Manually created 2D view which shows a cut through a part.

curve path

Geometric shape of the cam.

custom balloon

A balloon having a custom shape, which has been created using a block.

custom parts list

A customized parts list constructed using blocks.

custom standard

A named user defined standard that is created via the AM:Standards tab of the Options dialog box. At the time of creation, the settings of a custom standard are identical to that of the standard it is based on. However, the elements of the standard can be customized to any value, even to values that are not permitted in the original standard the custom standard is based on.

cut line

Used to specify the path of a cross-section drawing view.

cutting plane line

Imaginary cutting line through a work piece. The arrows determine the cutting direction. Also called section line.

cylinder axial

Option for inserting a standard part or hole parallel to a cylinder axis.

cylinder radial

Option for inserting a standard part or hole radial into a cylinder.

datum identifier

A symbol consisting of a frame with a reference letter.

datum target

Used to establish a theoretical exact plane, line, or profile. All features are subject to deviation, and it may be impractical to control the tolerance of an entire surface via a datum. In order to specify practical data, relevant locations called datum targets are selected and indicated on a drawing. The datum target may be a point, a line, or an area.

deflection line

Deflection lines are calculated based on the predefined force direction (F) or to radial direction (s).

deflection moment

Deflection moment is calculated based on the predefined force direction (F) or to radial direction (s).

detach

Permanently removing a file as an external reference in an assembly.

detail

A portion of the design drawing which cannot be displayed or dimensioned clearly. The overall representation (surface texture symbols) can be enlarged.

deviation

A variation from an established dimension, position, standard, or value.

die fin

A die fin is a slight amount of excess material or flash which may be visible on the bearing surface and/or body of fasteners made by open die heading.

digitizing

A manual or automatic process utilizing a mechanical device to follow and electronically record the 2D shape of a line on a drawing or the 3D contour of a physical model.

dimensional tolerance

The width of the tolerance (upper deviation - lower deviation).

distance snap

fixed

distributed force

A force that is spread over an area.

drawing

A layout of drawing views in model space or layout.

drawing border

A standardized frame, that is used for technical drawings.

drawing mode

Establishes the settings for the layout so that you can create a drawing of your model. When Drawing mode is off, you are in model space.

drawing title

The drawing title is in the lower right corner of the drawing and provides information about your drawing.

drawing view

A defined, oriented view of a part or model used for manufacturing. Drawing views are placed in layout mode and have parametric relationships to each other.

drilled

A single-diameter hole with no counterbore or countersink.

dynamic calculation

Calculation required for a revolving bearing. The result is the Adjusted Rating Life. This is the life associated with 90% reliability with contemporary, commonly used material, and under conventional operating conditions. With the number of revolutions you get the life in working hours.

dynamic dragging

The act of determining the size of a standard part with the cursor while inserting the part into a side view. The standard part is displayed dynamically on the screen and can be dragged to the next possible size and length. The values (sizes) are taken from the Standard parts database.

edge

The boundary of a face.

edge symbol

Symbol used to describe edges of objects, which are generated using certain production processes. The object edge consists of the basic symbol, the edge dimension, and the minus or plus sign. You can also specify an upper and lower limit for the edge dimension.

effective thread

The effective (or useful) thread includes the complete thread, and those portions of the incomplete thread which are fully formed at the root but not at the crest, thus excluding the vanish thread.

entity filter

Filters entities on a defined layer.

extension spring

A spring type that can absorb tension forces.

external drawing

A drawing reference that resides in a file other than the current assembly file.

external reference component

An instance of a mechanical structure component, which has its definition stored in another drawing.

external thread

A screw thread formed on the outside of a cylindrical surface.

externalize

The process of converting a local component to an external reference component. The process creates a new drawing and moves the definition of the component to the new file, rendering the component an external reference component.

family of lines

A term referring to a set of polylines or splines that share common characteristics, for example, lines that are parallel to each other.

FEA

Finite Element Analysis. A calculation routine, or method. Calculates stress and deformation in a plane for plates with a given thickness, or in a cross section with individual forces, stretching loads, and fixed and/or movable supports. The FEA routine uses its own layer group for input and output.

feature

Any component portion of a part that can be used as basis for a datum. An individual feature may be:

- - a plane surface (in which case there is no consideration of feature size);

- - a single cylindrical or spherical surface of two plane parallel surfaces (all of which are associated with a size dimension).

feature control frame symbol

Symbol that gives an accurate and concise meaning to specifying geometric characteristics and tolerances. Notes can supplement symbols where appropriate.

feature identifier symbol

Specifies individual features for tolerancing.

fillet

A curved transition from one part face or surface to another. The transition cuts off the outside edge or fills in the inside edge. The fillet can have a constant or variable radius.

fillister head

The fillister head has a rounded top surface, cylindrical side surface and a flat bearing surface.

fin

A fin, as in a Fin Neck Bolt, is a form of key under the head of a fastener which serves to keep the fastener from turning during assembly and use.

fin neck

A fin neck is a style of neck consisting of two or more fins under and integral with the head.

finish

The term finish is commonly applied to the condition of the surface of a fastener as a result of chemical or organic treatment subsequent to fabrication. The term finish is also applied to some types of fasteners to indicate the condition of the surface as a result of mechanical operations and the degree of precision.

fit

Range of tightness or looseness in mating parts (for example shafts or holes). Tolerances in these dimensions are expressed in standard form.

The relationship resulting from the designed difference, before assembly, between the sizes of two mating parts which are to be assembled.

Fit is the general term used to signify the range of tightness which may result from the application of a single combination of allowances and tolerances in the design of mating parts.

fit name

Name of the selected fit (for example H7).

fit type

There are three kinds of fit types: Interference, Clearance, and Transition.

fits list

A table of all fits within a drawing. The fits list function searches the entire drawing for fits. Once they have been gathered, you are asked where to insert this list for in your drawing.

fixed support

A support that is fixed to the part and cannot be moved.

flank

The part of a helical surface that connects the crest and the root and which is theoretically a straight line in an axial plane section.

flank angle

The angle formed by a flank and a perpendicular to the thread axis in an axial plane.

flat fillister head

The flat fillister head has a flat top surface, cylindrical side surface and a flat bearing surface.

flat head

The flat head has a flat top surface and a conical bearing surface with head angle of nominally 82 degrees.

flat undercut head

The flat undercut head is basically the same as the standard 82° flat head except it is undercut to 70 percent of the basic head height.

folder

An object very similar to a block that combines one or more geometrical objects and is represented in the mechanical browser by a folder icon. Folders are the most flexible element of mechanical structure and can contain geometry as well as other folders.

folder definition

A non-graphical description of a mechanical structure folder that AutoCAD Mechanical saves in the data area of a drawing, similar to how it saves a block definition.

foreground

Objects which are lying in front of another contour in the 3D sense. A foreground may also be a background for an additional contour.

free object

An elemental geometry in model space, such as a line, arc.

The term free object is used in the context of associative hide situations, where structure entities such as component views and folders as well as free objects overlap one another. For example, a component view that contains a circle and a rectangle where one overlaps the other, results in a hide situation involving two free objects.

galvanizing

Galvanizing is the process of coating iron or steel with zinc - originally by using direct current and a zinc anode.

gear

Any several arrangements, especially of toothed wheels in a machine which allows power to be passed from one part to another so as to control the power speed or the direction of movement.

geometric tolerance

The general term applied to the category of tolerances used to control form, profile, orientation, location, and run out.

ghost component

A mechanical browser representation of a component that is in an intermediate state of restructure. Ghost components occur when one or more component views have been restructured and the remaining views are held temporarily on a ghost until they too are restructured.

grinding

Grinding is the process of removing material from the surface by the cutting action of a bonded abrasive wheel.

grip

In general, the grip of a fastener is the thickness of material or parts which the fastener is designed to secure when assembled.

groove

A long narrow path made in a surface (for example in a shaft).

ground thread

A ground thread is a thread finished on the flanks by a grinding operation.

head

The head of a fastener is the enlarged shape, pre-formed on one end of a headed fastener, to provide a bearing surface.

head angle

The head angle is the included angle of the bearing surface of the head.

head diameter

The head diameter is the diameter at the largest periphery of the head.

head height

For a flat bearing surface head, the head height is the overall distance, measured parallel to the fastener axis, from the extreme top to the bearing surface. For a conical bearing surface head, the head height is the overall distance, measured in a line parallel to the fastener axis, from the extreme top to the intersection of the bearing surface with the extended thread major diameter cylinder on a threaded fastener or with the shank on an unthreaded fastener. For flat and oval undercut heads, it is this distance measured to the intersection of the bearing surface with the undercut. For oval heads and undercut oval heads, the overall distance is referred to as total head height.

header point

A header point is a chamfered point normally produced during the heading operation. The screw blank is chamfered before threads are rolled. It is applied to machine screws in certain sizes and lengths.

headless threaded fastener

A headless threaded fastener is a fastener normally having a slot, recess or socket in one end.

helix

The curve formed on any cylinder by a straight line angular to the axis, and in a plane that is wrapped around the cylinder.

helix angle

The complement of the lead angle.

hex flange head

The hex flange head is a circular flange upon which a hex head is formed.

hex head

The hex head has a flat or indented top surface, six flat sides and a flat bearing surface.

hexagon washer head

The hexagon washer head is a washer head upon which a hexagon head is formed.

hidden line

Line that is not visible in a specified view. For example, in a front view, lines behind the front plane would not be visible.

hide 2D

A closed contour (with islands) that can be used to define an area. This area is used to change the representation of other objects. Usually, these objects are lying behind this area (in the 3D sense) and are partly or entirely not visible in the view.

hide situation

A description of how a group of overlapping objects are organized in a 3d sense. Hide situations can be created using the AM2DHIDE command or the AMSHIDE command. AMSHIDE is designed to be used in conjunction with mechanical structure and hide situations created with it are represented in the mechanical browser.

hole

A geometric feature with a predefined shape: drilled, counterbore, or countersink.

hole chart

A table with X and Y coordinates, and the radius of holes in a plate.

hot dip galvanizing

Hot dip galvanizing is the process of immersing the parts to be coated in a batch of molten zinc.

incomplete lead thread

The incomplete thread at the starting end of a screw thread.

incomplete runout thread

The incomplete thread at the starting end of a screw thread.

incomplete thread

A threaded profile having either crests or roots, or both crests and roots not fully formed, resulting from the intersection with the cylindrical or end surface of the work or the vanish cone. It may occur at either end of the thread.

instance

An object that is inserted in a drawing and displays the data stored in a definition (block definition, component definition, view definition or folder definition). In a drawing there can be multiple instances of a single definition and is a powerful way of reusing geometry.

interference

A mating where the parts always grip tightly.

internal thread

A screw formed on the inside of a cylindrical surface.

language converter

Tool that dynamically translates texts, attribute values, Mtexts (multiline texts), and default values of attributes in selected blocks into other languages.

layer definition

A non-graphical description of a layer that AutoCAD Mechanical saves in the data area of a drawing, similar to how it saves a block definition. Layer definitions are used by AutoCAD Mechanical commands to create layers on demand.

layer group

A set of mechanical layers that contain associated or related items in a drawing. A major advantage of working with layer groups is that you can deactivate a specific layer group and hence, a complete component. The drawing and its overview are enhanced with a reduction in regeneration time.

layout

The tabbed environment in which you create and design paper space floating viewports to be plotted. Multiple layouts can be created for each drawing. See model space and paper space.

leader line

Command, for adding leader lines to existing leader lines.

left-hand thread

A screw thread that is screwed in or on counterclockwise. All left-hand threads are designated LH.

length of headed fastener

The length of a headed fastener is the distance from the intersection of the largest diameter of the head with the bearing surface to the extreme point, measured in a line parallel to the axis of the fastener.

library

A feature for storing parts (blocks, drawings) in a library.

load

Forces and moments that act on a part.

local component

An instance of a mechanical structure component, which has its definition stored in the same drawing as the instance.

localize

The process of converting an external reference component to a local component.

lower deviation

A negative (or the lowest) deviation from the nominal size.

lower tolerance

A negative tolerance.

lubricator

A device for lubricating parts.

main BOM

A dynamic database containing a list of all the parts in the drawing file. Used to generate part lists that contain associated attributes such as part number, manufacturer, and quantity.

mass properties

Volumetric information about a part or model that is based on the density of the material. Mass properties include the center of gravity, principle axes, moments of inertia, and mass.

master view definition

The master view definition (MVD) is the root node of the browser, labeled with the file name. The MVD is the topmost parent of all folders and views.

mating

shaft

maximum clearance

The maximum mating where the parts will fit together loosely.

maximum limit of size

Nominal size of a part plus the upper deviation. The part does not exceed this size.

mechanical browser

A window containing a tree that shows the hierarchical relationship of elements of mechanical structure such as components, component views, annotation views, and folders, in a drawing.

mechanical layer definition

A non-graphical description of a layer that AutoCAD Mechanical saves in the data area of a drawing, similar to how it saves a block definition. Layer definitions are used by AutoCAD Mechanical commands to create layers on demand.

mechanical layers

A set of special layers that have been preassigned to objects created by AutoCAD Mechanical commands. No matter what the current layer is, AutoCAd Mechanical created objects on these pre assigned layers. If the layer does not existin the drawing, the layer is automatically created.

minimum clearance

The minimum mating where the parts will fit together loosely.

minimum limit of size

Nominal size of a part plus the lower deviation. The part remains under this size.

minor clearance

The radial distance between the crest of the internal thread and the roots of the external thread of the coaxially assembled design forms of mating threads.

model space

One of the two primary spaces in which AutoCAD objects reside. Typically, a geometric model is placed in a three-dimensional coordinate space called model space. A final layout of specific views and annotations of this model is placed in layout mode. See also layout and paper space.

moment of inertia

An important property of areas and solid bodies. Standard formulas are derived by multiplying elementary particles of area and mass by the squares of their distances from reference axes. Moments of inertia, therefore, depend on the location of reference axes.

movable support

Support which is not fixed.

movement diagram

The representation of the cam as a graph of the lift and the angle of rotation of the cam plate (straight driven element). If the driven element is a rocker, the lift corresponds to an angle of rotation of the rocker.

movement section

Part of the movement diagram. Some sections are defined by design. For example, the maximum lift of 15 mm is reached at an angle of 90&deg;.

multi edit

An option where you determine a selection set of dimensions and edit them together.

NC

Numerical Control. Used in the manufacturing industry to represent the control on machine tool movement through numeric data for 25 axis machining.

neck

Neck is used to define:

- - a specialized form of a portion of the body of fasteners near the head to perform a definite function, such as preventing rotation, etc.; and

- - a reduced diameter of a portion of the shank of a fastener which is required for design or manufacturing reasons.

nominal size

The ideal dimensional value.

The nominal size is the designation used for the purpose of general identification.

non-mechanical layer

A layer that is created via the AutoCAD LAYER command, and is not listed in the Layer/Object Settings dialog box.

nut thickness

Nut thickness is the overall distance from the top of the nut to the bearing surface, measured parallel to the axis of the nut.

nut width

The nut width is the distance across opposite flats of hexagon, square or twelve-point nuts.

object prototypes

Properties of layers and objects.

oiled

Oiled is the term denoting the application of a suitable corrosion retarding oil to a fastener.

open end

The end of the rivet, as manufactured, is open, that means, the rivet body is hollow through its full length.

ordinate dimensioning

In general, these ordinate dimensioning practices are compatible with the data requirements for tape or computer-controlled automatic production machines.

oval head

The oval head has a rounded top surface and a conical bearing surface with head angle of nominally 82 degrees.

oval point

An oval point is a radiused point, sometimes referred to as a Crowned End or Round Point.

oval undercut head

The oval undercut head is the same basic head as the standard oval head except it is shorter. The screw head is undercut to 70 percent of the basic head side height to afford a greater length of thread.

pan head

The pan head has a flat bearing surface and a flat top surface rounding into a cylindrical side surface. On recessed pan heads, the top surface is semi-elliptical, rounding into a cylindrical side surface.

paper space

One of two primary spaces in which AutoCAD objects reside. Paper space is used for creating a finished layout for printing or plotting, as opposed to doing drafting or design work. You design your paper space viewports using a layout tab. See also model space and layout.

parallel guides

Support that has a degree of freedom in the vertical direction.

parametric dimensions

A special type of dimension used in Autodesk Mechanical Desktop and Autodesk Inventor, to control the size of a geometry. When you change the dimension value, the size of the associated geometry changes to reflect the new value of the dimension. AutoCAD Mechanical can display parametric dimensions created in Autodesk Inventor, when you open an Inventor part or assembly file using the Inventor link feature.

parent view

A drawing view on which other views are based. For example, the base view is the parent view for an isometric or orthographic view.

part layer

A layer where the standard parts are put. All standard parts layers have the suffix AM_*N.

part reference

Part information for a bill of material, which is attached to the part in the drawing.

partition

Distance in mm or inches between centers of adjacent joint members. Other dimensions are proportional to the pitch. Also known as pitch.

parts list

A dynamic list of parts and associated attributes generated from a bill of material database. The parts list automatically reflects additions and subtractions of parts from an assembly.

pitch

The measured distance parallel to the axis of a thread, from one point on the path to the corresponding point on the adjacent revolution.

The pitch of a thread having uniform spacing is the distance, measured parallel to its axis, between corresponding points on adjacent thread forms in the same axial plane and on the same side of the axis. Pitch is equal to the lead divided by the number of thread starts.

pitch diameter

The diameter of the pitch circle that passes through the centers of the link pins as the chain is wrapped on the sprocket.

On a straight thread, the pitch diameter is the diameter of the pitch cylinder.

pitch line

A generator of the cylinder specified in the definitions of pitch cylinder.

point

The point of a fastener is the configuration of the end of the shank of a headed fastener or of each end of a headless fastener.

point angle

The point angle is the included angle of the point.

point diameter

The point diameter is the diameter of the point measured at the extreme end of the fastener. It may sometimes be designated as Chamfer Diameter or Pilot Diameter on respective point types.

point force

A force which is concentrated on a point.

point length

The point length is the length of the pointed portion of the fastener, measured parallel to the axis of the fastener from the extreme end. It may sometimes be designated as Chamfer Length or Pilot Length on respective point types.

point radius

The point radius is the spherical radius on an oval or spherical point.

power command

Summary term for Power Copy, Power Recall, Power Edit, Power Dimensioning, Power Erase and Power View.

Power Copy

A command that copies a drawing object to another position in the drawing. Power Copy produces an identical copy of the copied object.

Power Dimensioning

A command useful for generating linear, radial, and diameter dimensions while minimizing the number of the individual actions for generating a dimension. Power Dimensioning automatically selects the type of the linear dimension (horizontal, vertical, aligned) based on the selected point.

Power Edit

A single edit command for all objects in your drawing.

Power Erase

Command for deleting. Use Power Erase when you delete part reference numbers or dimensions that were created with Power Dimensioning.

Power Object

An object or a group of drawing objects that contain additional information.

Power Recall

A command that lets you click an existing drawing object and places you in the correct command for creating that object.

Power View

A tool where you can quickly and easily create a standard part top view from a side view.

preselection

Option that allows you to set preferences for parts based on your company's standards. For example only cylinder head screws greater than M8 are used in your company. In this case, you delete the company preference for cylinder head screws smaller than M8.

radius

Distance from the center point of an arc or circle to a point on its circumference.

radius reflection line

Thin line that represents the radius in the side or top view.

recess depth

The recess depth is the distance measured parallel to the fastener axis from the intersection of the head surface with the maximum diameter of the recess to the bottom of the recess.

recess diameter

The recess diameter is the diameter measured in a plane perpendicular to the axis of the fastener over the intersection of the outermost extremities of the recess with the head surface.

recess width

The recess width is the distance measured in a plane perpendicular to the axis of the fastener across the intersection of the sides or wings of the recess with the head surface.

recessed head

A recessed head is a head having a specially formed indentation or recess centered in its top surface. Three common forms of recessed heads are the Cross Recess, Clutch Recess and Square Recess.

reference dimension

A type of dimension used in Autodesk Mechanical Desktop and Autodesk Inventor. When the size of the geometry that is dimensioned changes, reference dimensions automatically reflect the new size. (See also parametric dimensions)

representation

Standard parts representation in a drawing in normal, simplified, and symbolic mode.

resolution (cam plate)

Controls the precision of curves. A low value increases computing time. Use a higher value for initial design.

revision list

A line block to be inserted in the drawing after each change in the drawing. The list can contain the date of change, the name of the person responsible for the changes, and a description of the changes.

ribbed neck

A ribbed neck is style of neck consisting of longitudinal ribs around the shank adjacent to the underside of the head.

right-hand thread

A screw thread that is screwed in or on clockwise.

roller chain

A roller chain is made up of two kinds of links: roller links and pin links alternately and evenly spaced throughout the length of the chain.

round countersunk head

The round countersunk head is a circular head having a flat top surface and conical bearing surface.

runout

As applied to screw threads, unless otherwise specified, this term refers to circular runout of major or minor cylinders with respect to the pitch cylinder.

scale area

Defines a particular scale area (corresponds to zoom viewport). The respective scales can be viewed before zooming.

scale monitor

Function where you can control the scale for each viewport.

screw template

Enables you to include frequently used screw connections which were saved before.

screw thread

A continuous and projecting helical ridge usually of uniform section on a cylindrical surface.

script

Scripts contain a set of AutoCAD commands which are executed sequentially with a single SCRIPT command. Script files are saved in a text format and stored in an external file with the extension SCR.

script generator

Feature that enables you to work on a select set of drawings. In the script, you can combine as many LISP routines as required.

section line

Line through a 2D view which defines the cross section.

shaft break

Interruption of a shaft. A shaft can be interrupted at a point, and the shaft break symbols are inserted in a suitable size.

shaft generator

Tool to draw rotationally symmetric parts. A shaft is usually created from left to right using different sections. These sections are positioned automatically one after the other. Additionally, any shaft section can be inserted, deleted, or edited.

shoulder

A shoulder is an enlarged portion of the body of a threaded fastener, or shank of an unthreaded fastener.

simple weld

Draws arc and V welds in plain views and cross-sections. Ellipses, circles, arcs, lines and polylines can be provided with a weld.

slope

A measure of an angle from a level direction.

slot depth

The slot depth on a headed fastener is the distance measured parallel to the axis of the fastener from the highest part of the head to the intersection of the bottom of the slot with the head or bearing surface. The slot depth on a nut or headless fastener is the distance measured parallel to the fastener axis from the top surface to the extreme bottom of the slot.

slot width

The slot width is the distance measured in a plane perpendicular to the axis of the fastener over the intersection of the sides of the slot with the head surface of a headed fastener or top surface of a nut.

slotted head

A slotted head is a head having a slot centered across its top surface.

socket depth

The socket depth is the distance measured parallel to the fastener axis from the intersection of the socket with the head surface to the extreme end of the socket. In socket head screws, the effective socket depth is most often specified as Key Engagement which is the distance from the intersection of the socket with the head surface to that depth to which the key or wrench will penetrate, measured in a like manner.

socket diameter

The socket diameter is the diameter measured in a plane perpendicular to the axis of the fastener over the intersection of the outermost extremities of the socket with the head surface.

socket head

The socket head has a flat chamfered top surface with smooth or knurled cylindrical side surface and a flat bearing surface. A hexagon socket is usually formed in the center of the top surface.

socket width

The socket width is the distance measured in a plane perpendicular to the axis of the fastener over the intersection of opposite sides of the socket with the head surface.

sprocket

A toothed wheel that transfers the power from the chain to the shaft or the other way round.

square head

The square head has a flat top surface, four flat sides and a flat bearing surface. Square heads on set screws have a rounded top surface and may have an underhead construction tapered or radiused directly into the body.

square neck

A square neck is a style of neck consisting of a square shoulder formed integral with the underside of the head.

stainless steel

Stainless steel is a corrosion resistant type of alloy steel which contains a minimum of 12 percent chromium.

static calculation

Required for bearing-suffering loads in standstill or swinging movement, or for small numbers of revolutions (n < 20 1/min).

step width

Specifies the distance between the points used for the NC records.

stress

Force or pressure on a part. Stress is force per area.

subview

A part of an annotation view that represents the component views of the component for which the annotation view was created for. In the mechanical browser, subviews are nested below the annotation view.

surface texture list

A summary list of all surface texture symbols in a drawing.

surface texture symbol

Symbol that specifies surface texture finish. The symbols conform, in terms of their geometry and annotations (which includes text and other symbols), to international drafting standards.

symbols and designations

Symbols associated with screw threads are of two kinds:

- - letter symbols for designating dimensions of screw threads and threaded products, and

- - abbreviations used as designations for various standard thread forms, thread series, and feature designations for use on drawings.

symmetrical deviation

Tolerance values that have equal maximum and minimum values.

symmetrical line

Segments, that are symmetrical to the line segments drawn and automatically mirrored at a centerline.

system editor key

A configuration variable that is stored in the window's registry. These variables are usually modified in the system editor, in which they are referred to as keys. The system editor is displayed using the AMOPTIONS command, clicking the AM:Preferences tab and then clicking the System button.

tangent

A condition where two items share the same slope at a specified point.

taper

Taper, as used for fasteners, is the angle between one side and the axis of the fastener. Taper may refer to head, shank or some other feature or fastener.

taper angle

The angle where a thread is tapered as it is created.

template

A preformatted drawing that serves as a starting point for a new drawing. While creating a new drawing you are prompted to select a template.

Any drawing file (DWG file) can be saved as a template file (DWT file). Templates typically contain company-specific preferences such as standards, title blocks and so on.

thread

A thread is a portion of a screw thread encompassed by one pitch. On a single-start thread it is equal to one turn.

thread designations

Thread series designations are capital letter abbreviations of names used on drawings, in tables, and otherwise to designate various forms of thread and thread series, and commonly consist of combinations of such abbreviations.

threads per inch

The number of thread pitches per inch. It is the reciprocal of the axial pitch value in inches.

title block

A title block contains a series of attributes; some already have values. The pre-assigned values can be modified, and the vacant attributes can be completed with new values.

tolerance

The total amount by which a given dimension (nominal size) may vary (for example, 20 0.1).

The total amount of variation permitted for the size of a dimension. It is the difference between the maximum limit of size and the minimum limit of size.

A tolerance is the total permissible variation of size. The tolerance is the difference between the limits of size.

torsion spring

A spring type that can absorb torque forces.

transition

A mating in between a true Clearance or Interference.

truss head

The truss head has a low rounded top surface with a flat bearing surface. For a given screw size, the diameter of the truss head is larger than the diameter of the corresponding round head.

turns per inch

The number of turns per inch is the reciprocal of the lead in inches.

UCS

User coordinate system. A user-defined coordinate system that defines the orientation of the X, Y, and Z axes in 3D space. The UCS determines the default placement of geometry in the drawing. See also world coordinate system (WCS).

upper deviation

The positive (or highest) deviation from the nominal size.

In surface modeling, display line that is drawn in the U direction.

variation of fit

In a mating, the difference between the tightest possible and loosest possible fit combinations.

vario database

A database that manages all parametric templates. The database is essential for activating and storing templates.

velocity (cam plate)

Graph of the speed of the straight driven element, or the rotation angle of a rocker and the cam plate angle of rotation.

view definition

A non-graphical description of a 2d mechanical structure component view that AutoCAD Mechanical saves in the data area of a drawing, similar to how it saves a block definition.

view scale

The scale of a base drawing relative to the model scale. Also the scale of dependent views relative to the base view.

viewport

In Drawing mode, a bounded area that displays a drawing view.

virtual intersection

Two lines have a virtual intersection if they are not parallel. The virtual intersection is the intersection of the line extensions.

welding

Welding of metals requires that they be heated to a molten state so that they fuse together.

welding symbol

Specifies information for welding.

width across corners

The width across corners of hexagon, square or rectangular shaped fasteners is the distance measured perpendicular to the axis of the fastener from the intersection of two sides to the intersection of the two opposite sides.

width across flats

The width across flats of hexagon or square heads of fasteners is the distance measured perpendicular to the fastener axis across opposite sides of the fastener.

working layer

The layer where you are currently working.

world coordinate system (WCS)

A coordinate system used as the basis for defining all objects and other coordinate systems. See also user coordinate system (UCS).

wrench opening

In the shaft generator, sectional views for two-sided, four-sided, six-sided segments of shafts that fit a standard wrench.


Tutorials

Glossary
Getting started with AutoCAD Mechanical
Tutorials
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Getting started with AutoCAD Mechanical
  • Learning mechanical structure
  • Working with the Content Library


Getting started with AutoCAD Mechanical

Tutorials
Tutorials
Using the tutorial
Tutorials >
Getting started with AutoCAD Mechanical
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Using the tutorial
  • Introduction
  • Setting object snap options
  • Using the DIN standard
  • Create a shaft
  • Create grooves
  • Create keyways
  • Create a section view of the shaft
  • Modify a drawing using the power command
  • Add chamfer
  • Add dimensions
  • Add mechanical annotations
  • Referencing the shaft to the subassembly
  • Insert a title block
  • Create balloons
  • Create a part list
  • Automating design change
  • Additional resources


Using the tutorial

Getting started with AutoCAD Mechanical
Getting started with AutoCAD Mechanical
Introduction
Tutorials > Getting started with AutoCAD Mechanical >
Using the tutorial
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Notes about the tutorial:

  • Use the Previous and Next arrows at the top-right corner of the page to reverse or advance the tutorial one page at a time.
  • Use the Up arrow to move to the Home page.
  • The tutorial uses a mix of static images and animations. Click Show Me to view the animations.
  • Press F5 key to replay an animation.
  • To automate the Show Me animations, click the [image] icon.
  • To view the Show Me animations at your own pace, click the [image] icons.


Introduction

Using the tutorial
Getting started with AutoCAD Mechanical
Setting object snap options
Tutorials > Getting started with AutoCAD Mechanical >
Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Here you create a shaft using the shaft generator tool, reference the shaft to a subassembly and complete the drawing with detail annotations.

  • Base a drawing on a standard (for example, DIN).
  • Create a shaft using the Shaft Generator.
  • Insert standard features to a shaft.
  • Create a section view of the shaft.
  • Modify a drawing using Power command.
  • Add a chamfer.
  • Add dimensions.
  • Add mechanical annotations.
  • Reference a component (shaft) to a subassembly drawing.
  • Create a title block.
  • Create balloons.
  • Create a parts list.
  • Automate design change with revision update.


Setting object snap options

Introduction
Getting started with AutoCAD Mechanical
Using the DIN standard
Tutorials > Getting started with AutoCAD Mechanical >
Setting object snap options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD provides the Object Snap (OSNAP) mode that allows a precise geometrical snap to points. In AutoCAD Mechanical, you can set up four preset OSNAP settings and switch between each of them.

  1. Type AMPOWERSNAP at the command line. Press Enter to display the Power Snap Settings dialog box.
  2. Click Settings 1 on the Power Snap Configuration drop-down list. The following Snap Modes display:
    • Endpoint
    • Midpoint
    • Center
    • Intersection
  3. Click the check box On for Object Snap On (F3). Click OK.

AutoCAD Mechanical displays a marker and a tooltip whenever you move the cursor in the vicinity of endpoints, midpoints, and intersections. It visually indicates the object snaps that are in effect.


Using the DIN standard

Setting object snap options
Getting started with AutoCAD Mechanical
Create a shaft
Tutorials > Getting started with AutoCAD Mechanical >
Using the DIN standard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Assume your company uses the DIN standard for all project drawings. Create a new drawing that is based on the DIN standard. First, select a template. The templates are based on the different drafting standards that AutoCAD Mechanical supports. When you select a template/standard, default settings for all annotations and standard parts are automatically set to comply with the standard.

  1. Click [image] beside the menu browser to begin a new drawing.

    The Select template dialog box is displayed.

  2. From the list of templates, select am_din.dwt, and click Open. A new drawing based on the DIN standard is created.


Create a shaft

Using the DIN standard
Getting started with AutoCAD Mechanical
Create grooves
Tutorials > Getting started with AutoCAD Mechanical >
Create a shaft
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Mechanical has several productivity tools. Use the Shaft Generator tool to create many different types of shafts. Create the shaft as shown. The following steps show what to enter for each prompt.

  1. Click Content tab [image] Shaft panel [image] . Enter AMSHAFT2D at the command prompt.
  2. The command line prompts you to name the shaft:

    Enter shaft component name <Shaft1>:

    Enter Drive shaft, and press ENTER.

    Specify starting point of the centerline: Enter 150,150 and press ENTER.

    Specify the centerline endpoint: Enter 300,150 and press ENTER.

    A centerline is drawn in model space and the Shaft Generator dialog box is displayed.

  3. To add the first shaft segment:

    Click cylinder, the first button on the second row. See below.

    Specify length <nn>: Enter 45 and press ENTER.

    Specify diameter <nn>: Enter 24 and press ENTER.

    You return to the Shaft Generator dialog box.

  4. To add the second shaft segment:

    Click cylinder, the first button on the second row.

    Specify length <nn>: Enter 81.2 and press ENTER.

    Specify diameter <nn>: Enter 25 and press ENTER.

    You return to the Shaft Generator dialog box.

  5. To add the third shaft segment:

    Click the first button on the second row.

    Specify length <nn>: Enter 2 and press ENTER.

    Specify diameter <nn>: Enter 29.5 and press ENTER.

    You return to the Shaft Generator dialog box.

  6. Click CLOSE to close the Shaft Generator dialog box.

    Show Me

In step 2, you specified the endpoint for the centerline. This is important only to determine the direction of the shaft. The length of the centerline automatically adapts to the length of the shaft.


Create grooves

Create a shaft
Getting started with AutoCAD Mechanical
Create keyways
Tutorials > Getting started with AutoCAD Mechanical >
Create grooves
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Shaft Generator has more capabilities than creating shaft segments. Here you add two grooves to the shaft as shown.

  1. Type AMPOWEREDIT at the command line to select the shaft to edit, or double-click the centerline of the shaft. The Shaft Generator starts.
  2. Add the first groove from the left.

    Click the fifth button on the first row.

    Specify point: Click the top right end point of the left most shaft segment. See below.

    Enter an option [Next/Accept] <Accept>: press N and ENTER to select the middle shaft segment.

    Enter an option [Next/Accept] <Accept>: press ENTER to accept.

    Specify length <nn>: Enter 1.3 and press ENTER.

    Specify diameter <nn>: Enter 22.9 and press ENTER.

    Close the shaft generator dialog box. The Groove is created.

    Show Me

  3. Double-click the centerline of the shaft. The Shaft Generator dialog box displays.

    Add the groove for the necking.

    Click the fifth button on the first row.

    Specify point: Click the intersection point of the second right shaft segment. See below.

    Enter an option [Next/Accept] <Accept>: press ENTER.

    Specify length <nn>: Enter -2 and press ENTER.

    Specify diameter <nn>: Enter 23.9 and press ENTER.

    Close the Shaft Generator dialog box. The Groove is created.

    Show Me


Create keyways

Create grooves
Getting started with AutoCAD Mechanical
Create a section view of the shaft
Tutorials > Getting started with AutoCAD Mechanical >
Create keyways
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To create keyways, collect the DIN 6885A parallel/woodruff keys from the content library and place them at the required position on the shaft.

  1. Click Content tab [image] Shaft panel [image] . Enter AMSHAFTKEY2D at the command prompt.
  2. Click the top icon to select the Parallel Keys - On Mid of Shaft.
  3. Click the Front View option in the Select a Key or Hub dialog box.
  4. Select key - DIN 6885 A to create the keyway.
  5. Specify insertion point on shaft contour. Press SHIFT and right-click Reference from.
  6. Click the top-left of the shaft to infer from for the location of the keyway.
  7. Relative point: Type @4,0 for the start point of the keyway.
  8. Select centerline of shaft: Click the centerline of shaft.
  9. Clear the Draw Part checkbox so the key is not drawn on the keyway and click FINISH.
  10. Press F3 to switch OFF the running osnap mode. Drag size: Drag the cursor to see the tooltip Size: A8x7x32-DIN 6885 appears to obtain the length of keyway to 32 mm. Click to place the keyway.

    Show Me

For the second keyway:

  1. Repeat steps 1-5 above.
  2. Take reference from top-left end corner of the second segment.
  3. Set the distance 29.9mm to the right for the start point of keyway.
  4. Check out the Draw Part not to draw the key on the keyway and click FINISH.
  5. Press F3 to switch OFF the running osnap mode. Drag size: Drag the cursor to see the tooltip Size: A8x7x20-DIN 6885 appears to obtain the length of keyway to 20 mm. Click to place the keyway.

    Show Me


Create a section view of the shaft

Create keyways
Getting started with AutoCAD Mechanical
Modify a drawing using the power command
Tutorials > Getting started with AutoCAD Mechanical >
Create a section view of the shaft
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can create the section view of the shaft by using the Shaft Generator dialog box.

  1. Without selecting an object, right-click the drawing screen. Click Options [image] AM: Standards [image] double-click DIN standard at the right of the dialog box to set the first angle projection type. Click OK twice to close the dialog boxes.
  2. Double-click the centerline of the shaft to activate the Shaft Generator dialog box.
  3. Click the Section View button at the top-right of the dialog box.
  4. Specify the position of cut at the midpoint of the second keyway.
  5. With the Object Snap Tracking mode (F11) ON, specify the start point and endpoint of section line.
  6. Click OK to accept the hatch angle at 45 degrees.
  7. Use the default letter for the sectional view and press ENTER.
  8. Click the point to the right to specify the side of cutting plane.
  9. With tracking mode on, specify the insertion point of the section view to be in line to the front view of the shaft.
  10. Click Close to turn OFF the Shaft Generator dialog box.

    Show Me


Modify a drawing using the power command

Create a section view of the shaft
Getting started with AutoCAD Mechanical
Add chamfer
Tutorials > Getting started with AutoCAD Mechanical >
Modify a drawing using the power command
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Here you edit the standard feature with the Power command. Use Power Copy to duplicate the keyway and automatically update the section view of the shaft.

You may first create the vertical construction line as shown in the Show Me animation to start with the power copy command.

  1. Click Home tab [image] Modify panel [image] . Enter AMPOWERCOPY at the command prompt.
  2. Click the second keyway.
  3. Specify the insertion point on the shaft contour at the intersection point of the construction line and the shaft.
  4. Click the centerline of the shaft.
  5. Click Finish to close the dialog box and drag the length of the keyway to 20mm or use the Object Snap Tracking mode to align the keyway length similar to the second keyway.
  6. Click YES in the dialog box to update the side and sectional views automatically.

    Show Me


Add chamfer

Modify a drawing using the power command
Getting started with AutoCAD Mechanical
Add dimensions
Tutorials > Getting started with AutoCAD Mechanical >
Add chamfer
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Here you add a chamfer by using the Shaft Generator dialog box.

  1. Double-click the shaft centerline to activate the Shaft Generator dialog box.
  2. Click the Chamfer button.
  3. Select the left-most vertical edge of the shaft.
  4. Specify length (max. 45) <nn>: Enter 1.
  5. Specify angle (0-85) or [Distance] <45>: press Enter for 45 degrees.
  6. Close the Shaft Generator dialog box.
  7. Click YES to update the side and sectional views.

    Show Me


Add dimensions

Add chamfer
Getting started with AutoCAD Mechanical
Add mechanical annotations
Tutorials > Getting started with AutoCAD Mechanical >
Add dimensions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can use power dimensioning to create vertical, horizontal, aligned, or rotated dimensions, to create angular, radial (radius, diameter) dimensions, or to assign tolerances or fits to any of those dimensions.

  1. Click Annotate tab [image] Dimension panel [image] . Enter AMPOWERDIM at the command prompt.
  2. Click one corner of the shaft diameter for the first extension line origin.
  3. Click the other corner of the shaft diameter for the second extension line origin.
  4. Drag the dimension line to see that it turns red indicating that the preset distance snap is satisfied. The distance snap is defined in the dimension style setting.
  5. As the dimension line turns red, click to locate its position.

    The linear dimension is created.

    Show Me

You can include the tolerances and dimension symbols while dimensioning the part or double-click the completed dimensions to use AMPOWEREDIT command for further modification and detailing.

  1. Double-click dimensions to include dimension symbols and details.
  2. Create the dimension symbols and details for the shaft.

    Show Me

You can now locate the base point at the groove of the shaft and save it for reuse later in this tutorial.

  1. Right-click Driveshaft: 1(Front) in the browser and click Change Basepoint to locate its base point.
  2. Save as Shaft_completed drawing.


Add mechanical annotations

Add dimensions
Getting started with AutoCAD Mechanical
Referencing the shaft to the subassembly
Tutorials > Getting started with AutoCAD Mechanical >
Add mechanical annotations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can add mechanical annotations to your completed drawing with the Symbols and Annotate commands.

  1. Click Annotate tab [image] Symbol panel [image] . Enter AMSURFSYM at the command prompt.
  2. Click the top edge of the shaft to locate the symbol.
  3. Specify the next point for a location away from the edge of the shaft. Drag horizontally and specify the next point at a distance away for the location of the symbol. Press ENTER.
  4. In the Surface Texture dialog box, select surface roughness to be Rz 4.

    The surface texture symbol is created.

    Show Me

  1. Click Annotate tab [image] Symbol panel [image] . Enter AMDATUMID at the command prompt.
  2. Click the extension line of the dimension 25 mm.
  3. Click a location vertically down from the previous location.
  4. Click OK to accept the default datum A.

    The datum identifier is created.

    Show Me

  1. Click Annotate tab [image] Symbol panel [image] . Enter AMFCFRAME at the command prompt.
  2. Select the extension line of the dimension 24 mm as shown to attach the symbol.
  3. Specify the start and end point for the feature control frame.
  4. Specify the circular run-out symbol, tolerance 1 as 0.01 and datum 1 as A.

    The feature control frame is created.

    Show Me

  1. Click Annotate tab [image] Table panel [image] . Enter AMFITSLIST at the command prompt.
  2. Create a new fits list to display all geometrical tolerances in the drawing.

    Show Me


Referencing the shaft to the subassembly

Add mechanical annotations
Getting started with AutoCAD Mechanical
Insert a title block
Tutorials > Getting started with AutoCAD Mechanical >
Referencing the shaft to the subassembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Here you reference the completed shaft to the subassembly pump using the Structure Catalog dialog box. You also use the associative hide command to remove hidden lines within the shaft.

  1. Open the GS_Pump sub assy.dwg of the tutorials folder.
  2. Type AMSCATALOG at the command line to display the Structure Catalog dialog box.
  3. Click the External Drawings tab to select the Shaft_completed.DWG.
  4. From the top-right window, expand the drive shaft component to drag the front view of the shaft to the pump subassembly.
  5. Insert the shaft at the midpoint of the bottom plate.

    Show Me

  1. Click Home tab [image] Draw Tools panel [image] . Enter AMSHIDE at the command prompt.
  2. Select the referenced shaft as the foreground geometry for the hide situation.
  3. Click the Hide Style icon to remove hidden lines in the Create Hide Situation dialog box.

    All hidden lines behind the shaft are hidden automatically.

    Show Me


Insert a title block

Referencing the shaft to the subassembly
Getting started with AutoCAD Mechanical
Create balloons
Tutorials > Getting started with AutoCAD Mechanical >
Insert a title block
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Here you learn how to insert a title block and place the completed assembly in it for documentation purposes.

  1. Click Annotate tab [image] Layout panel [image] . Enter AMTITLE at the command prompt.
  2. Select paper format: A3 (297x420mm), metric, scale: 1:1, and click OK.
  3. Specify insertion point: 0,0,0 or click on lower right of the assembly for the title block location.
  4. Add or change the title block entry in the dialog box.
  5. Move and place the assembly in the title block.

    Show Me


Create balloons

Insert a title block
Getting started with AutoCAD Mechanical
Create a part list
Tutorials > Getting started with AutoCAD Mechanical >
Create balloons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can attach associative balloon callouts to part references in the completed drawing individually or have all balloon callouts display automatically.

  1. Click Annotate tab [image] Balloon panel [image] Balloons [image] Enter AMBOM at the command prompt.
  2. Enter T to use the Auto option to create balloons automatically for the selected part references.
  3. Select all the part references by enclosing the entire assembly.
  4. Align and locate the balloons in place.

    Show Me


Create a part list

Create balloons
Getting started with AutoCAD Mechanical
Automating design change
Tutorials > Getting started with AutoCAD Mechanical >
Create a part list
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can create a list of parts from the bill of material database that is fully associated to the drawing. Changes done on the parts are automatically updated and reflected in the part list.

  1. Click Annotate tab [image] Table panel [image] . Enter AMPARTLIST at the command prompt.
  2. Click the existing border DIN_A3 to display the parts list dialog box.
  3. Add, remove, or sort the items in the parts list, and click OK.
  4. Locate parts list at the upper-right corner of the title block.

    Show Me


Automating design change

Create a part list
Getting started with AutoCAD Mechanical
Additional resources
Tutorials > Getting started with AutoCAD Mechanical >
Automating design change
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Here you include 2 radial bearings to the assembly to support the drive shaft. In AutoCAD Mechanical, your design data remains synchronized to the assembly changes to reduce error. You can also automate the revision list by switching it ON.

  1. Type AMREV at the command line to switch On the Revision system.
  2. Click the Context tab [image] Shaft panel [image] . EnterAMROLBEAR2D at the command prompt.
  3. Add a radial bearing DIN 628 -1:2008 - 25x62x17 at the rear of the assembly. The bearing database is automatically included in the BOM and displays in the part list.
  4. Add another DIN 628 -1:2008 - 25x62x17 bearing at the front of the assembly. The quantity count updates to two bearings.
  5. From the Drawing Title and Revision toolbar, click the Add one Revision Line icon, type the next revision number in the Edit Revision Attribute dialog box, and then save the drawing.
  6. Reopen the drawing. AutoCAD Mechanical automatically prompts you to add changes to revision list.

    Show Me


Additional resources

Automating design change
Getting started with AutoCAD Mechanical
Learning mechanical structure
Tutorials > Getting started with AutoCAD Mechanical >
Additional resources
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Tutorials

  1. To learn about the Mechanical Structure and Structure Catalog tools in AutoCAD Mechanical, move on to other online tutorials and work through all the sessions.
  2. To learn more about the basics, refer to the tutorial section of the AutoCAD Mechanical user guide.

On the Web

Go to the Autodesk Web site http://www.autodesk.com/siteselect.htm and explore Support and Training.

  1. Under Support, search the support knowledge base for topics specific to AutoCAD Mechanical.
  2. Under Training, there are links to How-to articles, Skill Builders, and the discussion groups.

Technical Publications

AutoCAD Mechanical also provides a comprehensive Help system that includes illustrations. You can access Help from the standard toolbar, the Help menu, the right-click context menus, and the Help buttons on dialog boxes.


Learning mechanical structure

Additional resources
Tutorials
Using the tutorial
Tutorials >
Learning mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Using the tutorial
  • Introduction
  • About this tutorial
  • Setting up the work area
  • Working with parts
  • Working with assemblies
  • Managing structure
  • Detailing the design
  • Summary
  • Additional resources


Using the tutorial

Learning mechanical structure
Learning mechanical structure
Introduction
Tutorials > Learning mechanical structure >
Using the tutorial
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Notes about the tutorial:

  • Use the Previous and Next arrows at the top-right corner of the page to reverse or advance the tutorial one page at a time.
  • Use the Up arrow to move to the home page.
  • The tutorial uses a mix of static images and animations. Click Show Me to view the animations.
  • Press F5 key to replay an animation.
  • To automate the Show Me animations, click the [image] icon.
  • To view the Show Me animations at your own pace, click the [image] icons.


Introduction

Using the tutorial
Learning mechanical structure
About this tutorial
Tutorials > Learning mechanical structure >
Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In the daily designing tasks, you refer to items in the drawings as parts, assemblies, holes, standard parts, and other components. With mechanical structure, you manage and organize your designs more effectively.

Use mechanical structure to:

  • Organize drawings that include parts, assemblies, external files, standard parts, and user-defined components.
  • Modify drawings quickly and easily. All associated views and components automatically update.
  • Keep bills of material accurate and up-to-date.
  • Reuse all the intelligent folders, components, and views using the Structure Catalog.
  • Perform quick and accurate associative hide for 2D structure.


About this tutorial

Introduction
Learning mechanical structure
Setting up the work area
Tutorials > Learning mechanical structure >
About this tutorial
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This tutorial is primarily for users who want to become familiar with the application and use of mechanical structure.

The tutorial has four parts:

  • Working with parts
  • Working with assemblies
  • Managing structure
  • Detailing the design


Setting up the work area

About this tutorial
Learning mechanical structure
Working with parts
Tutorials > Learning mechanical structure >
Setting up the work area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Understand the mechanical structure work area helps you to work more efficiently.

Click the Workspace Switching button at the bottom right of the screen to switch to the Structure work area.

The work area consists of the following components which for this tutorial:

  • 1 - Mechanical browser

    You manage and organize the structured objects in the browser.

  • 2 - Structure ribbon

    This ribbon contains the commands for working in mechanical structure.

  • 3 - Structure Catalog

    You use Structure Catalog to display mechanical structure components and folder definitions, and to perform various operations, particularly xref-related operations.


Working with parts

Setting up the work area
Learning mechanical structure
Create a part
Tutorials > Learning mechanical structure >
Working with parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In mechanical structure, a component is a part definition. The part definition contains attributes or databases such as the description, material, part name, and quantity. In this section, you learn how to:

  • Create a part, Side Plate B, using AMSCREATE or AMSNEW command.
  • Create a view.
  • Create a folder.
  • Create a hide situation for the part.

Topics in this section

  • Create a part
  • Create a view
  • Create a folder
  • Create hide situations for a part


Create a part

Working with parts
Working with parts
Create a view
Tutorials > Learning mechanical structure > Working with parts >
Create a part
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Here you create a part from a non-structured object.

  1. Open the Side Plate B drawing in Online_tutorial subfolder of the tutorials folder.
  2. Right-click the browser and select New [image] Component.
  3. Enter new component name <comp1>: Enter Side Plate B.
  4. Enter new view name <Top>: Enter Front.
  5. Select objects for new component view: Select the front view of the Side Plate.
  6. Specify base point: Select the lower left corner of the Side Plate. A component is created.

    Show Me


Create a view

Create a part
Working with parts
Create a folder
Tutorials > Learning mechanical structure > Working with parts >
Create a view
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Two-dimensional mechanical drawings require several projected views to understand the parts or assemblies design. You create the component views while creating a component or from an existing component. Notice the front view of the Side Plate is created while you create the component.

  1. Right-click the existing component, Side Plate B:1 in the browser, and select New [image] Component View.
  2. Enter the new view name <Top>: Enter Right.
  3. Select objects for new component view: Select the side view of the side plate.
  4. Specify the base point: Select the lower left corner of the side view. A component view is created.

    Show Me


Create a folder

Create a view
Working with parts
Create hide situations for a part
Tutorials > Learning mechanical structure > Working with parts >
Create a folder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A folder is like a block, in it that has a definition and can be instanced multiple times for reuse. It is defined from profiles or elements such as lines, arcs, and circles. Like a block, any change you make to a folder definition is reflected in all instances. However, unlike blocks you don’t need to use a special command such as BEDIT or REFEDIT to edit the contents of a folder.

  1. Continue from the Side Plate B drawing. Create a cutout as shown in the previous above.
  2. In the browser, right-click the front view, and then select New [image] Folder.
  3. Enter folder name <Folder1>: Enter Cutout_Front.
  4. Select objects for new folder: Select the cutout at the front view.
  5. Specify base point: Select the lower left corner of the plate. Notice the Cutout_front folder is created in the browser.
  6. Repeat steps 2-5, and then right-click the right view in the browser for the Cutout_right folder of the side plate.

    Show Me


Create hide situations for a part

Create a folder
Working with parts
Working with assemblies
Tutorials > Learning mechanical structure > Working with parts >
Create hide situations for a part
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To define hide situations for structure objects, use the AMSHIDE command. Here you define the outer profile for the side plate to be the foreground object. All other elements behind it are automatically taken as background hidden objects.

  1. Double-click the right view of Side Plate B in the browser to activate it.
  2. Click Structure tab [image] Hide panel [image] [image] Enter at the command prompt.
  3. Select the outer profile of the right view for the foreground object.
  4. Click OK in the AMSHIDE dialog box. Hidden lines are created.

    Show Me


Working with assemblies

Create hide situations for a part
Learning mechanical structure
Create an assembly
Tutorials > Learning mechanical structure >
Working with assemblies
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An assembly contains multiple components and component views. In this section, you learn how to:

  • Build an assembly from the stored components, subassembly, and component views.
  • Manage instances and definitions in an assembly using the browser and Structure Catalog.
  • Manage ghost components.
  • Select parts and assemblies using the cycling method.
  • Create hide situations for assemblies.

Topics in this section

  • Create an assembly
  • Using structure catalog
  • Browser vs. structure catalog
  • Ghost components
  • Standard parts in mechanical structure
  • Cycling selections
  • Create hide situations for assembly


Create an assembly

Working with assemblies
Working with assemblies
Using structure catalog
Tutorials > Learning mechanical structure > Working with assemblies >
Create an assembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Whether you use the top-down or bottom-up assembly method in your design, you often must reuse existing designs for the new designs.

In mechanical structure, the Structure Catalog leverages the AutoCAD external reference (xref) functionality and organizes your files in the hierarchy tree structure. You can reuse the existing data using Structure Catalog. In this session, you build the main assembly from the stored components, subassembly, and component views for the trolley.


Using structure catalog

Create an assembly
Working with assemblies
Browser vs. structure catalog
Tutorials > Learning mechanical structure > Working with assemblies >
Using structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You build the trolley assembly using Structure Catalog. Any design changes are propagated to all instances and fully associated drawings.

  1. Begin a new drawing based on the am_iso template.
  2. Click Structure tab [image] Tools panel [image] [image] Enter at the command prompt.
  3. Click the External Drawings tab in Structure Catalog window.
  4. Browse to the Online_tutorial subfolder of the tutorials folder. Right-click the Online_tutorial and select Add to Favorites.
  5. Click the Favorites tab. Notice the required folder is now located here for easy selection. You are now ready to build the trolley using Structure Catalog.
  6. Select the Cross Head Sub drawing in the Files list. The Detail pane displays its structure definition.
  7. Click the side view of the Cross Head Sub drawing and drag to the model space. Click Yes to turn ON mechanical structure if the alert box appears.
  8. Right-click the side view of Side Plate C and select Insert as Xref. Type B and press Enter to change its insertion base point as illustrated in the Show me animation, and then assemble to the crosshead.
  9. Insert the Wheel 120 mm subassembly (front) at one end of the Side Plate C.
  10. Insert the Keeper Plate assembly (side) to fasten the Wheel subassembly to Side Plate C.
  11. Use the Mirror command to copy the completed assembly to the other end of the trolley. Notice that multiple instances are displayed for each component in the browser.

    Show Me

  12. In Structure Catalog, on the Current Drawing tab, right-click the following component definitions at the mechanical structure pane. Then select Insert as View of its component to complete the assembly view (side) of the trolley.

    • Cross Head Sub (Front)
    • Side Plate C (Front of Side Plate C: 2)
    • Wheel 120 mm Assembly (Side of Wheel 120 mm Assembly:2)
    • Keeper Plate Assembly (Front of Keeper Plate Assembly:2)
  13. Insert the Wheel 120 mm subassembly (side view) as Xref and place at the other end of the Side Plate C.
  14. Insert the Keeper Plate Assembly (front view) as Xref to fasten the Wheel subassembly to the other end of Side Plate C.
  15. Save the partial completed drawing as Trolley_Exercise.

    Show Me

NoteTo insert external reference file as a local component, hold the CTRL key while you drag from the Structure Catalog.


Browser vs. structure catalog

Using structure catalog
Working with assemblies
Ghost components
Tutorials > Learning mechanical structure > Working with assemblies >
Browser vs. structure catalog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The mechanical browser displays the properties of the structured components and its instances.

In the browser, you can see several instances:

  • CROSS HEAD SUB: 1
  • SIDE PLATE C: 1
  • SIDE PLATE C: 2
  • WHEEL 120MM ASSEMBLY: 1
  • WHEEL 120MM ASSEMBLY: 2
  • WHEEL 120MM ASSEMBLY: 3

The suffix shows the number of instances of the component. In this case, BOM counts three items for the WHEEL subassembly. There are four wheel subassemblies in this design. The fourth wheel is obscured behind the first wheel. Increase the quantity of the first wheel to two items by changing its attribute for accurate BOM count.

  1. Right-click Wheel 120MM Assembly:1 in the browser and select Properties in the context menu.
  2. Change its quantity to 2 in the Properties dialog box. Click OK.

Like Keeper Plate Assembly, the fourth Keeper Plate Assembly is obscured behind the first plate assembly. To increase its quantity:

  1. Right-click Keeper Plate Assembly:1 in the browser and select Properties in the context menu.
  2. Change its quantity to 2 in the Properties dialog box. Click OK.

In mechanical structure, any changes to the parent component (Master) update all associated instances. In mechanical structure, you can also change the instance to update its parent component.

  1. Switch the R-LOCK status bar button to OFF to select entities in the external view - wheel for editing.
  2. Stretch the left wheel using the crossing polygon selection method as illustrated in the Show Me animation.
  3. Locate the base point at the middle of the left wheel and stretch a short distance to the right. Notice the instance (right wheel) changes and updates.
  4. Now, stretch the right wheel (instance) to update the left wheel (parent).

    Show Me

Structure Catalog displays the definitions of components, component views, and folders used for inserting and managing the external reference (xref) files.

Like AutoCAD external references, the Xref components are dynamically linked that keep individual components updated and in synch with its associated external drawing. Any design changes are propagated to all instances and fully associated drawings.

In this exercise, the assembly trolley is built from xref files using Structure Catalog. Here you change and replace the existing wheel (120 mm) with another wheel with the diameter size of 90 mm.

  1. Click the Current Drawing tab in Structure Catalog.
  2. In Structure Catalog, right-click the file name, Wheel 120 mm Assembly. Right-click in the File References pane and select Repath.
  3. Browse to the assemblies folder and select Wheel 90 mm Assembly drawing.
  4. Click Open. Notice all associated wheels at both the front and side views update accordingly.

    Show Me

Note You can rename a component definition in Structure Catalog. All BOM entries and instances are renamed when you rename the component definitions.


Ghost components

Browser vs. structure catalog
Working with assemblies
Standard parts in mechanical structure
Tutorials > Learning mechanical structure > Working with assemblies >
Ghost components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In an assembly, ghost components are holding components or component views that have not mapped to their parents in mechanical structure. Use the component restructures to map them to their parents. If you don’t map them, the ghost components are displayed in the browser. They are indicated by the icon in blue.

  1. Open the Trolley_Exercise drawing.
  2. Create a component called Trolley. Select the entire assembly view at the left to be the Front view.
  3. Specify the base point at the bottom left of Side Plate C:1(Side).
  4. The Component restructure dialog box shows four ghost component views that are not mapped into any assembly view.
  5. Click OK. Notice the ghost component views are displayed in the browser.

    Show Me

  1. In the browser, right-click the main assembly: Trolley:1. Select New [image] Component View.
  2. Enter the new view name: Enter Right. Press Enter.
  3. Select the entire assembly view at the right.
  4. Specify the base point at the bottom-left of Side Plate C: 2 (Front).
  5. The ghost component views are restructured and mapped to the assembly side view of the trolley.

    Show Me

NoteGhost components prevent several operations from being executed and must be resolved as soon as they occur. Otherwise you cannot localize and externalize subassemblies containing ghost components.


Standard parts in mechanical structure

Ghost components
Working with assemblies
Cycling selections
Tutorials > Learning mechanical structure > Working with assemblies >
Standard parts in mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

All standard parts automatically generate their attributes in the browser and BOM databases after creation. If you delete or add new or existing standard parts to the drawing, the BOM databases update accordingly to prevent stale data.

After you build the trolley assembly, expand the hierarchy structure for Wheel 120-mm assembly: 1 in the browser. Notice the standard parts, Deep Groove Ball Bearing, Spring Retaining Ring are displayed as structured components after generating from the content library.

NoteTurn ON the STRUCT status bar button before generating standard parts to display its attributes in the browser automatically.


Cycling selections

Standard parts in mechanical structure
Working with assemblies
Create hide situations for assembly
Tutorials > Learning mechanical structure > Working with assemblies >
Cycling selections
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Once the parts and assemblies are structured, you can easily select them for editing by using the “Cycling” method in the top-down or bottom-up selection order.

  • The top-down button defines the main assembly components first, then the subassembly, components, and the basic objects within the assembly.
  • The bottom-up button defines the basic objects first. It then defines the components, subassembly, and finally the main assembly components.
  1. Open the completed Trolley drawing in the Online_tutorial subfolder of the tutorials folder.
  2. Activate the TOP-DN status bar button.
  3. Click the wheel (front) of the structured trolley assembly. Notice the top-level assembly is being selected first.
  4. Continue clicking the wheel. Notice the selections have the following order: top-level assembly [image] subassembly [image] Component [image] Folder [image] Geometry element.
  5. Click the wheel (front) again. Notice it loops back to its top-level assembly.

    Show Me

  1. Activate the BTM-UP status bar button.
  2. Click the wheel (side) of the structured trolley assembly. Notice the circle is selected first.
  3. Continue clicking the wheel. Notice the selections have the following order: geometry element [image] Folder [image] Component [image] Subassembly [image] Top-level assembly.
  4. Click the wheel (side) again. Notice it loops back to its bottom-level geometry.

    Show Me

You can reduce the number of clicks when selecting the required geometry on a partial tree structure.

  1. Double-click the side view of Cross Head subassembly in the browser to activate it.
  2. Activate the TOP-DN status bar button.
  3. Click the Cross Head. Notice the selections go in this order. CROSS HEAD (Side) [image] LWPOLYLINE.

    Show Me

NoteWhen you set the design navigation (amsnavmode) ON, the components in the model space and its associated component representations in the browser highlight as your cursor moves on the structured components. A tooltip displays the respective component and component views for the highlighted component.


Create hide situations for assembly

Cycling selections
Working with assemblies
Managing structure
Tutorials > Learning mechanical structure > Working with assemblies >
Create hide situations for assembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A normal hide situation has two levels: Level 1 - Foreground and Level 2 - Background. On the Hide situation dialog box, you can set up multiple levels to control the hidden lines display for complex assembly drawings.

Each level except the bottom level has its own hide situation. You can have as many levels as needed. If the hide situation is wrong, you can move the objects from one level to another to obtain the required hidden lines.

  1. Double-click to activate the assembly view (Front) of trolley in the browser.
  2. Click Structure tab [image] Hide panel [image] [image] Enter at the command prompt.
  3. Select the two Side Plate C at the front view of trolley to be the foreground objects. Notice all other objects are automatically placed in level 2 as hidden objects.

    Level 1:

    • SIDE PLATE C: 1 (SIDE)
    • SIDE PLATE C: 2 (SIDE)

    Level 2:

    • CROSS HEAD SUB: 1 (SIDE)
    • KEEPER PLATE ASSEMBLY: 1 (SIDE)
    • KEEPER PLATE ASSEMBLY: 2 (SIDE)
    • WHEEL 120MM ASSEMBLY: 1 (FRONT)
    • WHEEL 120MM ASSEMBLY: 2 (FRONT)
  4. Click OK in the Create Hide Situation dialog box. Hidden lines are created for the assembly view (Front) of the trolley.

    Show Me

  1. Double-click to activate the assembly view (Right) of trolley in the browser.
  2. Click Structure tab [image] Hide panel [image] [image] Enter at the command prompt.
  3. Select the two Keeper Plate Assembly at the side view of trolley to be the foreground objects.
  4. In Create Hide Situation dialog box, clear all component views in level 2. Then add and move the following component views into level 2 and level 3 for the hidden line displays.

    Level 1:

    • KEEPER PLATE ASSEMBLY: 2 (FRONT)
    • KEEPER PLATE ASSEMBLY: 3 (FRONT)
    • SCREW CON1: 1 (BOTTOM)
    • SCREW CON2: 1 (BOTTOM)

    Level 2:

    • SIDE PLATE C: 2 (FRONT)

    Level 3:

    • CROSS HEAD: 1 (FRONT)
    • SHIM PLATE: 1 (FRONT)
    • WHEEL 120MM ASSEMBLY: 2 (SIDE)
    • WHEEL 120MM ASSEMBLY: 3 (SIDE)
  5. Click OK in the Create Hide Situation dialog box. Hidden lines are created for the assembly view (Side) of the trolley.

    Show Me

NoteYou can use the AMSHIDE command for structured and non-structured drawings.


Managing structure

Create hide situations for assembly
Learning mechanical structure
Phantom components
Tutorials > Learning mechanical structure >
Managing structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To simplify the design process, you must often display the reference or phantom components as context models in your design.

In this section, you learn the difference between reference and phantom components and how to manage them with the actual design in mechanical structure.

  • Phantom components are indicated by the icon [image] .
  • Reference components are indicated by the icon [image] .

Topics in this section

  • Phantom components
  • Reference components
  • Bill of Materials in mechanical structure


Phantom components

Managing structure
Managing structure
Reference components
Tutorials > Learning mechanical structure > Managing structure >
Phantom components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Phantom components (assemblies only) are grouped components commonly used together as a single unit. This grouping simplifies the design process. They are not distinct items in the design so they are not included in bill of material.

When using a Phantom assembly, its children are promoted one level within the BOM and are included in quantity calculations, part lists and balloons. Although the phantom assembly does not appear in the BOM, its quantity affects its children. The quantity of each child is multiplied by the quantity of the assembly to give the accurate BOM calculation.

A phantom is set within the definition of the component. Examples of phantom components are:

  • By default, the connection screw sets in mechanical structure are grouped and set to phantom components.

  • To focus on the actual design of a large assembly, you can set all subassemblies to be phantom components.

Phantom in Current Drawing

A phantom assembly in the current drawing behaves the same as the phantom assembly. Until it is referenced and used in another design, it becomes a normal assembly that includes parts lists and balloons as part of the bill of material.

To set the phantom assembly in the current drawing:

  1. Open the Trolley_Exercise drawing.
  2. Type AMBOM at the command line and press Enter to view the main BOM. Notice the trolley (parent) is displayed as an item in the bill of materials. Click OK.

  3. From Structure toolbar, click the [image] tool to display the Structure Catalog dialog box.
  4. Click the Current Drawing tab.
  5. Right-click TROLLEY in the mechanical structure pane and select Phantom In Current Drawing. It sets the trolley assembly to be a phantom component for the current drawing. Notice the phantom icon appears in both the browser and the mechanical structure definition pane in Structure Catalog.
  6. Type AMBOM at the command line and press Enter to view the main BOM. Notice the trolley (parent) is ignored and removed from the list, but its instances/children are promoted one level in the bill of materials.

NoteOnly local components can be set to phantom components.
NoteYou can right-click the phantom component in Structure Catalog and reset it back to a normal component.
NoteTo set the component to a phantom component for the current drawing as well as other drawings, select Phantom in the context menu.


Reference components

Phantom components
Managing structure
Bill of Materials in mechanical structure
Tutorials > Learning mechanical structure > Managing structure >
Reference components
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Reference components are used to add context to the actual design. Reference components are used for visual enhancement, printing, and publishing purposes but are not a part of the actual design.

Examples of reference components used in this sample are the monorail and hoist, which display as reference components to the actual trolley design.

To set a reference component:

  1. Right-click the part or assembly in the browser and select Reference from the context menu.

BOM ignores all reference components and their instances and children. All reference parts and assemblies including their instances are not included in the BOM and quantity calculations, part lists, and balloons.

NoteFor visual enhancement of reference components, right-click the assembly node in the browser. Then click the check box for Override Properties and Reference in the Property Overrides dialog box. This visual effect does not affect the BOM.


Bill of Materials in mechanical structure

Reference components
Managing structure
Detailing the design
Tutorials > Learning mechanical structure > Managing structure >
Bill of Materials in mechanical structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Mechanical automatically generates and updates an accurate bill of materials as you create or insert components in mechanical structure. To edit the information for the component, use the Properties dialog box of each component.

Multiple part lists can be created and inserted into the drawing. BOM and part lists are associated to all components and dynamically updated as components are added or deleted.

NoteYou can right-click the subassembly or main assembly in the browser to create the assembly BOM in the context menu.


Detailing the design

Bill of Materials in mechanical structure
Learning mechanical structure
Annotation views in layout: Part
Tutorials > Learning mechanical structure >
Detailing the design
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You annotate drawings for the project with the following details for many purposes (purchasing, manufacturing, designing, assembling, and others).

  • Parts lists
  • Balloons
  • Labels
  • Revision tables
  • Hole chart
  • Mechanical symbols and others.

Drawing views that contain these details are defined as annotation views. Annotation views are indicated by the icon [image] . In mechanical structure, you can insert annotation views in model space or layout. We recommend that you place annotation views in layout for printing and publishing, and create drawings for the design to full scale in model space. In AutoCAD Mechanical, there are many ways to create annotation views. You can use AMSNEW, AMSCREATE, or AMSINSERT command to create annotation views.

Inserting a view does not add it to the BOM count, but maintains instance associativity.

In this section, you learn how to:

  • Create annotation views for parts.
  • Create an annotation view for an assembly trolley.
  • Insert an external reference drawing as an annotation view.
  • Automate design change.

Topics in this section

  • Annotation views in layout: Part
  • Annotation views in layout: Assembly
  • Insert an xref component as an annotation view
  • Annotation views in multiple layouts
  • Automatic design change


Annotation views in layout: Part

Detailing the design
Detailing the design
Annotation views in layout: Assembly
Tutorials > Learning mechanical structure > Detailing the design >
Annotation views in layout: Part
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You create annotation views to fabricate parts for your project.

  1. Open the trolley drawing.
  2. Click Structure tab [image] Build panel

    The New dialog box displays.

  3. Click the Annotation View tab.
  4. Click the drop-down list in the Component list and select WHEEL 120MM.
  5. Switch to Layout in the Placement list and select Layout1.
  6. Select Paper size: A3 (297x420 mm) in the Scale calculation list. Notice this selection automatically calculates the view scale. You can also select your preferred view scale in the drop-down list.
  7. Define the base point.
  8. Click the check box for Create labels for all subviews in the Label list.
  9. Click OK. Place the front and side view of the wheel in layout 1 as illustrated.

Edit the Label

  1. In the browser, expand the annotation view of the wheel.
  2. Right-click the front view of the wheel and select Edit Label in the context menu.
  3. Remove <STRUCT: COMP_NAME> so that its component name is not displayed.
  4. Click OK to close the VIEW LABEL dialog box.
  5. Repeat steps 2 and 3 to remove the component name for the side view of wheel.

Create Part List

  1. In the browser, right-click the annotation view for the wheel and select Create Parts List in the context menu.
  2. Click OK to insert the part list.

Add Dimensions and Surface texture symbol

  1. Add dimensions and surface texture symbol to the wheel.
  2. Save the drawing trolley.

    Show Me

Use the same method to create annotation view for Side Plate C in Layout 2.

NoteTo change the annotation view scale, right-click the annotation view in the browser and select Edit Scale in the context menu.


Annotation views in layout: Assembly

Annotation views in layout: Part
Detailing the design
Insert an xref component as an annotation view
Tutorials > Learning mechanical structure > Detailing the design >
Annotation views in layout: Assembly
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You use the same method to create annotation views for assemblies and place them in layout.

Continue from the annotation views in layout for parts.

  1. Click Structure tab [image] Build panel

    The New dialog box displays.

  2. Click the Annotation View tab.
  3. Click the drop-down list in the Component list and select TROLLEY.
  4. Click the check box for Include Standard Parts.
  5. Switch to Layout in the Placement list and select Layout3.
  6. Select Paper size: A3 (297x420 mm) in the Scale calculation list. Notice this selection automatically calculates the view scale. The calculated view scale : 1:5.
  7. Define the base point.
  8. Click the check box for Create labels for all subviews in the Label list.
  9. Click OK. Place the front and side view of trolley in layout 3.

Edit the Label

  1. In the browser, expand the annotation view of trolley.
  2. Right-click the front view of the wheel and select Edit Label in the context menu.
  3. Remove <STRUCT: COMP_NAME> so that its component name is not displayed.
  4. Change its position to Below.
  5. Click OK to close the VIEW LABEL dialog box.
  6. Repeat steps 2 and 3 to remove the component name for the side view of the wheel.

Edit the Scale

  1. In the browser, right-click the annotation view of trolley, and then select Edit Scale in the context menu.
  2. Set scale factor to 0.25. Click OK. Both views automatically resize to scale:1:4.

Create Part List

  1. In the browser, right-click the annotation view for trolley and select Create Parts List in the context menu.
  2. Click OK to insert the part list.

Create balloons

  1. In the browser, right-click the annotation view for trolley and select Create Balloons in the context menu.
  2. Place balloons for the trolley in layout3.
  3. Save the drawing trolley.
NoteTo create balloons for the selected annotation view, right-click Layout3 in the browser, and then select Parts List [image] Balloon.


Insert an xref component as an annotation view

Annotation views in layout: Assembly
Detailing the design
Annotation views in multiple layouts
Tutorials > Learning mechanical structure > Detailing the design >
Insert an xref component as an annotation view
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can insert an external reference component as an annotation view in layout. It is associative to the source drawing. Any changes in the source drawing are reflected in the annotation view.

  1. Click Structure tab [image] Build panel
  2. From the External Drawings tab, select the component you want to insert as an annotation view.
  3. In the Mechanical Structure pane, right-click the main root of the component, and select Insert Annotation View in the context menu.
  4. Enter annotation view name or press Enter to accept the default view name.
  5. Type N for a new layout when prompted to select placement location at the command line.
  6. Type Layout4 for the new layout name at the command line.
  7. Enter scale for annotation view.
  8. Type Yes to create labels for all subviews.
  9. Define the base point.
  10. Specify the insertion point and rotation angle. An annotation view is created and placed in layout.
  11. To place the next view of the component, type V (select next View). To end the command, press Enter.
NoteIf there are changes in the source drawing, click Manage Xrefs button on the status bar. Select Reload DWG Xrefs to update the host drawing. You can also reload the Xrefs from the Current Drawing tab in Structure Catalog.


Annotation views in multiple layouts

Insert an xref component as an annotation view
Detailing the design
Automatic design change
Tutorials > Learning mechanical structure > Detailing the design >
Annotation views in multiple layouts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You created annotation views for parts and assembly in layout1, layout2, and layout3. You can switch to each layout easily to print or publish.

Show Me


Automatic design change

Annotation views in multiple layouts
Detailing the design
Summary
Tutorials > Learning mechanical structure > Detailing the design >
Automatic design change
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In mechanical structure, annotation views are associated to the (parent) component views. If you modify the (parent) component views, the change automatically reflects the annotation views.

  1. Open the trolley drawing with the annotation views for parts and assembly.
  2. Turn off R-Lock and select Btm-Up on the status bar. In model space, stretch the front and side views of trolley downward at a distance of 15 mm. Notice the change to the parent assembly automatically changes all associated annotation views (child).

    Show Me


Summary

Automatic design change
Learning mechanical structure
Additional resources
Tutorials > Learning mechanical structure >
Summary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You learned that mechanical structure helps to organize and manage your drawings more efficiently and easily. You can start working on all new projects using mechanical structure.


Additional resources

Summary
Learning mechanical structure
Working with the Content Library
Tutorials > Learning mechanical structure >
Additional resources
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

On the Web

Go to the Autodesk Web site http://www.autodesk.com/siteselect.htm and explore Support and Training.

  1. Under Support, search the support knowledge base for topics specific to AutoCAD Mechanical.
  2. Under Training, there are links to How-to articles, Skill Builders, and the discussion groups.

AutoCAD Mechanical Help

AutoCAD Mechanical also provides a comprehensive Help system that includes illustrations. You can access Help from the standard toolbar, the Help menu, the right-click context menus, and the Help buttons on dialog boxes.


Working with the Content Library

Additional resources
Tutorials
Using the tutorial
Tutorials >
Working with the Content Library
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Using the tutorial
  • Introduction
  • About this tutorial
  • Content Libraries Environment
  • Add block to content libraries
  • Use content layers
  • Add views
  • Add smart hatch patterns
  • Use Family Table
  • BOM for custom parts
  • Summary


Using the tutorial

Working with the Content Library
Working with the Content Library
Introduction
Tutorials > Working with the Content Library >
Using the tutorial
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Notes about the tutorial:

  • Use the Previous and Next arrows at the top-right corner of the page to reverse or advance the tutorial one page at a time.
  • Use the Up arrow to move to the Home page.
  • To view the animation, click [image] to see how it works.


Introduction

Using the tutorial
Working with the Content Library
About this tutorial
Tutorials > Working with the Content Library >
Introduction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This tutorial provides an introduction to the content libraries in AutoCAD Mechanical. Contents stored in the content libraries include the built-in standard and custom parts\features.

The skills you learn include:

  • Add block to content libraries.
  • Edit in the Content Editor.
  • Use the context menu to add a custom part to the content libraries.
  • Use content layers.
  • Add views.
  • Add “smart” hatch patterns.
  • Use the family table.
  • Add a BOM for custom parts.


About this tutorial

Introduction
Working with the Content Library
Content Libraries Environment
Tutorials > Working with the Content Library >
About this tutorial
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The tutorial has six parts:

  • Add block to content libraries.
  • Use content layers.
  • Add views.
  • Add smart hatch patterns.
  • Use family tables.
  • Add a BOM for custom parts.


Content Libraries Environment

About this tutorial
Working with the Content Library
Add block to content libraries
Tutorials > Working with the Content Library >
Content Libraries Environment
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Content Libraries

The Content Libraries palette contains all standard and custom parts\features for insertion to drawings in modelspace.

In AutoCAD Mechanical, click the Content tab [image] Library panel [image] Enter AMCONTENTLIB at the command prompt.

The Content Libraries palette displays in the following image.

To insert a part\feature, select a standard\custom part in the Content list, and then select the required view in Details list.

Content Manager

You use the Content Manager to manage the standard and custom contents. You can add or remove libraries, folders, and parts\features in the Content Manager.

In AutoCAD Mechanical, click the Content tab [image] Library panel [image] Enter AMCONTENTMANAGER at the command prompt.

The Content Manager dialog box displays as shown in the following image.

You can manage the file paths for the standard and custom content or select a different ContentLib.XML file that load a new set of libraries. You can define filters for the standard content selection in your project.

To edit standard or custom content, click Edit tool in the Content list. It switches to the Content Editor environment for modification.

Content Editor

The Content Editor is an authoring environment where you can do the following tasks before saving and exiting to the model space.

  • Draw a part\feature from scratch.
  • Modify an existing drawing, block, or standard or custom part\feature.
  • Change layers for library parts.
  • Use the AutoCAD constraint solver to add geometrical and dimensional constraints to the content.

In the Content Editor, you can define sevarel set of parameters in a family table for the standard or custom parts or features.

To edit a drawing, select it and right-click to select Open in Content Editor from the context menu.

To edit a custom\standard part or feature, select it and right-click to select Edit in Content Editor from the context menu.

The following illustration shows a standard part, screw in the Content Editor environment.

NoteYou can edit only one view at a time in Content Editor.


Add block to content libraries

Content Libraries Environment
Working with the Content Library
Use content layers
Tutorials > Working with the Content Library >
Add block to content libraries
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You often want to reuse blocks in your projects. This section shows how to add a block as a custom content in the library.

There are several methods to add a part to the library.

  • Use the Content Manager tool on the Library panel.
  • Use the New Content tool on the Library panel.
  • Select a block and right-click to select Save as New Content from the context menu. To edit the block, select Open in Content Editor from the context menu.
NoteYou can place library parts either in a folder or in a library in the Content Manager.

This animation shows how to add a block as a custom part onto a new library folder in Content Manager and Content Libraries.

Click [image] to see how it works.


Use content layers

Add block to content libraries
Working with the Content Library
Add views
Tutorials > Working with the Content Library >
Use content layers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

All library parts, when inserted in a drawing, are placed on predefined layers as found in the Object Properties Settings dialog box.

Use the predefined Content Editor layers for parts in the Content Editor. It inherits the properties from the Object Properties Settings after insertion in the drawing.

Type AMCLAYER at the command prompt to display the Content Editor Layers dialog box. For more explanation about each Content Editor layer, see the descriptions in the Content Editor Layers dialog box.

Use the AMC_Contour layer to create contour edges for a part in Content Editor. Centerlines in the content editor are automatically placed on the layer, AMC_Centerline, and dimensions in content editor are automatically placed on the layer, AMC_Dimension. The AMC_Centerline layer is mapped to the mechanical layer AM_7 upon insertion.

The following setting was completed before working on the layers in the Content Editor in the animation.

Use the AMCSETTINGS command to configure the hide behavior for a part to be the foreground object and automatically hide all underlying objects. Click the Use objects on contour layer for foreground check box on the Content Settings dialog box.

This animation shows how to modify the layers of an existing object (Centering Rest) in the Content Editor and save them to the library. Then insert them to an existing drawing for automatic hide behavior.

Click [image] to see how it works.


Add views

Use content layers
Working with the Content Library
Add smart hatch patterns
Tutorials > Working with the Content Library >
Add views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

For 2-dimensional drawings, you must use several projected views of parts/features for your drawings.

You can add views in the library using one of the following methods:

  • Click the Content tab [image] Library panel [image] [image] Enter AMCONTENTMANAGER at the command prompt, and then click Add New Content tool.
  • In the Content Editor environment, click Quick View Content on the status bar, and then click New Content View to add a view.

This animation shows how to add the front and side views of an adjusting nut to the library.

Click [image] to see how it works.


Add smart hatch patterns

Add views
Working with the Content Library
Use Family Table
Tutorials > Working with the Content Library >
Add smart hatch patterns
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You use hatch pattern on drawings to show a full or partial sectional object. Use the AMCHATCH command in Content Editor to define hatch boundary by placing a hatch marker within an enclosed boundary. This smart hatch marker automatically defines the immediate boundary for the hatch lines.

To prevent this marker from running out of the hatch boundary when you resize or move the object, use the DIMCONSTRAINT or GEOMCONSTRAINT commands. They constrain the marker within the boundary.

NoteThe hatch marker should be within the hatch boundary. However, you can place the content hatch icon that describes the hatch type, pattern name, angle, and scale outside the hatch boundary.
NoteIt is recommended to fully constrain all geometry to be hatched.

This animation shows how to add hatch pattern in Content Editor and how to change the hatch pattern.

Click [image] to see how it works.

This animation shows how the hatch pattern updates automatically as you resize the part.

Click [image] to see how it works.


Use Family Table

Add smart hatch patterns
Working with the Content Library
BOM for custom parts
Tutorials > Working with the Content Library >
Use Family Table
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Family Table to define multiple set of parameters for a part in content editor. You can edit the parameters to resize a part as the parameters are associated to the part.

In Content Editor, click Manage panel [image] [image] Enter AMCTABLETOGGLE at the command prompt to switch on the Family Table. You add row to the table for multiple sizes of a standard\custom content. Each row represents one set of sizes.

NoteWe recommend that you create the table after all required geometrical and dimensional parameters are completed.

This animation shows how to create a family table to resize an adjusting nut for a new design.

Click [image] to see how it works.

This animation shows how a family table associates to all views of a part.

Click [image] to see how it works.


BOM for custom parts

Use Family Table
Working with the Content Library
Summary
Tutorials > Working with the Content Library >
BOM for custom parts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You define the material property list for a standard or custom part/feature by adding new columns to the family table in content editor. You then map these material properties to BOM.

When inserting a saved part with mapped property to a BOM, the BOM automatically populates the material property to the part.

This animation shows how to define the material lists for the custom parts in the content editor. It also shows how to map the BOM using the New Column dialog box in Family Table. You also learn how to add the calculated value or formula for the part called Base. It then automatically applies the calculated value in BOM.

Click [image] to see how it works.


Summary

BOM for custom parts
Working with the Content Library
Tutorials > Working with the Content Library >
Summary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In this tutorial, you learned how to:

  • Add custom part to content libraries.
  • Edit custom part in content editor.
  • Use the content layers for the behavior of hidden lines.
  • Add views to content libraries.
  • Create smart hatch patterns to associate to the part.
  • Create BOM for custom parts.


AutoCAD Mechanical 2010 Help

Welcome to AutoCAD Mechanical Help

AutoCAD Mechanical Help provides complete information for using AutoCAD Mechanical. Click the links on the right or use the Contents tab on the left to browse Help topics.

View the Mechanical Features Workshop

Based on the New Features Workshop in AutoCAD, this interactive guide highlights the most popular features in AutoCAD Mechanical. Click the link under General Information on the right, or access the Mechanical Features Workshop from the Help menu.

View the Configuration and Setup Guide

Use this guide to configure and setup AutoCAD Mechanical for the first time. The Configuration and Setup Guide includes information about basic design workflows and a detailed AutoCAD to AutoCAD Mechanical feature comparison chart. To access this guide, click the link under Help Files on the right.
General Information

Mechanical Features Workshop

What's New

Learning Resources

Help Files

User's Guide

Command Reference

Configuration and Setup Guide

Conversion Guide

Tutorials

Getting Started with AutoCAD Mechanical

Learning Mechanical Structure

Working with Content Library

IGES Help

STEP Help

API Help

Resources on the Web

autodesk.com

Autodesk Manufacturing Community

AutoCAD Mechanical

Technical Support

Training Resources

Consulting

AutoCAD Mechanical Discussion Group

AutoCAD Mechanical Blog


AutoCAD Mechanical Learning Resources

Familiarize yourself with the user interface. Learn More | Step-by-step lessons to help you begin. Download now | Exchange knowledge and techniques with other mechanical users. Learn More | Learn from books, online and instructors-lead training. Learn More
Learn basic concepts. Download now | Download in-depth, solution oriented exercises. Learn More | Get answers & technical solutions from Autodesk's support team. Learn More | Attend special events and seminars. Learn More
Transfer your existing knowledge and skills to AutoCAD Mechanical. Learn More |  | Learn about plugin development and scripting. Learn More | Become an Autodesk Certified Associate or Professional. Learn More
Learn best practices for common workflows. Learn More |  | Learn how to set up your environment. Learn More | Check out the latest features and enhancements. Learn More


Define standard, system, and personal preferences (Concept)

Configure mechanical structure
Define preferences
Distribute configuration files
Configuration and setup guide > Define preferences >
Define standard, system, and personal preferences
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Using the Options dialog box, you can define and set standards for each functional area, and set personal preferences to customize the look and feel of individual parts, assemblies, surfaces, and drawings. This dialog box is useful for company administrators to create a company standard drawing template.

We recommend setting up your system or personal standards before you begin working. Although you can change the settings in the Options dialog box throughout a design or drawing session, some changes do not appear unless you make them before the session begins.

These tabs control general AutoCAD settings. Click the Help button on individual tabs to access help about the tab settings.

  • Files
  • Display
  • Open and Save
  • Plotting
  • System
  • User Preferences
  • Drafting
  • Selection
  • Profiles

Tabs with the AM prefix are specific mechanical settings. Click the Reference button at the top of the page to go to Help for Options.

  • AM:Standards
  • AM:Content
  • AM:Preferences
  • AM:Shafts
  • AM:Calculations
  • AM:Structure


Define standard, system, and personal preferences (Quick Reference)

Configure mechanical structure
Define standard, system, and personal preferences
Define standard, system, and personal preferences
Configuration and setup guide > Define preferences >
Define standard, system, and personal preferences
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

OPTIONS command (AM:Preferences tab)

Options

Dialog Controls dialog box

Show Messages dialog box

Center Line Settings dialog box

Hole Chart Columns dialog box

Thread Line Settings dialog box


Define standard, system, and personal preferences (Quick Reference)

Define standard, system, and personal preferences
Define standard, system, and personal preferences
Define standard, system, and personal preferences
Configuration and setup guide > Define preferences >
Define standard, system, and personal preferences
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

OPTIONS command (AM:Preferences tab)

The AMOPTIONS command manages settings and standards for parts, assemblies, drawings, standard parts, and general desktop preferences from the Options dialog box. The AutoCAD Mechanical AMOPTIONS command is merged with the AutoCAD OPTIONS command.

Ribbon: Output tab [image] Output - Export to DWF/PDF panel [image] Options.... Does not exist on the ribbon.
Toolbar: None
Menu: Default Menu [image] Tools [image] Options Does not exist in the menus.
Command entry: options

DIALOG BOX DEFINITIONS

Snap Settings Sets object snaps to User Settings, System Settings, or Suppress Object Snaps.
 | User Settings Enables snap modes selected in the Power Snap Settings dialog box and disables the snap modes assigned to AutoCAD commands.
 | System Settings Enables the snap modes assigned to AutoCAD commands in addition to snap modes selected in the Power Snap Settings dialog box. When these commands are used, the assigned snap modes are automatically activated.
 | Suppress Object Snaps Disables all object snaps.
Snap Defaults button Displays the Power Snap dialog box for setting snap modes, polar snap, or filters for object snaps. The setting you make in this dialog box is saved in the registry.
Administration Tools Sets preferences when no predefined administrator configuration exists.
 | Automatic Update of Local Settings Reads the administrator configuration file, and automatically updates the windows registry every time AutoCAD Mechanical starts. This option is not available unless the AdminCfgPath registry entry has been set.
 | System button Displays the System Editor dialog box to enable you to view and edit settings saved in the Windows registry.
 | Import button Displays the Open dialog box. Setting affects all tabs in the Options dialog box. You can browse to a location to import any of these file types: drawing files (.dwg), template drawings (.dwt), and configuration files (.cfg).
 | Export button Exports system settings (settings saved in the windows registry) to a CFG file. Does not export settings marked with a drawing icon.
File Safety Precautions Controls the auditing and saving of drawing files.
Enable UCS per View Controls whether each viewport has a unique UCS.
Object Selection Tooltip Shows a tooltip when you use power commands and move the cursor over an object.
Dynamic Object Selection Highlights applicable objects as you move the cursor to select objects, when you use mechanical commands (commands that begins with AM).
Turn off Layers for Hidden Objects Turns off layers assigned to the “behind” object (typically AM_9, AM_9N and AM_INV) at the time they are created. This setting has no impact on layers that are already created.
Preserve Translation Information Instructs system to store translation information with objects, at the time they are created. For example, when this option is enabled, title blocks created with the AMTITLE command contain information about the multi language dictionary (.mld) files that contain title block specific translation strings. If the option is not selected, during language conversion, title block text is treated as user-defined text and are translated using the dictionaries set up for user-defined text.
Make Predefined Hatches Associative Turns associativity on or off. Associative hatches update automatically when changes are made to predefined hatches.
Synchronize Browser with Modes Switches browser tabs when modes are changed.
Dialog Controls Opens the Dialog Controls dialog box, where you control settings for recent values and spinner controls.
Show Messages Opens the Show Messages dialog box. You use this dialog box to control whether Message dialog boxes appear when you edit external files or open files with bills of materials and balloons from earlier releases.
Desktop Symbol Size Adjust slider to specify symbol size.


Define standard, system, and personal preferences (Quick Reference)

Define standard, system, and personal preferences
Define standard, system, and personal preferences
Define standard, system, and personal preferences
Configuration and setup guide > Define preferences >
Define standard, system, and personal preferences
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Options

The OPTIONS command manages settings used in AutoCAD Mechanical and general AutoCAD preferences from the Options dialog box.

The “AM” prefix on the tabs indicates that they affect mechanical settings only.

You can access the Options dialog box using the following methods:

Ribbon: Output tab [image] Output - Export to DWF/PDF panel [image] Options.... Does not exist on the ribbon.
Toolbar: None
Menu: Default Menu [image] Tools [image] Options Does not exist in the menus.
Command entry: options


Define standard, system, and personal preferences (Quick Reference)

Define standard, system, and personal preferences
Define standard, system, and personal preferences
Define standard, system, and personal preferences
Configuration and setup guide > Define preferences >
Define standard, system, and personal preferences
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Dialog Controls dialog box

Use this dialog box to control settings for recent values and spinner controls.

Preset Values

Controls the preset values defined in dialog boxes.

Distance

Controls the default value for distances.

Angle

Controls the default value for angles.

Draft Angle

Controls the default value for draft angles.

New

Opens the New Preset Value dialog box, where you can define a new preset value.

Delete

Deletes a selected preset value.

Move Up

Moves a selected preset value upward in the list.

Move Down

Moves a selected preset value downward in the list.

Sort

Sorts the preset values alphabetically.

Recent Values

Controls the recent preset values.

Spinner Control Increments

Sets values for spinner controls.

Angle

Specifies the angular increments used by spinner controls.

Distance

Specifies the linear increments used by spinner controls.

Apply & Close

Applies settings and closes the dialog box.


Define standard, system, and personal preferences (Quick Reference)

Define standard, system, and personal preferences
Define standard, system, and personal preferences
Define standard, system, and personal preferences
Configuration and setup guide > Define preferences >
Define standard, system, and personal preferences
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Show Messages dialog box

Use the Show Messages dialog box to control whether External File Editing and File Saving/Maintenance dialog boxes are displayed during the named operation.

The Show Messages dialog box is accessed from the AM:Preferences tab of the Options dialog box. It is not available in the Mechanical Desktop.

  • Options that are not selected display a dialog box the first time the operation is performed. A message asks you to confirm whether you want to suppress the dialog box in future operations.
  • Selected options suppress a dialog box. By default, options are not selected.


Define standard, system, and personal preferences (Quick Reference)

Define standard, system, and personal preferences
Define standard, system, and personal preferences
Define standard, system, and personal preferences
Configuration and setup guide > Define preferences >
Define standard, system, and personal preferences
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Center Line Settings dialog box

Set properties on the Center Line Settings dialog box for the current standard. When you access the dialog box from the AM:Standards tab of the Options dialog box, you establish settings before you create geometry.

Revision Displays most recent revision of the standard this symbol complies with.
Overshoot
 | Fixed Size Determines a fixed size for the projecting length of the centerline.
 | The projecting length of the centerline is proportional to the size of the geometry. Proportional to object
 | Automatic Calculates the projecting length depending on the size of the geometry. If the proportionally calculated projecting length is shorter than the fixed length, it is automatically the fixed size. If the projecting length exceeds this length, this setting is proportional to the part.
 | No Scaling When enabled, the overshoot length is set to the value you entered in the Fixed Size box, irrespective of the scale.
Centermark Size
 | Centermark Length Defines the size of the center mark. This option is available in Mechanical Desktop and in ANSI standard only.
 | Gap Length Defines the distance between the centermark and the starting point of the centerline. This option is available in Mechanical Desktop and in ANSI standard only.
 | Scale Centerlines with View This option is available in Mechanical Desktop only.
 | Parametric Sizing of Extension Lines All existing and new holes are updated parametrically as holes are edited and changed in size, when this option is checked. If it is cleared, existing centermarks are not updated parametrically when the holes are edited. This option is available in Mechanical Desktop only.
Restore Defaults Returns all values to the default values for the current standard.


Define standard, system, and personal preferences (Quick Reference)

Define standard, system, and personal preferences
Define standard, system, and personal preferences
Define standard, system, and personal preferences
Configuration and setup guide > Define preferences >
Define standard, system, and personal preferences
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Hole Chart Columns dialog box

Use this dialog box to configure hole chart columns.

List

Displays a list of columns that can be displayed in the hole chart. The columns are:

ParentOrigin

The coordinates of the master origin, in the case of a nested hole chart.

Origin

The coordinates of the origin of the hole chart.

Label

Hole label.

X

X coordinate of the center of the hole (in cartesian coordinates).

Y

Y coordinate of the center of the hole (in cartesian coordinates).

PolarRadius

The radial coordinate of the center of the hole (in polar coordinates).

PolarAngle

The angular coordinate of the center of hole (in polar coordinates).

Diameter

The diameter of the hole.

Description

Description of the hole.

Item

A number that is automatically assigned to the hole when the hole is added to the hole chart.

Index

The row number of the hole in the current sort order.

HoleItem

A label that identifies the size (diameter) of a hole in the Hole Table & Hole Chart. In the ANSI standard, this is part of the hole label. Hole item has no relevance for any other standard.

HoleIndex

An index number that indicates the position of the hole, in relation to other holes of the same size. In the ANSI standard, this is part of the hole label. Hole Index has no relevance for any other standard.

UserItem

A number that is automatically assigned to a hole (from an internal counter) at the time the hole is added to the hole chart. The UserItem can be edited at any time and the internal counter that assigns values to the UserItem can be set to a value of choice. It is hence is known as the User Defined Item Number - UserItem. In the CSN, DIN, GB and ISO standards, the UserItem is used with the UserItem Order sorting style, to generate hole labels that don't change when Holes are added, deleted and moved.

Visible in Hole Chart

Makes the selected column visible in the Cartesian or in the polar hole chart.

Lock Editing

Prevents the selected column from being edited.

Caption Alignment

Aligns captions of the hole chart or hole table to the left, to the center, or to the right.

Data Alignment

Aligns data in the cells of the hole chart or hole table to the left, to the center, or to the right.

Data Type

Sets the type of data for the selected column to numeric or to text.

Precision

Specifies a precision for numeric data.

Width

Sets the width for the selected column.

Wrap Text

Wraps text in cells of the hole chart or hole table.

Apply

Applies the current changes to the drawing.

Expands this dialog box and displays the Add Columns list, from which you can select and add a column to the current hole chart. This button is visible only if you invoke this dialog box from the AM:Standards tab of the Options dialog box.

Apply to all multiple hole charts

Applies changes to all hole charts in the multiple hole chart list in the Hole Charts dialog box. If this option is cleared, only the hole chart that is selected in the multiple hole chart list is affected.


Define standard, system, and personal preferences (Quick Reference)

Define standard, system, and personal preferences
Define standard, system, and personal preferences
Where are my configuration settings stored?
Configuration and setup guide > Define preferences >
Define standard, system, and personal preferences
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Thread Line Settings dialog box

Set properties on the Thread Line Settings dialog box for the current standard. When you access the dialog box from the AM:Standards tab of the Options dialog box, you are establishing settings before you create geometry.

Thread Thickness

Controls the thickness of the thread lines.

Line Type

Selects the linetype for the thread lines. This option is enabled only for custom standards.

Restore Defaults

Sets the settings in this dialog box to the default settings.


Define preferences

Configure mechanical structure
Configuration and setup guide
Distribute configuration files
Configuration and setup guide >
Define preferences
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure


Define preferences (Procedure)

Configure mechanical structure
Define preferences
Customize background color
Configuration and setup guide >
Define preferences
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Change the Color of a Mechanical Object

To Change the Color of the Background

To Change the Path to the Template File Location


Help not found (Quick Reference)

AMHELP
Help not found
Files Excluded from TOC >
Help not found
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Help not found

The Help topic could not be located. To find help, do one of the following:

  • Click the Home button on the Help toolbar to open the Help home page and navigate to the desired topic.
  • Click the Show button on the Help toolbar to show the navigation pane. Open the Search tab or Index tab and search for the desired topic.


AMHELP (Quick Reference)

System Variables by Alphabetical Order
AMHELP
Help not found
Files Excluded from TOC >
AMHELP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

AMHELP

Displays AutoCAD Mechanical online help

Ribbon: None Does not exist on the ribbon.
Toolbar: Mechanical Main
Menu: Help [image] Mechanical Help Does not exist in the menus.
Command entry: amhelp


Customize background color (Concept)

Configure mechanical structure
Define preferences
Distribute configuration files
Configuration and setup guide > Define preferences >
Customize background color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

AutoCAD Mechanical now ships with a light background color. If you open a drawing that was created under a black background, the object colors in that drawing may not contrast well with the light background. In such a case, you must visit the Object Property Settings dialog box and change the colors of these objects.

If you have not customized object properties such as linetype, lineweight layer and usage in hide, you can use the Restore Defaults button to automatically change the colors of the objects. This button intelligently restores the correct color schemes depending on the background color.

NoteChanging object colors on some objects such as title blocks will not change the color of objects that you have already drawn. However all new objects you draw will follow the new color scheme.

If required, you can revert the background color to black. In this case, you must change the path to the templates so that AutoCAD Mechanical picks up the dark background templates by default. The dark background templates are stored in a folder named Darkbackground, which is a sub folder of the default templates folder.


Customize background color (Procedure)

Define preferences
Up a level to ..
Customize background color
Configuration and setup guide > Define preferences >
Customize background color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Change the Color of a Mechanical Object

To Change the Color of the Background

To Change the Path to the Template File Location


To Change the Color of a Mechanical Object (Procedure)

Customize background color
Up a level to ..
Customize background color
Configuration and setup guide > Define preferences >
Customize background color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Change the Color of a Mechanical Object

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the AM:Standards tab.
  3. In the Standard Elements list, double-click the root node (the standard name). The Standard Settings dialog box appears.
  4. In the Object properties section, click Settings. The Object Property Settings dialog box appears.
    NoteThe Settings button is available only if the Let AutoCAD Mechanical manage object properties check box is selected.
  5. In the Category list, select the category corresponding to the object you want to modify.
    NoteThe Object you want to modify may be listed in more than one category.
  6. In the row corresponding to the object you want to modify, click in the color column. The Select Color dialog box appears.
  7. Select the desired color.
    • To enable the object to acquire the color from the layer it uses, click ByLayer.
    • To enable the object to acquire the color from a block it is part of, click ByBlock.
    • To select an explicit color, click the desired color.

    If other objects use the object you are modifying, a message appears showing the categories of the affected objects. Click Change Property.

  8. Click OK until all dialog boxes close.


To Change the Color of the Background (Procedure)

Customize background color
Up a level to ..
Customize background color
Configuration and setup guide > Define preferences >
Customize background color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Change the Color of the Background

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the Display tab.
  3. Click Colors.
  4. In the Drawing Window Colors dialog box, in the Context list, select 2D model space and in the Interface element list select Uniform background.
  5. In the Color list, select the desired color.
  6. Click Apply and Close.
  7. In the row corresponding to the object you want to modify, click in the color column. The Select Color dialog box appears.
  8. Click OK until all dialog boxes close.


To Change the Path to the Template File Location (Procedure)

Customize background color
Up a level to ..
Distribute configuration files
Configuration and setup guide > Define preferences >
Customize background color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure

To Change the Path to the Template File Location

  1. Click None tab [image] None panel.At the command prompt, enter AMOPTIONS.
  2. Click the Files tab.
  3. In the Search paths list, expand the Template settings node and select Drawing Templates File Location.
  4. Click Browse and select the folder you want to point to.
  5. Click OK until all dialog boxes close.


Files Excluded from TOC

Glossary
Tutorials
Files Excluded from TOC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!